﻿using KSProgram;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.Bulletin
{
    public partial class BulletinPage : TPage
    {
        public BulletinPage()
        {
            IdPrava = 354;
            AutomatickyUlozitNastaveni = true;
            VerzeStranky = "2";
        }

        internal override void On_LoadSettings(object sender, PersistenceManagerLoadAllStateEventArgs e)
        {
            base.On_LoadSettings(sender, e);
            KSBL.On_LoadSettings(sender, e);
        }
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            if(!IsPostBack)
            {
                bool pravo = KSProgram.Prava.PravaAkce.PristupPovolen(355);
                KSBL.LzeZapnoutEditaci = pravo;
                KSBL.Editacni = false;
                KSBC.Editacni = KSBL.Editacni;
            }
        }

        protected void KSBL_BulletinSelected(object sender, KSProgram.Bulletin.BulletinEventArgs e)
        {
            if (e.SelectedId.HasValue)
            {
                KSBC.IdBull = e.SelectedId.Value;
                KSBC.LoadBulletin(e.SelectedId.Value);
                KSBC.ShowWindow();
            }
        }

        protected void KSBL_EditacniChanged(object sender, KSProgram.Bulletin.BulletinEventArgs e)
        {
            KSBC.Editacni = e.Editacni;

        }
    }
}