﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="BulletinControl.ascx.cs" Inherits="KSPortal.Bulletin.BulletinControl" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<style type="text/css">
    .ksBullEditorWindow {
    }

        .ksBullEditorWindow td.rwBodyLeft, .ksBullEditorWindow td.rwBodyRight,
        .ksBullEditorWindow td.rwFooterLeft, .ksBullEditorWindow td.rwFooterCenter, .ksBullEditorWindow td.rwFooterRight {
            background-color: lightgray !important;
        }

    div.ksBullContainer {
        /*max-width: 800px;*/
        /*min-width: 680px;*/
        height: 800px;
        width: 100%;
    }

    div.ksBullEditor {
        /*max-width: 800px;*/
        /*min-width: 720px;*/
        width: 100%;
        height: 100%;
    }

    div.ksBullEditorCommand {
        width: 100%;
    }

</style>

<telerik:RadAjaxManagerProxy runat="server" ID="RAMP_bulllist">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="RE_editor">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="RE_editor" />
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>

<telerik:RadScriptBlock runat="server" ID="RSB_fix">
    <script type="text/javascript">
        function fixEditor(sender, args) {

            $telerik.$(".RadEditor", sender.get_contentElement()).each(function (index, elem) {
                if (elem.control && elem.control.onParentNodeChanged) elem.control.onParentNodeChanged();
            });
            var window = $find("<%=RW_editor.ClientID%>");
            window.setSize(680, 800);
        }
    </script>
</telerik:RadScriptBlock>

<telerik:RadScriptBlock runat="server" ID="RSB_Editor">
    <%--<script type="text/javascript" src="~/Scripts/pdf.js"></script>--%>
    <script type="text/javascript">
        var oldPageLoad1 = !oldPageLoad1 ? KSMaster.onPageLoad : oldPageLoad1;
        KSMaster.onPageLoad = function () {
            oldPageLoad1.apply();
            if (Telerik.Web.UI.Editor) {
                Telerik.Web.UI.Editor.CommandList["SaveAsDocx"] =
                    Telerik.Web.UI.Editor.CommandList["SaveAsRtf"] =
                    Telerik.Web.UI.Editor.CommandList["SaveAsHtml"] =
                    Telerik.Web.UI.Editor.CommandList["SaveAsPDF"] =
                    Telerik.Web.UI.Editor.CommandList["ksSave"] = function (commandName, editor, args) {
                        __doPostBack("", commandName);
                    };

                Telerik.Web.UI.Editor.CommandList["Open"] = function (commandName, editor, args) {
                    BullEditor.openUploadDialog();
                }
            }

            BullEditor.rwUploadId = "<%=RW_upload.ClientID%>";
            BullEditor.rnMessagesId = "<%=RadNotification1.ClientID%>";
            BullEditor.reId = "<%=RE_editor.ClientID%>";
        };
        KSMaster.onPageLoad.prototype = oldPageLoad1.prototype;

        function RW_editor_Close(sender, args) {
            var poz = $get('<%=HF_opened.ClientID%>');
            poz.value = "false";
        }

        function RW_editor_BeforeShow(sender, args) {
            var poz = $get('<%=P_hidden_holder.ClientID%>').getBoundingClientRect();
            sender.moveTo(poz.left, poz.top);
        }

    </script>
    <script type="text/javascript">
            //window.pdfjsLib.GlobalWorkerOptions.workerSrc = '../Scripts/pdf.worker.js';
    </script>
    <script type="text/javascript" src="../Scripts/pdf.js"></script>



    <script type="text/javascript">        

        function ksShowEditor() {
           
            id = document.getElementById("<%=HF_id.ClientID%>").value;
            window.pdfjsLib.GlobalWorkerOptions.workerSrc = './../Scripts/pdf.worker.js';

            $.ajax({
                type: "POST",
                url: "./../DashBoard/WebMethods.aspx/GetBulletinHtml",
                data: "{id: " + id + "}",
                async: false,
                contentType: "application/json",
                dataType: "json",
                failure: function (response) {
                    //alert("Chyba: " + JSON.parse(response.responseText).Message);
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                error: function (response) {
                    //alert("Chyba: ", JSON.parse(response.responseText).Message);
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                success: function (msg) {
                    
                    
                    if (msg.d.substring(0, 3) == "PDF") {
                        //------------------------------------------
                        var editor = $get("<%=RE_editor.ClientID%>");
                            editor.style.display = "none";

                            //$("#pdfViewer")[0].style.display = "block";
                            var pdfData = msg.d.substring(3);
                            // pdfLoad(msg.d.substring(3));
                            // $("#pageNumbering")[0].style.display = "";

                            $("#PdfViewer2")[0].innerHTML = "";

                            $("#PdfViewer2").kendoPDFViewer({
                                pdfjsProcessing: {
                                    file: {
                                        //retain the base64 data
                                        data: pdfData
                                    }
                                },
                                toolbar: {
                                    items: [
                                        "pager", "zoom", "toggleSelection", "search", "download", "print"
                                    ]
                                },
                                width: "100%",
                                height: "640px"
                            }).getKendoPDFViewer();
                            document.getElementById("<%= RPV_Viewer.ClientID%>").style.display = "none";


                            //------------------------------------------
                            id_bull = id;

                        var button = $find("<%=TRB_Zkontrolovano.ClientID %>");

                        button.style.visibility = "visible";
                        setButtonText(id);
                        
                            hiddeButton();
                            return;
                        }


                        if (msg.d && msg.d.substring(0, 3) != "PDF") {
                            var editor = $get("<%=RE_editor.ClientID%>");
                        editor.innerHTML = msg.d;
                        editor.style.display = "block";
                        //$("#pageNumbering")[0].style.display = "none";
                        //$("#pdfViewer")[0].style.display = "none";
                        //$("#Btn_kontrola")[0].style.display = "none";
                        document.getElementById("<%= RPV_Viewer.ClientID%>").style.display = "none";
                        $("#PdfViewer2")[0].innerHTML = "";
                        document.getElementById("PdfViewer2").style.width = "0px";
                        document.getElementById("PdfViewer2").style.height = "0px";
                            var button = $find("<%=TRB_Zkontrolovano.ClientID %>");

                            button.style.visibility = "visible";
                            setButtonText(id);

                        var window = $find("<%=RW_editor.ClientID%>");
                            window.show();

                        }
                    }
                });
        }

        function setButtonText(id) {
            var button = $find("<%=TRB_Zkontrolovano.ClientID %>");
                    $.ajax({
                        type: "POST",
                        url: "./DashBoard/WebMethods.aspx/GetTextTlacitko",
                        data: "{id: " + id + "}",
                        async: false,
                        contentType: "application/json",
                        dataType: "json",
                        failure: function (response) {
                            button.innerText = "[%Dokument zkontrolován%]";
                        },
                        error: function (response) {
                            button.innerText = "[%Dokument zkontrolován%]";
                        },
                        success: function (msg) {

                            button.set_text(msg.d);
                            button.show();

                        }
                    });
                }


        function _base64ToArrayBuffer(base64) {
            var binary_string = window.atob(base64);
            var len = binary_string.length;
            var bytes = new Uint8Array(len);
            for (var i = 0; i < len; i++) {
                bytes[i] = binary_string.charCodeAt(i);
            }
            return bytes.buffer;
        }

        function pdfLoad(pdfData) {
            pdfDataByte = _base64ToArrayBuffer(pdfData)
            // Using DocumentInitParameters object to load binary data.
            var loadingTask = pdfjsLib.getDocument({ data: pdfDataByte });
            loadingTask.promise.then(

                function (pdf) {
                    //console.log('PDF loaded');
                    // Fetch the first page
                    var pageNumber = 1;
                    pdf.getPage(pageNumber).then(function (page) {
                        //   console.log('Page loaded');
                        var scale = 1;
                        var viewport = page.getViewport({ scale: scale });

                        var stranaDok = $("#stranaCislo")[0];
                        stranaDok.innerHTML = "1/" + pdf.numPages;

                        // Prepare canvas using PDF page dimensions
                        var canvas = $("#pdfViewer")[0];
                        var context = canvas.getContext('2d');
                        canvas.height = viewport.height;
                        canvas.width = viewport.width;
                        //  console.log(canvas.height, canvas.width);


                        // Render PDF page into canvas context
                        var renderContext = {
                            canvasContext: context,
                            viewport: viewport
                        };
                        var renderTask = page.render(renderContext);
                        renderTask.promise.then(function () {
                            // console.log('Page rendered');
                        });
                    });
                },
                function (reason) {
                    // PDF loading error
                    console.error(reason);
                });
        };

        function pagePlus() {
            // Using DocumentInitParameters object to load binary data.
            var loadingTask = pdfjsLib.getDocument({ data: pdfDataByte });
            loadingTask.promise.then(

                function (pdf) {
                    //console.log('PDF loaded');
                    // Fetch the first page

                    var pageNumber = numberofpage + 1;
                    numberofpage = pageNumber;
                    // console.log(pageNumber);

                    pdf.getPage(pageNumber).then(function (page) {
                        //   console.log('Page loaded');
                        var scale = 1;
                        var viewport = page.getViewport({ scale: scale });

                        var stranaDok = $("#stranaCislo")[0];
                        stranaDok.innerHTML = numberofpage + "/" + pdf.numPages;
                        // Prepare canvas using PDF page dimensions
                        var canvas = $("#pdfViewer")[0];
                        var context = canvas.getContext('2d');
                        canvas.height = viewport.height;
                        canvas.width = viewport.width;
                        //  console.log(canvas.height, canvas.width);


                        // Render PDF page into canvas context
                        var renderContext = {
                            canvasContext: context,
                            viewport: viewport
                        };
                        var renderTask = page.render(renderContext);
                        renderTask.promise.then(function () {
                            // console.log('Page rendered');
                        });
                    })
                        .catch(error => "");

                },

                function (reason) {
                    // PDF loading error
                    //      console.error(reason);
                });


        };

        function pageMinus() {

            // Using DocumentInitParameters object to load binary data.
            var loadingTask = pdfjsLib.getDocument({ data: pdfDataByte });
            loadingTask.promise.then(

                function (pdf) {
                    //console.log('PDF loaded');
                    // Fetch the first page
                    var pageNumber = numberofpage - 1;
                    if (pageNumber <= 1) {
                        pageNumber = 1;
                    }
                    //    console.log(pageNumber);
                    numberofpage = pageNumber;
                    pdf.getPage(pageNumber).then(function (page) {
                        //   console.log('Page loaded');
                        var scale = 1;
                        var viewport = page.getViewport({ scale: scale });

                        var stranaDok = $("#stranaCislo")[0];
                        stranaDok.innerHTML = numberofpage + "/" + pdf.numPages;
                        // Prepare canvas using PDF page dimensions
                        var canvas = $("#pdfViewer")[0];
                        var context = canvas.getContext('2d');
                        canvas.height = viewport.height;
                        canvas.width = viewport.width;
                        //  console.log(canvas.height, canvas.width);


                        // Render PDF page into canvas context
                        var renderContext = {
                            canvasContext: context,
                            viewport: viewport
                        };
                        var renderTask = page.render(renderContext);
                        renderTask.promise.then(function () {
                            // console.log('Page rendered');
                        });
                    }).catch(error => "");;
                },

                function (reason) {
                    // PDF loading error
                    //  console.error(reason);

                });
        };

        pdfDataByte = null;
        numberofpage = 1;

        function PdfControled() {
            $.ajax({
                type: "POST",
                url: "./../DashBoard/WebMethods.aspx/CallPdfUpdate",
                data: "{id: " + id_bull + "}",
                async: false,
                contentType: "application/json",
                dataType: "json",
                failure: function (response) {
                    //alert("Chyba: " + JSON.parse(response.responseText).Message);
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                error: function (response) {
                    //alert("Chyba: ", JSON.parse(response.responseText).Message);
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                success: function (msg) {


                    var window = $find("<%=RW_editor.ClientID%>");
                    window.close();

                    showLoadingAnimation();
                    location.reload();

                }
            });

        }
        function hideButton() {
            //var button = $("#Btn_kontrola");
            //button.hide();

        }

        //metoda zjišťuje jeslti už uživatel potvrdil přečtení dokumentu, případně má zapnutu editaci
        function hiddeButton() {
            
            var status = false;

            $.ajax({
                type: "POST",
                url: "./../DashBoard/WebMethods.aspx/ZkontrolujDatumPotvrzeni",
                data: "{id: " + id_bull + "}",
                async: false,
                contentType: "application/json",
                dataType: "json",
                failure: function (response) {
                    //alert("Chyba: " + JSON.parse(response.responseText).Message);
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                error: function (response) {
                    //alert("Chyba: ", JSON.parse(response.responseText).Message);
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                success: function (msg) {
                    status = msg.d;
                    //var button = $("#Btn_kontrola");
                    var status2 = false;
                    if ("<%= Editacni  %>" == "True") {
                         status2 = true;
                     }
                     console.log("Status precteno:" + status + " | STATUS EDIT: " + status2);
                     if (status || status2) {
                         //button.hide();
                     } else {
                         //button.show();
                     }


                 }
             });


        }
    </script>


</telerik:RadScriptBlock>

<%--<telerik:RadPersistenceManagerProxy ID="RPMP_editor" runat="server" >
    <PersistenceSettings>
        <telerik:PersistenceSetting ControlID="RE_editor" />
    </PersistenceSettings>
</telerik:RadPersistenceManagerProxy>--%>

<asp:Panel runat="server" ID="P_hidden_holder" CssClass="hodden">
</asp:Panel>
<asp:HiddenField runat="server" ID="HF_opened" />
<asp:HiddenField runat="server" ID="HF_id" />

<telerik:RadWindow runat="server" ID="RW_editor" KeepInScreenBounds="true" CssClass="ksBullEditorWindow"
    AutoSizeBehaviors="Height,Width" Behaviors="Close,Maximize,Minimize,Move,Resize" OnClientClose="RW_editor_Close" OnClientBeforeShow="RW_editor_BeforeShow"
    ShowContentDuringLoad="false" Width="100%" Modal="true"
    Visible="true" Height="100%" MinWidth="800px" OnClientShow="fixEditor" OpenerElementID="LB_nadpis">
    <ContentTemplate>
        <div class="ksBullEditorContainer">
            <telerik:RadEditor runat="server" ID="RE_editor" ToolbarMode="RibbonBar" NewLineMode="P" EditModes="All" CssClass="ksBullEditor"
                EnableTrackChanges="false" EnableComments="false" ToolsFile="~/Dokumenty/EditorTools.xml" DocumentManager-UploadPaths="~/Temp"
                ContentFilters="DefaultFilters,PdfExportFilter,EncodeScripts,StripCssExpressions,StripDomEventAttributes"
                OnClientLoad="BullEditor.toggleTrackChanges" Width="100%" AutoResizeHeight="true" EnableResize="false">
                <ExportSettings OpenInNewWindow="true" FileName="RadEditor-Export"></ExportSettings>
            </telerik:RadEditor>
            <div id="PdfViewer2" style="width: 100%"></div>

            <%--            <canvas id="pdfViewer" style="margin-left: auto; margin-right: auto; display:none;" Height="768" ></canvas>
            <table id="pageNumbering" style="margin-left: auto; margin-right: auto; display:none;">
                <tr>
                    <td>
                        <button id="Button1" class="button1" onclick="pageMinus();" visible="true"><<<</button>
                    </td>
                    <td>
                        <p>[%STRANA%] </p>
                    </td>
                    <td><p id="stranaCislo"></p></td>
                    <td>
                        <button id="Button2" class="button1" onclick="pagePlus();" visible="true">>>></button>
                    </td>
                </tr>
            </table>--%>

            <br />
            <%--<button id="Btn_kontrola" class="button" style="width: 100%" visible="true" onclick="PdfControled();">[%Dokument zkontrolován%]</button>--%>
            <kspwc:TRadButton runat="server" ID="TRB_Zkontrolovano" CssClass="buttonVyveska" OnClick="TRB_Zkontrolovano_Click" Text="" Width="100%" Visible="false"></kspwc:TRadButton>
            <telerik:RadPdfViewer runat="server" ID="RPV_Viewer"></telerik:RadPdfViewer>

            <%--            <telerik:RadPdfViewer runat="server" ID="PdfViewer1" Scale="1" Visible="false">
                <ToolBarSettings Items="pager, spacer, zoom, toggleSelection, spacer, search, download, print" />
            </telerik:RadPdfViewer>
            <br />
            <asp:Button ID="Btn_kontrola" CssClass="button" runat="server" Text="[%Dokument zkontrolován%]" Style="width: 100%"  Visible="false"/>--%>
        </div>
    </ContentTemplate>
</telerik:RadWindow>
<telerik:RadWindow ID="RW_upload" runat="server" Title="[%Otevřít soubor%]" Behaviors="Close, Move" VisibleStatusbar="false" Width="400px" Height="110px">
    <ContentTemplate>
        <div style="width: fit-content; margin: auto">
            [%Povolené soubory%]: doc ,docx, rtf, txt, htm, html, md<br />
            <telerik:RadAsyncUpload runat="server" ID="RAU_file" AllowedFileExtensions="doc,docx,rtf,txt,htm,html,md" MaxFileInputsCount="1"
                OnClientValidationFailed="BullEditor.OnClientValidationFailed" OnClientFileUploaded="BullEditor.uploadFile" TemporaryFolder="~/Temp"
                OnFileUploaded="RAU_file_FileUploaded" Width="100%">
            </telerik:RadAsyncUpload>
        </div>
    </ContentTemplate>
</telerik:RadWindow>
<telerik:RadNotification ID="RadNotification1" runat="server" Width="350px" Height="150px" Title="[%Došlo k chybě%]" TitleIcon="warning"
    ContentIcon="info" Position="Center" AutoCloseDelay="5000" EnableRoundedCorners="true" EnableShadow="true">
</telerik:RadNotification>
