﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="BulletinSestava.aspx.cs" Inherits="KSPortal.Bulletin.BulletinSestava" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>


<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">


     <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TCB_CheckBox">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>

    <telerik:RadPersistenceManagerProxy ID="RPMP_vyv_stat" runat="server">
        <PersistenceSettings>
            <telerik:PersistenceSetting ControlID="TRadGrid1" />
        </PersistenceSettings>
    </telerik:RadPersistenceManagerProxy>

    <%--<asp:Label ID="Label2" runat="server" Text="[%Statistika vývěsky%]" CssClass="nadpis1"></asp:Label>--%>

    <kspwc:TRadGrid ID="TRadGrid1" runat="server" AllowPaging="True" ShowGroupPanel="True"
        AllowSorting="true" AutoGenerateColumns="false"  OnNeedDataSource="TRadGrid1_NeedDataSource"
        AutoFilterWidth="true" AutoFilterControlWidth="false" MasterTableView-ShowFooter="False" AllowMultiRowSelection="false">
        <GroupingSettings CaseSensitive="False" CollapseAllTooltip="Collapse all groups" ShowUnGroupButton="true"></GroupingSettings>
        <MasterTableView CommandItemDisplay="Top" Caption="[%Statistika vývěsky%]" PageSize="50" PagerStyle-Visible="true" EnableGroupsExpandAll="true"
            DataKeyNames="osCislo,id">
            <PagerStyle PageSizes="10,30,50,100,300,500" />
            <GroupByExpressions>
                <telerik:GridGroupByExpression>
                    <SelectFields>
                        <telerik:GridGroupByField FieldAlias="nazevDokumentu" FieldName="nazevDokumentu" HeaderText="[%Nadpis vývěsky%]"></telerik:GridGroupByField>
                    </SelectFields>
                    <GroupByFields>
                        <telerik:GridGroupByField FieldName="nazevDokumentu"></telerik:GridGroupByField>
                    </GroupByFields>
                </telerik:GridGroupByExpression>
            </GroupByExpressions>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl runat="server" ID="GCIC1" DateControl="TRadObdobiInterval">
                    <BezMESButton runat="server" Visible="true"></BezMESButton>
                    <PrimiPodrizeniButton runat="server" Visible="true"></PrimiPodrizeniButton>
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
            <ColumnGroups>
                <telerik:GridColumnGroup Name="bull" HeaderText="[%Vývěska%]"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="cont" HeaderText="[%Obsah vývěsky%]"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="adr" HeaderText="[%Adresáti%]"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="stat" HeaderText="[%Statistika%]"></telerik:GridColumnGroup>
            </ColumnGroups>
            <Columns>
                <telerik:GridBoundColumn DataField="nazevDokumentu" HeaderText="[%Nadpis%]" SortExpression="nazevDokumentu" ColumnGroupName="bull" />
                <telerik:GridDateTimeColumn DataField="publ_od" HeaderText="[%Publikováno%]" SortExpression="publ_od" ColumnGroupName="bull"
                    DataFormatString="{0:d.M.yyyy}" />
                <telerik:GridDateTimeColumn DataField="publ_do" HeaderText="[%do%]" SortExpression="publ_do" ColumnGroupName="bull"
                    DataFormatString="{0:d.M.yyyy}" />
                <telerik:GridCheckBoxColumn DataField="je_dok" HeaderText="[%Dokument%]" SortExpression="je_vystaveny_dok" DataType="System.Boolean" ColumnGroupName="cont"></telerik:GridCheckBoxColumn>
                <telerik:GridCheckBoxColumn DataField="je_vystaveny_dok" HeaderText="[%Dok. vystavené%]" SortExpression="je_vystaveny_dok" DataType="System.Boolean" ColumnGroupName="cont"></telerik:GridCheckBoxColumn>
                <telerik:GridBoundColumn DataField="osCislo" HeaderText="[%Os. číslo%]" SortExpression="osCislo" ColumnGroupName="adr"/>
                <telerik:GridBoundColumn DataField="jmeno_adresata" HeaderText="[%Jméno%]" SortExpression="jmeno_adresata" ColumnGroupName="adr"/>
                <telerik:GridDateTimeColumn DataField="dat_zobr" HeaderText="[%Otevřeno%]" SortExpression="dat_zobr" ColumnGroupName="stat"
                    DataFormatString="{0:d.M.yyyy}" />
                <telerik:GridDateTimeColumn DataField="dat_potvr" HeaderText="[%Potvrzeno%]" SortExpression="dat_potvr" ColumnGroupName="stat"
                    DataFormatString="{0:d.M.yyyy}" />
            </Columns>
        </MasterTableView>
        <GroupingSettings ShowUnGroupButton="true" />
        <ClientSettings AllowDragToGroup="True">
            <Selecting AllowRowSelect="false" />
            <%--Dovolí vybrat položku z tabulky --%>
        </ClientSettings>
    </kspwc:TRadGrid>

   <%-- <asp:ObjectDataSource ID="NactiSeznamDokumentu" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="GetBulletinSestava" TypeName="KSProgram.Bulletin.Bulletin">
        <selectparameters>
            <asp:querystringparameter name="from"  Type="DateTime" />
            <asp:querystringparameter name="to"  Type="DateTime" />
          </selectparameters></asp:ObjectDataSource>--%>




</asp:Content>
