﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using KSProgram.Pozadavky;
using KSProgram.WebControls;
using AjaxControlToolkit;

namespace KSPortal.Controls
{
    public partial class PozadavekPrilohy : System.Web.UI.UserControl
    {
        public int ID_Pozadavku
        {
            get
            {
                return (ViewState["id_poz"] == null ? 1 : (int)ViewState["id_poz"]);
            }
            set
            {
                ViewState["id_poz"] = value;
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {

        }
      
        protected void AsyncFileUpload1_UploadedComplete(object sender, AjaxControlToolkit.AsyncFileUploadEventArgs e)
        {
            AsyncFileUpload up = (AsyncFileUpload)WebControlHelper.FindControl(this, "AsyncFileUpload1");
            Stream stream = up.FileContent;
            int res = PozadavekPriloha.SaveFileToDb(1, stream, e.FileName, e.FileSize, "popis");               
            ds_soubory.Insert();     
        }

        protected void ds_soubory_Deleting(object sender, ObjectDataSourceMethodEventArgs e)
        {
            
        }

        protected void ds_soubory_DataBinding(object sender, EventArgs e)
        {
           // ds_soubory.SelectParameters["id_poz"].DefaultValue = ID_Pozadavku.ToString();
        }

        protected void TGridView1_DataBinding(object sender, EventArgs e)
        {
            ds_soubory.SelectParameters["id_poz"].DefaultValue = ID_Pozadavku.ToString();
        }

        protected void TGridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
        {
            ds_soubory.DeleteParameters["id_poz"].DefaultValue = ID_Pozadavku.ToString();
        }
        

        public void DataBindSeznam()
        {
            //TGridView1.DataBind();
            up_sezam_priloh.DataBind();
        }
    }
}