﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.Obecne;
using KSProgram.Pozadavky;
using KSProgram.WebControls;
using System.Drawing;
using KSProgram.WebControlsAlone;
using KSProgram;
using KSProgram.Funkce;
using System.Data;
using KSProgram.Prava;
using KSProgram.Diagnostics;
using Telerik.Web.UI;
using KSProgram.Ciselniky;
using KSProgram.Dochazka;
using KSProgram.Personal;

public partial class Controls_ZadostOodmeny : UserControlPozadavek
{
    //decimal os_cislo_vydavatele = 0;
    //DateTime datum_vydani = new DateTime();
    public static string SelecteOsCisloKey = "vybr_os_cislo";

    private decimal os_cislo_vydavatele
    {
        get
        {
            return (ViewState["os_cislo_vydavatele"] == null ? 0 : Convert.ToDecimal(ViewState["os_cislo_vydavatele"]));
        }
        set
        {
            ViewState["os_cislo_vydavatele"] = value;
        }
    }

    private DateTime datum_vydani
    {
        get
        {
            return (ViewState["datum_vydani"] == null ? new DateTime() : Convert.ToDateTime(ViewState["datum_vydani"]));
        }
        set
        {
            ViewState["datum_vydani"] = value;
        }
    }

    /// <summary>
    /// Indikuje zda se má zobrazovat sloupec projekt
    /// </summary>
    public static bool ProjektVisible
    {
        get
        {
            //return RozsireniAplikace.Overit("ROZKONTACE PODLE TRIVI");
            //PH 19.4.2018
            return Globals.RAActive("ROZKONTACE PODLE TRIVI");
        }
    }

    /// <summary>
    /// 
    /// </summary>
    public static bool ProjektUlohaVisible
    {
        get
        {
            return ParametryDochazky.DIMENSIONS_VISIBLE;
        }
    }

    /// <summary>
    /// 
    /// </summary>
    public static bool PoznamkaVisible
    {
        get
        {
            return (Parametry.ParametrCti("odmeny_poznamka") == "a");
        }
    }

    /// <summary>
    /// 
    /// </summary>
    public static bool LimityKontrola
    {
        get
        {
            return (Parametry.ParametrCti("OdmenyLimityKontrola") == "c");
        }
    }


    //protected override void OnLoadComplete(EventArgs e)
    //{
    //    base.OnLoadComplete(e);

    //    ObjectDataSource ds6 = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_Seznam");
    //    TGridView v = (TGridView)WebControlHelper.FindControl(this, "gv_Seznam");
    //    if (v != null)
    //    {
    //        v.DataSourceID = "ds_Seznam";
    //        ds6.SelectParameters["os_cislo_nadriz"].DefaultValue = os_cislo_vydavatele.ToString();
    //        ds6.SelectParameters["datum"].DefaultValue = datum_vydani.ToString();
    //    }
    //}

    /// <summary>
    /// Po aktualizaci záznamu
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    public new void ItemUpdated(object sender, EventArgs e)
    {
        OnItemUpdated(new EventArgs());
    }

    protected void ImageButton2_Command(object sender, CommandEventArgs e)
    {
        SessionInfo.RemoveVariable("porizovak_data");
        OnItemExit(new EventArgs());
    }

    protected void ddlb_obdobi_Load(object sender, EventArgs e)
    {
        DDLObdobi obdobi = (DDLObdobi)WebControlHelper.FindControl(FormView1, "ddlb_obdobi");
        if (obdobi != null)
        {
            obdobi.MinObdobi = Globals.AktObdobi;
            obdobi.MaxObdobi = Globals.AktObdobi.AddMonths(1);
            obdobi.SetObdobi(Globals.AktObdobi);
        }
    }


    //protected void gv_Seznam_RowCommand(object sender, GridViewCommandEventArgs e)
    //{
    //    if (e.CommandName == "OznacZaznam")
    //    {
    //        int index = Convert.ToInt32(e.CommandArgument);
    //        if (index > -1)
    //        {
    //            SeznamSelectRow(sender, index);
    //            /*
    //            _collectData();
    //            TGridView gv_Seznam = (TGridView)WebControlHelper.FindControl(this,"gv_Seznam");
    //            gv_Seznam.SelectedIndex = index;
    //           */
    //        }
    //    }
    //}

    //protected void SeznamSelectRow(object sender, int row)
    //{
    //    if (row > -1)
    //    {
    //        KSTrace.WriteLine("ZadostOodmeny SeznamSelectRow start");

    //        TGridView gv_Seznam = (TGridView)WebControlHelper.FindControl(this, "gv_Seznam");
    //        gv_Seznam.SelectedIndex = row;
    //        TGridView gv_porizovak = (TGridView)WebControlHelper.FindControl(this, "gv_porizovak");
    //        gv_porizovak.DataBind();

    //        KSTrace.WriteLine("ZadostOodmeny SeznamSelectRow end");
    //    }
    //}

    //protected void gv_Seznam_RowDataBound(object sender, GridViewRowEventArgs e)
    //{
    //    if (e.Row.RowType == DataControlRowType.DataRow)
    //    {
    //        ImageButton link = (ImageButton)e.Row.FindControl("ImageSelection");
    //        link.CommandArgument = e.Row.RowIndex.ToString();

    //        string val = Convert.ToString(DataBinder.Eval(e.Row.DataItem, "stav"));
    //        if (val == "n")
    //        {
    //            for (int i = 0; i < e.Row.Cells.Count; i++)
    //                e.Row.Cells[i].ForeColor = Color.Red;
    //        }
    //    }
    //}



    protected void gv_porizovak_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            RadNumericTextBox box = (RadNumericTextBox)e.Row.FindControl("NumTextBox_dny");
            if (!box.Enabled) box.BackColor = Color.White;

            box = (RadNumericTextBox)e.Row.FindControl("NumTextBox_hodiny");
            if (!box.Enabled) box.BackColor = Color.White;

            box = (RadNumericTextBox)e.Row.FindControl("NumTextBox_sazba");
            if (!box.Enabled) box.BackColor = Color.White;

            box = (RadNumericTextBox)e.Row.FindControl("NumTextBox_castka");
            if (!box.Enabled) box.BackColor = Color.White;

            object o = DataBinder.Eval(e.Row.DataItem, "prac_str");
            if (o != null)
            {
                if (o.ToString() != "")
                {
                    string str = o.ToString().Trim();

                    RadComboBox combo = (RadComboBox)WebControlHelper.FindControl(e.Row, "ddl_prac_str");
                    if (combo != null)
                    {
                        RadComboBoxItem selectedItem = new RadComboBoxItem();
                        selectedItem.Text = CisStredisko.CelyNazev(str);
                        selectedItem.Value = str;
                        selectedItem.Attributes.Add("prac_str", str);
                        combo.Items.Add(selectedItem);
                        selectedItem.DataBind();
                        combo.DataBind();
                    }
                }
            }

            o = DataBinder.Eval(e.Row.DataItem, "id_vazby");
            if (o != null)
            {
                if (o.ToString() != "")
                {
                    int id = Convert.ToInt32(o);

                    RadComboBox combo = (RadComboBox)WebControlHelper.FindControl(e.Row, "combo_projekt");
                    if (combo != null)
                    {
                        RadComboBoxItem selectedItem = new RadComboBoxItem();
                        selectedItem.Text = CisProjekty.CelyNazev(id);
                        selectedItem.Value = id.ToString();
                        selectedItem.Attributes.Add("id", id.ToString());
                        combo.Items.Add(selectedItem);
                        selectedItem.DataBind();
                        combo.DataBind();
                    }
                }
            }

            o = DataBinder.Eval(e.Row.DataItem, "c_pole1");
            if (o != null)
            {
                if (o.ToString() != "")
                {
                    string c_pole1 = o.ToString().Trim();

                    RadComboBox combo = (RadComboBox)WebControlHelper.FindControl(e.Row, "dd_dim1");
                    if (combo != null)
                    {
                        RadComboBoxItem selectedItem = new RadComboBoxItem();
                        selectedItem.Text = dch_poriz_ukolu.ProjektCelyNazev(c_pole1);
                        selectedItem.Value = c_pole1;
                        selectedItem.Attributes.Add("projekt", c_pole1);
                        combo.Items.Add(selectedItem);
                        selectedItem.DataBind();
                        combo.DataBind();

                        //--------------------------------------------
                        Control row = ((WebControl)combo).Parent.Parent;

                        //RadComboBox dd_dim1 = (RadComboBox)(row.FindControl("dd_dim1"));

                        if (!string.IsNullOrEmpty(c_pole1))
                        {
                            //  ObjectDataSource ds = (ObjectDataSource)(row.FindControl("ds_uloha"));
                            ObjectDataSource ds = (ObjectDataSource)WebControlHelper.FindControlRecursive(row, "ds_uloha", typeof(ObjectDataSource));
                            ds.SelectParameters["projekt"].DefaultValue = c_pole1;
                            ds.SelectParameters["obdobi"].DefaultValue = Globals.AktObdobi.ToString();
                            //WebControl c = (WebControl)row.FindControl("dd_dim2");
                            TRadComboBox c = (TRadComboBox)WebControlHelper.FindControlRecursive(row, "dd_dim2", typeof(TRadComboBox));
                            c.DataBind();
                        }
                        //--------------------------------------------
                    }
                }
            }
            o = DataBinder.Eval(e.Row.DataItem, "c_pole2");
            if (o != null)
            {
                if (o.ToString() != "")
                {
                    string c_pole2 = o.ToString().Trim();

                    RadComboBox combo = (RadComboBox)WebControlHelper.FindControl(e.Row, "dd_dim2");
                    if (combo != null)
                    {
                        ObjectDataSource ds = (ObjectDataSource)WebControlHelper.FindControlRecursive(e.Row, "ds_uloha", typeof(ObjectDataSource));
                        string projekt = ds.SelectParameters["projekt"].DefaultValue;
                        RadComboBoxItem cmb = combo.Items.FindItemByValue(c_pole2);
                        cmb.Selected = true;
                    }
                }
            }
        }
    }
    protected void gv_porizovak_RowCreated(object sender, GridViewRowEventArgs e)
    {

        if ((e.Row.RowType == DataControlRowType.DataRow) || (e.Row.RowType == DataControlRowType.Header) || (e.Row.RowType == DataControlRowType.Footer))
        {
            //ObjectDataSource ds = (ObjectDataSource)e.Row.FindControl("ds_strediska");
            //ds.SelectParameters[0].DefaultValue = DateTime.Today.Date.ToString();
            e.Row.Cells[6].Visible = ProjektVisible;

            e.Row.Cells[7].Visible = ProjektUlohaVisible;
            e.Row.Cells[8].Visible = ProjektUlohaVisible;
            e.Row.Cells[9].Visible = PoznamkaVisible;

        }
    }

    //protected void gv_Seznam_DataBound(object sender, EventArgs e)
    //{
    //    TGridView v = (TGridView)sender;
    //    if (v.Rows.Count > 0)
    //    {
    //       v.SelectedIndex = 0;
    //       SeznamSelectRow(sender, 0);
    //    }
    //}

    protected void gv_Seznam_DataBinding(object sender, EventArgs e)
    {
        //ObjectDataSource ds = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_Seznam");
        //TGridView v = (TGridView)WebControlHelper.FindControl(this, "gv_Seznam");
        //v.DataSourceID = "ds_Seznam";
        //ds.SelectParameters["os_cislo_nadriz"].DefaultValue = os_cislo_vydavatele.ToString();
        //ds.SelectParameters["datum"].DefaultValue = datum_vydani.ToString();
    }

    protected void _collectData(bool newRow = false)
    {
        //TGridView gv_Seznam = (TGridView)WebControlHelper.FindControl(this, "gv_Seznam");
        TRadGrid trg_seznam = (TRadGrid)WebControlHelper.FindControl(this, "TRG_Seznam");
        TGridView gv_porizovak = (TGridView)WebControlHelper.FindControl(this, "gv_porizovak");
        Str_porizovak p = new Str_porizovak();
        //p.Os_cislo = Convert.ToDecimal(gv_Seznam.SelectedDataKey["os_cislo"]);
        p.Os_cislo = Convert.ToDecimal(trg_seznam.SelectedValues["os_cislo"]);
        p.Cislo_pom = Convert.ToInt16(trg_seznam.SelectedValues["cislo_pom"]);
        Str_porizovak_polozky pol = new Str_porizovak_polozky();
        foreach (GridViewRow row in gv_porizovak.Rows)
        {
            pol = new Str_porizovak_polozky();
            TRadComboBox list = (TRadComboBox)row.FindControl("ddl_prac_str");
            pol.Prac_str = list.SelectedValue.ToString();

            RadComboBox box_kod = (RadComboBox)row.FindControl("ddl_kod");
            string ls_sel_kod = box_kod.SelectedValue;
            if (string.IsNullOrEmpty(ls_sel_kod))
            {
                Label lab = (Label)row.FindControl("Lab_polozka");
                int index = lab.Text.IndexOf("-");
                if (index > -1)
                {
                    string k = lab.Text.Substring(0, index - 1);
                    pol.Kod = Convert.ToInt32(k);
                }
            }
            else
            {
                pol.Kod = Convert.ToInt32(ls_sel_kod);
            }

            //TextBox box = (TextBox)row.FindControl("TextBox_dny");
            //if ((box.Enabled) && (!string.IsNullOrEmpty(box.Text)))
            //    pol.Dny = Convert.ToDecimal(box.Text);
            RadNumericTextBox boxN = (RadNumericTextBox)row.FindControl("NumTextBox_dny");
            if ((boxN.Enabled) && (!string.IsNullOrEmpty(boxN.Text)))
                pol.Dny = Convert.ToDecimal(boxN.DbValue);

            //box = (TextBox)row.FindControl("TextBox_hodiny");
            //if ((box.Enabled) && (!string.IsNullOrEmpty(box.Text)))
            //    pol.Hodiny = Convert.ToDecimal(box.Text);
            boxN = (RadNumericTextBox)row.FindControl("NumTextBox_hodiny");
            if ((boxN.Enabled) && (!string.IsNullOrEmpty(boxN.Text)))
                pol.Hodiny = Convert.ToDecimal(boxN.DbValue);

            //box = (TextBox)row.FindControl("TextBox_sazba");
            //if ((box.Enabled) && (!string.IsNullOrEmpty(box.Text)))
            //    pol.Sazba = Convert.ToDecimal(box.Text);
            boxN = (RadNumericTextBox)row.FindControl("NumTextBox_sazba");
            if ((boxN.Enabled) && (!string.IsNullOrEmpty(boxN.Text)))
                pol.Sazba = Convert.ToDecimal(boxN.DbValue);

            //box = (TextBox)row.FindControl("TextBox_castka");
            //if ((box.Enabled) && (!string.IsNullOrEmpty(box.Text)))
            //    pol.Castka = Convert.ToDecimal(box.Text);
            boxN = (RadNumericTextBox)row.FindControl("NumTextBox_castka");
            if ((boxN.Enabled) && (!string.IsNullOrEmpty(boxN.Text)))
                pol.Castka = Convert.ToDecimal(boxN.DbValue);

            //PH 19.12.2017 HID:2453
            //----------------------------------------------------
            TRadComboBox box = (TRadComboBox)row.FindControl("combo_projekt");
            pol.IdVazby = null;
            pol.TypVazby = null;
            if (box.Visible)
            {
                if (!string.IsNullOrEmpty(box.SelectedValue))
                {
                    pol.IdVazby = Convert.ToInt32(box.SelectedValue);
                    pol.TypVazby = "cp";
                }
            }
            //----------------------------------------------------
            //PH 23.7.2018 ---------------------------------------
            TRadComboBox box_dim1 = (TRadComboBox)row.FindControl("dd_dim1");
            pol.C_pole1 = null;
            if (box_dim1.Visible)
            {
                if (!string.IsNullOrEmpty(box_dim1.SelectedValue))
                {
                    pol.C_pole1 = box_dim1.SelectedValue;
                }
            }

            TRadComboBox box_dim2 = (TRadComboBox)row.FindControl("dd_dim2");
            pol.C_pole2 = null;
            if (box_dim2.Visible)
            {
                if (!string.IsNullOrEmpty(box_dim2.SelectedValue))
                {
                    pol.C_pole2 = box_dim2.SelectedValue;
                }
            }

            //----------------------------------------------------

            RadTextBox txt_pozn = (RadTextBox)row.FindControl("txt_poznamka");
            if (txt_pozn.Visible)
            {
                pol.Poznamka = txt_pozn.Text;
            }

            if (p.Items == null) p.Items = new List<Str_porizovak_polozky>();
            //if ((pol.Dny!=null)||(pol.Hodiny!=null)||(pol.Sazba!=null)||(pol.Castka!=null))
            //PH 2.5.2018 ukládám i info o středisku
            //if ((pol.Dny != null) || (pol.Hodiny != null) || (pol.Sazba != null) || (pol.Castka != null)||!string.IsNullOrEmpty(pol.Prac_str))
            //PH 16.7.2018
            if ((pol.Kod > 0) &&
                (((pol.Dny != null) || (pol.Hodiny != null) || (pol.Sazba != null) || (pol.Castka != null) || !string.IsNullOrEmpty(pol.Prac_str)) || newRow))
                p.Items.Add(pol);
        }
        prtl_porizovak.PreUloz(p);
        gv_porizovak.DataBind();
    }


    protected void text_changed(object sender, EventArgs e)
    {
        _collectData();
    }

    protected void gv_porizovak_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "save")
        {
            //_collectData(); ???
            Exception ex = new Exception();
            ItemInserted(sender, new FormViewInsertedEventArgs(1, ex));
        }
    }



    public override void Nacist()
    {
        base.Nacist();

        ObjectDataSource1.SelectParameters["id_pozadavku"].DefaultValue = PozId.ToString();

        WorkflowMaster wf = new WorkflowMaster(PozId, "odmeny", null);
        string val = wf.Get_UN("", "Form1", "Mode");
        if (val == "insert")
        {
            datum_vydani = DateTime.Today.Date;
            os_cislo_vydavatele = Globals.OsCisloAktUser;

            FormView1.ChangeMode(FormViewMode.Insert);

            ObjectDataSource ds2 = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_porizovak");
            if (ds2 != null)
                ds2.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
      
        }

        else if (val == "edit")
        {
            FormView1.ChangeMode(FormViewMode.Edit);

            ObjectDataSource ds3 = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_porizovak_oprava");
            if (ds3 != null)
                ds3.SelectParameters["id_poz"].DefaultValue = PozId.ToString();

            ObjectDataSource ds4 = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_porizovak_rekapitulace_oprava");
            if (ds4 != null)
                ds4.SelectParameters["id_poz"].DefaultValue = PozId.ToString();

            workfl_hl hl = new workfl_hl();
            Str_workfl_hl str = hl.NaplnStrukturu(PozId);
            workfl_proc p = new workfl_proc();
            Str_workfl_proc str_proc = p.GetPrvniFazi(PozId);

            os_cislo_vydavatele = str.os_cislo;
            datum_vydani = str_proc.datum;
        }

        else if (val == "readonly")
        {
            ObjectDataSource ds = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_porizovak_prohl");
            if (ds != null)
                ds.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
        }

        SessionInfo.RemoveVariable("porizovak_data");

        FormView1.DataSourceID = "ObjectDataSource1";
        FormView1.DataBind();

        RadGrid gr = (RadGrid)WebControlHelper.FindControl(this, "TRG_porizovak_rekapitulace");
        if (gr != null)
        {
            GridColumn c = gr.MasterTableView.GetColumn("id_projekt");
            if (c != null)
                c.Visible = ProjektVisible;

            c = gr.MasterTableView.GetColumn("c_pole1");
            if (c != null)
                c.Visible = ProjektUlohaVisible;

            c = gr.MasterTableView.GetColumn("c_pole2");
            if (c != null)
                c.Visible = ProjektUlohaVisible;
        }

        gr = (RadGrid)WebControlHelper.FindControl(this, "TRG_porizovak_prohl");
        if (gr != null)
        {
            GridColumn c = gr.MasterTableView.GetColumn("id_projekt");
            if (c != null)
                c.Visible = ProjektVisible;

            c = gr.MasterTableView.GetColumn("c_pole1");
            if (c != null)
                c.Visible = ProjektUlohaVisible;

            c = gr.MasterTableView.GetColumn("c_pole2");
            if (c != null)
                c.Visible = ProjektUlohaVisible;
        }

        if ((val == "edit") || (val == "insert"))
        {
            TRadGrid tgrid = (TRadGrid)WebControlHelper.FindControlRecursive(FormView1, "TRG_Seznam", typeof(TRadGrid));
            if (tgrid != null)
            {
                string old_val = tgrid.GetGridCommandItemControl.PracPomeryComboBox.SelectedValue;
                if (old_val != "Aktivní")
                {
                    tgrid.GetGridCommandItemControl.PracPomeryComboBox.SelectedValue = "Aktivní";
                    tgrid.GetGridCommandItemControl.PracPomeryComboBox.Text = "Aktivní";
                    tgrid.Rebind();
                }
            }
        }
        RadWindow rw = (RadWindow)WebControlHelper.FindControlRecursive(this, "rw_sestava_odmeny", typeof(RadWindow));
        //rw.NavigateUrl = Pozadavek.UrlBase() + "/sestavy/WfOdmenysc.aspx";  
        //PH 29.6.2020 HID:51506
        rw.NavigateUrl = "~/sestavy/WfOdmenysc.aspx";
    }


    protected void gv_porizovak_oprava_dataBinding(object sender, EventArgs e)
    {
        ObjectDataSource ds = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_porizovak_oprava");
        ds.SelectParameters[0].DefaultValue = PozId.ToString();
    }

    public override void ChangeMode(FormViewMode mode)
    {
        FormView1.ChangeMode(mode);
    }

    protected void ObjectDataSource1_Inserting(object sender, ObjectDataSourceMethodEventArgs e)
    {
        // _collectData();???
        object o = SessionInfo.GetVariable("porizovak_data");
        if (o == null)
        {
            e.Cancel = true;
            return;
        }
        else
        {
            Str_porizovak_zam zm = (Str_porizovak_zam)o;
            if (zm.Zamci.Count == 0)
            {
                e.Cancel = false;
                return;
            }
        }


        DDLObdobi obd = (DDLObdobi)WebControlHelper.FindControl(this, "ddlb_obdobi");
        e.InputParameters["obdobi"] = obd.GetObdobi();

        TRadDatePicker cal = (TRadDatePicker)WebControlHelper.FindControl(this, "TextBoxDatVyrizeniInsert");
        e.InputParameters["vyridit_do"] = (cal.SelectedDate == null ? new DateTime() : Convert.ToDateTime(cal.SelectedDate));

        RadTextBox box = (RadTextBox)WebControlHelper.FindControl(this, "rdb_lDuvod");
        e.InputParameters["duvod"] = (box.Text == "" ? String.Empty : box.Text);
    }

    public new void ItemInserted(object sender, FormViewInsertedEventArgs e)
    {
        //OnItemInserted(new EventArgs());
    }
    protected void ObjectDataSource1_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
    {
        //OnItemInserted(new EventArgs());
        PozId = Convert.ToInt32(e.OutputParameters["id_poz"]);
        ObjectDataSource1.SelectParameters["id_pozadavku"].DefaultValue = PozId.ToString();
        Nacist();
    }
    protected void FormView1_DataBound(object sender, EventArgs e)
    {
        ObjectDataSource ds = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_porizovak_prohl");
        if (ds != null)
            ds.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
        TGridView v = (TGridView)WebControlHelper.FindControl(this, "gv_porizovak_prohl");
        if (v != null)
            v.DataBind();

        /* PH 19.4.2018 zapoznámkováno
        ObjectDataSource ds6 = (ObjectDataSource)WebControlHelper.FindControl(FormView1, "ds_Seznam");       

        TRadGrid trg = (TRadGrid)WebControlHelper.FindControl(FormView1, "TRG_Seznam");
        if (trg != null)
        {
            trg.DataSourceID = "ds_Seznam";
            ds6.SelectParameters["os_cislo_nadriz"].DefaultValue = os_cislo_vydavatele.ToString();
            ds6.SelectParameters["datum"].DefaultValue = datum_vydani.ToString();
        }
        */

        OnItemRetrieved(new EventArgs());
    }

    protected void cv_nevyplneno_servervalidate(object sender, ServerValidateEventArgs e)
    {
        if (LimityKontrola)
        {
            CustomValidator validator = (CustomValidator)sender;

            object o = SessionInfo.GetVariable("porizovak_data");
            if (o == null)
            {
                //není co kontrolovat pustím to dál
                e.IsValid = true;
                return;
            }

            Str_porizovak_zam zm = (Str_porizovak_zam)o;
            if ((zm.Zamci == null) || (zm.Zamci.Count == 0))
            {
                e.IsValid = true;
                return;
            }

            List<string> lst = new List<string>();
            Limity limity = new Limity();
            foreach (Str_porizovak p in zm.Zamci)
            {
                foreach (Str_porizovak_polozky i in p.Items)
                {
                    int id_limitu = limity.FindLimit(0, i.Kod, Globals.AktObdobi, Globals.AktObdobi, p.Os_cislo, p.Cislo_pom);
                    if (id_limitu == 0) continue;
                    Limity.Limit lm = limity.ReadLimit(id_limitu);
                    //string ls_pref = "Os. číslo/ Číslo pom/ Kód: " + p.Os_cislo + "/ " + p.Cislo_pom + "/ " + i.Kod;
                    string ls_pref = WebControlHelper.ZmenaTextu("[%Os. číslo%]/ [%Číslo pom%]/ [%Kód%]: ") + p.Os_cislo + "/ " + p.Cislo_pom + "/ " + i.Kod;
                    if (lm.max_sazba < i.Sazba)
                    {
                        lst.Add(ls_pref + WebControlHelper.ZmenaTextu(": [%limit na max. sazbu překročen o%] ") + (Convert.ToString(i.Sazba - lm.max_sazba)));
                    }
                    else if (lm.min_sazba > i.Sazba)
                    {
                        lst.Add(ls_pref + WebControlHelper.ZmenaTextu(": [%limit na min. sazbu podkročen o%] ") + (Convert.ToString(lm.min_sazba - i.Sazba)));
                    }
                    else if (lm.max_castka < i.Castka)
                    {
                        lst.Add(ls_pref + WebControlHelper.ZmenaTextu(": [%limit na max. částku překročen o%] ") + (Convert.ToString(i.Castka - lm.max_castka)));
                    }
                    else if (lm.min_castka > i.Castka)
                    {
                        lst.Add(ls_pref + WebControlHelper.ZmenaTextu(": [%limit na min. částku podkročen o%] ") + (Convert.ToString(lm.min_castka - i.Castka)));
                    }
                }
            }
            validator.Text = string.Empty;
            validator.ErrorMessage = string.Empty;

            foreach (string s in lst)
            {
                validator.Text += s + "<br/>";
            }
            validator.ErrorMessage = validator.Text;

            e.IsValid = !(lst.Count > 0);
            return;

        }
        else
        {
            e.IsValid = true;
        }
    }

    protected void cv_zamek_validate(object sender, ServerValidateEventArgs e)
    {
        //if (Zakaznik.IsCurrent("VALEO_GROUP"))
        //{
        //PH 24.6.2015 zámek bude pro všechny
        e.IsValid = (!ZamykaniAgend.Zamceno(Agenda.Portál__Požadavky_na_odměny));
        return;
        //}
        //e.IsValid=true;        
    }
    public override void ZmenaStavu_ServerValidate(CustomValidator validator, ServerValidateEventArgs e)
    {
        //PR 16.3.2017 místo vařechy v PozadavekDetail a schování změny stavu, jej nechám vybrat ale zde to zablokuji
        if (!string.IsNullOrEmpty(e.Value)) //PR 14.3.2017 pokud zvolil nějaký stav ...
        {
            e.IsValid = (!ZamykaniAgend.Zamceno(Agenda.Portál__Požadavky_na_odměny));
            if (!e.IsValid)
                validator.Text = WebControlHelper.ZmenaTextu("[%Agenda je zamčena, nelze pokračovat%]");
            return;
        }
    }

    protected void lb_editace_oncommand(object sender, CommandEventArgs e)
    {
        FormEditace(sender, true);
    }

    protected void lb_prehled_oncommand(object sender, CommandEventArgs e)
    {
        FormEditace(sender, false);
    }

    protected void FormEditace(object sender, bool editace)
    {
        if (editace)
        {
            //((Control)sender).Visible = false;
            Control c = WebControlHelper.FindControl(FormView1, "lb_editace");
            Control c1 = WebControlHelper.FindControl(FormView1, "pan_prohl");
            Control c2 = WebControlHelper.FindControl(FormView1, "pan_poriz");
            Control c3 = WebControlHelper.FindControl(FormView1, "lb_prehled");
            c.Visible = false;
            c1.Visible = false;
            c2.Visible = true;
            c3.Visible = true;
        }
        else
        {
            //((Control)sender).Visible = false;
            Control c = WebControlHelper.FindControl(FormView1, "lb_prehled");
            Control c1 = WebControlHelper.FindControl(FormView1, "pan_prohl");
            Control c2 = WebControlHelper.FindControl(FormView1, "pan_poriz");
            Control c3 = WebControlHelper.FindControl(FormView1, "lb_editace");
            c.Visible = false;
            c1.Visible = true;
            c2.Visible = false;
            c3.Visible = true;

            //_collectData();???

            //TGridView gr = (TGridView)WebControlHelper.FindControl(FormView1, "gv_porizovak_rekapitulace");
            //gr.DataBind();
            TRadGrid trg = (TRadGrid)WebControlHelper.FindControl(FormView1, "TRG_porizovak_rekapitulace");
            trg.DataBind();
        }
    }

    protected void FormView1_ItemUpdated(object sender, FormViewUpdatedEventArgs e)
    {
        CommandEventArgs e1 = new CommandEventArgs("save", 1);
        Control c = WebControlHelper.FindControl(this, "gv_porizovak");
        GridViewCommandEventArgs e2 = new GridViewCommandEventArgs(c, e1);
        gv_porizovak_RowCommand(sender, e2);
    }


    public override void CommandRouter(object sender, CommandEventArgs e, ref bool is_valid)
    {
        is_valid = true;
        if (e.CommandName.ToString() == "Save")
        {
            this.Page.Validate();
            is_valid = this.Page.IsValid;
            if (is_valid)
            {
                if (FormView1.CurrentMode != FormViewMode.ReadOnly)
                {
                    if (FormView1.CurrentMode == FormViewMode.Insert)
                        ObjectDataSource1.Insert();
                    else
                        ObjectDataSource1.Update();
                }
            }
        }
    }
    protected void FormView1_ModeChanged(object sender, EventArgs e)
    {

        TGridView gv = null;
        if (FormView1.CurrentMode == FormViewMode.Insert)
        {
            FormEditace(null, true);
            gv = (TGridView)WebControlHelper.FindControl(FormView1, "gv_porizovak");
            ObjectDataSource ds2 = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_porizovak");

            if (ds2 != null)
                ds2.SelectParameters["id_poz"].DefaultValue = PozId.ToString();

            if (gv != null)
            {
                gv.DataSourceID = "ds_porizovak";
                //gv.DataBind();
            }

        }
        else if (FormView1.CurrentMode == FormViewMode.ReadOnly)
        {
            if (gv != null)
                gv.DataSourceID = "";

            FormEditace(null, false);
            gv = (TGridView)WebControlHelper.FindControl(FormView1, "gv_porizovak");
            ObjectDataSource ds = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_porizovak_prohl");
            if (ds != null)
                ds.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
        }
    }

    protected void FormView1_ModeChanging(object sender, FormViewModeEventArgs e)
    {
    }

    protected void ObjectDataSource1_Updating(object sender, ObjectDataSourceMethodEventArgs e)
    {
        // _collectData();???

        TRadDatePicker tx_dat_vyrizeni = (TRadDatePicker)WebControlHelper.FindControl(this, "TextBoxDatVyrizeniEdit");
        RadTextBox tx_duvod = (RadTextBox)WebControlHelper.FindControl(this, "tx_duvod_edit");
        DDLObdobi obd = (DDLObdobi)WebControlHelper.FindControl(this, "ddlb_obdobi_edit");

        string duvod = "";
        if (tx_duvod != null)
            duvod = tx_duvod.Text.Trim();

        DateTime dat_vyriz = new DateTime(); ;
        if (tx_dat_vyrizeni != null)
            dat_vyriz = (tx_dat_vyrizeni.SelectedDate == null ? new DateTime() : Convert.ToDateTime(tx_dat_vyrizeni.SelectedDate));

        ObjectDataSource ds = (ObjectDataSource)WebControlHelper.FindControl(this, "ObjectDataSource1");
        ds.UpdateParameters["id_poz"].DefaultValue = PozId.ToString();
        ds.UpdateParameters["duvod"].DefaultValue = duvod;
        ds.UpdateParameters["obdobi"].DefaultValue = obd.GetObdobi().ToString();
        ds.UpdateParameters["vyridit_do"].DefaultValue = dat_vyriz.ToString();

        SessionInfo.SetVariable("poriz_id_poz", PozId);
        SessionInfo.SetVariable("poriz_duvod", duvod);
        SessionInfo.SetVariable("poriz_obdobi", obd.GetObdobi().ToString());
        SessionInfo.SetVariable("poriz_vyridit_do", dat_vyriz);
    }

    protected void ObjectDataSource1_DataBinding(object sender, EventArgs e)
    {
    }

    protected void TextBoxOnChanged(object sender, EventArgs e)
    {
        _collectData();
    }

    protected void TRG_Seznam_DataBound(object sender, EventArgs e)
    {
        TRadGrid grid = (TRadGrid)sender;
        if (grid.Items.Count > 0)
        {
            grid.MasterTableView.Items[0].Selected = true;

            _saveVybrOsCislo(sender);

            TGridView gv_porizovak = (TGridView)WebControlHelper.FindControl(this, "gv_porizovak");
            gv_porizovak.DataBind();
            //SeznamSelectRow(sender, 0);
        }
    }

    protected void TRG_Seznam_ItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {
            GridDataItem item = (GridDataItem)e.Item;
            (item["select_col"].Controls[0] as ImageButton).CommandArgument = e.Item.RowIndex.ToString();

            string val = Convert.ToString(DataBinder.Eval(item.DataItem, "stav"));
            if (val == "n")
            {
                for (int i = 0; i < item.Cells.Count; i++)
                    item.Cells[i].ForeColor = Color.Red;
            }
        }

    }

    protected void TRG_Seznam_SelectedIndexChanged(object sender, EventArgs e)
    {
        TGridView gv_porizovak = (TGridView)WebControlHelper.FindControl(this, "gv_porizovak");
        if (sender != null)
            _saveVybrOsCislo(sender);

        gv_porizovak.DataBind();
    }

    protected void gv_porizovak_DataBinding(object sender, EventArgs e)
    {

    }

    protected void combo_projekt_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        if (string.IsNullOrEmpty(e.Value))
        {
            e.OldValue = "";
            e.OldText = "";
        }
        _collectData();
    }

    public string _projekt_cely_nazev(object obj)
    {
        if (obj != DBNull.Value)
            return KSProgram.Ciselniky.CisProjekty.CelyNazev(Convert.ToInt32(obj));
        else
            return "";
    }

    protected void ddl_prac_str_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        if (string.IsNullOrEmpty(e.Value))
        {
            e.OldValue = "";
            e.OldText = "";
        }
        _collectData();
    }

    protected void ddl_kod_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        _collectData(true);
    }

    protected void TRG_Seznam_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        DDLObdobi obd = (DDLObdobi)WebControlHelper.FindControl(this, "ddlb_obdobi");

        //((RadGrid)sender).DataSource = KSProgram.Pozadavky.Pozadavekodmeny.GetPomery(os_cislo_vydavatele, ((TRadGrid)sender).PracovniPomery.GetValue, datum_vydani);
        //PH 15.8.2018 HID:42422
        DateTime obd_dat = new DateTime();
        if (obd != null)
            obd_dat = obd.GetObdobi();
        DataTable table = KSProgram.Pozadavky.Pozadavekodmeny.GetPomery(os_cislo_vydavatele, ((TRadGrid)sender).PracovniPomery.GetValue, datum_vydani, obd_dat);

        //PH 2.7.2018 HID:42253 znemožnění zadávat sám sobě odměny
        //-----------------------------------------------------------
        // if (Parametry.ParametrCti("odmeny_sobe") == "n")
        //PH 26.7.2022 HID:62138
        if (!Pozadavekodmenysl.OdmenySobePovoleno)
        {
            DataRow[] rws = table.Select("os_cislo=" + Globals.OsCisloAktUserNeboZastupovany);
            if (rws.Length > 0)
            {
                for (int i = 0; i < rws.Length; i++)
                    table.Rows.Remove(rws[i]);
            }
        }
        //-----------------------------------------------------------

        ((RadGrid)sender).DataSource = table;
    }

    protected void combo_pomer_DataBound(object sender, EventArgs e)
    {

    }

    protected void dim1_validate(object sender, ServerValidateEventArgs e)
    {
        /*
        string val = dd_dim1.SelectedValue;
        DateTime ld_den = Convert.ToDateTime(Session["den_editace"]);
        e.IsValid = dch_poriz_ukolu.ProjektExist(val, ld_den);
        */
    }

    protected void dim2_validate(object sender, ServerValidateEventArgs e)
    {
        /*
        DateTime ld_den = Convert.ToDateTime(Session["den_editace"]);
        if ((!string.IsNullOrEmpty(dd_dim1.SelectedValue)) && (string.IsNullOrEmpty(dd_dim2.SelectedValue)))
        {
            e.IsValid = false;
            return;
        }
        e.IsValid = dch_poriz_ukolu.UkolProProjektExists(dd_dim1.SelectedValue, dd_dim2.SelectedValue, ld_den);
        */
    }

    protected bool _visibleKod(string cely_nazev)
    {

        return (cely_nazev.Length > 0);

    }

    protected void dd_dim1_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        TRadComboBox dd_dim1 = (TRadComboBox)sender;
        TRadComboBox dim2 = (TRadComboBox)dd_dim1.Parent.NamingContainer.FindControl("dd_dim2");
        dim2.SelectedValue = "";
        dim2.Text = "";

        _collectData();

    }

    protected void dd_dim2_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        _collectData();

    }


    protected void dd_dim2_DataBinding(object sender, EventArgs e)
    {
    }

    protected void txt_poznamka_TextChanged(object sender, EventArgs e)
    {
        _collectData();
    }

    private void _saveVybrOsCislo(object sender)
    {
        if (((TRadGrid)sender).SelectedValue != null)
            SessionInfo.SetVariable(SelecteOsCisloKey, ((TRadGrid)sender).SelectedValue);
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        Page.PreRenderComplete += Page_PreRenderComplete;

       if (ZamykaniAgend.Zamceno(Agenda.Portál__Požadavky_na_odměny))
        {
            lab_zamek_info.Visible = true;
            lab_zamek_info.Text = WebControlHelper.ZmenaTextu("[%Agenda je zamčena, nelze pokračovat%]");
        }
    }

    private void Page_PreRenderComplete(object sender, EventArgs e)
    {
        if (ZamykaniAgend.Zamceno(Agenda.Portál__Požadavky_na_odměny))
        {
            Panel panCommand = (Panel)WebControlHelper.FindControl(this.Page, "PanelCommand");
            if (panCommand != null)
                panCommand.Visible = false;

            Control c = (Control)WebControlHelper.FindControl(this.Page, "UC_ZmenaStavu");
            if (c != null)
                c.Visible = false;

            c = (Control)WebControlHelper.FindControl(this.Page, "img_save");
            if (c != null)
                c.Visible = false;

        }
    }

    protected void ds_porizovak_rekapitulace_oprava_DataBinding(object sender, EventArgs e)
    {
        ((ObjectDataSource)sender).SelectParameters["id_poz"].DefaultValue = PozId.ToString();
    }

    protected void ds_porizovak_oprava_DataBinding(object sender, EventArgs e)
    {
        ((ObjectDataSource)sender).SelectParameters["id_poz"].DefaultValue = PozId.ToString();
    }

    protected void ds_porizovak_prohl_DataBinding(object sender, EventArgs e)
    {
        ((ObjectDataSource)sender).SelectParameters["id_poz"].DefaultValue = PozId.ToString();
    }

    protected void ds_porizovak_rekapitulace_DataBinding(object sender, EventArgs e)
    {
        //((ObjectDataSource)sender).SelectParameters["id_poz"].DefaultValue = PozId.ToString();
    }
}
