﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Controls_ZadostOzalozskol" CodeBehind="ZadostOzalozskol.ascx.cs" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<style>
    .rqvalid {
        padding-left: 5px;
    }
    .ZOZSForm tr{
        height: 30px;
    }
    .ZOZSForm td{
/*        padding-left: 5px;
        padding-right: 5px;*/
    }
</style>
<telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
    <script>
        function restrictDuplicateEntry(sender, eventArgs) {
            var entries = sender.get_entries(),
                count = entries.get_count();

            for (var i = 0; i < count; i++) {
                if (entries.getEntry(i).get_text() == eventArgs.get_entry().get_text()) {
                    eventArgs.set_cancel(true);
                    return;
                }
            }
        }
    </script>
</telerik:RadScriptBlock>
<telerik:RadFormDecorator ID="QsfFromDecorator" runat="server" DecoratedControls="CheckBoxes,RadioButtons,Select,Textarea,Textbox" EnableRoundedCorners="false" DecorationZoneID="FormView1" />
<asp:ObjectDataSource ID="ObjectDataSource1" runat="server"
    OldValuesParameterFormatString="original_{0}" SelectMethod="Retrieve"
    TypeName="KSProgram.Pozadavky.Pozadavekzalozskol" InsertMethod="Insert"
    OnInserting="ObjectDataSource1_Inserting"
    OnInserted="ObjectDataSource1_Inserted" 
    UpdateMethod="Update"
     OnUpdating="ObjectDataSource1_Updating" >
    <SelectParameters>
        <asp:Parameter Name="id_pozadavku" Type="Int32" DefaultValue="0" />
        <%--<asp:Parameter Name="cislo_akce" Type="String" />--%>
    </SelectParameters>
    <InsertParameters>
        <asp:Parameter Name="id_poz" Type="Int32" Direction="InputOutput" />
        <asp:Parameter Name="cislo_akce" Type="String" />
        <asp:Parameter Name="nazev" Type="String" />
        <asp:Parameter Name="dodavatel_nazev" Type="String" />
        <asp:Parameter Name="dodavatel_url" Type="String" />
        <asp:Parameter Name="dat_od" Type="DateTime" />
        <asp:Parameter Name="dat_do" Type="DateTime" />
        <asp:Parameter Name="misto" Type="String" />
        <asp:Parameter Name="cena" Type="Double" />
        <asp:Parameter Name="dalsi" Type="String" />
        <asp:Parameter Name="vyridit_do" Type="DateTime" />
        <asp:Parameter Name="adresat" Type="Decimal" />
    </InsertParameters>
    <UpdateParameters>
        <asp:Parameter Name="id_poz" Type="Int32" Direction="InputOutput" />
        <asp:Parameter Name="cislo_akce" Type="String" />
        <asp:Parameter Name="nazev" Type="String" />
        <asp:Parameter Name="dodavatel_nazev" Type="String" />
        <asp:Parameter Name="dodavatel_url" Type="String" />
        <asp:Parameter Name="dat_od" Type="DateTime" />
        <asp:Parameter Name="dat_do" Type="DateTime" />
        <asp:Parameter Name="misto" Type="String" />
        <asp:Parameter Name="cena" Type="Double" />
        <asp:Parameter Name="dalsi" Type="String" />
        <asp:Parameter Name="vyridit_do" Type="DateTime" />
    </UpdateParameters>
</asp:ObjectDataSource>


<asp:FormView runat="server" ID="FormView1" DataSourceID="ObjectDataSource1" OnItemInserted="FormView1_ItemInserted" OnItemUpdated="FormView1_ItemUpdated" OnDataBound="FormView1_DataBound" CssClass="ZOZSForm">
    <ItemTemplate>
        <asp:Table runat="server" ID="tableitem" SkinID="RamAPozadi">
            <asp:TableHeaderRow runat="server" ID="TableHeaderRowItem">
                <asp:TableCell runat="server" ColumnSpan="3" ID="TableCellItem14x" SkinID="TitleRowStyle">
                    <asp:Label ID="Label7x" runat="server" Text="[%Žádost o vytvoření školení%]"></asp:Label>
                </asp:TableCell>
            </asp:TableHeaderRow>
            <asp:TableRow runat="server" ID="tableinsert_row1">
                <asp:TableCell runat="server" ID="tableinsert_row1_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="osv_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Název%] ([%popis%])"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="tableinsert_row1_cell2" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:Label ID="osv_data" runat="server" SkinID="DataFieldStyle" Text='<%# Bind("nazev") %>'></asp:Label>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="tableinsert_row2">
                <asp:TableCell runat="server" ID="tableinsert_row2_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="dodavatel_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Dodavatel%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="tableinsert_row2_cell2" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:Label ID="dodavatel_data" runat="server" SkinID="DataFieldStyle" Text='<%# Bind("dodavatel_nazev") %>'></asp:Label>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow7" Visible="false">
                <asp:TableCell runat="server" ID="TableCell15" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label6" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Dodavatel odkaz%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell16" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:Label ID="Label3" runat="server" SkinID="DataFieldStyle" Text='<%# Bind("dodavatel_url") %>'></asp:Label>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow3">
                <asp:TableCell runat="server" ID="TableCell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="dat_od_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Datum konání od%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell2" SkinID="DataFieldStyle" Style="width: 75px;">
                    <asp:Label ID="Label4" runat="server" SkinID="DataFieldHeaderStyle" Text='<%# Bind("dat_od") %>'></asp:Label>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow1">
                <asp:TableCell runat="server" ID="TableCell4" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label2" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Datum konání do%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell5" SkinID="DataFieldStyle" Style="width: 75px;">
                    <asp:Label ID="Label8" runat="server" SkinID="DataFieldHeaderStyle" Text='<%# Bind("dat_do") %>'></asp:Label>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow2">
                <asp:TableCell runat="server" ID="TableCell7" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label5" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Místo%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell8" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:Label ID="ucebna_data" runat="server" SkinID="DataFieldStyle" Text='<%# Bind("misto") %>'></asp:Label>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow4">
                <asp:TableCell runat="server" ID="TableCell9" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label7" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Předpokládaná cena%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell10" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:Label ID="label_cena" runat="server" SkinID="DataFieldStyle" Text='<%# Bind("cena") %>'></asp:Label>
                    <label id="label_kc" style="margin-left: 3px;">[%Kč%]</label>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow5">
                <asp:TableCell runat="server" ID="TableCell11" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label9" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Další účastníci%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell12" ColumnSpan="2" SkinID="DataFieldStyle">
                    <%--                    <telerik:RadAutoCompleteBox runat="server" ID="RACB_uzivatele" EmptyMessage="Přidat uživatele" Enabled="false"
                        DataTextField="celeJmeno" InputType="Token" Width="350px" DropDownWidth="200px" DataSourceID="ObjectDataSource2">
                    </telerik:RadAutoCompleteBox>--%>
                    <asp:Label ID="Label11" runat="server" SkinID="DataFieldHeaderStyle" Text='<%# Bind("dalsi") %>' Width="350px"></asp:Label>
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="TableRow11">
                <asp:TableCell runat="server" ID="TCInsert9" HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label10" runat="server" Text="[%Požadované datum vyřízení%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TCInsert10" ColumnSpan="2" SkinID="DataFieldStyle">
                    <kspwc:TRadDatePicker runat="server" ID="TextBoxDatVyrizeniInsert" DbSelectedDate='<%# Bind("vyridit_do") %>' Enabled="false"></kspwc:TRadDatePicker>
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="TableRow13">
                <asp:TableCell runat="server" ID="TableCell27" ColumnSpan="3">
                </asp:TableCell>
            </asp:TableRow>
        </asp:Table>
    </ItemTemplate>
    <InsertItemTemplate>

        <asp:Table runat="server" ID="tableitem" SkinID="RamAPozadi">
            <asp:TableHeaderRow runat="server" ID="TableHeaderRowItem">
                <asp:TableCell runat="server" ColumnSpan="3" ID="TableCellItem14x" SkinID="TitleRowStyle">
                    <asp:Label ID="Label7x" runat="server" Text="[%Žádost o vytvoření školení%]"></asp:Label>
                </asp:TableCell>
            </asp:TableHeaderRow>
            <asp:TableRow runat="server" ID="TableRow12">
                <asp:TableCell runat="server" ID="TableCell25" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label1" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Existující vzdělávací aktivity%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell26" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:ObjectDataSource runat="server" ID="ods_nabidka_akci" OldValuesParameterFormatString="original_{0}" SelectMethod="NabidkaExistujicichAkci" TypeName="KSProgram.Pozadavky.Pozadavekzalozskol"></asp:ObjectDataSource>
                    <kspwc:TRadComboBox runat="server" ID="ddlb_nabidka" DataSourceID="ods_nabidka_akci" AutoPostBack="true" DataTextField="text_osve" DataValueField="cislo" OnSelectedIndexChanged="ddlb_nabidka_SelectedIndexChanged" DropDownAutoWidth="Enabled" Width="100%">
                    </kspwc:TRadComboBox>
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="tableinsert_row1">
                <asp:TableCell runat="server" ID="tableinsert_row1_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="osv_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Název%] ([%popis%])"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="tableinsert_row1_cell2" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:Label ID="osv_data" runat="server" SkinID="DataFieldStyle" Text=""></asp:Label>
                    <telerik:RadTextBox runat="server" ID="RTB_nazev" Visible="false" Width="100%" MaxLength="255"></telerik:RadTextBox>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="tableinsert_row2">
                <asp:TableCell runat="server" ID="tableinsert_row2_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="dodavatel_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Dodavatel%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="tableinsert_row2_cell2" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:Label ID="dodavatel_data" runat="server" SkinID="DataFieldStyle" Text=""></asp:Label>
                    <telerik:RadTextBox runat="server" ID="RTB_dodavatel" Visible="false" Width="100%" MaxLength="100"></telerik:RadTextBox>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow7" Visible="false">
                <asp:TableCell runat="server" ID="TableCell15" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label6" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Dodavatel odkaz%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell16" ColumnSpan="2" SkinID="DataFieldStyle">
                    <telerik:RadTextBox runat="server" ID="RTB_dodavatel_odkaz" Width="100%" MaxLength="255"></telerik:RadTextBox>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow3">
                <asp:TableCell runat="server" ID="TableCell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="dat_od_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Datum konání od%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell2" SkinID="DataFieldStyle" Style="width: 75px;">
                    <asp:Label ID="dat_od_data" runat="server" SkinID="DataFieldStyle" Text=""></asp:Label>
                    <telerik:RadDatePicker runat="server" ID="datum_od"></telerik:RadDatePicker>
                </asp:TableCell>
                <%--<asp:TableCell runat="server" ID="TableCell3" SkinID="DataFieldStyle">
                    <asp:Label ID="cas_od_data" runat="server" SkinID="DataFieldStyle" Text=""></asp:Label>
                    <telerik:RadTimePicker runat="server" ID="cas_od"></telerik:RadTimePicker>
                </asp:TableCell>--%>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow1">
                <asp:TableCell runat="server" ID="TableCell4" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label2" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Datum konání do%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell5" SkinID="DataFieldStyle" Style="width: 75px;">
                    <asp:Label ID="dat_do_data" runat="server" SkinID="DataFieldStyle" Text=""></asp:Label>
                    <telerik:RadDatePicker runat="server" ID="datum_do"></telerik:RadDatePicker>
                </asp:TableCell>
                <%--<asp:TableCell runat="server" ID="TableCell6" SkinID="DataFieldStyle">
                    <asp:Label ID="cas_do_data" runat="server" SkinID="DataFieldStyle" Text=""></asp:Label>
                    <telerik:RadTimePicker runat="server" ID="cas_do"></telerik:RadTimePicker>
                </asp:TableCell>--%>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow2">
                <asp:TableCell runat="server" ID="TableCell7" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label5" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Místo%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell8" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:Label ID="ucebna_data" runat="server" SkinID="DataFieldStyle" Text=""></asp:Label>
                    <telerik:RadTextBox runat="server" ID="RTB_misto" Visible="false" Width="100%"></telerik:RadTextBox>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow4">
                <asp:TableCell runat="server" ID="TableCell9" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label7" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Předpokládaná cena%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell10" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:Label ID="label_cena" runat="server" SkinID="DataFieldStyle" Text=""></asp:Label>
                    <telerik:RadTextBox runat="server" ID="RTB_cena" Visible="false" InputType="Number"></telerik:RadTextBox>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow5">
                <asp:TableCell runat="server" ID="TableCell11" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label9" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Další účastníci%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell12" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:ObjectDataSource runat="server" ID="ObjectDataSource2" OldValuesParameterFormatString="original_{0}" SelectMethod="getUsers" TypeName="KSProgram.Pozadavky.Pozadavekzalozskol"></asp:ObjectDataSource>
                    <telerik:RadAutoCompleteBox runat="server" ID="RACB_uzivatele" EmptyMessage="Přidat uživatele" OnClientEntryAdding="restrictDuplicateEntry"
                        DataTextField="celeJmeno" InputType="Token" Width="350px" DropDownWidth="200px" DataSourceID="ObjectDataSource2">
                    </telerik:RadAutoCompleteBox>
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="TableRow11">
                <asp:TableCell runat="server" ID="TCInsert9" HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label10" runat="server" Text="[%Požadované datum vyřízení%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TCInsert10" ColumnSpan="2" SkinID="DataFieldStyle">
                    <kspwc:TRadDatePicker runat="server" ID="TextBoxDatVyrizeniInsert" DbSelectedDate='<%# Bind("vyridit_do") %>'></kspwc:TRadDatePicker>
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="TableRow13">
                <asp:TableCell runat="server" ID="TableCell27" ColumnSpan="3">
                </asp:TableCell>
            </asp:TableRow>
        </asp:Table>
    </InsertItemTemplate>
    <FooterTemplate>
        <asp:CustomValidator ID="ValidateInput" runat="server" OnServerValidate="ValidateInput"
            ErrorMessage="Nesprávně zadaná data"></asp:CustomValidator>
    </FooterTemplate>
    <EditItemTemplate>
        <asp:Table runat="server" ID="tableitem" SkinID="RamAPozadi">
            <asp:TableHeaderRow runat="server" ID="TableHeaderRowItem">
                <asp:TableCell runat="server" ColumnSpan="3" ID="TableCellItem14x" SkinID="TitleRowStyle">
                    <asp:Label ID="Label7x" runat="server" Text="[%Žádost o vytvoření školení%]"></asp:Label>
                </asp:TableCell>
            </asp:TableHeaderRow>
            <asp:TableRow runat="server" ID="tableinsert_row1">
                <asp:TableCell runat="server" ID="tableinsert_row1_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="osv_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Název%] ([%popis%])"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="tableinsert_row1_cell2" ColumnSpan="2" SkinID="DataFieldStyle">
                    <telerik:RadTextBox runat="server" ID="RTB_nazev" Width="100%" Text='<%# Bind("nazev") %>'></telerik:RadTextBox>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="tableinsert_row2">
                <asp:TableCell runat="server" ID="tableinsert_row2_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="dodavatel_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Dodavatel%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="tableinsert_row2_cell2" ColumnSpan="2" SkinID="DataFieldStyle">
                    <telerik:RadTextBox runat="server" ID="RTB_dodavatel" Width="100%" Text='<%# Bind("dodavatel_nazev") %>'></telerik:RadTextBox>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow7" Visible="false">
                <asp:TableCell runat="server" ID="TableCell15" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label6" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Dodavatel odkaz%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell16" ColumnSpan="2" SkinID="DataFieldStyle">
                    <telerik:RadTextBox runat="server" ID="RTB_dodavatel_odkaz" Width="100%" Text='<%# Bind("dodavatel_url") %>'></telerik:RadTextBox>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow3">
                <asp:TableCell runat="server" ID="TableCell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="dat_od_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Datum konání od%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell2" SkinID="DataFieldStyle" Style="width: 75px;">
                    <telerik:RadDatePicker runat="server" ID="datum_od"></telerik:RadDatePicker>
                </asp:TableCell>
                <%--<asp:TableCell runat="server" ID="TableCell3" SkinID="DataFieldStyle">
                    <telerik:RadTimePicker runat="server" ID="cas_od"></telerik:RadTimePicker>
                </asp:TableCell>--%>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow1">
                <asp:TableCell runat="server" ID="TableCell4" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label2" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Datum konání do%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell5" SkinID="DataFieldStyle" Style="width: 75px;">
                    <telerik:RadDatePicker runat="server" ID="datum_do"></telerik:RadDatePicker>
                </asp:TableCell>
               <%-- <asp:TableCell runat="server" ID="TableCell6" SkinID="DataFieldStyle">
                    <telerik:RadTimePicker runat="server" ID="cas_do"></telerik:RadTimePicker>
                </asp:TableCell>--%>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow2">
                <asp:TableCell runat="server" ID="TableCell7" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label5" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Místo%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell8" ColumnSpan="2" SkinID="DataFieldStyle">
                    <telerik:RadTextBox runat="server" ID="RTB_misto" Width="100%" Text='<%# Bind("misto") %>'></telerik:RadTextBox>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow4">
                <asp:TableCell runat="server" ID="TableCell9" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label7" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Předpokládaná cena%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell10" ColumnSpan="2" SkinID="DataFieldStyle">
                    <telerik:RadTextBox runat="server" ID="RTB_cena" InputType="Number" Text='<%# Bind("cena") %>'></telerik:RadTextBox>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow5">
                <asp:TableCell runat="server" ID="TableCell11" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label9" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Další účastníci%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell12" ColumnSpan="2" SkinID="DataFieldStyle">
                    <asp:ObjectDataSource runat="server" ID="ObjectDataSource2" OldValuesParameterFormatString="original_{0}" SelectMethod="getUsers" TypeName="KSProgram.Pozadavky.Pozadavekzalozskol"></asp:ObjectDataSource>
                    <telerik:RadAutoCompleteBox runat="server" ID="RACB_uzivatele" EmptyMessage="Přidat uživatele" OnClientEntryAdding="restrictDuplicateEntry" AllowCustomEntry="true"
                        DataTextField="celeJmeno" InputType="Token" Width="350px" DropDownWidth="200px" DataSourceID="ObjectDataSource2">
                    </telerik:RadAutoCompleteBox>
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="TableRow11">
                <asp:TableCell runat="server" ID="TCInsert9" HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label10" runat="server" Text="[%Požadované datum vyřízení%]"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TCInsert10" ColumnSpan="2" SkinID="DataFieldStyle">
                    <kspwc:TRadDatePicker runat="server" ID="TextBoxDatVyrizeniInsert" DbSelectedDate='<%# Bind("vyridit_do") %>'></kspwc:TRadDatePicker>
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="TableRow13">
                <asp:TableCell runat="server" ID="TableCell27" ColumnSpan="3">
                </asp:TableCell>
            </asp:TableRow>
        </asp:Table>
    </EditItemTemplate>
</asp:FormView>
