﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using KSProgram.Workflow;
using System.Data;
using KSProgram.Pozadavky;
using System.Drawing;
using System.Reflection;
using KSProgram.Security;
using KSProgram.Obecne;
using Telerik.Web.UI;
using KSProgram.Data;
using KSProgram.Exceptions;
using KSProgram;

public partial class Controls_workfl_settings : System.Web.UI.UserControl
{

    public string KeyProPamet
    {
        get
        {
            return ((Pozadavky_Workflow)this.Page).PgRndId + "_keyProPamet";
        }
    }
        

    /// <summary>
    /// Typ workflow
    /// </summary>
    public string Typ
    {
        get
        {
            //DropDownList list =(DropDownList) WebControlHelper.FindControl(this.Page, "ddl_typ");
            ///return list.SelectedValue;
            return (ViewState["Typ"] == null ? "" : (string)ViewState["Typ"]);
        }
        set
        {
            ViewState["Typ"] = value;
        }
        
    }

    /// <summary>
    /// Číslo fáze nebo kroku
    /// </summary>
    public int Krok
    {
        get
        {
            return (ViewState["Krok"] == null ? -1 : Convert.ToInt32(ViewState["Krok"]));
        }
        set
        {
            ViewState["Krok"] = value;
            HiddenField HF_faze = (HiddenField)WebControlHelper.FindControl(this, "HF_faze");
            HF_faze.Value = value.ToString();
            Label lab = (Label)WebControlHelper.FindControl(this, "step_title");
            if (lab != null)
                lab.Text = " Krok " + value.ToString();
        }
    }

    public int IdMaster {
        get
        {
            return (ViewState["IdMaster"] == null ? -1 : Convert.ToInt32(ViewState["IdMaster"]));
        }
        set
        {
            ViewState["IdMaster"] = value;
        }
    }

    public Str_workfl_faze? Faze;
    public List<Str_workfl_stavy> Stavy;

    protected void Page_Load(object sender, EventArgs e)
    {
        //PH 8.7.2022 HID:62213
        DetailsView dv_faze = WebControlHelper.FindControl(this, "dv_faze") as DetailsView;
        dv_faze.Fields[1].Visible = Globals.RAActive("SABLONY_NOTIF_EMAILU");
    }

    protected void dv_faze_DataBinding(object sender, EventArgs e)
    {
        /*ObjectDataSource ds = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_stavy");
        ds.SelectParameters["typ"].DefaultValue = Typ;
        ds.SelectParameters["faze"].DefaultValue = Krok.ToString();*/

        //TextBox box = (TextBox)WebControlHelper.FindControl(this, "text_popis_kroku");

        //Str_workfl_faze faze;
        //if (Session["Krok" + Krok + "Faze"] != null)
        //    faze = (Str_workfl_faze)Session["Krok" + Krok + "Faze"];
        //else
        //{
        //    workfl_faze f = new workfl_faze(ID_master, Krok);
        //    faze = f.GetParam();
        //}
        //box.Text = faze.popis;        
    }

    //protected void ds_item_databound(object sender, EventArgs e)
    //{
    //    ObjectDataSource ds = (ObjectDataSource)sender;
    //    ds.SelectParameters["typ"].DefaultValue = Typ;
    //    ds.SelectParameters["faze"].DefaultValue = Krok.ToString();
    //}

    protected void ds_akce_OnDataBinding(object sender, EventArgs e)
    {
        ((ObjectDataSource) sender).SelectParameters["typ"].DefaultValue = Typ;
    }

    //protected void ddlbadr_OnSelectedIndexChanged(object sender, EventArgs e)
    //{
    //    bool par=false;
    //    //zjišťuju jestli je hodnota párová a pokud ne tak znepřístupním textbox pro hodnotu
    //    string val=((DropDownList)sender).SelectedValue;
    //    DataTable table=WorkflowSettings.GetAllAdresat();
    //    if (!string.IsNullOrEmpty(val))
    //    {
    //       DataRow[] rw=table.Select("hodnota='"+val+"'");
    //       if (rw.Length > 0)
    //       {
    //           par = Convert.ToBoolean(rw[0]["parova_polozka"]);
    //       }
    //    }
    //    string id = ((DropDownList)sender).ID;
    //    string cislo=id.Substring(id.Length - 1);

    //    WebControl c = (WebControl)WebControlHelper.FindControl(((DropDownList)sender).Parent.Parent, "textBox_adresathodn" + cislo);
    //    c.Enabled = par;

    //    OznamDleAdresata((WebControl)sender); 
    //}
    //protected void textBox_adresathodn_Changed(object sender, EventArgs e)
    //{
    //    OznamDleAdresata((WebControl)sender);
    //}
    //private void OznamDleAdresata(WebControl sender)
    //{
    //    string id = ((WebControl)sender).ID;
    //    string cislo = id.Substring(id.Length - 1);
    //    //PR 11.8.2014 předvyplním oznam dle adresata        
    //    WebControl prnt = (WebControl)((WebControl)sender).Parent.Parent.Parent.Parent.Parent;
    //    DropDownList adrDDL = (DropDownList)WebControlHelper.FindControl(prnt, "ddlbadr_"+cislo);
    //    TextBox adrTB = (TextBox)WebControlHelper.FindControl(prnt, "textBox_adresathodn"+cislo);
    //    DropDownList oznDDL = (DropDownList)WebControlHelper.FindControl(prnt, "ddlboznam_"+cislo);
    //    TextBox oznTB = (TextBox)WebControlHelper.FindControl(prnt, "textBox_oznamhodn"+cislo);
    
    //    string adr = adrDDL.SelectedValue;
    //    if (adr == "!vyd") adr = "vd";
    //    oznDDL.SelectedValue = adr;
    //    oznTB.Enabled = adrTB.Enabled;
    //    oznTB.Text = adrTB.Text;
    //}

    //protected void ddlboznam_OnSelectedIndexChanged(object sender, EventArgs e)
    //{
    //    bool par = false;
    //    //zjišťuju jestli je hodnota párová a pokud ne tak znepřístupním textbox pro hodnotu
    //    string val = ((DropDownList)sender).SelectedValue;
    //    DataTable table = WorkflowSettings.GetAllOznameniKomu();
    //    if (!string.IsNullOrEmpty(val))
    //    {
    //        DataRow[] rw = table.Select("hodnota='" + val + "'");
    //        if (rw.Length > 0)
    //        {
    //            par = Convert.ToBoolean(rw[0]["parova_polozka"]);
    //        }
    //    }
    //    string id = ((DropDownList)sender).ID;
    //    string cislo = id.Substring(id.Length - 1);

    //    WebControl c = (WebControl)WebControlHelper.FindControl(((DropDownList)sender).Parent.Parent, "textBox_oznamhodn" + cislo);
    //    c.Enabled = par;
    //}

    protected void gv_un_onRowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            //TODO
            //Tohle je úplně zbytečné, 
            //protože v (e.Row.DataItem as DataRowView).Row["hodnoty"]
            //jsou všechny možné hodnoty oddělené lomítkem,
            //takže by stačilo je vzít a přidat do ddl_vlastnost přes list.Items.Add()

            string vals = (string)DataBinder.Eval(e.Row.DataItem, "hodnoty");

            for (int j = 0; j < 4; j++)
            {
                string hledat = "";
                if (j == 0) hledat = "adr";
                else if (j == 1) hledat = "spr";
                else if (j == 2) hledat = "vyd";
                else if (j == 3) hledat = "ost";
                //PR 15.11.2021 pro vlastnosti Text a Html se místo DDL zobrazí tlačítko, které přes JS otevře editor
                string vlastnost = (string)DataBinder.Eval(e.Row.DataItem, "vlastnost");
                object val = DataBinder.Eval(e.Row.DataItem, "hodnota_" + hledat);
                DropDownList ddl = (DropDownList)WebControlHelper.FindControl(e.Row, "ddl_hodnota_" + hledat);
                HiddenField hf = (HiddenField)WebControlHelper.FindControl(e.Row, "hf_hodnota_" + hledat);
                Button btn = (Button)WebControlHelper.FindControl(e.Row, "btn_hodnota_" + hledat);
                if (vlastnost == "Text" || vlastnost == "Html")
                {
                    btn.Visible = true;
                    ddl.Visible = false;
                    hf.Value = val.ToString();
                    //openEditor argumenty:
                    //1. arg: HiddenField ze/do kterého má editor načíst/uložit hodnotu,
                    //2. arg: Název vlastnosti
                    //3. až N-tý arg: možné hodnoty pro danou vlastnost, např. maximální délka
                    btn.Attributes.Add("onclick", "openEditor('" + hf.ClientID + "','"+vlastnost+"', " + vals + ")");
                }
                else if (ddl != null)
                {
                    btn.Visible = false;
                    ddl.Visible = true;
                    
                    ddl.Items.Add(String.Empty);
                    foreach (string v in vals.Split('/'))
                        ddl.Items.Add(v);
                    ddl.SelectedValue = val.ToString();
                }
            }
        }
    }

 
    protected void TGridView_stavy_RowCreated(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            //DataControlRowState state = e.Row.RowState;
            //LiteralControl c=(LiteralControl) WebControlHelper.FindControl(e.Row, "row_gen");
            e.Row.BackColor = Color.White;

            //Panel pan = (Panel)WebControlHelper.FindControl(e.Row, "pan_email");
            //pan.Visible = (Typ == "benefit");
            bool visible = (Typ == "benefit");
            ((WebControl)WebControlHelper.FindControl(e.Row, "lab_pokyn_key")).Visible = visible;
            ((WebControl)WebControlHelper.FindControl(e.Row, "lab_pokyn_data")).Visible = visible;
            ((WebControl)WebControlHelper.FindControl(e.Row, "tx_email_hlavicka")).Visible = visible;
            ((WebControl)WebControlHelper.FindControl(e.Row, "tx_email_text")).Visible = visible;
            
        }
    }
    //protected void check_sys_stav2_CheckedChanged(object sender, EventArgs e)
    //{
    //    //zavolám funkci zrus_check(object sender, EventArgs e) ve stránce aby      
    //    System.Reflection.MemberInfo info = Page.GetType();
    //    Type typTridy = Page.GetType();
    //    typTridy.InvokeMember("zrus_check", BindingFlags.InvokeMethod | BindingFlags.Instance | BindingFlags.Public, null, Page, new object[2] { sender, e});
    //}

    protected void ds_podminky_DataBinding(object sender, EventArgs e)
    {
        //ObjectDataSource ds_podminky = (ObjectDataSource)sender;
        //GridViewRow Row = (GridViewRow)ds_podminky.NamingContainer;
        //object o = DataBinder.Eval(Row.DataItem, "stav");
    }
       

    protected void gv_stavy_PreRender(object sender, EventArgs e)
    {

        string cx_seznam = "";
        string cx_seznam_as = "";
        foreach (GridViewRow row in ((GridView)sender).Rows)
        {
            if (row.RowType == DataControlRowType.DataRow)
            {
                if (cx_seznam != "") cx_seznam += ",";
                cx_seznam += '"' + row.FindControl("check_sys_stav2").ClientID + '"';

                if (cx_seznam_as != "") cx_seznam_as += ",";
                cx_seznam_as += '"' + row.FindControl("check_sys_stav_as").ClientID + '"';
            }
        }
        cx_seznam = "var cx_seznam = [" + cx_seznam + "];";
        cx_seznam_as = "var cx_seznam_as = [" + cx_seznam_as + "];";
        foreach (GridViewRow row in ((GridView)sender).Rows)
        {
            if (row.RowType == DataControlRowType.DataRow)
            {
                Control check_sys_stav2 = row.FindControl("check_sys_stav2");                
                string Script = cx_seznam + "for(i=0; i<cx_seznam.length; i++){if (this.id!=cx_seznam[i]) document.getElementById(cx_seznam[i]).checked=false;}";
                (check_sys_stav2 as CheckBox).Attributes.Add("onclick", Script);

                Control check_sys_stav_as = row.FindControl("check_sys_stav_as");
                string Script_as = cx_seznam_as + " for(i=0; i<cx_seznam_as.length; i++){if (this.id!=cx_seznam_as[i]) document.getElementById(cx_seznam_as[i]).checked=false;}";
                (check_sys_stav_as as CheckBox).Attributes.Add("onclick", Script_as);
            }
        }        
    }

    protected void gv_pdm_PreRender(object sender, EventArgs e)
    {
        //string parove = ",id,pstr,atribut,vd_atr,mail,oc";
        string parove = ",";        
        DataTable table = WorkflowSettings.GetAllAdresat();
        foreach(DataRow row in table.Rows)
        {
            if (Convert.ToBoolean(row["parova_polozka"]))
            {
                parove += row["hodnota"] + ",";
            }
        }
        
        table = WorkflowSettings.GetAllOznameniKomu();//PR 14.9.2017 
        foreach (DataRow row in table.Rows)
        {
            if (Convert.ToBoolean(row["parova_polozka"]))
            {
                if (!parove.Contains("," + row["hodnota"] + ","))
                    parove += row["hodnota"] + ",";
            }
        }


        foreach (GridViewRow row in ((GridView)sender).Rows)
        {
            if (row.RowType != DataControlRowType.DataRow)
                continue;
            if (row.RowIndex == 0)
            {
                TextBox tx_poradi = WebControlHelper.FindControl(row, "tx_poradi") as TextBox;
                TRadComboBox rcmb_vyraz = WebControlHelper.FindControl(row, "rcmb_vyraz") as TRadComboBox;
                tx_poradi.Enabled = false;
                rcmb_vyraz.Enabled = false;
            }

            for (int i = 1; i <= 5; i++) //PR 29.10.2018 rozšířeno z 3 na 5
            {
                DropDownList ddlbadr = (DropDownList)row.FindControl("ddlbadr_" + i);
                TextBox textBox_adresathodn = (TextBox)row.FindControl("textBox_adresathodn" + i);
                DropDownList ddlboznam = (DropDownList)row.FindControl("ddlboznam_" + i);
                TextBox textBox_oznamhodn = (TextBox)row.FindControl("textBox_oznamhodn" + i);

                textBox_adresathodn.Enabled = parove.IndexOf(("," + ddlbadr.SelectedValue + ",")) >= 0;
                textBox_oznamhodn.Enabled = parove.IndexOf(("," + ddlboznam.SelectedValue + ",")) >= 0;

                //-----------------------------------------------------------------------
                //DROPDOWN ADRESAT OnChange
                //-----------------------------------------------------------------------
                //pri zmene typu adresata vyprazdnim textbox s hodnotou
                string Script = "document.getElementById('" + textBox_adresathodn.ClientID + "').value='';";
                //zakazani textboxu pro hodnotu pokud polozka neni parova
                //Script += "document.getElementById('" + textBox_adresathodn.ClientID + "').disabled=(value=='vd' || value=='vd_res' || value=='vyd' || value=='!vyd');";
                Script += "$('#" + textBox_adresathodn.ClientID + "').prop('disabled', '"+parove+ "'.indexOf(','+value+',') < 0);"; //PR 14.9.2017 
                //zkopirovani typu adresata do typu oznam
                // Script += "document.getElementById('" + ddlboznam.ClientID + "').value=(value=='!vyd'?'vd':value);";
                //PH 29.7.2022 HID:62054
                Script += "document.getElementById('" + ddlboznam.ClientID + "').value=(value=='!vyd' || value=='pvyd'?'vd':value);";
                //Script += "document.getElementById('" + textBox_oznamhodn.ClientID + "').disabled=(value=='vd' || value=='vd_res' || value=='vyd' || value=='!vyd');";
                Script += "$('#" + textBox_oznamhodn.ClientID + "').prop('disabled', '" + parove + "'.indexOf(','+value+',') < 0);"; //PR 14.9.2017 
                //rovnez hodnotu pro oznameni vyprazdnim
                Script += "document.getElementById('" + textBox_oznamhodn.ClientID + "').value='';";
                ddlbadr.Attributes.Add("onchange", Script);
                //-----------------------------------------------------------------------
                //TEXTBOX ADR-HODNOTA OnChange
                //-----------------------------------------------------------------------
                //zkopirovani hodnoty adresata do hodnoty oznam
                Script = "document.getElementById('" + textBox_oznamhodn.ClientID + "').value=value;";
                textBox_adresathodn.Attributes.Add("onchange", Script);
                //-----------------------------------------------------------------------
                //DROPDOWN OZNAMENI OnChange
                //-----------------------------------------------------------------------
                //pri zmene typu vyprazdnim textbox s hodnotou
                Script = "document.getElementById('" + textBox_oznamhodn.ClientID + "').value='';";
                //zakazani textboxu pro hodnotu pokud polozka neni parova
                //Script += "document.getElementById('" + textBox_oznamhodn.ClientID + "').disabled=(value=='vd' || value=='vd_res' || value=='vyd' || value=='!vyd');";
                Script += "$('#" + textBox_oznamhodn.ClientID + "').prop('disabled', '" + parove + "'.indexOf(','+value+',') < 0);"; //PR 14.9.2017 
                ddlboznam.Attributes.Add("onchange", Script);
            }
        }
    }

    /// <summary>
    /// Vrati data z formulare ve strukturach
    /// </summary>
    /// <param name="faze"></param>
    /// <param name="stavy"></param>
    public void GetValues(out Str_workfl_faze faze, out List<Str_workfl_stavy> stavy)
    {
        //PR 6.9.2017 presunuto z Workflow.aspx.cs
        Str_workfl_faze fz = new Str_workfl_faze();
        List<Str_workfl_stavy> st = new List<Str_workfl_stavy>();
        fz.faze = Krok;

        fz.id_sablony = null;
        string o = ((HiddenField)WebControlHelper.FindControl(this.Page, "HF_IdSablony")).Value;
        if (!string.IsNullOrEmpty(o))   
            fz.id_sablony = Convert.ToInt32(o);

        TextBox b = (TextBox)WebControlHelper.FindControl(this, "text_popis_kroku");
        if (b.Text != null)
        {
            fz.popis = b.Text.Trim();
            //if (fz.popis.Length > 40)
            //    fz.popis = fz.popis.Substring(0, 40);
            fz.popis = InputChecker.Text(fz.popis, 30, "fz.popis"); //ale je nastaveno i MaxLength
        }


        //projdu uživatelské nastavení v kroku
        //---------------------------------------            

        fz.ui_adresat = new List<Str_workfl_UI>();
        fz.ui_ostatni = new List<Str_workfl_UI>();
        fz.ui_spravce = new List<Str_workfl_UI>();
        fz.ui_vydavat = new List<Str_workfl_UI>();

        GridView gv_un = (GridView)WebControlHelper.FindControl(this, "gv_un");
        for (int k = 0; k < gv_un.Rows.Count; k++)
        {
            string polozka = (string)gv_un.DataKeys[k]["polozka"];
            string vlastnost = (string)gv_un.DataKeys[k]["vlastnost"];
            polozka = InputChecker.Text(polozka, "lab_polozka");
            vlastnost = InputChecker.Text(vlastnost, "vlastnost");
            for (int j = 0; j < 4; j++)
            {
                string hledat = "";
                if (j == 0) hledat = "adr";
                else if (j == 1) hledat = "spr";
                else if (j == 2) hledat = "vyd";
                else if (j == 3) hledat = "ost";

                string hodnota;
                if (vlastnost == "Text" || vlastnost == "Html") //PR 19.11.2021 
                {
                    hodnota = (WebControlHelper.FindControl(gv_un.Rows[k], "hf_hodnota_" + hledat) as HiddenField).Value;
                    //hodnota = InputChecker.Text(hodnota, "hodnota");//PR 22.11.2021 Ani encodované HTML neproleze přes InputChecker, proste si jej musi vypnout
                }
                else
                {
                    hodnota = (WebControlHelper.FindControl(gv_un.Rows[k], "ddl_hodnota_" + hledat) as DropDownList).SelectedValue;
                    hodnota = InputChecker.Text(hodnota, "hodnota");
                }

                if (!string.IsNullOrEmpty(hodnota))
                {
                    //if (j == 0)
                    //    fz.un_adresat += "[" + polozka + ":" + vlastnost + "=" + hodnota + "]";
                    //else if (j == 1)
                    //    fz.un_spravce += "[" + polozka + ":" + vlastnost + "=" + hodnota + "]";
                    //else if (j == 2)
                    //    fz.un_vydav += "[" + polozka + ":" + vlastnost + "=" + hodnota + "]";
                    //else
                    //    fz.un_ostatni += "[" + polozka + ":" + vlastnost + "=" + hodnota + "]";
                    string page, control;
                    if (polozka.Contains('.'))
                    {
                        page = polozka.Substring(0, polozka.IndexOf('.'));
                        control = polozka.Substring(polozka.IndexOf('.') + 1);
                    }
                    else
                    {
                        page = "";
                        control = polozka;
                    }
                    if (j == 0)
                        fz.ui_adresat.Add(new Str_workfl_UI() { PageName = page, ControlName = control, PropertyName = vlastnost, Value = hodnota });
                    else if (j == 1)
                        fz.ui_spravce.Add(new Str_workfl_UI() { PageName = page, ControlName = control, PropertyName = vlastnost, Value = hodnota });
                    else if (j == 2)
                        fz.ui_vydavat.Add(new Str_workfl_UI() { PageName = page, ControlName = control, PropertyName = vlastnost, Value = hodnota });
                    else
                        fz.ui_ostatni.Add(new Str_workfl_UI() { PageName = page, ControlName = control, PropertyName = vlastnost, Value = hodnota });
                }

            }
        }

        TGridViewBulk gv_stavy = (TGridViewBulk)WebControlHelper.FindControl(this, "gv_stavy");
        for (int j = 0; j < gv_stavy.Rows.Count; j++)
        {
            Str_workfl_stavy str_s = new Str_workfl_stavy();
            str_s.podminky = new List<Str_workfl_stavy_podm>();
            //str_s.id_master = id_master;
            str_s.faze = Krok;

            str_s.stav = InputChecker.Text(WebControlHelper.SubCtrlGetValueString(gv_stavy.Rows[j], "tx_stav"), "tx_stav");
            str_s.popis = InputChecker.Text(WebControlHelper.SubCtrlGetValueString(gv_stavy.Rows[j], "tx_popis"), "tx_popis");

            str_s.sys_stav2 = false;
            CheckBox ch_sys2 = (CheckBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "check_sys_stav2");
            if (ch_sys2.Checked) str_s.sys_stav2 = true;

            str_s.sys_stav_as = false; //PH 1.10.2022 HID:62882
            CheckBox ch_sys_as = (CheckBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "check_sys_stav_as");
            if (ch_sys_as.Checked) str_s.sys_stav_as = true;


            //-----------------------------------
            CheckBox ch_pristup = (CheckBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "check_adresat");
            bool lb_pristup_a = ch_pristup.Checked;
            ch_pristup = (CheckBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "check_spravce");
            bool lb_pristup_s = ch_pristup.Checked;
            ch_pristup = (CheckBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "check_vydavatel");
            bool lb_pristup_v = ch_pristup.Checked;

            ch_pristup = (CheckBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "check_ostatni"); //PH 6.8.2013
            bool lb_pristup_o = ch_pristup.Checked;
            //-----------------------------------                          

            string ls_pristup = "";
            if (lb_pristup_a) ls_pristup = "a";
            if (lb_pristup_s)
            {
                if (!string.IsNullOrEmpty(ls_pristup))
                    ls_pristup += ",";
                ls_pristup += "s";
            }
            if (lb_pristup_v)
            {
                if (!string.IsNullOrEmpty(ls_pristup))
                    ls_pristup += ",";
                ls_pristup += "v";
            }
            if (lb_pristup_o)
            {
                if (!string.IsNullOrEmpty(ls_pristup))
                    ls_pristup += ",";
                ls_pristup += "o";
            }
            str_s.pristup = ls_pristup;

            TextBox b_key = (TextBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "tx_email_hlavicka");
            TextBox b_text = (TextBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "tx_email_text");

            if ((!String.IsNullOrEmpty(b_key.Text)) && (!String.IsNullOrEmpty(b_text.Text)))
            {
                Str_workfl_email_pozn pozn = new Str_workfl_email_pozn();
                pozn.Key = b_key.Text.Trim();
                pozn.Value = b_text.Text.Trim();

                pozn.Key = InputChecker.Text(pozn.Key, "klič. poznamky");
                pozn.Value = InputChecker.Text(pozn.Value, "value poznamky");

                if (str_s.email_pozn == null) str_s.email_pozn = new List<Str_workfl_email_pozn>();
                str_s.email_pozn.Add(pozn);
            }

            //zpráva do emailu
            string zprava = null;
            TextBox txZprava = (TextBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "TextBoxZprava");
            if (!string.IsNullOrEmpty(txZprava.Text))
                zprava = txZprava.Text;
            str_s.zprava = InputChecker.Text(zprava, "zprava");

            //1. radek v gv_podminky je default nastaveni stavu
            TGridViewBulk gv_podminky = (TGridViewBulk)WebControlHelper.FindControl(gv_stavy.Rows[j], "gv_pdm");
            for (int n = 0; n < gv_podminky.Rows.Count; n++)
            {
                short? poradi = (short?)WebControlHelper.SubCtrlGetValueNumber(gv_podminky.Rows[n], "tx_poradi");
                //výraz a validace - operátory by těžko prošly validací přes InputChecker
                string vyraz = WebControlHelper.SubCtrlGetValueString(gv_podminky.Rows[n], "rcmb_vyraz");
                //PR 17.06.2022 zkontroluji, zda ve výrazu neponechali komentář popisující argument metody
                if (vyraz.Contains("/*") || vyraz.Contains("*/"))
                    throw new NoticeException("V podmínce se vyskytuje komentář /*..*/, zrušte jej (a nahraďte výchozí hodnotu argumentu)!");
                //string ls_validace = WebControlHelper.SubCtrlGetValueString(gv_podminky.Rows[n], "rcmb_validace");
                //PH 29.8.2019  předěláno na 3 validační výrazy
                string ls_validace = string.Empty;
                for (int li=1;li<=3;li++)
                {
                    string ls_val_pom= WebControlHelper.SubCtrlGetValueString(gv_podminky.Rows[n], "rcmb_validace"+li.ToString());
                    if (!string.IsNullOrEmpty(ls_val_pom))
                    {
                        ls_validace +="["+ls_val_pom+"]";
                    }                    
                }
                   
                string sys_stav = InputChecker.Text(WebControlHelper.SubCtrlGetValueString(gv_podminky.Rows[n], "ddl_sys_stav"), "sys_stav");
                short? next_faze = (short?)WebControlHelper.SubCtrlGetValueNumber(gv_podminky.Rows[n], "tx_next_faze");

                //projdu seznam akcí
                string sezn_akce = "";
                for (int k = 1; k <= 5; k++)
                {
                    // string akce = InputChecker.Text(WebControlHelper.SubCtrlGetValueString(gv_podminky.Rows[n], "ddlb_" + k.ToString()), "akce");
                    //PH 12.9.2022 testuju jestli je zadána platná akce nebo metoda
                    string akce = InputChecker.AkceWF(this.Typ, WebControlHelper.SubCtrlGetValueString(gv_podminky.Rows[n], "ddlb_" + k.ToString()), "akce");
                    if (!string.IsNullOrEmpty(akce))
                    {
                        //PR 17.06.2022 zkontroluji, zda ve výrazu neponechali komentář popisující argument metody
                        if (akce.Contains("/*") || akce.Contains("*/"))
                            throw new NoticeException("V akci se vyskytuje komentář /*..*/, zrušte jej (a nahraďte výchozí hodnotu argumentu)!");
                        sezn_akce += "[" + akce + "]";
                    }
                }

                string sezn_adresatu = "";
                for (int k = 1; k <= 5; k++) //PR 29.10.2018 3->5
                {
                    string adr_typ = WebControlHelper.SubCtrlGetValueString(gv_podminky.Rows[n], "ddlbadr_" + k.ToString());
                    adr_typ = InputChecker.Text(adr_typ, "ddlbadr_" + k.ToString());
                    if (!string.IsNullOrEmpty(adr_typ))
                    {                        
                        TextBox adr_hodn = (TextBox)WebControlHelper.FindControl(gv_podminky.Rows[n], "textBox_adresathodn" + k.ToString());
                        string h = adr_hodn.Text;
                        h = InputChecker.Text(h, "textBox_adresathodn" + k.ToString());

                        //WorkflAdresat.AdresatIsValid(adr_typ, h);//PR 01.09.2020 
                        //PH 8.11.2022 kontrola má svoje specifika pro první krok
                        WorkflAdresat.AdresatIsValid(adr_typ, h, this.Krok);

                        if (WorkflowSettings.AdresatParova(adr_typ))//if (adr_hodn.Enabled)  //enabled je měněno i javascriptem->neni ve viewstate a prerender se taky nevykonava
                            sezn_adresatu += "[" + adr_typ + "=" + h + "]";
                        else
                            sezn_adresatu += "[" + adr_typ + "]";
                    }
                }

                string sezn_oznam = "";
                for (int k = 1; k <= 5; k++) //PR 29.10.2018 3->5
                {
                    string adr_typ = WebControlHelper.SubCtrlGetValueString(gv_podminky.Rows[n], "ddlboznam_" + k.ToString());
                    adr_typ = InputChecker.Text(adr_typ, "ddlboznam_" + k.ToString());
                    if (!string.IsNullOrEmpty(adr_typ))
                    {
                        TextBox TB_oznamhodn = (TextBox)WebControlHelper.FindControl(gv_podminky.Rows[n], "textBox_oznamhodn" + k.ToString());
                        string h = TB_oznamhodn.Text;
                        h = InputChecker.Text(h, "textBox_oznamhodn" + k.ToString());

                        //WorkflAdresat.AdresatIsValid(adr_typ, h);//PR 01.09.2020 
                        //PH 8.11.2022 kontrola má svoje specifika pro první krok
                        WorkflAdresat.AdresatIsValid(adr_typ, h, this.Krok);

                        if (WorkflowSettings.AdresatParova(adr_typ))
                            sezn_oznam += "[" + adr_typ + "=" + h + "]";
                        else
                            sezn_oznam += "[" + adr_typ + "]";                            
                    }
                }

                if (n == 0) //1. radek v gv_podminky je default nastaveni stavu
                {
                    str_s.validace = ls_validace;
                    str_s.sys_stav = sys_stav;
                    str_s.akce = sezn_akce;
                    str_s.next_faze = next_faze;
                    str_s.adresat = sezn_adresatu;
                    str_s.oznam = sezn_oznam;

                }
                else if (poradi != null && !string.IsNullOrEmpty(vyraz))
                {
                    Str_workfl_stavy_podm str_podm = new Str_workfl_stavy_podm();
                    if (next_faze == null) next_faze = (short)0;
                    str_podm.id_master = str_s.id_master;
                    str_podm.faze = str_s.faze;
                    str_podm.poradi = poradi.Value;
                    str_podm.vyraz = vyraz;
                    str_podm.validace = ls_validace;
                    str_podm.sys_stav = sys_stav;
                    str_podm.akce = sezn_akce;
                    str_podm.next_faze = next_faze.Value;
                    str_podm.adresat = sezn_adresatu;
                    str_podm.oznam = sezn_oznam;

                    str_s.podminky.Add(str_podm);
                }
            }

            if (!string.IsNullOrEmpty(str_s.stav))
                st.Add(str_s);
        }
        faze = fz;
        stavy = st;
    }

    /// <summary>
    /// Vyplni formular daty ze struktur (funkce nakonec nepouzita, misto toho se kontrolce predhodi struktury, 
    /// ty se prevedou na DataTable a provede se normalni DataBind) 
    /// </summary>
    /// <param name="faze"></param>
    /// <param name="stavy"></param>
    public void SetValues(ref Str_workfl_faze fz, ref List<Str_workfl_stavy> st)
    {
        /*
        TextBox b = (TextBox)WebControlHelper.FindControl(this, "text_popis_kroku");
        b.Text = fz.popis; 

        //projdu uživatelské nastavení v kroku
        //---------------------------------------            
        for (int j = 0; j < 4; j++)
        {
            string hledat = "";
            if (j == 0) hledat = "adr";
            else if (j == 1) hledat = "spr";
            else if (j == 2) hledat = "vyd";
            else if (j == 3) hledat = "ost";

            string ui_set = "";
            if (j == 0)
                ui_set = fz.un_adresat; // "[" + polozka + ":" + vlastnost + "=" + hodnota + "]";
            else if (j == 1)
                ui_set = fz.un_spravce; 
            else if (j == 2)
                ui_set = fz.un_vydav; 
            else
                ui_set = fz.un_ostatni; 

            List<Str_workfl_UI> UISetings = WorkflUISettings.NactiHodnotu(ui_set);

            GridView gv_un = (GridView)WebControlHelper.FindControl(this, "gv_un");
            for (int k = 0; k < gv_un.Rows.Count; k++)
            {
                string polozka = (string)gv_un.DataKeys[k]["polozka"];
                string vlastnost = (string)gv_un.DataKeys[k]["vlastnost"];
                string page = "";
                if (polozka.IndexOf('.') > 0)
                {
                    page = polozka.Substring(0, polozka.IndexOf('.'));
                    polozka = polozka.Substring(polozka.IndexOf('.') + 1);
                }
                string hodnota = WorkflUISettings.GetValue(UISetings, page, polozka, vlastnost);
                (WebControlHelper.FindControl(gv_un.Rows[k], "ddl_hodnota_"+hledat) as DropDownList).SelectedValue = hodnota;                
            }
        }

        TGridViewBulk gv_stavy = (TGridViewBulk)WebControlHelper.FindControl(this, "gv_stavy");
        for (int j = 0; j < gv_stavy.Rows.Count; j++)
        {
            Str_workfl_stavy str_s = new Str_workfl_stavy();
            if (j < st.Count)
                str_s = st[j];

            //str_s.podminky = new List<Str_workfl_stavy_podm>();
            //str_s.id_master = id_master;
            //str_s.faze = Krok;

            WebControlHelper.SubCtrlSetValue(gv_stavy.Rows[j], "tx_stav", str_s.stav);
            WebControlHelper.SubCtrlSetValue(gv_stavy.Rows[j], "tx_popis", str_s.popis);

            CheckBox ch_sys2 = (CheckBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "check_sys_stav2");
            ch_sys2.Checked = str_s.sys_stav2;

            //-----------------------------------
            CheckBox ch_pristup = (CheckBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "check_adresat");
            ch_pristup.Checked = str_s.pristup!=null && str_s.pristup.Contains('a');
            ch_pristup = (CheckBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "check_spravce");
            ch_pristup.Checked = str_s.pristup != null && str_s.pristup.Contains('s'); ;
            ch_pristup = (CheckBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "check_vydavatel");
            ch_pristup.Checked = str_s.pristup != null && str_s.pristup.Contains('v');
            ch_pristup = (CheckBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "check_ostatni"); 
            ch_pristup.Checked = str_s.pristup != null && str_s.pristup.Contains('o');
            //-----------------------------------

            TextBox b_key = (TextBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "tx_email_hlavicka");
            TextBox b_text = (TextBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "tx_email_text");
            b_key.Text = "";
            b_text.Text = "";
            if (str_s.email_pozn != null && str_s.email_pozn.Count>0)
            {
                b_key.Text = str_s.email_pozn[0].Key;
                b_text.Text = str_s.email_pozn[0].Value;
            } 

            //zpráva do emailu
            TextBox txZprava = (TextBox)WebControlHelper.FindControl(gv_stavy.Rows[j], "TextBoxZprava");
            txZprava.Text = str_s.zprava;

            //1. radek v gv_podminky je default nastaveni stavu
            TGridViewBulk gv_podminky = (TGridViewBulk)WebControlHelper.FindControl(gv_stavy.Rows[j], "gv_pdm");
            for (int n = 0; n < gv_podminky.Rows.Count; n++)
            {
                short? poradi = null;
                string vyraz = "";
                string ls_validace = "";
                string sys_stav = "";
                short? next_faze = null;
                string sezn_akce = "";
                string sezn_adresatu = "";
                string sezn_oznam = "";
                if (n == 0) //1. radek v gv_podminky je default nastaveni stavu
                {
                    poradi = 99;
                    vyraz = "(výchozí)";
                    ls_validace = str_s.validace;
                    sys_stav = str_s.sys_stav;
                    sezn_akce = str_s.akce;
                    if (str_s.next_faze != null)
                        next_faze = (short)str_s.next_faze;
                    sezn_adresatu = str_s.adresat;
                    sezn_oznam = str_s.oznam;
                }
                else if (str_s.podminky != null && (n - 1) < str_s.podminky.Count)
                {
                    Str_workfl_stavy_podm str_podm = str_s.podminky[n - 1];
                    poradi = str_podm.poradi;
                    vyraz = str_podm.vyraz;
                    ls_validace = str_podm.validace;
                    sys_stav = str_podm.sys_stav;
                    sezn_akce = str_podm.akce;
                    next_faze = str_podm.next_faze;
                    sezn_adresatu = str_podm.adresat;
                    sezn_oznam = str_podm.oznam;
                }
                WebControlHelper.SubCtrlSetValue(gv_podminky.Rows[n], "tx_poradi", poradi);
                WebControlHelper.SubCtrlSetValue(gv_podminky.Rows[n], "rcmb_vyraz", vyraz);
                WebControlHelper.SubCtrlSetValue(gv_podminky.Rows[n], "rcmb_validace", ls_validace);
                WebControlHelper.SubCtrlSetValue(gv_podminky.Rows[n], "ddl_sys_stav", sys_stav);
                WebControlHelper.SubCtrlSetValue(gv_podminky.Rows[n], "tx_next_faze", next_faze);

                //projdu seznam akcí
                List<Str_workfl_akce> akce_list = WorkflowAkce.ParsujAkce(sezn_akce);
                for (int k = 1; k <= 5; k++)
                {
                    string akce = "";
                    if ((k - 1) < akce_list.Count)
                        akce = akce_list[k - 1].Typ + ":" + akce_list[k - 1].Akce;
                    WebControlHelper.SubCtrlSetValue(gv_podminky.Rows[n], "ddlb_" + k.ToString(), akce);
                }

                List<Str_workfl_adresat> adr_list = WorkflAdresat.NactiHodnotu(sezn_adresatu);
                for (int k = 1; k <= 3; k++)
                {
                    string val = "";
                    string h = "";
                    if ((k - 1) < adr_list.Count)
                    {
                        val = adr_list[k - 1].Vlastnost;
                        h = adr_list[k - 1].Hodnota;
                    }
                    WebControlHelper.SubCtrlSetValue(gv_podminky.Rows[n], "ddlbadr_" + k.ToString(), val);
                    WebControlHelper.SubCtrlSetValue(gv_podminky.Rows[n], "textBox_adresathodn" + k.ToString(), h);                    
                }

                adr_list = WorkflAdresat.NactiHodnotu(sezn_oznam);
                for (int k = 1; k <= 3; k++)
                {
                    string val = "";
                    string h = "";
                    if ((k - 1) < adr_list.Count)
                    {
                        val = adr_list[k - 1].Vlastnost;
                        h = adr_list[k - 1].Hodnota;
                    }
                    WebControlHelper.SubCtrlSetValue(gv_podminky.Rows[n], "ddlboznam_" + k.ToString(), val);
                    WebControlHelper.SubCtrlSetValue(gv_podminky.Rows[n], "textBox_oznamhodn" + k.ToString(), h);
                }

                
            }            
        }       */ 
    }

    public override void DataBind()
    {
        if (Faze != null)
        {
            DataTable dt_faze, dt_ui_prop_val;
            WorkflowSettings.FazeToDataTable(Typ, Faze.Value, out dt_faze, out dt_ui_prop_val);

            DetailsView dv_faze = (DetailsView)WebControlHelper.FindControl(this, "dv_faze");
            dv_faze.DataSourceID = null;
            dv_faze.DataSource = dt_faze;

            TGridViewBulk gv_un = (TGridViewBulk)WebControlHelper.FindControl(this, "gv_un");
            gv_un.DataSourceID = null;
            gv_un.DataSource = dt_ui_prop_val;
        }
        if (Stavy != null)
        {
            DataTable dt_stavy = WorkflowSettings.StavyToDataTable(Typ, Stavy);
            TGridViewBulk gv_stavy = (TGridViewBulk)WebControlHelper.FindControl(this, "gv_stavy");
            gv_stavy.DataSourceID = null;
            gv_stavy.DataSource = dt_stavy;
        }        
        _zobrTlacitkaAplikovat(); //PH 19.7.2019      

        base.DataBind();
    }

    private void _zobrTlacitkaAplikovat()
    {       
        object o = SessionInfo.GetVariable(KeyProPamet);
        TRadButton btn = (TRadButton)WebControlHelper.FindControl(this, "rb_ze_schranky");
        btn.Visible = false;
        if (o != null)
        {
            StrFazePamet p = (StrFazePamet)o;
            btn.Visible = true;
            btn.Text = WebControlHelper.ZmenaTextu("[%Vložit krok%]")+": " + p.faze.faze + ", "+WebControlHelper.ZmenaTextu("[%název%]")+" : " + p.faze.popis;
        }       
    }

    protected void gv_pdm_DataBinding(object sender, EventArgs e)
    {
        if (Stavy != null) //nejde menit 
        {
            //TGridViewBulk gv_pdm = (TGridViewBulk)sender;
            //GridViewRow StavRow = (GridViewRow)gv_pdm.NamingContainer;
            //object o = DataBinder.Eval(StavRow.DataItem, "stav");
            //string stav = (o != null) ? (string)o : "";
            //for(int i=0; i<Stavy.Count; i++)
            //{
            //    if (Stavy[i].stav == stav)
            //    {
            //        DataTable dt_stavyApodm = WorkflowSettings.PodminkyAvychoziToDataTable(Typ, Krok, Stavy[i]);

            //        gv_pdm.DataSourceID = null;
            //        gv_pdm.DataSource = dt_stavyApodm;
            //    }
            //}            
        }
    }

    protected void gv_stavy_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            object o = DataBinder.Eval(e.Row.DataItem, "stav");
            string stav = (o != null && !DBNull.Value.Equals(o)) ? (string)o : "";
            TGridViewBulk gv_pdm = (TGridViewBulk)e.Row.FindControl("gv_pdm");

            Str_workfl_stavy str_stav = new Str_workfl_stavy();
            str_stav.stav = stav;
            for (int i = 0; i < Stavy.Count; i++)
            {
                if (Stavy[i].stav == stav)
                {
                    str_stav = Stavy[i];
                }
            }
            DataTable dt_stavyApodm = WorkflowSettings.PodminkyAvychoziToDataTable(Typ, Krok, str_stav);

            gv_pdm.DataSourceID = null;
            gv_pdm.DataSource = dt_stavyApodm;
            gv_pdm.DataBind();
        }
    }

    protected void rb_do_schranky_Command(object sender, CommandEventArgs e)
    {
        Str_workfl_faze faze;
        List<Str_workfl_stavy> stavy;
        GetValues(out faze, out stavy);
        StrFazePamet pamet = new StrFazePamet();
        pamet.id_master = IdMaster;      
        pamet.faze = faze;

        SessionInfo.SetVariable(KeyProPamet, pamet);

        _zobrTlacitkaAplikovat();
    }

    protected void rb_ze_schranky_Command(object sender, CommandEventArgs e)
    {
        object o=SessionInfo.GetVariable(KeyProPamet);
        if (o!=null)
        {
            StrFazePamet p = (StrFazePamet)o;
          
            Str_workfl_faze fz = p.faze;
            fz.faze = Krok;
            p.faze = fz;

            ((Pozadavky_Workflow)this.Page).setTmpFaze(Krok, p.faze);

            Str_workfl_faze faze;
            List<Str_workfl_stavy> stavy;
            GetValues(out faze, out stavy);

            //název stavu vezmu z původního záznamu
            fz.popis = faze.popis;

            this.Faze = fz;
            this.Stavy = stavy;
            this.DataBind();
        }
    }

    protected void RadAsyncUpload1_FileUploaded(object sender, FileUploadedEventArgs e)
    {
        if (e.IsValid)
        {           
            UploadedFile file = e.File;
            byte[] bytes = new byte[file.ContentLength];

            //byte[] data1 = new byte[file.UploadedFiles[0].ContentLength];
            file.InputStream.Read(bytes, 0, (int)file.ContentLength);

            //smažu případné dřívější záznam s dočasným uložením šablony
            //---------------------------------------------------------------
            ParametryPrikazu par2 = new ParametryPrikazu();
            par2.Add(new KSParameter("krok", DbType.Int32, Krok));           
            par2.Add(new KSParameter("id_master", DbType.Int32, IdMaster)); 
            SqlPrikaz.ExecuteNonQuery("delete info_blob where os_cislo=@krok and cislo_pom=@id_master and pouziti=106", true, par2);
            //----------------------------------------------------------------

            int id_sablony = SablonaEmailu.UlozitTemp(null, bytes, IdMaster, (short)Krok);
            ((HiddenField)WebControlHelper.FindControl(this.Page, "HF_IdSablony")).Value = id_sablony.ToString();

            set_visible_panels(false, true);
        }
        else
        {
            //isValid = false;
        }
        RadAsyncUpload raupload = (RadAsyncUpload)sender;
        raupload.Localization.Select = WebControlHelper.ZmenaTextu("[%Vybrat%]");
        raupload.Localization.Remove = WebControlHelper.ZmenaTextu("[%Smazat%]");
        raupload.Localization.DropZone = WebControlHelper.ZmenaTextu("[%Přetáhnout soubor sem%]");
        raupload.Localization.Cancel = WebControlHelper.ZmenaTextu("[%Zrušit%]");
    }

    /// <summary>
    /// 
    /// </summary>
    public class StrFazePamet
    {
        /// <summary>
        /// 
        /// </summary>
        public int id_master { get; set; }

        /// <summary>
        /// 
        /// </summary>
       // public int krok { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public Str_workfl_faze faze { get; set; }

    }

    protected void CustValidator_ServerValidate(object source, ServerValidateEventArgs args)
    {
        //je to zbytečné, stejně se zavolá Getvalues při přepínání záložek a odchytí se NoticeException, která se zobrazí v horní části stránky.
        //CustomValidator CustValidator = (CustomValidator)WebControlHelper.FindControl(this, "CustValidator");
        //CustValidator.ErrorMessage = "";
        //try
        //{
        //    Str_workfl_faze faze;
        //    List<Str_workfl_stavy> stavy;
        //    GetValues(out faze, out stavy);
        //}
        //catch (NoticeException exc)
        //{
        //    args.IsValid = false;
        //    CustValidator.ErrorMessage = exc.Message;
        //}
    }


    protected bool pan_sablona_comm_visible()
    {
        HiddenField hf = WebControlHelper.FindControl(this.Page, "HF_IdSablony") as HiddenField;
        if (string.IsNullOrEmpty(hf.Value))
            return false;

        return true;
    }

    protected void rb_stahnout_Command(object sender, CommandEventArgs e)
    {
        Prilohy.genDownloadUrl(Page, e.CommandArgument, "sablona.zip");
    }

    protected string genOpenDoklCode(object id_sablony, string soubor )
    {
        if (id_sablony != null && id_sablony != DBNull.Value)
            return Prilohy.genDownloadUrl(Page, Convert.ToInt32(id_sablony), soubor);
        return "";
    }

    protected void rb_delete_Command(object sender, CommandEventArgs e)
    {
        ParametryPrikazu par = new ParametryPrikazu();
        par.Add(new KSParameter("krok", DbType.Int32, Krok * -1));
        par.Add(new KSParameter("id_master", DbType.Int32, IdMaster));

        //odstraním dočasné uložení s kladným číslem kroku (kladné je dočasné, záporné trvalé) na trvalé
        SqlPrikaz.ExecuteNonQuery("delete from info_blob where os_cislo=@krok and cislo_pom=@id_master and pouziti=106", true, par);

        HiddenField fld = WebControlHelper.FindControl(this.Page, "HF_IdSablony") as HiddenField;
        fld.Value = null;
        set_visible_panels(true, false);
    }

    private void set_visible_panels(bool upload_panel, bool comm_panel)
    {
        WebControl up=WebControlHelper.FindControl(this.Page, "pan_upload") as WebControl;
        WebControl comm = WebControlHelper.FindControl(this.Page, "pan_sablona_comm") as WebControl;
        up.Visible = upload_panel;
        comm.Visible = comm_panel;
    }

    
}