﻿using KSProgram;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KSPortal.DashBoard
{
    public partial class DashBoardPanel_SchvaleneNepritomnosti : DashBoardPanel
    {
        public override string Nadpis => KSProgram.Obecne.ReadGlobalResource.ZmenaTextu("[%Schválené nepřítomnosti přímých podřízených%]");

        public override bool JeDostupny => base.JeDostupny && KSProgram.Parametry.ParametrCti("SchvalNepritDefault").ToLower() == "a";

        public override string Name => "SchvaleneNepritomnosti";

        public override int? IdPravaZobrazeni => 402;

        //public override Unit? MinWidth => new Unit(800, UnitType.Pixel);

        protected override void OnLoad(EventArgs e)
        {
            if (Globals.WebPlatform?.Platform?.ios == false &&
                Globals.WebPlatform?.Platform?.ipad == false &&
                Globals.WebPlatform?.Platform?.iphone == false &&
                Globals.WebPlatform?.Platform?.mac == false)
            {
                TRG_neprit.ClientSettings.Scrolling.CountGroupSplitterColumnAsFrozen = false;
                TRG_neprit.ClientSettings.Scrolling.FrozenColumnsCount = 1;
            }
        }

    }
}