﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="KSPortal.Default" %>

<%@ Register Src="~/Controls/SchvaleneNeprit.ascx" TagName="sch" TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <table cellpadding="5">
        <tr>
            <td>
                <asp:ObjectDataSource ID="ODS_Oznameni" runat="server"
                    OldValuesParameterFormatString="original_{0}" SelectMethod="GetAllMessages"
                    TypeName="KSProgram.Obecne.WarningMessages"></asp:ObjectDataSource>
                <kspwc:TDataList ID="TDataListOznameni" runat="server" Width="500px"
                    ShowEmpty="False" DataSourceID="ODS_Oznameni">
                    <ItemTemplate>
                        <asp:Label ID="l_notice" runat="server">
                            <%#DataBinder.Eval(Container, "DataItem")%>
                        </asp:Label>
                    </ItemTemplate>
                    <HeaderTemplate>
                        [%Oznámení%]
                    </HeaderTemplate>
                </kspwc:TDataList>
            </td>
        </tr>
        <tr>
            <td>
                <asp:ObjectDataSource ID="ODS_Odkazy" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="Seznam" TypeName="KSProgram.Odkazy"></asp:ObjectDataSource>
                <kspwc:TDataList ID="TDataListOdkazy" runat="server" Width="500px" DataSourceID="ODS_Odkazy"
                    ShowEmpty="False">
                    <ItemTemplate>
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/cerny_cterec.png" />
                        &nbsp;<asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# Bind("url") %>'
                            Text='<%# Bind("nazev") %>' Target='<%# Bind("cil") %>'></asp:HyperLink>
                    </ItemTemplate>
                    <HeaderTemplate>
                        [%Odkazy%]
                    </HeaderTemplate>
                </kspwc:TDataList>
            </td>
        </tr>
        <tr>
            <td runat="server" id="td_schvalene">
                <uc1:sch ID="schvalene" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:ObjectDataSource ID="ODS_VolnePozice" runat="server" OldValuesParameterFormatString="original_{0}"
                    TypeName="KSProgram.VyberovaRizeni.VyberovaRizeni" SelectMethod="Publikovane">
                    <SelectParameters>
                        <asp:Parameter Name="interni" Type="Boolean" DefaultValue="true" />
                        <asp:Parameter Name="externi" Type="Boolean" DefaultValue="false" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <kspwc:TDataList ID="TDataListVolnePozice" runat="server" Width="500px" DataSourceID="ODS_VolnePozice"
                    ShowEmpty="False">
                    <ItemTemplate>
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/cerny_cterec.png" />
                        &nbsp;
                        <asp:HyperLink ID="HyperLink1" runat="server" Text='<%# Bind("nazev") %>' NavigateUrl='<%# VolnaPoziceBuildURL((Int32)Eval("id_vybriz")) %>'></asp:HyperLink>
                    </ItemTemplate>
                    <HeaderTemplate>
                        [%Volné pozice%]
                    </HeaderTemplate>
                </kspwc:TDataList>
            </td>
        </tr>
    </table>


</asp:Content>
