﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Dochazka_PrescasyPrevod" CodeBehind="PrescasyPrevod.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<%@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" TagPrefix="wca" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register TagPrefix="KSValidation" Namespace="KSProgram.WebControls.Validation" assembly="WebControls"  %>

<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <%--<wc:TRadObdobi ID="ObdobiText1" runat="server" AutoPostBack="True" Picker-EnableTyping="false">
    </wc:TRadObdobi>
    <br />--%>
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <asp:ObjectDataSource ID="ds_stred" runat="server"
        OldValuesParameterFormatString="original_{0}" SelectMethod="VsechanaOJ" TypeName="KSProgram.Ciselniky.CisOjDochazka">
        <SelectParameters>
            <asp:SessionParameter Name="datum" SessionField="den_editace" Type="DateTime" />
            <asp:Parameter DefaultValue="true" Name="ab_prazdny" Type="Boolean" />
        </SelectParameters>       
    </asp:ObjectDataSource>
    <%--<asp:Label ID="nadpis" runat="server" CssClass="nadpis1" Text="[%Převedené přesčasy%]"></asp:Label>--%>
    <kspwc:TRadGrid runat="server" ID="RadGrid1" DataSourceID="ObjectDataSource1" Width="600px"
        AutoGenerateColumns="False" ShowFooter="True" MasterTableView-Caption="[%Převedené přesčasy%]"
        OnItemDataBound="RadGrid1_ItemDataBound"  
        OnInsertCommand="RadGrid1_InsertCommand" IdPravaEditace="89">
        <MasterTableView AllowAutomaticDeletes="true" AllowSorting="true" 
            CommandItemDisplay="Top" DataKeyNames="id,os_cislo,cislo_pom"
            AllowAutomaticUpdates="True">
            <CommandItemSettings AddNewRecordText="[%Přidat nový záznam%]" />
            <EditFormSettings>
                <EditColumn ButtonType="ImageButton" />
            </EditFormSettings>
            <RowIndicatorColumn Visible="False">
            </RowIndicatorColumn>
            <ExpandCollapseColumn Created="True">
            </ExpandCollapseColumn>
            <Columns>
                <telerik:GridEditCommandColumn ButtonType="ImageButton"
                    UniqueName="EditCommandColumn" ItemStyle-Width="15">
                    <ItemStyle Width="15px"></ItemStyle>
                </telerik:GridEditCommandColumn>
                <telerik:GridButtonColumn CommandName="Delete" Text="Smazat"
                    ButtonType="ImageButton" UniqueName="DeleteColumn" ItemStyle-Width="15">
                    <ItemStyle Width="15px"></ItemStyle>
                </telerik:GridButtonColumn>
                <telerik:GridBoundColumn DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" UniqueName="os_cislo" ReadOnly="true" ItemStyle-Width="70">
                    <ItemStyle Width="70px"></ItemStyle>
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno" UniqueName="jmeno" ReadOnly="true">
                </telerik:GridBoundColumn>
               <%-- <telerik:GridDateTimeColumn DataField="datum" HeaderText="[%Datum%]" UniqueName="datum" PickerType="DatePicker" DataFormatString="{0:d}" ItemStyle-Width="50" >
                    <ColumnValidationSettings EnableRequiredFieldValidation="true" RequiredFieldValidator-Text="[%Povinná položka%]" RequiredFieldValidator-ForeColor="Red"></ColumnValidationSettings>
                    <ItemStyle Width="50px"></ItemStyle>
                </telerik:GridDateTimeColumn>--%>
                <telerik:GridTemplateColumn DataField="datum" SortExpression="datum" HeaderText="[%Datum%]" UniqueName="datum" >
                    <ItemTemplate>
                         <asp:Label runat="server" ID="lab_day" Text='<%# Bind("datum", "{0:d}") %>'  ></asp:Label>
                    </ItemTemplate>
                    <InsertItemTemplate>
                       <kspwc:TRadDatePicker runat="server" ID="calendar"  AutoPostBack="true" DbSelectedDate='<%# Bind("datum") %>' OnSelectedDateChanged="calendar_SelectedDateChanged" ></kspwc:TRadDatePicker>
                         <kspwc:TRequiredValidator runat="server" ID="req_val_datum_insert" Text="[%Povinné pole%]" ControlToValidate="calendar"></kspwc:TRequiredValidator>
                        <asp:CustomValidator runat="server" ID="cv_datum"  ControlToValidate="calendar" OnServerValidate="CustomValidator_ServerValidate"></asp:CustomValidator>
                    </InsertItemTemplate>
                    <EditItemTemplate>
                         <kspwc:TRadDatePicker runat="server" ID="calendar" AutoPostBack="true" DbSelectedDate='<%# Bind("datum") %>' OnSelectedDateChanged="calendar_SelectedDateChanged">                          
                         </kspwc:TRadDatePicker>
                        <kspwc:TRequiredValidator runat="server" ID="req_val_datum_edit" Text="[%Povinné pole%]" ControlToValidate="calendar"></kspwc:TRequiredValidator>
                         <asp:CustomValidator runat="server" ID="cv_datum"  ControlToValidate="calendar" OnServerValidate="CustomValidator_ServerValidate"></asp:CustomValidator>
                    </EditItemTemplate>
                </telerik:GridTemplateColumn>
               
                <telerik:GridTemplateColumn  HeaderText="[%Den%]" ReadOnly="true" SortExpression="datum" UniqueName="nazev_dne"  >
                    <ItemTemplate>
                        <asp:Label runat="server" ID="lab_day_name" Text='<%# Bind("datum", "{0:dddd}") %>' ></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <%--<telerik:GridBoundColumn DataField="prac_str" HeaderText="[%Prac. stř.%]" SortExpression="prac_str" UniqueName="prac_str" ReadOnly="false">
                </telerik:GridBoundColumn>--%>
               <%-- <telerik:GridTemplateColumn DataField="prac_str" HeaderText="[%Prac. stř.%]" SortExpression="prac_str" UniqueName="prac_str" ReadOnly="false">
                    <ItemTemplate>
                        <asp:Label runat="server" ID="lab_stred" Text='<%# Eval("prac_str") %>' ></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                         <kspwc:TRadComboBox ID="ddlb_stred" runat="server" EnableLoadOnDemand="true" RenderingMode="Full" 
                            ShowMoreResultsBox="true" EnableVirtualScrolling="false" DataSourceID="ds_stred" DataTextField="cely_nazev" DataValueField="str"
                            SelectedValue='<%# Bind("prac_str") %>' DropDownHeight="200px"
                            Width="400px"  DropDownWidth="500px">
                           <WebServiceSettings Method="GetStredDochazka" Path="../PrivateWebServices/AutoCompleteService.asmx" />
                        </kspwc:TRadComboBox>
                    </EditItemTemplate>
                    <InsertItemTemplate>
                        <kspwc:TRadComboBox ID="ddlb_stred" runat="server" EnableLoadOnDemand="true" RenderingMode="Full"
                            ShowMoreResultsBox="true" EnableVirtualScrolling="false" DataSourceID="ds_stred" DataTextField="cely_nazev" DataValueField="str"
                            SelectedValue='<%# Bind("prac_str") %>' DropDownHeight="200px"
                            Width="400px"  DropDownWidth="500px">
                            <WebServiceSettings Method="GetStredDochazka" Path="../PrivateWebServices/AutoCompleteService.asmx" />
                        </kspwc:TRadComboBox>
                    </InsertItemTemplate>
                </telerik:GridTemplateColumn>--%>
                <telerik:GridDropDownColumn  DataField="prac_str" HeaderText="[%Prac. stř.%]" DropDownControlType="RadComboBox" ColumnEditorID="str_editor" AllowAutomaticLoadOnDemand="true" ShowMoreResultsBox="true" SortExpression="prac_str" UniqueName="prac_str" ReadOnly="false" ListValueField="str" ListTextField="cely_nazev" DataSourceID="ds_stred"  >
                    <ColumnValidationSettings EnableRequiredFieldValidation="true" RequiredFieldValidator-Text="[%Povinné pole%]" RequiredFieldValidator-CssClass="ksValidator" >                       
                    </ColumnValidationSettings>
                </telerik:GridDropDownColumn>
                
                <telerik:GridDropDownColumn UniqueName="znamenko" DataField="znamenko" ListTextField="znamenko" ListValueField="znamenko" ItemStyle-Width="20" HeaderText="[%Znaménko%]" DataSourceID="ds_znamenka"
                    DropDownControlType="RadComboBox" AllowSorting="true">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridDropDownColumn>
                <telerik:GridNumericColumn UniqueName="dny" DataField="dny" HeaderText="[%Dny%]" NumericType="Number" DataFormatString="{0:D2}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridDateTimeColumn DataField="cas" HeaderText="[%Čas%]" 
                    UniqueName="cas" PickerType="TimePicker" DataFormatString="{0:HH:mm}"
                    ItemStyle-Width="20">
                    <ItemStyle Width="20px"></ItemStyle>
                    <ColumnValidationSettings EnableRequiredFieldValidation="true" RequiredFieldValidator-Text="[%Povinné pole%]" RequiredFieldValidator-CssClass="ksValidator" >                       
                    </ColumnValidationSettings>
                </telerik:GridDateTimeColumn>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="gcic" runat="server" AddNewItemButton-Visible="true" FilterButton-Visible="false" ExportButton-Visible="false" DateControl="TRadObdobi">
                    <TRadObdobi runat="server" AutoPostBack="true" ></TRadObdobi>
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
     <telerik:GridDropDownListColumnEditor ID="str_editor" DropDownStyle-Width="450"   
        runat="server" /> 

    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server"
        OldValuesParameterFormatString="original_{0}" SelectMethod="RetrievePrescasy" TypeName="KSProgram.Dochazka.Prtl_prescasy"
        UpdateMethod="UpdatePrescasy" DeleteMethod="DeletePrescasy">
        <SelectParameters>
            <asp:ControlParameter ControlID="RadGrid1" Name="obdobi" PropertyName="Datum.SelectedObdobi" Type="DateTime" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="datum" Type="DateTime" />
            <asp:Parameter Name="prac_str" Type="String" />
            <asp:Parameter Name="znamenko" Type="String" />
            <asp:Parameter Name="dny" Type="Int32" />
            <asp:Parameter Name="cas" Type="DateTime" />
            <asp:Parameter Name="original_os_cislo" Type="Decimal" />
            <asp:Parameter Name="original_cislo_pom" Type="Int16" />
            <asp:Parameter Name="original_id" Type="Int64" />
        </UpdateParameters>
    </asp:ObjectDataSource>

    <asp:ObjectDataSource ID="ds_znamenka" runat="server" TypeName="Dochazka_PrescasyPrevod" SelectMethod="Znamenka"></asp:ObjectDataSource>

</asp:Content>

