﻿using KSProgram;
using KSProgram.Data;
using KSProgram.Obecne;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KSPortal.Dochazka
{
    public partial class RozdeleniPrescasSvatek : TPopUpPage
    {
        DateTime _obdobi;
        decimal _os_cislo;
        short _cislo_pom;

        private Decimal OsCislo
        {
            get
            {
                return _os_cislo;
            }

            set
            {
                _os_cislo = value;
            }
        }

        private short CisloPom
        {
            get
            {
                return _cislo_pom;
            }

            set
            {
                _cislo_pom = value;
            }
        }

        private DateTime Obdobbi
        {
            get
            {
                return _obdobi;
            }

            set
            {
                _obdobi = value;
            }
        }
      
        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            string[] pom = Request.Params["obdobi"].Split(new char[1] { '/' });
            Obdobbi = new DateTime(Convert.ToInt32(pom[1]), Convert.ToInt32(pom[0]), 1);

            if (Request.Params["id"] == "prescas")
            {
                mv.ActiveViewIndex = 0;
                rozd_presc.OsCislo = Globals.OsCisloPomer.OsCislo;
                rozd_presc.CisloPom = Globals.OsCisloPomer.CisloPom;
                rozd_presc.Obdobi = Obdobbi;
                rozd_presc.Vytvorit();
                this.TitleStranky = "[%Rozdělení přesčasů%]";
            }
            else if (Request.Params["id"] == "svatek")
            {
                mv.ActiveViewIndex = 1;
                rozd_svatek.OsCislo = Globals.OsCisloPomer.OsCislo;
                rozd_svatek.CisloPom = Globals.OsCisloPomer.CisloPom;
                rozd_svatek.Obdobi = Obdobbi;
                rozd_svatek.Vytvorit();
                this.TitleStranky = "[%Rozdělení práce ve svátek%]";
            }           
        }
       
    }
}