﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="SestavaPrescasu.aspx.cs" Inherits="KSPortal.Dochazka.SestavaPrescasu" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGridSestavaPrescasu">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGridSestavaPrescasu" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Sestava přesčasů%]" CssClass="nadpis1"></asp:Label>--%>


        <wc:StrSkupDiv runat="server" ID="StrSkupDiv"></wc:StrSkupDiv>
        <br />
        <kspwc:TRadGrid ID="TRadGridSestavaPrescasu" runat="server"
            ShowGroupPanel="True" AllowPaging="True" UseSaveSetting="false"
             AllowSorting="true" AutoGenerateColumns="false" MasterTableView-Caption="[%Sestava přesčasů%]"
            OnNeedDataSource="TRadGridSestavaPrescasu_NeedDataSource" AutoFilterControlWidth="false" OnExportCellFormatting="TRadGridSestavaPrescasu_ExportCellFormatting" 
            OnExcelExportCellFormatting="TRadGridSestavaPrescasu_ExcelExportCellFormatting" >
            <ClientSettings AllowDragToGroup="True">
            </ClientSettings>
            <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
            <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
            <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
            </ExportSettings>
            <MasterTableView CommandItemDisplay="Top">
                <ColumnGroups>
                    <telerik:GridColumnGroup HeaderText="[%Období%]" Name="obdobi" HeaderStyle-HorizontalAlign="Center"></telerik:GridColumnGroup>
                </ColumnGroups>
                <Columns>
                    <telerik:GridBoundColumn DataField="os_cislo" SortExpression="os_cislo" HeaderText="[%Osobní číslo%]" FilterControlWidth="30"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="prijmeni" SortExpression="prijmeni" HeaderText="[%Příjmení%]" />
                    <telerik:GridBoundColumn DataField="jmeno" SortExpression="jmeno" HeaderText="[%Jméno%]" />
                    <telerik:GridBoundColumn DataField="cislo_pom" SortExpression="cislo_pom" HeaderText="[%Č.P.%]" FilterControlWidth="30" />
                    <telerik:GridBoundColumn DataField="prac_str" SortExpression="prac_str" HeaderText="[%Prac. střed.%]" FilterControlWidth="40" />
                    <telerik:GridBoundColumn DataField="kmen_str" SortExpression="kmen_str" HeaderText="[%Kmen. stř.%]" FilterControlWidth="40" />
                    <telerik:GridBoundColumn DataType="System.String" DataField="minule" SortExpression="minule" HeaderText="[%Převedeno%]" ColumnGroupName="obdobi" UniqueName="col_minule" />
                    <telerik:GridBoundColumn DataType="System.String" DataField="aktualni" SortExpression="aktualni" HeaderText="[%Zvolené%]" ColumnGroupName="obdobi" UniqueName="col_aktualni" />
                    <telerik:GridBoundColumn DataType="System.String" DataField="soucet" SortExpression="soucet" HeaderText="[%Součet%]" ColumnGroupName="obdobi" UniqueName="col_soucet" />
                </Columns>
                <CommandItemTemplate>
                    <kspwc:GridCommandItemControl ID="gcic" runat="server" FilterButton-Visible="true" ExportButton-Visible="true" DateControl="TRadDatePicker" StrediskaComboBox-Visible="true">
                        <ExportButton runat="server" ShowExportToCsvItem="true" ShowExportToExcelHtmlItem="true" />
                    </kspwc:GridCommandItemControl>
                </CommandItemTemplate>
            </MasterTableView>
        </kspwc:TRadGrid>

</asp:Content>

