﻿<%@ Page MasterPageFile="~/Main.Master" Language="C#" AutoEventWireup="true" Inherits="Dochazka_d2a"
    CodeBehind="d2a.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc3" %>
<%@ Register Assembly="zdroje" Namespace="KSProgram.WebControls" TagPrefix="cc2" %>
<%@ Register Assembly="zdroje" Namespace="KSProgram.Data" TagPrefix="cc1" %>
<%--<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="aj" %>--%>
<%@ Register TagPrefix="KSValidation" Namespace="KSProgram.WebControls.Validation" Assembly="WebControls" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="server">
    <style>
        .KsUnderlineTable{
            padding: 20px;
            width: 95% !important;
            margin: 2.5%;
        }
        .KsUnderlineTable tr:nth-child(1){
            text-align: left !important;
        }
        .KsUnderlineTable td:nth-child(2){
            padding-right: 5px;
        }
    </style>

    <kspwca:TitledPanel runat="server" TitleText="[%Parametry docházky%]" CssClass="ksprvek" CtrlStyle-CssClass="ksprvek">
        <TitleStyle Font-Bold="True" ForeColor="White" />
        <ContentStyle BackColor="White" />
        <CtrlStyle BorderColor="#e5e5e5" BorderStyle="Solid" BorderWidth="1px" />

        <ContentTemplate>

            <asp:ObjectDataSource runat="server" ID="ods_podniky" TypeName="KSProgram.Obecne.ViceIco" SelectMethod="PlatnePodniky2"></asp:ObjectDataSource>
            <asp:Panel runat="server" ID="pan_podnik" Style="padding: 10px 1px 10px 1px">
                <kspwc:TRadComboBox runat="server" ID="rcb_vyb_podniku" DataSourceID="ods_podniky" DataTextField="cely_nazev" DataValueField="id" Width="100%" AutoPostBack="true" OnDataBound="rcb_vyb_podniku_DataBound"></kspwc:TRadComboBox>
            </asp:Panel>
            <cc3:TDetailsView ID="dv_parametry" runat="server" AutoGenerateRows="False" DataSourceID="ds_parametry" CssClass="KsUnderlineTable"
                HeaderText="" Height="272px">
                <Fields>
                    <asp:TemplateField HeaderText="[%Načtení období zpět oproti akt. období%]">
                        <EditItemTemplate>
                            <telerik:RadNumericTextBox ID="Label31d" runat="server" Text='<%# Bind("mes_zpet") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <telerik:RadNumericTextBox ID="TextBox2d" runat="server" Text='<%# Bind("mes_zpet") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label2d" runat="server" Text='<%# Bind("mes_zpet") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" -[%mesíců vpřed%]">
                        <EditItemTemplate>
                            <telerik:RadNumericTextBox ID="Label31dc" runat="server" Text='<%# Bind("mes_vpred") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <telerik:RadNumericTextBox ID="TextBox2dc" runat="server" Text='<%# Bind("mes_vpred") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label2dc" runat="server" Text='<%# Bind("mes_vpred") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="[%Kód příplatku za noční%]">
                        <EditItemTemplate>
                            <asp:Label ID="Label31" runat="server" Text='<%# Bind("kod_nocni") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <telerik:RadNumericTextBox ID="TextBox2" runat="server" Text='<%# Bind("kod_nocni") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label2" runat="server" Text='<%# Bind("kod_nocni") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" - [%odpolední%]">
                        <EditItemTemplate>
                            <asp:Label ID="Label32" runat="server" Text='<%# Bind("kod_odpoledni") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <telerik:RadNumericTextBox ID="TextBox113" runat="server" Text='<%# Bind("kod_odpoledni") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label3" runat="server" Text='<%# Bind("kod_odpoledni") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" - [%sobotu%]">
                        <EditItemTemplate>
                            <asp:Label ID="Label33" runat="server" Text='<%# Bind("kod_sobota") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <telerik:RadNumericTextBox ID="TextBox4" runat="server" Text='<%# Bind("kod_sobota") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label4" runat="server" Text='<%# Bind("kod_sobota") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" - [%neděli%]">
                        <EditItemTemplate>
                            <asp:Label ID="Label34" runat="server" Text='<%# Bind("kod_nedele") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <telerik:RadNumericTextBox ID="TextBox5" runat="server" Text='<%# Bind("kod_nedele") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label5" runat="server" Text='<%# Bind("kod_nedele") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" - [%za práci přesčas v prac. den%]">
                        <EditItemTemplate>
                            <asp:Label ID="Label35" runat="server" Text='<%# Bind("kod_prescb") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <telerik:RadNumericTextBox ID="TextBox6" runat="server" Text='<%# Bind("kod_prescb") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label6" runat="server" Text='<%# Bind("kod_prescb") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" - [%za práci přesčas v sobotu%] *">
                        <EditItemTemplate>
                            <asp:Label ID="Label36" runat="server" Text='<%# Bind("kod_prescs") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <telerik:RadNumericTextBox ID="TextBox17" runat="server" Text='<%# Bind("kod_prescs") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label7" runat="server" Text='<%# Bind("kod_prescs") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" - [%za práci přesčas v neděli%] *">
                        <EditItemTemplate>
                            <asp:Label ID="Label37" runat="server" Text='<%# Bind("kod_prescn") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <telerik:RadNumericTextBox ID="TextBox8" runat="server" Text='<%# Bind("kod_prescn") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label8" runat="server" Text='<%# Bind("kod_prescn") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" - [%za práci přesčas ve svátek%]">
                        <EditItemTemplate>
                            <asp:Label ID="Label38" runat="server" Text='<%# Bind("kod_prescsv") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <telerik:RadNumericTextBox ID="TextBox9" runat="server" Text='<%# Bind("kod_prescsv") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label9" runat="server" Text='<%# Bind("kod_prescsv") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>

                    <%-- začátek--%>

                    <asp:TemplateField HeaderText=" - [%za práci přesčas v prac. den%] ([%nanavyšuje fond%])">
                        <EditItemTemplate>
                            <asp:Label ID="ed_lab_kod_prescb_n" runat="server" Text='<%# Bind("kod_prescb_n") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <%--<asp:TextBox ID="TextBox6" runat="server" Text='<%# Bind("kod_prescb") %>'></asp:TextBox>--%>
                            <telerik:RadNumericTextBox ID="TextBox6" runat="server" Text='<%# Bind("kod_prescb_n") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="it_lab_kod_prescb_n" runat="server" Text='<%# Bind("kod_prescb_n") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" - [%za práci přesčas v sobotu%] ([%nanavyšuje fond%])">
                        <EditItemTemplate>
                            <asp:Label ID="ed_lab_kod_prescs_n" runat="server" Text='<%# Bind("kod_prescs_n") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <%--<asp:TextBox ID="TextBox17" runat="server" Text='<%# Bind("kod_prescs") %>'></asp:TextBox>--%>
                            <telerik:RadNumericTextBox ID="TextBox17" runat="server" Text='<%# Bind("kod_prescs_n") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="it_lab_kod_prescs_n" runat="server" Text='<%# Bind("kod_prescs_n") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" - [%za práci přesčas v neděli%] ([%nanavyšuje fond%])">
                        <EditItemTemplate>
                            <asp:Label ID="ed_lab_kod_prescn_n" runat="server" Text='<%# Bind("kod_prescn_n") %>'></asp:Label>
                        </EditItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="it_lab_kod_prescn_n" runat="server" Text='<%# Bind("kod_prescn_n") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" - [%za práci přesčas ve svátek%] ([%nanavyšuje fond%])">
                        <EditItemTemplate>
                            <asp:Label ID="ed_lab_kod_prescsv_n" runat="server" Text='<%# Bind("kod_prescsv_n") %>'></asp:Label>
                        </EditItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="it_lab_kod_prescsv_n" runat="server" Text='<%# Bind("kod_prescsv_n") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText=" - [%neplacený přesčas%] ">
                        <EditItemTemplate>
                            <asp:Label ID="ed_lab_neplac_prescas" runat="server" Text='<%# Bind("neplac_prescas") %>'></asp:Label>
                        </EditItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="it_lab_neplac_prescas" runat="server" Text='<%# Bind("neplac_prescas") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>

                    <%-- konec--%>


                    <asp:TemplateField HeaderText=" - [%za práci ve svátek%]">
                        <EditItemTemplate>
                            <asp:Label ID="Label_pripl_sv_edit" runat="server" Text='<%# Bind("kod_priplsv") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <%--<asp:TextBox ID="text_pripl_sv_insert" runat="server" Text='<%# Bind("kod_priplsv") %>'></asp:TextBox>--%>
                            <telerik:RadNumericTextBox ID="text_pripl_sv_insert" runat="server" Text='<%# Bind("kod_priplsv") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label_pripl_sv_item" runat="server" Text='<%# Bind("kod_priplsv") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="[%Kód stravného%]">
                        <EditItemTemplate>
                            <asp:Label ID="Label_strav_edit" runat="server" Text='<%# Bind("kod_stravneho") %>'></asp:Label>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <%--<asp:TextBox ID="text_strav_insert" runat="server" Text='<%# Bind("kod_stravneho") %>'></asp:TextBox>--%>
                            <telerik:RadNumericTextBox ID="text_strav_insert" runat="server" Text='<%# Bind("kod_stravneho") %>' MaxValue="32767" MinValue="0" NumberFormat-DecimalDigits="0" Width="58px"></telerik:RadNumericTextBox>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label_strav_item" runat="server" Text='<%# Bind("kod_stravneho") %>'></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle Wrap="False" />
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="[%Přenášet odprac. dobu%]">
                        <EditItemTemplate>
                            <asp:DropDownList ID="DropDownList4" runat="server" SelectedValue='<%# Bind("prenos_odprac_doby") %>'>
                                <asp:ListItem Value="1" Text="[%ano%]"></asp:ListItem>
                                <asp:ListItem Selected="True" Value="0" Text="[%ne%]"></asp:ListItem>
                                <asp:ListItem Value="2" Text="[%jen u dohod%]"></asp:ListItem>
                            </asp:DropDownList>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:DropDownList ID="DropDownList5" runat="server" SelectedValue='<%# Bind("prenos_odprac_doby") %>'>
                                <asp:ListItem Value="1" Text="[%ano%]"></asp:ListItem>
                                <asp:ListItem Selected="True" Value="0" Text="[%ne%]"></asp:ListItem>
                                <asp:ListItem Value="2" Text="[%jen u dohod%]"></asp:ListItem>
                            </asp:DropDownList>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <%--<asp:Label ID="Label_prenos_odprac_doby" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "prenos_odprac_doby"))==1?"[%ano%]":"[%ne%]") %>'></asp:Label></ItemTemplate>--%>
                            <asp:Label ID="Label_prenos_odprac_doby" runat="server" Text='<%# _TextAnoNeJenDohody((Int16)(DataBinder.Eval(Container.DataItem, "prenos_odprac_doby"))) %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <telerik:RadButton runat="server" ID="edit_button" ButtonType="StandardButton" Icon-PrimaryIconCssClass="fi fi-edit" CommandName="Edit"></telerik:RadButton>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <telerik:RadButton runat="server" ID="rb_undu" ButtonType="SkinnedButton" Icon-PrimaryIconCssClass="fi fi-ban" Text="[%Zpět%]" CommandName="Cancel"></telerik:RadButton>
                            <kspwc:TSaveButton runat="server" ID="save_button" CommandName="Update" CausesValidation="true"></kspwc:TSaveButton>
                        </EditItemTemplate>
                    </asp:TemplateField>
                </Fields>
                <FooterStyle BackColor="White" />
                <FooterTemplate>
                    <asp:Label runat="server" ID="lab_footer" Text="* [%V případě víceičové databáze se nastavení takto označených položek může lišit pro jednotlivé podniky%]"></asp:Label>
                </FooterTemplate>
            </cc3:TDetailsView>
            <asp:ObjectDataSource ID="ds_parametry" runat="server" OldValuesParameterFormatString="original_{0}"
                SelectMethod="ParametryFormularGet" TypeName="KSProgram.Dochazka.ParametryDochazky"
                InsertMethod="Update" UpdateMethod="Update">
                <SelectParameters>
                    <asp:ControlParameter ControlID="rcb_vyb_podniku" PropertyName="SelectedValue" Name="id_podniku" DbType="Int32" />
                </SelectParameters>
                <UpdateParameters>
                    <asp:Parameter Name="mes_zpet" Type="Int16" />
                    <asp:Parameter Name="mes_vpred" Type="Int16" />
                    <asp:Parameter Name="typ_prav" Type="Int16" />
                    <asp:Parameter Name="kod_nocni" Type="Int16" />
                    <asp:Parameter Name="kod_odpoledni" Type="Int16" />
                    <asp:Parameter Name="kod_sobota" Type="Int16" />
                    <asp:Parameter Name="kod_nedele" Type="Int16" />
                    <asp:Parameter Name="kod_prescb" Type="Int16" />
                    <asp:Parameter Name="kod_prescs" Type="Int16" />
                    <asp:Parameter Name="kod_prescn" Type="Int16" />
                    <asp:Parameter Name="kod_prescsv" Type="Int16" />

                    <asp:Parameter Name="kod_prescb_n" Type="Int16" />
                    <asp:Parameter Name="kod_prescs_n" Type="Int16" />
                    <asp:Parameter Name="kod_prescn_n" Type="Int16" />
                    <asp:Parameter Name="kod_prescsv_n" Type="Int16" />
                    <asp:Parameter Name="neplac_prescas" Type="Int16" />

                    <asp:Parameter Name="kod_stravneho" Type="Int16" />
                    <asp:Parameter Name="prenos_odprac_doby" Type="Int16" />
                </UpdateParameters>
                <InsertParameters>
                    <asp:Parameter Name="mes_zpet" Type="Int16" />
                    <asp:Parameter Name="mes_vpred" Type="Int16" />
                    <asp:Parameter Name="typ_prav" Type="Int16" />
                    <asp:Parameter Name="kod_nocni" Type="Int16" />
                    <asp:Parameter Name="kod_odpoledni" Type="Int16" />
                    <asp:Parameter Name="kod_sobota" Type="Int16" />
                    <asp:Parameter Name="kod_nedele" Type="Int16" />
                    <asp:Parameter Name="kod_prescb" Type="Int16" />
                    <asp:Parameter Name="kod_prescs" Type="Int16" />
                    <asp:Parameter Name="kod_prescn" Type="Int16" />
                    <asp:Parameter Name="kod_prescsv" Type="Int16" />

                    <asp:Parameter Name="kod_prescb_n" Type="Int16" />
                    <asp:Parameter Name="kod_prescs_n" Type="Int16" />
                    <asp:Parameter Name="kod_prescn_n" Type="Int16" />
                    <asp:Parameter Name="kod_prescsv_n" Type="Int16" />
                    <asp:Parameter Name="neplac_prescas" Type="Int16" />

                    <asp:Parameter Name="kod_stravneho" Type="Int16" />
                    <asp:Parameter Name="prenos_odprac_doby" Type="Int16" />
                </InsertParameters>
            </asp:ObjectDataSource>
            </td>
        </tr>
    </table>
        </ContentTemplate>
    </kspwca:TitledPanel>
    <%-- <br />
    &nbsp;--%>
</asp:Content>
