﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="PodpisDokumentu.aspx.cs" Inherits="KSPortal.Dokumenty.PodpisDokumentu" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="kspwc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript" src="../Scripts/pdf.js"></script>
    <script type="text/javascript" src="../Scripts/pdf.worker.js"></script>
    <script type="text/javascript" src="../Scripts/signature_pad.min.js"></script>

    <style type="text/css">
        .canvasSign {
            border: solid;
            border-color: lightgray;
            border-width: 0.5px;
            margin: auto;
           background-color: beige;
        }

        .podpisValidator{
            margin: auto;
            width: fit-content;
            display: block !important;
        }

        .button {
            background-color: var(--kscolor1);
            border: none;
            color: var(--kscolor1text);
            padding: 15px 32px;
            text-align: center;
            text-decoration: none;
            font-size: 16px;
            margin: 4px 2px;
            cursor: pointer;
        }

            .button:hover {
                box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
            }

        .vyber1Div {
            padding-top: 25px;
            padding-bottom: 25px;
            text-align: center;
        }

        .podpisPole{
            margin: auto;
            width: fit-content;
            font-size: 10px;
        }
    </style>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">

    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="certifikatBtn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadWindowPodpis" />
                    <telerik:AjaxUpdatedControl ControlID="FileUpload1" />
                    <telerik:AjaxUpdatedControl ControlID="P_HF" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="handSing">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadWindowPodpis" />
                    <telerik:AjaxUpdatedControl ControlID="P_HF" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="signpadSign">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadWindowPodpis" />
                    <telerik:AjaxUpdatedControl ControlID="P_HF" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="ButtonSecurityCode">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadWindowPodpis" />
                    <telerik:AjaxUpdatedControl ControlID="secCode" />
                    <telerik:AjaxUpdatedControl ControlID="hashVal" />
                    <telerik:AjaxUpdatedControl ControlID="P_HF" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="dalsiKrokWf">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadWindowPodpis" />
                    <telerik:AjaxUpdatedControl ControlID="P_HF" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Button2">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadWindowPodpis" />
                    <telerik:AjaxUpdatedControl ControlID="PdfViewer1" />
                    <telerik:AjaxUpdatedControl ControlID="ErrorCert" />
                    <telerik:AjaxUpdatedControl ControlID="P_HF" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Button1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadWindowPodpis" />
                    <telerik:AjaxUpdatedControl ControlID="PdfViewer1" />
                    <telerik:AjaxUpdatedControl ControlID="P_HF" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnZpet">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadWindowPodpis" />
                    <telerik:AjaxUpdatedControl ControlID="PdfViewer1" />
                    <telerik:AjaxUpdatedControl ControlID="P_HF" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Button3">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="checkHashVal" />
                    <telerik:AjaxUpdatedControl ControlID="RadWindowPodpis" />
                    <telerik:AjaxUpdatedControl ControlID="PdfViewer1" />
                    <telerik:AjaxUpdatedControl ControlID="P_HF" />
                    <telerik:AjaxUpdatedControl ControlID="P_main_btns" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRB_DownloadFiles">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRB_DownloadFiles" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Button4">
                <UpdatedControls>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>


    <asp:Label ID="Label2" runat="server" Text="[%Podpis dokumentu%]" CssClass="nadpis1"></asp:Label>
    <br />
    <asp:Panel ID="P_HF" runat="server">
        <asp:HiddenField runat="server" ID="HF_dokument" />
        <asp:HiddenField runat="server" ID="obrazekPodpisu" />
        <asp:HiddenField runat="server" ID="Podepsano" Value="n" />
        <asp:HiddenField runat="server" ID="jmenoPodepisovatele" Value="" />
        <asp:HiddenField runat="server" ID="referrerUrl" Value="" />
        <asp:HiddenField runat="server" ID="hashVal" Value="" />
        <asp:HiddenField runat="server" ID="checkHashVal" Value="" />
        <asp:HiddenField runat="server" ID="secCode" Value="" />
    </asp:Panel>
    <table>
        <tr style="text-align: center;">
            <td>
                <telerik:RadPdfViewer runat="server" ID="PdfViewer1" Scale="1.25">
                    <ToolBarSettings Items="pager, spacer, zoom, toggleSelection, spacer, search, download, print" />
                    <ClientEvents OnLoad="" />
                </telerik:RadPdfViewer>
                <br />
            </td>

            <td style="padding: 20px;"></td>
            <td colspan="4" style="text-align: center;">
                <asp:Panel ID="P_main_btns" runat="server">
                    <%--<asp:Button ID="Button3" CssClass="button" runat="server" Text="[%Dokument zkontrolován%]" OnClick="btnPodpis_Click" Style="width: 100%" />--%>
                    <asp:Button ID="Button3" CssClass="button" runat="server" Text="[%Dokument zkontrolován%]" OnClick="SecurityCode_Send" Style="width: 100%" />
                    <br />
                    <asp:Button ID="Button6" CssClass="button" runat="server" Text="[%Odmítnout podpis%]" Style="width: 100%" OnClick="btnOdmitnout_Click" />
                    <br />
                    <asp:Button ID="btnZpet" CssClass="button" runat="server" Text="[%Seznam dokumentů%]" Style="width: 100%" OnClick="btnZpet_Click" />
                </asp:Panel>
            </td>
        </tr>
    </table>


    <telerik:RadWindow ID="RadWindowPodpis" runat="server" Behaviors="Close,Move" Modal="false"
        Title="[%Způsob podpisu%]" VisibleOnPageLoad="true" Visible="false" OnItemCommand="WindowClosed" AutoSize="true">
        <ContentTemplate>
            <div runat="server" id="vyber1" visible="false" class="vyber1Div">
                <asp:Button CssClass="button" runat="server" ID="certifikatBtn" OnClick="CertSign" Text="[%Podepsat certifikátem%]" />
                <asp:Button CssClass="button" runat="server" ID="handSing" OnClick="HandSign" Text="[%Podepsat ručně%]" />
                <asp:Button CssClass="button" runat="server" ID="signpadSign" OnClick="SignPad" Text="Signpad" />
            </div>
            <table>
                <div runat="server" id="vyberUdaje" visible="false">

                    <tr id="jmenoPole" runat="server">
                        <td>
                            <p>[%Podepsal%]:</p>
                        </td>
                        <td>
                            <asp:TextBox runat="server" ID="jmenoTB"></asp:TextBox>
                            <asp:RequiredFieldValidator runat="server" ID="reqName" ControlToValidate="jmenoTB" ErrorMessage="[%Vyplňte jméno%]!" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div style="display: block ruby">
                                <p style="width: fit-content">[%Místo podpisu%]:</p>
                                <asp:TextBox runat="server" ID="mistoTB"></asp:TextBox>
                            </div>
                            <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator1" CssClass="podpisValidator ksValidator" ControlToValidate="mistoTB" Text="[%Vyplňte prosím místo podpisu%]" ErrorMessage="[%Vyplňte místo podpisu%]!" Display="Dynamic" />
                        </td>
                    </tr>
                    <%--                    <tr>
                        <td>
                            <p>Pole podpisu->"Sign10":</p>
                        </td>
                        <td>
                            <asp:TextBox runat="server" ID="poleTB"></asp:TextBox>
                        </td>
                    </tr>--%>

                    <div runat="server" id="vyber2" visible="false">
                        <div runat="server" id="externiCertifikat" visible="false">
                            <tr>
                                <td>
                                    <p>[%Certifikát%]:</p>
                                </td>
                                <td>

                                    <telerik:RadAsyncUpload Skin="Metro" runat="server" ID="FileUpload1" MultipleFileSelection="Disabled" MaxFileInputsCount="1"
                                        Width="100%" AllowedFileExtensions="pfx,p12" data-clientFilter=".pfx,.p12" TemporaryFolder="~/Temp"
                                        OnClientAdded="OnClientAdded" AutoAddFileInputs="true">
                                    </telerik:RadAsyncUpload>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p>[%Klíč certifikátu%]:</p>
                                </td>
                                <td>
                                    <asp:TextBox runat="server" ID="certTB" type="password"></asp:TextBox>
                                    <%--<asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator2" ControlToValidate="certTB" ErrorMessage="[%Vyplňte klíč certifikátu%]!" />--%>
                                </td>
                            </tr>
                        </div>
                        <tr>
                            <td colspan="2" style="text-align: center;">
                                <asp:Label runat="server" ID="errorLabel" Font-Size="Small" ForeColor="Red"></asp:Label>
                            </td>
                        </tr>

                        <tr>
                            <td colspan="2" style="text-align: center;">
                                <asp:Button ID="Button1" runat="server" OnClick="PodepsatSoubor" Text="[%Podepsat soubor%]" Width="100%" /></td>
                        </tr>
                    </div>

                </div>
            </table>

            <div runat="server" id="vyber3" style="text-align: center;" visible="false">

                <br />
                <canvas id="podpisCanvas" class="canvasSign" width="250px" height="auto"></canvas>
                <p class="podpisPole">[%(podpisové pole)%]</p>
                <asp:CustomValidator runat="server" ID="VC_podpisValidator" Display="Dynamic" ErrorMessage="[%Podpisové pole nemůžete ponechat prázdné%]" ClientValidationFunction="isCanvasEmpty"></asp:CustomValidator>
                <br />
                <asp:Label runat="server" ID="ErrorCert" Font-Size="Small" ForeColor="Red" Text="[%Nemáte platný certifikát, dokument nelze podepsat%]" Visible="false"></asp:Label>
                <br />
                <asp:Button ID="Button2" runat="server" OnClick="PodepsatSouborRucne" OnClientClick="ulozPodpis()" Text="[%Podepsat soubor%]" Width="100%" />

            </div>
            <div runat="server" id="div_Signpad" style="text-align: center;" visible="false">
                <br />
                <table>
                    <tr>
                        <td>
                            <kspwc:TLinkButton runat="server" ID="TRB_DownloadFiles" OnClick="TRB_DownloadFile_Click" DisableProgressBar="true"></kspwc:TLinkButton>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>[%Podepsaný dokument%]:</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <telerik:RadAsyncUpload Skin="Metro" runat="server" ID="RAU_FilesUpload" Width="100%" AllowedFileExtensions="pdf" data-clientFilter=".pdf"
                                OnClientAdded="OnClientAdded" AutoAddFileInputs="true" OnClientFileUploaded="uploadEnabled" TemporaryFolder="~/Temp">
                            </telerik:RadAsyncUpload>


                        </td>
                    </tr>
                </table>
                <label id="Label1" style="color: red">[%Nebyl vybrán soubor%]</label>
                <br />
                <asp:Button ID="Button4" CssClass="Button4" runat="server" OnClick="ButtonUlozitSoubor_Click" Text="[%Uložit soubor%]" Width="100%" Enabled="false" />
                <br />
                <br />
                <br />
            </div>


            <div class="div4" runat="server" id="vyber4" visible="false" style="text-align: center">
                <p style="font-size: medium; width: 200px;">[%Bezpečnostní kód byl odeslán%].</p>
                <br>

                <telerik:RadTextBox runat="server" ID="securityCode" InputType="Text" MaxLength="6" Style="letter-spacing: 0.5em; height: 30px; font-size: large; text-align: center;"></telerik:RadTextBox>
                <br />
                <asp:Label runat="server" ID="platnostLbl" Text=""></asp:Label>
                <br />
                <asp:Label ID="FailureLabel2" Text="" runat="server" ForeColor="Red"></asp:Label>
                <br />
                <br />
                <asp:Button ID="ButtonSecurityCode" runat="server" OnClick="ButtonSecurityCode_Click" Text="[%Potvrdit%]" Width="100%" />
            </div>

            <div runat="server" id="vyberWorkflow" visible="false">
                <br />
                <kspwc:TRadGrid ID="TRadGrid_Workflow" runat="server" ShowGroupPanel="False" AllowPaging="false" ShowFooter="false" ShowHeader="false"
                    AllowSorting="true" AutoGenerateColumns="false" AutoFilterControlWidth="false" MasterTableView-ShowFooter="False">

                    <%-- <GroupingSettings CaseSensitive="False" CollapseAllTooltip="Collapse all groups" ShowUnGroupButton="true"></GroupingSettings>--%>
                    <MasterTableView CommandItemDisplay="Top" Caption="[%Další krok workflow%]" DataKeyNames="id_poz,id_podpisu,kod_podpisu" ClientDataKeyNames="id_poz">
                        <Columns>
                            <telerik:GridBoundColumn DataField="nazevDokumentu" HeaderText="[%Název dokumentu%]" SortExpression="nazevDokumentu" />
                            <telerik:GridTemplateColumn UniqueName="DropDownStavy" HeaderText="[%Další krok%]">
                                <ItemTemplate>
                                    <kspwc:TRadComboBox ID="TRCB_stavy_pozad" runat="server" EnableLoadOnDemand="True"
                                        EnableVirtualScrolling="True" Height="150px" ShowMoreResultsBox="True" DropDownAutoWidth="Enabled" MarkFirstMatch="true"
                                        EmptyMessage="[%Další krok%]" AutoPostBack="True"
                                        CausesValidation="False" OnClientItemsRequesting="pozadavek_ItemsRequesting">
                                        <WebServiceSettings Method="GetStavyPozPodp" Path="~/PrivateWebServices/AutoCompleteService.asmx" />
                                    </kspwc:TRadComboBox>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>
                        </Columns>
                        <CommandItemTemplate>
                            <%--<kspwc:GridCommandItemControl ID="GcIc3" runat="server"></kspwc:GridCommandItemControl>--%>
                        </CommandItemTemplate>
                    </MasterTableView>
                    <%--<ClientSettings AllowDragToGroup="True" EnablePostBackOnRowClick="true">
                        <Selecting AllowRowSelect="true" />
                    </ClientSettings>--%>
                </kspwc:TRadGrid>
                <br />
                <asp:Button ID="dalsiKrokWf" runat="server" OnClick="dalsiKrokWf_Click" Text="[%Dokončit%]" Width="100%" />
                <br />
                <asp:Label runat="server" ID="errorLabel2" Font-Size="Small" ForeColor="Red"></asp:Label>
            </div>

        </ContentTemplate>
    </telerik:RadWindow>


    <telerik:RadCodeBlock runat="server">
        <script type="text/javascript">
            Sys.Application.add_load(function () {
                var cnv = document.getElementById("podpisCanvas");
                if (cnv) {
                    cnv.addEventListener('click', function () { OnCanvasClick(cnv); }, false);
                }
            });
            window.pdfjsLib.GlobalWorkerOptions.workerSrc = '../Scripts/pdf.worker.js';

            function zobrazPodpis() {

                var canvas = document.getElementById("podpisCanvas");
                signaturePad = new SignaturePad(canvas);
            }
            function ulozPodpis(sender, args) {

                var dataURL = document.getElementById("podpisCanvas").toDataURL();
                document.getElementById('<%= obrazekPodpisu.ClientID%>').value = dataURL;

            }

            function OnClientAdded(sender, args) {
                var allowedMimeTypes = $telerik.$(sender.get_element()).attr("data-clientFilter");
                $telerik.$(args.get_row()).find(".ruFileInput").attr("accept", allowedMimeTypes);
            }

            function pozadavek_ItemsRequesting(sender, args) {
                sender.clearItems();
                var context = args.get_context();
                var row = getParentRow(sender);
                if (row) {
                    context["id_poz"] = row.getDataKeyValue("id_poz");
                }

            }

            function getParentRow(sender) {
                var ret;
                var ownerGridElement = sender.get_element();
                var parentRowId = $(ownerGridElement).parents("tr").first()[0].id;
                var masterViewId = $(ownerGridElement).parents("table")[0].id
                if (parentRowId != "" && masterViewId != "") {
                    var tv = $find(masterViewId);
                    tv.get_dataItems();
                    ret = $find(parentRowId);
                }
                return ret;
            }

            function timeout() {
                setTimeout(function () {
                    document.getElementById('<%= checkHashVal.ClientID %>').value = "";
                }, timeForTimeout);

            }
            function setTimeoutTime(time) {
                timeForTimeout = Number(time) * 60000;

            }

            timeForTimeout = 150000;

            function zobrazChybu(chyba) {
                var label = document.getElementById("Label1");
                label.innerText = chyba;
            }

            function uploadEnabled() {

                var label = document.getElementById("Label1");
                label.innerText = "";
                var button = document.getElementsByClassName("Button4")[0];
                console.log(button);
                button.disabled = false;
            }

            function isCanvasEmpty(sender, args) {
                var cnv = document.getElementById('podpisCanvas');
                const blank = document.createElement('canvas');

                blank.width = cnv.width;
                blank.height = cnv.height;

                var bool = cnv.toDataURL() === blank.toDataURL();

                args.IsValid = !bool;
                WindowAutosize();
            }
            function WindowAutosize() {
                setTimeout(function () {
                    var win = $find('<%= RadWindowPodpis.ClientID %>');
                    win.autoSize();
                }, 100);
            }
        </script>

    </telerik:RadCodeBlock>
</asp:Content>
