﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AnketaZobrazeni.ascx.cs"
    Inherits="KSPortal.Dotazniky.AnketaZobrazeni" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<style type="text/css">

     .ksBullEditorWindow {
    }

        .ksBullEditorWindow td.rwBodyLeft, .ksBullEditorWindow td.rwBodyRight,
        .ksBullEditorWindow td.rwFooterLeft, .ksBullEditorWindow td.rwFooterCenter, .ksBullEditorWindow td.rwFooterRight {
            background-color: lightgray !important;
        }

    div.ksBullContainer {
        /*max-width: 800px;*/
        /*min-width: 680px;*/
        height: 800px;
        width: 100%;
    }

    div.ksBullEditor {
        /*max-width: 800px;*/
        /*min-width: 720px;*/
        width: 100%;
        height: 100%;
    }

    div.ksBullEditorCommand {
        width: 100%;
    }
    .nadpis2Anketa {
        font-weight: bold;
        font-size: 12px;
        text-align: left;
        margin-bottom: 0.25em;
        width: 100%;
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }

    .nadpis1Anketa {
        font-weight: bold;
        font-size: 15px;
        text-align: left;
        margin-bottom: 0.25em;
        width: 100%;
        height: 5em;
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }

   .tabSha {
        border: 2px solid lightgray;
        border-radius: 5px;
        background: white;
        margin: 20px;
        padding: 10px;
    }

    .nazevDotazniku {
        width: 100%;
        font-size: 20px;
        font-weight: bold;
        text-align: left;
        background: var(--kscolor1);
        color: var(--kscolor1text);
    }

    .bodySurveys {
        border: 1px solid lightgray;
    }

    .nadpis {
        padding-left: 0.5em;
    }

    .otazkaNadpis {
        width: 70%;
    }

    .odpoved {
        width: 100%;
    }

    .diver {
        color: lightgray;
    }

    .odpovedTB {
        width: 100%;
        border: 1px solid lightgray;
    }

    .buttonText {
        border: none;
        background: transparent;
    }

        .buttonText:hover {
            color: cornflowerblue;
        }

    .buttonTextAdd {
        border: none;
        background: transparent;
    }

        .buttonTextAdd:hover {
            color: black;
            background: lightgray;
            border: 1px solid lightgray;
            cursor: pointer;
        }

        .button {
        background-color: var(--kscolor1);
        border: none;
        color: var(--kscolor1text);
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        font-size: 16px;
        margin: 4px 2px;
        cursor: pointer;
        width:100%;
    }
</style>
<telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
    <script>
        
        var counter=2;
        var counterOtazek=1;


        function anketaCreate(stringJson) {
            var panel = document.getElementById("<%=panelZobrazeniOtazky.ClientID%>")
            //var json = JSON.parse(stringJson);
            var json = stringJson;
            
            var mainDiv = document.createElement("div");
            mainDiv.setAttribute("class", "teloAnkety");
            var seznamOtazek = document.createElement("div");
            seznamOtazek.setAttribute("class", "seznamOtazek");
           
            for(var i=0;i<json.otazky.length;i++){
                var element1 = document.createElement("div");
                element1.setAttribute("class", "tabSha");
                element1.setAttribute("id", "otazkaDiv" + i);

                var nazevOtazky = json.otazky[i].nazev;
                nazevOtazky = nazevOtazky.replace(/¶/g, "\n");

                if (json.otazky[i].povinny == "true") {
                    element1.style.border = "solid 2px var(--kscolor1)";
                }
                element1.innerHTML +=
                    "<label id='nadpisOtazky" + i + "' class='nadpis1Anketa' rows='2' cols='20''>" + nazevOtazky + "</label>"
                    + "<input type='checkbox' class='povinnaOtazka' style='visibility:hidden;' checked=" + json.otazky[i].povinny + "></input>"
                    + "<hr class='diver' />";
                var element3 = document.createElement("div");
                element3.setAttribute("class", "seznamOdpovedi");

                for (var j = 0; j < json.otazky[i].odpovedi.length; j++) {
                    var odpoved = json.otazky[i].odpovedi[j];
                    switch (odpoved.typ) {
                        case "checkbox":
                            element3.innerHTML += "<div class='odpoved'><input type='checkbox' name='checkbox" + i + "'><label for='checkbox" + i + "' class='odpovedText'>" + odpoved.nazev + "</label></div>";
                            break;
                        case "radio":
                            element3.innerHTML += "<div class='odpoved'><input type='radio' name='radio" + i + "'><label for='radio" + i + "' class='odpovedText'>" + odpoved.nazev + "</label></div>";
                            break;
                        case "text":
                            element3.innerHTML += "<div class='odpoved'><input type='text' style='width: 95%;'></div>";
                            break;
                    }
                }
                element1.appendChild(element3);
                seznamOtazek.appendChild(element1);
            }
            //seznamOtazek.innerHTML += "<input id='ulozitDotaznik' style='width:100%' type='button' value='Uložit dotazník' onclick='anketaUlozOdpovedi();' />"

            mainDiv.appendChild(seznamOtazek);
            panel.appendChild(mainDiv);
        }
        
        function anketaUlozOdpovedi(){

            var teloAnkety = document.getElementsByClassName("teloAnkety")[0];
            
            var dotaznik = teloAnkety.children[1];
            //tělo JSON ankety
            var jsonOtazky = '';
            for(var i=0;i<dotaznik.childElementCount-1;i++){
                var prvek = dotaznik.children[i];
                
                var nadpis = prvek.getElementsByClassName("nadpis1Anketa")[0].value;
                var checkboxState = "null";
                var jsonOdpovedi='';

                //načtu si seznam odpovědí
                
                var seznamOdpovedi = prvek.getElementsByClassName("seznamOdpovedi")[0];
                
                
                for(var j=0;j<seznamOdpovedi.children[0].rows.length;j++){
                    var typOdpovedi = seznamOdpovedi.children[0].rows[j].cells[0].children[0].getAttribute("type");
                   
                    if(typOdpovedi!="text"){
                        var textOdpovedi = seznamOdpovedi.children[0].rows[j].cells[0].children[1].innerHTML;
                        var checked = seznamOdpovedi.children[0].rows[j].cells[0].children[0].checked;

                        if(checked==true)
                        {
                            if(jsonOdpovedi.length>0){
                                jsonOdpovedi+=',';
                            }
                            jsonOdpovedi+='{"nazev":"'+textOdpovedi+'",'+
                                          '"typ":"'+typOdpovedi+'"}'       
                        }
                    }else if(typOdpovedi=="text"){
                        //pokud je typu text tak vezmu jeho hodnotu 
                        var textOdpovedi = seznamOdpovedi.children[0].rows[j].cells[0].children[0].value;

                        if(textOdpovedi.length>0)
                        {
                            if(jsonOdpovedi.length>0){
                                jsonOdpovedi+=',';
                            }
                            jsonOdpovedi+='{"nazev":"'+textOdpovedi+'",'+
                                          '"typ":"'+typOdpovedi+'"}'       
                        }

                    }
                    

                    
                }
                
                if(i>0){
                    jsonOtazky+=',';
                }
                var str = nadpis.replace(/\n/g, "¶");
                jsonOtazky+='{"nazev":"'+str+'",'+
                            '"typ":"Text",'+
                            '"povinny":"'+checkboxState+'",'+
                            '"odpovedi":['+jsonOdpovedi+']}';
            }

            //hlavička JSON ankety
                        var anonymni = document.getElementById("<%=HF_anonymni.ClientID%>").value;
            var nadpis = document.getElementById("<%=HF_nazevAnkety.ClientID%>").value;
            var json = '{ "nazev":"'+nadpis+'",'+
                        '"anonymni":"' + anonymni + '",' +
                        '"otazky":['+jsonOtazky+']}';


            ulozVytvorenyVyplneny(json);
        }
  
         function ulozVytvorenyVyplneny(json){
                        $.ajax({
                type: "POST",
                url: "./Dotazniky/WebMethods.aspx/UlozDotaznikOdpovedi",
                data: "{'json': '" + json + "'}",
                async: false,
                contentType: "application/json",
                dataType: "json",
                failure: function (response) {
                    //alert("Chyba: " + JSON.parse(response.responseText).Message);
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                error: function (response) {
                    //alert("Chyba: ", JSON.parse(response.responseText).Message);
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                success: function (msg) {

                }
             });
         }

        function RW_editorZobraz_Close(sender, args) {
            var poz = $get('<%=HF_opened1.ClientID%>');
            poz.value = "false";
        }

        function RW_editorZobraz_BeforeShow(sender, args) {
<%--            var poz = $get('<%=P_hidden_holder.ClientID%>').getBoundingClientRect();
            sender.moveTo(1, 1);--%>
            sender.center()
        }

        function fixEditor(sender, args) {
            $telerik.$(".RadEditor", sender.get_contentElement()).each(function (index, elem) {
                if (elem.control && elem.control.onParentNodeChanged) elem.control.onParentNodeChanged();
            });
        }
    </script>

    <script>
         var counter=1;
         var counterOtazek = 0;

        function anketaCreateEditace(stringJson) {
            var panel = document.getElementById("<%=panelTvorbaOtazky.ClientID%>")
            //var json = JSON.parse(stringJson);
            document.getElementById("<%=HF_anonymni.ClientID%>").value = stringJson.anonymni;
            document.getElementById("<%=HF_nazevAnkety.ClientID%>").value = stringJson.nazev;
            var json = stringJson;
            
            var mainDiv = document.getElementsByClassName("bodySurveys")[0];
            
            var html = "<table class='nazevDotazniku'><tr><td>"+
                    "<label class='nadpis'>" + stringJson.nazev + "</label></td></tr></table>";
           
            mainDiv.innerHTML += html;
            var seznamOtazek = document.createElement("div");
            seznamOtazek.setAttribute("class","seznamOtazek");


            for (var i = 0; i < json.otazky.length; i++) {

                var returnDiv = novaOtazkaVytvorena(json.otazky[i])
                seznamOtazek.appendChild(returnDiv)

            }
            //seznamOtazek.innerHTML += "<input id='ulozitDotaznik' style='width:100%' type='button' value='Uložit dotazník' onclick='anketaUlozOdpovedi();' />"
            mainDiv.appendChild(seznamOtazek);
            panel.appendChild(mainDiv);
           
        }

        function novaOdpoved(sender){
            //var id =sender._uniqueID;
            //console.log(sender._element);
            //id=id.replaceAll("$","_");
            //console.log(sender);
            var butt=sender;
            var div = butt.nextElementSibling.nextElementSibling.nextElementSibling;

            var element1 = document.createElement("table");
            element1.id = "T_odpoved"+counter;
            element1.setAttribute("Height","server");
            element1.style.height="28px";

            var element2= document.createElement("tr");
            var element3= document.createElement("td");
            //-------------------------------------------------------------
            var element4= document.createElement("select");
            element4.id="TDD_odpovedi"+counter;
            element4.setAttribute("runat","server");
            element4.setAttribute("class","selectVarianty");
            //-------------------------------------------------------------
            var element5 = document.createElement("option");
            element5.setAttribute("Value","checkbox");
            element5.innerHTML="CheckBox";
            var element6 = document.createElement("option");
            element6.setAttribute("Value","radio");
            element6.innerHTML="RadioButton";
            var element7 = document.createElement("option");
            element7.setAttribute("Value","text");
            element7.innerHTML="Text";
            //-------------------------------------------------------------
            var element8 = document.createElement("td");
            element8.setAttribute("class","odpoved");

            var element9 = document.createElement("textArea");
            element9.id="RTB_odpoved"+counter;
            element9.setAttribute("runat","server");
            element9.setAttribute("class", "odpovedTB");
            element9.setAttribute("rows", "1");
            //element9.setAttribute("type","text");

            var element10 = document.createElement("td");
            var element11 = document.createElement("button")
            element11.setAttribute("id","close");
            element11.setAttribute("value","T_odpoved"+counter);
            var idcko = "T_odpoved"+counter;
            element11.setAttribute("onclick","odstranOdpoved("+idcko+"); return false;");
            var element12=document.createElement("img");
            element12.setAttribute("src","../Images/delete_tel.png");
            //------------------------------------------------------
            element11.appendChild(element12);
            element10.appendChild(element11);
            element8.appendChild(element9);
            element4.appendChild(element5);
            element4.appendChild(element6);
            element4.appendChild(element7);
            element3.appendChild(element4);
            element2.appendChild(element3);
            element2.appendChild(element8);
            element2.appendChild(element10);
            element1.appendChild(element2);

            div.appendChild(element1);

            counter++;
        }

        function novaOdpovedEditace(odpoved) {
  

            var element1 = document.createElement("table");
            element1.id = "T_odpoved" + counter;
            element1.setAttribute("Height", "server");
            element1.style.height = "28px";

            var element2 = document.createElement("tr");
            var element3 = document.createElement("td");
            //-------------------------------------------------------------
            
            var element4 = document.createElement("select");
            element4.id = "TDD_odpovedi" + counter;
            element4.setAttribute("runat", "server");
            element4.setAttribute("class", "selectVarianty");
            //-------------------------------------------------------------
            var element5 = document.createElement("option");
            element5.setAttribute("Value", "checkbox");
            element5.innerHTML = "CheckBox";
            if (odpoved.typ == "checkbox"){element5.setAttribute('selected','')}
            var element6 = document.createElement("option");
            element6.setAttribute("Value", "radio");
            element6.innerHTML = "RadioButton";
            if (odpoved.typ == "radio") { element6.setAttribute('selected', '') }
            var element7 = document.createElement("option");
            element7.setAttribute("Value", "text");
            element7.innerHTML = "Text";
            if (odpoved.typ == "text") { element7.setAttribute('selected', '') }
            //-------------------------------------------------------------
            var element8 = document.createElement("td");
            element8.setAttribute("class", "odpoved");

            var element9 = document.createElement("input");
            element9.id = "RTB_odpoved" + counter;
            element9.setAttribute("runat", "server");
            element9.setAttribute("class", "odpovedTB");
            element9.setAttribute("type", "text");
            element9.setAttribute("value", odpoved.nazev);

            var element10 = document.createElement("td");
            var element11 = document.createElement("button")
            element11.setAttribute("id", "close");
            element11.setAttribute("value", "T_odpoved" + counter);
            var idcko = "T_odpoved" + counter;
            element11.setAttribute("onclick", "odstranOdpoved(" + idcko + "); return false;");
            var element12 = document.createElement("img");
            element12.setAttribute("src", "../Images/delete_tel.png");
            //------------------------------------------------------
            element11.appendChild(element12);
            element10.appendChild(element11);
            element8.appendChild(element9);
            element4.appendChild(element5);
            element4.appendChild(element6);
            element4.appendChild(element7);
            element3.appendChild(element4);
            element2.appendChild(element3);
            element2.appendChild(element8);
            element2.appendChild(element10);
            element1.appendChild(element2);
            counter++;
            return element1.innerHTML;
        }

        function odstranOdpoved(sender){
            sender.remove()
        }

        function novaOtazkaVytvorena(otazka) {
            //console.log("Nova otazka");
            var div = $get('seznamOtazek');
            var element1 = document.createElement("div")
            element1.setAttribute("id", "otazkaDiv" + counterOtazek);
            element1.setAttribute("class", "tabSha");
           
            if (otazka.povinny == "true")
            {
                element1.innerHTML +=
              "<div style='float:right'><label for='povinny'>Povinná otázka</label>"
                +"<input class='checkboxPovinny' id='povinnyCheck' type='checkbox' name='povinny' checked>"
                + "<input type='image' src='../Images/delete_tel.png' onclick='odstranOtazku(otazkaDiv" + counterOtazek + "); return false;' style='float:right'/></div>";
            } else {
                element1.innerHTML +=
              "<div style='float:right'><label for='povinny'>Povinná otázka</label>"
                +"<input class='checkboxPovinny' id='povinnyCheck' type='checkbox' name='povinny' >"
                + "<input type='image' src='../Images/delete_tel.png' onclick='odstranOtazku(otazkaDiv" + counterOtazek + "); return false;' style='float:right'/></div>"
            }
            
            var nazevOtazky = otazka.nazev;
            nazevOtazky = nazevOtazky.replace(/¶/g,"\n");
            element1.innerHTML += "<table class='otazkaNadpis'><tr><td>"
                 + "<textarea id='nadpisOtazky" + counterOtazek + "' class='nadpis1Anketa'  Placeholder='Zadejte text otázky' rows='2' cols='20'>" + nazevOtazky + "</textarea>"
                  + "</td></tr></table>"
            + " <hr class='diver' /> <input id='novaOdpovedAdd" + counterOtazek + "' type='button' Value='+ Nová odpověď' class='buttonText' OnClick='novaOdpoved(this);' /><br /><br />";
            var element3 = document.createElement("div");
          
            element3.setAttribute("class", "seznamOdpovedi");
            //odpovedi na otazku
            for (var k = 0; k < otazka.odpovedi.length ; k++)
            {
                var element2 = document.createElement("table");
                element2.setAttribute("id", "T_odpoved" + counterOtazek);
                var odpoved = otazka.odpovedi[k];
               var htmlOdpovedi= novaOdpovedEditace(odpoved);
               element2.innerHTML += htmlOdpovedi;
               element3.appendChild(element2);
            }
           
            
            element1.appendChild(element3);
            //div.appendChild(element1);
            counterOtazek++;
            return element1;
        }

        function ulozDotaznikVytvorenyEditace(sender){
            var dotaznik = document.getElementsByClassName("seznamOtazek")[0];
            
            //tělo JSON ankety
            var jsonOtazky = '';
            for(var i=0;i<dotaznik.childElementCount;i++){
                var prvek = dotaznik.children[i];
                var nadpis = prvek.getElementsByClassName("nadpis1Anketa")[0].value;
                var checkboxState = prvek.getElementsByClassName("checkboxPovinny")[0].checked;
                var jsonOdpovedi='';

                //načtu si seznam odpovědí
                
                var seznamOdpovedi = prvek.getElementsByClassName("seznamOdpovedi")[0];
                
                for(var j=0;j<seznamOdpovedi.childElementCount;j++){
                    var typOdpovedi = seznamOdpovedi.children[j].getElementsByClassName("selectVarianty")[0].value;
                    var textOdpovedi = seznamOdpovedi.children[j].getElementsByClassName("odpovedTB")[0].value;
                    if(j>0){
                        jsonOdpovedi+=',';
                    }
                   

                    jsonOdpovedi += '{"nazev":"' + textOdpovedi + '",' +
                                  '"typ":"'+typOdpovedi+'"}'               
                }
                
                if(i>0){
                    jsonOtazky+=',';
                }
                var str = nadpis.replace(/\n/g, "¶");

                jsonOtazky+='{"nazev":"'+str+'",'+
                            '"typ":"Text",'+
                            '"povinny":"'+checkboxState+'",'+
                            '"odpovedi":['+jsonOdpovedi+']}';
            }

            //hlavička JSON ankety
            var anonymni = document.getElementById("<%=HF_anonymni.ClientID%>").value;
            var nadpis = document.getElementById("<%=HF_nazevAnkety.ClientID%>").value;
            var json = '{ "nazev":"'+nadpis+'",'+
                        '"anonymni":"'+anonymni+'",'+
                        '"otazky":['+jsonOtazky+']}';


            //console.log(json);

            var jsonVystup = JSON.parse(json);
            
            document.getElementById("<%=HF_json.ClientID%>").value = json;
        }
    </script>


</telerik:RadScriptBlock>

<telerik:RadAjaxManagerProxy runat="server" ID="RAMP_anketaZobrazeni">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="RW_editorZobraz">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="RW_editorZobraz" />
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>

<asp:Panel runat="server" ID="P_hidden_holder" CssClass="hodden">
</asp:Panel>
<asp:HiddenField runat="server" ID="HF_anonymni" />
<asp:HiddenField runat="server" ID="HF_nazevAnkety" />
<asp:HiddenField runat="server" ID="HF_opened1" />
<asp:HiddenField runat="server" ID="HF_json" />
<asp:HiddenField runat="server" ID="HF_idBull" />



<telerik:RadWindow runat="server" ID="RW_editorZobraz" AutoSize="true" KeepInScreenBounds="true" CssClass="ksBullEditorWindow" Modal="true"
    AutoSizeBehaviors="Height,Width" Behaviors="Close,Maximize,Minimize,Move" OnClientClose="RW_editorZobraz_Close" OnClientBeforeShow="RW_editorZobraz_BeforeShow"
    ShowContentDuringLoad="false" Visible="true" Height="100%" MinWidth="680px" OpenerElementID="LB_nadpis" OnClientShow="fixEditor" DestroyOnClose="true">
    <ContentTemplate>
        <br />
        <asp:Panel style="padding:10px;" ID="panelZobrazeniOtazky" runat="server" Visible="true">          
</asp:Panel>
        
        


              <asp:Panel ID="panelTvorbaOtazky" runat="server" Visible="<%#Editacni%>">
   <div id="bodySurvey" class="bodySurveys">
      
        <input id="novaOtazkanazev" type="button" class="buttonTextAdd" value="+ Nová otázka" onclick="novaOtazka();" visible="<%#Editacni%>"/>
        <input runat="server" id="ulozitDotaznik" type="button" value="Uložit dotazník" onclick="ulozDotaznikVytvorenyEditace(this);" onserverclick="ulozitDotaznik_ServerClick"  visible="<%#Editacni%>"/> 
       <br />
       <br />
        <%--<input runat="server" id="Button1" type="button" value="Uložit dotazník" onclick="ulozDotaznikVytvoreny(this);" onserverclick="ulozitDotaznik_ServerClick" />--%>

    </div>
</asp:Panel>



    </ContentTemplate>
</telerik:RadWindow>

<%--<telerik:RadWindow runat="server" ID="RW_editor1" AutoSize="true" KeepInScreenBounds="true" CssClass="ksBullEditorWindow"
    AutoSizeBehaviors="Height,Width" Behaviors="Close,Maximize,Minimize,Move" OnClientClose="RW_editor_Close" OnClientBeforeShow="RW_editor_BeforeShow"
    ShowContentDuringLoad="false" Visible="true" Height="100%" MinWidth="680px" OpenerElementID="LB_nadpis" OnClientShow="fixEditor">
    <ContentTemplate>
        <br /><br />
        <asp:Panel style="padding:10px;" ID="panelZobrazeniOtazky1" runat="server" Visible="true">          
</asp:Panel>
       
        
        <br /><br />
    </ContentTemplate>
</telerik:RadWindow>--%>






