﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Manazer_PersStat" Codebehind="PersStat.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc2" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">

    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>

    <%--<asp:Label ID="nadpis" runat="server" CssClass="nadpis1" Text="[%Personální statistika%]"></asp:Label>--%>

    <kspwc:TRadGrid ShowGroupPanel="true"  ID="RadGrid1" runat="server" ShowStatusBar="true" AutoGenerateColumns="False" ExportSettings-ExportOnlyData="true"
        AllowSorting="True" AllowMultiRowSelection="False" AllowPaging="false" ExportSettings-IgnorePaging="true" MasterTableView-Caption="[%Personální statistika%]"
         OnNeedDataSource="RadGrid1_NeedDataSource" AutoFilterControlWidth="False" ShowHeader="true" ShowFooter="true" MasterTableView-AllowPaging="true" OnPreRender="RadGrid1_PreRender"  >
        <PagerStyle Mode="NumericPages"></PagerStyle>
        <ExportSettings ExportOnlyData="true" Excel-Format="ExcelML" />
        <MasterTableView ShowGroupFooter="true" AllowMultiColumnSorting="True"  HierarchyDefaultExpanded="true" CommandItemDisplay="Top" >
           <%--OnCustomAggregate="RadGrid1_CustomAggregate"  OnDetailTableDataBind="RadGrid1_DetailTableDataBind" OnItemDataBound="RadGrid1_ItemDataBound" <DetailTables>
                <telerik:GridTableView Name="detail" Width="100%" AllowPaging="false" ShowFooter="true" ShowHeader="true" >
                    <Columns>
                        
                    </Columns>
                </telerik:GridTableView>
            </DetailTables>--%>
            <Columns>

               <%-- <telerik:GridTemplateColumn UniqueName="Template1" DataField="cely_nazev">
                    <ItemTemplate>
                        <asp:Label runat="server" ID="TextBox1" Text='<% #Eval("cely_nazev") %>'></asp:Label>
                    </ItemTemplate>
  
                </telerik:GridTemplateColumn>--%>
                <telerik:GridBoundColumn DataField="prac_misto" SortExpression="prac_misto" HeaderText="[%Pracovní místo%]">
                            <ItemStyle Width="200px" />
                            <HeaderStyle Width="200px" />
               </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="str_nazev" SortExpression="str_nazev" HeaderText="[%Středisko%]">
                            <ItemStyle Width="200px" />
                            <HeaderStyle Width="200px" />
               </telerik:GridBoundColumn>
               <telerik:GridBoundColumn DataField="skup_nazev" SortExpression="skup_nazev" HeaderText="[%Skupina středisek%]" UniqueName="un_skup_nazev">
                            <ItemStyle Width="200px" />
                            <HeaderStyle Width="200px" />
               </telerik:GridBoundColumn>

                 <telerik:GridBoundColumn DataField="divize_nazev" SortExpression="divize_nazev" HeaderText="[%Divize%]" UniqueName="un_divize_nazev">
                            <ItemStyle Width="200px" />
                            <HeaderStyle Width="200px" />
               </telerik:GridBoundColumn>


                        <telerik:GridBoundColumn DataField="prac_kateg_nazev" SortExpression="prac_kateg_nazev" HeaderText="[%Pracovní kategorie%]">
                            <ItemStyle Width="150px" />
                            <HeaderStyle Width="150px" />
                        </telerik:GridBoundColumn>
                        
                        <telerik:GridTemplateColumn Groupable="false" UniqueName="systemiz" HeaderText="[%Systemat.%]" DataField="systemiz" AllowSorting="true" Aggregate="Sum"  DataType="System.Int32" FooterAggregateFormatString="{0:D}">
                            <ItemTemplate>
                                <%--<asp:Label runat="server" ID="lab_system" Text='<%# DataBinder.Eval(Container.DataItem,"systemiz")%>' ></asp:Label>--%>
                                <asp:CheckBox ID="checkBox" runat="server" Checked='<%# Convert.ToInt32(DataBinder.Eval(Container.DataItem,"systemiz"))==1 %>' Enabled="false"></asp:CheckBox>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="55px"  />
                            <FooterStyle HorizontalAlign="Center" />
                        </telerik:GridTemplateColumn>
                        <telerik:GridTemplateColumn Groupable="false" UniqueName="vedouci" HeaderText="[%Vedoucí%]" DataField="vedouci" AllowSorting="true" Aggregate="Sum" DataType="System.Int32" FooterAggregateFormatString="{0:D}">
                            <ItemTemplate>
                                <asp:CheckBox ID="checkBox2" runat="server" Checked='<%# Convert.ToInt32(DataBinder.Eval(Container.DataItem,"vedouci"))==1 %>' Enabled="false"></asp:CheckBox>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="55px"  />
                            <FooterStyle HorizontalAlign="Center" />
                        </telerik:GridTemplateColumn>
                        <telerik:GridTemplateColumn Groupable="false" UniqueName="jaz_vzdelani" HeaderText="[%Jazykové znalosti%]" DataField="jaz_vzdelani" AllowSorting="true" Aggregate="Sum" DataType="System.Int32" FooterAggregateFormatString="{0:D}">
                            <ItemTemplate>
                                <asp:CheckBox ID="checkBox3" runat="server" Checked='<%# Convert.ToInt32(DataBinder.Eval(Container.DataItem,"jaz_vzdelani"))==1 %>' Enabled="false"></asp:CheckBox>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center"  Width="55px" />
                            <FooterStyle HorizontalAlign="Center" />
                        </telerik:GridTemplateColumn>
                        <telerik:GridNumericColumn UniqueName="pozadovano" HeaderText="[%Požad. míst%]" DataField="pozadovano" DataType="System.Int32" Aggregate="Sum" FooterAggregateFormatString="{0:D}">
                            <FooterStyle HorizontalAlign="Center" />
                            <ItemStyle HorizontalAlign="Center"  Width="55px"  />
                        </telerik:GridNumericColumn>
                        <telerik:GridNumericColumn UniqueName="obsazeno" DataField="obsazeno" SortExpression="obsazeno" HeaderText="[%Obsazeno míst%]" DataType="System.Int32" Aggregate="Sum" FooterAggregateFormatString="{0:D}">
                            <FooterStyle HorizontalAlign="Center" />
                            <ItemStyle HorizontalAlign="Center"  Width="55px" />
                        </telerik:GridNumericColumn>
                        <telerik:GridNumericColumn UniqueName="volnych" DataField="volnych" SortExpression="volnych" HeaderText="[%Volných míst%]" DataType="System.Int32" Aggregate="Sum" FooterAggregateFormatString="{0:D}">
                            <FooterStyle HorizontalAlign="Center" />
                            <ItemStyle HorizontalAlign="Center"  Width="55px" />
                        </telerik:GridNumericColumn>
            </Columns>

            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" FilterButton-Visible="True" >
                    <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelHtmlItem="true" ShowExportToExcelMLItem="false" ShowExportToExcelBIFFItem="false" ShowExportToExcelXlsxItem="false"  ShowExportToCsvItem="false" />
                    <%--<DeleniComboBox runat="server" Visible="true"></DeleniComboBox>--%>
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
        <ClientSettings AllowDragToGroup="true">
            </ClientSettings>
            <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
    </kspwc:TRadGrid>
</asp:Content>
