﻿using System;
using System.Data;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using KSProgram.WebControls;
using Telerik.Web.UI;

public partial class Manager_PlatStatistika : TPage
{
    private int deleni_int;
    public Manager_PlatStatistika()
    {
        IdPrava = 55;
    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        DateTime aktobd = Globals.AktObdobi;
        if (!Page.IsPostBack)
        {
            //ddl_obdobi_od.SetDefaultObdobi(aktobd);
            //ddl_obdobi_do.SetDefaultObdobi(aktobd);
            TRG_data.Datum.SelectedObdobiOd = aktobd;
            TRG_data.Datum.SelectedObdobiDo = aktobd;
        }
    }

    //protected void TLinkButton1_Command(object sender, CommandEventArgs e)
    //{

    //    //sestava.TitleText = "Platová statistika od "+ddl_obdobi_od.Text+" do "+ddl_obdobi_do.Text;
    //    //sestava.TitleText = WebControlHelper.ZmenaTextu(Page, "[%Platová statistika%]") + " " + WebControlHelper.ZmenaTextu(Page, "[%od%]") + " "+
    //    //                   ddl_obdobi_od.Text + " " + WebControlHelper.ZmenaTextu(Page, "[%do%]") + " " + ddl_obdobi_do.Text;
    //    sestava.TitleText = WebControlHelper.ZmenaTextu(Page, "[%Platová statistika%]"); // MZ 16.4.2013 Ponechán pouze název tabulky.
    //    ObjectDataSource1.SelectParameters["podniky"].DefaultValue = str_skup_div.GetPodnikyRezez(); //PH 5.6.2015
    //    sestava.DataSourceID="ObjectDataSource1";
    //    sestava.DataBind();
    //    TRG_data.DataSourceID = "ObjectDataSource1";
    //    TRG_data.DataBind();
    //}

    protected void TRG_data_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        if (IsPostBack)
        { 
            string deleni = ((TRadComboBox)TRG_data.GetGridCommandItem("Deleni", typeof(TRadComboBox))).SelectedValue;
            deleni_int = ((TRadComboBox)TRG_data.GetGridCommandItem("Deleni", typeof(TRadComboBox))).SelectedIndex;
            table = new KSProgram.Sestavy.DefSestavy_ss008().Retrieve( (DateTime)TRG_data.Datum.SelectedObdobiOd, (DateTime)TRG_data.Datum.SelectedObdobiDo, deleni, str_skup_div.GetPodnikyRezez(), str_skup_div.GetStred());
        }
        TRG_data.DataSource = table;
    }

    /// <summary>
    /// vytvori se data pro combo box a vlozi se
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void deleni_DataBinding(object sender, EventArgs e)
    {
        TRadComboBox combo = (TRadComboBox)sender;
        RadComboBoxItem item = new RadComboBoxItem(KSProgram.WebControls.WebControlHelper.ZmenaTextu("[%Po střediscích%]"), "strediska");
        combo.Items.Add(item);
        item = new RadComboBoxItem(KSProgram.WebControls.WebControlHelper.ZmenaTextu("[%Po divizích%]"), "divize");
        combo.Items.Add(item);
        item = new RadComboBoxItem(KSProgram.WebControls.WebControlHelper.ZmenaTextu("[%Po skupinách středisek%]"), "skupiny");
        combo.Items.Add(item);

    }

    protected void deleni_DataBound(object sender, EventArgs e)
    {
        ((TRadComboBox)sender).SelectedIndex = deleni_int;
    }
}
