﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Manazer_StavyZamPohyby"
    CodeBehind="StavyZamPohyby.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRG_Data">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRG_Data" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Pohyby zaměstnanců%]" CssClass="nadpis1"></asp:Label>--%>
    <table style="margin-bottom:8px" >
        <tr>
            <td class="ksprvek">
                <cc1:StrSkupDiv ID="jednotka" runat="server" ></cc1:StrSkupDiv>
            </td>
            <td class="pozadiText">
                <telerik:RadButton ID="RB_Firma" runat="server" ToggleType="Radio" GroupName="StandardButton"
                    ButtonType="ToggleButton" Text="[%Celá firma%]" AutoPostBack="true" Value="f"
                    OnCommand="RB_Jednotka_Command" CssClass="pozadiText">
                </telerik:RadButton>
                <br />
                <telerik:RadButton ID="RB_Jednotka" runat="server" ToggleType="Radio" GroupName="StandardButton"
                    Checked="true" Text="[%Vybraná jednotka%]" ButtonType="ToggleButton" AutoPostBack="true"
                    Value="j" OnCommand="RB_Jednotka_Command" CssClass="pozadiText">
                </telerik:RadButton>
            </td>
            
        </tr>
    </table>

    <kspwc:TRadGrid ID="TRG_Data" runat="server" AutoGenerateColumns="false" AllowSorting="true" MasterTableView-Caption="[%Pohyby zaměstnanců%]"
        OnNeedDataSource="TRG_Data_NeedDataSource" UseSaveSetting="true">
        <MasterTableView CommandItemDisplay="Top">
            <Columns>
                <telerik:GridBoundColumn DataField="pohyb" HeaderText="[%Pohyb%]" SortExpression="pohyb">
                    <HeaderStyle Width="75px" Height="33px" />
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="datum" HeaderText="[%Datum%]" DataFormatString="{0:d}"
                    HtmlEncode="False" SortExpression="datum" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right">
                    <HeaderStyle Width="75px" />
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo"
                    ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right">
                    <HeaderStyle Width="80px" />
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="pomer" HeaderText="[%Č. p.%]" SortExpression="pomer"
                    ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right">
                    <HeaderStyle Width="40px" />
                </telerik:GridBoundColumn>

                <telerik:GridBoundColumn DataField="druh_pom" HeaderText="[%Druh poměru%]" SortExpression="druh_pom">
                    <HeaderStyle Width="40px" />
                </telerik:GridBoundColumn>

                <telerik:GridBoundColumn DataField="jmeno" HeaderText="[%Jméno zaměstnance%]" SortExpression="jmeno">
                    <HeaderStyle Width="150px" />
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="[%Prac. kat.%]" SortExpression="prac_kateg">
                    <EditItemTemplate>
                        <asp:TextBox runat="server" Text='<%# Bind("prac_kateg") %>' ID="TextBox1"></asp:TextBox>
                    </EditItemTemplate>
                    <HeaderStyle Width="85px" />
                    <ItemTemplate>
                        <asp:Label ID="Labelx1" runat="server" Text='<%# KSProgram.Ciselniky.CisPracKateg.Nazev((DataBinder.Eval(Container.DataItem, "prac_kateg")==DBNull.Value? "":(string)DataBinder.Eval(Container.DataItem, "prac_kateg"))) %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="[%Prac. místo%]" SortExpression="prac_misto">
                    <EditItemTemplate>
                        <asp:TextBox runat="server" Text='<%# Bind("prac_misto") %>' ID="TextBox2"></asp:TextBox>
                    </EditItemTemplate>
                    <HeaderStyle Width="200px" />
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# KSProgram.PracovniMista.PracMisto.CelyNazev((DataBinder.Eval(Container.DataItem, "prac_misto")==DBNull.Value? 0 :(Int32)DataBinder.Eval(Container.DataItem, "prac_misto"))) %>'
                            __designer:wfdid="w15"></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridBoundColumn DataField="str_vystup" HeaderText="[%Stř. výstup%]" SortExpression="str_vystup">
                    <HeaderStyle Width="80px" />
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="str_nastup" HeaderText="[%Stř. nástup%]" SortExpression="str_nastup">
                    <HeaderStyle Width="80px" />
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="[%Důvod%]" SortExpression="duvod">
                    <EditItemTemplate>
                        <asp:TextBox runat="server" Text='<%# Bind("duvod") %>' ID="TextBox3"></asp:TextBox>
                    </EditItemTemplate>
                    <HeaderStyle Width="120px" />
                    <ItemTemplate>
                        <asp:Label ID="Label3" runat="server" Text='<%# KSProgram.Ciselniky.CisDuvodNastVyst.Nazev((DataBinder.Eval(Container.DataItem, "duvod")!=System.DBNull.Value? (string)DataBinder.Eval(Container.DataItem, "duvod"): "")) %>'
                            __designer:wfdid="w11"></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="gcic" runat="server" ExportButton-Visible="true" DateControl="TRadDatePickerInterval"></kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>    
</asp:Content>
