﻿using System;
using System.Data;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using KSProgram.Sestavy;

public partial class Manazer_StavyZamPohyby : TSestavaPredek
{

    public Manazer_StavyZamPohyby()
    {
        IdPrava = 40;
        this.HelpURL = "Stavy_zam%C4%9Bstnanc%C5%AF_(KS_port%C3%A1l)";
    }  

    protected void RB_Jednotka_Command(object sender, CommandEventArgs e)
    {
        //jednotka.Visible = ((Telerik.Web.UI.RadButton)(sender)).Value == "j";
        jednotka.Enabled = ((Telerik.Web.UI.RadButton)(sender)).Value == "j";
    }

    protected void TRG_Data_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable source = new DataTable();
        if (Page.IsPostBack)
        {
            DateTime datOd = (DateTime)TRG_Data.Datum.SelectedDatumOd;
            DateTime datDo = (DateTime)TRG_Data.Datum.SelectedDatumDo;

            string jednotky = "";
            if (RB_Jednotka.Checked)
                jednotky = jednotka.GetStred();

            KSProgram.Sestavy.DefSestavy_ssp003 DataObj = new DefSestavy_ssp003();
            bool lb_mimoevCeleObdobi = Zakaznik.IsCurrent("GROUPM");
            source = DataObj.Retrieve(jednotky, datOd, datDo, lb_mimoevCeleObdobi);
        }
        TRG_Data.DataSource = source;
    }
}
