﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using static KSProgram.Pozadavky.PozadavekSeznam;

namespace KSPortal.Obecne
{
    public partial class Metrika : TPage
    {
        /// <summary>
        /// ctor
        /// </summary>
        public Metrika()
        {
            IdPrava = 294;
        }

        protected void Grid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            Grid1.DataSource = KSProgram.Diagnostics.Diagnostics.PorovnaniKnihoven();
        }

        protected void Grid1_ItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
        {
            if (e.Item is GridDataItem)
            {
                GridDataItem item = (GridDataItem)e.Item;
                //if (e.Item.UniqueID == "distribuce_id")
                //{
                // you can access the image and set the ImageUrl property  
                bool distribuce= Convert.ToBoolean(DataBinder.Eval(e.Item, "DataItem.distribuce"));
                bool skutecnost = Convert.ToBoolean(DataBinder.Eval(e.Item, "DataItem.skutecnost"));
                bool porovnani = Convert.ToBoolean(DataBinder.Eval(e.Item, "DataItem.porovnani"));

                Image img = (Image)item["distribuce_id"].FindControl("Image_d");
                img.ImageUrl = (distribuce ? @"~/ImagesN/AccessAllow.png" : @"~/ImagesN/AccessRed.png");

                img = (Image)item["skutecnost_id"].FindControl("Image_s");
                img.ImageUrl = (skutecnost ? @"~/ImagesN/AccessAllow.png" : @"~/ImagesN/AccessRed.png");

                img = (Image)item["porovnani_id"].FindControl("Image_p");
                img.ImageUrl = (porovnani ? @"~/ImagesN/AccessAllow.png" : @"~/ImagesN/AccessRed.png");
                //}
            }
        }

        [System.Web.Services.WebMethod]
        public static ResultData Latence()
        {
            ResultData res = new ResultData();

            res.Count = 1;
            res.Data = new List<object>();
            res.Data.Add("");           

            return res;
        }
    }
}