﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using Telerik.Web.UI;

namespace KSPortal.Obecne
{
    public partial class PravaRole : TPage
    {
        public PravaRole()
        {
            IdPrava = -1;
        }


        protected void RadGridRole_PreRender(object sender, EventArgs e)
        {
            if (!Zakaznik.HasModul(AppModul.ZastupRole))
            {
                GridCheckBoxColumn column = RadGridRole.MasterTableView.GetColumn("uniq_zastup") as GridCheckBoxColumn;
                column.ReadOnly = true;
                column.Display = false;
            }
        }

        protected void TextValidator1_ServerValidate(object source, ServerValidateEventArgs args)
        {
            if (args.Value.Contains("'"))
            {
                args.IsValid = false;
                return;
            }
            args.IsValid = true;
        }
    }
}