﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="UzivPopup.aspx.cs" Inherits="KSPortal.Obecne.UzivPopup" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadCodeBlock ID="RadScriptBlock1" runat="server">
        <style type="text/css">
            .panel-top {
                display: none !important;
            }

            .tiskHide {
                display: none !important;
            }

            .header {
                width: 100%;
                /*background-color:red;*/
                text-align: center !important;
            }

            .table-main {
                width: 100% !important;
                height: 100% !important;
            }

            .main_content_td {
                padding-top: 0px !important;
            }

            .content1, .content2 {
                height: calc(100% - 20px) !important;
            }
            /*#aspnetForm{
                border:1px solid lightblue; 
            }*/
            .cItem {
                width: 400px !important;
            }

            .ruBrowse
            {
                width:150px !important;
            }   
            .DropZone .DropZone2
            {
                background-color:lightblue !important;
                padding:10px;
            }
            .ruFakeInput
            {
                display:none;
                visibility:hidden;
            }
            .master-table{
                top: 0px !important;
            }
            .row{
                display: flex;
                flex-direction: row;
                margin-top: 10px;
            }
            .imgRozmery{
                width: 150px;
                height: 150px;
                display: block;
                margin: auto;
                margin-top: 25px;
            }

        </style>
        <script type="text/javascript">
           
            var url = parent.document.location.href;
            if (url.includes("UzivPopup.aspx")) {                          
                document.location.href = "<%=this.ResolveUrl(@"~/")%>";               
            }

            function closeWin() {
                GetRadWindow().close();
                var url = parent.document.location.href;
                GetRadWindow().BrowserWindow.location.href = url;
            }
            function GetRadWindow() {
                var oWindow = null; if (window.radWindow)
                    oWindow = window.radWindow; else if (window.frameElement.radWindow)
                    oWindow = window.frameElement.radWindow; return oWindow;
            }
            function rb_zmena_hesla_ClientClicked(sender, args) {
                GetRadWindow().BrowserWindow.location.href = "<%=this.ResolveUrl(@"~/Obecne/UzivNastaveni.aspx")%>";
            }
            function OnClientItemsRequesting(sender, eventArgs) {
                var context = eventArgs.get_context();
                context["os_cislo"] = KSMaster.HF_sel_os_cislo.value;
                context["cislo_pom"] = KSMaster.HF_sel_cislo_pom.value;
                context["sender"] = "D";
            }  

            function fileUploaded(sender, args) { 
                $find("<%= RadAjaxManager.GetCurrent(Page).ClientID %>").ajaxRequest(args.get_fileName());
                sender.deleteAllFileInputs();
            }
        </script>
    </telerik:RadCodeBlock>
     <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server" >
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadAjaxManagerProxy1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Thumbnail" />
                </UpdatedControls>
            </telerik:AjaxSetting>         
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadPageLayout ID="RadPageLayout1" runat="server" GridType="Fluid" OnLoad="RadPageLayout1_Load" CssClass="noTopGap">
        <Rows>
            <telerik:LayoutRow>
                <Content>
                    <%--<div class="header" style="text-align: right !important">
                        <telerik:RadButton ID="rb_cancel" runat="server" Text="[%Zavřít%]" OnClientClicked="closeWin">
                            <Icon PrimaryIconCssClass="fi fi-ban"></Icon>
                        </telerik:RadButton>
                    </div>--%>
                    <%--<div class="header">
                        <asp:Label ID="Label_zam" runat="server" Text="" CssClass="nadpis1"></asp:Label>
                    </div>--%>
                </Content>
            </telerik:LayoutRow>
            <telerik:LayoutRow CssClass="row">
                <Columns>
                    <telerik:LayoutColumn Span="5" HiddenXs="true">
                        <div class="content1">
                            <asp:Image runat="server" ID="image_zam" CssClass="profileImg imgRozmery"/>
                            <div style="padding-top:20px; margin:auto; width: fit-content;">
                                <kspwc:TRadButton runat="server" ID="TRB_zmena_foto" ToggleType="CheckBox" Width="150" ButtonType="StandardButton" Text="[%Změna fotografie%]" OnCheckedChanged="TRB_zmena_foto_CheckedChanged" >
                                    <ToggleStates>
                                        <telerik:RadButtonToggleState PrimaryIconCssClass="fi fi-checkbox" />
                                        <telerik:RadButtonToggleState PrimaryIconCssClass="fi fi-square" />
                                    </ToggleStates>
                                </kspwc:TRadButton>
                                <asp:Panel runat="server" ID="pan_zmena_foto" Visible="false">
                                 <div>
                                    <div class="DropZone">      
                                        <telerik:RadAsyncUpload OnLoad="telerikUpl_Load" runat="server" ID="telerikUpl" DropZones=".DropZone,.DropZone2" MultipleFileSelection="Disabled" MaxFileInputsCount="1"
                                            Width="100%" AllowedFileExtensions=".jpg" data-clientFilter="image/jpg"
                                             AutoAddFileInputs="true" OnClientFileUploaded="fileUploaded" TemporaryFolder="~/Temp" >
                                             <Localization  DropZone="[%Zde pusťte soubor%]"  Remove="[%Odstranit%]"/>
                                        </telerik:RadAsyncUpload>
                                     </div>
                                 </div>
                                    <div style="padding-bottom:5px">
                                    <kspwc:TSaveButton runat="server" ID="TRB_foto_save" ToggleType="None" ButtonType="StandardButton" Text="[%Zveřejnit%]" OnClick="TRB_foto_save_Click" />
                                    <kspwc:TRadButton runat="server" ID="rb_cancel" Icon-PrimaryIconCssClass="fi fi-ban" ToggleType="None" ButtonType="StandardButton" Text="[%Zrušit%]" OnClick="rb_cancel_Click" >
                                    </kspwc:TRadButton>
                                 </div>
                                 <asp:Image ID="Thumbnail" runat="server" CssClass="profileImg imgRozmery" />
                                
                            </asp:Panel>
                            </div> 
                           
                        </div>
                    </telerik:LayoutColumn>
                    <telerik:LayoutColumn Span="7">
                        <asp:Panel ID="panel1" runat="server">
                            <%-- <fieldset id="Fieldset1" runat="server">
                                <legend>[%Volby pro aktuální sezení%]</legend>

                                <telerik:RadButton ID="rbtJenPrimePodrizene" runat="server" ToggleType="CheckBox"
                                    ButtonType="ToggleButton" Text="[%Omezit přístup jen na přímé podřízené%]" AutoPostBack="true"
                                    OnCheckedChanged="rbtJenPrimePodrizene_CheckedChanged">
                                    <ToggleStates>
                                        <telerik:RadButtonToggleState PrimaryIconCssClass="rbToggleCheckboxChecked"></telerik:RadButtonToggleState>
                                        <telerik:RadButtonToggleState PrimaryIconCssClass="rbToggleCheckbox"></telerik:RadButtonToggleState>
                                    </ToggleStates>
                                </telerik:RadButton>
                                <br />
                                <telerik:RadButton ID="rbtVyjmoutMimoevS" runat="server" ToggleType="CheckBox"
                                    ButtonType="ToggleButton" Text="[%Ze seznamů vyjmout zaměstnance v mimoevidenčním stavu%]" AutoPostBack="true" OnCheckedChanged="rbtVyjmoutMimoevS_CheckedChanged">
                                    <ToggleStates>
                                        <telerik:RadButtonToggleState PrimaryIconCssClass="rbToggleCheckboxChecked"></telerik:RadButtonToggleState>
                                        <telerik:RadButtonToggleState PrimaryIconCssClass="rbToggleCheckbox"></telerik:RadButtonToggleState>
                                    </ToggleStates>
                                </telerik:RadButton>
                                <br />
                                <telerik:RadButton ID="rbGenerujSlovnik" runat="server" ToggleType="CheckBox"
                                    ButtonType="ToggleButton" Text="[%Generování zákaznického slovníku%]" AutoPostBack="true" OnCheckedChanged="rbGenerujSlovnik_CheckedChanged">
                                    <ToggleStates>
                                        <telerik:RadButtonToggleState PrimaryIconCssClass="rbToggleCheckboxChecked"></telerik:RadButtonToggleState>
                                        <telerik:RadButtonToggleState PrimaryIconCssClass="rbToggleCheckbox"></telerik:RadButtonToggleState>
                                    </ToggleStates>
                                </telerik:RadButton>
                            </fieldset>--%>

                            <%-- <asp:ObjectDataSource runat="server" ID="id"--%>
                            <kspwca:TitledPanel ID="uziv_nastaveni" runat="server" CssClass="cItem" Width="400">
                                <TitleTemplate>
                                    [%Volby pro aktuální sezení%]
                                </TitleTemplate>
                                <ContentTemplate>
                                    <telerik:RadButton ID="rbtJenPrimePodrizene" runat="server" ToggleType="CheckBox"
                                        ButtonType="ToggleButton" Text="[%Omezit přístup jen na přímé podřízené%]" AutoPostBack="true"
                                        OnCheckedChanged="rbtJenPrimePodrizene_CheckedChanged" OnLoad="rbtJenPrimePodrizene_Load">
                                        <ToggleStates>
                                            <telerik:RadButtonToggleState PrimaryIconCssClass="fi fi-checkbox"></telerik:RadButtonToggleState>
                                            <telerik:RadButtonToggleState PrimaryIconCssClass="fi fi-square"></telerik:RadButtonToggleState>
                                        </ToggleStates>
                                    </telerik:RadButton>
                                    <br />
                                    <telerik:RadButton ID="rbtVyjmoutMimoevS" runat="server" ToggleType="CheckBox" OnLoad="rbtVyjmoutMimoevS_Load"
                                        ButtonType="ToggleButton" Text="[%Ze seznamů vyjmout zaměstnance v mimoevidenčním stavu%]" AutoPostBack="true" OnCheckedChanged="rbtVyjmoutMimoevS_CheckedChanged">
                                        <ToggleStates>
                                            <telerik:RadButtonToggleState PrimaryIconCssClass="fi fi-checkbox"></telerik:RadButtonToggleState>
                                            <telerik:RadButtonToggleState PrimaryIconCssClass="fi fi-square"></telerik:RadButtonToggleState>
                                        </ToggleStates>
                                    </telerik:RadButton>
                                    <br />
                                    <telerik:RadButton ID="rbGenerujSlovnik" runat="server" ToggleType="CheckBox" OnLoad="rbGenerujSlovnik_Load"
                                        ButtonType="ToggleButton" Text="[%Generování zákaznického slovníku%]" AutoPostBack="true" OnCheckedChanged="rbGenerujSlovnik_CheckedChanged">
                                        <ToggleStates>
                                            <telerik:RadButtonToggleState PrimaryIconCssClass="fi fi-checkbox"></telerik:RadButtonToggleState>
                                            <telerik:RadButtonToggleState PrimaryIconCssClass="fi fi-square"></telerik:RadButtonToggleState>
                                        </ToggleStates>
                                    </telerik:RadButton>
                                </ContentTemplate>                              
                            </kspwca:TitledPanel>
                            <br />
                            <%-- <fieldset id="FS_role" runat="server">
                                <legend>[%Role%]</legend>
                                <telerik:RadSiteMap runat="server" ID="RadSiteMap_role" DataSourceID="RadSiteMapDataSource1">
                                    <LevelSettings>
                                        <telerik:SiteMapLevelSetting Level="0">
                                            <NodeTemplate>
                                                <span class="Header">- <%# DataBinder.Eval(Container.DataItem, "role") %>
                                                </span>
                                            </NodeTemplate>
                                        </telerik:SiteMapLevelSetting>
                                    </LevelSettings>
                                </telerik:RadSiteMap>
                            </fieldset>--%>
                            <kspwc:TDataList runat="server" ID="dl_role" DataSourceID="RadSiteMapDataSource1" CssClass="cItem">
                                <ItemTemplate>
                                    <span class="Header">- <%# DataBinder.Eval(Container.DataItem, "role") %> </span>
                                </ItemTemplate>
                                <HeaderTemplate>
                                    [%Role%]
                                </HeaderTemplate>
                            </kspwc:TDataList>
                            <br />
                            <!--JO 15.11.2019-->

                            <div id="uzivProfil" runat="server">
                                <kspwc:TRadGrid ID="TRadGrid_uziv_ucty" runat="server" AllowPaging="True" class="cItem" Width="400"
                                     AllowSorting="true" AutoGenerateColumns="false" CssClass="revertShadow"
                                    DataSourceID="ZdrojDatUzivUcty" AutoFilterControlWidth="false" MasterTableView-ShowFooter="False" OnDataBound="TRadGrid_uziv_ucty_DataBound" >
                                    <GroupingSettings CaseSensitive="False" CollapseAllTooltip="Collapse all groups"></GroupingSettings>
                                    <ClientSettings>
                                        <Selecting AllowRowSelect="True" />
                                        <%--Dovolí vybrat položku z tabulky --%>
                                    </ClientSettings>
                                    <MasterTableView Caption="[%Výběr uživatelského profilu%]" CommandItemDisplay="Top" PagerStyle-Visible="false" DataKeyNames="ev_udaj">
                                        <Columns>
                                            <telerik:GridBoundColumn DataField="poradi" HeaderText="[%Čís. profilu%]" Display="true" />
                                            <telerik:GridBoundColumn DataField="id" HeaderText="id" Display="true" />
                                            <telerik:GridBoundColumn DataField="profil" HeaderText="[%Název profilu%]" SortExpression="profil" />
                                            <telerik:GridBoundColumn DataField="delegace" HeaderText="[%Mož. delegovat%]" SortExpression="delegace" Visible="false" />
                                            <telerik:GridDateTimeColumn DataField="pristup_od" HeaderText="[%Přist. od%]" SortExpression="pristup_od"
                                                DataFormatString="{0:d.M.yyyy}" Visible="false" />
                                            <telerik:GridDateTimeColumn DataField="pristup_do" HeaderText="[%Přist. do%]" SortExpression="pristup_do"
                                                DataFormatString="{0:d.M.yyyy}" Visible="false" />
                                            <telerik:GridBoundColumn DataField="vychozi_portal" HeaderText="[%Výchozí profil%]" SortExpression="vychozi_portal" />
                                            <telerik:GridBoundColumn DataField="rad_prava" HeaderText="[%Druh řádkových práv%]" SortExpression="rad_prava" Display="false" />
                                            <telerik:GridBoundColumn DataField="druh_rad_prav" HeaderText="[%Druh rad. práv%]" SortExpression="druh_rad_prav" Display="false" />
                                            <telerik:GridBoundColumn DataField="role_id" HeaderText="[%Role ID%]" SortExpression="role_id" Display="false" />
                                        </Columns>

                                        <CommandItemTemplate>
                                        </CommandItemTemplate>
                                    </MasterTableView>
                                </kspwc:TRadGrid>

                                <br />
                                <table style="border-collapse: collapse;">
                                    <tr>
                                        <td style="padding-right: 1em;">
                                            <kspwc:TRadButton ID="Zvolit" Text="[%Zvolit%]" runat="server" AutoPostBack="true" OnClick="BtnZvolit_Clicked"></kspwc:TRadButton>
                                        </td>
                                        <td style="padding-right: 1em;">

                                            <kspwc:TRadButton ID="Nastavit" Text="[%Nastavit jako výchozí%]" runat="server" AutoPostBack="true" OnClick="BtnVychozi_Clicked"></kspwc:TRadButton>
                                        </td>
                                        <td>

                                            <kspwc:TRadButton ID="Zrusit" Text="[%Zrušit výchozí profil%]" runat="server" AutoPostBack="true" OnClick="BtnZrus_Clicked"></kspwc:TRadButton>
                                        </td>
                                    </tr>
                                </table>
                                <asp:Label ID="FailureLabel2" Text="" runat="server" ForeColor="Red" Font-Size="Small"></asp:Label>
                                <br />
                            </div>
                            <%--<fieldset id="Fieldset2" runat="server">
                                <legend>[%Změna hesla%]</legend>--%>
                            <kspwc:TRadButton runat="server" ID="rb_zmena_hesla" AutoPostBack="false" Text="[%Změna hesla%]" NavigateUrl="~/Obecne/UzivNastaveni.aspx" OnClientClicked="rb_zmena_hesla_ClientClicked"></kspwc:TRadButton>
                            <%-- </fieldset>--%>
                            <br/>
                            <br />

                            <asp:ObjectDataSource runat="server" ID="RadSiteMapDataSource1" SelectMethod="GetRole"
                                TypeName="KSPortal.Obecne.UzivPopup"></asp:ObjectDataSource>

                            <asp:ObjectDataSource ID="ZdrojDatUzivUcty" runat="server" OldValuesParameterFormatString="original_{0}"
                                SelectMethod="UzivatelskeUcty" TypeName="KSProgram.Personal.UzivProfily"></asp:ObjectDataSource>
                            
                            <kspwca:TitledPanel ID="tp_dochazka" runat="server" CssClass="cItem" Width="400" TitleText="[%Docházka%]">

                                <ContentTemplate>
                                    <br/>
                                    <asp:Label runat="server" ID="lab_impl_kod" Text="[%Implicitní kód pro zadávání v měs. sumaci%]:"></asp:Label>

                                    <%--OnSelectedIndexChanged="ddlKod_SelectedIndexChanged"
                                        OnDataBound="ddlKod_DataBound" DropDownCssClass="povinne-pole" forecolor="black"   ValidationGroup="edit" BackColor="#ffffcc"  --%>
                                    <telerik:RadComboBox runat="server" ID="ddlKod" OnLoad="ddlKod_Load"
                                        AutoPostBack="true" Width="400px" EnableLoadOnDemand="True"
                                        ShowMoreResultsBox="true" DataTextField="cely_nazev" DataValueField="kod" DropDownHeight="50px"
                                        OnClientItemsRequesting="OnClientItemsRequesting" OnSelectedIndexChanged="ddlKod_SelectedIndexChanged"
                                        EnableVirtualScrolling="false" SelectedValue='<%# Bind("kod") %>'>
                                        <WebServiceSettings Method="GetKodyDochazka" Path="../PrivateWebServices/AutoCompleteService.asmx" />
                                    </telerik:RadComboBox>

                                </ContentTemplate>
                            </kspwca:TitledPanel>
                        </asp:Panel>
                    </telerik:LayoutColumn>

                </Columns>
            </telerik:LayoutRow>
        </Rows>
    </telerik:RadPageLayout>
</asp:Content>

