﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    Inherits="Obecne_Zastup" CodeBehind="Zastup.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <style>
        .rgEditPopup {
            width: 650px !important;
        }
        .preskrtnout {
            text-decoration: line-through !important;
        }
     </style>
    <telerik:RadScriptBlock runat="server" ID="script_block">
        <script type="text/javascript">           
            var popUp;
            function OnPopUpShowing(sender, eventArgs)
            {               
                popUp = eventArgs.get_popUp();                
                var viewportWidth = $(window).width();
                var viewportHeight = $(window).height();
                var popUpWidth = popUp.style.width.substr(0, popUp.style.width.indexOf("px"));
                var popUpHeight = popUp.style.height.substr(0, popUp.style.height.indexOf("px"));
                popUp.style.position = "fixed";
                popUp.style.left = Math.floor((viewportWidth - popUpWidth) / 2) + "px";
                popUp.style.top = Math.floor((viewportHeight - popUpHeight) / 2) + "px"; 
            }
        </script>       
    </telerik:RadScriptBlock>
    <%--<asp:Label ID="Label5" runat="server" Text="[%Povolení zástupu%]"  CssClass="nadpis1"></asp:Label>--%>
    <asp:ObjectDataSource ID="ds_zastupovany" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="ZastupovaniDDLB" TypeName="Obecne_Zastup"></asp:ObjectDataSource>
    <asp:ObjectDataSource ID="ds_zastupce" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="ZamestnanciDDLB" TypeName="Obecne_Zastup"></asp:ObjectDataSource>
    <div>
        <kspwc:TCheckBox runat="server" ID="check_platne" Text="[%Jen platné záznamy%]" UseSaveSetting="true" AutoPostBack="true" OnCheckedChanged="check_platne_CheckedChanged" CssClass="pozadiText"/>
    </div>
    <kspwc:TRadGrid runat="server" ID="RadGrid1" DataSourceID="ObjectDataSource1" MasterTableView-Caption="[%Povolení zástupu%]"
         OnItemDataBound="RadGrid1_ItemDataBound" OnInsertCommand="RadGrid1_InsertCommand" OnUpdateCommand="RadGrid1_UpdateCommand" 
        OnItemCreated="RadGrid1_ItemCreated" AllowSorting="true" AllowAutomaticDeletes="true"
        OnPreRender="RadGrid1_PreRender" OnColumnCreating="RadGrid1_ColumnCreating" >
        <MasterTableView DataKeyNames="id" DataSourceID="ObjectDataSource1" AutoGenerateColumns="False" CommandItemDisplay="Top" AllowPaging="true" EditMode="PopUp"  >
           <EditFormSettings InsertCaption="[%Nový zástup%]" CaptionFormatString="[%Detail zástupu%]"  PopUpSettings-KeepInScreenBounds="true"   > <%-- CaptionDataField="nazev"--%>
                <EditColumn FilterControlAltText="Filter EditCommandColumn column">
                </EditColumn>
            </EditFormSettings>
            <CommandItemSettings AddNewRecordText="[%Vložit nový%]" />
            <PagerStyle PageSizes="20;50;100;150;200" AlwaysVisible="True" Mode="NextPrevAndNumeric" PageButtonCount="4" />
            
            <Columns>
                <telerik:GridEditCommandColumn ButtonType="ImageButton" UniqueName="EditCommandColumn" />
                <telerik:GridButtonColumn CommandName="Delete" Text="Smazat" ButtonType="ImageButton" UniqueName="DeleteColumn" />
                <telerik:GridDropDownColumn SortExpression="id_prac_mista_jm" HeaderText="[%Pracovní místo%]-[%Zastupovaný%]" DataSourceID="ds_prac_mista" ListTextField="cely_nazev" ListValueField="id" DataField="id_prac_mista" UniqueName="col_prac_misto" DropDownControlType="RadComboBox" > 
                <ItemStyle HorizontalAlign="Left" />
                <HeaderStyle HorizontalAlign="Left" />
                </telerik:GridDropDownColumn>
                <telerik:GridDropDownColumn SortExpression="id_prac_mista_zastupce_jm" HeaderText="[%Pracovní místo%]-[%Zástupce%]" DataSourceID="ds_prac_mista" ListTextField="cely_nazev" ListValueField="id" DataField="id_prac_mista_zastupce" UniqueName="col_prac_misto_zastupce" DropDownControlType="RadComboBox">
                 <ItemStyle HorizontalAlign="Left" />
                <HeaderStyle HorizontalAlign="Left" />
                </telerik:GridDropDownColumn>
                <telerik:GridDropDownColumn SortExpression="zastupovany_jm" HeaderText="[%Zastupovaný%]" DataSourceID="ds_zastupovany" ListTextField="cele_jmeno_os_cislo" ListValueField="os_cislo" DataField="zastupovany" UniqueName="col_zastupovany" DropDownControlType="RadComboBox">
                 <ItemStyle HorizontalAlign="Left" />
                <HeaderStyle HorizontalAlign="Left" />
                </telerik:GridDropDownColumn>
                <telerik:GridDropDownColumn SortExpression="zastupce_jm" HeaderText="[%Zástupce%]" DataSourceID="ds_zastupce" ListTextField="cele_jmeno_os_cislo" ListValueField="os_cislo" DataField="zastupce" UniqueName="col_zastupce" DropDownControlType="RadComboBox">
                 <ItemStyle HorizontalAlign="Left" />
                <HeaderStyle HorizontalAlign="Left" />
                </telerik:GridDropDownColumn>
                <telerik:GridBoundColumn SortExpression="zastupce_jm" ReadOnly="true" HeaderText="[%Zástupce%]" DataField="zastupce_jm" UniqueName="zastupce_jm_text" ></telerik:GridBoundColumn>
                <telerik:GridDateTimeColumn HeaderText="[%Čas od%]" DataField="cas_od" DataFormatString="{0:d.M.yyyy HH:mm}" EditDataFormatString="d.M.yyyy HH:mm" PickerType="DateTimePicker" UniqueName="col_cas_od" ItemStyle-CssClass="height_40">
                    <ColumnValidationSettings EnableRequiredFieldValidation="true" RequiredFieldValidator-ErrorMessage="[%Povinné pole%]" RequiredFieldValidator-ForeColor="Red">
                    </ColumnValidationSettings>
                </telerik:GridDateTimeColumn>
                <telerik:GridDateTimeColumn HeaderText="[%Čas do%]" DataField="cas_do" DataFormatString="{0:d.M.yyyy HH:mm}" EditDataFormatString="d.M.yyyy HH:mm" PickerType="DateTimePicker" UniqueName="col_cas_do">
                </telerik:GridDateTimeColumn>
                <telerik:GridDropDownColumn HeaderText="[%Role%]" DataSourceID="ds_role" ListTextField="role1" ListValueField="role_id" DataField="role_id" UniqueName="col_role" DropDownControlType="RadComboBox">
                 <ItemStyle HorizontalAlign="Left" />
                 <HeaderStyle HorizontalAlign="Left" />
                </telerik:GridDropDownColumn>
                <telerik:GridDropDownColumn HeaderText="[%Užití%]" DataSourceID="ds_uziti" ListTextField="popis" ListValueField="hodnota" DataField="uziti" UniqueName="col_uziti" DropDownControlType="RadComboBox">
                </telerik:GridDropDownColumn>
                <telerik:GridNumericColumn HeaderText="[%Priorita%]" DataField="poradi" UniqueName="col_poradi"></telerik:GridNumericColumn>
                <telerik:GridDropDownColumn HeaderText="[%Oznámení%]" DataSourceID="ds_oznam" ListTextField="popis" ListValueField="hodnota" DataField="oznam" UniqueName="col_oznam" DropDownControlType="RadComboBox">
                </telerik:GridDropDownColumn>
                <telerik:GridCheckBoxColumn SortExpression="potl_delegaci" ReadOnly="false" HeaderText="[%Potlačit delegaci%]" DataField="potl_delegaci" UniqueName="col_potl_delegaci"  ></telerik:GridCheckBoxColumn>
            </Columns>   
            <EditFormSettings UserControlName="zastup_editace.ascx"   EditFormType="WebUserControl" PopUpSettings-Modal="true" PopUpSettings-KeepInScreenBounds="true" >
                <EditColumn UniqueName="EditCommandColumn">
                </EditColumn>                          
            </EditFormSettings>                    
        </MasterTableView>
        <ClientSettings >
            <ClientEvents OnPopUpShowing="OnPopUpShowing"/>                
        </ClientSettings>
    </kspwc:TRadGrid>

   <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="RetrievePovoleni" TypeName="KSProgram.Pozadavky.Prtl_zastup" DeleteMethod="DeletePovoleni"
        UpdateMethod="UpdatePovoleni" InsertMethod="InsertPovoleni" 
        oninserting="ObjectDataSource1_Inserting">
        <SelectParameters>
            <asp:ControlParameter ControlID="check_platne" Name="platne" PropertyName="Checked" Type="Boolean" />
            <asp:Parameter Name="rozsah" Type="String" DefaultValue="all" />
        </SelectParameters>
        <DeleteParameters>
            <asp:ControlParameter ControlID="RadGrid1" Name="id" PropertyName="SelectedValue"
                Type="Int64" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="id_prac_mista" Type="Int32" />
            <asp:Parameter Name="id_prac_mista_zastupce" Type="Int32" />
            <asp:Parameter Name="zastupovany" Type="Decimal" />
            <asp:Parameter Name="zastupce" Type="Decimal" />
            <asp:Parameter Name="cas_od" Type="DateTime" />
            <asp:Parameter Name="cas_do" Type="DateTime" />
            <asp:Parameter Name="role_id" Type="Int32" />
             <asp:Parameter Name="uziti" Type="String" />
             <asp:Parameter Name="poradi" Type="Int32" />
             <asp:Parameter Name="oznam" Type="String" />
            <asp:Parameter Name="potl_delegaci" Type="Boolean" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="id_prac_mista" Type="Int32" />
            <asp:Parameter Name="id_prac_mista_zastupce" Type="Int32" />
            <asp:Parameter Name="zastupovany" Type="Decimal" />
            <asp:Parameter Name="zastupce" Type="Decimal" />
            <asp:Parameter Name="cas_od" Type="DateTime" />
            <asp:Parameter Name="cas_do" Type="DateTime" />
            <asp:Parameter Name="role_id" Type="Int32" />
            <asp:Parameter Name="potl_delegaci" Type="Boolean" />
        </UpdateParameters>
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="ds_role" runat="server" TypeName="Obecne_Zastup" SelectMethod="_nacistRole"></asp:ObjectDataSource>
    <asp:ObjectDataSource ID="ds_prac_mista" runat="server" SelectMethod="SeznamPracMist"
        TypeName="Obecne_Zastup"></asp:ObjectDataSource>
    <asp:ObjectDataSource ID="ds_uziti" runat="server" SelectMethod="SeznamUziti"
        TypeName="Obecne_Zastup"></asp:ObjectDataSource>
    <asp:ObjectDataSource ID="ds_oznam" runat="server" SelectMethod="OznamValues"
        TypeName="Obecne_Zastup"></asp:ObjectDataSource>
</asp:Content>
