﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.ComponentModel;
using System.Text;

/// <summary>
/// Summary description for ObdobiDataSource
/// </summary>
[DataObject]
public class ObdobiDataSource
{
    private static string _oddelovac = "-";
    private ObdobiDataSource()
    {
        //
        // TODO: Add constructor logic here
        //
    }
    [DataObjectMethod(DataObjectMethodType.Select)]
    public static DataTable VytvorObdobi(DateTime start, DateTime konec)
    {
        
        DataTable table = new DataTable();
        table.Columns.Add("text", typeof(string));
        table.Columns.Add("hodnota", typeof(string));

        DateTime pom = start;
        while (pom <= konec)
        {
            int cmes=pom.Month;
            int cyear = pom.Year;
            string mes = (cmes<10 ? "0"+cmes.ToString():cmes.ToString());
            
            DataRow row = table.Rows.Add();
            row["text"] =  mes + _oddelovac + pom.Year.ToString();
            row["hodnota"] = row["text"];

            pom=pom.AddMonths(1);
        }

        return table;
    }

     

}
