﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI.HtmlControls;
using KSProgram.WebControls;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

/// <summary>
/// Summary description for TPopUpPage
/// </summary>
public class TPopUpPage : TPage
{
    public TPopUpPage()
    {

    }
    protected override void Page_Init(object sender, EventArgs e)
    {
        base.Page_Init(sender, e);
        HtmlLink css = new HtmlLink();
        css.Href = "~/css/PopUpPage.css";
        css.Attributes["rel"] = "stylesheet";
        css.Attributes["type"] = "text/css";
        css.Attributes["media"] = "all";
        this.Header.Controls.Add(css);
    }

    protected override void OnLoadComplete(EventArgs e)
    {
        base.OnLoadComplete(e);
        if (Master != null)
        {
            HtmlTable table = (HtmlTable)WebControlHelper.FindControl(this.Master, "TablePage");//TODO: přispůsobit třetí masterpage
            table.Style.Add(HtmlTextWriterStyle.Display, "none");
            HtmlImage Img_photo = (HtmlImage)WebControlHelper.FindControl(this.Master, "Img_photo");
            Img_photo.Style.Add(HtmlTextWriterStyle.Display, "none");
            //WebControlHelper.FindControl(this.Master, "Panel_Menu").Visible = false;
            Panel panel = (Panel)WebControlHelper.FindControl(this.Master, "Panel_Menu");
            panel.Style.Add(HtmlTextWriterStyle.Display, "none");
            Panel panelb = (Panel)WebControlHelper.FindControl(this.Master, "PanelBottom");
            panelb.Style.Add(HtmlTextWriterStyle.Display, "none");
            Panel panelt = (Panel)WebControlHelper.FindControl(this.Master, "Panel_top");
            panelt.Style.Add(HtmlTextWriterStyle.Display, "none");
            RadWindow RW_seznam = (RadWindow)WebControlHelper.FindControl(this.Master, "RW_seznam_zam");
            RW_seznam.Style.Add(HtmlTextWriterStyle.Display, "none");
        }
    }
}
