﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;
using KSProgram.Uchazeci;

namespace KSPortal.Pis
{
    public partial class CVUchFormNastaveni : TPage
    {
        //protected void Page_Load(object sender, EventArgs e)
        //{

        //}

        /// <summary>
        /// Konstruktor.
        /// </summary>
        public CVUchFormNastaveni()
        {
            IdPrava = 301;
        }

        protected void TRG_Nastaveni_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            DataTable data = null;

            KSProgram.Uchazeci.CVUchFormNastaveni cvNastaveni = new KSProgram.Uchazeci.CVUchFormNastaveni();

            data = cvNastaveni.PovinneUdajeNastaveni_Prehled();

            if (data != null)
            {
                TRG_Nastaveni.DataSource = data;
            }
        }

        protected void TRG_Nastaveni_ToggleStateChanged(object sender, Telerik.Web.UI.ButtonToggleStateChangedEventArgs e)
        {
            bool _checked = Convert.ToBoolean(e.SelectedToggleState.Value);
            KSProgram.Uchazeci.CVUchFormNastaveni cvNastaveni = new KSProgram.Uchazeci.CVUchFormNastaveni();

            Int16 udajCislo = (Int16)((GridDataItem)(((System.Web.UI.Control)(sender)).BindingContainer)).GetDataKeyValue("udajCislo");

            if (_checked)
            {
                cvNastaveni.PovinneUdajeNastaveni_PridatUdaj((PovinneUdaje)udajCislo);
            }
            else
            {
                cvNastaveni.PovinneUdajeNastaveni_OdebratUdaj((PovinneUdaje)udajCislo);
            }
        }

        protected void TRG_Nastaveni_ItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
        {
            if (e.Item is GridGroupHeaderItem)
            {
                GridGroupHeaderItem item = (GridGroupHeaderItem)e.Item;
                string[] myArr = item.DataCell.Text.Split(':');
                item.DataCell.Text = myArr[1].Trim();
            }
        }
    }
}