﻿using KSProgram.Hodnoceni;
using KSProgram.WebControls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.Pis
{
    public partial class HodnoceniPrenosMzdyResidomo : TPage
    {
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            IdPrava = 289;
        }

        [WebMethod]
        public static HodnoceniResult GetHzH2M(int id)
        {
            List<PrenosMzdy.hz_h2m> data = KSProgram.Hodnoceni.PrenosMzdy.GetListAll(id);

            HodnoceniResult ret = new HodnoceniResult();
            ret.Data = data;
            ret.Count = data.Count;
            return ret;
        }

        [WebMethod]
        public static void UpdateHzH2M(List<PrenosMzdy.hz_h2m> items)
        {
            foreach (PrenosMzdy.hz_h2m item in items)
            {
                PrenosMzdy.UpdateH2M(item.id, item);
            }
        }

        public class HodnoceniResult
        {
            public List<PrenosMzdy.hz_h2m> Data { get; set; }
            public int Count { get; set; }
        }

        protected void Unnamed_Exporting(object sender, ExportGridButtonArgs e)
        {
            GridCommandItemControl comm = (GridCommandItemControl)e.Grid.MasterTableView.GetItems(GridItemType.CommandItem)[0].FindControl("GCIC_prenos");
            TRadComboBox combo = (TRadComboBox)KSProgram.WebControls.WebControlHelper.FindControlRecursive(comm, "TRCB_akce", typeof(TRadComboBox));
            int id;
            if (int.TryParse(combo.SelectedValue, out id))
            {
                e.Grid.DataSource = GetHzH2M(id).Data;
                e.Grid.Rebind();
            }
        }
        internal override void On_SaveCustomSettings(object sender, PersistenceManagerSaveStateEventArgs e)
        {
            base.On_SaveCustomSettings(sender, e);
        }
        internal override void On_LoadCustomSettings(object sender, PersistenceManagerLoadStateEventArgs e)
        {
            base.On_LoadCustomSettings(sender, e);
        }
    }
}