﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using System.Collections.Specialized;
using KSProgram.Obecne;
using KSProgram.WebControls;

namespace KSPortal.Pis
{
    public partial class PrezencniListinaSkoleni : System.Web.UI.Page
    {
        private int _pCislo;
        protected void Page_Load(object sender, EventArgs e)
        {
            RB_Zpet.NavigateUrl = Request.UrlReferrer.ToString();
            L_Podnik.Text = Zakaznik.GetNazev();

            QueryStringCrypto qc = new QueryStringCrypto();
            NameValueCollection coll = qc.DecryptRequestQuery();
            _pCislo = Convert.ToInt32(coll["pCislo"]);
            if (_pCislo == 0) return;

            ODS_Hlavicka.SelectParameters["pCislo"].DefaultValue = _pCislo.ToString();
            R_Hlavicka.DataSource = ODS_Hlavicka;
            R_Hlavicka.DataBind();
        }

        protected override void OnPreRenderComplete(EventArgs e)
        {
            base.OnPreRenderComplete(e);

            //provádím lokalizaci položek
            WebControlHelper.ProjdiControls(this, string.Empty, WebControlHelper.ZmenaTextu);
        }

        protected void TRadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            if (_pCislo == 0) return;
            TRadGrid1.DataSource = KSProgram.Vzdelavani.SkoliciAkce.PrihlaseniUcastnici(_pCislo);
        }
    }
}