﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using Telerik.Web.UI;
using KSProgram.Extensions;
using KSProgram;

namespace KSPortal.Pis
{
    public partial class SkolAkcePrezList : TPage
    {
        public SkolAkcePrezList()
        {
            IdPrava = 240;
        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
        }

        protected void TRB_ch_CheckedChanged(object sender, EventArgs e)
        {
            TRadButton TRB_ch = (TRadButton)sender;
            if (TRB_ch.Checked)
            {
                TradGridSkolAkce.AllowFilteringByColumn = true;
            }
            else
            {
                TradGridSkolAkce.AllowFilteringByColumn = false;
                TradGridSkolAkce.MasterTableView.FilterExpression = "";
            }
            TradGridSkolAkce.Rebind();
        }

        protected void TradGridSkolAkce_ItemCreated(object sender, GridItemEventArgs e)
        {
            if (e.Item.ItemType == GridItemType.CommandItem)
            {
                TRadButton but = (TRadButton)e.Item.FindControl("TRB_ch");
                but.Checked = ((TRadGrid)sender).AllowFilteringByColumn;
            }
        }

        protected void TradGridSkolAkce_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            TradGridSkolAkce.DataSource = new KSProgram.Vzdelavani.SkoliciAkce().Planovane();
        }

        protected void TradGridSkolAkce_ItemCommand(object source, Telerik.Web.UI.GridCommandEventArgs e)
        {
            if (e.CommandName == "PrezList")
            {
                GridDataItem item = (GridDataItem)e.Item;
                string pCislo = item["p_cislo"].Text;
                pCislo = pCislo.SafeTrim();
                QueryStringCrypto qc = new QueryStringCrypto();
                qc.CheckSession = true;
                qc.Redirect("~/Pis/PrezencniListinaSkoleni.aspx", "pCislo=" + pCislo);
            }
        }
    }
}