﻿using KSProgram.Vzdelavani;
using KSProgram.WebControls;
using System;
using System.Data;
using System.Web.Services;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.Pis
{
    public partial class SkoleniDochazka : TPage
    {
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
        }

        public SkoleniDochazka()
        {
            AutomatickyUlozitNastaveni = true;
            IdPrava = 345;
            VerzeStranky = "6";
        }

        protected void TRadGrid_sestava_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            TRadGrid_sestava.DataSource = new KSProgram.Vzdelavani.SkoliciAkce().Planovane((DateTime)TRadGrid_sestava.Datum.SelectedObdobiOd, (DateTime)TRadGrid_sestava.Datum.SelectedObdobiDo);
        }

        protected void TRadGrid_sestava_DetailTableDataBind(object sender, Telerik.Web.UI.GridDetailTableDataBindEventArgs e)
        {
            GridDataItem dataItem = (GridDataItem)e.DetailTableView.ParentItem;

            int p_cislo = (int)dataItem.GetDataKeyValue("p_cislo");
            e.DetailTableView.DataSource = KSProgram.Vzdelavani.SkoliciAkce.PrihlaseniUcastnici(p_cislo);   
        }

        protected void trb_prezence_CheckedChanged(object sender, EventArgs e)
        {
            int p_cislo = (int)((GridNestedViewItem)((System.Web.UI.Control)sender).Parent.Parent.Parent.Parent.Parent.Parent).ParentItem.GetDataKeyValue("p_cislo");
            decimal os_cislo = (decimal)((GridDataItem)((System.Web.UI.Control)sender).Parent.Parent).GetDataKeyValue("os_cislo");
            bool zapsat = ((TRadButton)sender).Checked;

            SkoliciAkce.Zapsat_ucast(p_cislo, os_cislo, zapsat);
            TRadGrid_sestava.Rebind();
        }

        [WebMethod]
        public static string getNazevAkce(int p_cislo)
        {
            return SkoliciAkce.Nazev(p_cislo);
        }

        [WebMethod]
        public static string zapsatUcast(int p_cislo, string card_code)
        {
            return SkoliciAkce.Zapsat_ucast(p_cislo, card_code);
        }

        protected void hidenbutton2_Click(object sender, EventArgs e)
        {
            TRadGrid_sestava.Rebind();
        }
    }
}