﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="PozadavekDetail.aspx.cs" Inherits="KSPortal.Pozadavky.Pozadavky_PozadavekDetail" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register TagPrefix="uc" TagName="poz_prilohy" Src="~/Controls/PrilohyManager.ascx" %>
<%@ Register Src="../Controls/KalendarControl.ascx" TagName="KalendarControl" TagPrefix="uc1" %>
<%@ Register TagPrefix="uc2" TagName="WfZmenaStavu" Src="~/Controls/WfZmenaStavu.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <style type="text/css">
        div.fullFrame > table > tbody > tr:first-child + tr > td:first-child + td > div, div.fullFrame > table > tbody > tr:first-child + tr > td:first-child + td > div > div, div.fullFrame > table > tbody > tr:first-child + tr > td:first-child + td > div > div > div {
            height: calc(100% - 15px);
            width: 100%;
        }

        div.fullFrame {
            z-index: 3000 !important;
        }

        div.ks-hideall div {
            display: none;
        }

        .RadPanelBar .rpTemplate {
            padding: 0 !important;
        }

        .RadPanelBar .rgCaption {
            display: none !important;
        }

        .gridWidth {
            min-width: 0px !important;
        }
        div.ksPozMainPanel {
            /*hlavní panel požadavku obsahuje všechny ostatní*/
            width: 100%;
        }
        div.KsPozTlacitka {
            /*panel s horními tlačítky*/
            width: 700px;
        }
        div.ksPozTelo {
            /*panel obsahující samotnou kontrolku s požadavkem*/
            width: fit-content;
        }
        div.ksPozZmenaStavu {
            /*panel s kontrolkou pro změnu stavu*/
            width: 700px;
        }
        div.ksPozUlozit {
            /*panel s lištou s tlačítkem uložit*/
            width: 700px;
        }
        div.ksPozProces {
            /*panel s procesem řešení*/
            width: 700px;
        }
        .table-main {
            width: 100%;
        }
        .main_content_td {
            width: 100%;

        }
    </style>
    <telerik:RadCodeBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript" id="telerikClientEvents1">
            //<![CDATA[
            var zapnuti_zastupu = false;
            function RPB_kalendar_Clicking(sender, args) {
                var oWnd = $find("<%=RadWindow3.ClientID%>");
                oWnd.show();
            }
            function RadWindow3_ResizeEnd(sender, args) {
                var oWnd = $find("<%=RadWindow3.ClientID%>");
                oWnd.show();
            }
            function showTypyPozMenu(sender, args) {
                var contextMenu = $find('<%= RCM_new_typy.ClientID %>');
                if (contextMenu) {
                    var currentLocation = $telerik.getBounds(sender.get_element());
                    contextMenu.showAt(currentLocation.x, currentLocation.y + currentLocation.height);
                }
            }
            var show_pokyny = false;
            function img_save_Clicking(sender, args) {
                // vyvolání eventu v Master.js
                KSMaster.onPozadavekSaveClicking(sender, args);
                show_pokyny = true;
            }

            function zapnuti_zas_confirmCallbackFn(arg) {
                zapnuti_zastupu = arg;
                PageMethods.CompleteTask(arg, zapnuti_zas_OnSucceeded, zapnuti_zas_OnFailed);
            }

            function zapnuti_zas_OnSucceeded() {
                if (zapnuti_zastupu) {
                    showLoadingAnimation();
                    location.reload();
                }
                else {
                    var url = document.location.href;
                    var pos = url.search("PozadavekDetail.aspx");
                    url = url.substr(0, pos) + "Pozadavky2.aspx";
                    document.location.href = url;
                }
            }

            function zapnuti_zas_OnFailed(error) {
                alert(error.get_message());
            }

            function RadWindow3_OnClose(sender, args) {
                var panel = $get("<%=div_Kalendar.ClientID%>");
                panel.className = 'ks-hideall';
            }
            function retrieveProcessGrid() {
                //var panel = $telerik.$("[id$='panel_process']").get(0).control;
                //if (panel._expandedItem) {
                //PH 20.6.2019 chtěl jsem to dát do podmínky aby se process načítal jen při _expandedItem=true, ale nejde to.
                //po postbacku telerik špatně indikuje, že je rozbalený
                getProcessData();
                //}
            }
            function getProcessData()
            {
                var grid = $find("<%= TRadGrid_process.ClientID %>");
                if (grid) {
                    var tableView = grid.get_masterTableView();
                    if (tableView != null) {
                        PageMethods.GetData(0, tableView.get_pageSize(),
                             tableView.get_sortExpressions().toString(), KSMaster.idPozadavku.toString(),
                                 updateGrid);
                    }
                }
            }
            function updateGrid(result) {
                var tableView = $find("<%= TRadGrid_process.ClientID %>").get_masterTableView();
                tableView.set_dataSource(result.Data);
                tableView.dataBind();
            }

            function callShowSestavu() {
                if (showSestavu)
                    showSestavu();
            }

            function callShowDiskusi() {
                if (showDiskusi)
                    showDiskusi();
            }

            function callShowSlucPole(sender, args) {
                if (showSlucPole)
                    showSlucPole();
            }

            var pokyny = '';
            var pokyny_krok_prev = "Krok=0";
            function showPokyny() {
                if (pokyny && pokyny.trim().length > 3) {
                    $('#pokyny_div').empty();
                    $('#pokyny_div').html(pokyny);

                    $('#pokynyWindow').kendoWindow({
                        title: "Pokyny",
                        resizable: true,
                        modal: true,
                        width: 800,
                        draggable: true,

                    }).data("kendoWindow").center().open();

                    $("#button_close").click(function () {
                        $('#pokynyWindow').data("kendoWindow").close();
                    });
                }
            }

            function initPokyny(sender, args) {
                pokyny = $('#pokyny_html').html().trim();
                var pokyny_krok_akt;
                if (pokyny.indexOf(":") > 0) {
                    pokyny_krok_akt = pokyny.substr(0, pokyny.indexOf(":"));
                    pokyny = pokyny.substr(pokyny.indexOf(":") + 1);
                }
                console.info("pokyny_krok_prev=" + pokyny_krok_prev);
                console.info("pokyny_krok_akt=" + pokyny_krok_akt);
                //console.info("isPartialLoad=" + args.get_isPartialLoad().toString() + ", show_pokyny=" + show_pokyny.toString());
                if (!args.get_isPartialLoad() || (show_pokyny && pokyny_krok_prev != pokyny_krok_akt)) {
                    showPokyny();
                    pokyny_krok_prev = pokyny_krok_akt;
                }
            }

           
            //if (pokyny)
                Sys.Application.add_load(initPokyny);

            Sys.Application.add_load(retrieveProcessGrid);
            //]]>
        </script>
    </telerik:RadCodeBlock>
    

    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RCM_new_typy">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="P_Form" />
                    <%--<telerik:AjaxUpdatedControl ControlID="P_Seznam" />--%>
                    <telerik:AjaxUpdatedControl ControlID="P_Pokyny" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="P_Form">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="P_Form" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="img_save">
                <UpdatedControls>
                   <%-- <telerik:AjaxUpdatedControl ControlID="TDataListSeznamStavu" />PH 31.5.2020 zapoznámkováno, nikde se nevyskytuje, navíc blokovalo postback tlačítka img_save--%>
                    <telerik:AjaxUpdatedControl ControlID="P_Form" LoadingPanelID="" />
                    <telerik:AjaxUpdatedControl ControlID="P_Pokyny" LoadingPanelID="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RPB_kalendar">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="div_Kalendar" LoadingPanelID="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RPB_kalendar_close">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="div_Kalendar" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="div_Kalendar">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="div_Kalendar" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="panel_process">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="panel_process" LoadingPanelID="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <asp:HiddenField ID="HF_id_poz" runat="server" />
    <asp:HiddenField ID="HF_view_id" runat="server" />

    <telerik:RadContextMenu ID="RCM_new_typy" runat="server"
        DataSourceID="ODS_new_typy" 
        DataTextField="typ_text" DataValueField="typ" CausesValidation="false"
        OnItemClick="RCM_new_typy_ItemClick">
        <Targets>
            <telerik:ContextMenuControlTarget ControlID="TRadButton1" />
        </Targets>
    </telerik:RadContextMenu>
    <asp:ObjectDataSource runat="server" ID="ODS_new_typy" SelectMethod="GetTypy"
        OldValuesParameterFormatString="original_{0}" TypeName="KSProgram.Pozadavky.PozadavkyTypy">
        <SelectParameters>
            <asp:Parameter DefaultValue="false" Name="vcetne_vse" Type="Boolean" />
            <asp:Parameter DefaultValue="false" Name="vcetne_dochazka" Type="Boolean" />
            <asp:Parameter DefaultValue="false" Name="emptyRow" Type="Boolean" />
        </SelectParameters>
    </asp:ObjectDataSource>   
    <asp:Panel ID="P_Form" runat="server" CssClass="ksPozMainPanel"  >  <%-- DefaultButton="img_save"--%>
            
       <div class="tiskHide KsPozTlacitka">
        <telerik:RadButton ID="LB_NacistSeznam" runat="server" Text="[%Seznam požadavků%]" CssClass="kstlacitko"
            AutoPostBack="True" OnCommand="LB_NacistSeznam_Command" CausesValidation="False">
            <Icon PrimaryIconCssClass="fi fi-list"></Icon>
        </telerik:RadButton>
        <kspwc:TRadButton ID="TRadButton1" runat="server" Text="[%Nový požadavek%]"  CausesValidation="false"
            AutoPostBack="False" onclientclicked="showTypyPozMenu">
            <Icon PrimaryIconCssClass="fi fi-add"></Icon>
        </kspwc:TRadButton>
        <telerik:RadButton ID="rb_diskuse" runat="server" Text="[%Diskuse%]" OnClientClicked="callShowDiskusi" CssClass="kstlacitko"
            AutoPostBack="False" CausesValidation="False"  >
            <Icon PrimaryIconCssClass="fi fi-comment-alt"></Icon>
        </telerik:RadButton>
       <%-- <telerik:RadButton ID="rb_priloha" runat="server" Text="[%Příloha%]" OnClientClicked="showPrilohu"
            AutoPostBack="False" CausesValidation="False"  >
        </telerik:RadButton>--%>
        <telerik:RadButton ID="RPB_kalendar" runat="server" Text="[%Zobrazit kalendář%]"
            AutoPostBack="True"  CausesValidation="False" OnCommand="RPB_kalendar_Command"
            OnClientClicking="RPB_kalendar_Clicking"  CommandName="open" CssClass="no-block-enable-ajax kstlacitko">
            <Icon PrimaryIconCssClass="fi fi-calendar"></Icon>
        </telerik:RadButton>
        <telerik:RadButton ID="RPB_kalendar_close" runat="server"
            AutoPostBack="True" CausesValidation="False" CssClass="hidden"
            OnCommand="RPB_kalendar_Command" CommandName="close">
        </telerik:RadButton>
        <telerik:RadButton ID="rb_odmeny_sestava" runat="server" Text="[%Sestava odměn%]" OnClientClicked="callShowSestavu"
            AutoPostBack="False" CausesValidation="False" CssClass="kstlacitko" >
        </telerik:RadButton>
        <telerik:RadButton ID="RB_Pokyny" runat="server" Text="[%Zobrazit pokyny%]" OnClientClicked="showPokyny"
            AutoPostBack="False" CausesValidation="False" CssClass="kstlacitko"  >
            <Icon PrimaryIconCssClass="fi fi-question"></Icon>
        </telerik:RadButton>
        <telerik:RadButton ID="RB_sluc_pole" runat="server" Text="[%Slučovací pole emailu%]" OnClientClicked="callShowSlucPole"
            AutoPostBack="False" CausesValidation="False" CssClass="kstlacitko"  >
        </telerik:RadButton>
       </div>
        <div class="tiskHide" style="height:10px;"></div>
        <div class="ksPozTelo">
            <asp:PlaceHolder runat="server" ID="ph_pozadavek"></asp:PlaceHolder>
        </div>
        <div class="ksPozZmenaStavu" runat="server" id="div_UC_ZmenaStavu" >
            <uc2:WfZmenaStavu ID="UC_ZmenaStavu" runat="server" />
        </div>

        <%--Panel s tlacitky ULOZIT a ZPET--%>
        <div class="tiskHide ksPozUlozit">
            <asp:Panel runat="server" ID="PanelCommand" Visible="false">
                <table style="border-collapse: collapse; margin: 5px 0px 0px 0px; width: 100%;">
                    <tr>
                        <td>                             
                            <wc:TRadButton ID="img_save"  runat="server" Style="margin: 4px; width: 120px;" Text="[%Uložit%]" CommandName="Save" OnCommand="img_OnCommand" Icon-PrimaryIconCssClass="fi fi-disk" OnClientClicking="img_save_Clicking"  />
                        </td>
                        <td style="padding: 4px 4px 4px 0px; width: 100%">
                            <asp:CustomValidator ID="CustomValidator1" runat="server" ErrorMessage="CustomValidator"
                                OnServerValidate="CustomValidator1_ServerValidate"></asp:CustomValidator>
                        </td>
                        <td style="padding: 4px 4px 4px 4px; width: 80px">
                            <wc:TRadButton Visible="false" ID="img_undu" runat="server" Text="[%Zpět%]" CommandName="Cancel" OnCommand="img_OnCommand" Icon-PrimaryIconCssClass="fi fi-ban"
                                CausesValidation="False" />
                        </td>

                    </tr>
                </table>
            </asp:Panel>
        </div>
        <div id="div_process" runat="server" class="ksPozProces">
            <br />
            <wc:TDetailsView ID="DetailsViewAktFazeAdresat" runat="server" AutoGenerateRows="False" Style="width: 100%" CssClass="ksprvek"
                DataSourceID="ds_AktFazeAdresat" HeaderText="[%Aktuální krok k řešení%] [%a%] [%řešitel%]">
                <Fields>
                    <asp:TemplateField HeaderText="[%Krok%]:" HeaderStyle-Width="80">
                        <ItemTemplate>
                            <asp:Label ID="Lab_faze_text" runat="server" Text='<%# Eval("faze_text") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="[%Řešitel%]:">
                        <ItemTemplate>
                            <asp:Label ID="Lab_adresati_jmena" runat="server" Text='<%# Eval("adresat_jmena") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Fields>
            </wc:TDetailsView>
            <br />
            <asp:ObjectDataSource runat="server" ID="ds_AktFazeAdresat" TypeName="KSProgram.Pozadavky.WorkflowProces"
                SelectMethod="RetrieveAktFazeAdresat">
                <SelectParameters>
                    <asp:Parameter Name="id_poz" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
          
            <telerik:RadPanelBar runat="server" ID="panel_process" Style="width: 100%;" CausesValidation="false" OnClientItemExpand="retrieveProcessGrid" ExpandAnimation-Duration="100" CollapseAnimation-Duration="100" CssClass="ksprvek" >
                <Items>
                    <telerik:RadPanelItem Text="[%Proces řešení%]" Style="font-size: 14px;" Selected="true" Visible="true">
                        <ContentTemplate>
                           <%-- OnNeedDataSource="TRadGrid_process_NeedDataSource"--%>
                           <%-- AutoFilterControlWidth="false"--%>
                                <kspwc:TRadGrid ID="TRadGrid_process" runat="server" ShowGroupPanel="False" AllowPaging="false" EnableViewState="false"
                                     AllowSorting="false" AutoGenerateColumns="false" 
                                     ShowFooter="false" >    
                                    <MasterTableView CommandItemDisplay="None" ShowGroupFooter="false" ShowHeader="True" AllowFilteringByColumn="false">                                       
                                        <Columns>
                                            <telerik:GridNumericColumn DataType="System.Int16" DataField="poradi" HeaderText="[%Pořadí%]">
                                                <ItemStyle Width="20" />
                                                <HeaderStyle Width="20" />
                                            </telerik:GridNumericColumn>
                                            <telerik:GridBoundColumn DataType="System.String" DataField="faze_text" HeaderText="[%Název%]" ColumnGroupName="krok">                                            
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataType="System.Int32" DataField="faze" HeaderText="[%Číslo%]" ColumnGroupName="krok">                                            
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataType="System.String" DataField="stav" HeaderText="[%Stav%]">                                              
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataType="System.String" DataField="duvod" HeaderText="[%Důvod/text%]"></telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataType="System.DateTime" DataField="datum" DataFormatString="{0:d}" HeaderText="[%Datum%]">
                                                <HeaderStyle HorizontalAlign="Left" Width="105" />
                                                <ItemStyle HorizontalAlign="Left" Width="105" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataType="System.String" DataField="uziv_a_zastup" HeaderText="[%Řešitel%]">                                             
                                            </telerik:GridBoundColumn>                                            
                                        </Columns>
                                        <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="[%Krok%]" Name="krok" HeaderStyle-HorizontalAlign="Center">
                </telerik:GridColumnGroup>
               <%-- <telerik:GridColumnGroup HeaderText="Location" Name="Location">
                </telerik:GridColumnGroup>--%>
                                            </ColumnGroups>
                                    </MasterTableView>                                    
                                   <ClientSettings >
                                       <ClientEvents OnCommand="function(){}" /> 
                                      <%--<DataBinding  Location="../PrivateWebServices/AutoCompleteService.asmx" SelectMethod="GetDataAndCounWFProcess"   /> --%>
                                   </ClientSettings>
                                </kspwc:TRadGrid>
                        </ContentTemplate>
                    </telerik:RadPanelItem>

                </Items>
            </telerik:RadPanelBar>

            <br />
        </div>
    </asp:Panel>
    <telerik:RadWindow KeepInScreenBounds="true" ID="RadWindow3" runat="server" AutoSize="False"
        Height="800" Width="1500" InitialBehaviors="Maximize" VisibleStatusbar="False" OnClientResizeEnd="RadWindow3_ResizeEnd" OnClientClose="RadWindow3_OnClose"
        Behaviors="Resize, Close, Maximize, Move, Reload" CssClass="fullFrame" DestroyOnClose="True">
        <ContentTemplate>
            <asp:Panel ID="div_Kalendar" runat="server" CssClass="ks-hideall">
                <uc1:KalendarControl runat="server" ID="KC_Kalendar" SelectedPanIndex="1" />
                <%--<asp:PlaceHolder runat="server" ID="PH_Kalendar"></asp:PlaceHolder>--%>
            </asp:Panel>
        </ContentTemplate>
    </telerik:RadWindow>

    <asp:Panel ID="P_Pokyny" runat="server">
        <div id="pokyny_html" style="display: none;">
            <%= getPokyny() %>
        </div>
    </asp:Panel>
    <div id="pokynyWindow" style="display: none;">        
        <div id="pokyny_div">
        </div>
        <div class='formButtons' style="float: right;margin-top: 5px;">
                <button id='button_close' class="k-button" >OK</button>
        </div>
    </div>
</asp:Content>