﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Unlogged.Master" AutoEventWireup="true"
    CodeBehind="CVUchForm.aspx.cs" Inherits="KSPortal.Public.CVUchForm" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <%--<asp:Label ID="lSendOK" runat="server" Text="Omlouváme se, ale stránka není momentálně dostupná!" Font-Size="Medium"></asp:Label>--%>
    <telerik:RadFormDecorator ID="QsfFromDecorator" runat="server" DecoratedControls="All"
        EnableRoundedCorners="false" />
    <div class="exampleWrapper">
        <asp:ObjectDataSource ID="odsStPrisl" runat="server" SelectMethod="Seznam" TypeName="KSProgram.Ciselniky.CisStatniPrisl">
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsStupVzdel" runat="server" SelectMethod="StupenSeznam"
            TypeName="KSProgram.Ciselniky.CisVzdelani"></asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsOborVzdel" runat="server" SelectMethod="OborSeznam"
            TypeName="KSProgram.Ciselniky.CisVzdelani" OldValuesParameterFormatString="original_{0}">
            <SelectParameters>
                <asp:Parameter DefaultValue="ORDER BY vyznam" Name="expression_OrderBy" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsJazyky" runat="server" SelectMethod="JazykySeznam" TypeName="KSProgram.Ciselniky.CisJazyku"
            OldValuesParameterFormatString="original_{0}">
            <SelectParameters>
                <asp:Parameter DefaultValue="ORDER BY nazev" Name="expression_OrderBy" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsProfese" runat="server" SelectMethod="ProfeseSeznam"
            TypeName="KSProgram.Ciselniky.CisProfese" OldValuesParameterFormatString="original_{0}">
            <SelectParameters>
                <asp:Parameter DefaultValue="nazev" Name="sort" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsProfeseVR" runat="server" SelectMethod="ObsazovaneProfeseVeVR"
            TypeName="KSProgram.Ciselniky.CisProfese"></asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsStupJazykZnal" runat="server" SelectMethod="StupenZnalostiSeznam"
            TypeName="KSProgram.Ciselniky.CisJazyku"></asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsDruhyDok" runat="server" SelectMethod="TypyDokumentu_uch"
            TypeName="KSProgram.Ciselniky.CisDruhyDokumentu"></asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsCisOsve" runat="server" SelectMethod="SkoCislSeznam"
            TypeName="KSProgram.Ciselniky.CisSkoCisl" OldValuesParameterFormatString="original_{0}">
            <SelectParameters>
                <asp:Parameter DefaultValue="text_osve" Name="sort" Type="String" />
                <asp:Parameter DefaultValue=" AND (nenabizet IS NULL OR nenabizet = 3)" Name="podminka"
                    Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:Label ID="lNazevForm" runat="server" Text="Formulář uchazeče o zaměstnání" Font-Bold="True"
            Font-Size="Medium"></asp:Label><br />
        <br />
        <asp:Panel ID="panelForm" runat="server" Visible="true">
            <telerik:RadTabStrip ID="RadTabStrip1" runat="server" MultiPageID="RadMultipage1"
                SelectedIndex="0" Align="Justify" Width="800px" CausesValidation="true" ValidationGroup="ValGroupOsUdaje"
                OnTabClick="RadTabStrip1_TabClick" OnPreRender="RadTabStrip1_PreRender">
                <Tabs>
                    <%--!!!!! Pokud by se měnilo pořadí záložek, je potřeba upravit indexy v 'RadTabStrip1_PreRender' !!!!!--%>
                    <telerik:RadTab Text="Osobní údaje">
                    </telerik:RadTab>
                    <telerik:RadTab Text="Vzdělání">
                    </telerik:RadTab>
                    <telerik:RadTab Text="Praxe">
                    </telerik:RadTab>
                    <telerik:RadTab Text="Znalosti a dovednosti">
                    </telerik:RadTab>
                    <telerik:RadTab Text="Hledaná práce">
                    </telerik:RadTab>
                    <telerik:RadTab Text="Dokumenty">
                    </telerik:RadTab>
                    <telerik:RadTab Width="50" IsSeparator="true" Enabled="false">
                    </telerik:RadTab>
                    <telerik:RadTab Text="Odeslání formuláře" ForeColor="Black" BackColor="LightGreen">
                    </telerik:RadTab>
                </Tabs>
            </telerik:RadTabStrip>
            <asp:Panel ID="PanelHlavni" HorizontalAlign="Left" BackColor="#e8f5fe" BorderColor="#064a79"
                runat="Server" BorderStyle="Solid" BorderWidth="1px" Width="800">
                <table style="padding-left: 10px; padding-right: 10px; padding-top: 10px">
                    <tr>
                        <td>
                            <asp:Label runat="server" Text=" Povinné údaje jsou označeny symbolem: <b><font>*</b>."
                                ForeColor="Red"></asp:Label>
                        </td>
                    </tr>
                </table>
                <telerik:RadMultiPage runat="server" ID="RadMultiPage1" SelectedIndex="0">
                    <telerik:RadPageView runat="server" ID="RadPageView1">
                        <%--*********************************************************************************************--%>
                        <%--********** 1. Osobní údaje ******************************************************************--%>
                        <%--*********************************************************************************************--%>
                        <div>
                            <%--<asp:Panel ID="PanelOsobniUdaje" HorizontalAlign="Left" BackColor="#e8f5fe" BorderColor="#064a79"
                            runat="Server" BorderStyle="Solid" BorderWidth="1px" Width="800">--%>
                            <table cellpadding="10">
                                <tr>
                                    <td>
                                        <asp:FormView ID="FVOsobniUdaje" runat="server" DefaultMode="Edit" OnItemUpdating="FVOsobniUdaje_ItemUpdating"
                                            OnItemInserting="FVOsobniUdaje_ItemInserting" OnPreRender="FVOsobniUdaje_PreRender">
                                            <EditItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <table>
                                                                <tr>
                                                                    <td colspan="2">
                                                                        <asp:Label ID="lOsobniUdajeNadpis" runat="server" Text="Osobní údaje" Font-Bold="True"
                                                                            ForeColor="#0066CC"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="Label24" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                                        <asp:Label ID="lJmeno" runat="server" Text="Jméno"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:TextBox ID="tbJmeno" runat="server" Text='<%# Bind("jmeno") %>' MaxLength="24"
                                                                            CausesValidation="True" ValidationGroup="ValGroupOsUdaje" CssClass="povinne-pole" />
                                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="Jméno není vyplněno!"
                                                                            ControlToValidate="tbJmeno" Display="None" ValidationGroup="ValGroupOsUdaje"></asp:RequiredFieldValidator>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="Label27" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                                        <asp:Label ID="lPrijmeni" runat="server" Text="Příjmení"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:TextBox ID="tbPrijmeni" runat="server" Text='<%# Bind("prijmeni") %>' MaxLength="24"
                                                                            CausesValidation="True" ValidationGroup="ValGroupOsUdaje" CssClass="povinne-pole" />
                                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="Příjmení není vyplněno!"
                                                                            ControlToValidate="tbPrijmeni" Display="None" ValidationGroup="ValGroupOsUdaje"></asp:RequiredFieldValidator>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lTitul" runat="server" Text="Titul před"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:TextBox ID="tbTitul" runat="server" Text='<%# Bind("titul") %>' MaxLength="25" />
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lTitulZa" runat="server" Text="Titul za"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:TextBox ID="tbTitulZa" runat="server" Text='<%# Bind("titul_za") %>' MaxLength="15" />
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lStPrisl" runat="server" Text="Státní příslušnost"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:DropDownList ID="ddlStPrisl" runat="server" DataSourceID="odsStPrisl" SelectedValue='<%# Bind("st_prisl") %>'
                                                                            DataTextField="cesky" DataValueField="kod_ciselny" AppendDataBoundItems="true"
                                                                            Width="250">
                                                                        </asp:DropDownList>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="LDatNarRequired" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                                        <asp:Label ID="lDatNar" runat="server" Text="Datum narození"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <wc:TRadDatePicker runat="server" ID="dpRodneCislo" DbSelectedDate='<%# Bind("rodne_cislo") %>'
                                                                            DateInput-MinDate="1.1.1900 0:00:00" MinDate="1.1.1900 0:00:00">
                                                                        </wc:TRadDatePicker>
                                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorDatNar" runat="server" ErrorMessage="Datum narození není vyplněno!"
                                                                            ControlToValidate="dpRodneCislo" Display="None" ValidationGroup="ValGroupOsUdaje"></asp:RequiredFieldValidator>
                                                                        <%--<asp:CompareValidator ID="CompareValidator1" runat="server" ErrorMessage="Chybné datum narození! (příklad: 31.12.2010)"
                                                                        ControlToValidate="dpRodneCislo" Type="Date" Operator="DataTypeCheck" Display="None"
                                                                        ValidationGroup="ValGroupOsUdaje"></asp:CompareValidator>--%>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lMistoNarozeni" runat="server" Text="Místo narození"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:TextBox ID="tbMistoNarozeni" runat="server" Text='<%# Bind("misto_narozeni") %>'
                                                                            MaxLength="48" />
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lPohlavi" runat="server" Text="Pohlaví"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:DropDownList ID="ddlPohlavi" runat="server" SelectedValue='<%# Bind("pohlavi") %>'>
                                                                            <asp:ListItem Enabled="true" Value="m" Text="muž"></asp:ListItem>
                                                                            <asp:ListItem Value="z" Text="žena"></asp:ListItem>
                                                                        </asp:DropDownList>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lRodinStav" runat="server" Text="Rodinný stav"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:DropDownList ID="ddlRodinStav" runat="server" SelectedValue='<%# Bind("rodin_stav") %>'>
                                                                            <asp:ListItem Enabled="true" Value="1" Text="svobodný(á)"></asp:ListItem>
                                                                            <asp:ListItem Value="2" Text="ženatý(vdaná)"></asp:ListItem>
                                                                            <asp:ListItem Value="3" Text="rozvedený(á)"></asp:ListItem>
                                                                            <asp:ListItem Value="4" Text="ovdovělý(á)"></asp:ListItem>
                                                                            <asp:ListItem Value="5" Text="partner(ka)"></asp:ListItem>
                                                                        </asp:DropDownList>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                        </td>
                                                        <td valign="top">
                                                            <table>
                                                                <tr>
                                                                    <td colspan="2">
                                                                        <asp:Label ID="lBydlisteNadpis" runat="server" Text="Doručovací adresa" Font-Bold="true"
                                                                            ForeColor="#0066CC"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="L_TrUliceRequired" runat="server" Text="*" ForeColor="Red" Visible="false"></asp:Label>
                                                                        <asp:Label ID="L_TrUlice" runat="server" Text="Ulice"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:TextBox ID="tbTrUlice" runat="server" Text='<%# Bind("pr_ulice") %>' MaxLength="30"
                                                                            Width="200"></asp:TextBox>
                                                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator_TrUlice" runat="server" ErrorMessage="Ulice není vyplněna!"
                                                                            ControlToValidate="tbTrUlice" Display="None" ValidationGroup="ValGroupOsUdaje" Enabled="false"></asp:RequiredFieldValidator>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="Label1" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                                        <asp:Label ID="lTrCislo" runat="server" Text="Číslo"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:TextBox ID="tbTrCislo" runat="server" Text='<%# Bind("pr_cislo") %>' MaxLength="14" CssClass="povinne-pole"></asp:TextBox>
                                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ErrorMessage="Číslo popisné není vyplněno!"
                                                                            ControlToValidate="tbTrCislo" Display="None" ValidationGroup="ValGroupOsUdaje"></asp:RequiredFieldValidator>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="Label2" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                                        <asp:Label ID="lMistoTrv" runat="server" Text="Město / Obec"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:TextBox ID="tbMistoTrv" runat="server" Text='<%# Bind("misto_prech") %>' MaxLength="48"
                                                                            Width="200" CssClass="povinne-pole"></asp:TextBox>
                                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" ErrorMessage="Místo není vyplněno!"
                                                                            ControlToValidate="tbMistoTrv" Display="None" ValidationGroup="ValGroupOsUdaje"></asp:RequiredFieldValidator>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="Label3" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                                        <asp:Label ID="lPSCTrv" runat="server" Text="PSČ"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:TextBox ID="tbPSCTrv" runat="server" Text='<%# Bind("psc_prech") %>' MaxLength="5"
                                                                            Width="80" CssClass="povinne-pole"></asp:TextBox>
                                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator10" runat="server" ErrorMessage="PSČ není vyplněno!"
                                                                            ControlToValidate="tbPSCTrv" Display="None" ValidationGroup="ValGroupOsUdaje"></asp:RequiredFieldValidator>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td colspan="2">
                                                                        <br />
                                                                        <br />
                                                                        <asp:Label ID="lblKontaktyNadpis" runat="server" Text="Kontakty" Font-Bold="true"
                                                                            ForeColor="#0066CC"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="Label29" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                                        <asp:Label ID="lTelefon" runat="server" Text="Telefon"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:TextBox ID="tbTelefon" runat="server" Text='<%# Bind("telefon") %>' MaxLength="50" CssClass="povinne-pole" />
                                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="Telefonní číslo není vyplněno!"
                                                                            ControlToValidate="tbTelefon" Display="None" ValidationGroup="ValGroupOsUdaje"></asp:RequiredFieldValidator>
                                                                        <asp:CompareValidator ID="CompareValidator2" runat="server" ErrorMessage="Telefonní číslo neobsahuje číselnou hodnotu!"
                                                                            ControlToValidate="tbTelefon" Operator="DataTypeCheck" Type="Integer" Display="None"
                                                                            ValidationGroup="ValGroupOsUdaje"></asp:CompareValidator>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="L_EmailRequired" runat="server" Text="*" ForeColor="Red" Visible="false"></asp:Label>
                                                                        <asp:Label ID="L_Email" runat="server" Text="E-mail"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:TextBox ID="tbEmail" runat="server" Text='<%# Bind("email") %>' MaxLength="50"
                                                                            Width="200" />
                                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator_Email" runat="server" ControlToValidate="tbEmail"
                                                                            ErrorMessage="E-mail není vyplněn!" ValidationGroup="ValGroupOsUdaje" Display="Dynamic"
                                                                            Font-Bold="True" Enabled="false"></asp:RequiredFieldValidator>
                                                                        <asp:RegularExpressionValidator ID="RegularExpressionValidator_Email" runat="server"
                                                                            ControlToValidate="tbEmail" ErrorMessage="E-mailová adresa není platná!" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"
                                                                            ValidationGroup="ValGroupOsUdaje" Font-Bold="True" Display="none"></asp:RegularExpressionValidator>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <asp:ValidationSummary ID="ValidationSummaryOsUdaje" runat="server" ValidationGroup="ValGroupOsUdaje" />
                                            </EditItemTemplate>
                                        </asp:FormView>
                                    </td>
                                </tr>
                            </table>
                            <%--                    </asp:Panel>--%>
                        </div>
                    </telerik:RadPageView>
                    <telerik:RadPageView runat="server" ID="RadPageView2">
                        <%--*********************************************************************************************--%>
                        <%--********** 2. Vzdělání **********************************************************************--%>
                        <%--*********************************************************************************************--%>
                        <div>
                            <%--<asp:Panel ID="Panel1" HorizontalAlign="Left" BackColor="#e8f5fe" BorderColor="#064a79"
                            runat="Server" BorderStyle="Solid" BorderWidth="1px" Width="800">--%>
                            <table cellpadding="10">
                                <tr>
                                    <td>
                                        <%--Škola - seznam--%>
                                        <%--==============--%>
                                        <wc:TGridView ID="TGVVzdelani" runat="server" CaptionAlign="Top" OnRowCommand="TGVVzdelani_RowCommand"
                                            OnRowDataBound="TGVVzdelani_RowDataBound" OnSelectedIndexChanged="TGVVzdelani_SelectedIndexChanged"
                                            ShowTitleRow="True" TitleText="Škola" OnRowDeleting="TGVVzdelani_RowDeleting">
                                            <Columns>
                                                <asp:CommandField ShowSelectButton="True" SelectText="Editovat" ShowDeleteButton="True"
                                                    DeleteText="Smazat" />
                                                <asp:BoundField DataField="skola" HeaderText="Název školy" />
                                                <%--<asp:BoundField DataField="obor" HeaderText="Studijní obor" />--%>
                                                <asp:TemplateField HeaderText="Studijní obor">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lObor" runat="server" Text='<%# KSProgram.Ciselniky.CisVzdelani.Obor((string)DataBinder.Eval(Container.DataItem, "obor")) %>'></asp:Label></ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:TemplateField HeaderText="Stupeň">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lStupen" runat="server" Text='<%# KSProgram.Ciselniky.CisVzdelani.Stupen((string)DataBinder.Eval(Container.DataItem, "stupen")) %>'></asp:Label></ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:BoundField DataField="rok_zahaj" HeaderText="Rok zahájení" />
                                                <asp:BoundField DataField="rok_ukonc" HeaderText="Rok ukončení" />
                                            </Columns>
                                        </wc:TGridView>
                                        <asp:LinkButton ID="lbtnVzdelani_insert" Text="Přidat novou školu" runat="server"
                                            OnCommand="lbtnVzdelani_insert_Command" CommandArgument="Insert"></asp:LinkButton>
                                        <%--Škola - detail--%>
                                        <%--==============--%>
                                        <asp:FormView ID="FVSkola" runat="server" DefaultMode="Edit" Visible="false" DataKeyNames="id"
                                            OnItemUpdating="FVSkola_ItemUpdating" OnModeChanging="FVSkola_ModeChanging" OnItemInserting="FVSkola_ItemInserting"
                                            HeaderText="Škola" HeaderStyle-Font-Bold="True">
                                            <EditItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lStupen" runat="server" Text="Stupeň"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlStupen" runat="server" SelectedValue='<%# Bind("stupen") %>'
                                                                DataSourceID="odsStupVzdel" DataTextField="vyznam" DataValueField="stupen">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lObor" runat="server" Text="Obor vzdělání"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlObor" runat="server" SelectedValue='<%# Bind("obor") %>'
                                                                DataSourceID="odsOborVzdel" DataTextField="vyznam" DataValueField="obor">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lSkola" runat="server" Text="Název školy"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbSkola" runat="server" Text='<%# Bind("skola") %>' MaxLength="100"
                                                                Width="500"></asp:TextBox>
                                                            <%--<asp:DropDownList ID="ddSelect" Style="width: 142px" runat="server">
                                                                <asp:ListItem Value="test1">test1</asp:ListItem>
                                                                <asp:ListItem Value="test2">test2</asp:ListItem>
                                                            </asp:DropDownList>--%>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lRokZahaj" runat="server" Text="Rok zahájení"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbRokZahaj" runat="server" Text='<%# Bind("rok_zahaj") %>' Width="60"></asp:TextBox>
                                                            <asp:RangeValidator ID="RVSkola_RokZahaj" runat="server" ControlToValidate="tbRokZahaj"
                                                                Display="None" ErrorMessage="Rok zahájení není platný!" MaximumValue="2200" MinimumValue="1"
                                                                ValidationGroup="ValGroupSkola" Type="Integer"></asp:RangeValidator>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lRokUkonc" runat="server" Text="Rok ukončení"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbRokUkonc" runat="server" Text='<%# Bind("rok_ukonc") %>' Width="60"></asp:TextBox>
                                                            <asp:RangeValidator ID="RVSkola_RokUkonc" runat="server" ControlToValidate="tbRokUkonc"
                                                                Display="None" ErrorMessage="Rok ukončení není platný!" MaximumValue="2200" MinimumValue="1"
                                                                ValidationGroup="ValGroupSkola" Type="Integer"></asp:RangeValidator>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <asp:LinkButton ID="lbtnUpdateSkola" runat="server" Text="Uložit" CommandName="Update"
                                                    ValidationGroup="ValGroupSkola" />
                                                <asp:LinkButton ID="lbtnCancelSkola" runat="server" Text="Zrušit" OnCommand="lbtnCancelSkola_Command"
                                                    CommandName="Cancel" CausesValidation="False" />
                                                <asp:ValidationSummary ID="ValidationSummarySkola" runat="server" ValidationGroup="ValGroupSkola" />
                                            </EditItemTemplate>
                                            <InsertItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lStupen" runat="server" Text="Stupeň"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlStupen" runat="server" SelectedValue='<%# Bind("stupen") %>'
                                                                DataSourceID="odsStupVzdel" DataTextField="vyznam" DataValueField="stupen">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lObor" runat="server" Text="Obor vzdělání"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlObor" runat="server" SelectedValue='<%# Bind("obor") %>'
                                                                DataSourceID="odsOborVzdel" DataTextField="vyznam" DataValueField="obor">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lSkola" runat="server" Text="Název školy"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbSkola" runat="server" Text='<%# Bind("skola") %>' MaxLength="100"
                                                                Width="500"></asp:TextBox>
                                                            <%--<asp:DropDownList ID="ddSelect" Style="width: 142px" runat="server">
                                                                <asp:ListItem Value="test1">test1</asp:ListItem>
                                                                <asp:ListItem Value="test2">test2</asp:ListItem>
                                                            </asp:DropDownList>--%>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lRokZahaj" runat="server" Text="Rok zahájení"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbRokZahaj" runat="server" Text='<%# Bind("rok_zahaj") %>' Width="60"></asp:TextBox>
                                                            <asp:RangeValidator ID="RangeValidator3" runat="server" ControlToValidate="tbRokZahaj"
                                                                Display="None" ErrorMessage="Rok zahájení není platný!" MaximumValue="2200" MinimumValue="1"
                                                                ValidationGroup="ValGroupSkola" Type="Integer"></asp:RangeValidator>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lRokUkonc" runat="server" Text="Rok ukončení"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbRokUkonc" runat="server" Text='<%# Bind("rok_ukonc") %>' Width="60"></asp:TextBox>
                                                            <asp:RangeValidator ID="RVSkola_RokUkonc" runat="server" ControlToValidate="tbRokUkonc"
                                                                Display="None" ErrorMessage="Rok ukončení není platný!" MaximumValue="2200" MinimumValue="1"
                                                                ValidationGroup="ValGroupSkola" Type="Integer"></asp:RangeValidator>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <asp:LinkButton ID="lbtnInsertSkola" runat="server" Text="Vložit" CommandName="Insert"
                                                    ValidationGroup="ValGroupSkola"></asp:LinkButton>
                                                <asp:LinkButton ID="lbtnCancelSkola" runat="server" Text="Zrušit" OnCommand="lbtnCancelSkola_Command"
                                                    CommandName="Cancel" CausesValidation="False"></asp:LinkButton>
                                                <asp:ValidationSummary ID="ValidationSummarySkola" runat="server" ValidationGroup="ValGroupSkola" />
                                            </InsertItemTemplate>
                                            <HeaderStyle Font-Bold="True" />
                                        </asp:FormView>
                                        <br />
                                    </td>
                                </tr>
                            </table>
                            <%--</asp:Panel>--%>
                        </div>
                    </telerik:RadPageView>
                    <telerik:RadPageView runat="server" ID="RadPageView3">
                        <%--*********************************************************************************************--%>
                        <%--********** 3. Praxe *************************************************************************--%>
                        <%--*********************************************************************************************--%>
                        <div>
                            <%--<asp:Panel ID="Panel6" HorizontalAlign="Left" BackColor="#e8f5fe" BorderColor="#064a79"
                            runat="Server" BorderStyle="Solid" BorderWidth="1px" Width="800">--%>
                            <table cellpadding="10">
                                <tr>
                                    <td>
                                        <%--Praxe - seznam--%>
                                        <%--==============--%>
                                        <wc:TGridView ID="TGVPraxe" runat="server" CaptionAlign="Top" ShowFooterWhenEmpty="False"
                                            OnRowCommand="TGVPraxe_RowCommand" OnRowDataBound="TGVPraxe_RowDataBound" OnSelectedIndexChanged="TGVPraxe_SelectedIndexChanged"
                                            ShowTitleRow="True" TitleText="Průběh zaměstnání" OnRowDeleting="TGVPraxe_RowDeleting"
                                            OnDataBinding="TGVPraxe_DataBinding">
                                            <Columns>
                                                <asp:CommandField ShowSelectButton="True" SelectText="Editovat" ShowDeleteButton="True"
                                                    DeleteText="Smazat" />
                                                <asp:BoundField DataField="naz_org" HeaderText="Název organizace" />
                                                <asp:BoundField DataField="pozice" HeaderText="Pracovní místo" />
                                                <asp:TemplateField HeaderText="Profese">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lProfese" runat="server" Text='<%# KSProgram.Ciselniky.CisProfese.ProfeseNazev((string)DataBinder.Eval(Container.DataItem, "profese")) %>'></asp:Label></ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:BoundField DataField="datum_nastupu" HeaderText="Nástup" DataFormatString="{0:M'/'yyyy}" />
                                                <asp:BoundField DataField="datum_ukonc" HeaderText="Ukončení" DataFormatString="{0:M'/'yyyy}" />
                                                <asp:BoundField DataField="mist_vyk_prace" HeaderText="Místo výkonu práce" />
                                            </Columns>
                                        </wc:TGridView>
                                        <asp:LinkButton ID="lbtnPraxe_insert" Text="Přidat nový záznam" runat="server" OnCommand="lbtnPraxe_insert_Command"
                                            CommandArgument="Insert"></asp:LinkButton>
                                        <%--Praxe - detail--%>
                                        <%--==============--%>
                                        <asp:FormView ID="FVPraxe" runat="server" DefaultMode="Edit" Visible="false" DataKeyNames="id"
                                            OnItemUpdating="FVPraxe_ItemUpdating" OnModeChanging="FVPraxe_ModeChanging" OnItemInserting="FVPraxe_ItemInserting"
                                            OnDataBound="FVPraxe_DataBound" HeaderText="Průběh zaměstnání" HeaderStyle-Font-Bold="True">
                                            <EditItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="Label26" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                            <asp:Label ID="lNazOrg" runat="server" Text="Název organizace"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbNazOrg" runat="server" Text='<%# Bind("naz_org") %>' Width="500"
                                                                MaxLength="100" CssClass="povinne-pole"></asp:TextBox>
                                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ErrorMessage="Název organizace není vyplněn!"
                                                                ControlToValidate="tbNazOrg" Display="None" ValidationGroup="ValGroupPraxe"></asp:RequiredFieldValidator>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lPozice" runat="server" Text="Pozice"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbPozice" runat="server" Text='<%# Bind("pozice") %>' Width="500"
                                                                MaxLength="100"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lProfese" runat="server" Text="Profese"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlProfese" runat="server" SelectedValue='<%# Bind("profese") %>'
                                                                DataSourceID="odsProfese" DataTextField="nazev" DataValueField="cislo">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="Label25" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                            <asp:Label ID="lNastup" runat="server" Text="Nástup"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbMesicNastupu" runat="server" Text='<%# Bind("datum_nastupu", "{0:MM}") %>'
                                                                Width="30px" CssClass="povinne-pole"></asp:TextBox>
                                                            <asp:Label ID="lMesicNastupu" runat="server" Text="[měsíc]"></asp:Label>
                                                            &nbsp;
                                                            <asp:TextBox ID="tbRokNastupu" runat="server" Text='<%# Bind("datum_nastupu", "{0:yyyy}") %>'
                                                                Width="60" CssClass="povinne-pole"></asp:TextBox>
                                                            <asp:Label ID="lRokNastupu" runat="server" Text="[rok]"></asp:Label>
                                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ErrorMessage="Měsíc nástupu není vyplněn!"
                                                                ControlToValidate="tbMesicNastupu" Display="None" ValidationGroup="ValGroupPraxe"></asp:RequiredFieldValidator>
                                                            <asp:RangeValidator ID="RangeValidator1" runat="server" ErrorMessage="Není zadán platný měsíc nástupu!"
                                                                ControlToValidate="tbMesicNastupu" MaximumValue="12" MinimumValue="1" Type="Integer"
                                                                Display="None" ValidationGroup="ValGroupPraxe"></asp:RangeValidator>
                                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ErrorMessage="Rok nástupu není vyplněn!"
                                                                ControlToValidate="tbRokNastupu" Display="None" ValidationGroup="ValGroupPraxe"></asp:RequiredFieldValidator>
                                                            <asp:RangeValidator ID="RangeValidator2" runat="server" ErrorMessage="Není zadán platný rok nástupu!"
                                                                ControlToValidate="tbRokNastupu" MinimumValue="1900" Type="Integer" Display="None"
                                                                MaximumValue="2100" ValidationGroup="ValGroupPraxe"></asp:RangeValidator>
                                                            <%--<asp:CustomValidator ID="CustomValidatorMonth" runat="server" ErrorMessage="chyba v měsíci nástupu"
                                                    ControlToValidate="tbMesicNastupu" EnableClientScript="False" OnServerValidate="CustomValidatorMonth_ServerValidate"
                                                    ValidateEmptyText="True" Display="None"></asp:CustomValidator>
                                                <asp:CustomValidator ID="CustomValidatorYear" runat="server" ErrorMessage="chyba v roku nástupu"
                                                    ControlToValidate="tbRokNastupu" EnableClientScript="False" OnServerValidate="CustomValidatorYear_ServerValidate"
                                                    ValidateEmptyText="True"></asp:CustomValidator>--%>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lUkonceni" runat="server" Text="Ukončení"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbMesicUkonc" runat="server" Text='<%# Bind("datum_ukonc", "{0:MM}") %>'
                                                                Width="30"></asp:TextBox>
                                                            <asp:Label ID="lMesicUkonc" runat="server" Text="[měsíc]"></asp:Label>
                                                            &nbsp;
                                                            <asp:TextBox ID="tbRokUkonc" runat="server" Text='<%# Bind("datum_ukonc", "{0:yyyy}") %>'
                                                                Width="60"></asp:TextBox>
                                                            <asp:Label ID="lRokUkonc" runat="server" Text="[rok]"></asp:Label>
                                                            <asp:RangeValidator ID="RangeValidator4" runat="server" ErrorMessage="Není zadán platný měsíc výstupu!"
                                                                ControlToValidate="tbMesicUkonc" MaximumValue="12" MinimumValue="1" Type="Integer"
                                                                Display="None" ValidationGroup="ValGroupPraxe"></asp:RangeValidator>
                                                            <asp:RangeValidator ID="RangeValidator5" runat="server" ErrorMessage="Není zadán platný rok výstupu!"
                                                                ControlToValidate="tbRokUkonc" MaximumValue="2100" MinimumValue="1900" Type="Integer"
                                                                Display="None" ValidationGroup="ValGroupPraxe"></asp:RangeValidator>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lMistVykPrace" runat="server" Text="Místo výkonu práce"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbMistVykPrace" runat="server" Text='<%# Bind("mist_vyk_prace") %>'
                                                                Width="200" MaxLength="30"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <asp:LinkButton ID="lbtnUpdatePraxe" runat="server" Text="Uložit" CommandName="Update"
                                                    ValidationGroup="ValGroupPraxe" />
                                                <asp:LinkButton ID="lbtnCancelPraxe" runat="server" Text="Zrušit" OnCommand="lbtnCancelPraxe_Command"
                                                    CommandName="Cancel" CausesValidation="False" />
                                                <asp:ValidationSummary ID="ValidationSummary1" runat="server" ValidationGroup="ValGroupPraxe" />
                                            </EditItemTemplate>
                                            <InsertItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="Label26" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                            <asp:Label ID="lNazOrg" runat="server" Text="Název organizace"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbNazOrg" runat="server" Text='<%# Bind("naz_org") %>' Width="500"
                                                                MaxLength="100" CssClass="povinne-pole"></asp:TextBox>
                                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ErrorMessage="Název organizace není vyplněn!"
                                                                ControlToValidate="tbNazOrg" Display="None" ValidationGroup="ValGroupPraxe"></asp:RequiredFieldValidator>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lPozice" runat="server" Text="Pozice"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbPozice" runat="server" Text='<%# Bind("pozice") %>' Width="500"
                                                                MaxLength="100"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lProfese" runat="server" Text="Profese"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlProfese" runat="server" SelectedValue='<%# Bind("profese") %>'
                                                                DataSourceID="odsProfese" DataTextField="nazev" DataValueField="cislo">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="Label25" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                            <asp:Label ID="lNastup" runat="server" Text="Nástup"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbMesicNastupu" runat="server" Text='<%# Bind("datum_nastupu", "{0:MM}") %>'
                                                                Width="30px" CssClass="povinne-pole"></asp:TextBox>
                                                            <asp:Label ID="lMesicNastupu" runat="server" Text="[měsíc]"></asp:Label>
                                                            &nbsp;
                                                            <asp:TextBox ID="tbRokNastupu" runat="server" Text='<%# Bind("datum_nastupu", "{0:yyyy}") %>'
                                                                Width="60" CssClass="povinne-pole"></asp:TextBox>
                                                            <asp:Label ID="lRokNastupu" runat="server" Text="[rok]"></asp:Label>
                                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ErrorMessage="Měsíc nástupu není vyplněn!"
                                                                ControlToValidate="tbMesicNastupu" Display="None" ValidationGroup="ValGroupPraxe"></asp:RequiredFieldValidator>
                                                            <asp:RangeValidator ID="RangeValidator1" runat="server" ErrorMessage="Není zadán platný měsíc nástupu!"
                                                                ControlToValidate="tbMesicNastupu" MaximumValue="12" MinimumValue="1" Type="Integer"
                                                                Display="None" ValidationGroup="ValGroupPraxe"></asp:RangeValidator>
                                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ErrorMessage="Rok nástupu není vyplněn!"
                                                                ControlToValidate="tbRokNastupu" Display="None" ValidationGroup="ValGroupPraxe"></asp:RequiredFieldValidator>
                                                            <asp:RangeValidator ID="RangeValidator2" runat="server" ErrorMessage="Není zadán platný rok nástupu!"
                                                                ControlToValidate="tbRokNastupu" MinimumValue="1900" Type="Integer" Display="None"
                                                                MaximumValue="2100" ValidationGroup="ValGroupPraxe"></asp:RangeValidator>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lUkonceni" runat="server" Text="Ukončení"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbMesicUkonc" runat="server" Text='<%# Bind("datum_ukonc", "{0:MM}") %>'
                                                                Width="30"></asp:TextBox>
                                                            <asp:Label ID="lMesicUkonc" runat="server" Text="[měsíc]"></asp:Label>
                                                            &nbsp;
                                                            <asp:TextBox ID="tbRokUkonc" runat="server" Text='<%# Bind("datum_ukonc", "{0:yyyy}") %>'
                                                                Width="60"></asp:TextBox>
                                                            <asp:Label ID="lRokUkonc" runat="server" Text="[rok]"></asp:Label>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lMistVykPrace" runat="server" Text="Místo výkonu práce"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbMistVykPrace" runat="server" Text='<%# Bind("mist_vyk_prace") %>'
                                                                Width="200" MaxLength="30"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <asp:LinkButton ID="lbtnInsertPraxe" runat="server" Text="Vložit" CommandName="Insert"
                                                    ValidationGroup="ValGroupPraxe"></asp:LinkButton>
                                                <asp:LinkButton ID="lbtnCancelPraxe" runat="server" Text="Zrušit" OnCommand="lbtnCancelPraxe_Command"
                                                    CommandName="Cancel" CausesValidation="False"></asp:LinkButton>
                                                <asp:ValidationSummary ID="ValidationSummary1" runat="server" ValidationGroup="ValGroupPraxe" />
                                            </InsertItemTemplate>
                                            <HeaderStyle Font-Bold="True" />
                                        </asp:FormView>
                                    </td>
                                </tr>
                            </table>
                            <%--</asp:Panel>--%>
                        </div>
                    </telerik:RadPageView>
                    <telerik:RadPageView runat="server" ID="RadPageView4">
                        <%--*********************************************************************************************--%>
                        <%--********** 4. Znalosti a dovednosti *********************************************************--%>
                        <%--*********************************************************************************************--%>
                        <div>
                            <%--<asp:Panel ID="Panel7" HorizontalAlign="Left" BackColor="#e8f5fe" BorderColor="#064a79"
                            runat="Server" BorderStyle="Solid" BorderWidth="1px" Width="800">--%>
                            <table cellpadding="10">
                                <tr>
                                    <td>
                                        <%--Jazyky - seznam--%>
                                        <%--===============--%>
                                        <wc:TGridView ID="TGVJazyky" runat="server" CaptionAlign="Top" ShowFooterWhenEmpty="False"
                                            OnRowCommand="TGVJazyky_RowCommand" OnRowDataBound="TGVJazyky_RowDataBound" OnSelectedIndexChanged="TGVJazyky_SelectedIndexChanged"
                                            ShowTitleRow="True" TitleText="Jazykové znalosti" OnRowDeleting="TGVJazyky_RowDeleting">
                                            <Columns>
                                                <asp:CommandField ShowSelectButton="True" SelectText="Editovat" ShowDeleteButton="True"
                                                    DeleteText="Smazat" />
                                                <asp:TemplateField HeaderText="Jazyk">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lJazyk" runat="server" Text='<%# KSProgram.Ciselniky.CisJazyku.JazykNazev((string)DataBinder.Eval(Container.DataItem, "jazyk")) %>'></asp:Label></ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:TemplateField HeaderText="Stupeň">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lStupen" runat="server" Text='<%# KSProgram.Ciselniky.CisJazyku.StupenZnalostiNazev((string)DataBinder.Eval(Container.DataItem, "stupen")) %>'></asp:Label></ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:BoundField HeaderText="Druh zkoušky" DataField="druh_zkousky" />
                                            </Columns>
                                        </wc:TGridView>
                                        <asp:LinkButton ID="lbtnJazykyInsert" Text="Přidat nový záznam" runat="server" OnCommand="lbtnJazykyInsert_Command"
                                            CommandArgument="Insert"></asp:LinkButton>
                                        <%--Jazyky - detail--%>
                                        <%--===============--%>
                                        <asp:FormView ID="FVJazyk" runat="server" DefaultMode="Edit" Visible="false" DataKeyNames="id"
                                            OnItemUpdating="FVJazyk_ItemUpdating" OnModeChanging="FVJazyk_ModeChanging" OnItemInserting="FVJazyk_ItemInserting"
                                            HeaderText="Jazyk" HeaderStyle-Font-Bold="True">
                                            <EditItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lJazyk" runat="server" Text="Jazyk"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlJazyk" runat="server" SelectedValue='<%# Bind("jazyk") %>'
                                                                DataSourceID="odsJazyky" DataTextField="nazev" DataValueField="jazyk">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lStupen" runat="server" Text="Stupeň znalosti"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlStupen" runat="server" SelectedValue='<%# Bind("Stupen") %>'
                                                                DataSourceID="odsStupJazykZnal" DataTextField="vyznam" DataValueField="cislo">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lDruhZkousky" runat="server" Text="Druh zkoušky"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlDruhZkousky" runat="server" SelectedValue='<%# Bind("druh_zkousky")%>'>
                                                                <asp:ListItem Text="kurs" Value="kurs"></asp:ListItem>
                                                                <asp:ListItem Text="maturita" Value="maturita"></asp:ListItem>
                                                                <asp:ListItem Text="státnice" Value="státnice"></asp:ListItem>
                                                                <asp:ListItem Text="jiné" Value="jiné"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <asp:LinkButton ID="lbtnUpdateJazyk" runat="server" Text="Uložit" CommandName="Update" />
                                                <asp:LinkButton ID="lbtnCancelJazyk" runat="server" Text="Zrušit" OnCommand="lbtnCancelJazyk_Command"
                                                    CommandName="Cancel" />
                                            </EditItemTemplate>
                                            <%--<HeaderStyle Font-Bold="True" />--%>
                                            <InsertItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lJazyk" runat="server" Text="Jazyk"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlJazyk" runat="server" SelectedValue='<%# Bind("jazyk") %>'
                                                                DataSourceID="odsJazyky" DataTextField="nazev" DataValueField="jazyk">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lStupen" runat="server" Text="Stupeň znalosti"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlStupen" runat="server" SelectedValue='<%# Bind("stupen") %>'
                                                                DataSourceID="odsStupJazykZnal" DataTextField="vyznam" DataValueField="cislo">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lDruhZkousky" runat="server" Text="Druh zkoušky"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlDruhZkousky" runat="server" SelectedValue='<%# Bind("druh_zkousky")%>'>
                                                                <asp:ListItem Text="kurs" Value="kurs"></asp:ListItem>
                                                                <asp:ListItem Text="maturita" Value="maturita"></asp:ListItem>
                                                                <asp:ListItem Text="státnice" Value="státnice"></asp:ListItem>
                                                                <asp:ListItem Text="jiné" Value="jiné"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <asp:LinkButton ID="lbtnInsertJazyk" runat="server" Text="Vložit" CommandName="Insert"></asp:LinkButton>
                                                <asp:LinkButton ID="lbtnCancel" runat="server" Text="Zrušit" OnCommand="lbtnCancelJazyk_Command"
                                                    CommandName="Cancel"></asp:LinkButton>
                                            </InsertItemTemplate>
                                        </asp:FormView>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%---------- Absolvované kurzy - seznam ------------------------------------------%>
                                        <%--------------------------------------------------------------------------------%>
                                        <wc:TGridView ID="TGVKurzy" runat="server" CaptionAlign="Top" ShowFooterWhenEmpty="False"
                                            ShowTitleRow="True" TitleText="Absolvované kurzy" OnRowCommand="TGVKurzy_RowCommand"
                                            OnRowDataBound="TGVKurzy_RowDataBound" OnSelectedIndexChanged="TGVKurzy_SelectedIndexChanged"
                                            OnRowDeleting="TGVKurzy_RowDeleting">
                                            <Columns>
                                                <asp:CommandField ShowSelectButton="True" SelectText="Editovat" ShowDeleteButton="True"
                                                    DeleteText="Smazat" />
                                                <asp:TemplateField HeaderText="Osvědčení / Kurz">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lCisOsve" runat="server" Text='<%# KSProgram.Ciselniky.CisSkoCisl.TextOsve((string)DataBinder.Eval(Container.DataItem, "cis_osve")) %>'></asp:Label></ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:BoundField DataField="skoleni" HeaderText="Název akce" />
                                                <asp:BoundField DataField="plati_do" HeaderText="Platí do" DataFormatString="{0:d}" />
                                            </Columns>
                                        </wc:TGridView>
                                        <asp:LinkButton ID="lbtnInsertKurz" Text="Přidat nový záznam" runat="server" OnCommand="lbtnInsertKurz_Command"
                                            CommandArgument="Insert"></asp:LinkButton>
                                        <%---------- Absolvované kurzy - detail ------------------------------------------%>
                                        <%--------------------------------------------------------------------------------%>
                                        <asp:FormView ID="FVKurzy" runat="server" DefaultMode="Edit" Visible="false" DataKeyNames="id"
                                            OnItemUpdating="FVKurzy_ItemUpdating" OnModeChanging="FVKurzy_ModeChanging" OnItemInserting="FVKurzy_ItemInserting"
                                            HeaderText="Osvědčení / Kurz" HeaderStyle-Font-Bold="True">
                                            <EditItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lKurz" runat="server" Text="Osvědčení / Kurz"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlKurz" runat="server" SelectedValue='<%# Bind("cis_osve") %>'
                                                                DataSourceID="odsCisOsve" DataTextField="text_osve" DataValueField="cislo">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lNazevAkce" runat="server" Text="Název akce"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbNazevAkce" runat="server" Text='<%# Bind("skoleni") %>' MaxLength="100"
                                                                Width="600"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lPlatiDo" runat="server" Text="Platí do"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <wc:TRadDatePicker runat="server" ID="dpPlatiDo" DbSelectedDate='<%# Bind("plati_do") %>'
                                                                DateInput-MinDate="1.1.1900 0:00:00" MinDate="1.1.1900 0:00:00">
                                                            </wc:TRadDatePicker>
                                                            <td>
                                                            </td>
                                                    </tr>
                                                </table>
                                                <asp:LinkButton ID="lbtnUpdateKurz" runat="server" Text="Uložit" CommandName="Update" />
                                                <asp:LinkButton ID="lbtnCancelKurz" runat="server" Text="Zrušit" OnCommand="lbtnCancelKurz_Command"
                                                    CommandName="Cancel" />
                                            </EditItemTemplate>
                                            <InsertItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lKurz" runat="server" Text="Kurz"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlKurz" runat="server" SelectedValue='<%# Bind("cis_osve") %>'
                                                                DataSourceID="odsCisOsve" DataTextField="text_osve" DataValueField="cislo">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lNazevAkce" runat="server" Text="Název akce"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbNazevAkce" runat="server" Text='<%# Bind("skoleni") %>' MaxLength="100"
                                                                Width="600"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lPlatiDo" runat="server" Text="Platí do"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <wc:TRadDatePicker runat="server" ID="dpPlatiDo" DbSelectedDate='<%# Bind("plati_do") %>'
                                                                DateInput-MinDate="1.1.1900 0:00:00" MinDate="1.1.1900 0:00:00">
                                                            </wc:TRadDatePicker>
                                                            <td>
                                                            </td>
                                                    </tr>
                                                </table>
                                                <asp:LinkButton ID="lbtnInsertKurz" runat="server" Text="Vložit" CommandName="Insert"></asp:LinkButton>
                                                <asp:LinkButton ID="lbtnCancelKurz" runat="server" Text="Zrušit" OnCommand="lbtnCancelKurz_Command"
                                                    CommandName="Cancel"></asp:LinkButton>
                                            </InsertItemTemplate>
                                        </asp:FormView>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%--Řidič--%>
                                        <%--=====--%>
                                        <%--<asp:CheckBox ID="chbRidicB" runat="server" Text="Řidičský průkaz skupiny B" />--%>
                                        <asp:Panel ID="PanelRidicaky" runat="server">
                                            <asp:Label ID="lRidicaky" runat="server" Text="Řidičský průkaz"></asp:Label>
                                            <asp:CheckBox ID="chbRidicA" runat="server" Text="A" />
                                            <asp:CheckBox ID="chbRidicB" runat="server" Text="B" />
                                            <asp:CheckBox ID="chbRidicC" runat="server" Text="C" />
                                            <asp:CheckBox ID="chbRidicD" runat="server" Text="D" />
                                            <asp:CheckBox ID="chbRidicE" runat="server" Text="E" />
                                            <asp:CheckBox ID="chbRidicT" runat="server" Text="T" />
                                        </asp:Panel>
                                    </td>
                                </tr>
                            </table>
                            <%--</asp:Panel>--%>
                        </div>
                    </telerik:RadPageView>
                    <telerik:RadPageView runat="server" ID="RadPageView5">
                        <%--*********************************************************************************************--%>
                        <%--********** 5. Hledaná práce *****************************************************************--%>
                        <%--*********************************************************************************************--%>
                        <div>
                            <%--<asp:Panel ID="PanelHledPrac" HorizontalAlign="Left" BackColor="#e8f5fe" BorderColor="#064a79"
                            runat="Server" BorderStyle="Solid" BorderWidth="1px" Width="800">--%>
                            <table cellpadding="10">
                                <tr>
                                    <td>
                                        <%------------ Hledaná práce - seznam --------------------------------------------%>
                                        <%--------------------------------------------------------------------------------%>
                                        <wc:TGridView ID="TGVHledanaPrace" runat="server" CaptionAlign="Top" ShowFooterWhenEmpty="False"
                                            OnRowCommand="TGVHledanaPrace_RowCommand" OnRowDataBound="TGVHledanaPrace_RowDataBound"
                                            OnSelectedIndexChanged="TGVHledanaPrace_SelectedIndexChanged" ShowTitleRow="True"
                                            TitleText="Hledaná práce" OnRowDeleting="TGVHledanaPrace_RowDeleting" OnDataBinding="TGVHledanaPrace_DataBinding">
                                            <Columns>
                                                <asp:CommandField ShowSelectButton="True" SelectText="Editovat" ShowDeleteButton="True"
                                                    DeleteText="Smazat" />
                                                <asp:TemplateField HeaderText="Profese">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lProfese" runat="server" Text='<%# KSProgram.Ciselniky.CisProfese.ProfeseNazev((string)DataBinder.Eval(Container.DataItem, "profese")) %>'></asp:Label></ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:BoundField HeaderText="Očekávaný plat" DataField="plat" NullDisplayText="0" />
                                            </Columns>
                                        </wc:TGridView>
                                        <asp:LinkButton ID="lbtnInsertHledanaPrace" Text="Přidat nový záznam" runat="server"
                                            OnCommand="lbtnInsertHledanaPrace_Command" CommandArgument="Insert"></asp:LinkButton>
                                        <%---------- Hledaná práce - detail ----------------------------------------------%>
                                        <%--------------------------------------------------------------------------------%>
                                        <asp:FormView ID="FVHledanaPrace" runat="server" DefaultMode="Edit" Visible="false"
                                            DataKeyNames="id" OnItemUpdating="FVHledanaPrace_ItemUpdating" OnModeChanging="FVHledanaPrace_ModeChanging"
                                            OnItemInserting="FVHledanaPrace_ItemInserting" HeaderText="Hledaná práce" HeaderStyle-Font-Bold="True"
                                            OnDataBound="FVHledanaPrace_DataBound">
                                            <%--EDIT--%>
                                            <EditItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lProfeseHP" runat="server" Text="Profese"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlProfeseHP" runat="server" SelectedValue='<%# Bind("profese") %>'
                                                                DataSourceID="odsProfese" DataTextField="nazev" DataValueField="cislo">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lPlat" runat="server" Text="Očekávaný plat"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbPlat" runat="server" Text='<%# Bind("plat") %>' Width="50" MaxLength="7"></asp:TextBox>
                                                            <asp:CompareValidator ID="CompareValidator2" runat="server" ErrorMessage="Pole plat musí obsahovat číselnou hodnotu!"
                                                                ControlToValidate="tbPlat" Operator="DataTypeCheck" Type="Integer" Display="None"
                                                                ValidationGroup="ValGroupHledanaPrace"></asp:CompareValidator>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <asp:ValidationSummary ID="ValSummaryHledanaPrace" runat="server" ValidationGroup="ValGroupHledanaPrace" />
                                                <asp:LinkButton ID="lbtnUpdateHledanaPrace" runat="server" Text="Uložit" CommandName="Update"
                                                    ValidationGroup="ValGroupHledanaPrace" />
                                                <asp:LinkButton ID="lbtnCancelHledanaPrace" runat="server" Text="Zrušit" OnCommand="lbtnCancelHledanaPrace_Command"
                                                    CommandName="Cancel" />
                                            </EditItemTemplate>
                                            <%--INSERT--%>
                                            <HeaderStyle Font-Bold="True" />
                                            <InsertItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lProfeseHP" runat="server" Text="Profese"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlProfeseHP" runat="server" SelectedValue='<%# Bind("profese") %>'
                                                                DataSourceID="odsProfese" DataTextField="nazev" DataValueField="cislo" OnDataBinding="ddlProfeseHP_DataBinding">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lPlat" runat="server" Text="Očekávaný plat"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="tbPlat" runat="server" Text='<%# Bind("plat") %>' Width="50" MaxLength="7"></asp:TextBox>
                                                            <asp:CompareValidator ID="CompareValidator2" runat="server" ErrorMessage="Pole plat musí obsahovat číselnou hodnotu!"
                                                                ControlToValidate="tbPlat" Operator="DataTypeCheck" Type="Integer" Display="None"
                                                                ValidationGroup="ValGroupHledanaPrace"></asp:CompareValidator>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <asp:ValidationSummary ID="ValSummaryHledanaPrace" runat="server" ValidationGroup="ValGroupHledanaPrace" />
                                                <asp:LinkButton ID="lbtnInsertHledanaPrace" runat="server" Text="Vložit" CommandName="Insert"
                                                    ValidationGroup="ValGroupHledanaPrace"></asp:LinkButton>
                                                <asp:LinkButton ID="lbtnCancelHledanaPrace" runat="server" Text="Zrušit" OnCommand="lbtnCancelHledanaPrace_Command"
                                                    CommandName="Cancel"></asp:LinkButton>
                                            </InsertItemTemplate>
                                            <%--<HeaderStyle BackColor="White" Font-Bold="True" />--%>
                                        </asp:FormView>
                                    </td>
                                </tr>
                            </table>
                            <%--</asp:Panel>--%>
                        </div>
                    </telerik:RadPageView>
                    <telerik:RadPageView runat="server" ID="RadPageView6">
                        <%--*********************************************************************************************--%>
                        <%--********** 6. Dokumenty *********************************************************************--%>
                        <%--*********************************************************************************************--%>
                        <div>
                            <%--<asp:Panel ID="PanelDokumenty" HorizontalAlign="Left" BackColor="#e8f5fe" BorderColor="#064a79"
                            runat="Server" BorderStyle="Solid" BorderWidth="1px" Width="800">--%>
                            <table cellpadding="10">
                                <tr>
                                    <td>
                                        <%---------- Dokumenty - seznam --------------------------------------------------%>
                                        <%--------------------------------------------------------------------------------%>
                                        <wc:TGridView ID="TGVDokumenty" runat="server" CaptionAlign="Top" ShowFooterWhenEmpty="False"
                                            OnRowCommand="TGVDokumenty_RowCommand" OnSelectedIndexChanged="TGVDokumenty_SelectedIndexChanged"
                                            ShowTitleRow="True" TitleText="Dokumenty" OnRowDeleting="TGVDokumenty_RowDeleting">
                                            <Columns>
                                                <asp:CommandField ShowDeleteButton="True" DeleteText="Smazat" />
                                                <asp:BoundField HeaderText="Název souboru" DataField="nazev_soubor" />
                                                <asp:TemplateField HeaderText="Typ dokumentu">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lTypDok" runat="server" Text='<%# KSProgram.Ciselniky.CisDruhyDokumentu.DruhNazev((string)DataBinder.Eval(Container.DataItem, "typ_dokumentu")) %>'></asp:Label></ItemTemplate>
                                                </asp:TemplateField>
                                                <%--<asp:BoundField HeaderText="Typ dokumentu" DataField="typ_dokumentu" />--%>
                                            </Columns>
                                        </wc:TGridView>
                                        <asp:LinkButton ID="lbtnInsertDokumenty" Text="Přidat dokument" runat="server" OnCommand="lbtnInsertDokumenty_Command"
                                            CommandArgument="Insert"></asp:LinkButton>
                                        <%---------- Dokumenty - detail --------------------------------------------------%>
                                        <%--------------------------------------------------------------------------------%>
                                        <asp:FormView ID="FVDokumenty" runat="server" DefaultMode="Edit" Visible="true" DataKeyNames="id"
                                            OnItemUpdating="FVDokumenty_ItemUpdating" OnModeChanging="FVDokumenty_ModeChanging"
                                            OnItemInserting="FVDokumenty_ItemInserting" HeaderText="Dokumenty" HeaderStyle-Font-Bold="True">
                                            <%--INSERT--%>
                                            <HeaderStyle Font-Bold="True" />
                                            <InsertItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lStarSoubor" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                            <asp:Label ID="lSoubor" runat="server" Text="Soubor"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:FileUpload ID="FileUploadControl" runat="server" Width="500" />
                                                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorDokumenty" runat="server" ErrorMessage="Soubor není vyplněn!"
                                                                ControlToValidate="FileUploadControl" Display="None" ValidationGroup="ValGroupDokumenty"></asp:RequiredFieldValidator>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lTypDok" runat="server" Text="Typ dokumentu"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlTypDok" runat="server" SelectedValue='<%# Bind("typ_dokumentu") %>'
                                                                DataSourceID="odsDruhyDok" DataTextField="nazev" DataValueField="id">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <asp:LinkButton ID="lbtnInsertDokumenty" runat="server" CommandName="Insert" Text="Vložit">
                                                </asp:LinkButton>
                                                <asp:LinkButton ID="lbtnCancelDokumenty" runat="server" CommandName="Cancel" OnCommand="lbtnCancelDokumenty_Command"
                                                    Text="Zrušit"></asp:LinkButton>
                                                <asp:ValidationSummary ID="ValidationSummaryDokumenty" runat="server" ValidationGroup="ValGroupDokumenty" />
                                            </InsertItemTemplate>
                                        </asp:FormView>
                                    </td>
                                </tr>
                            </table>
                            <%--</asp:Panel>--%>
                        </div>
                    </telerik:RadPageView>
                    <telerik:RadPageView runat="server" ID="RadPageView7">
                    </telerik:RadPageView>
                    <telerik:RadPageView runat="server" ID="RadPageView8">
                        <%--*********************************************************************************************--%>
                        <%--********** 7. Odeslání formuláře ************************************************************--%>
                        <%--*********************************************************************************************--%>
                        <div>
                            <%--<asp:Panel ID="PanelOdeslat" HorizontalAlign="Left" BackColor="#e8f5fe" BorderColor="#064a79"
                            runat="Server" BorderStyle="Solid" BorderWidth="1px" Width="800">--%>
                            <table cellpadding="10">
                                <tr>
                                    <td>
                                        <asp:Panel ID="Panel101" HorizontalAlign="Left" BackColor="#ffffff" BorderColor="#064a79"
                                            runat="Server" BorderStyle="Solid" BorderWidth="1px" Width="100%">
                                            <table cellpadding="10" width="100%">
                                                <tr>
                                                    <td align="justify">
                                                        <asp:Label ID="Label33" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                                        <asp:CheckBox ID="chbSouhlas101" runat="server" Text="" />
                                                        <asp:CustomValidator ID="CustomValidator101" runat="server" ErrorMessage="Údaje nemohou být odeslány bez souhlasu se zpracováním osobních údajů!"
                                                            OnServerValidate="Validate101" ValidationGroup="ValGroup101" ValidateEmptyText="True"
                                                            Display="None"></asp:CustomValidator>
                                                        <asp:Label ID="lSouhlas" runat="server" Text=""></asp:Label>
                                                        <br />
                                                        <br />
                                                        <telerik:RadCaptcha ID="RC_captcha" runat="server" EnableRefreshImage="True" Display="Dynamic"
                                                            ValidatedTextBoxID="tb_captcha" ValidationGroup="ValGroup101">
                                                            <CaptchaImage LineNoise="Extreme" BackgroundColor="White" BackgroundNoise="Extreme"
                                                                TextColor="var(--kscolor1)" FontWarp="Extreme" RenderImageOnly="True" />
                                                        </telerik:RadCaptcha>
                                                        <br />
                                                        <asp:Label ID="l_captcha" runat="server"></asp:Label>
                                                        <asp:TextBox ID="tb_captcha" runat="server" MaxLength="10" />
                                                        <br />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <asp:Button ID="btnOdeslat" Text="Odeslat" runat="server" Visible="True" OnClick="btnOdeslat_Click"
                                                            ValidationGroup="Valid101" />
                                                        <br />
                                                        <br />
                                                        <asp:ValidationSummary ID="ValidSum101" runat="server" ValidationGroup="ValGroup101" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel>
                                    </td>
                                </tr>
                            </table>
                            <%--</asp:Panel>--%>
                        </div>
                    </telerik:RadPageView>
                </telerik:RadMultiPage>
            </asp:Panel>
        </asp:Panel>
        <asp:Panel ID="panelSendOK" runat="Server" Visible="false">
            <asp:Panel ID="pas_1" runat="server" Visible="false">
                <kspwc:TLabel ID="L_SendOK_1" runat="server" Text="" Font-Size="Medium" EnableViewState="True"></kspwc:TLabel>
            </asp:Panel>
            <asp:Panel ID="pas_2" runat="server" Visible="false">
                <table width="700">
                    <tr>
                        <td align="justify">
                            <asp:Label ID="lSendOK" runat="server" Text="" Font-Size="Small" EnableViewState="True"></asp:Label>
                            <asp:Panel ID="panelOdkazy" HorizontalAlign="Left" runat="server" Visible="false">
                                <br />
                                <a href="http://verejna-sprava.kr-moravskoslezsky.cz/zip/vm_prihlaska.odt">Přihláška
                                    k výběrovému řízení ke stažení ve formátu OpenDocument</a> , <a href="http://verejna-sprava.kr-moravskoslezsky.cz/zip/vm_prihlaska.pdf">
                                        přihláška k výběrovému řízení ke stažení ve formátu PDF</a> a <a href="http://verejna-sprava.kr-moravskoslezsky.cz/zip/vm_prihlaska.doc">
                                            přihláška k výběrovému řízení ke stažení ve formátu MS Word</a>
                            </asp:Panel>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
    </div>
</asp:Content>
