﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.Funkce;
using KSProgram;
using Telerik.Web.UI;
using KSProgram.Obecne;
using AjaxControlToolkit;
using System.Data;
using KSProgram.WebControls;
using System.IO;
using System.Web.UI.HtmlControls;
using System.Globalization;
using System.Threading;
using System.Web.Services;
using System.ComponentModel;
using System.Data.SqlClient;
using System.Configuration;
using System.Data.Common;
using System.Text;
using KSProgram.Data;
using KSProgram.Prava;
using System.Web.Security;

namespace KSPortal
{
    public partial class Resp : System.Web.UI.MasterPage
    {
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            //PH 2.12.2015 nastavení asyncTimeOut, pokud není ve web.config použije se nastavení 300 přímo ve stránce
            //------------------------------------------------------------------------------------------------------
            int asyncTimeOut = KSProgram.Funkce.AppConfiguration.GetAppSetting<Int32>("AsyncPostBackTimeout", 0);
            if (asyncTimeOut > 0)
                RadScriptManager1.AsyncPostBackTimeout = asyncTimeOut;
            //------------------------------------------------------------------------------------------------------

            System.Web.Script.Serialization.JavaScriptSerializer serializer = new System.Web.Script.Serialization.JavaScriptSerializer();

            if (!IsPostBack)
            {
                ////MD 19.2.2014 Jméno databázového připojení a přihlašovací jméno uživatele
                //Label dbName = (Label)Panel_zam.FindControl("L_dbName");
                //dbName.Text = Globals.DBName;
                //Label userName = (Label)Panel_zam.FindControl("L_userName");
                //userName.Text = Globals.User;

                // zobrazení loga
                //Image logo = (Image)Panel_zam.FindControl("LogoImage");
                //logo.ImageUrl = Zakaznik.GetLogoUrl(true);

                //TImageButton TIB_logo = (TImageButton)Panel_zam.FindControl("TIB_logo");
                //TIB_logo.ImageUrl = Zakaznik.GetLogoUrl(true);

                //RadBinaryImage TIB_logo = (RadBinaryImage)Panel_zam.FindControl("TIB_logo");
                //TIB_logo.ImageUrl = Zakaznik.GetLogoUrl(true);

                RadButton TIB_logo = (RadButton)Panel_zam.FindControl("TIB_logo");
                TIB_logo.Image.ImageUrl = Zakaznik.GetLogoUrl(true);

                //MiKo nastavení vlaječky

                Image I_flag = (Image)P_flags_m.FindControl("I_Flags");
                I_flag.ImageUrl = "~/ImagesN/flag_" + Thread.CurrentThread.CurrentUICulture.TwoLetterISOLanguageName + "_22x14.png";

                //MD 9.7.2013 zobrazování fotek zaměstnanců
                bool showPhoto = KSProgram.Funkce.AppConfiguration.GetAppSetting<bool>("ShowEmployeePhoto", true);
                RadBinaryImage RBI = (RadBinaryImage)Panel_zam.FindControl("RBI_Photo");
                if (showPhoto)
                {
                    RBI.DataValue = KSProgram.Funkce.Pracovnik.GetPhoto(Globals.OsCislo);
                    RBI.Width = new Unit(34);
                    RBI.Height = new Unit(60);
                    RBI.ResizeMode = BinaryImageResizeMode.Fit;

                    RBI_aktual_zam.DataValue = KSProgram.Funkce.Pracovnik.GetPhoto(Globals.OsCisloAktUser);
                }
                else
                {
                    RBI.Visible = false;
                    RBI_aktual_zam.Visible = false;
                }
                //zobrazení přihlášeného
                if (Globals.OsCisloAktUser < 0)
                {
                    LB_aktual_zam.Text = KSProgram.Globals.User;
                }
                else
                {
                    LB_aktual_zam.Text = KSProgram.Funkce.Pracovnik.CeleJmeno(Globals.OsCisloAktUser, "{jmeno} {prijmeni}");
                }
                // zobrazení jména zaměstnance
                Label oscislo = (Label)Panel_zam.FindControl("ZamOsCislo");
                Label oscislo_m = (Label)Panel_zam.FindControl("ZamOsCislo_m");
                oscislo.Text = KSProgram.Globals.OsCisloPomer.OsCislo.ToString();
                oscislo_m.Text = KSProgram.Globals.OsCisloPomer.OsCislo.ToString();

                Label jmeno = (Label)Panel_zam.FindControl("ZamLabel");
                Label jmeno_m = (Label)Panel_zam.FindControl("ZamLabel_m");
                if (KSProgram.Globals.OsCisloPomer.OsCislo < 0)
                {
                    jmeno.Text = KSProgram.Globals.User;
                    jmeno_m.Text = KSProgram.Globals.User;
                }
                else
                {
                    jmeno.Text = KSProgram.Funkce.Pracovnik.TitulJmenoPrijmeniTitul(KSProgram.Globals.OsCisloPomer.OsCislo);
                    jmeno_m.Text = jmeno.Text;
                }
                //PH 21.1.2014
                //--------------------------------------
                ZobrazZastup();
                //--------------------------------------

                Label misto = (Label)Panel_zam.FindControl("MistLabel");
                Label misto_m = (Label)Panel_zam.FindControl("MistLabel_m");
                misto.Text = KSProgram.Globals.OsCisloPomer.NazevPracmista;
                misto_m.Text = misto.Text;

                // zobrazení databáze
                //RadioButtonList rbl_podnik = (RadioButtonList)Panel_zam.FindControl("RBL_podnik");
                //object o = SessionInfo.GetVariable("ViceIcoInfo");
                //if (o != null)
                //{
                //    StrViceIcoInfo info = (StrViceIcoInfo)SessionInfo.GetVariable("ViceIcoInfo");
                //    //rbl_podnik.SelectedValue = info.IdPodnikuAktZamestnance.ToString();
                //    foreach (RadMenuItem rmi in RadContextMenu1.Items)
                //    {
                //        if (rmi.Value == info.IdPodnikuAktZamestnance.ToString())
                //            rmi.Selected = true;
                //    }
                //}
                // filtr seznamu
                string nast = UserSetting.LoadUserSetting("ksprtl.master", "rbl_master_seznam");
                //if (!string.IsNullOrEmpty(nast))
                //    rbl_master_seznam.SelectedValue = nast;
                switch (nast)
                {
                    case "all": TRB_sz_rb_1.Checked = true; break;
                    case "p": TRB_sz_rb_2.Checked = true; break;
                    case "u": TRB_sz_rb_3.Checked = true; break;
                    default:
                        {
                            TRB_sz_rb_1.Checked = true;
                            UserSetting.SaveUserSetting("ksprtl.master", "rbl_master_seznam", "all");
                            break;
                        }
                }
                string nast3 = UserSetting.LoadUserSetting("Main.Master", "TRB_sz_rb_pomer");
                switch (nast3)
                {
                    case "z": TRB_sz_rb_zam.Checked = true; break;
                    case "p": TRB_sz_rb_pomer.Checked = true; break;
                    default:
                        {
                            TRB_sz_rb_zam.Checked = true;
                            UserSetting.SaveUserSetting("Main.Master", "TRB_sz_rb_pomer", "z");
                            break;
                        }
                }
                string nastF = UserSetting.LoadUserSetting("Main.Master", "TRB_sz_ch");
                switch (nastF)
                {
                    case "True": TRB_sz_ch.Checked = true; break;
                    case "False": TRB_sz_ch.Checked = false; break;
                    default:
                        {
                            TRB_sz_ch.Checked = false;
                            UserSetting.SaveUserSetting("Main.Master", "TRB_sz_ch", "False");
                            break;
                        }
                }

                // naplnění hidden field
                HF_oc_akt_user.Value = Globals.OsCisloAktUser.ToString();
                HF_db_platform_name.Value = DbPlatforma.GetPlatformaString();
                HF_vice_ico.Value = Globals.IsViceIco.ToString();
                HF_sel_os_cislo.Value = Globals.OsCisloPomer.OsCislo.ToString();
                HF_sel_cislo_pom.Value = Globals.OsCisloPomer.CisloPom.ToString();
                HF_sel_cislo_pom_list.Value = serializer.Serialize(Globals.OsCisloPomerSeznam);
            }

            Globals.ListOsCisloPomer new_list = new Globals.ListOsCisloPomer() { };
            new_list.CopyFrom(serializer.Deserialize<List<Globals.OsCislo_Pomer>>(HF_sel_cislo_pom_list.Value));
            Globals.OsCisloPomerSeznam = new_list;

            //HF_reload_SZ.Value = "0";

            string mesName = "";
            CultureInfo dt_info = Thread.CurrentThread.CurrentUICulture;
            foreach (string month in dt_info.DateTimeFormat.MonthNames)
            {
                if (!string.IsNullOrEmpty(month))
                    mesName += "'" + month + "',";
            }
            mesName = mesName.Substring(0, mesName.Length - 1);
            ScriptManager.RegisterClientScriptBlock(this, typeof(Page), "nazev_mesice_pom", "var __cultureInfo2=new Array(" + mesName + ");", true);
            //RadScriptManager.RegisterStartupScript(Page, Page.GetType(), "pgl", "Sys.Application.add_load(function(){{pageLoad();}}, 0);", true);

            // prasistance window se seznamem
            if (!IsPostBack)
            {
                string cookieName = Globals.OsCisloAktUser.ToString() + ";" + Page.AppRelativeVirtualPath;
                RadPersistenceManager_master.StorageProviderKey = cookieName;
                RadPersistenceManager_master.StorageProvider = new DatabaseStorageProvider(cookieName);
                RadPersistenceManager_master.LoadState();
            }
        }

        public void ZobrazZastup()
        {
            Label zastup = (Label)Panel_zam.FindControl("ZastupLabel");
            Label zastup_m = (Label)Panel_zam.FindControl("ZastupLabel_m");
            if (zastup != null)
            {
                if (Globals.Zastupovany == 0) //PR 9.10.2014 -1 nahrazeno za 0 (zaporne jsou externi uziv.)
                {
                    zastup.Text = "";
                    zastup_m.Text = "";
                }
                else
                {
                    zastup.Text = "([%zastupovaný%]:" + Pracovnik.OsCisloPrijmeniJmeno(Globals.Zastupovany) + ")";
                    zastup_m.Text = zastup.Text;
                }
            }
        }

        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);

            System.Web.Script.Serialization.JavaScriptSerializer serializer = new System.Web.Script.Serialization.JavaScriptSerializer();
            HF_sel_cislo_pom_list.Value = serializer.Serialize(Globals.OsCisloPomerSeznam);


            //RadPersistenceManager_master.SaveState();
        }

        //protected void RBL_podnik_SelectedIndexChanged(object sender, EventArgs e)
        //{
        //    int id_podniku = Convert.ToInt32(((RadioButtonList)sender).SelectedValue);

        //    StrViceIcoInfo info = (StrViceIcoInfo)SessionInfo.GetVariable("ViceIcoInfo");
        //    info.IdPodnikuAktZamestnance = id_podniku;
        //    SessionInfo.SetVariable("ViceIcoInfo", info);

        //    List<StrOsCisloPodnik> str = Globals.ViceIcoInfo.OsCislaVPodnicich;
        //    decimal os_cislo = 0;
        //    foreach (StrOsCisloPodnik p in str)
        //    {
        //        if (p.IdPodniku == id_podniku)
        //        {
        //            os_cislo = p.OsCislo;
        //            break;
        //        }
        //    }
        //    Globals.OsCislo = os_cislo;
        //    Globals.OsCisloAktUser = os_cislo;
        //    Globals.ClearRadPrava();
        //    Response.Redirect(Request.RawUrl);
        //}

        //protected void RBL_podnik_DataBound(object sender, EventArgs e)
        //{
        //    RadioButtonList ddl = (RadioButtonList)sender;
        //    Label lab_podnik = (Label)Panel_zam.FindControl("L_podnik");
        //    Panel PCE = (Panel)Panel_zam.FindControl("Panel_pop");
        //    ListItemCollection coll = ddl.Items;
        //    lab_podnik.Text = ddl.SelectedItem == null ? "" : ddl.SelectedItem.Text;
        //    if (coll.Count == 1)
        //    {
        //        PCE.Style.Add(HtmlTextWriterStyle.Display, "none");
        //    }
        //}

        protected void TIB_zpravy_Command(object sender, CommandEventArgs e)
        {
            Response.Redirect(System.Web.HttpRuntime.AppDomainAppVirtualPath + "/Zamestnanec/PrijateZpravy.aspx");
        }

        protected void TIB_home_Command(object sender, CommandEventArgs e)
        {
            //Response.Redirect(System.Web.HttpRuntime.AppDomainAppVirtualPath + "/Default.aspx");
            //PH 13.5.2020
            Response.Redirect(FormsAuthentication.DefaultUrl);
        }

        //protected void RG_sezn_zam_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
        //{
        //    //if (EnableVisibleSeznamZam)
        //    //    ((RadGrid)sender).DataSource = KSProgram.Funkce.Pracovnici.SeznamZam(rbl_master_seznam.SelectedValue);
        //    RG_sezn_zam.AllowCustomPaging = true;
        //    //RG_sezn_zam.VirtualItemCount = 1000;
        //    RG_sezn_zam.DataSource = new List<object>();
        //}

        protected void B_sel_oc_Click(object sender, EventArgs e)
        {
            if (!string.IsNullOrEmpty(HF_sel_os_cislo.Value))
            {
                decimal os_c = Convert.ToDecimal(HF_sel_os_cislo.Value);
                bool isPomer;
                Int16 cis_p = 0;
                try
                {
                    cis_p = Convert.ToInt16(HF_sel_cislo_pom.Value);
                    isPomer = true;
                }
                catch
                {
                    isPomer = false;
                }
                RadkovePrava radPrava = Globals.RadkovePrava;
                if (!isPomer)
                {
                    if (radPrava.OsCislo(os_c))
                    {
                        //if (c < 0)
                        //{
                        //    Prac_pom pp = new Prac_pom();
                        //    pp.Platny_Pomer_Den(os_cislo, DateTime.Today.Date, out cislo_pom);
                        //}
                        OsCisloZmena.Nastavit(this, os_c);
                    }
                }
                else
                {
                    //if (radPrava.OsCislo(os_c))
                    //PH 26.6.2015 práva na poměry   
                    if ((cis_p < 0) && (Globals.RadkovePrava.Parametr == RadpravaParam.PO_POMERECH)) //PH 17.6.2015
                        Prac_pom.Platny_Pomer_Den(true, os_c, DateTime.Now.Date, out cis_p);
                    if (radPrava.OsCislo(os_c, cis_p))
                        OsCisloZmena.Nastavit(this, os_c, cis_p);
                }
            }
            //HF_sel_os_cislo.Value = "";
            //HF_sel_cislo_pom.Value = "";
        }

        protected void RPB_menu_DataBound(object sender, EventArgs e)
        {
            RadPanelBar rpb = (RadPanelBar)sender;
            Label l = (Label)Panel_info.FindControl("L_Menu");
            RadSiteMap map = (RadSiteMap)Panel_info.FindControl("RSM_map");
            if (RadMenu1.SelectedItem != null)
            {
                l.Text = RadMenu1.SelectedItem.Text;
            }
            if (rpb.SelectedItem != null)
            {
                rpb.SelectedItem.Expanded = true;

                RadPanelItem item = rpb.SelectedItem;
                map.Nodes.Insert(0, new RadSiteMapNode(item.Text, item.NavigateUrl));
                while ((item != null) &&
                       (item.Parent.GetType() == typeof(RadPanelItem)))
                {
                    item = (RadPanelItem)item.Parent;
                    map.Nodes.Insert(0, new RadSiteMapNode(item.Text, item.NavigateUrl));
                    item.Expanded = true;
                }
                map.Nodes.Insert(0, new RadSiteMapNode(RadMenu1.SelectedItem.Text, RadMenu1.SelectedItem.NavigateUrl));
            }
        }
        protected void RPB_menu_ItemDataBound(object sender, RadPanelBarEventArgs e)
        {
            String path = HttpContext.Current.Request.Url.LocalPath.Substring(System.Web.HttpRuntime.AppDomainAppVirtualPath.Length + 1);
            RadPanelBar rpb = (RadPanelBar)sender;
            if (e.Item.NavigateUrl == path)
            {
                e.Item.Selected = true;
                e.Item.Expanded = true;
            }
        }

        #region Ukládání state seznamu zaměstnanců
        protected void RadPersistenceManager_master_LoadCustomSettings(object sender, PersistenceManagerLoadStateEventArgs e)
        {
            ((TPage)this.Page).On_LoadCustomSettings(sender, e);
        }

        protected void RadPersistenceManager_master_SaveCustomSettings(object sender, PersistenceManagerSaveStateEventArgs e)
        {
            ((TPage)this.Page).On_SaveCustomSettings(sender, e);
        }
        #endregion

        protected void TIB_logo_Click(object sender, ImageClickEventArgs e)
        {
            OsCisloZmena.Nastavit(this, Globals.OsCisloAktUser);
            //Response.Redirect(System.Web.HttpRuntime.AppDomainAppVirtualPath + "/Default.aspx");
            //PH 13.5.2020
            Response.Redirect(FormsAuthentication.DefaultUrl);
        }

        protected void TIB_logo_Click(object sender, EventArgs e)
        {
            OsCisloZmena.Nastavit(this, Globals.OsCisloAktUser);
            //Response.Redirect(System.Web.HttpRuntime.AppDomainAppVirtualPath + "/Default.aspx");
            //PH 13.5.2020
            Response.Redirect(FormsAuthentication.DefaultUrl);
        }
        protected void LB_aktual_zam_Click(object sender, EventArgs e)
        {
            OsCisloZmena.Nastavit(this, Globals.OsCisloAktUser);
            HF_reload_SZ.Value = "1";
        }

        protected void RCM_podniky_ItemClick(object sender, RadMenuEventArgs e)
        {
            int id_podniku = Convert.ToInt32(e.Item.Value);

            StrViceIcoInfo info = (StrViceIcoInfo)SessionInfo.GetVariable("ViceIcoInfo");
            info.IdPodnikuAktZamestnance = id_podniku;
            SessionInfo.SetVariable("ViceIcoInfo", info);

            List<StrOsCisloPodnik> str = Globals.ViceIcoInfo.OsCislaVPodnicich;
            decimal os_cislo = 0;
            foreach (StrOsCisloPodnik p in str)
            {
                if (p.IdPodniku == id_podniku)
                {
                    os_cislo = p.OsCislo;
                    break;
                }
            }
            Globals.OsCislo = os_cislo;
            Globals.OsCisloAktUser = os_cislo;
            Globals.ClearRadPrava();
            Response.Redirect(Request.RawUrl);
        }

        protected void RCM_podniky_DataBound(object sender, EventArgs e)
        {
            object o = SessionInfo.GetVariable("ViceIcoInfo");
            if (o != null)
            {
                StrViceIcoInfo info = (StrViceIcoInfo)SessionInfo.GetVariable("ViceIcoInfo");
                //rbl_podnik.SelectedValue = info.IdPodnikuAktZamestnance.ToString();
                foreach (RadMenuItem rmi in RCM_podniky.Items)
                {
                    if (rmi.Value == info.IdPodnikuAktZamestnance.ToString())
                    {
                        rmi.Selected = true;
                        break;
                    }
                }
            }

            RadContextMenu ddl = (RadContextMenu)sender;
            Label lab_podnik = (Label)Panel_zam.FindControl("L_podnik");
            lab_podnik.Text = ddl.SelectedItem == null ? "" : ddl.SelectedItem.Text;
            if (ddl.Items.Count == 1)
            {
                ddl.Visible = false;
            }
        }

        protected void TIB_help_Command(object sender, CommandEventArgs e)
        {
            string url = HttpUtility.UrlPathEncode(e.CommandArgument.ToString());
            string script = string.Format("window.open(\"{0}\", \"_blank\");", url);
            ScriptManager.RegisterStartupScript(this.Page, typeof(Page), "Redirect", script, true);
        }

        protected string getCssVar(string var)
        {
            return F_Drawing.GetCssVar(var);
        }
    }
}