﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="Limity.aspx.cs" Inherits="KSPortal.Sestavy.LimitySestava" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <asp:TextBox ID="HF_obdobi" runat="server" CssClass="hidden"></asp:TextBox>
<kspwc:TRadGrid runat="server" ID="RG_lim" AutoGenerateColumns="False" AllowPaging="True"
    AllowSorting="True" OnNeedDataSource="RG_lim_NeedDataSource" PageSize="20" OnItemDataBound="RG_lim_ItemDataBound"
    PovolExport="True" OnItemCreated="RG_lim_ItemCreated">
    <MasterTableView Caption="[%Limity%]" CommandItemDisplay="Top" PageSize="10">
        <CommandItemTemplate>
            <div style="padding: 5px 5px;">
                <table class="poor-table">
                    <tr>
                        <td>
                            [%Období%]:&nbsp;
                        </td>
                        <td style="padding-right: 10px">
                            <kspwc:TRadMonthYearPicker ID="RadMonthYearPicker1" runat="server" AutoPostBack="True"
                                OnSelectedDateChanged="RadMonthYearPicker1_SelectedDateChanged" ShowPopupOnFocus="True">
                            </kspwc:TRadMonthYearPicker>
                        </td>
                        <td style="padding-right: 10px">
                            <wc:TRadButton ID="TRB_ch" runat="server" OnCheckedChanged="TRB_ch_CheckedChanged"
                                Text="[%Filtr%]" ToggleType="CheckBox">
                            </wc:TRadButton>
                        </td>
                        <td style="padding-right: 10px">
                            <wc:TRadButton ID="TRB_rebind" runat="server" CommandName="RebindGrid" Text="[%Obnovit%]">
                            </wc:TRadButton>
                        </td>
                    </tr>
                </table>
            </div>
        </CommandItemTemplate>
        <CommandItemSettings ShowExportToCsvButton="True" ShowExportToExcelButton="True"
            ShowExportToPdfButton="True" ShowExportToWordButton="True" />
        <Columns>
            <telerik:GridNumericColumn DataField="id" DataType="System.Int32" DecimalDigits="0"
                FilterControlAltText="Filter id column" HeaderText="ID" UniqueName="id" FilterControlWidth="50px">
            </telerik:GridNumericColumn>
            <telerik:GridBoundColumn DataField="nazev" FilterControlAltText="Filter nazev column"
                HeaderText="[%Název%]" UniqueName="nazev">
            </telerik:GridBoundColumn>
            <telerik:GridDateTimeColumn DataField="plati_od" DataType="System.DateTime" FilterControlAltText="Filter plati_od column"
                HeaderText="[%Platí od%]" UniqueName="plati_od" DataFormatString="{0:d.M.yyyy}"
                FilterControlWidth="100px">
            </telerik:GridDateTimeColumn>
            <telerik:GridDateTimeColumn DataField="plati_do" DataType="System.DateTime" FilterControlAltText="Filter plati_do column"
                HeaderText="[%Platí do%]" UniqueName="plati_do" DataFormatString="{0:d.M.yyyy}"
                FilterControlWidth="100px">
            </telerik:GridDateTimeColumn>
            <telerik:GridNumericColumn DataField="limit_obd" DataType="System.Int16" DecimalDigits="0"
                FilterControlAltText="Filter limit_obd column" HeaderText="[%Období%]" UniqueName="limit_obd"
                FilterControlWidth="50px">
            </telerik:GridNumericColumn>
            <telerik:GridTemplateColumn HeaderText="[%Jednotka%]" UniqueName="jednotka" AllowFiltering="False">
                <ItemTemplate>
                    <asp:Table ID="Table0" runat="server" CssClass="simple-table">
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="nadpis3 no-borders">[%dny%]:</asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="nadpis3 no-borders">[%hodiny%]:</asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="nadpis3 no-borders">[%částka%]:</asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn DataType="System.Decimal" FilterControlAltText="Filter min_limit column"
                HeaderText="[%Min. limit%]" UniqueName="min_limit" AllowFiltering="False">
                <ItemTemplate>
                    <asp:Table ID="Table1" runat="server" CssClass="simple-table">
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders" Height="16px">
                                <wc:TLabel ID="TLabel1" runat="server" Text='<%# Eval("min_dny") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders" Height="16px">
                                <wc:TLabel ID="TLabel2" runat="server" Text='<%# Eval("min_hod") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders" Height="16px">
                                <wc:TLabel ID="TLabel3" runat="server" Text='<%# Eval("min_castka") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn DataType="System.Decimal" FilterControlAltText="Filter max_limit column"
                HeaderText="[%Max. limit%]" UniqueName="max_limit" AllowFiltering="False">
                <ItemTemplate>
                    <asp:Table ID="Table2" runat="server" CssClass="simple-table">
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders" Height="16px">
                                <wc:TLabel ID="TLabel4" runat="server" Text='<%# Eval("max_dny") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders" Height="16px">
                                <wc:TLabel ID="TLabel5" runat="server" Text='<%# Eval("max_hod") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders" Height="16px">
                                <wc:TLabel ID="TLabel6" runat="server" Text='<%# Eval("max_castka") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn DataType="System.Decimal" FilterControlAltText="Filter cerpano column"
                HeaderText="[%Čerpáno%]" UniqueName="cerpano" AllowFiltering="False">
                <ItemTemplate>
                    <asp:Table ID="Table3" runat="server" CssClass="simple-table">
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders">
                                <wc:TLabel ID="TLabel7" runat="server" Text='<%# Eval("dny") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell ID="TableCell1" runat="server" CssClass="no-borders">
                                <wc:TLabel ID="TLabel8" runat="server" Text='<%# Eval("hodiny") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders">
                                <wc:TLabel ID="TLabel9" runat="server" Text='<%# Eval("castka") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn DataType="System.Decimal" FilterControlAltText="Filter zbyva_do_min column"
                HeaderText="[%Do min. lim. zbývá%]" UniqueName="zbyva_do_min" AllowFiltering="False">
                <ItemTemplate>
                    <asp:Table ID="Table4" runat="server" CssClass="simple-table">
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders">
                                <wc:TLabel ID="TLabel10" runat="server" Text='<%# Eval("zbyva_min_dny") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders">
                                <wc:TLabel ID="TLabel11" runat="server" Text='<%# Eval("zbyva_min_hod") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders">
                                <wc:TLabel ID="TLabel12" runat="server" Text='<%# Eval("zbyva_min_castka") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn DataType="System.Decimal" FilterControlAltText="Filter zbyva_do_max column"
                HeaderText="[%Do max. lim. zbývá%]" UniqueName="zbyva_do_max" AllowFiltering="False">
                <ItemTemplate>
                    <asp:Table ID="Table5" runat="server" CssClass="simple-table">
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders">
                                <wc:TLabel ID="TLabel13" runat="server" Text='<%# Eval("zbyva_max_dny") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders">
                                <wc:TLabel ID="TLabel14" runat="server" Text='<%# Eval("zbyva_max_hod") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow Visible="False">
                            <asp:TableCell CssClass="no-borders">
                                <wc:TLabel ID="TLabel15" runat="server" Text='<%# Eval("zbyva_max_castka") %>'>
                                </wc:TLabel>
                            </asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
        </Columns>
    </MasterTableView>
</kspwc:TRadGrid>

</asp:Content>
