﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using KSProgram;
using System.Diagnostics;
using KSProgram.WebControls;

public partial class Sestavy_MzdRozpocet : TPage
{
    strZaznam sumace = new strZaznam();

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (!IsPostBack)
        {
            VyberRoku1.Rok = Globals.AktObdobi.Year;
        }
    }
    protected void LinkButton1_Command(object sender, CommandEventArgs e)
    {
        if (RadioButtonList1.SelectedIndex < 0) return;
        if (RadioButtonList1.SelectedIndex == 0)
        {
            MultiView1.SetActiveView(View0);
            TGridView0.DataSourceID = "dsSestava0";
            TGridView0.DataBind();
        }
    }


    protected void TGridView0_RowCreated(object sender, GridViewRowEventArgs e)
    {
        //return;

        GridView gv = sender as GridView;

        if (e.Row.RowType == DataControlRowType.Header)
        {
            //inicializuju proměnné
            sumace.zakl = 0;
            sumace.osob = 0;
            sumace.ved = 0;
            sumace.pripl = 0;
            sumace.odm = 0;
            sumace.nahr = 0;
            sumace.kum_rozp = 0;
            sumace.kum_zam = 0;
            sumace.kum_poc = 0;
            sumace.zakl_pr = 0;
            sumace.osob_pr = 0;
            sumace.ved_pr = 0;
            sumace.pripl_pr = 0;
            sumace.odm_pr = 0;
            sumace.nahr_pr = 0;
            sumace.rozp = 0;
            sumace.rozp_sum = 0;


            int cellcount = e.Row.Cells.Count;
            cellcount = 0;
            for (int i = 0; i <= cellcount; i++)
            {
                //if (i == 3 || i==11 || i==12)
                //    e.Row.Cells[i].RowSpan = 2;
                //else if (i==4 || i==5)
                //    e.Row.Cells[i].RowSpan = 1;
                //else
                    //e.Row.Cells[i].RowSpan = 2;
                if (i < 11)
                {
                    e.Row.Cells[i].RowSpan = 2;
                }
            }

            GridViewRow tr = new GridViewRow(0, -1, DataControlRowType.Header, DataControlRowState.Normal);
            for (short i = 0; i <= cellcount; i++)
            {

                if (i == 11)
                {
                    TableCell td = new TableCell();
                    td.Text = "Od počátku roku";
                    td.Attributes.Add("collspan", "2");
                    tr.Cells.Add(td);
                }
                else if (i<11 && i>12)
                {
                    TableCell td = new TableCell();
                    td.Text = i.ToString();
                    //td.Attributes.Add("collspan", "2");
                    tr.Cells.Add(td);
                }
                    /*
                else if (i == 4)
                {
                    TableCell td = new TableCell();
                    td.Text = "z toho";
                    td.Attributes.Add("collspan", "2");
                    tr.Cells.Add(td);
                }
                */
            }
            if (cellcount>0)
            ((Table)gv.Controls[0]).Rows.Add(tr);

           
            
        }
    }
    protected void TGridView0_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            if (DataBinder.Eval(e.Row.DataItem, "poc_zam") != DBNull.Value)
            {
                sumace.poc_zam += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "poc_zam"));
            }
        }
    }

    internal struct strZaznam
    {
        internal decimal poc_zam;
        internal decimal zakl;
        internal decimal osob;
        internal decimal ved;
        internal decimal pripl;
        internal decimal odm;
        internal decimal nahr;
        internal decimal kum_rozp;
        internal decimal kum_zam;
        internal decimal kum_poc;
        internal decimal zakl_pr;
        internal decimal osob_pr;
        internal decimal ved_pr;
        internal decimal pripl_pr;
        internal decimal odm_pr;
        internal decimal nahr_pr;
        internal decimal rozp;
        internal decimal rozp_sum;
    }
}
