﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    Inherits="Sestavy_PlanBOZPZamestnancu" Codebehind="PlanBOZPZamestnancu.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid_sestava">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid_sestava" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>

    <%--<asp:Label ID="Label1" runat="server" Text="[%Plán vzdělávání BOZP%]" CssClass="nadpis1"></asp:Label>--%>


    <kspwc:TRadGrid ID="TRadGrid_sestava" runat="server" ShowGroupPanel="True" AllowPaging="True" 
                         AllowSorting="true" AutoGenerateColumns="false" MasterTableView-Caption="[%Plán vzdělávání BOZP%]"
                        OnNeedDataSource="TRadGrid_sestava_NeedDataSource" AutoFilterControlWidth="false">
            <ClientSettings AllowDragToGroup="True">
            </ClientSettings>
            <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
            <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
            <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
            </ExportSettings>
            <MasterTableView CommandItemDisplay="Top">
                <Columns>
                    <telerik:GridBoundColumn DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" />
                    <telerik:GridBoundColumn DataField="zamestnanec" HeaderText="[%Zaměstnanec%]" SortExpression="zamestnanec" />
                    <telerik:GridBoundColumn DataField="cislo_osvedceni" HeaderText="[%Kód vzd.aktivity%]"
                        SortExpression="cislo_osvedceni" />
                    <telerik:GridBoundColumn DataField="nazev_osvedceni" HeaderText="[%Název vzd. aktivity%]"
                        SortExpression="nazev_osvedceni" />
                    <telerik:GridBoundColumn DataField="opakovat" HeaderText="[%Periodické%]" SortExpression="opakovat" />
                    <telerik:GridBoundColumn DataField="nazev_akce" HeaderText="[%Školící akce%]" 
                        SortExpression="nazev_akce" />
                    <telerik:GridDateTimeColumn DataField="termin_akce" HeaderText="[%Termín akce%]" SortExpression="termin_akce"
                        DataFormatString="{0:d.M.yyyy}" />
                    <telerik:GridDateTimeColumn DataField="predbezny_termin" HeaderText="[%Předběžný termín%]"
                        SortExpression="predbezny_termin" DataFormatString="{0:d.M.yyyy}" />
                </Columns>
                <CommandItemTemplate>
                    <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server">
                    <ExportButton ID="ExportButton1" runat="server" />
                </kspwc:GridCommandItemControl> 
                </CommandItemTemplate>
            </MasterTableView>
        </kspwc:TRadGrid>
</asp:Content>
