﻿using KSProgram;
using KSProgram.LekarskaEvidence;
using KSProgram.WebControls;
using System;
using System.Collections.Specialized;
using System.Data;
using Telerik.Web.UI;

namespace KSPortal.Sestavy
{
    /// <summary>
    /// 
    /// </summary>
    public partial class PlanCelkLekProhl : TPage
    {
        /// <summary>
        /// 
        /// </summary>
        public PlanCelkLekProhl()
        {
            IdPrava = 54;
            EnableVisibleSeznamZam = false;
            this.HelpURL = "L%C3%A9ka%C5%99sk%C3%A1_evidence_%28Zam%C4%9Bstnanci-p%C5%99ehledy%29";
        }
        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
        }

        protected override void Page_PreRenderComplete(object sender, EventArgs e)
        {
            base.Page_PreRenderComplete(sender, e);

      
            //bool cbxVP = false;
            //bool cbxVZBP = false;
            //if ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVP", typeof(TCheckBox)) != null) cbxVP = ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVP", typeof(TCheckBox))).Checked;
            //if ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVZBP", typeof(TCheckBox)) != null) cbxVZBP = ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVZBP", typeof(TCheckBox))).Checked;
            TCheckBox tcbVP = (TCheckBox)TRadGrid1.GetGridCommandItem("cbxVP", typeof(TCheckBox));
            tcbVP.Checked = Convert.ToBoolean(Session["lek_cbxVP"]);
            TCheckBox tcbVZBP = (TCheckBox)TRadGrid1.GetGridCommandItem("cbxVZBP", typeof(TCheckBox));
            tcbVZBP.Checked = Convert.ToBoolean(Session["lek_cbxVZBP"]);
            TCheckBox tcbVzdTel = (TCheckBox)TRadGrid1.GetGridCommandItem("cbxVzdTel", typeof(TCheckBox));
            tcbVzdTel.Checked = Convert.ToBoolean(Session["lek_cbxVzdTel"]);
            TCheckBox tcbVzdNec = (TCheckBox)TRadGrid1.GetGridCommandItem("cbxVzdNec", typeof(TCheckBox));
            tcbVzdNec.Checked = Convert.ToBoolean(Session["lek_cbxVzdNec"]);
            TDropDown tddDddwLekar = (TDropDown)TRadGrid1.GetGridCommandItem("dddwLekar", typeof(TDropDown));
            string lek_tddDddwLekar = Convert.ToString(Session["lek_tddDddwLekar"]);
            if (lek_tddDddwLekar != "") tddDddwLekar.SelectedValue = lek_tddDddwLekar;
 
        }


        protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {

            DataTable data = new DataTable();
            if (IsPostBack)
            {

                string resultString = "";
                string stringFlags = "";

                //if (gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["popis_id"] != DBNull.Value) liPopisId = Convert.ToInt32(gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["popis_id"]);
                bool cbxVP = false;
                bool cbxVZBP = false;
                bool cbxVzdTel = false;
                bool cbxVzdNec = false;
                string tddDddwLekar = "";
                if ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVP", typeof(TCheckBox)) != null) cbxVP = ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVP", typeof(TCheckBox))).Checked;
                if ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVZBP", typeof(TCheckBox)) != null) cbxVZBP = ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVZBP", typeof(TCheckBox))).Checked;
                if ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVzdTel", typeof(TCheckBox)) != null) cbxVzdTel = ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVzdTel", typeof(TCheckBox))).Checked;
                if ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVzdNec", typeof(TCheckBox)) != null) cbxVzdNec = ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVzdNec", typeof(TCheckBox))).Checked;
                if ((TDropDown)((TRadGrid)sender).GetGridCommandItem("dddwLekar", typeof(TDropDown)) != null) tddDddwLekar = ((TDropDown)((TRadGrid)sender).GetGridCommandItem("dddwLekar", typeof(TDropDown))).SelectedValue;

                Session["lek_cbxVP"] = cbxVP.ToString();
                Session["lek_cbxVZBP"] = cbxVZBP.ToString();
                Session["lek_cbxVzdTel"] = cbxVzdTel.ToString();
                Session["lek_cbxVzdNec"] = cbxVzdNec.ToString();
                Session["lek_tddDddwLekar"] = tddDddwLekar.ToString();

                KSProgram.LekarskaEvidence.PlanCelkLekProhl ldsPCLP = new KSProgram.LekarskaEvidence.PlanCelkLekProhl();
               
                ldsPCLP.SetFlags(ref stringFlags, cbxVP, 1);
                ldsPCLP.SetFlags(ref stringFlags, cbxVZBP, 2);
                //**//JednorazoveFunkce tu třeba doplnit bud. změny a vynechání adresy zaměstnavatele
                ldsPCLP.SetFlags(ref stringFlags, false, 3);
                ldsPCLP.SetFlags(ref stringFlags, false, 4);

                DateTime referencniDatum = (DateTime)TRadGrid1.Datum.SelectedDatum;
                data = ldsPCLP.PozadovaneAll(stred.GetStred(), ref resultString, stringFlags, referencniDatum);
                if (resultString.Trim() != "") MessageBox.Alert(this.Page, resultString, WebControlHelper.ZmenaTextu("[%Plán lékařských prohlídek%]"));
            }
            TRadGrid1.DataSource = data;
        }

        protected void trbFormLekar_Click(object sender, EventArgs e)
        {

            //foreach (GridDataItem item in TRadGrid1.SelectedItems.)
            //{
            //    //object ooo = item.GetDataKeyValue("os_cislo");
            //    string sss = "kuk";

            //}

            if (TRadGrid1.SelectedItems.Count > 0)
            {
                GridDataItem item = (GridDataItem)TRadGrid1.SelectedItems[0];

                string osCislo = item.GetDataKeyValue("os_cislo").ToString();
                string cisloPom = item.GetDataKeyValue("cislo_pom").ToString();
                //bool cbxVP = ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVP", typeof(TCheckBox))).Checked;
                //bool cbxVZBP = ((TCheckBox)((TRadGrid)sender).GetGridCommandItem("cbxVZBP", typeof(TCheckBox))).Checked;

                bool cbxVzdTel = ((TCheckBox)TRadGrid1.GetGridCommandItem("cbxVzdTel", typeof(TCheckBox))).Checked;
                bool cbxVzdNec = ((TCheckBox)TRadGrid1.GetGridCommandItem("cbxVzdNec", typeof(TCheckBox))).Checked;
                bool cbxVP = ((TCheckBox)TRadGrid1.GetGridCommandItem("cbxVP", typeof(TCheckBox))).Checked;
                bool cbxVZBP = ((TCheckBox)TRadGrid1.GetGridCommandItem("cbxVZBP", typeof(TCheckBox))).Checked;

                string vybranyLekar = ((TDropDown)TRadGrid1.GetGridCommandItem("dddwLekar", typeof(TDropDown))).SelectedItem == null ? "" : ((TDropDown)TRadGrid1.GetGridCommandItem("dddwLekar", typeof(TDropDown))).SelectedItem.Text;

                string stringFlags = "0000";

                KSProgram.LekarskaEvidence.PlanCelkLekProhl ldsPCLP = new KSProgram.LekarskaEvidence.PlanCelkLekProhl();
                ldsPCLP.SetFlags(ref stringFlags, cbxVP, 1);
                ldsPCLP.SetFlags(ref stringFlags, cbxVZBP, 2);
                //**//JednorazoveFunkce tu třeba doplnit bud.změny a vynechání adresy zaměstnavatele
                ldsPCLP.SetFlags(ref stringFlags, false, 3);
                ldsPCLP.SetFlags(ref stringFlags, false, 4);

                DateTime referencniDatum = (DateTime)TRadGrid1.Datum.SelectedDatum;

                NameValueCollection args = new NameValueCollection();
                args.Add("osCislo", osCislo);
                args.Add("cisloPom", cisloPom);
                args.Add("vzdTel", cbxVzdTel.ToString());
                args.Add("vzdNec", cbxVzdNec.ToString());
                args.Add("vybLek", vybranyLekar);
                args.Add("flags", stringFlags);
                args.Add("referencniDatum", referencniDatum.ToString());

                QueryStringCrypto qc = new QueryStringCrypto();
                qc.CheckSession = true;
                //qc.Redirect("~/Zamestnanec/LekFormProLekare.aspx", args);

                string Url = "~/Zamestnanec/LekFormProLekare.aspx";

                Session["lek_os_cislo"] = osCislo;
                Session["lek_cislo_pom"] = cisloPom;
                Session["lek_vzd_tel"] = cbxVzdTel.ToString();
                Session["lek_vzd_nec"] = cbxVzdNec.ToString();
                Session["lek_vyb_lek"] = vybranyLekar;
                Session["lek_flags"] = stringFlags;
                Session["lek_referencni_datum"] = referencniDatum.ToString();

                PopupParam popup = new PopupParam(this, "Formulář pro lékaře", Url);
                popup.Status = true;
                popup.Toolbar = false;
                popup.Location = true;
                popup.Menubar = true;
                popup.Titulek = Title;
                popup.Height = 1800;
                popup.Width = 1024;
                //PopupParam popup = new PopupParam(this, "Rozdělení přesčasů", @"../sestava.aspx");
                popup.Show();
                //tisk.Print(prListy, false);




            }
            else MessageBox.Alert(this.Page, WebControlHelper.ZmenaTextu("[%Není vybrán žádný zaměstnanec!%]"), WebControlHelper.ZmenaTextu("[%Plán lékařských prohlídek%]"));

        }

        protected void dddwLekar_DataBinding(object sender, EventArgs e)
        {
            DataTable dtbLekar = LekProhlidky.CiselnikLekaru();
            ((TDropDown)sender).DataSource = dtbLekar;
        }



    }
}