﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Sestavy_PomeryPraxeSestava"
    CodeBehind="PomeryPraxeSestava.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadPersistenceManagerProxy runat="server" ID="RPMP">
        <PersistenceSettings>
            <telerik:PersistenceSetting ControlID="RadGrid1" />
        </PersistenceSettings>
    </telerik:RadPersistenceManagerProxy>
    <%--<asp:Label ID="Label2" runat="server" Text="[%Pracovní poměry%]" CssClass="nadpis1"></asp:Label>--%>

    <kspwc:TRadGrid ID="RadGrid1" runat="server" AllowPaging="True" AllowSorting="True" OnNeedDataSource="RadGrid1_NeedDataSource" MasterTableView-Caption="[%Pracovní poměry%]"
        AutoGenerateColumns="False" GroupPanelPosition="Top" ShowGroupPanel="True" EnableHeaderContextMenu="true" EnableHeaderContextAggregatesMenu="true"
        OnItemCommand="RadGrid1_ItemCommand" AutoFilterControlWidth="False" AutoFilterWidth="true"> 
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top" ShowGroupFooter="true" ShowFooter="true">
            <RowIndicatorColumn Visible="False">
            </RowIndicatorColumn>
            <ExpandCollapseColumn Created="True">
            </ExpandCollapseColumn>
            <Columns>
              <kspwc:GridButtonColumnWithFilteringSorting DataTextField="os_cislo" DataType="System.Decimal" Exportable="true"
                    FilterControlAltText="Filter os_cislo column" HeaderText="[%Osobní číslo%]" UniqueName="os_cislo"
                    CommandName="selectZam" DataField="os_cislo" SortExpression="os_cislo">
                </kspwc:GridButtonColumnWithFilteringSorting>
                <telerik:GridNumericColumn DataField="cislo_pom" DataType="System.Int16" FilterControlAltText="Filter cislo_pom column" HeaderTooltip="[%Číslo poměru%]"
                    HeaderText="[%Č.P.%]" SortExpression="cislo_pom" UniqueName="cislo_pom">
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="zamestnanec" FilterControlAltText="Filter zamestnanec column"
                    HeaderText="[%Zaměstnanec%]" SortExpression="zamestnanec" UniqueName="zamestnanec">
                    <ItemStyle Wrap="False" />
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="kmen_str" HeaderText="[%Kmen. stř.%]" SortExpression="kmen_str" HeaderTooltip="[%Kmenové středisko%]"
                    FilterControlAltText="Filter kmen_str column" UniqueName="kmen_str">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="prac_str" HeaderText="[%Prac. stř.%]" SortExpression="prac_str" HeaderTooltip="[%Pracovní středisko%]"
                    FilterControlAltText="Filter prac_str column" UniqueName="prac_str">
                </telerik:GridBoundColumn>
                <telerik:GridNumericColumn DataField="pr_kat" HeaderText="[%Prac. kat.%]" SortExpression="pr_kat" HeaderTooltip="[%Pracovní kategorie%]"
                    FilterControlAltText="Filter pr_kat column" UniqueName="pr_kat">
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="druh_pom" HeaderText="[%Druh p.p.%]" SortExpression="druh_pom" HeaderTooltip="[%Druh pracovního poměru%]"
                    FilterControlAltText="Filter druh_pom column" UniqueName="druh_pom">
                    <ItemStyle Wrap="False" />
                </telerik:GridBoundColumn>
                <telerik:GridCheckBoxColumn DataField="mes" UniqueName="mes" DataType="System.Boolean" HeaderText="[%MES%]" HeaderTooltip="[%Mimoevidenční stav%]"
                    SortExpression="mes"></telerik:GridCheckBoxColumn>
                <telerik:GridBoundColumn DataField="prac_misto" HeaderText="[%Prac. místo%]" SortExpression="prac_misto" HeaderTooltip="[%Pracovní místo%]"
                    FilterControlAltText="Filter prac_misto column" UniqueName="prac_misto">
                </telerik:GridBoundColumn>
                <telerik:GridNumericColumn DataField="hod_uvazek" HeaderText="[%Hod. úvazek%]" SortExpression="hod_uvazek" HeaderTooltip="[%Hodinový úvazek%]"
                    FilterControlAltText="Filter hod_uvazek column" UniqueName="hod_uvazek" DataType="System.Decimal">
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="zap_praxe" HeaderText="[%Zap. praxe%]" SortExpression="zap_praxe" 
                    FilterControlAltText="Filter zap_praxe column" UniqueName="zap_praxe">
                </telerik:GridBoundColumn>
                <telerik:GridDateTimeColumn DataField="zap_praxe_od" HeaderText="[%Zap. praxe od%]"
                    SortExpression="zap_praxe_od" FilterControlAltText="Filter zap_praxe_od column"
                    UniqueName="zap_praxe_od" DataFormatString="{0:d}">
                </telerik:GridDateTimeColumn>
                <telerik:GridDateTimeColumn DataField="zvys_ps" HeaderText="[%Vyšší stupeň%]" SortExpression="zvys_ps"
                    FilterControlAltText="Filter zvys_ps column" UniqueName="zvys_ps" DataFormatString="{0:d}">
                </telerik:GridDateTimeColumn>
                <telerik:GridDateTimeColumn DataField="datum_nastupu" HeaderText="[%Dat. nástupu%]"
                    SortExpression="datum_nastupu" FilterControlAltText="Filter datum_nastupu column"
                    UniqueName="datum_nastupu" DataFormatString="{0:d}" DataType="System.DateTime">
                </telerik:GridDateTimeColumn>
                <telerik:GridDateTimeColumn DataField="zk_doba" HeaderText="[%Zkušební doba%]"
                    SortExpression="zk_doba" FilterControlAltText="Filter zk_doba column"
                    UniqueName="zk_doba" DataFormatString="{0:d}" DataType="System.DateTime">
                </telerik:GridDateTimeColumn>
                <telerik:GridDateTimeColumn DataField="datum_ukonc" HeaderText="[%Dat. ukonč.%]"
                    SortExpression="datum_ukonc" FilterControlAltText="Filter datum_ukonc column"
                    UniqueName="datum_ukonc" DataFormatString="{0:d}" DataType="System.DateTime">
                </telerik:GridDateTimeColumn>
                <telerik:GridDateTimeColumn DataField="datum_plan_odchodu" HeaderText="[%Dat. plán. odch.%]"
                    SortExpression="datum_plan_odchodu" FilterControlAltText="Filter datum_plan_odchodu column"
                    UniqueName="datum_plan_odchodu" DataFormatString="{0:d}" DataType="System.DateTime" Visible="false">
                </telerik:GridDateTimeColumn>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" PracPomeryComboBox-Visible="true">
                    <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelBIFFItem="true" ShowExportToExcelHtmlItem="false"/>
                    <PrimiPodrizeniButton ID="PrimiPodrizeniButton1" runat="server" Visible="true"></PrimiPodrizeniButton>
                    <PracPomeryComboBox runat="server" AutoPostBack="true"></PracPomeryComboBox>
                    <StrediskaComboBox runat="server" Visible="false"></StrediskaComboBox>
                    <BezMESButton runat="server" Visible="true" AutoPostBack="true"></BezMESButton>
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
