﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="Pomucky_Vydejka.aspx.cs" Inherits="Sestavy_Pomucky_Vydejka" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>


<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../css/ksPrint.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .nadpis-bold {
            font-weight: bold;
        }

            .nadpis-bold > td {
                border: 1px solid black !important;
            }

        .k-pdf-export .nadpis-bold {
            font-weight: normal;
            font-family: Segoe UI Bold !important;
        }

        .ksLegendWrapper {
            text-align: center;
            padding-top: 15px;
        }

            .ksLegendWrapper div {
                display: inline-grid;
            }

        .ksLegend {
            background-color: white;
            color: black;
            display: inline-block !important;
            *display: inline !important;
            zoom: 1;
            padding: 0px 5px 20px 5px;
        }

            .ksLegend div {
                display: inline-block;
                *display: inline;
                zoom: 1;
                margin: 0px 5px;
                height: 20px;
            }

                .ksLegend div div {
                    width: 10px;
                    height: 10px;
                    vertical-align: -1px;
                    _vertical-align: middle;
                }

        .ksLegendKomp {
            background-color: white;
            color: black;
            display: block !important;
            *display: inline;
            zoom: 1;
            padding: 0px 5px 20px 5px;
            text-align: left;
        }

            .ksLegendKomp div {
                text-align: center;
            }

                .ksLegendKomp div div {
                    display: inline-block;
                    *display: inline;
                    zoom: 1;
                    margin: 0px 5px;
                    height: 20px;
                    text-align: left;
                }

                    .ksLegendKomp div div div {
                        width: 17px;
                        height: 17px;
                        vertical-align: -1px;
                        _vertical-align: middle;
                        display: inline-block;
                        text-align: center;
                    }

        .ksLegendSelected {
            font-weight: bold;
        }

        .ksChart {
        }

        .HodnCile_footer {
            font-size: larger !important;
        }

        .HodnCile_footer, .HodnCile_item > td {
            font-weight: bold !important;
            background-color: lightgray !important;
        }

        .HodnCile_header a {
        }

        .HodnCile_detail_header a {
            font-weight: normal !important;
        }

        .ksPrint .rgCaption {
            display: none !important;
        }

        .k-pdf-export .HodnCile_footer,
        .k-pdf-export .HodnCile_item > td,
        .k-pdf-export .HodnCile_header a {
            font-weight: normal !important;
            font-family: Segoe UI Bold !important;
        }

        .HodnCile_detail_textRow {
            width: 250px !important;
        }

        table.theme_gridview {
            border: 1px solid black !important;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript" id="telerikClientEvents1">
            //<![CDATA[

            

            function exportToPdf(sender, args) {
                var cem = $find("<%=RadClientExportManager1.ClientID%>");
                var printPanel = $telerik.$(".printPanel");
                var blocks = $telerik.$(".pageBreakInsideAvoid");

                var top = printPanel[0].offsetTop;
                var width = printPanel[0].offsetWidth;

                for (var i in blocks) {
                    var blok = blocks[i];

                    if (((blok.offsetTop + blok.offsetHeight - top) / width) > (460 / 374)) {
                        top = blok.offsetTop;
                        blok.classList.add("pageBreak");
                    }
                }
                cem.exportPDF($telerik.$(".printPanel"));
            }

            function tiskWindow(sender, args) {
                window.print();
            }

                       //]]>
        </script>
    </telerik:RadScriptBlock>
    
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings> 
            <telerik:AjaxSetting AjaxControlID="chckBoxSeznameni">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="potvrzeniPodpis" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>

    <telerik:RadClientExportManager ID="RadClientExportManager1" runat="server">
        <PdfSettings PageBreakSelector=".pageBreak"  MarginRight="10mm"
            MarginBottom="15mm" MarginTop="15mm" MarginLeft="10mm" PaperSize="A3" />
    </telerik:RadClientExportManager>
    <telerik:RadButton ID="RB_Print" runat="server" Text="[%Tisk%]" CssClass="tiskHide"
        AutoPostBack="False" OnClientClicked="tiskWindow">
    </telerik:RadButton>
    <telerik:RadButton ID="RB_Pdf" runat="server" Text="[%Export do PDF%]" CssClass="tiskHide"
        AutoPostBack="False" OnClientClicked="exportToPdf" Visible="false">
    </telerik:RadButton>
    <kspwc:TCheckBox CssClass="tiskHide" ID="chckBoxSeznameni" runat="server" OnCheckedChanged="chckBoxSeznameni_CheckedChanged" Text="[%Potvrzení%]" AutoPostBack="true"/>
    <asp:Panel ID="PanelPrint" runat="server" CssClass="printPanel " Width="20.75cm">
        <asp:ObjectDataSource ID="DS_hlavicka" runat="server" OldValuesParameterFormatString="original_{0}"
            SelectMethod="HlavickaSestava" TypeName="KSProgram.Personal.PracovniPomucky"></asp:ObjectDataSource>
        <div class="pageBreakInsideAvoid">
            <asp:FormView ID="Hlavicka_sestava" runat="server" DataSourceID="DS_hlavicka" Width="100%">
                <ItemTemplate>
                    <table style="border-color: #000000; border-collapse: collapse; border-style: solid; border-width: 0px"
                        width="100%">
                        <tr style="border-color: #000000; border-collapse: collapse; border-style: solid; border-width: 1px">
                            <td style="padding: 5px; border-color: #000000; border-collapse: collapse; border-style: solid; border-width: 1px">
                                <asp:Image ID="I_logo" runat="server" />
                            </td>
                            <td style="padding: 5px; background-color: #C0C0C0; width: 100%;" align="center">
                                <asp:Label ID="LabelNazevAkce" runat="server" CssClass="nadpis-bold" Font-Size="Large"
                                    Text="[%Výdejka%]"></asp:Label><br />
                                <asp:Label ID="LabelDbNazevAkce" runat="server" CssClass="nadpis-bold" Font-Size="Larger"
                                    Text="[%Vydané pracovní pomůcky%]"></asp:Label>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <table style="border-color: #000000; border-collapse: collapse; border-style: solid; border-width: 1px"
                        width="100%">
                        <tr style="border-color: #000000; border-collapse: collapse; border-style: solid; border-width: 1px">
                            <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelJmeno" runat="server" Text="[%Jméno zaměstnance%]: "></asp:Label>
                            </td>
                            <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelDbJmeno" runat="server" CssClass="nadpis-bold" Font-Size="Larger" Text='<%# Eval("jmeno") %>'></asp:Label>
                            </td>
                            <td style="padding: 5px; border-left-style: solid; border-left-width: 1px; border-left-color: #000000; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelOsCislo" runat="server" Text="[%Os. číslo%]: "></asp:Label>
                            </td>
                            <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelDbOsCislo" runat="server" Text='<%# Bind("osCislo") %>'></asp:Label>
                            </td>
                        </tr>
                        <tr style="border-color: #000000; border-collapse: collapse; border-style: solid; border-width: 1px">
                            <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelNazevMista" runat="server" Text="[%Název pracovního místa%]: "></asp:Label>
                            </td>
                            <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelDbNazevMista" runat="server" Text='<%# Bind("pracMisto") %>'></asp:Label>
                            </td>
                            <td style="padding: 5px; border-left-style: solid; border-left-width: 1px; border-left-color: #000000; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelCisloMista" runat="server" Text="[%Číslo pr. místa%]: "></asp:Label>
                            </td>
                            <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelDbCisloMista" runat="server" Text='<%# Bind("cisPracMista") %>'></asp:Label>
                            </td>
                        </tr>
                        <tr style="border-color: #000000; border-collapse: collapse; border-style: solid; border-width: thin">
                            <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelOdbor" runat="server" Text="[%Středisko%]: "></asp:Label>
                            </td>
                            <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelDbOdbor" runat="server" Text='<%# Bind("stredisko") %>'></asp:Label>
                            </td>
                            <td style="padding: 5px; border-left-style: solid; border-left-width: 1px; border-left-color: #000000; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="L_druh_pom" runat="server" Text="[%Číslo poměru%]: "></asp:Label>
                            </td>
                            <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="L_druh_pom_val" runat="server" Text='<%# Bind("cisPomeru") %>'></asp:Label>
                            </td>
                        </tr>
                        <tr style="border-color: #000000; border-collapse: collapse; border-style: solid; border-width: thin">
                            <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelObdobi" runat="server" Text="[%Datum vystavení%]: "></asp:Label>
                            </td>
                            <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                <asp:Label ID="LabelDbObdobiOd" runat="server" Text='<%# Eval("datum", "{0:d}") %>'></asp:Label>

                                <td style="padding: 5px; border-left-style: solid; border-left-width: 1px; border-left-color: #000000; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                    <asp:Label ID="Label1" runat="server" Text=""></asp:Label>
                                </td>
                                <td style="padding: 5px; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000;">
                                    <asp:Label ID="Label2" runat="server" Text=""></asp:Label>
                        </tr>
                    </table>
                </ItemTemplate>
            </asp:FormView>
            <br />
        </div>


        <div runat="server" id="DIV_kom">
            <div class="pageBreakInsideAvoid">
                <table style="border-collapse: collapse; border-style: none;" width="100%">
                    <tr style="border-collapse: collapse; border-style: none; border-width: 0px">
                        <td style="background-color: #C0C0C0" align="left">
                            <asp:Label ID="LabelNadpisKompetence" runat="server" CssClass="nadpis-bold" Font-Size="Larger"
                                Text="[%Seznam pomůcek%]"></asp:Label><br />
                        </td>
                    </tr>
                </table>
                
            </div>
        </div>
        <br />

        <wc:TGridView ID="TGV_pomucky" runat="server" Width="100%" AllowSorting="False" DataSourceID="PomuckySestava" >
            <Columns>
                <asp:BoundField DataField="pomucka" HeaderText="[%Pomůcka%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="jednotka" HeaderText="[%MJ%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="pocet" HeaderText="[%Množství%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="dat_vyd" HeaderText="[%Dat.vyd.%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="dat_vrac" HeaderText="[%Dat.vrac.%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="sklad" HeaderText="[%Sklad%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="vel1" HeaderText="[%Vel.%]1" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="vel2" HeaderText="[%Vel.%]2" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="inv_cislo" HeaderText="[%Inv. č.%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="vyr_cislo" HeaderText="[%Výr. č.%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                                <asp:BoundField DataField="cena" HeaderText="[%Cena%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black" Visible="false">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                 <asp:BoundField DataField="znacka" HeaderText="[%Značka%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black" Visible="false">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
                 <asp:BoundField DataField="model" HeaderText="[%Model%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black" Visible="false">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>             
                 <asp:BoundField DataField="pomu_pozn" HeaderText="[%Pozn.%]" HeaderStyle-HorizontalAlign="Left"
                    ItemStyle-BackColor="White" ItemStyle-BorderColor="Black" ItemStyle-BorderStyle="Solid"
                    ItemStyle-BorderWidth="1px" ItemStyle-ForeColor="Black" HeaderStyle-BorderColor="Black"
                    HeaderStyle-BorderWidth="1px" HeaderStyle-ForeColor="Black" FooterStyle-BorderColor="Black"
                    FooterStyle-BorderStyle="Solid" FooterStyle-BorderWidth="1px" FooterStyle-ForeColor="Black" Visible="false">
                    <FooterStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" ForeColor="Black"></FooterStyle>
                    <HeaderStyle CssClass="nadpis-bold" BackColor="LightGray" HorizontalAlign="Left" BorderColor="Black" BorderWidth="1px"
                        ForeColor="Black"></HeaderStyle>
                    <ItemStyle BackColor="White" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                        ForeColor="Black"></ItemStyle>
                </asp:BoundField>
            </Columns>
            <TitleRowStyle BackColor="LightGray" BorderColor="Black" BorderWidth="1px" BorderStyle="Solid"
                CssClass="nadpis-bold" Font-Size="13px" ForeColor="Black" />
            <FooterStyle BackColor="LightGray" />
        </wc:TGridView>
        <asp:ObjectDataSource ID="PomuckySestava" runat="server" OldValuesParameterFormatString="original_{0}"
            SelectMethod="PomuckySestava" TypeName="KSProgram.Personal.PracovniPomucky"></asp:ObjectDataSource>

        <br />
        <div runat="server" id="DIV_podpis" class="pageBreakInsideAvoid">
            <table style="border: 1px solid #000000; border-collapse: collapse;" width="100%">
                <tr style="border-color: #000000; border-collapse: collapse; border-style: solid; border-width: thin">
                    <td style="padding: 5px">
                        <asp:Label ID="LabelPodpisHodnoceneho" runat="server" Text="[%Datum a podpis zaměstnance%]:"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
                <br />
        <asp:Label runat="server" ID="potvrzeniPodpis" Text=""></asp:Label>
    </asp:Panel>
</asp:Content>
