﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using System.Data;
using KSProgram.Data;
using KSProgram.WebControlsAlone;

namespace KSPortal.Sestavy
{
    public partial class Sestavy_PrehledOdmen : TPage
    {
        //StrZaznam _sumacePodnik;
        //StrZaznam _sumaceStr;

        /// <summary>
        /// Konstruktor
        /// </summary>
        public Sestavy_PrehledOdmen()
        {
            IdPrava = 165;
        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
            //_sumaceStr = new StrZaznam();
            //_sumacePodnik = new StrZaznam();

            if (!Page.IsPostBack)
            {
                DateTime AktObdobi = Globals.AktObdobi;

                OdObdobi.SetDefaultObdobi(AktObdobi);
                OdObdobi.SetMaxObdobi(AktObdobi);

                DoObdobi.SetDefaultObdobi(AktObdobi);
                DoObdobi.SetMaxObdobi(AktObdobi);
                //DoObdobi.SetMinObdobi(AktObdobi);
            }
        }

        protected void TLinkButton1_Command(object sender, CommandEventArgs e)
        {
            TRadGrid1.Rebind();
        }

        protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            DataTable data = new DataTable();
            DateTime datOd = OdObdobi.SelectedValue;
            DateTime datDo = DoObdobi.SelectedValue;

            if (Page.IsPostBack)
            {
                KSProgram.Sestavy.DefSestavy_PrehledOdmen_kuzlin PrehledOdmen = new KSProgram.Sestavy.DefSestavy_PrehledOdmen_kuzlin();
                string osCisla; // = "";
                bool jeVyuctovani = false;

                if (datDo < Globals.AktObdobi) { jeVyuctovani = true; } // MZ 12.5.2014 Pokud načítám sestavu za předchozí období, nemusí se kontrolovat vyúčtování.

                if (!jeVyuctovani)
                {
                    jeVyuctovani = PrehledOdmen.JeProvedenoVyuctovani(datOd, datDo, out osCisla);
                }

                if (jeVyuctovani)
                {
                    data = PrehledOdmen.Retrieve(datOd, datDo);
                }
                else
                {
                    //MessageBox.Alert(Page, "Dosud nebylo provedeno vyúčtování všech zaměstnanců! Sestava nebude načtena! " + osCisla);
                    MessageBox.Alert(Page, "Dosud nebylo provedeno vyúčtování všech zaměstnanců! Sestava nebude načtena!");
                }
            }
            TRadGrid1.DataSource = data;
        }

        protected void DoObdobi_Click(object sender, EventArgs e)
        {
            //OdObdobi.SetMaxObdobi(DoObdobi.SelectedValue);
        }

        protected void OdObdobi_Click(object sender, EventArgs e)
        {
            //DoObdobi.SetMinObdobi(OdObdobi.SelectedValue);
        }
    }

    //struct StrZaznam
    //{
    //    public Decimal Jubileum;
    //    public Decimal Odmena;
    //}
}