﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using KSProgram.WebControls;
using Telerik.Web.UI;

namespace KSPortal.Sestavy
{
    public partial class SouhrnOdmen : TPage
    {
        public SouhrnOdmen()
        {
            IdPrava = 279;
        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
            if (!IsPostBack)
            {
                Obdobi.SelectedDate = Globals.AktObdobi;
            }
        }

        protected void gv_odmeny_DataBound(object sender, EventArgs e)
        {
            lab_nadpis.Text = WebControlHelper.ZmenaTextu("[%Požadavky na odměny%] ") + ((DateTime)Obdobi.SelectedDate).ToString("MMMM yyyy");
        }

        protected void gv_odmeny_ItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
        {
            if (e.Item is GridGroupFooterItem)
            {
                GridGroupFooterItem footer = (GridGroupFooterItem)e.Item;
                foreach (TableCell c in footer.Cells)
                    c.Style.Add("font-weight", "bold");    
              
                //doplnění textu do footeru
                //-----------------------------------------
                //get the footer cell:
                var os_cisloNumberCell = (e.Item as GridGroupFooterItem)["col_os_cislo"];
                os_cisloNumberCell.Style.Add(HtmlTextWriterStyle.WhiteSpace, "nowrap");
                //os_cisloNumberCell.ColumnSpan = 3;
                //find the group header for the current group:
                var headerItem = gv_odmeny.MasterTableView.GetItems(GridItemType.GroupHeader)
                    .Where(i => i.GroupIndex == e.Item.GroupIndex).First() as GridGroupHeaderItem;

                string groupHeaderText = headerItem.DataCell.Text;                
                os_cisloNumberCell.Text = groupHeaderText;
                //---------------------------------------
            }
            else if (e.Item is GridFooterItem)
            {
                GridFooterItem footer = (GridFooterItem)e.Item;
                (e.Item as GridFooterItem)["col_os_cislo"].Text = "[%Podnik celkem%]";
            }
        }
    }
}