﻿using System;

using System.Web.UI.WebControls;
using KSProgram.WebControls;
using Telerik.Web.UI;
using System.Data;
using Telerik.Web.UI.GridExcelBuilder;
using System.Globalization;
using System.Text;
using KSProgram.Obecne;
using System.Collections.Specialized;
using KSProgram;
using KSProgram.Extensions;

public partial class Sestavy_TelSeznam : TPage
{
    private string TelKamDB
    {
        get
        {
            return ObjSetting.LoadBlobValue(Globals.OsCisloAktUser, "~/Sestavy/TelSeznam.aspx", "TRCB_tel_kam");
        }
        set
        {
            ObjSetting.SaveBlobValue(Globals.OsCisloAktUser, "~/Sestavy/TelSeznam.aspx", "TRCB_tel_kam", value);
        }
    }
    private string tel_kam
    {
        get
        {
            object o = ViewState["tel_kam"];
            if (o == null)
                o = string.Empty;
            return (string)o;
        }
        set
        {
            ViewState["tel_kam"] = value;
        }
    }
    private KSProgram.Sestavy.DefSestavy_TelSeznam _sestava { get; set; }
    private KSProgram.Sestavy.DefSestavy_TelSeznam sestava
    {
        get
        {
            if(_sestava == null)
            {
                _sestava = new KSProgram.Sestavy.DefSestavy_TelSeznam();
                _sestava.InitKontakty();
            }
            return _sestava;
        }
    }
    //private string prijmeni;
    //private string jmeno;
    //private bool archiv;
    //private bool mimoevid;

    public Sestavy_TelSeznam()
    {
        this.IdPrava = 91;
        this.ContentHorizontalAlign = HorizontalAlign.Left;
        this.HelpURL = "Kontakty_zam%C4%9Bstnanc%C5%AF_%28Zam%C4%9Bstnanci-p%C5%99ehledy%29";
        this.VerzeStranky = "2";
        this.AutomatickyUlozitNastaveni = true;
    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (!IsPostBack)
        {
            //FiltrHiddenField.Value = bool.FalseString;

            //pokud se najde v session tato hodnota tak je vyplní
            //if (SessionInfo.GetVariable("KontaktyJmenoPSearch") != null)
            //{ 
            //    TTB_prijmeni.Text = (string)SessionInfo.GetVariable("KontaktyJmenoPSearch");
            //    SessionInfo.RemoveVariable("KontaktyJmenoPSearch");
            //}
        }
    }
    internal override void On_LoadCustomSettings(object sender, PersistenceManagerLoadStateEventArgs e)
    {
        base.On_LoadCustomSettings(sender, e);
        tel_kam = TelKamDB;
    }
    internal override void On_SaveCustomSettings(object sender, PersistenceManagerSaveStateEventArgs e)
    {
        base.On_SaveCustomSettings(sender, e);
        TelKamDB = tel_kam;
    }

    //protected override void OnPreInit(EventArgs e)
    //{
    //    //base.MasterPageFile = "~/Resp.Master";
    //    base.OnPreInit(e);
    //}

    //protected override void OnPreRender(EventArgs e)
    //{
    //    base.OnPreRender(e);


    //}

    //protected void Repeater1_ItemDataBound(object sender, RepeaterItemEventArgs e)
    //{
    //    Repeater rep = (Repeater)sender;
    //    RepeaterItem i = (RepeaterItem)e.Item;
    //    if (i.ItemType == ListItemType.Item || i.ItemType == ListItemType.AlternatingItem)
    //    {
    //        HiddenField hf = (HiddenField)i.FindControl("HiddenField1");
    //        hf.Value = ((System.Data.DataRowView)i.DataItem).Row["tel_kam"].ToString();

    //        TRadButton trb = (TRadButton)i.FindControl("RadButton1");
    //        trb.Text = WebControlHelper.ZmenaTextu("[%" + hf.Value + "%]");
    //    }
    //}

    protected void TRCB_tel_kam_ItemDataBound(object sender, RadComboBoxItemEventArgs e)
    {
        e.Item.Text = WebControlHelper.ZmenaTextu("[%" + e.Item.Value + "%]");
        e.Item.Checked = tel_kam.Contains(e.Item.Value + ",");
    }

    //protected void TButton1_Click(object sender, EventArgs e)
    //{

    //    //(string tel_kam, string prijmeni, string jmeno, bool archiv, bool mimoevid)
    //    RadGrid1.Rebind();
    //}

    private void nactiFiltr()
    {
        
        //foreach (RepeaterItem i in Repeater1.Items)
        //{
        //    //TCheckBox tch = (TCheckBox)i.FindControl("TCheckBox1");
        //    HiddenField hf = (HiddenField)i.FindControl("HiddenField1");
        //    TRadButton trb = (TRadButton)i.FindControl("RadButton1");
        //    //if (tch.Checked)
        //    if (trb.Checked)
        //        tel_kam += hf.Value.Trim() + ",";
        //}
        TRadComboBox TRCB_tel_kam = (TRadComboBox)RadGrid1.FindControl("TRCB_tel_kam");
        TRCB_tel_kam = (TRadComboBox)WebControlHelper.FindControlRecursive(RadGrid1, "TRCB_tel_kam", typeof(TRadComboBox));
        if (TRCB_tel_kam != null)
        {
            tel_kam = string.Empty;
            foreach (RadComboBoxItem i in TRCB_tel_kam.CheckedItems)
            {
                tel_kam += i.Value.Trim() + ",";
            }
        }
        //prijmeni = TTB_prijmeni.Text.Trim();
        //jmeno = TTB_jmeno.Text.Trim();
        //archiv = TCB_archiv.Checked;
        //mimoevid = TCB_mimoevid.Checked;
    }

    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        //prijmeni = TTB_prijmeni.Text.Trim();
        //jmeno = TTB_jmeno.Text.Trim();
        //archiv = TCB_archiv.Checked;
        //mimoevid = TCB_mimoevid.Checked;
        //tel_kam = string.Empty;
        //pokud jsou zobrazeny filtry tak se filtruje dle nastavení filtru
        //if ( Boolean.Parse(FiltrHiddenField.Value) )
        nactiFiltr();
        //object obj = WebControlHelper.FindControlRecursive(Page, "TRBFiltr", typeof(TRadButton));

        KSProgram.Sestavy.DefSestavy_TelSeznam sest = sestava;

        //DataTable seznam = sest.Retrieve(tel_kam, prijmeni, jmeno, archiv, mimoevid);
        DataTable seznam = sest.Retrieve(tel_kam, /*prijmeni*/"", /*jmeno*/"", !Globals.VyjmoutMimoevStav, !Globals.VyjmoutMimoevStav);
        
        RadGrid1.MasterTableView.GetColumn("email").HeaderText = ReadGlobalResource.ZmenaTextu("[%" + sest.Nejcastejsi_typ_emailu + "%]");
        RadGrid1.MasterTableView.GetColumn("telefon").HeaderText = ReadGlobalResource.ZmenaTextu("[%" + sest.Nejcastejsi_typ_telefonu + "%]");

        ((TRadGrid)sender).MasterTableView.GetColumn("foto").Visible = KSProgram.Funkce.Pracovnik.ShowPhoto();

        ((TRadGrid)sender).DataSource = seznam;
    }


    protected void RadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (e.CommandName == TRadGrid.ExpandCollapseCommandName && e.Item is GridDataItem)
        {
            ((GridDataItem)e.Item).ChildItem.FindControl("InnerContainer").Visible =
                !e.Item.Expanded;
            if(e.Item.Expanded == false)
            {
                decimal os_cislo = (decimal)((GridDataItem)e.Item).GetDataKeyValue("os_cislo");
                //nastavení obrazku uzivatele
                RadBinaryImage img = (RadBinaryImage)((GridDataItem)e.Item).ChildItem.FindControl("RadBinaryImage1");
                if (img != null && KSProgram.Funkce.Pracovnik.ShowPhoto())
                {
                    img.DataValue = KSProgram.Funkce.Pracovnik.GetPhoto(os_cislo);
                }

                string str = sestava.GetMeCard(os_cislo);

                //nastavení QR codu typu MeCard
                RadBarcode barcodeMeCard = (RadBarcode)((GridDataItem)e.Item).ChildItem.FindControl("RadBarcodeMeCard");
                barcodeMeCard.Text = str;
                barcodeMeCard.OutputType = BarcodeOutputType.EmbeddedPNG;

                //nastavení QR codu typu VCard
                str = sestava.GetVCard(os_cislo);
                RadBarcode barcodeVCard = (RadBarcode)((GridDataItem)e.Item).ChildItem.FindControl("RadBarcodeVCard");
                barcodeVCard.Text = str;
                barcodeVCard.OutputType = BarcodeOutputType.EmbeddedPNG;

                Repeater rep = (Repeater)((GridDataItem)e.Item).ChildItem.FindControl("rep_test");
                rep.DataSourceID = "ObjectDataSource2";
            }
            else
            {
                Repeater rep = (Repeater)((GridDataItem)e.Item).ChildItem.FindControl("rep_test");
                rep.DataSourceID = "";
            }
        }

        if (e.CommandName == RadGrid.ExpandCollapseCommandName)
        {
            foreach (GridItem item in e.Item.OwnerTableView.Items)
            {
                if (item.Expanded && item != e.Item)
                {
                    item.Expanded = false;
                }
            }
        }
    }

    protected void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
    {

        if (e.Item is GridNestedViewItem)
        {

            e.Item.Expanded = true;
            e.Item.FindControl("InnerContainer").Visible = ((GridNestedViewItem)e.Item).ParentItem.Expanded;
            decimal os_cislo = (decimal)((GridDataItem)((GridNestedViewItem)e.Item).ParentItem).GetDataKeyValue("os_cislo");

            //nastavení zdroje pro detail kontaktu v repeatru
            ObjectDataSource ds = (ObjectDataSource)((GridNestedViewItem)e.Item).FindControl("ObjectDataSource2");
            ds.SelectParameters["os_cislo"].DefaultValue = os_cislo.ToString();
            ds.SelectParameters["tel_kam"].DefaultValue = tel_kam;

            ////nastavení obrazku uzivatele
            //RadBinaryImage img = (RadBinaryImage)((GridNestedViewItem)e.Item).FindControl("RadBinaryImage1");
            ////bool showPhoto = KSProgram.Funkce.AppConfiguration.GetAppSetting<bool>("ShowEmployeePhoto", true);
            //if (img != null && showPhoto)
            //{
            //    img.DataValue = KSProgram.Funkce.Pracovnik.GetPhoto(os_cislo);
            //    //img.Width = new Unit(63);
            //    //img.Height = new Unit(95);
            //    //img.ResizeMode = BinaryImageResizeMode.Fit;
            //    img.Visible = true;
            //}
            //string str = sestava.GetMeCard(os_cislo);

            ////nastavení QR codu typu MeCard
            //RadBarcode barcodeMeCard = (RadBarcode)((GridNestedViewItem)e.Item).FindControl("RadBarcodeMeCard");
            //barcodeMeCard.Text = str;
            //barcodeMeCard.OutputType = BarcodeOutputType.EmbeddedPNG;

            ////nastavení QR codu typu VCard
            //str = sestava.GetVCard(os_cislo);
            //RadBarcode barcodeVCard = (RadBarcode)((GridNestedViewItem)e.Item).FindControl("RadBarcodeVCard");
            //barcodeVCard.Text = str;
            //barcodeVCard.OutputType = BarcodeOutputType.EmbeddedPNG;
        }
    }

    protected void vCard_button_Click(object sender, EventArgs e)
    {
        decimal os_cislo = Decimal.Parse(((TRadButton)sender).CommandArgument);
        string name = RemoveDiacritics(KSProgram.Funkce.Pracovnik.CeleJmeno(os_cislo, "{jmeno}-{prijmeni}.vcf"));
        //zjištění jestli se jedná o windowsy nebo něco jiného. 
        bool windows = false;
        if (Request.UserAgent.ToLower().Contains("windows"))
            windows = true;
        
        byte[] vcard = sestava.GetBinaryVCard(os_cislo, windows);
        KSProgram.Attachment.Send(Page, name, vcard);
        
    }


    /// <summary>
    /// odstaraneni diakritiky ze stringu
    /// </summary>
    /// <param name="text"></param>
    /// <returns></returns>
    static string RemoveDiacritics(string text)
    {
        var normalizedString = text.Normalize(NormalizationForm.FormD);
        var stringBuilder = new StringBuilder();

        foreach (var c in normalizedString)
        {
            var unicodeCategory = CharUnicodeInfo.GetUnicodeCategory(c);
            if (unicodeCategory != UnicodeCategory.NonSpacingMark)
            {
                stringBuilder.Append(c);
            }
        }

        return stringBuilder.ToString().Normalize(NormalizationForm.FormC);
    }


    /// <summary>
    /// uprava exportu doplneni tel cisel
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void RadGrid1_ExcelMLExportRowCreated(object sender, GridExportExcelMLRowCreatedArgs e)
    {
        if (e.Worksheet.Table.Rows.Count > 1)
        {
            if (e.Row.Cells[1].Data.DataItem is decimal)
            {
                decimal os_cislo = (decimal)e.Row.Cells[1].Data.DataItem;
                RowElement row = new RowElement();
                e.Row.Cells[0].Data.DataItem = "";

                //tel_kam = string.Empty;
                //pokud jsou zobrazeny filtry tak se filtruje dle nastavení filtru
                //if (Boolean.Parse(FiltrHiddenField.Value))
                nactiFiltr();
                DataTable kontakty = sestava.Kontakty(os_cislo, tel_kam, true);

                CellElement cell = new CellElement();

                foreach (DataRow rowData in kontakty.Rows)
                {
                    row = new RowElement();
                    //pridani prazdné bunky
                    cell = new CellElement();
                    cell.Data.DataItem = "";
                    row.Cells.Add(cell);
                    cell = new CellElement();
                    cell.Data.DataItem = "";
                    row.Cells.Add(cell);
                    cell = new CellElement();
                    cell.Data.DataItem = rowData[0].ToString();
                    row.Cells.Add(cell);
                    cell = new CellElement();
                    cell.Data.DataItem = rowData[1].ToString();
                    row.Cells.Add(cell);
                    e.Worksheet.Table.Rows.Add(row);

                }
                //pridani prazdneho radku
                row = new RowElement();
                e.Worksheet.Table.Rows.Add(row);
            }

        }
    }

    ///// <summary>
    ///// složí pro nastavení stavu tlačítka, jelikož je v template a neuchovává se jeho stav a je ho třeba uchovat ručně, při page load
    ///// se nastaví filr na false, takže se podle nej nefiltroje (krom jména a stavů), do hiddne fieldu se uloží false, pak kdyz se na 
    ///// stránce klikne na filtr, tak se zobrazi /schová a stav se zapíše do hidenfieldu.  Podle nej se pak pri novem vytvárení nastaví stav tlačítka.
    ///// A při zízkávání dat se podle něj řídí jestli se má filtrovat podle toho filtru nebo ne
    ///// </summary>
    ///// <param name="sender"></param>
    ///// <param name="e"></param>
    //protected void TRBFiltr_DataBinding(object sender, EventArgs e)
    //{
    //    ((TRadButton)sender).Checked = Boolean.Parse(FiltrHiddenField.Value);
    //}

    protected void portalMSG_button_Click(object sender, EventArgs e)
    {
        TRadButton button = (TRadButton)sender;
        if (String.IsNullOrWhiteSpace(button.CommandArgument))
            return;
        string url = "/Zamestnanec/PrijateZpravy.aspx";
        NameValueCollection collection = new NameValueCollection();
        collection.Add("os_cislo", button.CommandArgument);
        QueryStringCrypto ht = new QueryStringCrypto();
        url = ht.AddEncryptQuery(url, collection);
        Response.Redirect(System.Web.HttpRuntime.AppDomainAppVirtualPath + url);
    }
}
