﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using KSProgram.VyberovaRizeni;

public partial class Sestavy_VybrizEtapaHodnoceni : TPopUpPage // MZ 17.2.2016 Změna z TPage na TPopUpPage.
{
    private Int32 _sumBody;

    protected override void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Int32 ID_vr = 0;
            Int32 ID_etapy = 0;
            string etapa = "";
            string vr = "";

            base.Page_Load(sender, e);
            object obj = Page.Session["idEtapy"];
            //if (ID_etapy == 0) { ID_etapy = Convert.ToInt32(Page.Session["idEtapy"]); } MZ 12.8.2008
            ID_etapy = Convert.ToInt32(obj);
            if (obj != null)
            {
                if (ID_etapy > 0)
                {
                    ID_vr = VyberovaRizeni.IdEtapyNaIdVR(ID_etapy);

                    vr = VyberovaRizeni.NazevVR(ID_vr);
                    etapa = VyberovaRizeni.NazevEtapy(ID_etapy);

                    dsUchazeci.SelectParameters["id_etapy"].DefaultValue = ID_etapy.ToString();
                }
            }
            lb_VR.Text = vr;
            lb_Etapa.Text = etapa;
            Page.Session.Remove("idEtapy");
        }
    }
    //protected void TGridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    //{
    //    if (e.Row.RowType == DataControlRowType.DataRow)
    //    {
    //        ObjectDataSource s = (ObjectDataSource)e.Row.FindControl("dsHodnoceni");
    //        s.SelectParameters["id_etapy"].DefaultValue = dsUchazeci.SelectParameters["id_etapy"].DefaultValue;
    //        s.SelectParameters["evCislo"].DefaultValue = Convert.ToString(DataBinder.Eval(e.Row.DataItem, "ev_cislo"));
    //    }

    //}
    protected void TGridView2_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            Int32 body = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "body"));
            _sumBody += body;
        }

        if (e.Row.RowType == DataControlRowType.Footer)
        {
            ((Label)e.Row.Cells[1].FindControl("Label_FooterBody")).Text = _sumBody.ToString();
        }
    }
    protected void TGridView2_DataBound(object sender, EventArgs e)
    {
        // Vynulování záznamu o sumaci
        _sumBody = 0;
    }

    protected void TGridView2_RowDataBound1(object sender, GridViewRowEventArgs e)
    {

    }

    protected void TGridView2_DataBound1(object sender, EventArgs e)
    {

    }
    //protected void LinkButton1_Click(object sender, EventArgs e)
    //{
    //    Int32 idEtapy = Convert.ToInt32(dsUchazeci.SelectParameters["id_etapy"].DefaultValue);
    //    Int32 idVr = VyberovaRizeni.IdEtapyNaIdVR(idEtapy);
    //    Response.Redirect("~/Pis/VyberovaRizeni.aspx");
    //}
}
