﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Sestavy_ZkracenaMzdovaStatistika" CodeBehind="ZkracenaMzdovaStatistika.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>
<%@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" TagPrefix="cc2" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">


    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>

    <%--<asp:Label ID="Label1" runat="server" Text="[%Zkrácená mzdová statistika%]" CssClass="nadpis1"></asp:Label>--%>

<%--    <table>
        <tr>
            <td>
                <kspwc:TRadButton ID="RadButton1" runat="server" Text="[%Celkem%]" ButtonType="ToggleButton"
                    GroupName="pomery" ToggleType="Radio" Checked="True" AutoPostBack="false" Value="celkovou">
                </kspwc:TRadButton>
            </td>
            <td>
                <kspwc:TRadButton ID="RadButton2" runat="server" Text="[%Po střediscích%]" ButtonType="ToggleButton"
                    GroupName="pomery" ToggleType="Radio" AutoPostBack="false" Value="strediska">
                </kspwc:TRadButton>
            </td>
            <td>
                <kspwc:TRadButton ID="TRadButton3" runat="server" Text="[%Po divizích%]" ButtonType="ToggleButton"
                    GroupName="pomery" ToggleType="Radio" AutoPostBack="false" Value="divize">
                </kspwc:TRadButton>
            </td>
            <td>
                <kspwc:TRadButton ID="TRadButton4" runat="server" Text="[%Po skupinách středisek%]" ButtonType="ToggleButton"
                    GroupName="pomery" ToggleType="Radio" AutoPostBack="false" Value="skupiny">
                </kspwc:TRadButton>
            </td>
        </tr>
    </table>--%>


    <kspwc:TRadGrid  ID="RadGrid1" runat="server" ShowStatusBar="true" AutoGenerateColumns="False" ExportSettings-ExportOnlyData="false"
        AllowSorting="True" AllowMultiRowSelection="False" AllowPaging="false" ExportSettings-IgnorePaging="true" MasterTableView-Caption="[%Zkrácená mzdová statistika%]"
        OnDetailTableDataBind="RadGrid1_DetailTableDataBind" OnNeedDataSource="RadGrid1_NeedDataSource" ShowHeader="false" ShowFooter="true" OnItemDataBound="RadGrid1_ItemDataBound"
        OnExcelMLExportRowCreated="RadGrid1_ExcelMLExportRowCreated" OnExcelMLExportStylesCreated="RadGrid1_ExcelMLExportStylesCreated">
        <PagerStyle Mode="NumericPages"></PagerStyle>
        <ExportSettings ExportOnlyData="true" Excel-Format="ExcelML" />
        <MasterTableView AllowMultiColumnSorting="True" DataKeyNames="cislo" HierarchyDefaultExpanded="true" CommandItemDisplay="Top">
            <DetailTables>
                <telerik:GridTableView Name="detail" Width="100%" AllowPaging="false" ShowFooter="true" ShowHeader="true" EditFormSettings-EditColumn-Exportable="true">
                    <Columns>
                        <telerik:GridNumericColumn DataField="kod" UniqueName="kod" DataType="System.Int32" HeaderText="[%Kód%]" ItemStyle-Width="30"></telerik:GridNumericColumn>
                        <telerik:GridBoundColumn DataField="vyznam" UniqueName="vyznam" DataType="System.String" HeaderText="[%Význam%]" ItemStyle-Width="90"></telerik:GridBoundColumn>
                        <telerik:GridNumericColumn DataField="pocet" UniqueName="pocet" DataType="System.Int32" HeaderText="[%Počet%]" ItemStyle-Width="40" Aggregate="Sum" DataFormatString="{0:D}" FooterAggregateFormatString="{0:D}" ItemStyle-HorizontalAlign="Right" FooterStyle-HorizontalAlign="Right"></telerik:GridNumericColumn>
                        <telerik:GridNumericColumn DataField="dny" UniqueName="dny" DataType="System.Decimal" HeaderText="[%Dny%]" ItemStyle-Width="40" Aggregate="Sum" DataFormatString="{0:N}" FooterAggregateFormatString="{0:N}"  ItemStyle-HorizontalAlign="Right"  FooterStyle-HorizontalAlign="Right"></telerik:GridNumericColumn>
                        <telerik:GridNumericColumn DataField="hodiny" UniqueName="hodiny" DataType="System.Decimal" HeaderText="[%Hodiny%]" ItemStyle-Width="40" Aggregate="Sum" DataFormatString="{0:N}" FooterAggregateFormatString="{0:N}"  ItemStyle-HorizontalAlign="Right"  FooterStyle-HorizontalAlign="Right"></telerik:GridNumericColumn>
                        <telerik:GridNumericColumn DataField="castka" UniqueName="castka" DataType="System.Decimal" HeaderText="[%Částka%]" ItemStyle-Width="40" Aggregate="Sum" DataFormatString="{0:N}" FooterAggregateFormatString="{0:N}"  ItemStyle-HorizontalAlign="Right"  FooterStyle-HorizontalAlign="Right"></telerik:GridNumericColumn>
                    </Columns>
                </telerik:GridTableView>
            </DetailTables>
            <Columns>

                <telerik:GridTemplateColumn UniqueName="Template1" DataField="cely_nazev">
                    <ItemTemplate>
                        <asp:Label runat="server" ID="TextBox1" Text='<% #Eval("cely_nazev") %>'></asp:Label>
                    </ItemTemplate>
                    <FooterTemplate>
                        <table style="width:100%;margin:0 0 0 0;">
                            <tbody>
                                <tr class="rgRow" >
                                    <td style="width: 30px;"></td>
                                    <td style="width: 80px;">
                                        <asp:Label ID="LabelVyznam" runat="server" Text="[%Podnik celkem%]"></asp:Label>
                                    </td>
                                    <td style="width: 40px; text-align:right;">                                   
                                        <asp:Label ID="LabelPocet" runat="server" Text=""></asp:Label>
                                    </td>
                                    <td style="width: 40px; text-align:right;">
                                        <asp:Label ID="LabelDny" runat="server" Text=""></asp:Label>
                                    </td>
                                    <td style="width: 40px;  text-align:right;">
                                        <asp:Label ID="LabelHodiny" runat="server" Text="" ></asp:Label>
                                    </td>
                                    <td style="width: 40px;  text-align:right;">
                                        <asp:Label ID="LabelCastka" runat="server" Text=""></asp:Label>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </FooterTemplate>
                </telerik:GridTemplateColumn>
            </Columns>

            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" FilterButton-Visible="False" DateControl="TRadObdobiInterval">
                    <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelHtmlItem="true" ShowExportToExcelMLItem="true" ShowExportToWordItem="True" ShowExportToWordDocxItem="False" ShowExportToPdfItem="False" ShowExportToExcelXlsxItem="False" ShowExportToExcelBIFFItem="False" ShowExportToCsvItem="False" />
                    <DeleniComboBox runat="server" Visible="true"></DeleniComboBox>
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
