﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Zamestnanec_SluzebniCesty" Codebehind="SluzebniCesty.aspx.cs" %>

<%@ Register assembly="WebControls" namespace="KSProgram.WebControls" tagprefix="wc" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="cc1" %>
<%@ Register assembly="WebControls" namespace="KSProgram.WebControls.Ciselniky" tagprefix="cis" %>
<%--@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" TagPrefix="cc2" --%>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register TagPrefix="uc" TagName="CestovniPrikaz" Src="~/Controls/CestovniPrikaz.ascx" %>
<%@ Register TagPrefix="uc" TagName="ZadostOsluzc" Src="~/Controls/ZadostOsluzc.ascx" %>
<%@ Register TagPrefix="uc" TagName="WfZmenaStavu" Src="~/Controls/WfZmenaStavu.ascx" %>

<asp:Content ID="ContentStyly" runat="server" ContentPlaceHolderID="HeadContent">
    <style type="text/css">        
            detailButton {
                cursor: pointer;
            }  
            span table{
                color: inherit !important;
            }
    </style>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" Runat="Server">  

    <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript" id="SCteljs">
            //<![CDATA[
            function showSCMenu(sender, args) {
                var contextMenu = $find('<%= RCM_copySC.ClientID %>');
                if (contextMenu) {
                    var currentLocation = $telerik.getBounds(sender.get_element());
                    contextMenu.showAt(currentLocation.x, currentLocation.y + currentLocation.height);
                }
            }
            //]]>
        </script>
    </telerik:RadScriptBlock>
    
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="GV_SlcSeznam2">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="GV_SlcSeznam2"  />
                    <telerik:AjaxUpdatedControl ControlID="CP"  />
                    <telerik:AjaxUpdatedControl ControlID="UC_Zadost"  />
                    <telerik:AjaxUpdatedControl ControlID="UC_ZmenaStavu"  />
                    <telerik:AjaxUpdatedControl ControlID="PanelCommand"  />
                </UpdatedControls>
            </telerik:AjaxSetting>   
            <telerik:AjaxSetting AjaxControlID="CP">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="GV_SlcSeznam2"  />
                    <telerik:AjaxUpdatedControl ControlID="CP"  />
                    <telerik:AjaxUpdatedControl ControlID="PanelCommand"  />
                </UpdatedControls>
            </telerik:AjaxSetting>  
            <telerik:AjaxSetting AjaxControlID="UC_Zadost">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="GV_SlcSeznam2"  />
                    <telerik:AjaxUpdatedControl ControlID="UC_Zadost"  />
                    <telerik:AjaxUpdatedControl ControlID="UC_ZmenaStavu"  />
                    <telerik:AjaxUpdatedControl ControlID="PanelCommand"  />
                </UpdatedControls>
            </telerik:AjaxSetting>  
            <telerik:AjaxSetting AjaxControlID="UC_ZmenaStavu">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="GV_SlcSeznam2"  /> 
                    <telerik:AjaxUpdatedControl ControlID="UC_Zadost"  />                   
                    <telerik:AjaxUpdatedControl ControlID="UC_ZmenaStavu"  />
                    <telerik:AjaxUpdatedControl ControlID="PanelCommand"  />
                </UpdatedControls>
            </telerik:AjaxSetting>     
            <telerik:AjaxSetting AjaxControlID="img_save">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="GV_SlcSeznam2"  />
                    <telerik:AjaxUpdatedControl ControlID="CP"  />
                    <telerik:AjaxUpdatedControl ControlID="UC_Zadost"  />
                    <telerik:AjaxUpdatedControl ControlID="UC_ZmenaStavu"  />
                    <telerik:AjaxUpdatedControl ControlID="PanelCommand"  />
                </UpdatedControls>
            </telerik:AjaxSetting>   
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
     
    <table style="height: auto" >
    <tr valign="top">
    <td>   
        <%--<wc:TLabel ID="TLabel3" runat="server" Text="[%Služební cesty zaměstnance%]" CssClass="nadpis1 tiskHide" ></wc:TLabel>--%>
       
        <table class="pozadiText"><tr>
        <td>
          <wc:TLabel ID="TLabel4" runat="server" Text="[%Služební cesty konané%]" CssClass="tiskHide" ></wc:TLabel>
        </td>
        <td>
            <kspwc:TRadObdobiInterval ID="TRADObdobi" AutoPostBack="true" Vertical="false" runat="server" TextOd="[%od%]" TextDo="[%do%]"></kspwc:TRadObdobiInterval>
        </td>
        </tr></table>    

    <asp:ObjectDataSource ID="ODS_SlcSeznam" runat="server" 
        OldValuesParameterFormatString="original_{0}" 
        SelectMethod="SeznamCestZamestnance" 
        TypeName="KSProgram.Sluzebky.SlcFunkce">
        <SelectParameters>
            <%--osobní číslo se nepředává--%>            
            <asp:ControlParameter ControlID="TRADObdobi" Name="obd_od" PropertyName="SelectedDateOd" Type="DateTime" /> 
            <asp:ControlParameter ControlID="TRADObdobi" Name="obd_do" PropertyName="SelectedDateDo" Type="DateTime" />  
        </SelectParameters>    
    </asp:ObjectDataSource>    
   
    <%--FindDataKeyName="ev_cislo, id_poz"   OnSelectedIndexChanged="GV_SlcSeznam_SelectedIndexChanged" --%>    
    <wc:TRadGrid ID="GV_SlcSeznam2" DataSourceID="ODS_SlcSeznam" runat="server" AutoGenerateColumns="False" AllowSorting="True" 
     CssClass="tiskHide"  MasterTableView-Caption="[%Služební cesty zaměstnance%]"
        MasterTableView-AllowAutomaticInserts="False" OnItemCommand="GV_SlcSeznam2_ItemCommand" OnDataBound="GV_SlcSeznam2_DataBound" AllowMultiRowSelection="True"> 
        <ClientSettings EnableRowHoverStyle="true" EnablePostBackOnRowClick="false">
            <Selecting AllowRowSelect="True" />         
        </ClientSettings>
        <ExportSettings HideStructureColumns="true" ExportOnlyData="True" OpenInNewWindow="True" IgnorePaging="True">
        </ExportSettings>

        <MasterTableView DataKeyNames="ev_cislo, id_poz" AutoGenerateColumns="false" CssClass="ksprvek"
            CommandItemDisplay="Top">  
             <CommandItemTemplate>
                
                <table style="width:100%" >
                    <tr>
                        <td style="padding: 0px 0px 0px 5px;">
                            <wc:TRadButton ID="TRB_NewPoz" runat="server" Text="[%Požádat o SC%]" IdPrava="182" CommandName="NovyPozadavek" Icon-SecondaryIconCssClass="fi fi-add" ToolTip="[%Vytvořit nový požadavek na služební cestu%]">
                            </wc:TRadButton>
                               
                            <wc:TRadButton ID="TRB_New" runat="server" Text="[%Přidat novou SC%]" IdPrava="148" CommandName="NovaSC" Icon-SecondaryIconCssClass="fi fi-add" ToolTip="[%Vytvořit služební cestu bez schvalovacího procesu%]">
                            </wc:TRadButton>

                            <wc:TRadButton ID="TRB_copySC" runat="server" Text="[%Zkopírovat vybranou SC ..%]" IdPrava="182" Icon-SecondaryIconCssClass="fi fi-add" 
                                AutoPostBack="False" OnClientClicked="showSCMenu"
                                Visible='<%# KSProgram.Zakaznik.IsCurrent("COLAS_GROUP") || KSProgram.Globals.RAActive("COPY_SC") || KSProgram.Globals.IsDevelopMode %>' >
                            </wc:TRadButton>

                            <wc:TRadButton ID="TRB_delete" runat="server" Text="[%Smazat SC%]" IdPrava="150" CommandName="Smazat" Icon-SecondaryIconCssClass="fi fi-trash" 
                                ToolTip="[%Smazat vybranné služební cesty%]" >
                                <ConfirmSettings ConfirmText="[%Opravdu chcete smazat vybranné služební cesty?%]" Title="[%Potvrzení%]"/>
                            </wc:TRadButton>
                        </td>
                        <td style="padding: 4px 5px 0px 0px;float:right">
                            <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server"> 
                                <RebindButton runat="server" Visible="true"></RebindButton>
                                <ExportButton runat="server" ShowExportToExcelHtmlItem="false" ShowExportToExcelBIFFItem="true"/>
                                <ContentTemplate >
                                </ContentTemplate>
                            </kspwc:GridCommandItemControl>
                            
                        </td>
                    </tr>
                </table>
                
            </CommandItemTemplate>          
            <Columns>
                <telerik:GridBoundColumn UniqueName="ev_cislo" HeaderText="" DataField="ev_cislo" Visible="false">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn UniqueName="cislo" HeaderText="[%Číslo SC%]" DataField="cislo">
                </telerik:GridBoundColumn>
                <%--<telerik:GridTemplateColumn UniqueName="cislo" HeaderText="[%Číslo SC%]" DataField="cislo">
                    <ItemTemplate>
                        <wc:TRadButton ID="TRB_detail" runat="server" Text='<%# Bind("cislo") %>' ButtonType="LinkButton" CommandName="detail" AutoPostBack="true"
                            CssClass="detailButton">
                        </wc:TRadButton>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>--%>
                <%--<telerik:GridBoundColumn UniqueName="cil" HeaderText="[%Místo%]" DataField="cil">
                </telerik:GridBoundColumn>--%>
                <telerik:GridTemplateColumn UniqueName="cil" HeaderText="[%Místo jednání%]" DataField="cil">
                    <ItemTemplate>
                        <wc:TRadButton ID="TRB_detail" runat="server" Text='<%# Bind("cil") %>' ButtonType="LinkButton" CommandName="detail" AutoPostBack="true"
                            CssClass="detailButton">
                        </wc:TRadButton>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridBoundColumn UniqueName="ucel" HeaderText="[%Účel cesty%]" DataField="ucel">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn UniqueName="typ" HeaderText="[%Typ%]" DataField="typ">
                </telerik:GridBoundColumn>
                <telerik:GridDateTimeColumn UniqueName="dat_od" PickerType="DatePicker" HeaderText="[%Datum počátku%]"
                    DataField="dat_od" DataFormatString="{0:dd.MM.yyyy HH:mm}" >
                </telerik:GridDateTimeColumn>                
                <telerik:GridDateTimeColumn UniqueName="dat_do" PickerType="DatePicker" HeaderText="[%Datum konce%]" 
                    DataField="dat_do" DataFormatString="{0:dd.MM.yyyy HH:mm}">
                </telerik:GridDateTimeColumn>
                <telerik:GridBoundColumn UniqueName="druh_dopr" HeaderText="[%Druh dopravy%]" DataField="druh_dopr" >
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn UniqueName="spolucestujici" HeaderText="[%Spolucestující%]" DataField="spolucestujici" MaxLength="50">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn UniqueName="naklady" HeaderText="[%Výdaje%]" DataField="naklady">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn UniqueName="id_poz" HeaderText="[%ID požadavku%]" DataField="id_poz">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn UniqueName="stav" HeaderText="[%Stav%]" DataField="stav" >
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn UniqueName="faze_akt" HeaderText="[%Aktuální krok k řešení%]" DataField="faze_akt">
                </telerik:GridBoundColumn>
                <telerik:GridRowIndicatorColumn></telerik:GridRowIndicatorColumn>
            </Columns>
            
        </MasterTableView>
    </wc:TRadGrid>

        <telerik:RadContextMenu ID="RCM_copySC" runat="server" OnItemClick="RCM_copySC_ItemClick"
            >
            <Items>
                <telerik:RadMenuItem Text="[%1x, termín zadám ručně%]" Value="1"></telerik:RadMenuItem>
                <telerik:RadMenuItem Text="[%do všech následujících pracovních dní měsíce%]" Value="2"></telerik:RadMenuItem>
                <telerik:RadMenuItem Text="[%do všech následujících dní měsíce%]" Value="3"></telerik:RadMenuItem>
            </Items>
            <Targets>
                <telerik:ContextMenuControlTarget ControlID="TRB_copySC" />
            </Targets>
        </telerik:RadContextMenu>

    </td>
    </tr>
    <%-- //PR 8.3.2017 přesunuto přímo do CestovniPrikaz.ascx
    <tr>
        <td align="left" >   
            <span style="font-size: large" class="tiskShow">
                <% = KSProgram.Ciselniky.CisPodniky.Nazev(KSProgram.Funkce.Pracovnik.IdPodniku((CP != null && CP.OsCislo > 0) ? CP.OsCislo : KSProgram.Globals.OsCislo))%>  
            </span>     
        </td>
    </tr>--%>
    </table>
    <uc:CestovniPrikaz id="CP" runat="server" Visible="false"/>
    <uc:ZadostOsluzc ID="UC_Zadost" runat="server" Visible="false"/>
    <uc:WfZmenaStavu id="UC_ZmenaStavu" runat="server" Visible="false" Typ="sluzc"/>

    <%--Panel s tlacitky ULOZIT a Neulozit--%>
        <asp:Panel runat="server" ID="PanelCommand" Visible="false">
            <table style="border-collapse: collapse; background-color: ButtonFace; margin: 5px 0px 0px 0px; width: 550px;">
                <tr>
                    <td style="padding: 4px; ">                       
                        <wc:TRadButton ID="img_save" runat="server" Text="[%Uložit%]" OnClick="RB_save_Click" Icon-PrimaryIconCssClass="fi fi-disk" />
                        <wc:TRadButton ID="img_cancel" runat="server" Text="[%Zpět%]" OnClick="RB_cancel_Click" Icon-PrimaryIconCssClass="fi fi-ban" 
                            CausesValidation="False"/>
                    </td>
                    <td style="padding: 4px 4px 4px 0px;">                      
                        
                    </td>
                    
                </tr>
            </table>
        </asp:Panel>
 </asp:Content>
