﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Zamestnanec_SprOsobniUcet"
    CodeBehind="SprOsobniUcet.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" runat="server" contentplaceholderid="HeadContent">
    <style type="text/css">
        .style1
        {
            width: 200px;
        }
        td.KsSpSuma {
            border-bottom: 1px solid var(--ksmenutext);
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid3">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid3" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRadGrid2">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid2" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <asp:Label ID="Nadpis" runat="server" CssClass="nadpis1" Text="[%Osobní účet%]"></asp:Label>
    <div>
        <table style="width: 300px; padding: 10px" class="ksprvek">
            <tr>
                <td class="style1">
                    <asp:Label ID="Label5" runat="server" SkinID="caption" Text="[%Příjem%]"></asp:Label>
                </td>
                <td align="right">
                    <asp:Label ID="L_Letos" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    <asp:Label ID="Label4" runat="server" SkinID="caption" Text="[%Zůstatek z minula%]"></asp:Label>
                </td>
                <td align="right" class="KsSpSuma">
                    <asp:Label ID="L_Minuly" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    <asp:Label ID="Label2" runat="server" SkinID="caption" Text="[%Příjem celkem%]"></asp:Label>
                </td>
                <td align="right">
                    <asp:Label ID="L_Prijem" runat="server" Font-Bold="True"></asp:Label>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    <asp:Label ID="Label1" runat="server" SkinID="caption" Text="[%Výdaje celkem%]"></asp:Label>
                </td>
                <td align="right" class="KsSpSuma">
                    <asp:Label ID="L_sum_vyd" runat="server" Font-Bold="True"></asp:Label>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    <asp:Label ID="Label3" runat="server" Text="[%Zůstatek%]" SkinID="caption"></asp:Label>
                </td>
                <td align="right">
                    <asp:Label ID="L_Zustatek" runat="server" Font-Bold="True"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <kspwc:TRadGrid ID="TRadGrid3" runat="server" AutoGenerateColumns="False" GroupPanelPosition="Top"
            OnNeedDataSource="TRadGrid3_NeedDataSource"
            ShowFooter="True">
            <MasterTableView Caption="[%Příjmy%]" AllowPaging="False" AllowSorting="True" CommandItemDisplay="Top">
                <RowIndicatorColumn Visible="False">
                </RowIndicatorColumn>
                <ExpandCollapseColumn Created="True">
                </ExpandCollapseColumn>
                <Columns>
                    <telerik:GridBoundColumn DataField="popis" FilterControlAltText="Filter popis column"
                        HeaderText="[%Popis%]" SortExpression="popis" UniqueName="popis">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="prijem" DataFormatString="{0:N}" DataType="System.Decimal"
                        FilterControlAltText="Filter prijem column" HeaderText="[%Příjem%]" SortExpression="vydaj"
                        UniqueName="prijem" Aggregate="Sum">
                        <FooterStyle HorizontalAlign="Right" />
                        <ItemStyle HorizontalAlign="Right" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="datum" DataFormatString="{0:d}" 
                        DataType="System.DateTime" FilterControlAltText="Filter datum column" 
                        HeaderText="[%Datum%]" SortExpression="datum" UniqueName="datum">
                    </telerik:GridBoundColumn>
                </Columns>
                <CommandItemTemplate>
                    <kspwc:GridCommandItemControl ID="GridCommandItemControl3" runat="server">
                        <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelHtmlItem="false" ShowExportToExcelXlsxItem="true"
                            ShowExportToExcelMLItem="false" ShowExportToWordItem="false" ShowExportToWordDocxItem="false" />
                    </kspwc:GridCommandItemControl>
                </CommandItemTemplate>
            </MasterTableView>
        </kspwc:TRadGrid>
        <br />
        <kspwc:TRadGrid ID="TRadGrid1" runat="server" AutoGenerateColumns="False" GroupPanelPosition="Top"
             onneeddatasource="TRadGrid1_NeedDataSource" 
            ShowFooter="True">
            <MasterTableView Caption="[%Výdaje%]" AllowPaging="False" AllowSorting="True" CommandItemDisplay="Top">
                <RowIndicatorColumn Visible="False">
                </RowIndicatorColumn>
                <ExpandCollapseColumn Created="True">
                </ExpandCollapseColumn>
                <Columns>
                    <telerik:GridBoundColumn DataField="vyhoda" FilterControlAltText="Filter vyhoda column"
                        HeaderText="[%Druh čerpání%]" SortExpression="vyhoda" UniqueName="vyhoda">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="popis" FilterControlAltText="Filter popis column"
                        HeaderText="[%Popis%]" SortExpression="popis" UniqueName="popis">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="vydaj" DataFormatString="{0:N}" DataType="System.Decimal"
                        FilterControlAltText="Filter vydaj column" HeaderText="[%Výdaj%]" SortExpression="vydaj"
                        UniqueName="vydaj" Aggregate="Sum">
                        <FooterStyle HorizontalAlign="Right" />
                        <ItemStyle HorizontalAlign="Right" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="datum" DataFormatString="{0:d}" 
                        DataType="System.DateTime" FilterControlAltText="Filter datum column" 
                        HeaderText="[%Datum%]" SortExpression="datum" UniqueName="datum">
                    </telerik:GridBoundColumn>
                </Columns>
                <CommandItemTemplate>
                    <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server">
                        <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelHtmlItem="false" ShowExportToExcelXlsxItem="true"
                            ShowExportToExcelMLItem="false" ShowExportToWordItem="false" ShowExportToWordDocxItem="false" />
                    </kspwc:GridCommandItemControl>
                </CommandItemTemplate>
            </MasterTableView>
        </kspwc:TRadGrid>
        <br />
        <kspwc:TRadGrid ID="TRadGrid2" runat="server" AutoGenerateColumns="False" 
            GroupPanelPosition="Top" onneeddatasource="TRadGrid2_NeedDataSource">
            <MasterTableView Caption="[%Ve schvalování%]" AllowPaging="False" AllowSorting="True" CommandItemDisplay="Top">
                <RowIndicatorColumn Visible="False">
                </RowIndicatorColumn>
                <ExpandCollapseColumn Created="True">
                </ExpandCollapseColumn>
                <Columns>
                    <telerik:GridBoundColumn DataField="id_poz" FilterControlAltText="Filter id_poz column" 
                        HeaderText="Id" SortExpression="id_poz" UniqueName="id_poz">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="text" 
                        FilterControlAltText="Filter text column" HeaderText="[%Text%]" 
                        SortExpression="text" UniqueName="text">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="stav" 
                        FilterControlAltText="Filter stav column" HeaderText="[%Stav%]" 
                        SortExpression="stav" UniqueName="stav">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="vyriz_datum" DataFormatString="{0:d}" 
                        FilterControlAltText="Filter vyriz_datum column" HeaderText="[%Datum změny%]" 
                        SortExpression="vyriz_datum" UniqueName="vyriz_datum">
                    </telerik:GridBoundColumn>
                </Columns>
                <CommandItemTemplate>
                    <cc1:GridCommandItemControl ID="GridCommandItemControl2" runat="server" ExportButton-Visible="False">
                    </cc1:GridCommandItemControl>
                </CommandItemTemplate>
            </MasterTableView>
        </kspwc:TRadGrid>
    </div>
</asp:Content>
