﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="KalendarControl.ascx.cs"
    Inherits="KSPortal.Controls.KalendarControl" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register TagPrefix="scheduler" TagName="AdvancedForm" Src="KalendarAdvancedForm.ascx" %>
<style type="text/css">
    div.rts-RadTabStrip1 .rtsUL {
        float: left !important;
    }

    div.rpTempPadd > ul {
        width: 100%;
    }

        div.rpTempPadd > ul > li:first-child + li + li > div > div {
            padding: 0px;
        }

        div.rpTempPadd > ul > li:first-child > div > div > div, div.rpTempPadd > ul > li:first-child + li > div > div > div {
            line-height: 1;
        }

            div.rpTempPadd > ul > li:first-child > div > div > div > div > label > label, div.rpTempPadd > ul > li:first-child + li > div > div > div > div > label > label {
                /*vertical-align: text-top;*/
            }
    /*div.rpTempPadd > ul > li:first-child + li + li > div > div > div > div:first-child + div > table > tbody > tr > td 
    {
        padding-top: 1px !important;
        padding-bottom: 1px !important;
    }*/
    div.kalItem {
        /*margin: 2px 0;*/
    }

    div.GridNoBorder {
        border: 0 none;
    }

        div.GridNoBorder div.rgDataDiv {
            height: calc(100% - 163px) !important;
        }

    .trg-kalendar .rgCaption {
        display: none;
    }

    .daycss {
        padding: 1px !important;
        margin: 0px !important;
        font-size: xx-small !important;
        font-weight: bold !important;
        width: 23px;
        line-height: 1;
        text-align: center;
    }

    .smena {
        display: block;
        text-align: center;
        border: 1px solid;
    }

    .smenae {
        height: 10px;
    }

    .smena:hover {
        background-color: #BDBDBD !important;
    }

    .hedSvatek {
        font-weight: bold !important;
        color: Red !important;
    }

    .sudItemSvatek {
        background-color: #F5F5F5 !important;
    }

    .lichItemSvatek {
        background-color: #E0E0E0 !important;
    }

    .Svatek {
        background: #FFC8C8 !important;
    }

        .Svatek.rsAptCreate {
            background: #FFC8C8 !important;
        }

    .pdfExport {
    }

    .k-pdf-export .pdfExport {
        font-family: Arial, Arial Black !important;
    }

    .k-pdf-export .rgPager, .k-pdf-export .rgFilterRow, .k-pdf-export .rgCommandRow {
        display: none;
    }

    .ksTodayPart {
        background-color: #e3f3fb !important; /*ještě světlejší metro modrá*/
    }


    .RadScheduler .ks-app-style .rsAptContent,
    .RadScheduler .ks-app-style .rsAptMid .rsAptIn,
    .RadScheduler .ks-app-style .rsAptMid,
    .RadScheduler .ks-app-style .rsAptOut {
        border-radius: 1em;
    }

    .RadScheduler .ks-app-style .rsAptIn {
        border-width: 0px;
        margin-left: 7px;
        margin-right: 7px;
        margin-top: 1px;
        margin-bottom: 1px;
        /*height: 19px;*/
    }

    .RadScheduler .ks-app-style .rsAptOut {
    }

    .RadScheduler .ks-app-style .rsAptContent {
        /*font style*/
        /*color: White;*/
        font-size: 12px;
        font-weight: bold;
        line-height: 1.3;
    }

    .RadScheduler .ks-app-style-l .rsAptContent {
        /*font style*/
        color: black;
    }

    /*HID:48604*/
    .ksRadSheduler .rsHeader {
        z-index: auto !important;
    }

    .ksRadSheduler .rsAptContent {
        background-image: none !important;
    }

    .ksRadSheduler .rsArrowRight {
        right: 0px !important;
    }

    .ksRadSheduler .rsArrowLeft {
        left: 0px !important;
    }

    .RadScheduler_Metro.ksRadSheduler div.rsHeader li.rsSelected > .rsButton {
        border-color: var(--kszahlavi);
        color: var(--kszahlavitext);
        background-color: var(--kszahlavi);
        border: 1px var(--kszahlavitext) solid !important;
    }

    .RadScheduler_Metro.ksRadSheduler div.rsHeader .rsToolbar.rsViews .rsButton {
        border-color: var(--kszahlavi);
        color: var(--kszahlavitext);
        background-color: var(--kszahlavi);
    }
    .RadScheduler_Metro.ksRadSheduler div.rsHeader .rsToolbar.rsViews .rsButton.rsHovered {
        border: 1px var(--kszahlavitext) solid;
    }
    .RadScheduler_Metro.ksRadSheduler div.rsHeader .rsCurrent.rsDatePickerActivator {
        color: var(--kszahlavitext);
    }

    .RadScheduler_Metro.ksRadSheduler .rsSelectedSlot {
        color: var(--kscolor1text);
        background-color: var(--kscolor1);
    }

</style>
<telerik:RadScriptBlock ID="RadCodeBlock1" runat="server">
    <script type="text/javascript" id="telerikClientEvents1">
        //<![CDATA[
        //var $ = $telerik.$;
        var Kalendare = new Array();
        var Pozadavky = new Array();
        var Stavy = new Array();
        var SchedulerNavigationCompleteAlreadyOccurred = false;
        var timePerMinute = 60000;
        var timePerHour = timePerMinute * 60;
        var timePerDay = timePerHour * 24;
        var _gridLastBoundedDate;
        var _bindScheduler = false;
        var _primi = false;
        var isPageLoaded = false;
        //var rowSelectedTimeout;

        var oldPageLoad1 = !oldPageLoad1 ? KSMaster.onPageLoad : oldPageLoad1;
        KSMaster.onPageLoad = function () {
            oldPageLoad1.apply();
            isPageLoaded = true;
            rebindGrid(true);
            setShedulerStyles($find('<%=RadScheduler1.ClientID %>'));

        };
        KSMaster.onPageLoad.prototype = oldPageLoad1.prototype;

        var oldSeznamOsCisloPomChanged = !oldSeznamOsCisloPomChanged ? KSMaster.onSeznamOsCisloPomChanged : oldSeznamOsCisloPomChanged;
        KSMaster.onSeznamOsCisloPomChanged = function (sender, args) {
            oldSeznamOsCisloPomChanged.apply(sender, args);
            rebindScheduler(true);
        };
        KSMaster.onSeznamOsCisloPomChanged.prototype = oldSeznamOsCisloPomChanged.prototype;

        // při odstranění bočního menu vyvolám 'resize' event aby se samy přenastavily šířky RadPane  
        var oldKCresizeContent = !oldKCresizeContent ? KSMaster.resizeContent : oldKCresizeContent;
        KSMaster.resizeContent = function () {
            oldKCresizeContent.apply();
            var evt = document.createEvent('UIEvents');
            evt.initUIEvent('resize', true, false, window, 0);
            window.dispatchEvent(evt);
        };
        KSMaster.resizeContent.prototype = oldKCresizeContent.prototype;

        function addSelectedKalendareToArray() {
            $("#<%=RPB_typy_kal.ClientID %> li:first-child").find(':checkbox:checked').each(function () {
                Kalendare.push($telerik.$(this).attr('value'));
            });
        }
        function addSelectedPozadavkyToArray() {
            $("#<%=RPB_typy_kal.ClientID %> li:odd").find(':checkbox:checked').each(function () {
                var val = $telerik.$(this).attr('value');
                if (val == "n" || val == "r" || val == "s" || val == "o") {
                    Stavy.push($telerik.$(this).attr('value'));
                }
                else {
                    Pozadavky.push(val);
                }
            });
        }

        function GetGridServerElement(serverID, tagName, getMetot) {
            if (!tagName)
                tagName = "*"; //* means all elements 

            var grid = document.getElementById("<%=TRG_kalendar.ClientID %>");
            var elements = grid.getElementsByTagName(tagName);
            for (var i = 0; i < elements.length; i++) {
                var element = elements[i];
                if (element.id.indexOf(serverID) >= 0) {
                    var ret = null;
                    if (!getMetot || getMetot == "find") {

                        ret = $find(element.id);
                    }
                    else {
                        ret = $get(element.id);
                    }
                    if (ret) {
                        return ret;
                    }
                }
            }
            return null;
        }

        function RS1_ResourcesPopulating(sender, args) {

        }

        function RadScheduler1_AppointmentsPopulating(sender, eventArgs) {
            var RTS = $find('<%=RadTabStrip1.ClientID %>');
            if (RTS == null) {
                eventArgs.set_cancel(true);
                return;
            }
            if (RTS._selectedIndex != 0 || !_bindScheduler || !sender.get_visible())
                eventArgs.set_cancel(true);
            addSelectedKalendareToArray();
            eventArgs.get_schedulerInfo().Kalendare = Kalendare;
            Kalendare = new Array();

            addSelectedPozadavkyToArray();
            eventArgs.get_schedulerInfo().Pozadavky = Pozadavky;
            Pozadavky = new Array();

            eventArgs.get_schedulerInfo().Stavy = Stavy;
            Stavy = new Array();

            if (!eventArgs.get_cancel()) {
                $find("<%= RadAjaxLoadingPanel1.ClientID %>").show("<%= RadMultiPage1.ClientID %>");
            }
        }

        function RadScheduler1_AppointmentsPopulated(sender, args) {
            var apps = sender.get_appointments();

            if (sender.get_activeModel()._contentElement?.classList.contains("rsYearMonthsWrap")) {
                resetYearViewSlotsCss(apps);
            }
            
            for (var i = 0; i < apps.get_count() ; i++) {
                var app = apps.getAppointment(i);
                var resources = app.get_resources();
                if (resources.get_count() != 0) {
                    var res = resources.getResourceByType("Kalendare");
                    if (res && !res.get_available()) {
                        app.set_allowDelete(false);
                        //app.set_allowEdit(false);
                    }
                    else if (app.get_attributes().getAttribute("AllowDelete") == 0) {
                        app.set_allowDelete(false);
                    }

                    if (app.get_attributes().getAttribute("AllowEdit") == 0) {
                        app.set_allowEdit(false);
                    }
                }
            }
            $find("<%= RadAjaxLoadingPanel1.ClientID %>").hide("<%= RadMultiPage1.ClientID %>");
        }

        function RS_DataBound(sender, args) {
            
        }

        function resetYearViewSlotsCss(apps) {
            var slots = $telerik.$(".ksRadSheduler .rsYearView .rsYearMonthWrap td:has(a.rsDateHeader)");
            slots.css({
                "background-image": "unset"
            });

            $telerik.$(".ksRadSheduler .rsYearView .rsYearMonthWrap td.rsOtherMonth").css({
                "background-image": "unset"
            });

            for (slotIndex in slots) {
                var slot = slots[slotIndex];
                var slotDate = new Date($telerik.$(slot.childNodes).attr('href')?.substring(1));
                slotDate = slotDate.addMinutes(slotDate.getTimezoneOffset());
                var f = apps.getAppointmentsInRange(slotDate, slotDate.addDays(1));
                if (f?.get_count() > 0) {
                    var gradient = 'linear-gradient(to bottom right';
                    for (ai in f._array) {
                        gradient += ', ' + f._array[ai].get_backColor();
                    }
                    if (f?.get_count() == 1) {
                        gradient += ', ' + f._array[0].get_backColor();
                    }
                    gradient += ')';
                    $telerik.$(slot).css({
                        "background-image": gradient
                    });
                }
            }

        }

        function RadScheduler1_ContextMenuItemClicking(sender, args) {
            
        }

        function RadScheduler1_RequestSuccess(sender, args) {
            var result = args.get_result();
            if (result && result.length && result.length == 1 && result[0].ID == "error") {
                var err = result[0].Description;
                result.shift();
                KSMaster.showError(err, 'Web Service Error', 0, 0);
            }
            //result.forEach(function (app, i, arr) {
            //    setAppointmentStyle(app);
            //});
        }

        function RadScheduler1_RequestFailed(sender, args) {

        }

        function rebindData(cond) {
            rebindScheduler(cond);
            rebindGrid(cond);
        }
        function rebindScheduler(cond) {
            var scheduler1 = $find('<%=RadScheduler1.ClientID %>');
            if (scheduler1)
                scheduler1.rebind();
        }
        function rebindGrid(cond) {
            var TRG_kalendar = $find("<%=TRG_kalendar.ClientID %>");
            var calendar = $find("<%=RC_obdobi.ClientID %>");
            if (TRG_kalendar && calendar) {
                var caldatetrip = calendar.get_focusedDate();
                if (cond || !(_gridLastBoundedDate && caldatetrip[0] == _gridLastBoundedDate[0] && caldatetrip[1] == _gridLastBoundedDate[1])) {
                    var tablewiew = TRG_kalendar.get_masterTableView();
                    if (tablewiew)
                        TRG_kalendar.get_masterTableView().rebind();
                }
            }
        }

        // Advanced Form ----------------------
        var schedulerTemplates = {};

        function schedulerFormCreated(scheduler, eventArgs) {
            // Create a client-side object only for the advanced templates
            var mode = eventArgs.get_mode();
            if (mode == Telerik.Web.UI.SchedulerFormMode.AdvancedInsert ||
					mode == Telerik.Web.UI.SchedulerFormMode.AdvancedEdit) {
                // Initialize the client-side object for the advanced form
                var formElement = eventArgs.get_formElement();
                var templateKey = scheduler.get_id() + "_" + mode;
                var advancedTemplate = schedulerTemplates[templateKey];
                if (!advancedTemplate) {
                    // Initialize the template for this RadScheduler instance
                    // and cache it in the schedulerTemplates dictionary
                    var schedulerElement = scheduler.get_element();
                    var isModal = scheduler.get_advancedFormSettings().modal;
                    advancedTemplate = new window.SchedulerAdvancedTemplate(schedulerElement, formElement, isModal);
                    advancedTemplate.initialize();

                    schedulerTemplates[templateKey] = advancedTemplate;

                    // Remove the template object from the dictionary on dispose.
                    scheduler.add_disposing(function () {
                        schedulerTemplates[templateKey] = null;
                    });
                }

                // Are we using Web Service data binding?
                if (!scheduler.get_webServiceSettings().get_isEmpty()) {
                    // Populate the form with the appointment data
                    var apt = eventArgs.get_appointment();
                    var isInsert = mode == Telerik.Web.UI.SchedulerFormMode.AdvancedInsert;
                    advancedTemplate.populate(apt, isInsert);
                }
            }
        }
        function OnClientAppointmentDataBound(sender, eventArgs) {
            var app = eventArgs.get_appointment();
            setAppointmentStyle(app);
        }
        // Advanced Form ---------------------- end

        function setAppointmentStyle(app) {
            var backColor = app.get_attributes().getAttribute("AppointmentColor");
            app.set_borderColor(backColor);
            app.set_cssClass("ks-app-style");
            if (backColor) {
                app.set_backColor(backColor);
                var col = new RGBHexColour(backColor);
                if (col && col.getHSL().l > 54) {
                    app.set_cssClass("ks-app-style ks-app-style-l");
                }
            }
            return app;
        }

        function RadScheduler1_ResourcesPopulated(sender, args) {

        }
        function TRG_kalendar_OnGridCreated(sender, args) {
            sender.get_element().parentNode.style.height = "100%";

            var masterTable = sender.get_masterTableView();
            masterTable.hideFilterItem();

            var column = masterTable.getColumnByUniqueName("OsCislo");
            if (KSMaster.OsCisloIsPrivate) {
                masterTable.hideColumn(column.get_element().cellIndex);
            }
            else {
                masterTable.showColumn(column.get_element().cellIndex);
            }
        }

        function TRG_kalendar_OnDataBinding(sender, args) {
            var RTS = $find('<%=RadTabStrip1.ClientID %>');
            var calendar = $find("<%=RC_obdobi.ClientID %>");
            var caldatetrip;
            if (calendar) {
                caldatetrip = calendar.get_focusedDate();
            }
            else {
                args.set_cancel(true);
                return;
            }
            if (!RTS) {
                args.set_cancel(true);
                return;
            }
            if (RTS._selectedIndex != 1) {
                args.set_cancel(true);
                return;
            }
            else {
                if (isPageLoaded && sender.get_visible()) {
                    $find("<%= RadAjaxLoadingPanel1.ClientID %>").show("<%= RadMultiPage1.ClientID %>");
                }
                else {
                    args.set_cancel(true);
                    return;
                }
            }

            KSMaster.GridFilterCaseInsensitive(sender, args);

            var m_args = args.get_methodArguments();
            m_args.filterExpression += m_args.filterExpression == "" ? "" : " AND ";
            m_args.filterExpression += 'mesic = "' + caldatetrip + '"';
            addSelectedKalendareToArray();
            m_args.filterExpression += ' AND kalendare = [' + (Kalendare.length == 0 ? '' : ('"' + Kalendare.join('","') + '"')) + ']';
            addSelectedPozadavkyToArray();
            m_args.filterExpression += ' AND pozadavky = [' + (Pozadavky.length == 0 ? '' : ('"' + Pozadavky.join('","') + '"')) + ']';
            m_args.filterExpression += ' AND stavy = [' + (Stavy.length == 0 ? '' : ('"' + Stavy.join('","') + '"')) + ']';
            m_args.filterExpression += ' AND primi = ' + _primi.toString();

            var HF_Filter = GetGridServerElement("HF_Filter", "input", "get");
            var HF_Sort = GetGridServerElement("HF_Sort", "input", "get");
            if (HF_Filter && HF_Sort) {
                HF_Sort.value = sender.get_masterTableView().get_sortExpressions().toString();
                HF_Filter.value = m_args.filterExpression;
            }
            //zapíšu filtry do session na serveru, protože ukládání do HF selhává
            $.ajax({
                type: "POST",
                url: "<%=this.Page.ResolveClientUrl(@"~/Zamestnanec/ZamKalendar.aspx/SaveFiltersForExport")%>",
                data: "{sort: '" + sender.get_masterTableView().get_sortExpressions().toString() + "', filter: '" + m_args.filterExpression + "'}",
                async: false,
                contentType: "application/json",
                dataType: "json",
                failure: function (response) {
                    KSMaster.showError(response.responseText, response.statusText); 
                },
                error: function (response) {
                    KSMaster.showError(response.responseText, response.statusText);
                },
                success: function (msg) {

                }
            });

            Kalendare = new Array();
            Pozadavky = new Array();
            Stavy = new Array();

            args.set_methodArguments(m_args);
        }

        function TRG_kalendar_OnRowDataBound(sender, args) {
            var item = args.get_item();
            var data = args.get_dataItem();
            var calendar = $find("<%=RC_obdobi.ClientID %>");
            var caldatetrip = calendar.get_focusedDate();
            var obdobiFirst = getObdobiFirst(new Date(caldatetrip[0], caldatetrip[1] - 1, caldatetrip[2]));
            var obdobiLast = getObdobiLast(obdobiFirst);
            //var HF_rowData = item.findElement("HF_RowData_" + data.OsCislo.toString());
            //HF_rowData.value = JSON.stringify(data.RowData);

            for (var i in data.RowData) {
                var apt = VytvorApt(data.RowData[i]);
                var aptStart = apt.get_start();
                var aptEnd = apt.get_end();
                aptEnd = new Date(aptEnd.getTime() - 1);
                aptStart = aptStart < obdobiFirst ? obdobiFirst : aptStart;
                aptEnd = aptEnd > obdobiLast ? obdobiLast : aptEnd;

                var hsv = new RGBHexColour(apt.get_backColor()).getHSV();
                var border = new HSVColour(hsv.h, hsv.s, (hsv.v * 0.8)).getCSSHexadecimalRGB();
                for (var d = aptStart; d <= aptEnd; d = new Date(d.getTime() + timePerDay)) {
                    var Holder = item.findElement("holder_" + data.OsCislo.toString() + "_d" + d.getDate().toString());
                    if (Holder) {
                        Holder.innerHTML = Holder.innerHTML +
                    '<span title="' + apt.get_toolTip() + '" ' +
                    'style="background-color: ' + apt.get_backColor() + '; ' +
                    'border-color: ' + border + ';" ' +
                    'class="smena smenae"' +
                    'ondblclick="OnDblClickSpan(this, \'' + apt.get_id() + '\', ' + item.get_itemIndexHierarchical() + ', [' + d.getFullYear() + ',' + d.getMonth() + ',' + d.getDate() + '])"' +
                    '></span>';
                    }
                }
            }
            for (var d = obdobiFirst; d <= obdobiLast; d = new Date(d.getTime() + timePerDay)) {
                var cell = item.get_cell("d" + d.getDate().toString()).className = "daycss";
            }
        }
        var svatky;
        function TRG_kalendar_OnDataBound(sender, args) {
            var items = sender.get_masterTableView().get_dataItems();
            if (items[0]) {
                svatky = items[0].get_dataItem().Svatky;
            }
            var masterTableView = sender.get_masterTableView();
            var calendar = $find("<%=RC_obdobi.ClientID %>");
            var caldatetrip = calendar.get_focusedDate();
            var obdobiFirst = getObdobiFirst(new Date(caldatetrip[0], caldatetrip[1] - 1, caldatetrip[2]));
            var obdobiLast = getObdobiLast(obdobiFirst);
            for (var i = 1; i <= 31; i += 1) {
                var column = masterTableView.getColumnByUniqueName("d" + i.toString());
                if (i > obdobiLast.getDate()) {
                    if (column.get_visible()) {
                        masterTableView.hideColumn(column.get_element().cellIndex + 3);
                    }
                }
                else {
                    if (!column.get_visible()) {
                        masterTableView.showColumn(column.get_element().cellIndex + 3);
                    }

                    var curDate = new Date(caldatetrip[0], caldatetrip[1] - 1, i);
                    if (column.get_element().childNodes[3]) {
                        var label = $get(column.get_element().childNodes[3].id);
                        label.innerText = calendar._formatInfoArray[1][curDate.getDay()];
                    }
                    var je_svatek = false;
                    if (svatky) {
                        svatky.forEach(function (element, index, array) {
                            var datum = new Date(element[0], element[1] - 1, element[2]);
                            if (datum.getDate() == curDate.getDate() &&
                                datum.getMonth() == curDate.getMonth() &&
                                datum.getFullYear() == curDate.getFullYear())
                                je_svatek = true;
                        });
                    }
                    if (curDate.getDay() == 0 || curDate.getDay() == 6 || je_svatek) {
                        addClass(column.get_element(), "hedSvatek");
                        addClass(column.get_element(), "sudItemSvatek");
                        var element = column.get_element();
                        for (var y in masterTableView.get_dataItems()) {
                            var cell = masterTableView.get_dataItems()[y].get_cell("d" + i.toString());
                            if (y % 2 == 0) {
                                addClass(cell, "sudItemSvatek");
                            }
                            else {
                                addClass(cell, "lichItemSvatek");
                            }
                        }
                    }
                    else {
                        column.get_element().classList.remove("hedSvatek");
                        column.get_element().classList.remove("sudItemSvatek");
                        for (var y in masterTableView.get_dataItems()) {
                            var cell = masterTableView.get_dataItems()[y].get_cell("d" + i.toString());
                            cell.classList.remove("sudItemSvatek");
                            cell.classList.remove("lichItemSvatek");
                        }
                    }
                }
            }
            _gridLastBoundedDate = caldatetrip;
            resizeToFit(sender);
            $find("<%= RadAjaxLoadingPanel1.ClientID %>").hide("<%= RadMultiPage1.ClientID %>");

            if (isExporting) {
                var cem = $find("<%=RCEM_manager.ClientID%>");
                var grid = $find("<%=TRG_kalendar.ClientID %>")
                var view = grid.get_masterTableView();
                var items = view.get_dataItems();
                var gridelement = grid.get_element();
                var headerelement = gridelement.getElementsByClassName("rgHeaderDiv")[0].getElementsByTagName("thead")[0].cloneNode(true);
                var html_header = headerelement.getElementsByTagName("tr")[0].innerHTML;
                html_header = html_header.replace("<th ", "<td ");
                html_header = html_header.replace("</th>", "</td>");

                var sirka = 0;
                var vyska = 0;

                pridaneIndexy = [];

                for (var i = 0; i < items.length; i++) {
                    var item = items[i];
                    var bounds = $telerik.getBounds(item.get_element());
                    var sirka = bounds.width;
                    var vyska = vyska + bounds.height;
                    if ((297 / 210 < vyska / sirka) || (i == 0)) {
                        if (i != 0) {
                            var sirka = 0;
                            var vyska = 0;
                            item.addCssClass("pageBreak");
                        }
                        i++;
                    }
                    else {
                        item.removeCssClass("pageBreak");
                    }
                }

                for (var i = 0; i < items.length; i++) {
                    var item = items[i];
                    item._itemIndex = i;
                    item._itemIndexHierarchical = i;
                }
                var printelement = view.get_element();
                cem.exportPDF(printelement);

                isExporting = false;
            }
        }

        var pridaneIndexy = new Array();

        function RCEM_manager_PdfExported(sender, args) {
            var grid = $find("<%=TRG_kalendar.ClientID %>")
            var view = grid.get_masterTableView();

            view.set_pageSize(pagesize);
        }

        function resizeToFit(grid) {
            var columns = grid.get_masterTableView().get_columns();
            for (var i = 0; i < columns.length; i++) {
                var name = columns[i].get_uniqueName()
                try {
                    columns[i].resizeToFit(true, false);
                } catch (e) { };
                //if (name == "OsCislo") {
                //    if (grid.get_masterTableView().get_isFilterItemVisible()) {
                //        grid.get_masterTableView().resizeColumn(i, 90);
                //    }
                //    else {
                //        grid.get_masterTableView().resizeColumn(i, 50);
                //    }
                //}
                //if (name == "kmen_str_cislo") {
                //    if (grid.get_masterTableView().get_isFilterItemVisible()) {
                //        grid.get_masterTableView().resizeColumn(i, 90);
                //    }
                //    else {
                //        grid.get_masterTableView().resizeColumn(i, 40);
                //    }
                //}
                if (grid.get_masterTableView().get_isFilterItemVisible()) {
                    var el = columns[i].get_element();
                    var min = 25;
                    min = name == "OsCislo" ? 95 : min;
                    min = name == "Jmeno" ? 95 : min;
                    min = name == "kmen_str_cislo" ? 95 : min;
                    min = name == "kmen_str" ? 95 : min;
                    if (columns[i].get_visible() == true) {
                        if (el.offsetWidth < min) {
                            grid.get_masterTableView().resizeColumn(i, min - 5);
                        }
                    }
                    else {
                        grid.get_masterTableView().resizeColumn(i, 0);
                    }
                }
                //nastavení šířky sloupce pro den
                if (name[0] == "d") {
                    grid.get_masterTableView().resizeColumn(i, 27);
                }
            }
            grid.repaint();
            //$(document).ready(function fn() { $(".riTextBox").css("width", "80%"); });
        }
        function addClass(element, trida) {
            if (!element.classList.contains(trida))
                element.classList.add(trida);
        }
        function VytvorApt(data) {
            var apt = new Telerik.Web.UI.SchedulerAppointment();
            apt.set_start(new Date(data.Start[0], data.Start[1] - 1, data.Start[2], data.Start[3], data.Start[4], data.Start[5]));
            apt.set_end(new Date(data.End[0], data.End[1] - 1, data.End[2], data.End[3], data.End[4], data.End[5]));
            apt.set_subject(data.Subject);
            apt.set_description(data.Description);
            apt.get_attributes().setAttribute("AppointmentColor", data.BColor);
            apt.set_backColor(data.BColor);
            apt.set_allowDelete(false);
            apt.set_allowEdit(false);
            apt.set_toolTip(apt.get_description());
            apt._id = data.ID;
            for (var i in data.Resources) {
                var datares = data.Resources[i];
                var res = new Telerik.Web.UI.SchedulerResource();
                res.set_type(datares.Type);
                res.set_key(datares.Key);
                apt.get_resources().add(res);
            }

            return apt;
        }

        function RadTabStrip1_TabSelected(sender, args) {
            if (args.get_tab().get_index() == 0) {
                rebindScheduler();
            }
            if (args.get_tab().get_index() == 1) {
                if (isPageLoaded)
                    rebindGrid();
            }
        }

        var SchedulerNavigationCompleteAlreadyOccurred = false;
        function RadScheduler1_NavigationComplete(sender, args) {
            //debugger;
            SchedulerNavigationCompleteAlreadyOccurred = true;
            var selectedDate = sender.get_selectedDate();
            var calendar = $find("<%=RC_obdobi.ClientID %>");
            _setHF(selectedDate);
            calendar.navigateToDate([selectedDate.format("yyyy"), selectedDate.format("MM"), selectedDate.format("dd")]);

            setShedulerStyles(sender);
        }
        function setShedulerStyles(sender) {
            var scheduler = sender;
            var schedulerElement = scheduler.get_element();
            $telerik.$(".rsTopWrap .rsContentTable td", schedulerElement).each(function () {
                var slot = scheduler.get_activeModel().getTimeSlotFromDomElement(this);
                var today = new Date();
                if (je_svatek(slot.get_startTime())) {
                    slot.get_domElement().classList.add("ksSvatek");
                    slot.get_domElement().classList.remove("ksSobota");
                    slot.get_domElement().classList.remove("ksNedele");
                }
                else {
                    slot.get_domElement().classList.remove("ksSvatek");
                    if (slot.get_startTime().getDay() == 6) {
                        slot.get_domElement().classList.add("ksSobota");
                    }
                    else {
                        slot.get_domElement().classList.remove("ksSobota");
                    }
                    if (slot.get_startTime().getDay() == 0) {
                        slot.get_domElement().classList.add("ksNedele");
                    }
                    else {
                        slot.get_domElement().classList.remove("ksNedele");
                    }
                }
                if (slot.get_startTime().getFullYear() == today.getFullYear() &&
                    slot.get_startTime().getMonth() == today.getMonth() &&
                    slot.get_startTime().getDate() == today.getDate()) {
                    if (slot.get_isAllDay())
                        slot.get_domElement().classList.add("ksToday");
                    else
                        slot.get_domElement().classList.add("ksTodayPart");
                }
                else {
                    if (slot.get_isAllDay())
                        slot.get_domElement().classList.remove("ksToday");
                    else
                        slot.get_domElement().classList.remove("ksTodayPart");
                }
            });
        }
        function je_svatek(datum) {
            var svat = get_svatky();
            var ret = false;
            var BreakException = {};
            if (svat)
                try {
                    svat.forEach(function (item, index) {
                        if (datum.getFullYear() == item[0] && (datum.getMonth() + 1) == item[1] && datum.getDate() == item[2]) {
                            ret = true;
                            throw BreakException;
                        }
                    });
                }
                catch (e) {
                    if (e !== BreakException) throw e;
                }
            return ret;
        }
        function get_svatky() {
            var svStr = $get("<%=HF_svatky.ClientID %>").value;
            if (svStr)
                try {
                    return $telerik.$.parseJSON($get("<%=HF_svatky.ClientID %>").value);
                }
                catch (err) {
                    return null;
                }
            else
                return null;
        }
        function RC_obdobi_OnCalendarViewChanged(sender, args) {
            //debugger;
            var dateTriplet = sender.get_focusedDate();

            if (!SchedulerNavigationCompleteAlreadyOccurred) {
                var selectedDate = new Date(dateTriplet[0], dateTriplet[1] - 1, dateTriplet[2]);
                var scheduler = $find("<%=RadScheduler1.ClientID %>");
                scheduler.set_selectedDate(selectedDate);
                _setHF(selectedDate);
                setShedulerStyles(scheduler);
            }

            SchedulerNavigationCompleteAlreadyOccurred = false;
            if (isPageLoaded)
                rebindGrid();
        }

        function RC_obdobi_OnDateSelected(sender, args) {
            //debugger;
            var selectedDateTriplet = sender.get_selectedDates()[0];
            if (selectedDateTriplet) {

                var selectedDate = new Date(selectedDateTriplet[0], selectedDateTriplet[1] - 1, selectedDateTriplet[2]);
                var scheduler = $find("<%=RadScheduler1.ClientID %>");
                scheduler.set_selectedDate(selectedDate);
                _setHF(selectedDate);
            }
        }
        function _setHF(selectedDate) {
            var HF_sel_date = $get("<%=HF_sel_date.ClientID %>");
            HF_sel_date.value = "[" + selectedDate.format("yyyy") + "," + selectedDate.format("MM") + "," + selectedDate.format("dd") + "]";
        }
        function RC_obdobi_OnLoad(sender, args) {
            //debugger;
            _bindScheduler = true;
            RC_obdobi_OnCalendarViewChanged(sender, args);
        }

        function RC_obdobi_OnInit(sender, args) {
            //debugger;
        }
        function OnDblClickSpan(sender, id, i, datetrip) {
            var data = $find("<%=TRG_kalendar.ClientID %>").get_masterTableView().get_dataItems()[i].get_dataItem().RowData;
            var aptdata;
            data.some(function (element, index, array) {
                if (element.ID === id) {
                    aptdata = element;
                    return true;
                }
            });
            if (aptdata) {
                //debugger;
                var apt = VytvorApt(aptdata);
                if (apt) {
                    var oschanged = false;
                    var os_cisla_list = KSMaster.getListOcCp();
                    apt.get_resources().forEach(function (element, index, array) {
                        if (element.get_type() === "Zamestnanci") {
                            if (KSMaster.addPairToOcCp(element.get_key(), -1, true)) {
                                oschanged = true;
                            }
                        }
                    });
                    if (oschanged) {
                        var callBack = function () {
                            afterOnDblClickSpan(apt, datetrip, oschanged, os_cisla_list);
                        };

                        KSMaster.saveListOcCpToGlobals(sender, null, callBack);
                    }
                    else {
                        afterOnDblClickSpan(apt, datetrip, oschanged, os_cisla_list);
                    }
                }
            }
        }
        //pokrakračování předchozí funkce, mezitím proběhlo uložení do globals
        function afterOnDblClickSpan(apt, datetrip, oschanged, os_cisla_list) {
            var scheduler = $find("<%=RadScheduler1.ClientID %>");
            var RTS = $find('<%=RadTabStrip1.ClientID %>');

            _bindScheduler = false;
            RTS.findTabByValue("shed").set_selected(true);
            scheduler.set_selectedView(Telerik.Web.UI.SchedulerViewType.DayView);
            scheduler.set_selectedDate(new Date(datetrip[0], datetrip[1], datetrip[2]));

            _bindScheduler = true;
            rebindScheduler();

            scheduler.showAdvancedEditForm(apt);

            if (oschanged) {
                KSMaster.setListOcCp(KSMaster.HF_sel_cislo_pom_list, os_cisla_list);
                KSMaster.saveListOcCpToGlobals();
            }
        }
        function getObdobiFirst(date) {
            var year = date.getFullYear();
            var month = date.getMonth();
            var date = 1;

            return new Date(year, month, date);
        }
        function getObdobiLast(date) {
            var year = date.getFullYear();
            var month = date.getMonth();
            var date = 1;

            int_d = new Date(year, month + 1, date);
            return new Date(int_d - 1);
        }
        function TRB_rebind_Clicked(sender, args) {
            rebindGrid(true);
        }
        function TRB_ch_CheckedChanged(sender, args) {
            var table = $find("<%=TRG_kalendar.ClientID %>");
            var masterTable = table.get_masterTableView();
            if (args.get_checked()) {
                masterTable.showFilterItem();
            }
            else {
                masterTable.clearFilter();
                masterTable.hideFilterItem();
            }
            resizeToFit(table);
        }

        function TRB_ch_primi_CheckedChanged(sender, args) {
            _primi = args.get_checked();
            rebindGrid(true);
            KSMaster._WSZloaded = false;
            KSMaster.loadSZ();
        }

        function TRB_ch_primi_Load(sender, args) {
            _primi = sender.get_checked();
        }
        var isExporting = false;
        var pagesize = 30;
        function TRB_ExportPdf_Clicked(sender, args) {
            //debugger;
            var grid = $find("<%=TRG_kalendar.ClientID %>")
            var view = grid.get_masterTableView();

            pagesize = view.get_pageSize();
            isExporting = true;
            view.set_pageSize(10000);
        }
        //        function TRB_export_OnClick(sender, args) {
        //            debugger;
        //            addSelectedKalendareToArray();
        //            addSelectedPozadavkyToArray();

        //            PageMethods.ExportAppointments(Kalendare, Pozadavky, Stavy);

        //            Kalendare = new Array();
        //            Pozadavky = new Array();
        //            Stavy = new Array();
        //            
        //        }
        //]]>
    </script>
</telerik:RadScriptBlock>
<telerik:RadFormDecorator ID="RadFormDecorator1" runat="server" DecorationZoneID="RadSplitter1" />
<telerik:RadScriptBlock ID="RadScriptBlock2" runat="server">
    <script type="text/javascript">
        //<![CDATA[
        //Workaround:
        var removeCssClass = Sys.UI.DomElement.removeCssClass;
        Telerik.Web.UI.RadFormDecorator.prototype.set_elementDisabled = function (element, val) {
            var actor = element;
            var nextSibling = element.nextSibling;
            var type = element.type;

            if ((type == "checkbox" || type == "radio") && nextSibling && nextSibling.tagName == "LABEL") {
                actor = nextSibling;
            }
            else if (type == "button" || type == "reset" || type == "submit" || element.tagName == "BUTTON") {
                var parent = element.parentNode;
                if (parent && parent.tagName == "A") {
                    actor = parent;
                    parent.disabled = val;
                }
            }
            try {
                if (val) addCssClass(actor, "rfdInputDisabled");
                else removeCssClass(actor, "rfdInputDisabled");
            } catch (e) {
            }
            try {
                if (!val && $telerik.isIE && actor.parentNode.disabled) {
                    actor.parentNode.disabled = val;
                }
            } catch (e) {
            }
        }
        //]]>
    </script>
</telerik:RadScriptBlock>
<telerik:RadAjaxManagerProxy runat="server" ID="RadAjaxManagerProxy18">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="TRB_export">
            <UpdatedControls>
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="checkExportMailks">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="checkExportICS" />
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="TRG_kalendar">
            <UpdatedControls>
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>
<telerik:RadClientExportManager ID="RCEM_manager" runat="server"
    OnClientPdfExported="RCEM_manager_PdfExported">
    <PdfSettings PageBreakSelector=".pageBreak" MarginRight="10mm" Landscape="false" MarginBottom="10mm" MarginTop="10mm" MarginLeft="10mm" />
</telerik:RadClientExportManager>
<telerik:RadPersistenceManagerProxy ID="RPMP_cal_cont" runat="server">
    <PersistenceSettings>
        <telerik:PersistenceSetting ControlID="TRG_kalendar" />
    </PersistenceSettings>
</telerik:RadPersistenceManagerProxy>
<asp:Panel ID="P_HF" runat="server" CssClass="hidden">
</asp:Panel>
<telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Transparency="70" />
<%--<telerik:RadButton ID="RadButton1" runat="server" Text="RadButton" OnClick="RadButton1_Click">
</telerik:RadButton>--%>
<asp:ObjectDataSource ID="ODS_kal" runat="server" OldValuesParameterFormatString="original_{0}"
    SelectMethod="TypyKalendaru" TypeName="KSProgram.Reminder.ZamKalendar"></asp:ObjectDataSource>
<asp:ObjectDataSource ID="ODS_poz" runat="server" OldValuesParameterFormatString="original_{0}"
    SelectMethod="TypyPozadavku" TypeName="KSProgram.Reminder.ZamKalendar"></asp:ObjectDataSource>
<asp:HiddenField ID="HF_sel_date" runat="server" />
<asp:HiddenField ID="HF_svatky" runat="server" />
<telerik:RadTabStrip ID="RadTabStrip1" runat="server" MultiPageID="RadMultiPage1" CssClass="rts-RadTabStrip1"
    OnClientTabSelected="RadTabStrip1_TabSelected" SelectedIndex="0" CausesValidation="false">
    <Tabs>
        <telerik:RadTab PageViewID="RPV_Sheduler" Text="[%Kalendář%]" PostBack="False"
            Selected="true" Value="shed">
        </telerik:RadTab>
        <telerik:RadTab PageViewID="RPV_Grid" Text="[%Seznam%]" PostBack="False" Value="grid">
        </telerik:RadTab>
    </Tabs>
</telerik:RadTabStrip>
<telerik:RadSplitter ID="RadSplitter1" runat="server" Height="100%" Width="100%"
    SplitBarsSize="" BackColor="white">
    <telerik:RadPane ID="RadPane1" runat="server" Width="220" MinWidth="220" Scrolling="None">
        <telerik:RadSplitter ID="RadSplitter2" runat="server" Height="100%" Width="100%"
            Orientation="Horizontal">
            <telerik:RadPane ID="RadPane3" runat="server" Scrolling="None" Height="252px" BackColor="White">
                <kspwc:TRadCalendar runat="server" ID="RC_obdobi" EnableMultiSelect="false" DayNameFormat="FirstTwoLetters" RenderMode="Lightweight"
                    EnableNavigation="true" EnableMonthYearFastNavigation="true">
                    <ClientEvents OnCalendarViewChanged="RC_obdobi_OnCalendarViewChanged" OnDateSelected="RC_obdobi_OnDateSelected"
                        OnLoad="RC_obdobi_OnLoad" OnInit="RC_obdobi_OnInit" />
                </kspwc:TRadCalendar>
            </telerik:RadPane>
            <telerik:RadSplitBar ID="RadSplitbar2" runat="server" CollapseMode="Forward" EnableResize="false">
            </telerik:RadSplitBar>
            <telerik:RadPane ID="RadPane4" runat="server" Scrolling="Y">
                <telerik:RadPanelBar runat="server" ID="RPB_typy_kal" Width="100%" CssClass="rpTempPadd">
                    <Items>
                        <telerik:RadPanelItem Text="[%Kalendáře%]" Expanded="True" Selected="true">
                            <ContentTemplate>
                                <div>
                                    <asp:Repeater ID="R_kal" runat="server" DataSourceID="ODS_kal">
                                        <ItemTemplate>
                                            <asp:Panel ID="P_kal" runat="server" BackColor='<%# Eval("BColor") %>' CssClass="kalItem">
                                                <label>
                                                    <input id="chkKalendar<%# Eval("Value") %>" type="checkbox" onclick="rebindScheduler(true)"
                                                        value='<%# Eval("Value") %>' checked="checked" />
                                                    <label>
                                                        <%# Eval("Text") %>
                                                    </label>
                                                </label>
                                            </asp:Panel>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </div>
                                <br />
                            </ContentTemplate>
                        </telerik:RadPanelItem>
                        <telerik:RadPanelItem Text="[%Požadavky%]" Expanded="True" Selected="true">
                            <ContentTemplate>
                                <div>
                                    <asp:Repeater ID="R_poz" runat="server" DataSourceID="ODS_poz">
                                        <ItemTemplate>
                                            <asp:Panel ID="P_poz" runat="server" BackColor='<%# Eval("BColor") %>' CssClass="kalItem">
                                                <label>
                                                    <input id="chkPozadavek<%# Eval("Value") %>" type="checkbox" onclick="rebindScheduler(true)"
                                                        value='<%# Eval("Value") %>' checked="checked" />
                                                    <label>
                                                        <%# Eval("Text") %>
                                                    </label>
                                                </label>
                                            </asp:Panel>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </div>
                                <br />
                                <div>
                                    <div runat="server" id="P_stav_n" style="background-color: #CCCCCC">
                                        <label>
                                            <input id="chkTypPozN" type="checkbox" onclick="rebindScheduler(true)" value='n'
                                                checked="checked" />
                                            <label>
                                                [%Nový%]
                                            </label>
                                        </label>
                                    </div>
                                    <div runat="server" id="P_stav_r" style="background-color: #CCCCCC">
                                        <label>
                                            <input id="chkTypPozR" type="checkbox" onclick="rebindScheduler(true)" value='r'
                                                checked="checked" />
                                            <label>
                                                [%Běžící%]
                                            </label>
                                        </label>
                                    </div>
                                    <div runat="server" id="P_stav_s" style="background-color: #CCCCCC">
                                        <label>
                                            <input id="chkTypPozS" type="checkbox" onclick="rebindScheduler(true)" value='s' />
                                            <label>
                                                [%Zamítnutý%]
                                            </label>
                                        </label>
                                    </div>
                                    <div runat="server" id="P_stav_o" style="background-color: #CCCCCC">
                                        <label>
                                            <input id="chkTypPozO" type="checkbox" onclick="rebindScheduler(true)" value='o'
                                                checked="checked" />
                                            <label>
                                                [%Schválený%]
                                            </label>
                                        </label>
                                    </div>
                                </div>
                                <br />
                            </ContentTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelBar>
                <table style="width:100%">
                     <tr><td>
                         <asp:CheckBox runat="server" ID="checkExportICS" Enabled="false" />
                         </td>
                            <td>

                                <kspwc:TRadButton Width="100%" ID="checkExportMailks" runat="server" Text="[%Zasílat ICS emailem%]" OnClick="checkExportMailks_CheckedChanged"></kspwc:TRadButton>
                            </td>
                        </tr>
                </table>
                <asp:Panel ID="P_export" runat="server">
                    <table>
                        <tr>
                            <td>
                                <kspwc:TRadButton ID="TRB_export" runat="server" Text="iCalendar Export" OnCommand="TRB_export_OnCommand"
                                    CssClass="no-block-ui" CausesValidation="false">
                                </kspwc:TRadButton>
                            </td>
                            <td>
                                <kspwc:TRadComboBox ID="TRCB_export_delka_obdobi" runat="server" Width="90" DropDownAutoWidth="Enabled">
                                    <Items>
                                        <telerik:RadComboBoxItem Text="[%Týden%]" Value="t" />
                                        <telerik:RadComboBoxItem Text="[%Měsíc%]" Selected="True" Value="m" />
                                        <telerik:RadComboBoxItem Text="[%Rok%]" Value="r" />
                                    </Items>
                                </kspwc:TRadComboBox>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </telerik:RadPane>
        </telerik:RadSplitter>
    </telerik:RadPane>
    <telerik:RadSplitBar ID="RadSplitbar1" runat="server" CollapseMode="Forward" EnableResize="false">
    </telerik:RadSplitBar>
    <telerik:RadPane ID="Radpane2" runat="server" MinWidth="550" Width="100%">
        <telerik:RadMultiPage ID="RadMultiPage1" runat="server" SelectedIndex="0" Height="100%" Width="100%">
            <telerik:RadPageView ID="RPV_Sheduler" runat="server" Selected="true" Height="100%" Width="100%">
                <telerik:RadScheduler runat="server" ID="RadScheduler1" RenderMode="Lightweight" Height="100%" Width="100%" OverflowBehavior="Expand"
                    SelectedView="MonthView" FirstDayOfWeek="Monday" LastDayOfWeek="Sunday" EnableDescriptionField="True"
                    OnResourcesPopulating="RadScheduler1_ResourcesPopulating" OnDataBound="RadScheduler1_DataBound"
                    OnClientResourcesPopulating="RS1_ResourcesPopulating"
                    OnClientAppointmentsPopulating="RadScheduler1_AppointmentsPopulating" OnClientAppointmentsPopulated="RadScheduler1_AppointmentsPopulated"
                    OnClientDataBound="RS_DataBound"
                    
                    OnClientTimeSlotContextMenuItemClicking="RadScheduler1_ContextMenuItemClicking"
                    OnClientRequestFailed="RadScheduler1_RequestFailed" OnClientRequestSuccess="RadScheduler1_RequestSuccess"
                    OnClientAppointmentDataBound="OnClientAppointmentDataBound" AppointmentStyleMode="Default"
                    OnClientFormCreated="schedulerFormCreated" OnClientNavigationComplete="RadScheduler1_NavigationComplete"
                    DayStartTime="06:00:00" EnableRecurrenceSupport="True" CssClass="ksRadSheduler"
                    WorkDayEndTime="18:00:00" WorkDayStartTime="06:00:00" ShowAllDayRow="True"
                    ShowFullTime="True" RowHeight="25px" HoursPanelTimeFormat="H:mm"
                    StartInsertingInAdvancedForm="true" StartEditingInAdvancedForm="true">
                    <AdvancedForm EnableTimeZonesEditing="false" />
                    <ExportSettings>
                        <Pdf PageBottomMargin="1in" PageLeftMargin="1in" PageRightMargin="1in" PageTopMargin="1in" />
                    </ExportSettings>
                    <AdvancedForm Enabled="True" Modal="true" EnableTimeZonesEditing="true" />
                    <ResourceTypes>
                        <telerik:ResourceType KeyField="Kalendare" Name="Kalendare" TextField="Kalendář" />
                        <telerik:ResourceType AllowMultipleValues="True" KeyField="Zamestnanci" Name="Zamestnanci"
                            TextField="Zaměstnanec" />
                    </ResourceTypes>
                    <Reminders Enabled="false" />
                    
                    <DayView DayStartTime="06:00:00" UserSelectable="true" />
                    <WeekView HeaderDateFormat="D" />
                    <MonthView UserSelectable="true" VisibleAppointmentsPerDay="6" HeaderDateFormat="MMMM, yyyy" FirstDayHeaderDateFormat="d. MMMM" ColumnHeaderDateFormat="dddd" DayHeaderDateFormat="d." />
                    <AgendaView UserSelectable="true" HeaderDateFormat="D" />
                    <TimelineView UserSelectable="false" HeaderDateFormat="D" />
                    <MultiDayView UserSelectable="false"/>
                    <YearView UserSelectable="true" />
                    <WebServiceSettings Path="../PrivateWebServices/SchedulerWebService.asmx" ResourcePopulationMode="ClientSide">
                    </WebServiceSettings>
                    <AdvancedInsertTemplate>
                        <scheduler:AdvancedForm runat="server" ID="AdvancedInsertForm1" Mode="Insert" />
                    </AdvancedInsertTemplate>
                    <AdvancedEditTemplate>
                        <scheduler:AdvancedForm ID="AdvancedEditForm1" runat="server" Mode="Edit" />
                    </AdvancedEditTemplate>
                    <Localization HeaderYear="[%Rok%]" />
                </telerik:RadScheduler>
            </telerik:RadPageView>
            <telerik:RadPageView ID="RPV_Grid" runat="server" Height="100%" Width="100%">
                <%--<asp:Panel ID="P_Grid" runat="server" Height="100%">--%>
                <kspwc:TRadGrid ID="TRG_kalendar" runat="server" AllowPaging="True" AllowSorting="True"
                    GroupPanelPosition="Top" AutoGenerateColumns="False"
                    AllowFilteringByColumn="True" Height="100%" Width="100%"
                    CssClass="GridNoBorder trg-kalendar" IsExporting="False"
                    OnExportCellFormatting="TRG_kalendar_ExportCellFormatting"
                    OnInfrastructureExporting="TRG_kalendar_InfrastructureExporting"
                    OnHTMLExporting="TRG_kalendar_HTMLExporting"
                    OnGridExporting="TRG_kalendar_GridExporting"
                    OnItemDataBound="TRG_kalendar_ItemDataBound">
                    <GroupingSettings CaseSensitive="False" CollapseAllTooltip="Collapse all groups" />
                    <ClientSettings AllowDragToGroup="True">
                        <ClientEvents OnDataBinding="TRG_kalendar_OnDataBinding" OnDataBound="TRG_kalendar_OnDataBound"
                            OnGridCreated="TRG_kalendar_OnGridCreated" OnRowDataBound="TRG_kalendar_OnRowDataBound" />
                        <Scrolling AllowScroll="True" ScrollHeight="" UseStaticHeaders="true" />
                        <DataBinding FilterParameterType="Linq" Location="../PrivateWebServices/SchedulerWebService.asmx"
                            SelectMethod="GetKalendareZamestnancu" ShowEmptyRowsOnLoad="False" SortParameterType="Linq">
                        </DataBinding>
                        <Resizing AllowColumnResize="True" AllowResizeToFit="True" EnableRealTimeResize="False"
                            ResizeGridOnColumnResize="False" />
                    </ClientSettings>
                    <MasterTableView CommandItemDisplay="Top" EnableHeaderContextMenu="False" PageSize="30" CssClass="pdfExport">
                        <PagerStyle AlwaysVisible="True" PageSizes="10;20;30;50;100" />
                        <CommandItemTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <kspwc:GridCommandItemControl ID="TGridCommandItemControl1" runat="server">
                                            <FilterButton ID="FilterButton1" runat="server" AutoPostBack="False" OnClientCheckedChanged="TRB_ch_CheckedChanged">
                                            </FilterButton>
                                            <PrimiPodrizeniButton ID="PrimiPodrizeniButton1" runat="server" AutoPostBack="False"
                                                OnClientCheckedChanged="TRB_ch_primi_CheckedChanged" OnClientLoad="TRB_ch_primi_Load"
                                                Visible="true">
                                            </PrimiPodrizeniButton>
                                            <RebindButton ID="RebindButton1" runat="server" AutoPostBack="False" OnClientClicked="TRB_rebind_Clicked">
                                            </RebindButton>
                                            <ExportButton runat="server" ID="TRG_kalendar_Export_Button" Visible="True" ShowExportToCsvItem="false"
                                                ShowExportToExcelBIFFItem="false" ShowExportToExcelMLItem="false" ShowExportToExcelXlsxItem="false"
                                                ShowExportToPdfItem="false" ShowExportToWordDocxItem="false">
                                            </ExportButton>
                                        </kspwc:GridCommandItemControl>
                                    </td>
                                    <td>
                                        <kspwc:TRadButton ID="TRB_ExportPdf" runat="server" AutoPostBack="False" Text="[%Export do PDF%]"
                                            OnClientClicked="TRB_ExportPdf_Clicked" CssClass="hidden">
                                        </kspwc:TRadButton>
                                    </td>
                                </tr>
                            </table>
                        </CommandItemTemplate>
                        <ColumnGroups>
                            <telerik:GridColumnGroup Name="zam" HeaderText="[%Zaměstnanec%]">
                            </telerik:GridColumnGroup>
                            <telerik:GridColumnGroup Name="str" HeaderText="[%Kmenové středisko%]">
                            </telerik:GridColumnGroup>
                            <telerik:GridColumnGroup Name="mist" HeaderText="[%Pracovní místo%]">
                            </telerik:GridColumnGroup>
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridNumericColumn DataField="OsCislo" DataType="System.Decimal" DecimalDigits="0"
                                FilterControlAltText="Filter OsCislo column" FilterControlWidth="70" HeaderText="[%Os. číslo%]"
                                UniqueName="OsCislo" ColumnGroupName="zam">
                            </telerik:GridNumericColumn>
                            <telerik:GridBoundColumn DataField="Jmeno" FilterControlAltText="Filter Jmeno column"
                                HeaderText="[%Jméno%]" UniqueName="Jmeno" ColumnGroupName="zam">
                            </telerik:GridBoundColumn>
                            <%--<telerik:GridBoundColumn DataField="divize" 
                                        FilterControlAltText="Filter divize column" HeaderText="[%Divize%]" 
                                        UniqueName="divize">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="skup_str" 
                                        FilterControlAltText="Filter skup_str column" 
                                        HeaderText="[%Skupina středisek%]" UniqueName="skup_str">
                                    </telerik:GridBoundColumn>--%>
                            <telerik:GridBoundColumn DataField="kmen_str_cislo" FilterControlAltText="Filter kmen_str_cislo column"
                                HeaderText="[%Číslo%]" UniqueName="kmen_str_cislo" ColumnGroupName="str" FilterControlWidth="50">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="kmen_str" FilterControlAltText="Filter kmen_str column"
                                HeaderText="[%Název střediska%]" UniqueName="kmen_str" ColumnGroupName="str">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="cis_pracmist" FilterControlAltText="Filter cis_pracmist column"
                                HeaderText="[%Číslo místa%]" UniqueName="cis_pracmist" ColumnGroupName="mist" FilterControlWidth="50">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="naz_pracmist" FilterControlAltText="Filter naz_pracmist column"
                                HeaderText="[%Název místa%]" UniqueName="naz_pracmist" ColumnGroupName="mist">
                            </telerik:GridBoundColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d1" DataType="System.Int32"
                                FilterControlAltText="Filter d1 column" SortExpression="d1" UniqueName="d1">
                                <HeaderTemplate>
                                    1
                                    <br />
                                    <kspwc:TLabel ID="L_h1" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <%--<input name="HF_RowData_#= OsCislo #" id="HF_RowData_#= OsCislo #" type="hidden"/>--%>
                                        <div class="dayCell" id="holder_#= OsCislo #_d1"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d2" DataType="System.Int32"
                                FilterControlAltText="Filter d2 column" SortExpression="d2" UniqueName="d2">
                                <HeaderTemplate>
                                    2
                                    <br />
                                    <kspwc:TLabel ID="L_h2" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d2"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d3" DataType="System.Int32"
                                FilterControlAltText="Filter d3 column" SortExpression="d3" UniqueName="d3">
                                <HeaderTemplate>
                                    3
                                    <br />
                                    <kspwc:TLabel ID="L_h3" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d3"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d4" DataType="System.Int32"
                                FilterControlAltText="Filter d4 column" SortExpression="d4" UniqueName="d4">
                                <HeaderTemplate>
                                    4
                                    <br />
                                    <kspwc:TLabel ID="L_h4" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d4"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d5" DataType="System.Int32"
                                FilterControlAltText="Filter d5 column" SortExpression="d5" UniqueName="d5">
                                <HeaderTemplate>
                                    5
                                    <br />
                                    <kspwc:TLabel ID="L_h5" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d5"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d6" DataType="System.Int32"
                                FilterControlAltText="Filter d6 column" SortExpression="d6" UniqueName="d6">
                                <HeaderTemplate>
                                    6
                                    <br />
                                    <kspwc:TLabel ID="L_h6" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d6"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d7" DataType="System.Int32"
                                FilterControlAltText="Filter d7 column" SortExpression="d7" UniqueName="d7">
                                <HeaderTemplate>
                                    7
                                    <br />
                                    <kspwc:TLabel ID="L_h7" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d7"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d8" DataType="System.Int32"
                                FilterControlAltText="Filter d8 column" SortExpression="d8" UniqueName="d8">
                                <HeaderTemplate>
                                    8
                                    <br />
                                    <kspwc:TLabel ID="L_h8" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d8"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d9" DataType="System.Int32"
                                FilterControlAltText="Filter d9 column" SortExpression="d9" UniqueName="d9">
                                <HeaderTemplate>
                                    9
                                    <br />
                                    <kspwc:TLabel ID="L_h9" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d9"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d10" DataType="System.Int32"
                                FilterControlAltText="Filter d10 column" SortExpression="d10" UniqueName="d10">
                                <HeaderTemplate>
                                    10
                                    <br />
                                    <kspwc:TLabel ID="L_h10" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d10"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d11" DataType="System.Int32"
                                FilterControlAltText="Filter d11 column" SortExpression="d11" UniqueName="d11">
                                <HeaderTemplate>
                                    11
                                    <br />
                                    <kspwc:TLabel ID="L_h11" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d11"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d12" DataType="System.Int32"
                                FilterControlAltText="Filter d12 column" SortExpression="d12" UniqueName="d12">
                                <HeaderTemplate>
                                    12
                                    <br />
                                    <kspwc:TLabel ID="L_h12" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d12"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d13" DataType="System.Int32"
                                FilterControlAltText="Filter d13 column" SortExpression="d13" UniqueName="d13">
                                <HeaderTemplate>
                                    13
                                    <br />
                                    <kspwc:TLabel ID="L_h13" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d13"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d14" DataType="System.Int32"
                                FilterControlAltText="Filter d14 column" SortExpression="d14" UniqueName="d14">
                                <HeaderTemplate>
                                    14
                                    <br />
                                    <kspwc:TLabel ID="L_h14" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d14"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d15" DataType="System.Int32"
                                FilterControlAltText="Filter d15 column" SortExpression="d15" UniqueName="d15">
                                <HeaderTemplate>
                                    15
                                    <br />
                                    <kspwc:TLabel ID="L_h15" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d15"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d16" DataType="System.Int32"
                                FilterControlAltText="Filter d16 column" SortExpression="d16" UniqueName="d16">
                                <HeaderTemplate>
                                    16
                                    <br />
                                    <kspwc:TLabel ID="L_h16" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d16"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d17" DataType="System.Int32"
                                FilterControlAltText="Filter d17 column" SortExpression="d17" UniqueName="d17">
                                <HeaderTemplate>
                                    17
                                    <br />
                                    <kspwc:TLabel ID="L_h17" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d17"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d18" DataType="System.Int32"
                                FilterControlAltText="Filter d18 column" SortExpression="d18" UniqueName="d18">
                                <HeaderTemplate>
                                    18
                                    <br />
                                    <kspwc:TLabel ID="L_h18" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d18"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d19" DataType="System.Int32"
                                FilterControlAltText="Filter d19 column" SortExpression="d19" UniqueName="d19">
                                <HeaderTemplate>
                                    19
                                    <br />
                                    <kspwc:TLabel ID="L_h19" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d19"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d20" DataType="System.Int32"
                                FilterControlAltText="Filter d20 column" SortExpression="d20" UniqueName="d20">
                                <HeaderTemplate>
                                    20
                                    <br />
                                    <kspwc:TLabel ID="L_h20" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d20"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d21" DataType="System.Int32"
                                FilterControlAltText="Filter d21 column" SortExpression="d21" UniqueName="d21">
                                <HeaderTemplate>
                                    21
                                    <br />
                                    <kspwc:TLabel ID="L_h21" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d21"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d22" DataType="System.Int32"
                                FilterControlAltText="Filter d22 column" SortExpression="d22" UniqueName="d22">
                                <HeaderTemplate>
                                    22
                                    <br />
                                    <kspwc:TLabel ID="L_h22" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d22"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d23" DataType="System.Int32"
                                FilterControlAltText="Filter d23 column" SortExpression="d23" UniqueName="d23">
                                <HeaderTemplate>
                                    23
                                    <br />
                                    <kspwc:TLabel ID="L_h23" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d23"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d24" DataType="System.Int32"
                                FilterControlAltText="Filter d24 column" SortExpression="d24" UniqueName="d24">
                                <HeaderTemplate>
                                    24
                                    <br />
                                    <kspwc:TLabel ID="L_h24" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d24"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d25" DataType="System.Int32"
                                FilterControlAltText="Filter d25 column" SortExpression="d25" UniqueName="d25">
                                <HeaderTemplate>
                                    25
                                    <br />
                                    <kspwc:TLabel ID="L_h25" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d25"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d26" DataType="System.Int32"
                                FilterControlAltText="Filter d26 column" SortExpression="d26" UniqueName="d26">
                                <HeaderTemplate>
                                    26
                                    <br />
                                    <kspwc:TLabel ID="L_h26" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d26"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d27" DataType="System.Int32"
                                FilterControlAltText="Filter d27 column" SortExpression="d27" UniqueName="d27">
                                <HeaderTemplate>
                                    27
                                    <br />
                                    <kspwc:TLabel ID="L_h27" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d27"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d28" DataType="System.Int32"
                                FilterControlAltText="Filter d28 column" SortExpression="d28" UniqueName="d28">
                                <HeaderTemplate>
                                    28
                                    <br />
                                    <kspwc:TLabel ID="L_h28" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d28"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d29" DataType="System.Int32"
                                FilterControlAltText="Filter d29 column" SortExpression="d29" UniqueName="d29">
                                <HeaderTemplate>
                                    29
                                    <br />
                                    <kspwc:TLabel ID="L_h29" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d29"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d30" DataType="System.Int32"
                                FilterControlAltText="Filter d30 column" SortExpression="d30" UniqueName="d30">
                                <HeaderTemplate>
                                    30
                                    <br />
                                    <kspwc:TLabel ID="L_h30" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d30"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn AllowFiltering="False" DataField="d31" DataType="System.Int32"
                                FilterControlAltText="Filter d31 column" SortExpression="d31" UniqueName="d31">
                                <HeaderTemplate>
                                    31
                                    <br />
                                    <kspwc:TLabel ID="L_h31" runat="server"></kspwc:TLabel>
                                </HeaderTemplate>
                                <ClientItemTemplate>
                                        <div class="dayCell" id="holder_#= OsCislo #_d31"></div>
                                </ClientItemTemplate>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                </kspwc:TRadGrid>
                <%--</asp:Panel>--%>
            </telerik:RadPageView>
        </telerik:RadMultiPage>
    </telerik:RadPane>
</telerik:RadSplitter>
<%--<telerik:RadScheduler ID="RS_GridForm" runat="server" CssClass="hidden">
    <ResourceTypes>
        <telerik:ResourceType TextField="Kalendář" Name="Kalendare" KeyField="Kalendare" />
        <telerik:ResourceType TextField="Zaměstnanec" Name="Zamestnanci" KeyField="Zamestnanci"
            AllowMultipleValues="True" />
    </ResourceTypes>
    <AdvancedEditTemplate>
        <scheduler:AdvancedForm runat="server" ID="AdvancedEditForm2" Mode="ReadOnly" />
    </AdvancedEditTemplate>
    <AdvancedInsertTemplate>
        <scheduler:AdvancedForm runat="server" ID="AdvancedInsertForm2" Mode="ReadOnly" />
    </AdvancedInsertTemplate>
</telerik:RadScheduler>--%>
