﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using KSProgram.WebControlsAlone;
using KSProgram.Systemizace;
using KSProgram;
using KSProgram.Funkce;
using System.Drawing;
using KSProgram.WebControls.Schema;

public partial class Controls_SchemaSettings : System.Web.UI.UserControl
{
   
    protected void Page_Load(object sender, EventArgs e)
    {
      
        if (!IsPostBack)
        {
            _naplnDropdown(DropDownList1);
            _naplnDropdown(DropDownList2);
            _naplnDropdown(DropDownList3);
            _naplnDropdown(DropDownList4);
            _naplnDropdown(DropDownList5);
            _naplnDropdown(DropDownList6);
        }
               
    }
    protected void ddl_typy_SelectedIndexChanged(object sender, EventArgs e)
    {
        string val = (string)((DropDownList)sender).SelectedValue;
        for (int i=0;i<mv_typ.Views.Count;i++)
        {
            if (mv_typ.Views[i].ID == val)
                mv_typ.ActiveViewIndex = i;
        }

      // ColorPicker bv=(ColorPicker) WebControlHelper.FindControl(this, "ColorPicker1");
    }

    private void createVzor(KSProgram.WebControls.Schema.SystemSchemaChlivek chlivek, bool enable_vyber)
    {
        KSProgram.WebControls.Schema.StrSystemSchemaParam parUpr = new KSProgram.WebControls.Schema.StrSystemSchemaParam();
        ChlivekRowCollection col=new ChlivekRowCollection();
        _naplnParametry(ref parUpr, ref col);
        chlivek.VyberZapnut = enable_vyber;
        chlivek.IdPracmista = parUpr.IdPracmista;
        chlivek.Datum = parUpr.Datum;
        //chlivek.ClearRadky();
        int vybrRadek=_najdiZaskrtnutyCheckBox();
        for (int i = 0; i < col.Count; i++)
        {
            ChlivekRowItem radek = new ChlivekRowItem();
            radek.Cislo = col[i].Cislo;
            radek.Poradi = i;
            if ((enable_vyber)&&(vybrRadek==i))
            {
                radek.BarvaPozadi=text_radky.BackColor;
                radek.BarvaTextu=text_radky.ForeColor;
                radek.Bold=text_radky.Bold;
                radek.FontFace=text_radky.Font;
                radek.FontSize=text_radky.FontSize;
                //radek.FontWeight=
                radek.HorAlign=text_radky.HorAlign;
                radek.Italic=text_radky.Italic;
                radek.Underline = text_radky.Underline;
         
            }
            chlivek.AddRadek(radek);
        }
        chlivek.ChlivekBarvaPozadi = parUpr.ChlivekBarvaPozadi;
        chlivek.ChlivekBarvaTextu = parUpr.ChlivekBarvaTextu;
        chlivek.SirkaChlivku = parUpr.SirkaChlivku;
        chlivek.Bold = parUpr.Bold;
        chlivek.HorAlign = parUpr.HorAlign;
        chlivek.Italic = parUpr.Italic;
        chlivek.Underline = parUpr.Underline;
        chlivek.SirkaChlivku = parUpr.SirkaChlivku;
        chlivek.FontFace = parUpr.FontFace;
        chlivek.FontSize = parUpr.FontSize;
        chlivek.FontWeight = parUpr.FontWeight;
        chlivek.DataBind();
    }

    protected void lb_nastavit_Command(object sender, CommandEventArgs e)
    {
        createVzor(chlivek_vzor, false);

    }

    private void _naplnParametry(ref KSProgram.WebControls.Schema.StrSystemSchemaParam parUpr, ref ChlivekRowCollection col_radku)
    {        
        parUpr.Nadpis = "Napis";
        parUpr.PodrizeneStromy = false;
        parUpr.PracmistUroven = 1;
        parUpr.PrvkuNa2urovni = 1;
        //parUpr.Radky = new List<StrSystemSchemaRadek>();

        int id_pracmista = 0;
        object[] o = new object[1];
        /*
        Prac_pom pp = new Prac_pom();
        int res = pp.GetPolozky(Globals.OsCisloAktUser, new String[1] { "id_pracmist" }, DateTime.Today.Date, out o);
         * */
        //PH 17.2.2015
        Prac_pom.GetPolozky(Globals.OsCisloAktUser, new String[1] { "id_pracmist" }, DateTime.Today.Date, out o);
        if (o.Length > 0)
            id_pracmista = Convert.ToInt32(o[0]);
        if (id_pracmista == 0) return;

        parUpr.IdPracmista = id_pracmista;
        parUpr.Datum = DateTime.Today.Date;

        _doplnRadky(col_radku, DropDownList1);
        _doplnRadky(col_radku, DropDownList2);
        _doplnRadky(col_radku, DropDownList3);
        _doplnRadky(col_radku, DropDownList4);
        _doplnRadky(col_radku, DropDownList5);
        _doplnRadky(col_radku, DropDownList6);


        string barvaBloku = text_prop.BackColor;
        if (!string.IsNullOrEmpty(SirkaInf.Text))
            parUpr.SirkaChlivku = Convert.ToInt32(SirkaInf.Text);

        parUpr.ChlivekBarvaPozadi = text_prop.BackColor;
        parUpr.ChlivekBarvaTextu = text_prop.ForeColor;

        parUpr.Position = "static";
        parUpr.FontFace = text_prop.Font;
        parUpr.FontSize = text_prop.FontSize;
        parUpr.Bold = text_prop.Bold;
        parUpr.HorAlign = text_prop.HorAlign;
        parUpr.Italic = text_prop.Italic;
        parUpr.Underline = text_prop.Underline;        
    }

    
    private ChlivekRowItem _getParamRadku(Int16 cislo)
    {
        ChlivekRowCollection radky = new ChlivekRowCollection();
        ChlivekRowItem r = new ChlivekRowItem();
        if (Session["ParamRadku"] != null)
        {
            radky = (ChlivekRowCollection)Session["ParamRadku"];
            for (int i = 0; i < radky.Count; i++)
                if (radky[i].Cislo == cislo)
                    return radky[i];
        }
        return r;
    }
   
    private void _setParamRadku(Int16 poradi, ChlivekRowItem r)
    {
        //List<StrSystemSchemaRadek> radky = new List<StrSystemSchemaRadek>();
        ChlivekRowCollection radky=new ChlivekRowCollection();
        if (Session["ParamRadku"] == null)
        {
            //radky = new List<StrSystemSchemaRadek>();
            r.Poradi = poradi;
        }
        else if (Session["ParamRadku"] != null)
        {
            //radky = (List<StrSystemSchemaRadek>)Session["ParamRadku"];
            for (int i = 0; i < radky.Count; i++)
                if (radky[i].Poradi == poradi)
                {
                    ChlivekRowItem rr = radky[i];
                    rr.BarvaPozadi = r.BarvaPozadi;
                    rr.BarvaTextu = r.BarvaTextu;
                    rr.Bold = r.Bold;
                    rr.FontFace = r.FontFace;
                    rr.FontSize = r.FontSize;
                    rr.HorAlign = r.HorAlign;
                    rr.Italic = r.Italic;
                    rr.Underline = r.Underline;
                    return;
                }
        }
        Session["ParamRadku"] = radky;
    }
     

    private void _doplnRadky(ChlivekRowCollection col, DropDownList list)
    {   
        ChlivekRowItem r=new ChlivekRowItem();
        if ((list.SelectedValue != "") && (list.SelectedValue != "0"))
        {
            r.Poradi = (short)col.Count;
            r.Cislo = Convert.ToInt16(DropDownList1.SelectedValue);
            ChlivekRowItem rr = _getParamRadku((short)r.Poradi);
            rr.BarvaPozadi = r.BarvaPozadi;
            rr.BarvaTextu = r.BarvaTextu;
            rr.Bold = r.Bold;
            rr.FontFace = r.FontFace;
            rr.FontSize = r.FontSize;
            rr.HorAlign = r.HorAlign;
            rr.Italic = r.Italic;
            rr.Underline = r.Underline;
            col.Add(r);
        }
    }

    private void _naplnDropdown(DropDownList ddl)
    {
        ddl.Items.Clear();

        ListItem item = new ListItem("[Prázdné]", "0");
        ddl.Items.Add(item);

        item = new ListItem("Systemizované číslo;Středisko", "10");
        ddl.Items.Add(item);
        /*
        item=new ListItem("Systemizované číslo;Středisko;Defin. počet podřízených", "11");
        ddl.Items.Add(item);
         * */

        item = new ListItem("Číslo a název pracovního místa", "20");
        ddl.Items.Add(item);

        item = new ListItem("Tarifní třída", "40");
        ddl.Items.Add(item);

        item = new ListItem("Požadovaný stupeň vzdělání", "15");
        ddl.Items.Add(item);

        item = new ListItem("Požadavek na ŘP skupiny B", "73");
        ddl.Items.Add(item);

        item = new ListItem("Požadavek na jazykové znalosti a jejich úroveň", "63");
        ddl.Items.Add(item);
        if (Zakaznik.IsCurrent("MOR SLEZ KRAJ"))
        {
            item = new ListItem("Požadavek na ZOZ", "44");
            ddl.Items.Add(item);

            item = new ListItem("Indikační proužek KÚ-MSK", "102");
            ddl.Items.Add(item);
        }

        item = new ListItem("Zaměstnanci bez MES", "32");
        ddl.Items.Add(item);

        item = new ListItem("Zaměstnanci v MES", "33");
        ddl.Items.Add(item);


    }

    protected Int16 _najdiZaskrtnutyCheckBox()
    {
        for (short i=0;i<100;i++)
        {
            Control c=WebControlHelper.FindControl(this, "rb_x" + i.ToString() + "x");
            if (c != null)
            {
                CheckBox b=(CheckBox)c;
                if (b.Checked) return i;
            }
        }
        return -1;
  
    }

    protected void lb_nastav_Command(object sender, CommandEventArgs e)
    {

        //createVzor(chlivek_vzor_radky, true);
        /*
        //musím zjistit pořadí prvku a to tak, že zjistím který je check
        Int16 radek = _najdiZaskrtnutyCheckBox();
        

        //StrSystemSchemaRadek rr = _getParamRadku(radek);
        //rr.BarvaPozadi = r.BarvaPozadi;
        //rr.BarvaTextu = r.BarvaTextu;
        //rr.Bold = r.Bold;
        //rr.FontFace = r.FontFace;
        //rr.FontSize = r.FontSize;
        //rr.HorAlign = r.HorAlign;
        //rr.Italic = r.Italic;
        //rr.Underline = r.Underline;

        ChlivekRowItem rr = new ChlivekRowItem();
        rr.BarvaPozadi = text_radky.BackColor;
        rr.BarvaTextu = text_radky.ForeColor;

        rr.FontFace = text_radky.Font;
        rr.FontSize = text_radky.FontSize;
        rr.Bold = text_radky.Bold;
        rr.HorAlign = text_radky.HorAlign;
        rr.Italic = text_radky.Italic;
        rr.Underline = text_radky.Underline;

        _setParamRadku(radek, rr);
         * */
    }

    protected void lb_nastav_radky_Command(object sender, CommandEventArgs e)
    {
        createVzor(chlivek_vzor_radky, true);
    }

    protected void chlivek_vzor_radky_rowChanged(object sender, int poradi)
    {
        KSProgram.WebControls.Schema.SystemSchemaChlivek chl = (KSProgram.WebControls.Schema.SystemSchemaChlivek)sender;
        ChlivekRowItem item=chl.Radky[poradi];
        
        text_radky.BackColor = item.BarvaPozadi;
        text_radky.ForeColor = item.BarvaTextu;
        text_radky.Bold = item.Bold;
        text_radky.Font = item.FontFace;
        text_radky.FontSize = item.FontSize;
        text_radky.HorAlign = item.HorAlign;
        text_radky.Italic = item.Italic;
        text_radky.Underline = item.Underline;
        //text_radky.Height = item.Height;   
    }
}