﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.Pozadavky;
using KSProgram.WebControls;
using KSProgram.Funkce;
using KSProgram;
using System.Web.UI.HtmlControls;
using KSProgram.PracovniMista;

namespace KSPortal.Controls
{
    public partial class ZadostOkonflikt : UserControlPozadavek
    {
        protected void Page_Load(object sender, EventArgs e)
        {               
        }

        public override void Nacist()
        {
            base.Nacist();

            WorkflowMaster wf = new WorkflowMaster(PozId, "konflikt", null);
            string val = wf.Get_UN("", "Form1", "Mode");
            string val2 = wf.Get_UN("", "C&S část", "Visible");

            ObjectDataSource1.SelectParameters["id_pozadavku"].DefaultValue = PozId.ToString();
            if (val == "insert")
                FormView1.ChangeMode(FormViewMode.Insert);                
            else if (val == "edit")
                FormView1.ChangeMode(FormViewMode.Edit);
            else
                FormView1.ChangeMode(FormViewMode.ReadOnly);

            FormView1.DataSourceID = "ObjectDataSource1";
            FormView1.DataBind();

            if (val2 == "false")
                _skryjDruhoCast();
            else
            {
                TRadDatePicker c = (TRadDatePicker)WebControlHelper.FindControl(this, "rad_vyridit_do"); //PH 9.6.2014
                if (c != null) c.MinDate = DateTime.Now.Date;
            }


        }

        private void _skryjDruhoCast()
        {
            WebControl c=(WebControl)WebControlHelper.FindControl(this, "r_rejection");
            if (c != null) c.Visible = false;
            c=(WebControl)WebControlHelper.FindControl(this, "r_whistle");
            if (c != null) c.Visible = false;
            c=(WebControl)WebControlHelper.FindControl(this, "r_responsible");
            if (c != null) c.Visible = false;
            c=(WebControl)WebControlHelper.FindControl(this, "r_fu1");
            if (c != null) c.Visible = false;
            c=(WebControl)WebControlHelper.FindControl(this, "r_fu2");
            if (c != null) c.Visible = false;
            c=(WebControl)WebControlHelper.FindControl(this, "r_fu3");
            if (c != null) c.Visible = false;
            c=(WebControl)WebControlHelper.FindControl(this, "r_fu1_date");
            if (c != null) c.Visible = false;
            c = (WebControl)WebControlHelper.FindControl(this, "r_typ_pole");
            if (c != null) c.Visible = false;
            c = (WebControl)WebControlHelper.FindControl(this, "r_vyridit_do"); //PH 9.6.2014
            if (c != null) c.Visible = false;
        }

        protected void NastavPolePodleTypu(string event_type)
        {
            List<StrPolozkaVisible> type_of_rel= new List<StrPolozkaVisible>();
            /*
            //sub_fo pro zobrazování dropdown
            //-------------------------------------------
            List<StrPolozkaVisible> sub_fo_ddl = new List<StrPolozkaVisible>();
            StrPolozkaVisible it_fo = new StrPolozkaVisible(); 
            it_fo.Nazev = "sub_fo"; it_fo.Visible = false; sub_fo_ddl.Add(it_fo);
            it_fo = new StrPolozkaVisible();
            it_fo.Nazev = "text_sub_fo"; it_fo.Visible = true; it_fo.DataSourceId = "ds_all_zam"; sub_fo_ddl.Add(it_fo);
            it_fo = new StrPolozkaVisible();
            it_fo.Nazev = "sub_fo_popis"; it_fo.Visible = true; sub_fo_ddl.Add(it_fo);
            //----------------------------------------------

            //sub_fo pro zobrazování textu
            //-------------------------------------------
            List<StrPolozkaVisible> sub_fo_text = new List<StrPolozkaVisible>();
            StrPolozkaVisible it_fo2 = new StrPolozkaVisible();
            it_fo2.Nazev = "sub_fo"; it_fo2.Visible = true; sub_fo_text.Add(it_fo2);
            it_fo2 = new StrPolozkaVisible();
            it_fo2.Nazev = "text_sub_fo"; it_fo2.Visible = false; it_fo2.DataSourceId = "ds_all_zam"; sub_fo_text.Add(it_fo2);
            it_fo2 = new StrPolozkaVisible();
            it_fo2.Nazev = "sub_fo_popis"; it_fo2.Visible = true; sub_fo_text.Add(it_fo2);
            //------------------------------------------

            //sub_fo pro skrytí
            //-------------------------------------------
            List<StrPolozkaVisible> sub_fo_nic = new List<StrPolozkaVisible>();
            StrPolozkaVisible it_fo3 = new StrPolozkaVisible();
            it_fo3.Nazev = "sub_fo"; it_fo3.Visible = false; sub_fo_nic.Add(it_fo3);
            it_fo3 = new StrPolozkaVisible();
            it_fo3.Nazev = "text_sub_fo"; it_fo3.Visible = false; it_fo3.DataSourceId = "ds_all_zam"; sub_fo_nic.Add(it_fo3);
            it_fo3 = new StrPolozkaVisible();
            it_fo3.Nazev = "sub_fo_popis"; it_fo3.Visible = false; sub_fo_nic.Add(it_fo3);
            //-------------------------------------------
           */

            List<StrPolozkaVisible> type_of_rel_nic = new List<StrPolozkaVisible>();
            StrPolozkaVisible it1 = new StrPolozkaVisible();it1.Nazev = "type_of_rel_vazby"; it1.Visible = false; type_of_rel_nic.Add(it1);
            it1 = new StrPolozkaVisible();it1.Nazev = "type_of_rel_gi";it1.Visible = false;type_of_rel_nic.Add(it1);
            it1 = new StrPolozkaVisible();it1.Nazev = "type_of_rel_interakce"; it1.Visible = false;type_of_rel_nic.Add(it1);

            if (event_type=="activity")
            {
                //_nastavPole("sub_fo", true );
                //_nastavPole("r_sub_fo", sub_fo_text);
                _nastavPole("sub_po", true );
                _nastavPole("dept", false );
                _nastavPole("r_type_of_rel", type_of_rel_nic);
                _nastavPole("amount", false );
                _nastavPole("trans", false );
                _nastavPole("isin", false );
                _nastavPole("title", false ); 
            }
            else if ((event_type == "participations") || (event_type == "security_account") || (event_type == "rbcz_sec_account"))
            {
                //_nastavPole("sub_fo", false);
                //_nastavPole("r_sub_fo", sub_fo_nic);
                _nastavPole("sub_po", true);
                _nastavPole("dept", false);
                _nastavPole("r_type_of_rel", type_of_rel_nic);
                _nastavPole("amount", false);
                _nastavPole("trans", false);
                _nastavPole("isin", false);
                _nastavPole("title", false);
            }
            else if ((event_type == "close_out_3rd") || (event_type == "close_clients") || (event_type == "acting_agst_bank"))
            {
                StrPolozkaVisible it = new StrPolozkaVisible(); it.Nazev = "type_of_rel_vazby"; it.Visible = true; it.DataSourceId = "ds_vazby"; type_of_rel.Add(it);
                it=new StrPolozkaVisible();it.Nazev="type_of_rel_gi";it.Visible=false;type_of_rel.Add(it);
                it = new StrPolozkaVisible();it.Nazev="type_of_rel_interakce";it.Visible=false;type_of_rel.Add(it);
                it = new StrPolozkaVisible(); it.Nazev = "type_of_rel_popis"; it.Visible = true; type_of_rel.Add(it);

                //_nastavPole("sub_fo", true);
                //_nastavPole("r_sub_fo", sub_fo_text);
                _nastavPole("sub_po", true);
                _nastavPole("dept", false);
                _nastavPole("r_type_of_rel", type_of_rel);
                _nastavPole("amount", false);
                _nastavPole("trans", false);
                _nastavPole("isin", false);
                _nastavPole("title", false);
            }
            else if (event_type == "close_in_rb")
            {
                StrPolozkaVisible it = new StrPolozkaVisible(); it.Nazev = "type_of_rel_vazby"; it.Visible = true; it.DataSourceId = "ds_vazby"; type_of_rel.Add(it);
                it = new StrPolozkaVisible();it.Nazev = "type_of_rel_gi";it.Visible = false;type_of_rel.Add(it);
                it = new StrPolozkaVisible();it.Nazev = "type_of_rel_interakce";it.Visible = false;type_of_rel.Add(it);
                it = new StrPolozkaVisible(); it.Nazev = "type_of_rel_popis"; it.Visible = true; type_of_rel.Add(it);

                //_nastavPole("sub_fo", true);
                //_nastavPole("r_sub_fo", sub_fo_ddl);
                _nastavPole("sub_po", true);
                _nastavPole("dept", true);
                _nastavPole("r_type_of_rel", type_of_rel);
                _nastavPole("amount", false);
                _nastavPole("trans", false);
                _nastavPole("isin", false);
                _nastavPole("title", false);
            }
            else if (event_type == "gifts_invitations")
            {
                StrPolozkaVisible it = new StrPolozkaVisible();it.Nazev = "type_of_rel_vazby";it.Visible = false;type_of_rel.Add(it);
                it = new StrPolozkaVisible(); it.Nazev = "type_of_rel_gi"; it.Visible = true; it.DataSourceId = "ds_typgi"; type_of_rel.Add(it);
                it = new StrPolozkaVisible();it.Nazev = "type_of_rel_interakce";it.Visible = false;type_of_rel.Add(it);
                it = new StrPolozkaVisible(); it.Nazev = "type_of_rel_popis"; it.Visible = true; type_of_rel.Add(it);

                //_nastavPole("sub_fo", true);
                //_nastavPole("r_sub_fo", sub_fo_text);
                _nastavPole("sub_po", true);
                _nastavPole("dept", false);
                _nastavPole("r_type_of_rel", type_of_rel);
                _nastavPole("amount", true);
                _nastavPole("trans", false);
                _nastavPole("isin", false);
                _nastavPole("title", false);
            }
            else if (event_type == "securities_deals")
            {
                //_nastavPole("sub_fo", false);
                //_nastavPole("r_sub_fo", sub_fo_nic);
                _nastavPole("sub_po", true);
                _nastavPole("dept", false);
                _nastavPole("r_type_of_rel", type_of_rel_nic);
                _nastavPole("amount", true);
                _nastavPole("trans", true);
                _nastavPole("isin", true);
                _nastavPole("title", true);
            }
            else if (event_type == "real_estate_deals")
            {
                //_nastavPole("sub_fo", true);
                //_nastavPole("r_sub_fo", sub_fo_text);
                _nastavPole("sub_po", true);
                _nastavPole("dept", false);
                _nastavPole("r_type_of_rel", type_of_rel_nic);
                _nastavPole("amount", false);
                _nastavPole("trans", true);
                _nastavPole("isin", false);
                _nastavPole("title", true);
            }
            else if (event_type == "law_interaction")
            {
                StrPolozkaVisible it = new StrPolozkaVisible(); it.Nazev = "type_of_rel_vazby"; it.Visible = false; type_of_rel.Add(it);
                it = new StrPolozkaVisible(); it.Nazev = "type_of_rel_gi"; it.Visible = false; type_of_rel.Add(it);
                it = new StrPolozkaVisible(); it.Nazev = "type_of_rel_interakce"; it.Visible = true; it.DataSourceId = "ds_interakce"; type_of_rel.Add(it);
                it = new StrPolozkaVisible(); it.Nazev = "type_of_rel_popis"; it.Visible = true; type_of_rel.Add(it);

                //_nastavPole("sub_fo", true);
                //_nastavPole("r_sub_fo", sub_fo_text);
                _nastavPole("sub_po", true);
                _nastavPole("dept", false);
                _nastavPole("r_type_of_rel", type_of_rel);
                _nastavPole("amount", false);
                _nastavPole("trans", false);
                _nastavPole("isin", false);
                _nastavPole("title", false);
            }
        }

        private void _nastavPole(string pole, bool visible)
        {
            Control r = WebControlHelper.FindControl(this, "r_"+ pole);
            r.Visible = visible;
            Control c=WebControlHelper.FindControl(this, pole);
            c.Visible = visible;
        }

        private void _nastavPole(string radek, List<StrPolozkaVisible> polozky)
        {
            bool visradek = false;
            foreach (StrPolozkaVisible pol in polozky)
            {
                Control c = WebControlHelper.FindControl(this, pol.Nazev);
                Control val_c = WebControlHelper.FindControl(this, "val_" + pol.Nazev);
                if (c != null)
                {
                    c.Visible = pol.Visible;
                    if (val_c != null)
                        val_c.Visible = pol.Visible;
                   

                    if (pol.Visible)
                    {
                        visradek = true;
                    }
                }
            }
            Control r = WebControlHelper.FindControl(this, radek);
            r.Visible = visradek;

           
        }

        public override void CommandRouter(object sender, CommandEventArgs e, ref bool is_valid)
        {
            is_valid = true;
            if (e.CommandName.ToString() == "Save")
            {
                this.Page.Validate();
                is_valid = this.Page.IsValid;
                if (is_valid)
                {
                    if (FormView1.CurrentMode != FormViewMode.ReadOnly)
                    {
                        if (FormView1.CurrentMode == FormViewMode.Insert)
                            ObjectDataSource1.Insert();
                        else
                            ObjectDataSource1.Update();
                    }
                }
            }
        }

        public override void ChangeMode(FormViewMode mode)
        {
            FormView1.ChangeMode(mode);
        }

        protected string _ano_ne(object container, string polozka)
        {
            object o = DataBinder.Eval(container, polozka);
            if (o == null) return "";
            if (o == DBNull.Value) return "";
            if (o.ToString().Trim() == "") return "";
            return (Convert.ToString(o.ToString().Trim()) == "a" ? "ano" : "ne");
        }
       
        protected void ddl_event_type_SelectionIndexChanged(object sender, EventArgs e)
        {
            DropDownList list = (DropDownList)sender;
            NastavPolePodleTypu(list.SelectedValue);
        }

        protected void FormView1_Load(object sender, EventArgs e)
        {
           
        }


        protected void FormView1_PreRender(object sender, EventArgs e)
        {
            decimal os_cislo = 0;
            if (Globals.Zastupovany > 0)
                os_cislo = Globals.Zastupovany;
            else
                os_cislo = Globals.OsCislo;

            Label lab = (Label)WebControlHelper.FindControl(FormView1, "i_os_cislo");
            if (lab != null)
                lab.Text = os_cislo.ToString();

            lab = (Label)WebControlHelper.FindControl(FormView1, "i_datum");
            if (lab != null)
                lab.Text = DateTime.Now.Date.ToString("d");

            lab = (Label)WebControlHelper.FindControl(FormView1, "i_jmeno");
            if (lab != null)
                lab.Text = Pracovnik.PrijmeniJmeno(os_cislo);

            lab = (Label)WebControlHelper.FindControl(FormView1, "label_prac_misto");
            if (lab != null)
                lab.Text = Pozadavekkonflikt.Pozice(os_cislo);           
        }

        protected void sub_fo_validate(object sender, ServerValidateEventArgs e)
        {
            string ls_control=((CustomValidator)sender).ControlToValidate;
            Control c=WebControlHelper.FindControl(FormView1, ls_control);
            if (c.Visible == false)
            {
                e.IsValid = true;
                return;
            }

            if (string.IsNullOrEmpty(e.Value))
            {
                e.IsValid = true;
                return;
            }
            e.IsValid = false;
            decimal ldc_test =_getOsCislo(e.Value);
            if (ldc_test > 0)
                e.IsValid = true;
        }

        private void _vlozParameters(object sender, ObjectDataSourceMethodEventArgs e)
        {
            e.InputParameters["vyridit_do"] = ((TRadDatePicker)WebControlHelper.FindControl(this, "rad_vyridit_do")).SelectedDate;
            e.InputParameters["event_type"] = ((DropDownList)WebControlHelper.FindControl(this, "ddl_event_type")).SelectedValue;
            //if (WebControlHelper.FindControl(this, "sub_fo").Visible)
            //    e.InputParameters["sub_fo"] = ((TextBox)WebControlHelper.FindControl(this, "sub_fo")).Text;
            //else if (WebControlHelper.FindControl(this, "text_sub_fo").Visible)
            //{
            //    e.InputParameters["sub_fo"] = _getOsCislo(((TextBox)WebControlHelper.FindControl(this, "text_sub_fo")).Text).ToString();
            //}

            e.InputParameters["sub_po"] = ((TextBox)WebControlHelper.FindControl(this, "sub_po")).Text;
            e.InputParameters["dept"] = ((DropDownList)WebControlHelper.FindControl(this, "dept")).SelectedValue;

            if (WebControlHelper.FindControl(this, "type_of_rel_vazby").Visible)
                e.InputParameters["type_of_rel"] = ((DropDownList)WebControlHelper.FindControl(this, "type_of_rel_vazby")).SelectedValue;
            else if (WebControlHelper.FindControl(this, "type_of_rel_gi").Visible)
                e.InputParameters["type_of_rel"] = ((DropDownList)WebControlHelper.FindControl(this, "type_of_rel_gi")).SelectedValue;
            else if (WebControlHelper.FindControl(this, "type_of_rel_interakce").Visible)
                e.InputParameters["type_of_rel"] = ((DropDownList)WebControlHelper.FindControl(this, "type_of_rel_interakce")).SelectedValue;

            e.InputParameters["amount"] = ((TextBox)WebControlHelper.FindControl(this, "amount")).Text;

            e.InputParameters["trans"] = ((DropDownList)WebControlHelper.FindControl(this, "trans")).SelectedValue;

            e.InputParameters["isin"] = ((TextBox)WebControlHelper.FindControl(this, "isin")).Text;
            e.InputParameters["title"] = ((TextBox)WebControlHelper.FindControl(this, "title")).Text;
            e.InputParameters["description"] = ((TextBox)WebControlHelper.FindControl(this, "description")).Text;
            e.InputParameters["rejection"] = (((CheckBox)WebControlHelper.FindControl(this, "rejection")).Checked ? "a" : "n");

            e.InputParameters["whistle"] = ((DropDownList)WebControlHelper.FindControl(this, "whistle")).SelectedValue;

            e.InputParameters["responsible"] = ((DropDownList)WebControlHelper.FindControl(this, "responsible")).SelectedValue;
            e.InputParameters["fu1"] = ((TextBox)WebControlHelper.FindControl(this, "fu1")).Text;
            e.InputParameters["fu2"] = ((TextBox)WebControlHelper.FindControl(this, "fu2")).Text;
            e.InputParameters["fu3"] = ((TextBox)WebControlHelper.FindControl(this, "fu3")).Text;
            e.InputParameters["fu1_date"] = ((TRadDatePicker)WebControlHelper.FindControl(this, "fu1_date")).SelectedDate;
            e.InputParameters["typ_pole"] = ((DropDownList)WebControlHelper.FindControl(this, "typ_pole")).SelectedValue;
            e.InputParameters["poznamka"] = ((TextBox)WebControlHelper.FindControl(this, "poznamka")).Text;

        }

        protected void FormView1_DataBound(object sender, EventArgs e)
        {
            if ((FormView1.CurrentMode == FormViewMode.Insert) || (FormView1.CurrentMode == FormViewMode.Edit))
            {
                DropDownList list = (DropDownList)WebControlHelper.FindControl(this, "ddl_event_type");
                NastavPolePodleTypu(list.SelectedValue);
            }
            else
            {
                Label text = (Label)WebControlHelper.FindControl(this, "text_event_type");
                if (text != null)
                    NastavPolePodleTypu(text.Text);
            }
        }

        protected void ObjectDataSource1_Inserting(object sender, ObjectDataSourceMethodEventArgs e)
        {
            _vlozParameters(sender, e);
        }

        protected void ObjectDataSource1_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
        {
            PozId = Convert.ToInt32(e.OutputParameters["id_poz"]);
            ObjectDataSource1.SelectParameters["id_pozadavku"].DefaultValue = PozId.ToString();
            Nacist();
        }

        protected void ObjectDataSource1_Updating(object sender, ObjectDataSourceMethodEventArgs e)
        {
            e.InputParameters["id_poz"] = this.PozId;
            _vlozParameters(sender, e);
        }

        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);
            ScriptManager.RegisterClientScriptInclude(this, this.GetType(), "zadost_o_konflikt", ResolveClientUrl("~/Scripts/ZadostOkonflikt.js"));
        }

        protected string _date(object container, string polozka)
        {
            object o = DataBinder.Eval(container, polozka);
            if (o == null) return "";
            if (o == DBNull.Value) return "";
            if (o.ToString() == (new DateTime()).ToString()) return "";
            DateTime ld_pom = Convert.ToDateTime(o);
            return KSProgram.Funkce.F_DateTime.DateTimeToString(ld_pom, "d");
        }

        protected void ds_stred_DataBinding(object sender, EventArgs e)
        {
            ds_stred.SelectParameters["datum"].DefaultValue = DateTime.Now.Date.ToString();
        }

        protected void tx_jmeno_TextChanged(object sender, EventArgs e)
        {
           
        }

        private decimal _getOsCislo(string jmeno)
        {
            Decimal res = 0;

            string[] arr=jmeno.Split('-');
            if (arr.Length != 2) return res;

            if (decimal.TryParse(arr[1], out res))
                return res;

            return res;
        }

        protected void FormView1_ItemInserting(object sender, FormViewInsertEventArgs e)
        {

        }
    }
}