﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Controls_ZadostOnahrv" Codebehind="ZadostOnahrv.ascx.cs" %>
<%--<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="ajax" %>--%>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<telerik:RadFormDecorator ID="QsfFromDecorator" runat="server" DecoratedControls="CheckBoxes,RadioButtons,Select,Textarea,Textbox" EnableRoundedCorners="false" DecorationZoneID="FormView1" />
<asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
    OldValuesParameterFormatString="original_{0}" SelectMethod="Retrieve" TypeName="KSProgram.Pozadavky.Pozadaveknahrv" 
    InsertMethod="Insert" UpdateMethod="Update" 
    onupdated="ObjectDataSource1_Updated" onupdating="ObjectDataSource1_Updating" 
    oninserting="ObjectDataSource1_Inserting" 
    oninserted="ObjectDataSource1_Inserted">
    <UpdateParameters>
        <asp:Parameter Name="id_poz" Type="Int32" />
        <asp:Parameter Name="datum_od" Type="DateTime" />
        <asp:Parameter Name="doba" Type="Int32" />
        <asp:Parameter Name="duvod" Type="String" />
        <asp:Parameter Name="vyridit_do" Type="DateTime" />
    </UpdateParameters>
    <SelectParameters>
        <asp:Parameter Name="id_pozadavku" Type="Int32" DefaultValue="" />
    </SelectParameters>
    <InsertParameters>
        <asp:Parameter DefaultValue="0" Name="id_poz" Type="Int32"  Direction="InputOutput" />
        <asp:Parameter Name="datum_od" Type="DateTime" />
        <asp:Parameter Name="doba" Type="Int32" />
        <asp:Parameter Name="duvod" Type="String" />
        <asp:Parameter Name="vyridit_do" Type="DateTime" />
        <asp:Parameter Name="adresat" Type="Decimal" />
    </InsertParameters>
</asp:ObjectDataSource>
<asp:FormView ID="FormView1" runat="server" oniteminserted="FormView1_ItemInserted" onitemupdated="FormView1_ItemUpdated" ondatabound="FormView1_DataBound">
<ItemTemplate>
<asp:Table runat="server" ID="TableItem" SkinID="RamAPozadi">
<asp:TableHeaderRow runat="server" ID="TableHeaderRowItem">
<asp:TableCell runat="server" ColumnSpan="4" ID="TableCellItem14x" SkinID="TitleRowStyle">
    <asp:Label ID="Label7x" runat="server" Text="[%Požadavek na náhradní volno%]"></asp:Label>
</asp:TableCell>
</asp:TableHeaderRow>

<asp:TableRow runat="server" ID="TableRow1">
    <asp:TableCell  runat="server" ID="TableCell1a" HorizontalAlign="Right" SkinID="DataFieldHeaderStyle">
        <asp:Label ID="Label8a" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Žadatel%]:"></asp:Label>
    </asp:TableCell>
    <asp:TableCell ColumnSpan="3"  runat="server" SkinID="DataFieldStyle" ID="TableCell2">
        <asp:Label ID="Label9" runat="server" Text='<%# ( KSProgram.Funkce.Pracovnik.OsCisloPrijmeniJmeno(Convert.ToDecimal(DataBinder.Eval(Container.DataItem, "os_cislo")))) %>'></asp:Label>
    </asp:TableCell>
</asp:TableRow>

<asp:TableRow  runat="server" ID="TableRowItem2">
<asp:TableCell   runat="server" ID="TableCellItem3" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
    <asp:Label ID="Label1x" SkinID="DataFieldHeaderStyle" runat="server" Text="[%Datum%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell   runat="server" ID="TableCellItem4" SkinID="DataFieldStyle">
    <asp:Label ID="LabelOd" runat="server" Text='<%# KSProgram.Funkce.F_DateTime.DateTimeToString(DataBinder.Eval(Container.DataItem,"datum_od"), "d") %>'></asp:Label>
</asp:TableCell>

<asp:TableCell   runat="server" ID="TableCellItem5" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
    <asp:Label ID="Label2x" runat="server" Text="[%Hodiny%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell   runat="server" ID="TableCellItem6" SkinID="DataFieldStyle">
    <asp:Label ID="LabelDo" runat="server" Text='<%# KSProgram.Funkce.Cas_na_min.GetCas(Convert.ToInt32(DataBinder.Eval(Container.DataItem,"doba"))) %>'></asp:Label>
</asp:TableCell>

</asp:TableRow>

<asp:TableRow  runat="server" ID="TableRowItem3">
<asp:TableCell   runat="server" ID="TableCellItem7" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
    <asp:Label ID="Label3x" runat="server" Text="[%Poznámka%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell ColumnSpan="3"   runat="server" ID="TableCellItem8" SkinID="DataFieldStyle">
    <asp:Label ID="LabelDuvodx" runat="server" Text='<%# Bind("duvod") %>'  Width="200px"></asp:Label>
</asp:TableCell>
</asp:TableRow>
<asp:TableRow  runat="server" ID="TableRowItem4">
<asp:TableCell  runat="server" ID="TableCellItem9" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
    <asp:Label ID="Label4x" runat="server" Text="[%Vyřešit do%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell   runat="server" ID="TableCellItem10" SkinID="DataFieldStyle">
    <asp:Label ID="LabelDatvyrizeni" runat="server" Text='<%# KSProgram.Funkce.F_DateTime.DateTimeToString(DataBinder.Eval(Container.DataItem,"vyridit_do"), "d") %>'></asp:Label>
</asp:TableCell>
</asp:TableRow>

<asp:TableRow  runat="server" ID="TableRow6">
<asp:TableCell  runat="server" ID="TableCell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
    <asp:Label ID="Label8" runat="server" Text="[%Aktuální stav a datum změny stavu%]:"></asp:Label>
</asp:TableCell>

<asp:TableCell ColumnSpan="2"   runat="server" ID="TableCell4" SkinID="DataFieldStyle">
    <asp:Label ID="Label11" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"stav") %>'></asp:Label>
</asp:TableCell>

<asp:TableCell  runat="server" ID="TableCell3" SkinID="DataFieldStyle">
    <asp:Label ID="Label10" runat="server" Text='<%# KSProgram.Funkce.F_DateTime.DateTimeToString(DataBinder.Eval(Container.DataItem,"vyriz_datum"), "d") %>'></asp:Label>
</asp:TableCell>
</asp:TableRow>

<%--<asp:TableRow  runat="server" ID="TableRow7">
    <asp:TableCell  runat="server" ID="TableCell5" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
    <asp:Label ID="Label12" runat="server" Text="[%Fáze%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell ColumnSpan="3" runat="server" ID="TableCell6" SkinID="DataFieldStyle" HorizontalAlign="Left">
    <asp:Label ID="Label13" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"faze_text") %>'></asp:Label>
</asp:TableCell>
</asp:TableRow>--%>


<asp:TableRow  runat="server" ID="TableRowItem5">
    <asp:TableCell ColumnSpan="4"  runat="server" ID="TableCellItem11">
    <%--<asp:ImageButton runat="server" ID="Editace" CommandName="Edit" ImageUrl="~/Images/EditInformationHS.png" />
    <asp:ImageButton runat="server" ID="ImageButton2" CommandName="Cancel" ImageUrl="~/Images/Edit_UndoHS.png" oncommand="ImageButton2_Command" />--%>
    </asp:TableCell>
</asp:TableRow>
</asp:Table>
</ItemTemplate>

<EditItemTemplate>
<asp:Table runat="server" ID="TableEdit"  SkinID="RamAPozadi">
<asp:TableHeaderRow runat="server" ID="TableHeaderRowEidt">
<asp:TableCell runat="server" ColumnSpan="4" ID="TableCellItem14" SkinID="TitleRowStyle">
    <asp:Label ID="Label7" runat="server" Text="[%Úprava žádosti o náhradní volno%]"></asp:Label>
</asp:TableCell>
</asp:TableHeaderRow>

<asp:TableRow runat="server" ID="TableRowEdit1a">
    <asp:TableCell  runat="server" ID="TableCell1aedit" HorizontalAlign="Right" SkinID="DataFieldHeaderStyle">
        <asp:Label ID="Label8aedit" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Žadatel%]:"></asp:Label>
    </asp:TableCell>
    <asp:TableCell ColumnSpan="3"  runat="server" SkinID="DataFieldStyle" ID="TableCell2">
        <asp:Label ID="Label9" runat="server" Text='<%# ( KSProgram.Funkce.Pracovnik.OsCisloPrijmeniJmeno(Convert.ToDecimal(DataBinder.Eval(Container.DataItem, "os_cislo")))) %>'></asp:Label>
    </asp:TableCell>
</asp:TableRow>

<asp:TableRow runat="server" ID="TableRowEdit2">
<asp:TableCell  runat="server" ID="TableCellEdit4" HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
    <asp:Label ID="Label1x" runat="server" Text="[%Datum%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell  runat="server" ID="TableCellEdit5" SkinID="DataFieldStyle" >
    <%--<asp:TextBox ID="TextBoxOdEdit" runat="server" Text='<%# KSProgram.Funkce.F_DateTime.DateTimeToString(DataBinder.Eval(Container.DataItem,"datum_od"), "d") %>' Width="95px"></asp:TextBox>
    <ajax:CalendarExtender runat="server" ID="Calendar_dat_od" TargetControlID="TextBoxOdEdit" PopupButtonID="ImageButton1"></ajax:CalendarExtender>
    <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/Images/calendar.png" />--%>
    <kspwc:TRadDatePicker runat="server" ID="TextBoxOdEdit" DbSelectedDate='<%# Bind("datum_od") %>' ></kspwc:TRadDatePicker>
</asp:TableCell>
<asp:TableCell  runat="server" ID="TableCellEdit6" SkinID="DataFieldHeaderStyle" >
    <asp:Label ID="Label2x" runat="server" Text="[%Hodiny%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell  runat="server" ID="TableCellEdit7" SkinID="DataFieldStyle" >
    <asp:TextBox ID="TextBoxHodEdit" runat="server" Text='<%# Convert.ToInt32(DataBinder.Eval(Container.DataItem,"doba_hod")) %>' Width="20px" MaxLength="2"></asp:TextBox>
    <kspwc:NumericValidator runat="server" ID="nv_doba_hod"  ControlToValidate="TextBoxHodEdit" ></kspwc:NumericValidator>
    <asp:Label runat="server" ID="Label_dvojtecka_edit" Text=":"></asp:Label>
    <asp:TextBox ID="TextBoxMinEdit" runat="server" Text='<%# Convert.ToInt32(DataBinder.Eval(Container.DataItem,"doba_min")) %>' Width="20px" MaxLength="2"></asp:TextBox>
    <kspwc:NumericValidator runat="server" ID="NumericValidator1"  ControlToValidate="TextBoxMinEdit" ></kspwc:NumericValidator>
    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextBoxHodEdit" ErrorMessage=""></asp:RequiredFieldValidator>
</asp:TableCell>
</asp:TableRow>


<asp:TableRow  runat="server" ID="TableRowEdit3">
<asp:TableCell  runat="server" ID="TableCellEdit8"  HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
    <asp:Label ID="Label3x" runat="server" Text="[%Poznámka%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell  runat="server" ID="TableCellEdit9"  ColumnSpan="3" SkinID="DataFieldStyle">
    <telerik:RadTextBox ID="TextBoxDuvodEdit" runat="server" Text='<%# Bind("duvod") %>' MaxLength="999" TextMode="MultiLine" Width="284px" Height="40" Resize="Both" ></telerik:RadTextBox><br />
    <kspwc:TextValidator runat="server" id="val1" ControlToValidate="TextBoxDuvodEdit"></kspwc:TextValidator>
</asp:TableCell>
</asp:TableRow>

<asp:TableRow  runat="server" ID="TableRowEdit4">
<asp:TableCell  runat="server" ID="TableCellEdit10" HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
    <asp:Label ID="Label4" runat="server" Text="[%Požadované datum vyřízení%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell  runat="server" ID="TableCellEdit11"  ColumnSpan="3" SkinID="DataFieldStyle">
    <kspwc:TRadDatePicker runat="server" ID="TextBoxDatVyrizeniEdit" DbSelectedDate='<%# Bind("vyridit_do") %>'></kspwc:TRadDatePicker>
</asp:TableCell>
</asp:TableRow>
<asp:TableRow  runat="server" ID="TableRowEdit5">
    <asp:TableCell  runat="server" ID="TableCellEdit12"  ColumnSpan="4">
    </asp:TableCell>
</asp:TableRow>
</asp:Table>
</EditItemTemplate>

<InsertItemTemplate>
<asp:Table runat="server" ID="TableInsert"  SkinID="RamAPozadi">
<asp:TableHeaderRow runat="server" ID="TableHeaderRowInsert">
<asp:TableCell runat="server" ColumnSpan="4" ID="TableCellItem14" SkinID="TitleRowStyle">
    <asp:Label ID="Label7" runat="server" Text="[%Nový požadavek na náhradní volno%]"></asp:Label>
</asp:TableCell>
</asp:TableHeaderRow>

<asp:TableRow runat="server" ID="TableRow1">
    <asp:TableCell runat="server" ID="TableCell1a" HorizontalAlign="Right" SkinID="DataFieldHeaderStyle">
        <asp:Label ID="Label8a" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Žadatel%]:"></asp:Label>
    </asp:TableCell>
    <asp:TableCell ColumnSpan="3" runat="server" SkinID="DataFieldStyle" ID="TableCell2">
        <asp:Label ID="Label_zam" runat="server" Text=""></asp:Label>
    </asp:TableCell>
</asp:TableRow>

<asp:TableRow  runat="server" ID="TableRowInsert3">
<asp:TableCell  runat="server" ID="TCInsert3"  HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
    <asp:Label ID="Label1" runat="server" Text="[%Datum%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell  runat="server" ID="TCInsert4" SkinID="DataFieldStyle" >
    <kspwc:TRadDatePicker runat="server" ID="TextBoxOdInsert" DbSelectedDate='<%# Bind("datum_od") %>' ></kspwc:TRadDatePicker>
    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBoxOdInsert" ErrorMessage="Povinná položka"></asp:RequiredFieldValidator>
</asp:TableCell>
<asp:TableCell  runat="server" ID="TCInsert5" SkinID="DataFieldHeaderStyle" >
    <asp:Label ID="Label2" runat="server" Text="[%Hodiny%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell  runat="server" ID="TCInsert6" SkinID="DataFieldStyle" >
    <asp:TextBox ID="TextBoxHodInsert"   runat="server"  Width="20px" MaxLength="2"></asp:TextBox>
    <kspwc:NumericValidator runat="server" ID="NumericValidator1"  ControlToValidate="TextBoxHodInsert" ></kspwc:NumericValidator>
    <asp:Label runat="server" ID="Label_dvojtecka_insert" Text=":"></asp:Label>
    <asp:TextBox ID="TextBoxMinInsert" runat="server" Width="20px" MaxLength="2"></asp:TextBox>
    <kspwc:NumericValidator runat="server" ID="NumericValidator2"  ControlToValidate="TextBoxMinInsert" ></kspwc:NumericValidator>
    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextBoxHodInsert" ErrorMessage=""></asp:RequiredFieldValidator>
</asp:TableCell>
</asp:TableRow>

<asp:TableRow   runat="server" ID="TableRowInsert4">
<asp:TableCell  runat="server" ID="TCInsert7"  HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
    <asp:Label ID="Label3" runat="server" Text="[%Poznámka%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell  runat="server" ID="TCInsert8"  ColumnSpan="3" SkinID="DataFieldStyle">
    <telerik:RadTextBox ID="LabelDuvod" runat="server" Text='<%# Bind("duvod") %>' MaxLength="999" TextMode="MultiLine" Width="283px" Height="40" Resize="Both"></telerik:RadTextBox><br />
    <kspwc:TextValidator runat="server" id="val2" ControlToValidate="LabelDuvod"></kspwc:TextValidator>
</asp:TableCell>
</asp:TableRow>
<asp:TableRow   runat="server" ID="TableRowInsert5">
<asp:TableCell  runat="server" ID="TCInsert9"  HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
    <asp:Label ID="Label4" runat="server" Text="[%Požadované datum vyřízení%]:"></asp:Label>
</asp:TableCell>
<asp:TableCell  runat="server" ID="TCInsert10"  ColumnSpan="3" SkinID="DataFieldStyle">
    <%--<asp:TextBox ID="TextBoxDatVyrizeniInsert" runat="server" Text='<%# KSProgram.Funkce.F_DateTime.DateTimeToString(DataBinder.Eval(Container.DataItem,"vyridit_do"), "d") %>' Width="95px"></asp:TextBox>
    <ajax:CalendarExtender runat="server" ID="CalendarDatVyrizeni" TargetControlID="TextBoxDatVyrizeniInsert" PopupButtonID="ImageButton3i"></ajax:CalendarExtender>
    <asp:ImageButton ID="ImageButton3i" runat="server" ImageUrl="~/Images/calendar.png" />--%>
    <kspwc:TRadDatePicker runat="server" ID="TextBoxDatVyrizeniInsert" DbSelectedDate='<%# Bind("vyridit_do") %>'></kspwc:TRadDatePicker>
</asp:TableCell>
</asp:TableRow>
<%--<asp:TableRow   runat="server" ID="TableRowInsert6">
    <asp:TableCell  runat="server" ID="TCInsert11"  ColumnSpan="4">--%>
   <%-- <asp:ImageButton runat="server" ID="InsertUlozit" CommandName="insert" ImageUrl="~/Images/saveHS.png" />
    <asp:ImageButton runat="server" ID="ImageButtonNeulozit" CommandName="Cancel" CausesValidation="false" ImageUrl="~/Images/Edit_UndoHS.png" oncommand="ImageButton2_Command" />--%>
   <%-- <asp:CustomValidator ID="PrekrytiIntervaluValidator" runat="server" OnServerValidate="PrekrytiIntervaluValidator_validate" ErrorMessage="[%Překrývající požadavky, nelze pokračovat%]"></asp:CustomValidator>
    </asp:TableCell>
</asp:TableRow>--%>
</asp:Table>
</InsertItemTemplate>
<FooterTemplate>
     <asp:CustomValidator ID="PrekrytiIntervaluValidator" runat="server" OnServerValidate="PrekrytiIntervaluValidator_validate" ErrorMessage="[%Překrývající požadavky nebo překročen denní fond, nelze pokračovat%]"></asp:CustomValidator>
</FooterTemplate>
</asp:FormView>
