﻿using System;
using System.Data;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.Pozadavky;
using KSProgram.WebControls;
using KSProgram;
using KSProgram.Data;
using KSProgram.Funkce;
using Telerik.Web.UI;
using KSProgram.Extensions;
using KSProgram.Obecne;
using System.Collections.Generic;
using KSProgram.Exceptions;
using KSProgram.Security;
using System.Text.RegularExpressions;

namespace KSPortal.Controls
{
    public partial class ZadostOvozidlo : UserControlPozadavek
    {
        //protected FormViewMode FakeMode
        //{
        //    get
        //    {
        //        object o = ViewState["FakeMode"];
        //        if (o == null)
        //            return FormViewMode.ReadOnly;
        //        else
        //            return (FormViewMode)o;
        //    }
        //    set
        //    {
        //        ViewState["FakeMode"] = value;
        //    }
        //}
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        public override void Nacist()
        {
            base.Nacist();

            WorkflowMaster wf = new WorkflowMaster(PozId, "vozidlo", null);
            string val = wf.Get_UN("", "Form1", "Mode");

            ObjectDataSource1.SelectParameters["id_pozadavku"].DefaultValue = PozId.ToString();
            if (val == "insert" || val == "edit")
            {
                if (PozId == 0)
                    /*FakeMode = FormViewMode.Insert;*/FormView1.ChangeMode(FormViewMode.Insert);
                else
                    /*FakeMode = FormViewMode.Edit;*/FormView1.ChangeMode(FormViewMode.Edit);
            }
            else
                /*FakeMode = FormViewMode.ReadOnly;*/FormView1.ChangeMode(FormViewMode.ReadOnly);

            if (wf.Get_UN("", "Form1", "Visible") == "false")
                FormView1.Visible = false;
            else
            {
                FormView1.DataSourceID = "ObjectDataSource1";
                FormView1.DataBind();

                //if (FormView1.CurrentMode != FormViewMode.ReadOnly) 
                //{
                //    //ODS_druh.SelectParameters["osc"].DefaultValue = Vydavatel.ToString();
                //    //ODS_druh.SelectParameters["keDni"].DefaultValue = DateTime.Today.ToShortDateString();

                //    //RadDropDownList DDL = (RadDropDownList)FormView1.FindControl("DDL_druh");
                //    //DDL.DataSourceID = "ODS_druh";
                //    //DDL.DataBind();
                //    //DDL.SelectedValue = WebControlHelper.SubCtrlGetValueString(FormView1, "druh");
                    
                //}
                                
                //DataTable dtsloupce = Pozadavekvozidlo.GetDataTable();
                //foreach (DataColumn dc in dtsloupce.Columns)
                //{
                //    string col = dc.ColumnName;
                    
                //    Control c = FormView1.FindControl(col);
                //    if (c == null) continue;
                //    bool disabled = (FakeMode == FormViewMode.ReadOnly) || (c is TTextBox && (c as TTextBox).ReadOnly);
                //    if (c is TextBox)
                //        (c as TextBox).Enabled = !disabled; //přes enabled se aspon vyhnu nechtěnému zrušení readonly
                //    else if (c is CheckBox)
                //        (c as CheckBox).Enabled = !disabled;
                //    else if (c is RadDropDownList)
                //        (c as RadDropDownList).Enabled = !disabled;
                //}

            }
            
        }

        /// <summary>
        /// Sem směřují všechny commandy z pozadavky.aspx
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public override void CommandRouter(object sender, CommandEventArgs e, ref bool is_valid)
        {
            is_valid = true;
            if (e.CommandName.ToString() == "Save")
            {
                this.Page.Validate();
                is_valid = this.Page.IsValid;
                if (is_valid)
                {
                    if (FormView1.CurrentMode/*FakeMode*/ != FormViewMode.ReadOnly)
                    {
                        if (FormView1.CurrentMode/*FakeMode*/ == FormViewMode.Insert)
                        {
                            //if (ObjectDataSource1.InsertParameters.Count == 4)
                            //{
                            //    foreach (DataColumn c in Pozadavekvozidlo.GetDataTable().Columns)
                            //    {
                            //        ObjectDataSource1.InsertParameters.Add(c.ColumnName, c.DataType.ToDbType(), "");
                            //    }
                            //}
                            //FormView1.InsertItem(false);//
                            System.Collections.Generic.Dictionary<string, string> values = new System.Collections.Generic.Dictionary<string, string>();
                            if (FormView1.Visible) //v 1. kroku může být skryt
                            {
                                foreach (DataColumn c in Pozadavekvozidlo.GetDataTable().Columns)
                                {
                                    values[c.ColumnName] = WebControlHelper.SubCtrlGetValueString(FormView1, c.ColumnName, true, c.ColumnName);
                                }
                            }
                            int id_poz = 0;
                            decimal adresat = 0;
                            try
                            {
                                adresat = Convert.ToDecimal(ObjectDataSource1.InsertParameters["adresat"].DefaultValue);
                            }
                            catch (FormatException) { }
                            string novy_stav = ObjectDataSource1.InsertParameters["novy_stav"].DefaultValue;
                            string duvod = ObjectDataSource1.InsertParameters["duvod"].DefaultValue;
                            DateTime? vyridit_do = null;
                            Pozadavekvozidlo.Insert(ref id_poz, vyridit_do, adresat, novy_stav, duvod, values);
                            PozId = id_poz;
                            OnItemInserted(new EventArgs());
                        }
                        else
                        {
                            //if (ObjectDataSource1.UpdateParameters.Count == 1)
                            //{
                            //    foreach (DataColumn c in Pozadavekvozidlo.GetDataTable().Columns)
                            //    {
                            //        ObjectDataSource1.UpdateParameters.Add(c.ColumnName, c.DataType.ToDbType(), "");
                            //    }
                            //}
                            //FormView1.UpdateItem(false);//
                            System.Collections.Generic.Dictionary<string, string> values = new System.Collections.Generic.Dictionary<string, string>();
                            foreach (DataColumn c in Pozadavekvozidlo.GetDataTable().Columns)
                            {
                                values[c.ColumnName] = WebControlHelper.SubCtrlGetValueString(FormView1, c.ColumnName, true, c.ColumnName);
                            }
                            if (values.Count == 0 || string.IsNullOrWhiteSpace(values["spz"]))  
                            {
                                is_valid = false;
                                throw new NoticeException("Nepodařilo se získat data z formuláře!");
                            }
                            Pozadavekvozidlo.Update(PozId, values);
                            OnItemUpdated(new EventArgs());
                        }

                    }
                }
            }
        }

        /// <summary>
        /// Po vložení záznamu
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public new void ItemInserted(object sender, FormViewInsertedEventArgs e)
        {
            OnItemInserted(new EventArgs());
        }

        /// <summary>
        /// Po aktualizaci záznamu
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public new void ItemUpdated(object sender, EventArgs e)
        {
            OnItemUpdated(new EventArgs());
        }

        protected void FormView1_ItemInserted(object sender, FormViewInsertedEventArgs e)
        {
            ItemInserted(sender, e);
        }
        protected void FormView1_ItemUpdated(object sender, FormViewUpdatedEventArgs e)
        {
            ItemUpdated(sender, e);
        }

        protected void FormView1_DataBound(object sender, EventArgs e)
        {
            OnItemRetrieved(new EventArgs());

        }

        protected void ImageButton2_Command(object sender, CommandEventArgs e)
        {
            OnItemExit(new EventArgs());
        }


        protected void ObjectDataSource1_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
        {
            PozId = Convert.ToInt32(e.OutputParameters["id_poz"]);
        }

        public override void ChangeMode(FormViewMode mode)
        {
            FormView1.ChangeMode(mode);
            //FakeMode = mode;
        }

        ///// <summary>
        ///// 
        ///// </summary>
        //public FormViewMode CurrentMode
        //{
        //    get
        //    {
        //        return FakeMode;//FormView1.CurrentMode;
        //    }
        //}

        protected void Validator_ServerValidate(object source, ServerValidateEventArgs args)
        {
            //CustomValidator Validator = (CustomValidator)FormView1.FindControl("Validator");
            Validator.ErrorMessage = "";
            Validator.Text = "";

            if (/*FakeMode*/FormView1.CurrentMode == FormViewMode.ReadOnly) return;
            if (!FormView1.Visible) return; //jen stavy se schovaným formulářem v 1. kroku
            //if (JeVybranStornoStav()) //stornování v libovolném kroku 
            //    return;

            string[] required = {"spz", "nazev", "druh", "phm", "prum_spotreba"};
            foreach(string col in required)
            {
                if (string.IsNullOrWhiteSpace(WebControlHelper.SubCtrlGetValueString(FormView1, col)))
                {
                    string colTitle = (FormView1.FindControl(col + "_L") as Label).Text;
                    Validator.ErrorMessage += "[%Není vyplněna povinná položka%] [%" + colTitle + "%] !<br/>";
                }
            }

            string spz = WebControlHelper.SubCtrlGetValueString(FormView1, "spz");
            if (KSProgram.Sluzebky.SlcVozidla.Exists(ref spz))
                Validator.ErrorMessage += "[%Vozidlo je již v systému evidováno%] !<br/>";

            string prum_spotreba_title = ReadGlobalResource.ZmenaTextu("[%Kombinovaná spotřeba%]");
            try
            {
                decimal? prum_spotreba = WebControlHelper.SubCtrlGetValueDecimal(FormView1, "prum_spotreba", true, prum_spotreba_title, (decimal)0.1, (decimal)50, (byte)2);
            }
            catch (NoticeException exc1)
            {
                Validator.ErrorMessage += exc1.Message + " <br/>";
            }
            if (Validator.ErrorMessage != "")
            {
                args.IsValid = false;
                Validator.Text = Validator.ErrorMessage;
            }
        }
    }
}