﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DashBoardPanel_Pozadavky.ascx.cs" Inherits="KSPortal.DashBoard.DashBoardPanel_Pozadavky" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<style type="text/css">
    table.ksDbPozTable > tbody > tr > td:nth-child(1) {
        width: 50%;
    }

    table.ksDbPozTable > tbody > tr > td:nth-child(2) {
        width: 30%;
    }

    table.ksDbPozTable > tbody > tr > td:nth-child(3) {
        width: 20%;
    }

    div.ksDbPozPager {
        display: flow-root;
    }

        div.ksDbPozPager > div {
            float: right;
        }

    .ksDbPozTable, .ksDbPozTable a {
        color: var(--kscolor2text);
    }
</style>
<telerik:RadScriptBlock ID="RSB2" runat="server">
    <script type="text/javascript">
        //<![CDATA[

        function RD_Pozadavky_ClientDockPositionChanged(sender, args) {
            //var table = $find('TRG_pozadavky.ClientID');
            //resizeColumnsDash(table);
        }

        function ParameterMap(sender, args) {
            //If you want to send a parameter to the select call you can modify the if 
            //statement to check whether the request type is 'read':
            //if (args.get_type() == "read" && args.get_data()) {
            if (args.get_type() != "read" && args.get_data()) {
                args.set_parameterFormat({ customersJSON: kendo.stringify(args.get_data().models) });
            }
        }
        function Parse(sender, args) {
            var response = args.get_response().d;
            if (response) {
                args.set_parsedData(response.Data);
            }
        }

        //function TRG_pozadavky_GridCreated(sender, args) {
        //    resizeColumnsDash(sender);
        //}

        //function resizeColumnsDash(grid) {
        //    var columns = grid.get_masterTableView().get_columns();
        //    for (var i = 0; i < columns.length; i++) {
        //        columns[i].resizeToFit(false, false);
        //    }
        //    grid.repaint();
        //}

        //function TRG_pozadavky_DataBound(sender, args) {
        //    resizeColumnsDash(sender);
        //}

        function RLV_pozadavky_DataBound(sender, args) {
            var pageIndexSlider = $find("<%= RS_pager.ClientID%>");
            pageIndexSlider.set_value(sender.get_currentPageIndex());
            pageIndexSlider.set_maximumValue((sender.get_virtualItemCount() - 1) / sender.get_pageSize() | 0);
            if (sender.get_virtualItemCount() <= sender.get_pageSize()) {
                pageIndexSlider.get_element().hidden = true;
            }
            else {
                pageIndexSlider.get_element().hidden = false;
            }

        }

        function RS_pager_ValueChanged(sender, args) {
            var listView = $find("<%= RLV_pozadavky.ClientID%>");
            listView.page(args.get_newValue());
        }

        function _emptyPozadavky() {
            return '<%=KSProgram.Obecne.ReadGlobalResource.ZmenaTextu("[%Žádné požadavky k vyřízení%]")%>';
        }

        function showTypyPozMenu(sender, args) {
            var contextMenu = $find('<%= RCM_new_typy.ClientID %>');
            if (contextMenu) {
                var currentLocation = $telerik.getBounds(sender.get_element());
                contextMenu.showAt(currentLocation.x, currentLocation.y + currentLocation.height);
            }
        }
        function RCM_new_typy_ItemClicked(sender, args) {
            location.replace("./Pozadavky/PozadavekDetail.aspx?typ=" + args.get_item().get_value());
        }

        function seznamRedirect() {
            location.replace("./Pozadavky/Pozadavky2.aspx");
        }

    </script>
</telerik:RadScriptBlock>
<%--<kspwc:TRadGrid runat="server" ID="TRG_pozadavky" CssClass="ks_rg_db_pozad" ClientDataSourceID="RCDS_pozadavky" AutoGenerateColumns="false" AutoMasterGridWidth="true"
    CaptionVisible="false">
    <ClientSettings>
        <Resizing AllowColumnResize="true" ResizeGridOnColumnResize="true" AllowResizeToFit="true" />
        <Scrolling AllowScroll="True" UseStaticHeaders="True"></Scrolling>
        <ClientEvents OnGridCreated="TRG_pozadavky_GridCreated" OnDataBound="TRG_pozadavky_DataBound" />
    </ClientSettings>
    <MasterTableView ClientDataKeyNames="id_poz" AllowPaging="true">
        <PagerStyle AlwaysVisible="false" BorderWidth="0px" />
        <Columns>
            <telerik:GridBoundColumn UniqueName="typ" DataField="typ" DataType="System.String" HeaderText="[%Typ%]"></telerik:GridBoundColumn>
            <telerik:GridBoundColumn UniqueName="text" DataField="text" DataType="System.String" HeaderText="[%Požadavek%]"></telerik:GridBoundColumn>
            <telerik:GridBoundColumn UniqueName="prijmeni" DataField="prijmeni" DataType="System.String" HeaderText="[%Příjmení%]"></telerik:GridBoundColumn>
            <telerik:GridBoundColumn UniqueName="jmeno" DataField="jmeno" DataType="System.String" HeaderText="[%Jméno%]"></telerik:GridBoundColumn>
            <telerik:GridBoundColumn UniqueName="stav" DataField="stav" DataType="System.String" HeaderText="[%Stav%]"></telerik:GridBoundColumn>
        </Columns>
    </MasterTableView>
</kspwc:TRadGrid>--%>
<div class="ksDbPozPager">
    <kspwc:TRadButton ID="TRB_add_new" runat="server" Text="[%Nový%]"
        AutoPostBack="False" OnClientClicked="showTypyPozMenu">
        <Icon PrimaryIconCssClass="fi fi-add"></Icon>
    </kspwc:TRadButton>
        <kspwc:TRadButton ID="TRadButton1" runat="server" Text="[%Přehled%]"
        AutoPostBack="False" OnClientClicked="seznamRedirect">
        <Icon PrimaryIconCssClass="fi fi-list"></Icon>
    </kspwc:TRadButton>
    <telerik:RadSlider ID="RS_pager" runat="server" MaximumValue="0" ItemType="Tick" OnClientValueChanged="RS_pager_ValueChanged" ToolTip="[%Stránkování%]" DragText="[%Táhnout%]" DecreaseText="[%Předchozí strana%]" IncreaseText="[%Další strana%]">
    </telerik:RadSlider>
</div>
<telerik:RadListView runat="server" ID="RLV_pozadavky" AllowPaging="true" PageSize="6" ItemPlaceholderID="ItemsPlaceHolder" ClientDataSourceID="RCDS_pozadavky">
    <LayoutTemplate>
        <div id="ItemsPlaceHolder" runat="server">
        </div>
    </LayoutTemplate>
    <ClientSettings>
        <ClientEvents OnDataBound="RLV_pozadavky_DataBound" />
        <DataBinding>
            <ItemTemplate>
                <fieldset class="ksDbLiFs">
                    <legend>#= typ #</legend>
                    <table class="ksDbPozTable">
                        <tr>
                            <td>
                                <a href="#= url #" class="kstlacitko" style="color: black !important"><i style="font-size: 15px;" class="#= ikona #"></i> #= text #</a>
                            </td>
                            <td>
                                <span>#= jmeno + ' ' + prijmeni #</span>
                            </td>
                            <td>
                                <span>#= stav #</span>
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </ItemTemplate>
            <EmptyDataTemplate>
                <fieldset class="ksDbLiFs" style="border:none;">
                                <div>
                                    <p class="zadneBull">
                                        <i class="fi fi-document-signed"></i>
                                        <label>#=_emptyPozadavky()#</label>
                                    </p>
                                </div>
                            </fieldset>
            </EmptyDataTemplate>
        </DataBinding>
    </ClientSettings>
</telerik:RadListView>
<asp:ObjectDataSource runat="server" ID="ODS_new_typy" SelectMethod="GetTypy"
    OldValuesParameterFormatString="original_{0}" TypeName="KSProgram.Pozadavky.PozadavkyTypy">
    <SelectParameters>
        <asp:Parameter DefaultValue="false" Name="vcetne_vse" Type="Boolean" />
        <asp:Parameter DefaultValue="false" Name="vcetne_dochazka" Type="Boolean" />
        <asp:Parameter DefaultValue="false" Name="emptyRow" Type="Boolean" />
    </SelectParameters>
</asp:ObjectDataSource>
<telerik:RadContextMenu ID="RCM_new_typy" runat="server"
    DataSourceID="ODS_new_typy"
    DataTextField="typ_text" DataValueField="typ"
    OnClientItemClicked="RCM_new_typy_ItemClicked">
</telerik:RadContextMenu>
<telerik:RadClientDataSource ID="RCDS_pozadavky" runat="server" AllowBatchOperations="false">
    <ClientEvents OnDataParse="Parse" />
    <DataSource>
        <WebServiceDataSourceSettings>
            <Select Url="DashBoard/WebMethods.aspx/GetPozadavky" DataType="JSON" RequestType="Post" ContentType="application/json; charset=utf-8" />
        </WebServiceDataSourceSettings>
    </DataSource>
    <Schema>
        <Model ID="id_poz">
            <%-- ID neoznačuje id modelu ale sloupec obsahující klíč--%>
            <telerik:ClientDataSourceModelField FieldName="id_poz" DataType="Number" Editable="False" />
            <telerik:ClientDataSourceModelField FieldName="prijmeni" DataType="String" Editable="False" />
            <telerik:ClientDataSourceModelField FieldName="jmeno" DataType="String" Editable="False" />
            <telerik:ClientDataSourceModelField FieldName="typ" DataType="String" Editable="False" />
            <telerik:ClientDataSourceModelField FieldName="text" DataType="String" Editable="False" />
            <telerik:ClientDataSourceModelField FieldName="stav" DataType="String" Editable="False" />
        </Model>
    </Schema>
</telerik:RadClientDataSource>
