﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DashBoardPanel_VolnePozice.ascx.cs" Inherits="KSPortal.DashBoard.DashBoardPanel_VolnePozice" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<style type="text/css">

</style>

<telerik:RadScriptBlock ID="RSB_pozice" runat="server">
    <script type="text/javascript">
        //<![CDATA[

        function RD_VolnePozice_ClientDockPositionChanged(sender, args) {

        }

        function ParameterMap(sender, args) {
            //If you want to send a parameter to the select call you can modify the if 
            //statement to check whether the request type is 'read':
            //if (args.get_type() == "read" && args.get_data()) {
            if (args.get_type() != "read" && args.get_data()) {
                args.set_parameterFormat({ customersJSON: kendo.stringify(args.get_data().models) });
            }
        }
        function Parse(sender, args) {
            var response = args.get_response().d;
            if (response) {
                args.set_parsedData(response.Data);
            }
        }

        function _emptyPozice() {
            return '<%=KSProgram.Obecne.ReadGlobalResource.ZmenaTextu("[%Žádné volné pozice%]")%>';
        }

    </script>
</telerik:RadScriptBlock>

<telerik:RadListView runat="server" ID="RLV_pozice" AllowPaging="false" ItemPlaceholderID="ItemsPlaceHolder" ClientDataSourceID="RCDS_pozice">
    <LayoutTemplate>
        <div id="ItemsPlaceHolder" runat="server">
        </div>
    </LayoutTemplate>
    <ClientSettings>
        <DataBinding>
            <ItemTemplate>
                <fieldset class="ksDbLiFs">
                    <div>
                        <p><a href="#= url #">#= nazev #</a></p>
                    </div>
                </fieldset>
            </ItemTemplate>
            <EmptyDataTemplate>
               <fieldset class="ksDbLiFs" style="border:none;">
                                <div>
                                    <p class="zadneBull">
                                        <i class="fi fi-briefcase"></i>
                                        <label>#=_emptyPozice()#</label>
                                    </p>
                                </div>
                            </fieldset>
            </EmptyDataTemplate>
        </DataBinding>
    </ClientSettings>
</telerik:RadListView>


<telerik:RadClientDataSource ID="RCDS_pozice" runat="server" AllowBatchOperations="false">
    <ClientEvents OnDataParse="Parse" />
    <DataSource>
        <WebServiceDataSourceSettings>
            <Select Url="DashBoard/WebMethods.aspx/GetVolnePozice" DataType="JSON" RequestType="Post" ContentType="application/json; charset=utf-8" />
        </WebServiceDataSourceSettings>
    </DataSource>
    <Schema>
        <Model>
            <telerik:ClientDataSourceModelField FieldName="nazev" DataType="String" Editable="False" />
            <telerik:ClientDataSourceModelField FieldName="url" DataType="String" Editable="False" />
        </Model>
    </Schema>
</telerik:RadClientDataSource>