﻿using KSProgram.Ciselniky;
using KSProgram.Data;
using KSProgram.Dochazka;
using System;
using System.Web.UI;

namespace KSPortal.Dochazka
{
    public partial class DchUkolyKody : TPopUpPage
    {
        DateTime _datum;
        string _projekt;
        private DateTime Datum
        {
            get
            {
                return _datum;
            }

            set
            {
                _datum = value;
            }
        }

        private string Projekt
        {
            get
            {
                return _projekt;
            }
            set
            {
                _projekt = value;
            }
        }
        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            if (Request.Params["id"] == "cispolozek")
                mv.ActiveViewIndex = 0;
            else if (Request.Params["id"] == "projekty")
                mv.ActiveViewIndex = 1;
            else if (Request.Params["id"] == "ukoly")
            {
                mv.ActiveViewIndex = 2;
                Projekt = Request.Params["projekt"];
            }

            Datum = SqlPrikaz.StringToDateTime(Request.Params["datum"]);
        }
        protected void tgv_CisPolozek_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {            
            tgv_CisPolozek.DataSource = CisDchKody.DbSelect();
            this.TitleStranky = "[%Docházkové kódy%]";
        }

        protected void tgv_projekty_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            tgv_projekty.DataSource = dch_poriz_ukolu.Projekty(Datum);
            this.TitleStranky = "[%Projekty%]";
        }
        protected void tgv_ukoly_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            tgv_ukoly.DataSource = dch_poriz_ukolu.Ulohy_pro_projekt(this.Projekt, this.Datum);
            this.TitleStranky = "[%Úkoly%]";

        }       
    }
}