﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Dochazka_DochRekapPrenos" CodeBehind="DochRekapPrenos.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" TagPrefix="wca" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <%--<asp:Label ID="Label1" runat="server" Text="[%Rekapitulace přenesených dat%]" CssClass="nadpis1"></asp:Label>--%>
    <wc:StrSkupDiv runat="server" ID="StrSkupDiv"></wc:StrSkupDiv>
    <br />
    <telerik:RadAjaxManagerProxy ID="ajmp" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRG_RekapPrenos">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRG_RekapPrenos" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <kspwc:TRadGrid ID="TRG_RekapPrenos" runat="server" ShowGroupPanel="True" AllowPaging="True" 
         AllowSorting="true" AutoGenerateColumns="false" ShowFooter="true" MasterTableView-Caption="[%Rekapitulace přenesených dat%]"
        OnNeedDataSource="TRG_RekapPrenos_NeedDataSource" AutoFilterControlWidth="false">
        <MasterTableView CommandItemDisplay="Top">
            <Columns>
                <telerik:GridBoundColumn DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="cislo_pom" HeaderText="[%Č.P.%]" SortExpression="cislo_pom">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="prijmeni" HeaderText="[%Příjmení%]" SortExpression="prijmeni">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="kmen_str" HeaderText="[%Kmen. stř.%]" SortExpression="kmen_str">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="prac_str" HeaderText="[%Prac. stř.%]" SortExpression="prac_str">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="typ_kal" HeaderText="[%Typ kal.%]" SortExpression="typ_kal">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="druh_pom_j" HeaderText="[%Druh pom.%]" SortExpression="druh_pom_j">
                </telerik:GridBoundColumn>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="gcic" runat="server" DateControl="TRadObdobiInterval" StrediskaComboBox-Visible="true" ></kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
