﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using KSProgram;
using System.Drawing;
using KSProgram.WebControls;
using KSProgram.Dochazka;
using Telerik.Web.UI;

public partial class Dochazka_KontrolaNepritomnosti:TSestavaPredek
{
    /*decimal _d_dny = 0;
    decimal _d_hodiny = 0;
    decimal _m_dny = 0;
    decimal _m_hodiny = 0;*/

    public Dochazka_KontrolaNepritomnosti()
    {
        IdPrava = 78;
        this.HelpURL = "Port%C3%A1l-Doch%C3%A1zka-Sestavy#Kontrola_nep.C5.99.C3.ADtomnost.C3.AD";
    }
    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (!IsPostBack)           
            TGridView1.Datum.SelectedObdobi = ParametryDochazky.OBDOBI_PRO_SESTAVY;
    }
   
    protected void TGridView1_ItemCreated(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {

        if ((e.Item.ItemType == Telerik.Web.UI.GridItemType.Item)||(e.Item.ItemType == Telerik.Web.UI.GridItemType.AlternatingItem))
        {
            GridDataItem dataitem = e.Item as GridDataItem;
            if (dataitem != null)
            {
                object roz = DataBinder.Eval(dataitem.DataItem, "rozdil");
                if (roz != null)
                {
                    var value = roz.ToString();
                    if (value == "a")
                    {
                        foreach (TableCell cell in e.Item.Cells)
                        {
                            cell.ForeColor = Color.Red;
                        }
                    }
                }
            }
        }           
    }

    protected void TGridView1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        // KSProgram.Sestavy.DefSestavy_dch003 ds = new KSProgram.Sestavy.DefSestavy_dch003();        
        DataTable data = new DataTable();
        if (IsPostBack)
        {
            data = new KSProgram.Sestavy.DefSestavy_dch003().Retrieve((DateTime)TGridView1.Datum.SelectedObdobi, StrSkupDiv.GetStredBezApostrofu(), TGridView1.Strediska.GetValue);
        }
       ((RadGrid)sender).DataSource = data;
    }

    protected void ObdobiText1_SelectedDateChanged(object sender, Telerik.Web.UI.Calendar.SelectedDateChangedEventArgs e)
    {
        TGridView1.Rebind();
    }
}
