﻿
<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="PruchodySestava.aspx.cs" Inherits="KSPortal.Dochazka.PruchodySestava" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <style type="text/css">
        .tab_pruchody
        {
            border-collapse:collapse;
        }
        .pruch_barva {
            border-radius: 15px;
            padding:0px;
            width: 15px;
            height: 15px;
        }  
        .pr_cas{
            padding:0px 5px 0px 5px;
        }
        .cas_od{
            padding:0px 0px 0px 10px;
        }
        .cas_do{
            padding:0px 10px 0px 0px;
        }
        .pr_doba
        {
            text-align:center;
            padding:0px 10px 0px 10px;
        }
        .pr_cas_min
        {
            padding:0px 10px 0px 10px;
        }
    </style>
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<asp:Label ID="Label2" runat="server" Text="[%Průchody%]" CssClass="nadpis1"></asp:Label>--%>

    <kspwc:TRadGrid ID="RadGrid1" runat="server" AllowPaging="True" UseSaveSetting="true" AllowSorting="True" OnNeedDataSource="RadGrid1_NeedDataSource"  OnExportCellFormatting="RadGrid1_ExportCellFormatting"
        AutoGenerateColumns="False"  GroupPanelPosition="Top" ShowGroupPanel="True" OnItemCreated="RadGrid1_ItemCreated" OnItemDataBound="RadGrid1_ItemDataBound" OnPreRender="RadGrid1_PreRender"
         AutoFilterControlWidth="False" MasterTableView-Caption="[%Průchody%]" > 
        <ExportSettings>
            <Pdf PageWidth="">
            </Pdf>
        </ExportSettings>
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true" ExportOnlyData="false">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top">
            <RowIndicatorColumn Visible="False">
            </RowIndicatorColumn>
            <ExpandCollapseColumn Created="True">
            </ExpandCollapseColumn>
            <Columns>
                <telerik:GridNumericColumn DataField="os_cislo" FilterControlAltText="Filter os_cislo column" HeaderTooltip="[%Osobní číslo%]"
                    HeaderText="[%Osobní číslo%]" SortExpression="os_cislo" UniqueName="os_cislo" FilterControlWidth="40px">
                    <HeaderStyle Width="40px" />
                </telerik:GridNumericColumn>

                <telerik:GridNumericColumn DataField="cislo_pom" FilterControlAltText="Filter cislo_pom column" HeaderTooltip="[%Číslo poměru%]"
                    HeaderText="[%Č.P.%]" SortExpression="cislo_pom" UniqueName="cislo_pom" FilterControlWidth="40px">
                    <HeaderStyle Width="20px" />
                </telerik:GridNumericColumn>              
                <telerik:GridBoundColumn DataField="prac_str" HeaderText="[%Prac. stř.%]" SortExpression="prac_str" HeaderTooltip="[%Pracovní středisko%]"
                    FilterControlAltText="Filter prac_str column" UniqueName="prac_str">
                    <HeaderStyle Width="70px" />
                </telerik:GridBoundColumn> 
                 <telerik:GridBoundColumn DataField="zamestnanec" FilterControlAltText="Filter zamestnanec column"
                    HeaderText="[%Zaměstnanec%]" SortExpression="zamestnanec" UniqueName="zamestnanec">
                    <ItemStyle Wrap="False" />
                    <HeaderStyle Width="200" />
                </telerik:GridBoundColumn> 
                 <telerik:GridTemplateColumn HeaderText="[%Příchod%]" UniqueName="pruchod_min_un" DataField="pruchody_min" SortExpression="pruchody_min" Groupable="false">
                     <ItemStyle VerticalAlign="Top" />
                    <ItemTemplate>                                             
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridTemplateColumn UniqueName="pruchody_un" DataField="pruchody" SortExpression="pruchody" Groupable="false" >
                     <ItemStyle VerticalAlign="Top" />
                    <ItemTemplate>                      
                    </ItemTemplate>
                </telerik:GridTemplateColumn>              
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" PracPomeryComboBox-Visible="true"  DateControl="TRadDatePicker">
                    <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelBIFFItem="false" ShowExportToCsvItem="false" ShowExportToExcelHtmlItem="true"/>
                    <PrimiPodrizeniButton ID="PrimiPodrizeniButton1" runat="server" Visible="true"></PrimiPodrizeniButton>
                    <PracPomeryComboBox runat="server" AutoPostBack="true"></PracPomeryComboBox>   
                    <TRadDatePicker runat="server" AutoPostBack="true" ></TRadDatePicker>                
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
