﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="ZpracDoch.aspx.cs" Inherits="KSPortal.Dochazka.ZpracDoch" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>


<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="RadCodeBlock1">
    <script type="text/javascript">
        zprac_doch_enable = true;     
        function SendData(par) {
          var dt = JSON.stringify(par);
          jQuery.ajax({
              type: 'POST',
              contentType: 'application/json; charset=utf-8',
              data: "{data:'" + dt + "'}",
              dataType: 'JSON',
              async:false,
              url: 'ZpracDoch.aspx/SendData',

              success: function (result) {                 
                  //nastav_check(result);
                },
                error: function (result) {
                    alert('Chyba při odesílání dat:'+result);
                }
            });
                return false;
            }
       
        function  onClientClicking(sender, args)
        {
            if (!zprac_doch_enable) {
                args.set_cancel(true);
                return;
            }

            var ar = args.get_commandArgument();
            var arr = ar.split(",");
            var oc = arr[0];
            var cp = arr[1];           
            var che = sender.get_checked();
            var sendPar = {
                os_cislo: oc,
                cislo_pom: cp,
                zprac: !che
            };
            SendData(sendPar);
        }
        function onClientClicking_f(sender, args)
        {
            if (!zprac_doch_enable)
                return;
         
            var oc = -1;var cp = -1;      

            var ends=sender.get_uniqueID().endsWith("btnZprac_vyp_f");
            button = sender;           
            var ch = true;
            if (ends)  ch=false;                         
           
            var sendPar = {
                os_cislo: oc,
                cislo_pom: cp,
                zprac: ch
            };

            SendData(sendPar);
            $find("<%= TRadGridZamestnanciKalendare.ClientID %>").get_masterTableView().rebind();           
        }
        function onSuccess(result)
        {            
            var arr = result.split("|");
            var grid=$find('<%=TRadGridZamestnanciKalendare.ClientID%>');
            var mv = grid.get_masterTableView();
            var item = mv.get_dataItems()[arr[0]];
            var cell = mv.getCellByColumnUniqueName(item, "pd_priraz");
            var a="";
            if (arr[1].includes("[i]")) a = "a"; 
            $telerik.$(cell).text(a);
        }
        function onError(result)
        {           
            KSMaster.showError(result, "", 0, 0);
        }
        function BatchEditCellValueChanged(sender, args) {            
            var grid = sender;
            var mtb=sender.get_masterTableView()
            var row = args.get_row();           
            var editorValue = args.get_editorValue();
            var rowIndex = row.sectionRowIndex;
            var dtit = mtb.get_dataItems()[rowIndex];
            var val = $telerik.findElement(row, "combo_modely2").control;
            var value = val.get_selectedItem().get_value();
            var os_cislo =  dtit.getDataKeyValue("os_cislo");
            var cislo_pom = dtit.getDataKeyValue("cislo_pom");

            PageMethods.saveModel(os_cislo, cislo_pom, value, rowIndex, onSuccess, onError);
        }

        function button_hrom_zmena_clicked()
        {
            var model_id=$find("<%=combo_modely.ClientID%>").get_value();

            var masterTable = $find("<%=TRadGridZamestnanciKalendare.ClientID%>").get_masterTableView();
            var count = masterTable.get_dataItems().length;
            var checkbox;
            var d = [];
            var items = masterTable.get_dataItems();
            for (var i = 0; i < count; i++) {
                checkbox = items[i].findControl("btn_vyber");
                if (checkbox._checked) {
                    var os_cislo = items[i].getDataKeyValue("os_cislo");
                    var cislo_pom = items[i].getDataKeyValue("cislo_pom");                   
                    var item = { "os_cislo": os_cislo, "cislo_pom":cislo_pom, "model":model_id };
                    d.push(item);                                      
                }
            }
            if (d.length>0)
                PageMethods.saveModel2(JSON.stringify(d), onSuccess2, onError2);
        }
      
        function onSuccess2(result)
        {
            $find("<%=TRadGridZamestnanciKalendare.ClientID%>").get_masterTableView().rebind();
        }

        function onError2(result) {
            KSMaster.showError(result, "", 0, 0);
        }
       
    </script>
    <style type="text/css">
        .RadGrid .rgBatchChanged
        {
            background-image:url("") !important;
        }
    </style>
    </telerik:RadCodeBlock>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Zapnutí/ vypnutí zpracování docházky zaměstnanců%]" CssClass="nadpis1"></asp:Label>--%>
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGridZamestnanciKalendare">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGridZamestnanciKalendare" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
     <asp:ObjectDataSource ID="ds_nabidka_modelu" runat="server" SelectMethod="DbSelect" TypeName="KSProgram.Ciselniky.CisDchModelyPd" OldValuesParameterFormatString="original_{0}">
         <SelectParameters >
             <asp:Parameter DbType="Boolean" Name="prazdny_radek" DefaultValue="true" />
          </SelectParameters>
     </asp:ObjectDataSource>
    <table>
        <tr>
            <td style="width:300px; padding-right: 15px;" >
                 <cc1:StrSkupDiv runat="server" ID="StrSkupDiv" CssClass="ksprvek"></cc1:StrSkupDiv>  
            </td>
            <td style="vertical-align:top;" class="ksprvek">
                 <fieldset id="Fieldset2" runat="server" style="width:300px; margin: 10px;" >
                            <legend class="pozadiText">[%Hromadná změna modelu prac. doby%]</legend>             
                 <kspwc:TRadComboBox runat="server" ID="combo_modely" Width="100%" DataSourceID="ds_nabidka_modelu" OnItemDataBound="combo_modely_ItemDataBound" DataValueField="id" DataTextField="cely_nazev"  AutoPostBack="false" > 
                                
                 </kspwc:TRadComboBox>  
                     <div >
                  <kspwc:TRadButton  style="margin-top:5px;width:100%; text-align:center;" AutoPostBack="false" runat="server" ID="button_hrom_zmena" Text="[%Změnit model u vybraných zaměstnanců%]" OnClientClicked="button_hrom_zmena_clicked"></kspwc:TRadButton>  
                         </div>
                     </fieldset>            
            </td>
            </tr>           
    </table>
    
    <br />
    <kspwc:TRadGrid ID="TRadGridZamestnanciKalendare" runat="server" OnPreRender="TRadGridZamestnanciKalendare_PreRender" OnBatchEditCommand="TRadGridZamestnanciKalendare_BatchEditCommand"
        ShowGroupPanel="False" AllowPaging="True" OnNeedDataSource="TRadGridZamestnanciKalendare_NeedDataSource" MasterTableView-Caption="[%Zapnutí/ vypnutí zpracování docházky zaměstnanců%]"
         AllowSorting="true"  AutoGenerateColumns="false" ShowFooter="true" OnItemDataBound="TRadGridZamestnanciKalendare_ItemDataBound"
        AutoFilterControlWidth="true">
        <ClientSettings AllowDragToGroup="True" EnableRowHoverStyle="true">
            <ClientEvents OnBatchEditCellValueChanged="BatchEditCellValueChanged" />
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings ExportOnlyData="true" HideStructureColumns="true" OpenInNewWindow="true" IgnorePaging="true" >
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top" ClientDataKeyNames="os_cislo, cislo_pom" EditMode="Batch">
             <BatchEditingSettings EditType="Cell" HighlightDeletedRows="true"/>
            <Columns>
                <telerik:GridNumericColumn DataType="System.Decimal" DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" Groupable="False" ReadOnly="true">
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="cislo_pom" HeaderText="[%Č.P.%]" SortExpression="cislo_pom" Groupable="false" ReadOnly="true">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="prijmeni" HeaderText="[%Příjmení%]" SortExpression="prijmeni" Groupable="false" ReadOnly="true">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno" Groupable="false" ReadOnly="true">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="kmen_str" HeaderText="[%Kmen. stř.%]" SortExpression="kmen_str" ReadOnly="true">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="prac_str" HeaderText="[%Prac. stř.%]" SortExpression="prac_str" ReadOnly="true">
                </telerik:GridBoundColumn>
               
                 <telerik:GridTemplateColumn  UniqueName="hrom_vyber" HeaderText ="[%Výběr pro hromadnou změnu modelu%]"  AllowFiltering="false" >
                    <ItemTemplate>          
               <telerik:RadButton ID="btn_vyber" runat="server" AutoPostBack="false" ToggleType="CheckBox" ButtonType="ToggleButton" >
                        <ToggleStates>
                            <telerik:RadButtonToggleState  Value="true"  />
                            <telerik:RadButtonToggleState Value="false"  />
                        </ToggleStates>
                    </telerik:RadButton>
                        </ItemTemplate>
                  </telerik:GridTemplateColumn>

                <telerik:GridTemplateColumn DataField="model_pd" HeaderText="[%Model prac. doby%]" Visible="true" SortExpression="model_pd" Groupable="false" ItemStyle-Width="160" HeaderStyle-Width="160" ItemStyle-Wrap="false" UniqueName="model_pd">
                    <ItemTemplate>
                      <%--  <asp:Label ID="Label_model_pd" runat="server" Text='<%# Bind("model_pd") %>'></asp:Label>
                        <asp:Label ID="Label_prirazeni" runat="server" Text='<%# Bind("pd_priraz") %>' ToolTip="[%Implicitní model%]"
                            ForeColor="Red"></asp:Label>--%>
                       <%-- <%#DataBinder.Eval(Container, "DataItem.model_pd") %>--%>
                         <%# Eval("model_pd") %>
                    </ItemTemplate>
                     <EditItemTemplate>
                       <kspwc:TRadComboBox runat="server" ID="combo_modely2" EnableLoadOnDemand="true" OnItemsRequested="combo_modely_ItemsRequested" Width="150" DropDownAutoWidth="Enabled"></kspwc:TRadComboBox>
                   </EditItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridBoundColumn DataField="pd_priraz" HeaderText="[%Implicitní%]" SortExpression="pd_priraz" UniqueName="pd_priraz" ReadOnly="true" ItemStyle-ForeColor="Blue">
                </telerik:GridBoundColumn>

               <%-- <telerik:GridTemplateColumn HeaderText="model_pd" HeaderStyle-Width="160px" UniqueName="model_pd" DataField="model_pd">
                        <ItemTemplate>
                            <%# Eval("model_pd") %>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <telerik:RadDropDownList   runat="server" ID="combo_modely" DataValueField="id"
                                DataTextField="nazev" DataSourceID="ds_nabidka_modelu">
                            </telerik:RadDropDownList>
                        </EditItemTemplate>
                    
                </telerik:GridTemplateColumn>--%>
               <%-- <telerik:GridDropDownColumn HeaderText="model_pd" DataSourceID="ds_nabidka_modelu" ListValueField="id" ListTextField="nazev"  HeaderStyle-Width="160px" UniqueName="model_pd" DataField="model_pd">--%>
                        
                            
                    
               <%-- </telerik:GridDropDownColumn>--%>
                <telerik:GridNumericColumn DataType="System.Decimal" DataField="hod_uvazek" HeaderText="[%Hod. úvazek%]" SortExpression="hod_uvazek" ReadOnly="true">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataType="System.Decimal" DataField="zak_uvazek" HeaderText="[%Zák. úvazek%]" SortExpression="zak_uvazek" ReadOnly="true">
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="typ_kal" HeaderText="[%Typ kal.%]" SortExpression="typ_kal" ReadOnly="true">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="smena" HeaderText="[%Směna%]" SortExpression="smena">
                </telerik:GridBoundColumn>
                <telerik:GridDateTimeColumn DataField="datum_nastupu" DataFormatString="{0:d.M.yyyy}" FilterControlAltText="Filter datum_nastupu column"
                    HeaderText="[%Datum nástupu%]" FilterControlWidth="100px"  ReadOnly="true" />
                <telerik:GridDateTimeColumn DataField="datum_ukonc" DataFormatString="{0:d.M.yyyy}" FilterControlAltText="Filter datum_ukonc column"
                    HeaderText="[%Datum ukonč.%]" FilterControlWidth="100px"  ReadOnly="true" />             

                <telerik:GridTemplateColumn DataField="zpracovavat" HeaderText="[%Zpracovávat%]"  SortExpression="zpracovavat" AllowFiltering="false" AllowSorting="true" UniqueName="zpracovavat" >
                    <ItemTemplate>                   
                    <telerik:RadButton ID="btnZprac" runat="server" AutoPostBack="false" ToggleType="CheckBox" OnClientClicking="onClientClicking" ButtonType="ToggleButton" Checked='<%# Bind("zpracovavat") %>'>
                        <ToggleStates>
                            <telerik:RadButtonToggleState  Value="true"  />
                            <telerik:RadButtonToggleState Value="false"  />
                        </ToggleStates>
                    </telerik:RadButton>
                    </ItemTemplate>
                    <FooterTemplate>
                        <div>
                        <telerik:RadButton ID="btnZprac_zap_f" runat="server" AutoPostBack="false"  ToggleType="Radio" OnClientClicking="onClientClicking_f"  GroupName="StandardButton" ButtonType="ToggleButton" Checked='<%# Bind("zpracovavat") %>'>
                        <ToggleStates>
                            <telerik:RadButtonToggleState Text="[%Zapnout%]"  Value="true"  />                          
                        </ToggleStates>
                    </telerik:RadButton>
                            </div>
                        <div>
                     <telerik:RadButton ID="btnZprac_vyp_f" runat="server" AutoPostBack="false"  ToggleType="Radio" OnClientClicking="onClientClicking_f"  GroupName="StandardButton" ButtonType="ToggleButton" Checked='<%# Bind("zpracovavat") %>'>
                        <ToggleStates>                           
                            <telerik:RadButtonToggleState Text="[%Vypnout%]" Value="false"  />
                        </ToggleStates>
                    </telerik:RadButton>
                            </div>
                    </FooterTemplate>
                </telerik:GridTemplateColumn>                
                 <telerik:GridBoundColumn Visible="false" DataField="zpracovavat" HeaderText="[%Zpracovávat%]" SortExpression="zpracovavat" UniqueName="zpracovavat_2">
                  </telerik:GridBoundColumn>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="gcic" runat="server" StrediskaComboBox-Visible="true"></kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>

</asp:Content>
