﻿<%@ Page MasterPageFile="~/Main.Master" Language="C#" AutoEventWireup="true" Inherits="Dochazka_d2" CodeBehind="d2.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc3" %>
<%@ Register Assembly="zdroje" Namespace="KSProgram.WebControls" TagPrefix="cc2" %>
<%@ Register Assembly="zdroje" Namespace="KSProgram.Data" TagPrefix="cc1" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="aj" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="server">

    <script language="javascript" type="text/javascript">
        function colorChanged(sender) {
            sender.get_element().style.backgroundColor =
           "#" + sender.get_selectedColor();
        }
        function colorChangeBack(sender, eventArgs) {            
            var myDiv = document.getElementById("ctl00_HlavniOblast_tgv_CisPolozek_ctl00_ctl12_lab_barva_pozadi2");
            var color = sender.get_selectedColor();
            myDiv.value = color == null ? "" : color.replace("#", "");
        }
        function colorChangeFore(sender, eventArgs) {
            var myDiv = document.getElementById("ctl00_HlavniOblast_tgv_CisPolozek_ctl00_ctl12_lab_barva_pozadi_fore2");
            var color = sender.get_selectedColor();
            myDiv.value = color == null ? "" : color.replace("#", "");
        }
    </script>
    <style>
        .rgEditPopup {
            width: 700px !important;
        }       
    </style>
     <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="tgv_CisPolozek">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="tgv_CisPolozek" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>

    <%--<asp:Label ID="Label1" runat="server" Text="[%Položky%]" CssClass="nadpis1"></asp:Label>--%>
    <kspwc:TRadGrid ID="tgv_CisPolozek" runat="server" IdPravaEditace="23" ExportSettings-ExportOnlyData="true" ExportSettings-Csv-ColumnDelimiter="Semicolon" MasterTableView-Caption="[%Položky%]"
        DataSourceID="dsCisKodu" DataKeyNames="vyr_kod" OnUpdateCommand="tgv_CisPolozek_UpdateCommand" OnInsertCommand="tgv_CisPolozek_InsertCommand" AllowSorting="true"
         OnDeleteCommand="tgv_CisPolozek_DeleteCommand"  OnLoad="tgv_CisPolozek_Load">        
         <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
                    </ExportSettings>   
        <MasterTableView AutoGenerateColumns="false" TableLayout="Fixed" CommandItemDisplay="Top" EditMode="PopUp" DataKeyNames="vyr_kod">
             <EditFormSettings InsertCaption="[%Nový docházkový kód%]" CaptionFormatString="[%Detail docházkového kódu%]"  PopUpSettings-KeepInScreenBounds="true"
            CaptionDataField="nazev">
            <EditColumn FilterControlAltText="Filter EditCommandColumn column">
            </EditColumn>
        </EditFormSettings>
             <CommandItemSettings AddNewRecordText="[%Vložit nový%]" />
            <Columns>
                <telerik:GridEditCommandColumn UniqueName="EditCommandColumn" ButtonType="ImageButton" ItemStyle-Width="40" HeaderStyle-Width="40">
                </telerik:GridEditCommandColumn>
                <telerik:GridButtonColumn Text="Delete" CommandName="Delete" ButtonType="ImageButton" ItemStyle-Width="40" HeaderStyle-Width="40"  ConfirmDialogType="RadWindow" UniqueName="del_column"
                    ConfirmTitle="Mazání" ConfirmText="Opravdu si přejete odstranit docházkový kód?" />
                <%--<telerik:GridTemplateColumn >
                    <ItemTemplate>
                        <kspwc:TRadButton runat="server" ID="del_button" ConfirmText="[%Opravdu si přejete odstranit docházkový kód%]" CommandName="Delete" ButtonType="SkinnedButton"  >
                            <Icon PrimaryIconCssClass="fi fi-ban" />
                        </kspwc:TRadButton>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>--%>
                <telerik:GridTemplateColumn HeaderText="[%Kód%]" SortExpression="vyr_kod">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("vyr_kod") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <FooterTemplate>
                        <cc3:TImageButton ID="ImageButton_footer" runat="server" ImageUrl="~/Images/DataContainer_NewRecordHS.png" CommandName="Insert" BorderStyle="Solid" BorderWidth="1px" BorderColor="White" IdPrava="23"></cc3:TImageButton>
                    </FooterTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label178" runat="server" Text='<%# Bind("vyr_kod") %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridBoundColumn DataField="nazev" HeaderText="[%Název%]" MaxLength="40"
                    SortExpression="nazev" ></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="zkratka" HeaderText="[%Zkratka%]"
                    SortExpression="zkratka" />
                <telerik:GridTemplateColumn HeaderText="[%Mzd. kódy%]">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox_mzd_kod1" runat="server" Text='<%# Bind("mzd_kod1") %>'></asp:TextBox>
                        <br />
                        <asp:TextBox ID="TextBox_mzd_kod2" runat="server" Text='<%# Bind("mzd_kod2") %>'></asp:TextBox>
                        <br />
                        <asp:TextBox ID="TextBox_mzd_kod3" runat="server" Text='<%# Bind("mzd_kod3") %>'></asp:TextBox>
                    </EditItemTemplate>

                    <ItemTemplate>
                        <asp:Label ID="Label18" runat="server" Text='<%# Bind("mzd_kod1") %>'></asp:Label>
                        <br />
                        <asp:Label ID="Label41" runat="server" Text='<%# Bind("mzd_kod2") %>'></asp:Label>
                        <br />
                        <asp:Label ID="Label42" runat="server" Text='<%# Bind("mzd_kod3") %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="[%Sumace%]" SortExpression="sumace">
                    <EditItemTemplate>
                        <asp:DropDownList ID="ddl_sumace1" runat="server" SelectedValue='<%# Bind("sumace") %>'>
                            <asp:ListItem Selected="True" Value="2" Text="[%pracovní dny%]"></asp:ListItem>
                            <asp:ListItem Value="1" Text="[%kalendářní dny%]"></asp:ListItem>
                            <asp:ListItem Value="0" Text="[%nesumovat%]"></asp:ListItem>
                        </asp:DropDownList>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="lbl_5" runat="server" Text='<%# KSProgram.Ciselniky.CisDchKody.SumaceText((Int16?)DataBinder.Eval(Container.DataItem, "sumace")) %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="[%Identifikace%]">
                    <EditItemTemplate>
                        <asp:DropDownList ID="ddl_ident2" runat="server" SelectedValue='<%# Bind("ident") %>'>
                            <asp:ListItem Selected="True" Value="1" Text="[%příchod%]"></asp:ListItem>
                            <asp:ListItem Value="2" Text="[%přestávka%]"></asp:ListItem>
                            <asp:ListItem Value="3" Text="[%odchod%]"></asp:ListItem>
                            <asp:ListItem Value="4" Text="[%ranní%]"></asp:ListItem>
                            <asp:ListItem Value="5" Text="[%odpolední%]"></asp:ListItem>
                            <asp:ListItem Value="6" Text="[%noční%]"></asp:ListItem>
                            <asp:ListItem Value="7" Text="[%odpracovaná doba%]"></asp:ListItem>
                            <asp:ListItem Value="8" Text="[%přesčas%]"></asp:ListItem>
                            <asp:ListItem Value="10" Text="[%příplatek%]"></asp:ListItem>
                            <asp:ListItem Value="500" Text="[%absence%]"></asp:ListItem>
                            <asp:ListItem Value="521" Text="[%dovolená%]"></asp:ListItem>
                            <asp:ListItem Value="575" Text="[%propustka%]"></asp:ListItem>
                            <asp:ListItem Value="506" Text="[%neplac. volno%]"></asp:ListItem>
                            <asp:ListItem Value="515" Text="[%neoml. absence%]"></asp:ListItem>
                            <asp:ListItem Value="512" Text="[%OČR%]"></asp:ListItem>
                            <asp:ListItem Value="531" Text="[%náhrada za sv.%]"></asp:ListItem>
                            <asp:ListItem Value="520" Text="[%náhr. volno%]"></asp:ListItem>
                            <asp:ListItem Value="522" Text="[%náhr. volno Sv%]"></asp:ListItem>
                            <asp:ListItem Value="582" Text="[%přek. z provoz. důvod%]"></asp:ListItem>
                            <asp:ListItem Value="234" Text="[%pohotovost%]"></asp:ListItem>
                            <asp:ListItem Value="511" Text="[%nemoc%]"></asp:ListItem>
                            <asp:ListItem Value="11" Text="[%plánovaný fond%]"></asp:ListItem>
                            <asp:ListItem Value="0"></asp:ListItem>
                        </asp:DropDownList>
                        <br />
                        <asp:DropDownList ID="ddl_ident22" runat="server" SelectedValue='<%# Bind("ident2") %>'>
                            <asp:ListItem Selected="True" Value="" Text=""></asp:ListItem>
                            <asp:ListItem Value="1" Text="[%příchod%]"></asp:ListItem>
                            <asp:ListItem Value="2" Text="[%přestávka%]"></asp:ListItem>
                            <asp:ListItem Value="3" Text="[%odchod%]"></asp:ListItem>
                            <asp:ListItem Value="4" Text="[%ranní%]"></asp:ListItem>
                            <asp:ListItem Value="5" Text="[%odpolední%]"></asp:ListItem>
                            <asp:ListItem Value="6" Text="[%noční%]"></asp:ListItem>
                            <asp:ListItem Value="7" Text="[%odpracovaná doba%]"></asp:ListItem>
                            <asp:ListItem Value="8" Text="[%přesčas%]"></asp:ListItem>
                            <asp:ListItem Value="10" Text="[%příplatek%]"></asp:ListItem>
                            <asp:ListItem Value="500" Text="[%absence%]"></asp:ListItem>
                            <asp:ListItem Value="521" Text="[%dovolená%]"></asp:ListItem>
                            <asp:ListItem Value="575" Text="[%propustka%]"></asp:ListItem>
                            <asp:ListItem Value="506" Text="[%neplac. volno%]"></asp:ListItem>
                            <asp:ListItem Value="515" Text="[%neoml. absence%]"></asp:ListItem>
                            <asp:ListItem Value="512" Text="[%OČR%]"></asp:ListItem>
                            <asp:ListItem Value="531" Text="[%náhrada za sv.%]"></asp:ListItem>
                            <asp:ListItem Value="520" Text="[%náhr. volno%]"></asp:ListItem>
                            <asp:ListItem Value="522" Text="[%náhr. volno Sv%]"></asp:ListItem>
                            <asp:ListItem Value="582" Text="[%přek. z provoz. důvod%]"></asp:ListItem>
                            <asp:ListItem Value="234" Text="[%pohotovost%]"></asp:ListItem>
                            <asp:ListItem Value="511" Text="[%nemoc%]"></asp:ListItem>
                            <asp:ListItem Value="11" Text="[%plánovaný fond%]"></asp:ListItem>
                            <asp:ListItem Value="0"></asp:ListItem>
                        </asp:DropDownList>
                        <br />
                        <asp:DropDownList ID="DropDownList3" runat="server" SelectedValue='<%# Bind("ident3") %>'>
                            <asp:ListItem Selected="True" Value="" Text=""></asp:ListItem>
                            <asp:ListItem Value="1" Text="[%příchod%]"></asp:ListItem>
                            <asp:ListItem Value="2" Text="[%přestávka%]"></asp:ListItem>
                            <asp:ListItem Value="3" Text="[%odchod%]"></asp:ListItem>
                            <asp:ListItem Value="4" Text="[%ranní%]"></asp:ListItem>
                            <asp:ListItem Value="5" Text="[%odpolední%]"></asp:ListItem>
                            <asp:ListItem Value="6" Text="[%noční%]"></asp:ListItem>
                            <asp:ListItem Value="7" Text="[%odpracovaná doba%]"></asp:ListItem>
                            <asp:ListItem Value="8" Text="[%přesčas%]"></asp:ListItem>
                            <asp:ListItem Value="10" Text="[%příplatek%]"></asp:ListItem>
                            <asp:ListItem Value="500" Text="[%absence%]"></asp:ListItem>
                            <asp:ListItem Value="521" Text="[%dovolená%]"></asp:ListItem>
                            <asp:ListItem Value="575" Text="[%propustka%]"></asp:ListItem>
                            <asp:ListItem Value="506" Text="[%neplac. volno%]"></asp:ListItem>
                            <asp:ListItem Value="515" Text="[%neoml. absence%]"></asp:ListItem>
                            <asp:ListItem Value="512" Text="[%OČR%]"></asp:ListItem>
                            <asp:ListItem Value="531" Text="[%náhrada za sv.%]"></asp:ListItem>
                            <asp:ListItem Value="520" Text="[%náhr. volno%]"></asp:ListItem>
                            <asp:ListItem Value="582" Text="[%přek. z provoz. důvod%]"></asp:ListItem>
                            <asp:ListItem Value="234" Text="[%pohotovost%]"></asp:ListItem>
                            <asp:ListItem Value="511" Text="[%nemoc%]"></asp:ListItem>
                            <asp:ListItem Value="11" Text="[%plánovaný fond%]"></asp:ListItem>
                            <asp:ListItem Value="0"></asp:ListItem>
                        </asp:DropDownList>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Llb31" runat="server" Text='<%# KSProgram.Ciselniky.CisDchKody.IdentifikaceText((Int16?)DataBinder.Eval(Container.DataItem, "ident")) %>'></asp:Label>
                        <br />
                        <asp:Label ID="Llb3x" runat="server" Text='<%# KSProgram.Ciselniky.CisDchKody.IdentifikaceText(DataBinder.Eval(Container.DataItem, "ident2").ToString()) %>'></asp:Label>
                        <br />
                        <asp:Label ID="Label40" runat="server" Text='<%# KSProgram.Ciselniky.CisDchKody.IdentifikaceText(DataBinder.Eval(Container.DataItem, "ident3").ToString()) %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridTemplateColumn HeaderText="[%Přenášet%]" SortExpression="prenaset">
                    <EditItemTemplate>
                        <asp:DropDownList ID="ddlb1" runat="server" SelectedValue='<%# Bind("prenaset") %>'>
                            <asp:ListItem Selected="True" Value="0" Text="[%ne%]"></asp:ListItem>
                            <asp:ListItem Value="1" Text="[%ano%]"></asp:ListItem>
                        </asp:DropDownList>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Lbl11" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "prenaset"))==1?"[%ano%]":"[%ne%]") %>'> </asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="[%Kalendář%]" SortExpression="kalendar">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox2" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "kalendar"))==1?"[%ano%]":"[%ne%]") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "kalendar"))==1?"[%ano%]":"[%ne%]") %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="[%Plán směn%]" SortExpression="plan_smen">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox2p" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "plan_smen"))==1?"[%ano%]":"[%ne%]") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label2p" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "plan_smen"))==1?"[%ano%]":"[%ne%]") %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                 <telerik:GridTemplateColumn HeaderText="[%Terminál%]" SortExpression="terminal">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox_term" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "terminal"))==1?"[%ano%]":"[%ne%]") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label_term" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "terminal"))==1?"[%ano%]":"[%ne%]") %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridTemplateColumn HeaderText="[%Pořadí%]"
                    SortExpression="term_poradi">
                    <ItemTemplate>
                        <asp:Label ID="tx_term_poradi" runat="server" Text='<%# Bind("term_poradi") %>'></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:TextBox ID="tx_term_poradi_edit" runat="server" Text='<%# Bind("term_poradi") %>'></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="tx_term_poradi_edit" runat="server" ErrorMessage="Povinná položka"></asp:RequiredFieldValidator>
                    </EditItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="[%Způsob zadávání%]" SortExpression="zpusob">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("zpusob") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label3" runat="server" Text='<%# KSProgram.Ciselniky.CisDchKody.TextZpusobu(DataBinder.Eval(Container.DataItem,"zpusob")) %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="[%Gen. přestávku%]" SortExpression="prestavka">
                    <EditItemTemplate>
                        <asp:CheckBox ID="CheckBox_prestavka" runat="server" Checked='<%# Bind("prestavka") %>'></asp:CheckBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label_prestavka" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "prestavka"))==1?"[%ano%]":"[%ne%]") %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>


                <telerik:GridTemplateColumn HeaderText="[%Stravné%]" SortExpression="strava">
                    <EditItemTemplate>
                        <asp:CheckBox ID="CheckBox_strava" runat="server" Checked='<%# Bind("strava") %>'></asp:CheckBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label_strava" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "strava"))==1?"[%ano%]":"[%ne%]") %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridTemplateColumn HeaderText="[%Pevná pracovní doba%]" SortExpression="ppd">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox2" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "ppd"))==1?"[%ano%]":"[%ne%]") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label_ppd" runat="server" Text='<%# ((Int16)(DataBinder.Eval(Container.DataItem, "ppd"))==1?"[%ano%]":"[%ne%]") %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>


                <telerik:GridTemplateColumn HeaderText="[%Barva tlačítka%]">
                    <ItemTemplate>
                        <asp:TextBox runat="server" ID="lab_barva_pozadi2" Text="&nbsp;&nbsp;&nbsp;" Width="20px"
                            Enabled="false" BackColor='<%# AplikujBarvu("#"+Convert.ToString(DataBinder.Eval(Container.DataItem,"barva_back"))) %>'></asp:TextBox>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:TextBox runat="server" ID="barva_edit_back" Text='<%# Bind("barva_back") %>'></asp:TextBox>
                    </EditItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="[%Barva textu tlačítka%]">
                    <ItemTemplate>
                        <asp:TextBox runat="server" ID="lab_barva_pozadi_fore2" Text="&nbsp;&nbsp;&nbsp;"
                            Width="20px" Enabled="false" BackColor='<%# AplikujBarvu("#"+Convert.ToString(DataBinder.Eval(Container.DataItem,"barva_fore"))) %>'></asp:TextBox>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:TextBox runat="server" ID="barva_edit_fore" Text='<%# Bind("barva_fore") %>'></asp:TextBox>
                    </EditItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridTemplateColumn HeaderText="[%Podniky%]" UniqueName="col_podniky">
                    <ItemTemplate>
                        <asp:Label runat="server" ID="lab_podnik" Text='<%# _podnikyText(DataBinder.Eval(Container.DataItem, "podniky")) %>' ></asp:Label>                           
                    </ItemTemplate>                    
                </telerik:GridTemplateColumn>

                 <telerik:GridTemplateColumn HeaderText="[%Druhy poměrů%]" UniqueName="col_druhy_pom">
                    <ItemTemplate>
                        <asp:Label runat="server" ID="lab_druhy_pom" Text='<%# _druhyPomText(DataBinder.Eval(Container.DataItem, "druhy_pom")) %>' ></asp:Label>                           
                    </ItemTemplate>                    
                </telerik:GridTemplateColumn>

            </Columns>
            <EditFormSettings UserControlName="DchKodyEditace.ascx" EditFormType="WebUserControl" PopUpSettings-Modal="true">
                <EditColumn UniqueName="EditCommandColumn">
                </EditColumn>
            </EditFormSettings>
        </MasterTableView>
    </kspwc:TRadGrid>
    <asp:ObjectDataSource ID="dsCisKodu" runat="server" SelectMethod="DbSelect" TypeName="KSProgram.Ciselniky.CisDchKody" DeleteMethod="DbDelete" UpdateMethod="DbUpdate" OldValuesParameterFormatString="original_{0}"
        InsertMethod="DbInsert">
        <DeleteParameters>
            <asp:Parameter Name="vyr_kod" Type="String" />
        </DeleteParameters>
    </asp:ObjectDataSource>

</asp:Content>
