﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using KSProgram.Dochazka;
using KSProgram.Data;
using System.Collections.Specialized;
using KSProgram.Funkce;
using System.Drawing;
using System.Security;
using KSProgram.Prava;
using KSProgram.Ciselniky;
using Telerik.Web.UI;
using KSProgram.Obecne;
using KSProgram.WebControls;
using KSProgram;

public partial class Dochazka_d2b : TPage
{
    public Dochazka_d2b()
    {
        IdPrava = 24;
        this.HelpURL = "Modely_prac._doby_-_%C4%8D%C3%ADseln%C3%ADk";
    }

    protected override void OnLoadComplete(EventArgs e)
    {
        base.OnLoadComplete(e);
        // if (!Zakaznik.IsSR())
        //PH 13.5.2021
        if (!Zakaznik.IsSR() && !ParametryDochazky.UpravaTieto)
        {
            Label lab = WebControlHelper.FindControl(this, "lab2_kod_strav_prisp") as Label;
            if (lab != null)
                lab.Visible = false;

            lab = WebControlHelper.FindControl(this, "lab2_cena_strav_prisp") as Label;
            if (lab != null)
                lab.Visible = false;           
        }
        else
        {
            GridColumn col = gv_polozky.MasterTableView.GetColumn("kod_stravneho");
            col.HeaderText = "[%Kód stravného%]/ [%příspěvku%]";

            col = gv_polozky.MasterTableView.GetColumn("cena_stravneho");
            col.HeaderText = "[%Cena stravenky%]/ [%příspěvku%]";
        }
    }

    /*
  protected void dsModelPdPodleId_Deleted(object sender, ObjectDataSourceStatusEventArgs e)
  {
      ddl_modelypd.DataBind();
  }
  protected void dsModelPdPodleId_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
  {
      ddl_modelypd.DataBind();
      //lb_prohlizeni_Command(null, null);
  }
  protected void dsModelPdPodleId_Updated(object sender, ObjectDataSourceStatusEventArgs e)
  {
      ddl_modelypd.DataBind();
  }
  protected void tdModelyPd_ItemUpdated(object sender, DetailsViewUpdatedEventArgs e)
  {

  }
*/

    /*
protected void tdModelyPd_PreRender(object sender, EventArgs e)
{
if (!PravaAkce.PristupPovolen(25))
    tdModelyPd.Rows[tdModelyPd.Rows.Count - 1].Visible = false;
}

protected void cv_unique_cislo_server_validate(object sender, ServerValidateEventArgs args)
{
args.IsValid = !CisDchModelyPd.IsCisloUsed(Convert.ToInt32(args.Value));
}

protected void cv_unique_nazev_server_validate(object sender, ServerValidateEventArgs args)
{
args.IsValid = !CisDchModelyPd.IsNazevUsed(args.Value);
}
*/

    public static string GetKonecZacatekSmeny(object container, string ahod, string amin)
    {
        object hod = DataBinder.Eval(container, ahod);
        object min = DataBinder.Eval(container, amin);
        if (!(((hod == null) || (hod == DBNull.Value)) && ((min == null) || (min == DBNull.Value))))
        {
            short? hods = GetNullOrData.GetInt16(hod);
            short? mins = GetNullOrData.GetInt16(min);
            if (hods == null) hods = 0;
            if (mins == null) mins = 0;
            return Cas_na_min.GetCas(hods * 60 + mins);
        }
        return "";
    }
 

    protected string Doba(object hod, object min)
    {
        if (hod == null)
            hod = 0;
        if (hod == DBNull.Value)
            hod = 0;

        if (min == null)
            min = 0;
        if (min == DBNull.Value)
            min = 0;

        return KSProgram.Funkce.Cas_na_min.GetCas(Convert.ToInt16(hod) * 60 + Convert.ToInt16(min));
    }

    protected void gv_polozky_UpdateCommand(object sender, Telerik.Web.UI.GridCommandEventArgs e)
    {
        Str_DchModelPd str = new Str_DchModelPd();
        _collectValues(e, ref str, false);       

        CisDchModelyPd.DbUpdate((short)str.cislo, str.nazev, str.zac_smeny_hod, str.zac_smeny_min, str.kon_smeny_hod,
            str.kon_smeny_min, str.pres_delka_hod, str.pres_delka_min, str.pres_inter_hod, str.pres_inter_min, str.pres_inter1_hod, str.pres_inter1_min,
            str.pres_ic, str.ranni_od_hod, str.ranni_od_min, str.odpol_od_hod, str.odpol_od_min, str.nocni_od_hod,
            str.nocni_od_min, (short)str.prislsmeny, str.nar_odpol, str.nar_odpol_odpr_hod, str.nar_odpol_odpr_min, str.nar_nocni, str.nar_nocni_odpr_hod, str.nar_nocni_odpr_min, str.nar_svat, str.nar_sobota,
            str.nar_nedele, (short)str.prescas, (str.aut_svatek==1), str.stravne1_po_hod, str.stravne1_po_min,
            str.stravne2_po_hod, str.stravne2_po_min, str.kod_stravneho, str.cena_stravneho, str.kod_strav_prisp, str.cena_strav_prisp, str.pr_poc_obd,
            str.pr_mes_od, str.ppd_od_hod, str.ppd_od_min, str.ppd_do_hod, str.ppd_do_min, str.pr_jednotka, str.pr_start_datum, str.pr_delka, (str.fond_exp==1), (str.gen_cast_dne==1), (str.aut_gen_ne==1), (str.schval_ne==1),
            str.gen_kod, str.pf_jiny, str.pf_jednotka, str.pf_delka, str.pf_start_datum, str.slc_neorez,  (str.def_model==1),
            str.id);
    }

    protected void gv_polozky_InsertCommand(object sender, Telerik.Web.UI.GridCommandEventArgs e)
    {
        Str_DchModelPd str = new Str_DchModelPd();
        _collectValues(e, ref str, true);

        CisDchModelyPd.DbInsert(0,(short)str.cislo, str.nazev, str.zac_smeny_hod, str.zac_smeny_min, str.kon_smeny_hod,
           str.kon_smeny_min, str.pres_delka_hod, str.pres_delka_min, str.pres_inter_hod, str.pres_inter_min, str.pres_inter1_hod, str.pres_inter1_min,
           str.pres_ic, str.ranni_od_hod, str.ranni_od_min, str.odpol_od_hod, str.odpol_od_min, str.nocni_od_hod,
           str.nocni_od_min, (short)str.prislsmeny, str.nar_odpol, str.nar_odpol_odpr_hod, str.nar_odpol_odpr_min, str.nar_nocni, str.nar_nocni_odpr_hod, str.nar_nocni_odpr_min, str.nar_svat, str.nar_sobota,
           str.nar_nedele, (short)str.prescas,  (str.aut_svatek == 1), str.stravne1_po_hod, str.stravne2_po_min,
           str.stravne2_po_hod, str.stravne2_po_min, str.kod_stravneho, str.cena_stravneho, str.kod_strav_prisp, str.cena_strav_prisp, str.pr_poc_obd,
           str.pr_mes_od, str.ppd_od_hod, str.ppd_od_min, str.ppd_do_hod, str.ppd_do_min, str.pr_jednotka, str.pr_start_datum, str.pr_delka, (str.fond_exp == 1), (str.gen_cast_dne == 1), (str.aut_gen_ne == 1), (str.schval_ne == 1), str.gen_kod,
           str.pf_jiny,str.pf_jednotka, str.pf_delka, str.pf_start_datum, str.slc_neorez,
           (str.def_model == 1));
    }

    private void _collectValues(GridCommandEventArgs e, ref Str_DchModelPd str, bool insert)
    {
        GridEditableItem editedItem = e.Item as GridEditableItem;
        UserControl userControl = (UserControl)e.Item.FindControl(GridEditFormItem.EditFormUserControlID);

        str = new Str_DchModelPd();

        if (!insert)           
            str.id = Convert.ToInt16(editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["id"]);

        str.cislo= Convert.ToInt32((userControl.FindControl("tx_cislo") as RadNumericTextBox).Value);
        str.nazev = (userControl.FindControl("tx_nazev") as RadTextBox).Text;
       
        if ((userControl.FindControl("TextBox112") as RadNumericTextBox).Value!=null)
            str.zac_smeny_hod=Convert.ToInt16((userControl.FindControl("TextBox112") as RadNumericTextBox).Value);

        if ((userControl.FindControl("TextBox16edit") as RadNumericTextBox).Value != null)
            str.zac_smeny_min = Convert.ToInt16((userControl.FindControl("TextBox16edit") as RadNumericTextBox).Value);

       
        if ((userControl.FindControl("RadNumericTextBox1") as RadNumericTextBox).Value != null)
            str.kon_smeny_hod = Convert.ToInt16((userControl.FindControl("RadNumericTextBox1") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox2") as RadNumericTextBox).Value != null)
            str.kon_smeny_min = Convert.ToInt16((userControl.FindControl("RadNumericTextBox2") as RadNumericTextBox).Value);

        
        if ((userControl.FindControl("RadNumericTextBox3") as RadNumericTextBox).Value != null)
            str.pres_delka_hod = Convert.ToInt16((userControl.FindControl("RadNumericTextBox3") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox4") as RadNumericTextBox).Value != null)
            str.pres_delka_min = Convert.ToInt16((userControl.FindControl("RadNumericTextBox4") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox3") as RadNumericTextBox).Value != null)
            str.pres_inter1_hod = Convert.ToInt16((userControl.FindControl("RadNumericTextBox17") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox4") as RadNumericTextBox).Value != null)
            str.pres_inter1_min = Convert.ToInt16((userControl.FindControl("RadNumericTextBox18") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox3") as RadNumericTextBox).Value != null)
            str.pres_inter_hod = Convert.ToInt16((userControl.FindControl("RadNumericTextBox5") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox4") as RadNumericTextBox).Value != null)
            str.pres_inter_min = Convert.ToInt16((userControl.FindControl("RadNumericTextBox6") as RadNumericTextBox).Value);

         str.pres_ic = (userControl.FindControl("ddl_9ic") as RadComboBox).SelectedValue;
       
        if ((userControl.FindControl("RadNumericTextBox7") as RadNumericTextBox).Value != null)
            str.ranni_od_hod = Convert.ToInt16((userControl.FindControl("RadNumericTextBox7") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox8") as RadNumericTextBox).Value != null)
            str.ranni_od_min = Convert.ToInt16((userControl.FindControl("RadNumericTextBox8") as RadNumericTextBox).Value);

      
        if ((userControl.FindControl("RadNumericTextBox9") as RadNumericTextBox).Value != null)
            str.odpol_od_hod = Convert.ToInt16((userControl.FindControl("RadNumericTextBox9") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox10") as RadNumericTextBox).Value != null)
            str.odpol_od_min = Convert.ToInt16((userControl.FindControl("RadNumericTextBox10") as RadNumericTextBox).Value);
       
        if ((userControl.FindControl("RadNumericTextBox11") as RadNumericTextBox).Value != null)
            str.nocni_od_hod = Convert.ToInt16((userControl.FindControl("RadNumericTextBox11") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox12") as RadNumericTextBox).Value != null)
            str.nocni_od_min = Convert.ToInt16((userControl.FindControl("RadNumericTextBox12") as RadNumericTextBox).Value);

        str.nar_odpol = (short)(((userControl.FindControl("check_nar_odpol") as CheckBox).Checked) ? 1 : 0);
        str.nar_nocni = (short)(((userControl.FindControl("check_nar_nocni") as CheckBox).Checked) ? 1 : 0);
        str.nar_sobota = (short)(((userControl.FindControl("check_nar_sobota") as CheckBox).Checked) ? 1 : 0);
        str.nar_nedele = (short)(((userControl.FindControl("check_nar_nedele") as CheckBox).Checked) ? 1 : 0);

        if ((userControl.FindControl("rntb_nar_odpol_odpr_hod") as RadNumericTextBox).Value != null)
            str.nar_odpol_odpr_hod= Convert.ToInt16((userControl.FindControl("rntb_nar_odpol_odpr_hod") as RadNumericTextBox).Value);

        if ((userControl.FindControl("rntb_nar_odpol_odpr_min") as RadNumericTextBox).Value != null)
            str.nar_odpol_odpr_min = Convert.ToInt16((userControl.FindControl("rntb_nar_odpol_odpr_min") as RadNumericTextBox).Value);

        if ((userControl.FindControl("rntb_nar_nocni_odpr_hod") as RadNumericTextBox).Value != null)
            str.nar_nocni_odpr_hod = Convert.ToInt16((userControl.FindControl("rntb_nar_nocni_odpr_hod") as RadNumericTextBox).Value);

        if ((userControl.FindControl("rntb_nar_nocni_odpr_min") as RadNumericTextBox).Value != null)
            str.nar_nocni_odpr_min = Convert.ToInt16((userControl.FindControl("rntb_nar_nocni_odpr_min") as RadNumericTextBox).Value);

        //str.nar_svat = (short)(((userControl.FindControl("check_nar_svat") as CheckBox).Checked) ? 1 : 0);
        //PH 9.5.2017
        str.nar_svat = Convert.ToInt16((userControl.FindControl("TRadComboBox_nar_svatek") as RadComboBox).SelectedValue);
        str.aut_svatek = (short)(((userControl.FindControl("check_svatek") as CheckBox).Checked) ? 1 : 0);
        /*
        str.nar_nocni = (short)(Convert.ToBoolean(userControl.FindControl("check_nar_nocni")) == true ? 1 : 0);
        str.nar_sobota = (short)(Convert.ToBoolean(userControl.FindControl("check_nar_sobota")) == true ? 1 : 0);
        str.nar_nedele = (short)(Convert.ToBoolean(userControl.FindControl("check_nar_nedele")) == true ? 1 : 0);
        str.nar_svat = (short)(Convert.ToBoolean(userControl.FindControl("check_nar_svat")) == true ? 1 : 0);    
        str.aut_svatek=(Convert.ToBoolean(userControl.FindControl("check_svatek")) == true ? 1 : 0);
        */

        if ((userControl.FindControl("RadNumericTextBox13") as RadNumericTextBox).Value != null)
            str.stravne1_po_hod = Convert.ToInt16((userControl.FindControl("RadNumericTextBox13") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox14") as RadNumericTextBox).Value != null)
            str.stravne1_po_min = Convert.ToInt16((userControl.FindControl("RadNumericTextBox14") as RadNumericTextBox).Value);
       
        if ((userControl.FindControl("RadNumericTextBox15") as RadNumericTextBox).Value != null)
            str.stravne2_po_hod = Convert.ToInt16((userControl.FindControl("RadNumericTextBox15") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox16") as RadNumericTextBox).Value != null)
            str.stravne2_po_min = Convert.ToInt16((userControl.FindControl("RadNumericTextBox16") as RadNumericTextBox).Value);

        if ((userControl.FindControl("Text_kod_stravneho") as RadNumericTextBox).Value != null)
            str.kod_stravneho = Convert.ToInt32((userControl.FindControl("Text_kod_stravneho") as RadNumericTextBox).Value);

        if ((userControl.FindControl("text_cena_stravneho") as RadNumericTextBox).Value!=null)
           str.cena_stravneho = Convert.ToDecimal((userControl.FindControl("text_cena_stravneho") as RadNumericTextBox).Value);

        if ((userControl.FindControl("Text_kod_strav_prisp") as RadNumericTextBox).Value != null)
            str.kod_strav_prisp = Convert.ToInt32((userControl.FindControl("Text_kod_strav_prisp") as RadNumericTextBox).Value);

        if ((userControl.FindControl("Text_cena_strav_prisp") as RadNumericTextBox).Value != null)
            str.cena_strav_prisp = Convert.ToDecimal((userControl.FindControl("Text_cena_strav_prisp") as RadNumericTextBox).Value);


        if ((userControl.FindControl("numeric_pr_poc_obdobi") as RadNumericTextBox).Value != null)
            str.pr_poc_obd = Convert.ToInt16((userControl.FindControl("numeric_pr_poc_obdobi") as RadNumericTextBox).Value);

        if ((userControl.FindControl("numeric_pr_mes_od") as RadNumericTextBox).Value != null)
            str.pr_mes_od = Convert.ToInt16((userControl.FindControl("numeric_pr_mes_od") as RadNumericTextBox).Value);

        if ((userControl.FindControl("combo_co_s_hodinama") as RadComboBox).SelectedValue != null)
            str.prescas = Convert.ToInt32((userControl.FindControl("combo_co_s_hodinama") as RadComboBox).SelectedValue);

        
        str.fond_exp = (short)(((userControl.FindControl("Box_fond_edit") as CheckBox).Checked) ? 1 : 0);
        str.gen_cast_dne = (short)(((userControl.FindControl("RadCheckBox1") as CheckBox).Checked) ? 1 : 0);
        str.aut_gen_ne = (short)(((userControl.FindControl("RadCheckBox2") as CheckBox).Checked) ? 1 : 0);
        str.schval_ne = (short)(((userControl.FindControl("RadCheckBox3") as CheckBox).Checked) ? 1 : 0);

        if ((userControl.FindControl("tb_gen_kod_edit") as RadNumericTextBox).Value != null)
            str.gen_kod = Convert.ToInt32((userControl.FindControl("tb_gen_kod_edit") as RadNumericTextBox).Value);

        str.def_model = (short)(((userControl.FindControl("check_def_model") as CheckBox).Checked) ? 1 : 0);


        if ((userControl.FindControl("combo_pf_jiny") as RadComboBox).SelectedValue != null)
            str.pf_jiny = Convert.ToInt16((userControl.FindControl("combo_pf_jiny") as RadComboBox).SelectedValue);

        if ((userControl.FindControl("combo_pf_jednotka") as RadComboBox).SelectedValue != null)
            str.pf_jednotka = Convert.ToString((userControl.FindControl("combo_pf_jednotka") as RadComboBox).SelectedValue);

        if ((userControl.FindControl("numeric_pf_delka") as RadNumericTextBox).Value != null)
            str.pf_delka = Convert.ToInt32((userControl.FindControl("numeric_pf_delka") as RadNumericTextBox).Value);

        if ((userControl.FindControl("calendar_pf_pocatek") as RadDatePicker).DbSelectedDate != null)
            str.pf_start_datum = Convert.ToDateTime((userControl.FindControl("calendar_pf_pocatek") as RadDatePicker).DbSelectedDate);



        if ((userControl.FindControl("combo_jednotka") as RadComboBox).SelectedValue != null)
            str.pr_jednotka = Convert.ToString((userControl.FindControl("combo_jednotka") as RadComboBox).SelectedValue);

        if ((userControl.FindControl("numeric_pr_start_datum") as RadDatePicker).DbSelectedDate != null)
            str.pr_start_datum = Convert.ToDateTime((userControl.FindControl("numeric_pr_start_datum") as RadDatePicker).DbSelectedDate);

        if ((userControl.FindControl("numeric_pr_delka") as RadNumericTextBox).Value != null)
            str.pr_delka = Convert.ToInt32((userControl.FindControl("numeric_pr_delka") as RadNumericTextBox).Value);

        //--------------------------------------------------
        if ((userControl.FindControl("RadNumericTextBox_ppd_od_hod") as RadNumericTextBox).Value != null)
            str.ppd_od_hod = Convert.ToInt16((userControl.FindControl("RadNumericTextBox_ppd_od_hod") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox_ppd_od_min") as RadNumericTextBox).Value != null)
            str.ppd_od_min = Convert.ToInt16((userControl.FindControl("RadNumericTextBox_ppd_od_min") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox_ppd_do_hod") as RadNumericTextBox).Value != null)
            str.ppd_do_hod = Convert.ToInt16((userControl.FindControl("RadNumericTextBox_ppd_do_hod") as RadNumericTextBox).Value);

        if ((userControl.FindControl("RadNumericTextBox_ppd_do_hod") as RadNumericTextBox).Value != null)
            str.ppd_do_min = Convert.ToInt16((userControl.FindControl("RadNumericTextBox_ppd_do_min") as RadNumericTextBox).Value);
        //---------------------------------------------------
                
        str.slc_neorez = (short)(((userControl.FindControl("CheckBox_slc_neorez") as CheckBox).Checked) ? 1 : 0); //PH 19.1.2022
    }

    /// <summary>
    /// Textové vyjádření jednotky
    /// </summary>
    /// <param name="par"></param>
    /// <returns></returns>
    public static string Pf_jednotka_text(object par)
    {
        if ((par == null) || (par == DBNull.Value)) return "";

        string jednotka = Convert.ToString(par);

        if (jednotka == "m")
            return KSProgram.Obecne.ReadGlobalResource.ZmenaTextu("[%měsíc%]");
        else if (jednotka == "t")
            return "[%týden%]";

        return "";
           
    }

    /// <summary>
    /// textové vyjádření
    /// </summary>
    /// <param name="typ"></param>
    /// <returns></returns>
    public static string Pf_jiny_text(object typ)
    {
        if ((typ == null) || (typ == DBNull.Value)) return "";

        int li_typ = Convert.ToInt32(typ);

        if (li_typ == 0)
            return KSProgram.Obecne.ReadGlobalResource.ZmenaTextu("[%stejné jako pro přesčasy%]");
        else if (li_typ == 1)
            return "MRound(Počet kal. dní/7*40,0.25)";
        else if (li_typ == 2)
            return "ZÚ * poč. prac. dní(včetně sv)";
        else if (li_typ == 3)
            return "(počet dní pon. až čtv. * 8hod.)+(počet pátků v roce * 7,5hod.)";
        else if (li_typ == 4) //PH 16.1.2017 nový způsob výpočtu
            return "běžný kalendář";
        else if (li_typ == 5) //PH 30.11.20196 48713
            return "HÚ * poč. prac. dní(včetně sv)";

        return "";
    }


    protected void gv_polozky_DeleteCommand(object sender, GridCommandEventArgs e)
    {
        string ls_id = (e.Item as GridDataItem).OwnerTableView.DataKeyValues[e.Item.ItemIndex]["id"].ToString();
        if (!string.IsNullOrEmpty(ls_id))
        {
            int id;
            if (Int32.TryParse(ls_id, out id))
            {
                //testuju jestli položka existuje
                if (CisDchModelyPd.JePouzit(id))
                    MessageBox.Alert(this, KSProgram.Obecne.ReadGlobalResource.ZmenaTextu("[%Model nelze odstranit, je již použit%]."));
                else
                    CisDchModelyPd.DbDelete(id);
            }
        }
    }

    protected string _cas(object val)
    {
        if ((val==null)||(val==DBNull.Value)) return "";

        short vl = Convert.ToInt16(val);
        return KSProgram.Funkce.Cas_na_min.GetCas(vl);
    }

    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);

        RadComboBox cb_jednotka = (RadComboBox)WebControlHelper.FindControl(this, "combo_jednotka");
        if (cb_jednotka!=null)
        {
            HtmlTableRow tr_pr_delka=((HtmlTableRow)WebControlHelper.FindControl(this, "tr_pr_delka"));
            HtmlTableRow tr_pr_start_datum = ((HtmlTableRow)WebControlHelper.FindControl(this, "tr_pr_start_datum"));
            HtmlTableRow tr_pr_poc_obd = ((HtmlTableRow)WebControlHelper.FindControl(this, "tr_pr_poc_obd"));
            HtmlTableRow tr_pr_poc_datum = ((HtmlTableRow)WebControlHelper.FindControl(this, "tr_pr_poc_datum"));
            
            RadNumericTextBox numeric_pr_poc_obdobi = (RadNumericTextBox)WebControlHelper.FindControl(this, "numeric_pr_poc_obdobi");
            RadNumericTextBox numeric_pr_mes_od = (RadNumericTextBox)WebControlHelper.FindControl(this, "numeric_pr_mes_od");
            RadNumericTextBox numeric_pr_delka = (RadNumericTextBox)WebControlHelper.FindControl(this, "numeric_pr_delka");
            RadDatePicker numeric_pr_start_datum = (RadDatePicker)WebControlHelper.FindControl(this, "numeric_pr_start_datum");
            RadComboBox co_s_hodinama = (RadComboBox)WebControlHelper.FindControl(this, "combo_co_s_hodinama");
            string val=cb_jednotka.SelectedValue;
            cb_jednotka.SelectedValue = val;
            if (cb_jednotka.SelectedValue=="t")
            {
                numeric_pr_delka.Enabled=true;
                numeric_pr_start_datum.Enabled=true;

                numeric_pr_poc_obdobi.Value=null;
                numeric_pr_poc_obdobi.Enabled=false;

                numeric_pr_mes_od.Value=null;
                numeric_pr_mes_od.Enabled=false;
              
                tr_pr_delka.Attributes.Add("class", "visible");
                tr_pr_start_datum.Attributes.Add("class", "visible");
                tr_pr_poc_obd.Attributes.Add("class", "hidden");
                tr_pr_poc_datum.Attributes.Add("class", "hidden");
            }
            else if (cb_jednotka.SelectedValue == "m")
            {
                if (co_s_hodinama.SelectedValue == "8")
                {
                    numeric_pr_start_datum.Enabled=false;
                    numeric_pr_poc_obdobi.Enabled = false;
                    numeric_pr_mes_od.Enabled = false;
                    numeric_pr_delka.Enabled = true;
                   
                    tr_pr_delka.Attributes.Add("class", "visible");
                    tr_pr_start_datum.Attributes.Add("class", "hidden");
                    tr_pr_poc_obd.Attributes.Add("class", "hidden");
                    tr_pr_poc_datum.Attributes.Add("class", "hidden");
                }
                else
                {
                    numeric_pr_start_datum.Enabled=true;
                    numeric_pr_start_datum.SelectedDate = null;
                    numeric_pr_delka.Value = null;
                    numeric_pr_delka.Enabled=false;

                    numeric_pr_poc_obdobi.Enabled = true;
                    numeric_pr_mes_od.Enabled=true;
                    
                    tr_pr_delka.Attributes.Add("class", "hidden");
                    tr_pr_start_datum.Attributes.Add("class", "hidden");
                    tr_pr_poc_obd.Attributes.Add("class", "visible");
                    tr_pr_poc_datum.Attributes.Add("class", "visible");
                }
            }
        }
    }
}

