﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="d3_editace.ascx.cs"
    Inherits="KSPortal.Controls.d3_editace" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<telerik:RadFormDecorator ID="QsfFromDecorator" runat="server" DecoratedControls="CheckBoxes,RadioButtons,Select,Textarea,Textbox" EnableRoundedCorners="false"  />
<telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
    <script type="text/javascript" id="telerikClientEvents2">
        //<![CDATA[       
        var combo_obor_edit;        
         function TRCB_DropDownClosed(sender, args) {            
         }
         function clientLoad_combo_obor_edit(sender, args) {
             combo_obor_edit = sender;
         }
         function dd_dim1_OnClientItemsRequesting(sender, eventArgs) {
             var context = eventArgs.get_context();
             context["obdobi"] = getRokMes();
             context["os_cislo"] = KSMaster.HF_sel_os_cislo.value;
             context["cislo_pom"] = KSMaster.HF_sel_cislo_pom.value;
         }
         function dd_dim2_OnClientItemsRequesting(sender, eventArgs) {           
             var context = eventArgs.get_context();
             context["obdobi"] = getRokMes();
             context["projekt"] = $find('<%=dd_dim1.ClientID%>').get_value();
             context["os_cislo"] = KSMaster.HF_sel_os_cislo.value;
             context["cislo_pom"] = KSMaster.HF_sel_cislo_pom.value;
         }
        function dd_dim1_OnClientSelectedIndexChanged(sender, eventArgs) {
            var dim = $find('<%=dd_dim2.ClientID%>');
            if ((dim!= null)&& (dim!= undefined))
            {
                $find('<%=dd_dim2.ClientID%>').clearItems();
                $find('<%=dd_dim2.ClientID%>').clearSelection();
            }
        }
        function getRokMes()
        {
            var rok = $find('<%=lab_rok.ClientID%>').get_value();
            var mes = $find('<%=lab_mes.ClientID%>').get_value();           
            return rok + mes;
        }
        function OnClientItemsRequesting(sender, eventArgs) {
            var context = eventArgs.get_context();
            context["os_cislo"] = KSMaster.HF_sel_os_cislo.value;
            context["cislo_pom"] = KSMaster.HF_sel_cislo_pom.value;
            context["sender"] = "D";
        }
    </script>
 </telerik:RadScriptBlock>
<asp:Panel runat="server" ID="pan_edit">
<table width="500" style="margin-left:5px; padding: 15px">
    <tr>
        <td>
            <asp:Label ID="Label6" runat="server" Text="[%Datum%]" CssClass="nadpis1"></asp:Label>
        </td>
        <td style="text-align:left;">
            <asp:Label ID="label_datum" runat="server" Text='<%# Bind("den", "{0:d}") %>'  CssClass="nadpis1"></asp:Label>
            <telerik:RadTextBox ID="lab_rok" runat="server" style="display:none"   Text='<%# Bind("den", "{0:yyyy}") %>'></telerik:RadTextBox>
            <telerik:RadTextBox ID="lab_mes" runat="server" style="display:none"  Text='<%# Bind("den", "{0:MM}") %>'></telerik:RadTextBox>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="Label1" runat="server" Text="[%Kód%]:"></asp:Label>
        </td>
        <td style="text-align:left;">          
                <telerik:RadComboBox runat="server" ID="ddlKod" CssClass="povinne-pole" 
                AutoPostBack="true"  Width="400px" DropDownCssClass="povinne-pole" EnableLoadOnDemand="True" 
                    ShowMoreResultsBox="true"    DataTextField="cely_nazev" DataValueField="kod" DropDownHeight="50px"
                OnSelectedIndexChanged="ddlKod_SelectedIndexChanged" OnDataBound="ddlKod_DataBound" OnClientItemsRequesting="OnClientItemsRequesting"
                 ValidationGroup="edit" BackColor="#ffffcc"  forecolor="black" 
                 EnableVirtualScrolling="false" SelectedValue='<%# Bind("kod") %>' >
                <WebServiceSettings  Method="GetKodyDochazka" Path="../PrivateWebServices/AutoCompleteService.asmx" />
                </telerik:RadComboBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="ddlKod"
                ValidationGroup="edit" ErrorMessage="RequiredFieldValidator" ></asp:RequiredFieldValidator>
                <br />
                <asp:CustomValidator runat="server" ID="cv_kod" ControlToValidate="ddlKod" 
                onservervalidate="cv_kod_ServerValidate" ErrorMessage="[%Neplatný kód%]"  ></asp:CustomValidator>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="Label2" runat="server" Text="[%Čas od%]:"></asp:Label>
        </td>
        <td style="text-align:left;">
            <div style="white-space: nowrap;">
                <asp:TextBox runat="server" ID="hod_od" Text='<%# Bind("hod_od") %>' Width="30" MaxLength="3"></asp:TextBox>
                <asp:CustomValidator ID="hod_validator" runat="server" ErrorMessage="*" ControlToValidate="hod_od"
                    ValidationGroup="edit" OnServerValidate="hod_validate"></asp:CustomValidator>
                <asp:Label runat="server" ID="lab_min_od" Text=":"></asp:Label>
                <asp:TextBox runat="server" ID="min_od" Text='<%# Bind("min_od") %>' Width="30" MaxLength="3"></asp:TextBox>
                <asp:CustomValidator ID="min_validator" runat="server" ErrorMessage="*" ControlToValidate="min_od"
                    ValidationGroup="edit" OnServerValidate="min_validate"></asp:CustomValidator>
            </div>
        </td>
       <%-- <td style="text-align:right;">
            <asp:Label runat="server" ID="lab_projekt" Text="[%Projekt%]:" Visible='<%#_Visible_dim() %>' ></asp:Label>
        </td>
         <td>
             <kspwc:TRadComboBox  Visible='<%#_Visible_dim() %>' ID="dd_dim1" runat="server" DropDownAutoWidth="Enabled" OnClientItemsRequesting="dd_dim1_OnClientItemsRequesting"
            EnableLoadOnDemand="True" EnableVirtualScrolling="true" SelectedValue='<%# Bind("c_pole1") %>' OnClientSelectedIndexChanged="dd_dim1_OnClientSelectedIndexChanged"
            Height="250px" OnClientDropDownClosed="TRCB_DropDownClosed" OnClientLoad="clientLoad_combo_obor_edit" 
            ShowMoreResultsBox="True" Width="200px"   EnableAutomaticLoadOnDemand="true">
            <WebServiceSettings Method="GetDim1" Path="~/PrivateWebServices/AutoCompleteService.asmx" />
            </kspwc:TRadComboBox>
            <asp:CustomValidator ID="sv_dim1" runat="server" Text="[%Neplatná hodnota%]" ErrorMessage="[%Neplatná hodnota%]" ControlToValidate="dd_dim1"
                    ValidationGroup="edit" OnServerValidate="dim1_validate"></asp:CustomValidator>
        </td>--%>
    </tr>
    <tr>
        <td>
            <asp:Label ID="Label3" runat="server" Text="[%Čas do%]:"></asp:Label>
        </td>
        <td style="text-align:left;">
            <div style="white-space: nowrap;">
                <asp:TextBox runat="server" ID="hod_do" Text='<%# Bind("hod_do") %>' Width="30" MaxLength="3"></asp:TextBox>
                <asp:CustomValidator ID="hod_do_validator" runat="server" ErrorMessage="*" ControlToValidate="hod_do"
                    ValidationGroup="edit" OnServerValidate="hod_validate"></asp:CustomValidator>
                <asp:Label runat="server" ID="lab_min_do" Text=":"></asp:Label>
                <asp:TextBox runat="server" ID="min_do" Text='<%# Bind("min_do") %>' Width="30" MaxLength="3"></asp:TextBox>
                <asp:CustomValidator ID="min_do_validator" runat="server" ErrorMessage="*" ControlToValidate="min_do"
                    ValidationGroup="edit" OnServerValidate="min_validate"></asp:CustomValidator>
            </div>
        </td>
       <%-- <td style="text-align:right;" >
            <asp:Label runat="server" ID="Label8" Text="[%Úloha%]:"  Visible='<%#_Visible_dim() %>'></asp:Label>
        </td>
         <td>
             <kspwc:TRadComboBox ID="dd_dim2" Visible='<%#_Visible_dim() %>' runat="server" DropDownAutoWidth="Enabled" OnClientItemsRequesting="dd_dim2_OnClientItemsRequesting"
                                        EnableLoadOnDemand="True" EnableVirtualScrolling="True" SelectedValue='<%# Bind("c_pole2") %>'
                                        Height="150px" OnClientDropDownClosed="TRCB_DropDownClosed" OnClientLoad="clientLoad_combo_obor_edit"
                                        ShowMoreResultsBox="True" Width="200px"  EnableAutomaticLoadOnDemand="true">
                                        <WebServiceSettings Method="GetDim2" Path="~/PrivateWebServices/AutoCompleteService.asmx" />
                                     </kspwc:TRadComboBox>
             <asp:CustomValidator ID="sv_dim2" runat="server" Text="[%Neplatná hodnota%]" ErrorMessage="[%Neplatná hodnota%]" ControlToValidate="dd_dim2"
                    ValidationGroup="edit" OnServerValidate="dim2_validate"></asp:CustomValidator>
        </td>--%>
    </tr>
    <tr>
        <td>
            <asp:Label ID="Label5" runat="server" Text="[%Doba%]:"></asp:Label>
        </td>
        <td style="text-align:left;">
            <div style="white-space: nowrap;">
                <asp:TextBox runat="server" ID="hod_doba" Text='<%# Bind("hod_doba") %>' Width="30" MaxLength="3"></asp:TextBox>
                <asp:CustomValidator ID="hod_doba_validator" runat="server" ErrorMessage="*" ControlToValidate="hod_doba"
                    ValidationGroup="edit" OnServerValidate="hod_validate"></asp:CustomValidator>
                <asp:Label runat="server" ID="Label4" Text=":"></asp:Label>
                <asp:TextBox runat="server" ID="min_doba" Text='<%# Bind("min_doba") %>' Width="30" MaxLength="3"></asp:TextBox>
                <asp:CustomValidator ID="min_doba_validator" runat="server" ErrorMessage="*" ControlToValidate="min_doba"
                    ValidationGroup="edit" OnServerValidate="min_validate"></asp:CustomValidator>
            </div>
        </td>
    </tr>
    <tr>
    <td></td>
        <td>
            <asp:CustomValidator runat="server" ID="cv_cas_udaje" Display="Dynamic" 
                ErrorMessage="[%Nevyplněny časové údaje%]" 
                onservervalidate="cv_cas_udaje_ServerValidate"  ></asp:CustomValidator>
            <asp:CustomValidator runat="server" ID="cv_nv_limit" Display="Dynamic" 
                ErrorMessage="[%Překročen limit NV%]" 
                onservervalidate="cv_limi_nv_ServerValidate"  ></asp:CustomValidator>
            <div style="max-width:300px !important;white-space:pre-wrap;">
             <asp:CustomValidator runat="server" ID="cv_ppd" Display="Dynamic"                
                onservervalidate="cv_ppd_ServerValidate"  ></asp:CustomValidator>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label runat="server" ID="Label103" Text='<%# KSProgram.Ciselniky.CisOjDochazka.PopisekOJ(true) %>' Visible='<%# _Visible_stred() %>'></asp:Label>
        </td>
        <td style="text-align:left;">                 
            <telerik:RadComboBox ID="ddlb_stred" runat="server"  EnableLoadOnDemand="true" 
                ShowMoreResultsBox="true" EnableVirtualScrolling="false"                    DropDownHeight="200px" 
                Width="400px"   OnItemsRequested="ddlb_stred_ItemsRequested" DropDownWidth="500px" >          
                <WebServiceSettings  Method="GetStredDochazka" Path="../PrivateWebServices/AutoCompleteService.asmx" />
               
            </telerik:RadComboBox>
        </td>
    </tr>
    <tr>

         <td>
            <asp:Label runat="server" ID="lab_projekt" Text="[%Projekt%]:" ></asp:Label>
        </td>
         <td>
             <kspwc:TRadComboBox  ID="dd_dim1" runat="server" DropDownAutoWidth="Enabled" OnClientItemsRequesting="dd_dim1_OnClientItemsRequesting"
            EnableLoadOnDemand="True" EnableVirtualScrolling="true" SelectedValue='<%# Bind("c_pole1") %>' OnClientSelectedIndexChanged="dd_dim1_OnClientSelectedIndexChanged"
            Height="250px" OnClientDropDownClosed="TRCB_DropDownClosed" OnClientLoad="clientLoad_combo_obor_edit" 
            ShowMoreResultsBox="True" Width="400px"   EnableAutomaticLoadOnDemand="true">
            <WebServiceSettings Method="GetDim1" Path="~/PrivateWebServices/AutoCompleteService.asmx" />
            </kspwc:TRadComboBox>
             <div>
            <asp:CustomValidator ID="sv_dim1" Display="Dynamic" runat="server" Text="[%Neplatná hodnota%]" ErrorMessage="[%Neplatná hodnota%]" ControlToValidate="dd_dim1"
                    ValidationGroup="edit" OnServerValidate="dim1_validate"></asp:CustomValidator>
            </div>
        </td>
        </tr>
    <tr>
         <td>
            <asp:Label runat="server" ID="lab_uloha" Text="[%Úloha%]:"  ></asp:Label>
        </td>
         <td>
             <kspwc:TRadComboBox ID="dd_dim2"  runat="server" DropDownAutoWidth="Enabled" OnClientItemsRequesting="dd_dim2_OnClientItemsRequesting"
                                        EnableLoadOnDemand="True" EnableVirtualScrolling="True" SelectedValue='<%# Bind("c_pole2") %>'
                                        Height="150px" OnClientDropDownClosed="TRCB_DropDownClosed" OnClientLoad="clientLoad_combo_obor_edit"
                                        ShowMoreResultsBox="True" Width="400px"  EnableAutomaticLoadOnDemand="true">
                                        <WebServiceSettings Method="GetDim2" Path="~/PrivateWebServices/AutoCompleteService.asmx" />
                                     </kspwc:TRadComboBox>
               <div>
                <asp:CustomValidator ID="sv_dim2" runat="server" Display="Dynamic" Text="[%Neplatná hodnota%]" ErrorMessage="[%Neplatná hodnota%]" ControlToValidate="dd_dim2"
                    ValidationGroup="edit" OnServerValidate="dim2_validate"></asp:CustomValidator>
              </div>
        </td>
    </tr>



    <tr>
        <td>
            <asp:Label ID="Label_davka_edit" runat="server" Text="[%Dávka%]:" Visible='<%#_Visible_c_pole1() %>'></asp:Label>
        </td>
        <td style="text-align:left;">
            <div style="padding-right: 10px">
                <asp:TextBox  ID="c_pole1" runat="server" Text='<%# Bind("c_pole1") %>' MaxLength="12"   Width="80" Visible='<%#_Visible_c_pole1() %>'></asp:TextBox >
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="Label_sazba_edit" runat="server" Text="[%Sazba%]:" Visible='<%#_Visible_sazba() %>'></asp:Label>
        </td>
        <td style="text-align:left;">
            <div style="padding-right: 10px">
                <telerik:RadNumericTextBox ID="sazba" runat="server" Type="Currency" Text='<%# Bind("sazba") %>' Width="80" Visible='<%#_Visible_sazba() %>'></telerik:RadNumericTextBox>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="Label_castka_edit" runat="server" Text="[%Částka%]:" Visible='<%#_Visible_castka() %>'></asp:Label>
        </td>
        <td style="text-align:left;">
            <div style="padding-right: 10px">
                <telerik:RadNumericTextBox ID="castka" Type="Currency" runat="server" DbValue='<%# Bind("castka") %>' Width="80" Visible='<%#_Visible_castka() %>'></telerik:RadNumericTextBox>
            </div>
        </td>
    </tr>

    <tr>
        <td style="vertical-align:top">
            <asp:Label ID="Label7" runat="server" Text="[%Poznámka%]:" ></asp:Label>
        </td>
        <td style="text-align:left;">
            <div style="padding-right: 10px">
                <telerik:RadTextBox runat="server" ID="text_poznamka" MaxLength="999" TextMode="MultiLine" Width="400" Height="150" ></telerik:RadTextBox>
                <br/>
                <kspwc:TextValidator runat="server" ID="val2" ControlToValidate="text_poznamka"></kspwc:TextValidator>
            </div>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <table style="border-collapse:collapse; width:100%; margin-bottom:20px;">
                <tr>
                    <td style="text-align:center;">
                        <asp:Label runat="server" ID="lab_od" Text="[%Od%]:"></asp:Label>
                        <kspwc:TRadDatePicker ID="TextBoxOd" runat="server" Enabled="false" />
                    </td>
                    <td style="text-align:center;">
                        <asp:Label runat="server" ID="lab_do" Text="[%Do%]:"></asp:Label>                      
                        <kspwc:TRadDatePicker ID="TextBoxDo" runat="server"  />
                        <kspwc:TRequiredValidator runat="server" ID="val_TextBoxDo" ControlToValidate="TextBoxDo"></kspwc:TRequiredValidator>
                    </td>
                </tr>
            </table>
        </td>
    </tr>   
</table>
</asp:Panel>
<table width="500" style="margin-bottom:5px;">
    <tr>
        <td style="width:380px;">
        </td>
        <td style="">
            <%--<kspwc:TLinkButton Width="50" OnCommand="save_Command" style="text-align:center;" ID="ImageButton2" Text="[%Uložit%]" runat="server" ValidationGroup="edit" CausesValidation="true"  CommandName="Update" SkinID="button" Visible='<%# !(DataItem is Telerik.Web.UI.GridInsertionObject) %>' />
             <kspwc:TLinkButton Width="50" OnCommand="save_Command" style="text-align:center;" ID="TLinkButton1" Text="[%Uložit%]" runat="server" ValidationGroup="edit"  CausesValidation="true" CommandName="PerformInsert" SkinID="button" Visible='<%# DataItem is Telerik.Web.UI.GridInsertionObject %>' />--%>
             <kspwc:TRadButton Text="[%Uložit%]" Icon-PrimaryIconCssClass="fi fi-disk" OnCommand="save_Command" ID="ImageButton2" runat="server" ValidationGroup="edit" CausesValidation="true"  CommandName="Update" SingleClick="true" Visible='<%# !(DataItem is Telerik.Web.UI.GridInsertionObject) %>' />
             <kspwc:TRadButton Text="[%Uložit%]" Icon-PrimaryIconCssClass="fi fi-disk" OnCommand="save_Command" ID="TLinkButton1" runat="server" ValidationGroup="edit"  CausesValidation="true" CommandName="PerformInsert" SingleClick="true" Visible='<%# DataItem is Telerik.Web.UI.GridInsertionObject %>' />
        </td>
        <td style="padding-right:20px;">
            <kspwc:TRadButton  style="text-align:center;" ID="ImageButton1" CausesValidation="false"
                Text="[%Zrušit%]" runat="server" Icon-PrimaryIconCssClass="fi fi-ban" CommandName="Cancel" SkinID="button" 
                oncommand="ImageButton1_Command" />
        </td>
    </tr>
</table>
<asp:ObjectDataSource ID="dsStred" runat="server" SelectMethod="VsechnaStrediska"
    TypeName="KSProgram.Ciselniky.CisStredisko" OldValuesParameterFormatString="original_{0}"
    CacheDuration="60" EnableCaching="true" CacheKeyDependency='<%# KSProgram.Globals.User %>'
    CacheExpirationPolicy="Absolute">
    <SelectParameters>
        <asp:ControlParameter ControlID="NabidkaObdobi" Name="datumOd" PropertyName="SelectedDate"
            Type="DateTime" DefaultValue="" />
        <asp:ControlParameter ControlID="NabidkaObdobi" Name="datumDo" PropertyName="SelectedDate"
            Type="DateTime" />
        <asp:Parameter Name="ab_prazdny" DefaultValue="true" Type="Boolean" />
    </SelectParameters>
</asp:ObjectDataSource>
<asp:ObjectDataSource runat="server" ID="dsDdlKody" TypeName="KSProgram.Ciselniky.CisDchKody"
    SelectMethod="KodZkratkaNazev" ></asp:ObjectDataSource>
