﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using KSProgram.Dochazka;
using KSProgram.Data;
using System.Collections.Specialized;
using KSProgram.Funkce;
using System.Drawing;
using KSProgram;
using System.Collections.Generic;
using KSProgram.WebControls;
using KSProgram.Ciselniky;
using System.ComponentModel;
using KSProgram.Pozadavky;
using System.Data.Common;
using KSProgram.Diagnostics;
using KSProgram.Extensions;


    public partial class Dochazka_d3a : TPageZam
    {

        protected bool form_editable
        {
            get
            {
                return (ViewState["form_editable"] == null ? false : (bool)ViewState["form_editable"]);
            }
            set
            {
                ViewState["form_editable"] = value;
            }
        }

        protected decimal Os_cislo
        {
            get
            {
                return (ViewState["Os_cislo"] == null ? 0 : (decimal)ViewState["Os_cislo"]);
            }
            set
            {
                ViewState["Os_cislo"] = value;
            }
        }

        /*
        protected DateTime Obdobi
        {
            get
            {
                return (ViewState["Obdobi"] == null ? (short)0 : (DateTime)ViewState["Obdobi"]);
            }
            set
            {
                ViewState["Obdobi"] = value;
            }
        }
         * */

        protected short Cislo_pom
        {
            get
            {
                return (ViewState["Cislo_pom"] == null ? (short)0 : (short)ViewState["Cislo_pom"]);
            }
            set
            {
                ViewState["Cislo_pom"] = value;
            }
        }


        protected bool Chyba
        {
            get
            {
                return (ViewState["Chyba"] == null ? false : (bool)ViewState["Chyba"]);
            }
            set
            {
                ViewState["Chyba"] = value;
            }
        }

        protected bool Nevyp
        {
            get
            {
                return (ViewState["Nevyp"] == null ? false : (bool)ViewState["Nevyp"]);
            }
            set
            {
                ViewState["Nevyp"] = value;
            }
        }

        protected bool PozadavkyZazpnuto
        {
            get
            {
                if (ViewState["PozadavkyZazpnuto"] == null)
                    ViewState["PozadavkyZazpnuto"] = /*(Parametry.ParametrCti("Dochazka") == "a")*/  (Parametry.ParametrCti("Dochazka") != "n");
                return (ViewState["PozadavkyZazpnuto"] == null ? false : (bool)ViewState["PozadavkyZazpnuto"]);
            }
        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
            if (!Page.IsPostBack)
            {
                /*
                NabidkaObdobi.SetDefaultObdobi(Globals.AktObdobi);
                NabidkaObdobi.SetMinObdobi(Globals.AktObdobi.AddMonths(Globals.ParDochazky.Mes_zpet * -1));
                NabidkaObdobi.SetMaxObdobi(Globals.AktObdobi.AddMonths(Globals.ParDochazky.Mes_vpred));
                 * */

                NabidkaObdobi.SetDefaultObdobi(ParametryDochazky.OBDOBI_PRO_SESTAVY);
                NabidkaObdobi.SetMinObdobi(ParametryDochazky.OBDOBI_PRO_SESTAVY.AddMonths(Globals.ParDochazky.Mes_zpet * -1));
                NabidkaObdobi.SetMaxObdobi(ParametryDochazky.OBDOBI_PRO_SESTAVY.AddMonths(Globals.ParDochazky.Mes_vpred));
                LinkButt_rozd_presc.Visible = ParametryDochazky.ROZDEL_PRESCAS_ENABLE;


                ch_rozbalit.Visible = Zakaznik.IsCurrent("BOCHEMIE");//PH 13.11.2013
            }
            //Nacist();
        }

        protected override void OnLoadComplete(EventArgs e)
        {
            base.OnLoadComplete(e);
            //if ((!Page.IsPostBack) || (Globals.OsCislo != Os_cislo))
            //PH 26.11.2013
            if ((!Page.IsPostBack) || (Globals.OsCisloPomer.OsCislo != Os_cislo) || (Globals.OsCisloPomer.CisloPom != Cislo_pom))
            {
                NactiMesic();
            }
        }

        public Dochazka_d3a()
        {
            IdPrava = 16;
            ContentHorizontalAlign = HorizontalAlign.Left;
        }
        //protected override void OnDataBinding(EventArgs e)
        //{
        //    base.OnDataBinding(e);
        //    NactiSeznam();
        //}

        /*
        protected void NactiSeznam()
        {
    
      
            SeznamZam.DataSourceID = "dsZam";
            SeznamZam.DataBind();
            this.FindRowByOsCislo();
            if (SeznamZam.SelectedIndex > -1)        
                NactiMesic(); 
         
            NactiMesic(); 
        }
    */
        bool _schval_ne;
        protected void NactiMesic()
        {

            /*
            Globals.OsCislo = Convert.ToDecimal(SeznamZam.SelectedDataKey["os_cislo"]);
            dsMesic.SelectParameters[0].DefaultValue = SeznamZam.SelectedDataKey["os_cislo"].ToString();
            dsMesic.SelectParameters[1].DefaultValue = SeznamZam.SelectedDataKey["cislo_pom"].ToString();
            SumaceMesic.DataSourceID = "dsMesic";
            SumaceMesicDataBind();
             * */
            KSTrace.WriteLine("d3.aspx", "NactiMesic start");

            Os_cislo = Globals.OsCisloPomer.OsCislo;
            Cislo_pom = Globals.OsCisloPomer.CisloPom;

            //PH 16.12.2014 potlačení schvalování
            _schval_ne=ModelyPdZam.ModelProZamStruct(Os_cislo, Cislo_pom, NabidkaObdobi.SelectedValue).SchvalNe;
            

            /*
            Prac_pom pp = new Prac_pom();
            Cislo_pom=pp.Platny_Pomer(Globals.OsCislo, NabidkaObdobi.SelectedValue);
            dsMesic.SelectParameters[0].DefaultValue = Globals.OsCislo.ToString();
            dsMesic.SelectParameters[1].DefaultValue = Cislo_pom.ToString();
             * */
            //PH 26.11.2013
            dsMesic.SelectParameters[0].DefaultValue = Globals.OsCisloPomer.OsCislo.ToString();
            dsMesic.SelectParameters[1].DefaultValue = Globals.OsCisloPomer.CisloPom.ToString();
            dsMesic.SelectParameters[2].DefaultValue = NabidkaObdobi.SelectedValue.ToString();
            dsMesic.SelectParameters[3].DefaultValue = NabidkaObdobi.SelectedValue.PosledniDen().ToString(); //PH 15.9.2014
            SumaceMesic.DataSourceID = "dsMesic";
            SumaceMesicDataBind(false);

            KSTrace.WriteLine("d3.aspx", "NactiMesic end");
        }

        int fond = 0, odprac = 0, absence = 0, rozdil = 0, /*prescas = 0,*/ ranni = 0, odpoledni = 0, nocni = 0, pohotovost = 0;
        decimal castka = 0;

        protected void SumaceMesic_RowDataBound(object sender, GridViewRowEventArgs e)
        {

            if (!(_Visible_castka())) //PH 19.3.2013
                e.Row.Cells[9].Visible = false;

            object objsv = DataBinder.Eval(e.Row.DataItem, "svatek");
            bool svatek = false;
            if (objsv != DBNull.Value)
            {
                svatek = Convert.ToBoolean(DataBinder.Eval(e.Row.DataItem, "svatek"));
            }
            if (e.Row.RowType == DataControlRowType.Header)
            {
                fond = 0; odprac = 0; absence = 0; rozdil = 0; ranni = 0; odpoledni = 0; nocni = 0;
                castka = 0;
                Chyba = false;
                Nevyp = false;

            }
            else if (e.Row.RowType == DataControlRowType.DataRow)
            {
                decimal f = 0;
                decimal fo = 0;
                //e.Row.BackColor = SumaceMesic.RowStyle.BackColor;
                e.Row.BorderWidth = 0;
                e.Row.BorderStyle = BorderStyle.None;

                //z datumu vložím jen číslo dne
                //--------------------------------------------------
                DateTime den = Convert.ToDateTime(DataBinder.Eval(e.Row.DataItem, "den"));
                LinkButton lnkbt = (LinkButton)e.Row.Cells[0].FindControl("LinkButtonDen");
                if (lnkbt != null) { lnkbt.Text = den.Day.ToString(); }
                //------------------------------------------------

                if (svatek)
                {
                    e.Row.Cells[0].ForeColor = Color.Red;
                    e.Row.Cells[1].ForeColor = e.Row.Cells[0].ForeColor;
                }
                else if (den.DayOfWeek == DayOfWeek.Saturday || den.DayOfWeek == DayOfWeek.Sunday)
                {
                    e.Row.Cells[0].ForeColor = Color.Blue;
                    e.Row.Cells[1].ForeColor = e.Row.Cells[0].ForeColor;
                }

                //e.Row.Attributes.Add("onmouseover", "this.style.backgroundColor='Silver'");
                //// This will be the back ground color of the GridView Control
                //e.Row.Attributes.Add("onmouseout", "this.style.backgroundColor='#F0F0F0'");
                //Better way
                e.Row.CssClass = "theme_alternaterow";
                e.Row.Attributes.Add("onmouseover", "this.className='theme_selectedrow'");
                e.Row.Attributes.Add("onmouseout", "this.className='theme_alternaterow'");

                //provádím konverzi na čas ve formátu hh:mm a zároveň sumuju položky
                //-------------------------------------------------------------------
                int pom = 0;
                decimal pom2 = 0;

                pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "fond"));
                e.Row.Cells[1].Text = Cas_na_min.GetCas(pom);
                fond += pom;
                f = pom;

                pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "odprac"));
                e.Row.Cells[2].Text = Cas_na_min.GetCas(pom);
                odprac += pom;
                fo += pom;

                pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "ranni"));
                e.Row.Cells[3].Text = Cas_na_min.GetCas(pom);
                ranni += pom;

                pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "odpoledni"));
                e.Row.Cells[4].Text = Cas_na_min.GetCas(pom);
                odpoledni += pom;

                pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "nocni"));
                e.Row.Cells[5].Text = Cas_na_min.GetCas(pom);
                nocni += pom;

                pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "absence"));
                e.Row.Cells[6].Text = Cas_na_min.GetCas(pom);
                absence += pom;
                fo += pom;

                pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "rozdil"));
                e.Row.Cells[7].Text = Cas_na_min.GetCas(pom);
                rozdil += pom;

                pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "pohotovost"));
                e.Row.Cells[8].Text = Cas_na_min.GetCas(pom);
                pohotovost += pom;

                pom2 = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "castka"));
                e.Row.Cells[9].Text = pom2.ToString();
                castka += pom2;

                ObjectDataSource s = (ObjectDataSource)e.Row.FindControl("dsDen");
                s.SelectParameters[0].DefaultValue = Globals.OsCislo.ToString();
                s.SelectParameters[1].DefaultValue = Cislo_pom.ToString();
                s.SelectParameters[2].DefaultValue = den.ToString();

                //s.InsertParameters[0].DefaultValue = Globals.OsCislo.ToString();
                //s.InsertParameters[1].DefaultValue = Cislo_pom.ToString();
                //s.InsertParameters[2].DefaultValue = den.ToString();

                s.UpdateParameters[0].DefaultValue = Globals.OsCislo.ToString();
                s.UpdateParameters[1].DefaultValue = Cislo_pom.ToString();
                s.UpdateParameters[2].DefaultValue = den.ToString();

                s.DeleteParameters[0].DefaultValue = Globals.OsCislo.ToString();
                s.DeleteParameters[1].DefaultValue = Cislo_pom.ToString();
                s.DeleteParameters[2].DefaultValue = den.ToString();

                if (e.Row.NamingContainer != null)
                {
                    ImageButton but = (ImageButton)e.Row.Cells[0].FindControl("img_vlozit");
                    but.Enabled = AllawEditDay(Convert.ToDateTime(DataBinder.Eval(e.Row.DataItem, "den")));
                    if (!(but.Enabled)) but.ImageUrl = Globals.IkonaZakazanehoPristupu;
                }

                TGridView v = (TGridView)e.Row.FindControl("TGridViewDen");
                Control ctrl = (Control)e.Row.FindControl("div_grid");
                //ctrl.Visible = false;
                //PH 13.7.2011
                ctrl.Visible = ch_rozbalit.Checked;
                //v.Visible = false;
                //v.DataBind();???

                //uložím info o chybě
                if (DataBinder.Eval(e.Row.DataItem, "chyba").ToString() == "ano")
                {
                    Chyba = true;
                }
                if ((f > 0) && (fo == 0))
                {
                    //ještě zjistím jestli tam není nv
                    short nv = Convert.ToInt16(DataBinder.Eval(e.Row.DataItem, "nv"));
                    if (nv == 0)
                        Nevyp = true;
                }

            }
            else if (e.Row.RowType == DataControlRowType.Footer)
            {
                e.Row.Cells[1].Text = Cas_na_min.GetCas(fond);
                e.Row.Cells[2].Text = Cas_na_min.GetCas(odprac);
                e.Row.Cells[3].Text = Cas_na_min.GetCas(ranni);
                e.Row.Cells[4].Text = Cas_na_min.GetCas(odpoledni);
                e.Row.Cells[5].Text = Cas_na_min.GetCas(nocni);
                e.Row.Cells[6].Text = Cas_na_min.GetCas(absence);
                e.Row.Cells[7].Text = Cas_na_min.GetCas(rozdil);
                e.Row.Cells[9].Text = castka.ToString();
                //e.Row.Cells[10].Text = Cas_na_min.GetCas(pohotovost);
            }
        }

        protected void img_expand_oncommand(object sender, CommandEventArgs e)
        {
            int index = Convert.ToInt32(e.CommandArgument);
            ImageButton img = (ImageButton)sender;
            _expandRow(new object(), index, img.ImageUrl == @"~/images/menu_expand.png");
        }

        protected void dsDen_Deleted(object sender, EventArgs e)
        {
            SumaceMesicDataBind(true);
        }

        /*
        protected void SeznamZam_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            if (e.CommandName == "OznacZaznam")
            {
                int index = Convert.ToInt32(e.CommandArgument);
                if (index > -1)
                {
                    SeznamZam.SelectedIndex = index;
                    SeznamZam.NastavRowAndPage();
                    NactiMesic();
                }
            }
        }
        protected void SeznamZam_RowCreated(object sender, GridViewRowEventArgs e)
        {
            // GridViewCommandEventArgs třída neobsahuje vlastnost,
            // která indikuje který řádek by stisknut. Použiju tlačítkovou vlastnost
            // CommandArgument do které vložím index řádku
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                // Získám odkaz na LinkButton z prvního sloupce .
                LinkButton oznacZazn = (LinkButton)e.Row.Cells[0].FindControl("LinkButtonOsCislo");

                // Nastavím vlastnost CommandArgument controlu LinkButton indexem řádku.
                oznacZazn.CommandArgument = e.Row.RowIndex.ToString();
            }
        }
         * */


        /*
        protected void dsMesic_Updated(object sender, ObjectDataSourceStatusEventArgs e)
        {
            dsMesic.DataBind();
        }
         * */

        protected void Nacist()
        {
            PanelZmenaStavu.Visible = false;

            //int id_poz = Pozadavek.Exists(Convert.ToDecimal(SeznamZam.SelectedDataKey["os_cislo"]), "dochazka", datum);
            if (PozadavkyZazpnuto)
            {
                DateTime datum = NabidkaObdobi.SelectedValue;
                //PH 16.12.2014 doplněna varianta kdy je pro zaměstnance potlačen schvalovací proces
               
                if (!_schval_ne)
                {
                    int id_poz = Pozadavek.Exists(Globals.OsCisloPomer.OsCislo, Globals.OsCisloPomer.CisloPom, "dochazka", datum);

                    workfl_hl whl = new workfl_hl();
                    Str_workfl_hl st = whl.NaplnStrukturu(id_poz);

                    WorkflowMaster wf = new WorkflowMaster(id_poz, "dochazka", null);

                    string zmstavu = wf.Get_UN("", "PanelZmenaStavu", "Visible");
                    if (zmstavu == "true")
                    {
                        dsStavyEdit.SelectParameters[0].DefaultValue = id_poz.ToString();
                        //dsZmenaStavu.InsertParameters[0].DefaultValue = id_poz.ToString();                
                        PanelZmenaStavu.Visible = true;
                        ddl_zmena_stavu.DataSourceID = "dsStavyEdit";
                    }

                    string editable = wf.Get_UN("", "form_editable", "Enabled");
                    form_editable = ((editable == "true") || (editable == ""));
                }
            }
        }

        private void _nastavExpanded(ref List<bool> exp)
        {
            for (int i = 0; (i < SumaceMesic.Rows.Count) && (exp.Count >= SumaceMesic.Rows.Count); i++)
            {
                if (ch_rozbalit.Visible)
                {
                    _expandRow(new object(), i, exp[i]);
                    //SumaceMesic.Rows[i].FindControl("div_grid").Visible = exp[i];
                }
                else
                {
                    _expandRow(new object(), i, true);
                }
            }
        }

        private void _zapamatujExpanded(ref List<bool> exp)
        {
            return;
            //PH 9.12.2013 zapoznámkováno
            /*
            for (int i = 0; i < SumaceMesic.Rows.Count; i++)
            {
                Control c = SumaceMesic.Rows[i].FindControl("div_grid");
                exp.Add(c.Visible);
            }
             * */
        }

        protected void SumaceMesic_RowCreated(object sender, GridViewRowEventArgs e)
        {

            // GridViewCommandEventArgs třída neobsahuje vlastnost,
            // která indikuje který řádek by stisknut. Použiju tlačítkovou vlastnost
            // CommandArgument do které vložím index řádku
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                TGridView gr = (TGridView)sender;

                e.Row.BackColor = gr.RowStyle.BackColor;

                ImageButton but = (ImageButton)e.Row.Cells[0].FindControl("img_expand");
                but.CommandArgument = e.Row.RowIndex.ToString();

                but = (ImageButton)e.Row.Cells[0].FindControl("img_vlozit");
                but.CommandArgument = e.Row.RowIndex.ToString();

                ObjectDataSource s = (ObjectDataSource)e.Row.FindControl("dsDen");

                s.UpdateParameters[0].DefaultValue = Globals.OsCislo.ToString();
                s.UpdateParameters[1].DefaultValue = Cislo_pom.ToString();

                s.DeleteParameters[0].DefaultValue = Globals.OsCislo.ToString();
                s.DeleteParameters[1].DefaultValue = Cislo_pom.ToString();

            }
        }

        protected void SumaceMesic_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            if (e.CommandName == "insert")
            {
                int row = Convert.ToInt32(e.CommandArgument);
                _expandRow(new object(), row, true);
                TGridView gr = (TGridView)SumaceMesic.Rows[row].FindControl("TGridViewDen");
                Control ctrl = (Control)SumaceMesic.Rows[row].FindControl("div_grid");
                ctrl.Visible = true;
                //gr.Visible = true;
                gr.ShowFooterWhenEmpty = true;
                gr.ShowFooter = true;
            }
        }

        protected void dsDen_Updated(object sender, EventArgs e)
        {
            SumaceMesicDataBind(true);
        }


        private void SumaceMesicDataBind(bool vcetneGrid)
        {
            KSTrace.WriteLine("d3.aspx", "SumaceMesicDataBind start");

            DateTime datum = NabidkaObdobi.SelectedValue;
            //int id_poz = Pozadavek.Exists(Convert.ToDecimal(SeznamZam.SelectedDataKey["os_cislo"]), "dochazka", datum);
            //if (PozadavkyZazpnuto)
            //PH 16.12.2014
            if (PozadavkyZazpnuto && (!_schval_ne))
            {
                /*
                int id_poz = Pozadavek.Exists(Globals.OsCislo, "dochazka", datum);
                WorkflowProces poz_proc = new WorkflowProces();
                Str_workfl_proc proc = poz_proc.GetStav(id_poz);
                form_editable = ((proc.faze <= 1) || Dochazka.SuperUser);
                 * */
            }
            else
            {
                form_editable = ((Dch_Uzaverka.GetAktObdobi(Globals.OsCislo) <= datum) || Dochazka.SuperUser);
            }
            List<bool> exp = new List<bool>();
            //_zapamatujExpanded(ref exp);
            _pravaNaTlacitka(NabidkaObdobi.SelectedValue);
            //if (vcetneGrid) //PH 20.6.2012 načtení gridview jen na žádost
            //if (PozadavkyZazpnuto) //PH 26.6.2012 PH 2.7.2012 musel jsem to zapoznámkovat, nebylo možno to tak dělat
            SumaceMesic.DataBind();
            object o = ViewState["zap_exp"];
            if (o == null)
            {
                exp = new List<bool>();
                for (int i = 0; i < 31; i++)
                    exp.Add(false);
            }
            else
            {
                exp = (List<bool>)o;
            }
            _nastavExpanded(ref exp);
            lb_generovat.Visible = (ParametryDochazky.AUT_GENEROVANI_VISIBLE && form_editable);

            KSTrace.WriteLine("d3.aspx", "SumaceMesicDataBind end");
        }

        protected void img_1praclist_Command(object sender, CommandEventArgs e)
        {
            /*
            DataKey dk = SeznamZam.SelectedDataKey;
            decimal os_cislo = (decimal)dk[0];
            short cislo_pom = (short)dk[1];
             * */

            if (!(Globals.OsCislo > 0))
            {
                MessageBox.Alert(this, WebControlHelper.ZmenaTextu("[%Není vybrán žádný zaměstnanec, nelze pokračovat%]"), WebControlHelper.ZmenaTextu("[%Oznámení%]"));
                return;
            }

            List<decimal> os_cisla = new List<decimal>();
            os_cisla.Add(Globals.OsCislo);
            List<short> cisla_pom = new List<short>();
            cisla_pom.Add(Cislo_pom);


            DateTime ld_datum = NabidkaObdobi.SelectedValue;
            PracListCollection prListy = new PracListCollection(os_cisla, cisla_pom, ld_datum);

            TiskParam tisk = new TiskParam(this, "Pracovní list");
            tisk.Print(prListy, false);
        }
        protected void LinkButt_rozd_presc_Command(object sender, CommandEventArgs e)
        {
            /*
            DateTime ld_datum = NabidkaObdobi.SelectedValue;       
            Session["prescasy_obdobi"] = ld_datum;
            Session["prescasy_os_cislo"] = Globals.OsCislo;
            Session["prescasy_cislo_pom"] = Cislo_pom;
            PopupParam popup = new PopupParam(this, "Rozdělení přesčasů", "RozdeleniPrescasu.aspx");
            popup.Status = false;
            popup.Toolbar = false;
            popup.Menubar = false;
            popup.Titulek = "Rozdělení přesčasů";
            popup.Height = 400;
            popup.Width = 400;
            //PopupParam popup = new PopupParam(this, "Rozdělení přesčasů", @"../sestava.aspx");
        
            popup.Show();
             * */
            rozd_presc.OsCislo = Globals.OsCislo;
            rozd_presc.CisloPom = Cislo_pom;
            rozd_presc.Obdobi = NabidkaObdobi.SelectedValue;
            rozd_presc.Vytvorit();


            //ScriptManager.RegisterStartupScript(this, typeof(Page), "ZobrazEditPanel", "zobr=true;", true);
            //RadWindow1.VisibleOnPageLoad = true;    


            //this.form1.Controls.Add(window1);
        }

        protected void ch_rozbalit_CheckedChanged(object sender, EventArgs e)
        {
            if (((CheckBox)sender).Checked)
            {
                lb_rozbalit_Command(sender, e);
                SumaceMesicDataBind(true);
            }
            else
                lb_sbalit_Command(sender, e);
        }

        protected void lb_rozbalit_Command(object sender, EventArgs e)
        {
            for (int i = 0; i < SumaceMesic.Rows.Count; i++)
            {
                _expandRow(sender, i, true);
            }
        }

        protected void lb_sbalit_Command(object sender, EventArgs e)
        {
            for (int i = 0; i < SumaceMesic.Rows.Count; i++)
            {
                _expandRow(sender, i, false);
            }
        }

        protected void _expandRow(object sender, int row, bool rozbalit)
        {
            List<bool> zap = (List<bool>)ViewState["zap_exp"];
            if (zap == null)
            {
                zap = new List<bool>(31);
                for (int i = 0; i < 31; i++)
                {
                    zap.Add(false);
                }
            }
            ImageButton img = (ImageButton)SumaceMesic.Rows[row].FindControl("img_expand");
            TGridView sumace = (TGridView)this.FindControlRecursive("SumaceMesic");
            if (rozbalit)
            {
                img.ImageUrl = @"~/images/menu_collapse.png";
                img.ToolTip = WebControlHelper.ZmenaTextu("[%Sbalit%]");
                zap[row] = true;
                if (Zakaznik.IsCurrent("BOCHEMIE")) //PH 19.11.2013 přihlouplá podmínka
                    ((TGridView)SumaceMesic.Rows[row].FindControl("TGridviewDen")).DataBind();
            }
            else
            {
                ((TGridView)SumaceMesic.Rows[row].FindControl("TGridviewDen")).ShowFooter = false;
                img.ImageUrl = @"~/images/menu_expand.png";
                img.ToolTip = WebControlHelper.ZmenaTextu("[%Rozbalit%]");
                zap[row] = false;
            }
            ViewState["zap_exp"] = zap;

            Control ctrl = (Control)sumace.Rows[row].FindControl("div_grid");
            ctrl.Visible = (rozbalit ? true : false);

        }


        private void SkryjNastPrescasu()
        {
            LinkButton2.Visible = false;
            LinkButt_rozd_presc.Visible = false;
        }

        protected void ddlKod_SelectedIndexChanged(object sender, EventArgs e)
        {
            DochazkaFunkce df = new DochazkaFunkce();
            df.PovolZakazTextBoxy((DropDownList)sender, "hod_od", "min_od", "hod_do", "min_do", "hod_doba", "min_doba");
        }

        protected void f_ddlKod_SelectedIndexChanged(object sender, EventArgs e)
        {
            DochazkaFunkce df = new DochazkaFunkce();
            df.PovolZakazTextBoxy((DropDownList)sender, "f_hod_od", "f_min_od", "f_hod_do", "f_min_do", "f_hod_doba", "f_min_doba");
        }

        protected void NabidkaObdobi_Click(object sender, EventArgs e)
        {
            //lb_sbalit_Command(new object(), new CommandEventArgs("", new object()));
            //NactiSeznam();
            NactiMesic();
        }
        protected string VyplnCas(object o, string polozka)
        {
            DataRowView dataItem = (DataRowView)o;
            string cas = "";
            object obj = null;
            obj = DataBinder.Eval(dataItem, polozka);
            if ((obj != null) && (obj != DBNull.Value))
            {
                DateTime pom = Convert.ToDateTime(obj);
                cas = Cas_na_min.GetCas(pom);
                if ((pom.Hour == 23) && (pom.Minute == 59) && (pom.Second == 59))
                {
                    cas = "24:00";
                }
            }
            return cas;
        }

        protected string VyplnKod(object o, string polozka)
        {
            DataRowView dataItem = (DataRowView)o;
            string s_kod = "";
            object obj = null;
            obj = DataBinder.Eval(dataItem, polozka);
            if ((obj != null) && (obj != DBNull.Value))
            {
                int kod = Convert.ToInt32(obj);

                //PH 19.12.2011
                if (ParametryDochazky.MESICNI_SUMACE_KOD_CELY_NAZEV)
                    s_kod = CisDchKody.GetNazev((short)kod);
                else
                    s_kod = CisDchKody.GetZkratku((short)kod);

            }
            return s_kod;
        }

        DateTime den_vybr = new DateTime();
        protected void TGridViewDen_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            if (!this.IsValid) return;

            TGridView gr = (TGridView)sender;
            GridViewRow row = (GridViewRow)gr.NamingContainer;
            DateTime den = (DateTime)SumaceMesic.DataKeys[row.DataItemIndex]["den"];
            den_vybr = den;
            //ds_den.InputParameters["den"]
            if (e.CommandName == "update")
            {
                ObjectDataSource ds = (ObjectDataSource)WebControlHelper.FindControl(row, "dsDen");
                if (ds != null)
                {
                    ds.UpdateParameters["den"].DefaultValue = den.ToString();
                    //ds.InsertParameters["den"].DefaultValue = den.ToString();
                }
            }
            else if (e.CommandName == "f_update")
            {
                DropDownList list = (DropDownList)WebControlHelper.FindControl(gr, "f_ddlKod");
                TextBox t_hod_od = (TextBox)WebControlHelper.FindControl(gr, "f_hod_od");
                TextBox t_min_od = (TextBox)WebControlHelper.FindControl(gr, "f_min_od");
                TextBox t_hod_do = (TextBox)WebControlHelper.FindControl(gr, "f_hod_do");
                TextBox t_min_do = (TextBox)WebControlHelper.FindControl(gr, "f_min_do");

                TextBox t_hod_doba = (TextBox)WebControlHelper.FindControl(gr, "f_hod_doba");
                TextBox t_min_doba = (TextBox)WebControlHelper.FindControl(gr, "f_min_doba");

                TextBox t_c_pole1 = (TextBox)WebControlHelper.FindControl(gr, "f_c_pole1");
                TextBox t_sazba = (TextBox)WebControlHelper.FindControl(gr, "f_sazba");
                TextBox t_castka = (TextBox)WebControlHelper.FindControl(gr, "f_castka");

                //uložím a vyčistím pole
                int? kod = null;
                if (!string.IsNullOrEmpty(list.SelectedValue)) kod = Convert.ToInt32(list.SelectedValue);
                int? hod_od = null, min_od = null, hod_do = null, min_do = null, hod_doba = null, min_doba = null;
                if (!string.IsNullOrEmpty(t_hod_od.Text)) hod_od = Convert.ToInt32(t_hod_od.Text);
                if (!string.IsNullOrEmpty(t_min_od.Text)) min_od = Convert.ToInt32(t_min_od.Text);

                if (!string.IsNullOrEmpty(t_hod_do.Text)) hod_do = Convert.ToInt32(t_hod_do.Text);
                if (!string.IsNullOrEmpty(t_min_do.Text)) min_do = Convert.ToInt32(t_min_do.Text);

                if (!string.IsNullOrEmpty(t_hod_doba.Text)) hod_doba = Convert.ToInt32(t_hod_doba.Text);
                if (!string.IsNullOrEmpty(t_min_doba.Text)) min_doba = Convert.ToInt32(t_min_doba.Text);

                //PH 5.10.2012 přidal jsem tyto parametry
                //--------------
                string c_pole1 = null;
                if (t_c_pole1.Visible)
                    if (!string.IsNullOrEmpty(t_c_pole1.Text)) c_pole1 = t_c_pole1.Text.Trim();
                decimal? sazba = null;
                if (t_sazba.Visible)
                    if (!string.IsNullOrEmpty(t_sazba.Text)) sazba = Convert.ToDecimal(t_sazba.Text);
                decimal? castka = null;
                if (t_castka.Visible)
                    if (!string.IsNullOrEmpty(t_castka.Text)) castka = Convert.ToDecimal(t_castka.Text);
                //--------------

                DropDownList list2 = (DropDownList)WebControlHelper.FindControl(gr, "f_ddlb_stred");
                Panel pan = (Panel)WebControlHelper.FindControl(gr, "f_pan_edit_stred");
                string prac_str = "";
                if (pan.Visible)
                {
                    if (!(string.IsNullOrEmpty(list2.SelectedValue)))
                    {
                        prac_str = list2.SelectedValue;
                    }
                }



                //PorizeniDen.UpdateDen((decimal)SeznamZam.SelectedDataKey[0], (short)SeznamZam.SelectedDataKey[1], den, kod, hod_od, min_od, hod_do, min_do, hod_doba, min_doba, "|", "|");
                string chyba;
                if (PorizeniDen.DataOK(Globals.OsCislo, Cislo_pom, den, den, (int)kod, hod_od, min_od, hod_do, min_do, hod_doba, min_doba, "|", out chyba))
                {
                    string pozn = null;
                    PorizeniDen.UpdateDen(Globals.OsCislo, Cislo_pom, den, kod, hod_od, min_od, hod_do, min_do, hod_doba, min_doba, prac_str, c_pole1, sazba, castka, pozn,  "|", "|");

                    list.Text = "";
                    t_hod_od.Text = "";
                    t_min_od.Text = "";
                    t_hod_do.Text = "";
                    t_min_do.Text = "";
                    t_hod_doba.Text = "";
                    t_min_doba.Text = "";
                }
                else
                {
                    MessageBox.Alert(Page, chyba);
                }

                SumaceMesicDataBind(true);
            }
            else if (e.CommandName == "f_cancel")
            {
                gr.ShowFooter = false;
                gr.ShowFooterWhenEmpty = false;
            }
            else if (e.CommandName == "edit")
            {
                DropDownList list = (DropDownList)WebControlHelper.FindControl(row, "ddlKod");
                //ParametryDochazky.PovolZakazTextBoxy(list, "hod_od", "min_od", "hod_do", "min_do", "hod_doba", "min_doba");
            }
            /*
        else if (e.CommandName=="update")
        {
            DropDownList list = (DropDownList)WebControlHelper.FindControl(gr, "ddlKod");
            TextBox t_hod_od = (TextBox)WebControlHelper.FindControl(gr, "hod_od");
            TextBox t_min_od = (TextBox)WebControlHelper.FindControl(gr, "min_od");
            TextBox t_hod_do = (TextBox)WebControlHelper.FindControl(gr, "hod_do");
            TextBox t_min_do = (TextBox)WebControlHelper.FindControl(gr, "min_do");

            TextBox t_hod_doba = (TextBox)WebControlHelper.FindControl(gr, "hod_doba");
            TextBox t_min_doba = (TextBox)WebControlHelper.FindControl(gr, "min_doba");

            TextBox t_c_pole1 = (TextBox)WebControlHelper.FindControl(gr, "c_pole1");
            TextBox t_sazba = (TextBox)WebControlHelper.FindControl(gr, "sazba");
            TextBox t_castka = (TextBox)WebControlHelper.FindControl(gr, "castka");

            //uložím a vyčistím pole
            int? kod = null;
            if (!string.IsNullOrEmpty(list.SelectedValue)) kod = Convert.ToInt32(list.SelectedValue);
            int? hod_od = null, min_od = null, hod_do = null, min_do = null, hod_doba = null, min_doba = null;
            if (!string.IsNullOrEmpty(t_hod_od.Text)) hod_od = Convert.ToInt32(t_hod_od.Text);
            if (!string.IsNullOrEmpty(t_min_od.Text)) min_od = Convert.ToInt32(t_min_od.Text);

            if (!string.IsNullOrEmpty(t_hod_do.Text)) hod_do = Convert.ToInt32(t_hod_do.Text);
            if (!string.IsNullOrEmpty(t_min_do.Text)) min_do = Convert.ToInt32(t_min_do.Text);

            if (!string.IsNullOrEmpty(t_hod_doba.Text)) hod_doba = Convert.ToInt32(t_hod_doba.Text);
            if (!string.IsNullOrEmpty(t_min_doba.Text)) min_doba = Convert.ToInt32(t_min_doba.Text);

               
            string chyba = "";
            if (!(PorizeniDen.DataOK(Globals.OsCislo, Cislo_pom, den, (int)kod, hod_od, min_od, hod_do, min_do, hod_doba, min_doba, "|", out chyba)))
            {                
                MessageBox.Alert(Page, chyba);
            }
        }
             * */
        }

        protected void dsDen_Updating(object sender, ObjectDataSourceMethodEventArgs e)
        {
            decimal os_cislo = (decimal)e.InputParameters["os_cislo"];
            short cislo_pom = (short)e.InputParameters["cislo_pom"];
            e.InputParameters["den"] = den_vybr;
            DateTime den = (DateTime)e.InputParameters["den"];

            //den = den_vybr;

            int kod = (int)e.InputParameters["kod"];
            int? hod_od = GetNullOrData.GetInt32(e.InputParameters["hod_od"]);
            int? min_od = GetNullOrData.GetInt32(e.InputParameters["min_od"]);
            int? hod_do = GetNullOrData.GetInt32(e.InputParameters["hod_do"]);
            int? min_do = GetNullOrData.GetInt32(e.InputParameters["min_do"]);
            int? hod_doba = GetNullOrData.GetInt32(e.InputParameters["hod_doba"]);
            int? min_doba = GetNullOrData.GetInt32(e.InputParameters["min_doba"]);
            string id = GetNullOrData.GetString(e.InputParameters["id"]);

            string chyba;
            if (!PorizeniDen.DataOK(os_cislo, cislo_pom, den, den, (int)kod, hod_od, min_od, hod_do, min_do, hod_doba, min_doba, id, out chyba))
            {
                e.Cancel = true;
                MessageBox.Alert(Page, chyba);
            }
        }

        protected void TGridViewDen_RowCreated(object sender, GridViewRowEventArgs e)
        {
            if (!ParametryDochazky.EDIT_STRED)
            {
                Control c = this.FindControlRecursive("ddlb_stred", e.Row.Controls);
                if (c != null)
                {
                    ((DropDownList)c).Visible = false;
                    ((DropDownList)c).DataSourceID = "";
                    ((DropDownList)c).DataSource = null;
                    ((DropDownList)c).DataTextField = "";
                    ((DropDownList)c).DataValueField = "";
                    c.Dispose();
                }
            }



            if (e.Row.RowState == DataControlRowState.Edit)
            {

                DropDownList list = (DropDownList)WebControlHelper.FindControl(e.Row, "ddlKod");
                DochazkaFunkce df = new DochazkaFunkce();
                df.PovolZakazTextBoxy(list, "hod_od", "min_od", "hod_do", "min_do", "hod_doba", "min_doba");

            }
            else
                e.Row.BackColor = Color.White;

            if ((e.Row.RowType == DataControlRowType.DataRow))// && ((e.Row.RowState == DataControlRowState.Normal) || (e.Row.RowState == DataControlRowState.Alternate)))
            {

                ImageButton but = (ImageButton)((TGridView)sender).Parent.FindControl("img_vlozit");

                ImageButton b1 = (ImageButton)e.Row.FindControl("edit");
                if (b1 != null)
                {
                    if (b1.Enabled)
                    {
                        b1.Enabled = but.Enabled;
                        if (!b1.Enabled) b1.ImageUrl = but.ImageUrl;
                    }

                    ImageButton b2 = (ImageButton)e.Row.FindControl("smazat");
                    if (b2.Enabled)
                    {
                        b2.Enabled = but.Enabled;
                        if (!b2.Enabled) b2.ImageUrl = but.ImageUrl;
                    }
                }

                //e.Row.Attributes.Add("onmouseover", "this.style.backgroundColor='Silver'");
                //// This will be the back ground color of the GridView Control
                //e.Row.Attributes.Add("onmouseout", "this.style.backgroundColor='White'");
                //Better way
                e.Row.CssClass = "theme_row";
                e.Row.Attributes.Add("onmouseover", "this.className='theme_selectedrow'");
                e.Row.Attributes.Add("onmouseout", "this.className='theme_row'");
            }
        }

        protected void TGridViewDen_DataBinding(object sender, EventArgs e)
        {
            TGridView gr = (TGridView)sender;
            if (!ParametryDochazky.EDIT_STRED)
            {
                for (int i = 0; i < gr.Rows.Count; i++)
                {
                    Control c = this.FindControlRecursive("ddlb_stred", gr.Rows[i].Controls);
                    if (c != null)
                    {
                        ((DropDownList)c).Visible = false;
                        ((DropDownList)c).DataSourceID = "";
                        ((DropDownList)c).DataSource = null;
                        ((DropDownList)c).DataTextField = "";
                        ((DropDownList)c).DataValueField = "";
                        c.Dispose();
                    }
                }

            }
            else
            {
                /*
                if ((gr.FooterRow ==null)||(gr.FooterRow.Visible == true))
                {
                    DropDownList ddl = (DropDownList)WebControlHelper.FindControl(gr, "f_ddlb_stred");
                    if (ddl != null)
                    {
                        ddl.DataSourceID = "dsStred";
                        ddl.DataBind();
                    }
                }  
                 * */
            }
        }



        protected void TGridViewDen_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {

                ImageButton b = (ImageButton)e.Row.FindControl("edit");
                if (b != null)
                {
                    if (!Dochazka.SuperUser)
                    {
                        object o = DataBinder.Eval(e.Row.DataItem, "operace");
                        if ((o != null) && (o != DBNull.Value))
                        {
                            if (o.ToString().Trim() == "w")
                            {
                                b.Enabled = false;
                                b.ImageUrl = Globals.IkonaZakazanehoPristupu;
                                //b.CommandArgument = o.ToString();

                                b = (ImageButton)e.Row.FindControl("smazat");
                                b.Enabled = false;
                                b.ImageUrl = Globals.IkonaZakazanehoPristupu;
                            }
                        }
                    }
                    else //PH 21.9.2011
                    {
                        object o = DataBinder.Eval(e.Row.DataItem, "id");
                        if ((o != null) && (o != DBNull.Value))
                        {
                            if ((o.ToString() == "0") || (o.ToString() == "0|"))
                            {
                                b.Enabled = false;
                                b.ImageUrl = Globals.IkonaZakazanehoPristupu;
                                //b.CommandArgument = o.ToString();

                                b = (ImageButton)e.Row.FindControl("smazat");
                                b.Enabled = false;
                                b.ImageUrl = Globals.IkonaZakazanehoPristupu;
                            }
                        }
                    }
                }
            }


            //if (e.Row.RowState == DataControlRowState.Edit)
            //{
            //    DropDownList list = (DropDownList)WebControlHelper.FindControl(e.Row, "ddlKod");
            //    ParametryDochazky.PovolZakazTextBoxy(list, "hod_od", "min_od", "hod_do", "min_do", "hod_doba", "min_doba");
            //}
        }


        protected void TGridViewDen_PreRender(object sender, EventArgs e)
        {
            TGridView v = (TGridView)sender;
            foreach (GridViewRow row in v.Rows)
            {
                if ((row.RowState == (DataControlRowState.Edit | DataControlRowState.Alternate)) ||
               (row.RowState == (DataControlRowState.Edit | DataControlRowState.Normal)))
                {
                    if (row.RowType == DataControlRowType.DataRow)
                    {
                        DropDownList list = (DropDownList)WebControlHelper.FindControl(row, "ddlKod");
                        DochazkaFunkce df = new DochazkaFunkce();
                        df.PovolZakazTextBoxy(list, "hod_od", "min_od", "hod_do", "min_do", "hod_doba", "min_doba");

                        Panel pan = (Panel)WebControlHelper.FindControl(row, "pan_edit_stred");
                        pan.Visible = ParametryDochazky.EDIT_STRED;

                    }

                }
                Panel p = (Panel)WebControlHelper.FindControl(row, "pan_item_stred");
                if (p != null)
                    p.Visible = ParametryDochazky.EDIT_STRED;
            }
            Panel pan2 = (Panel)WebControlHelper.FindControl((TGridView)sender, "f_pan_edit_stred");
            if (pan2 != null)
                pan2.Visible = ParametryDochazky.EDIT_STRED;

            //PH 5.10.2012 přidal jsem tyto parametry
            //--------------

            TextBox t_c_pole1 = (TextBox)WebControlHelper.FindControl((TGridView)sender, "f_c_pole1");
            TextBox t_sazba = (TextBox)WebControlHelper.FindControl((TGridView)sender, "f_sazba");
            TextBox t_castka = (TextBox)WebControlHelper.FindControl((TGridView)sender, "f_castka");
            if (t_c_pole1 != null) t_c_pole1.Visible = ParametryDochazky.C_POLE1_VISIBLE;
            if (t_sazba != null) t_sazba.Visible = ParametryDochazky.SAZBA_VISIBLE;
            if (t_castka != null) t_castka.Visible = ParametryDochazky.CASTKA_VISIBLE;
            Control lab = WebControlHelper.FindControl((TGridView)sender, "Label_davka_footer");
            if (lab != null) lab.Visible = ParametryDochazky.C_POLE1_VISIBLE;

            lab = WebControlHelper.FindControl((TGridView)sender, "Label_sazba_footer");
            if (lab != null) lab.Visible = ParametryDochazky.SAZBA_VISIBLE;

            lab = WebControlHelper.FindControl((TGridView)sender, "Label_castka_footer");
            if (lab != null) lab.Visible = ParametryDochazky.CASTKA_VISIBLE;
            //--------------
        }


        protected bool AllawEditDay(DateTime den)
        {
            //return true;
            if (!form_editable) return false;
            if (Globals.SuperUser) return true;
            if (Globals.ParDochazky.EditDnyZpet > -1)
                if (den <= DateTime.Now.Date.AddDays(Globals.ParDochazky.EditDnyZpet * -1)) return false;
            return true;
        }

        private void _pravaNaTlacitka(DateTime obdobi)
        {
            Nacist();
            /*
            if (PozadavkyZazpnuto)
            {
            
                decimal os_cislo;
                WorkflowProces proc = new WorkflowProces();
                os_cislo = Globals.OsCislo;
                Str_workfl_proc st = proc.GetStav(os_cislo, "dochazka", obdobi);
                int id_poz = Pozadavek.Exists(Globals.OsCislo, "dochazka", obdobi);
                workfl_hl whl = new workfl_hl();
            
                Str_workfl_hl st_hl = whl.NaplnStrukturu(id_poz);
                lb_potvrzeni.Visible = (st.faze < 2);
                lb_schvaleno.Visible = (st.faze > 1) && (((st_hl.os_cislo != Globals.OsCisloAktUser) || Dochazka.SuperUser) && st.stav != "schvaleny" && st.stav != "zamitnuty");
                lb_zamitnuto.Visible = lb_schvaleno.Visible;
            
           
            }
            else
            {
                //PanelZmenaStavu.Visible = false;
                //lb_potvrzeni.Visible = false;
                //lb_schvaleno.Visible = false;
                //lb_zamitnuto.Visible = false;
            }  
             * */
        }

        /*
        protected void lb_potvrzeni_Command(object sender, CommandEventArgs e)
        {
            //zkontroluju jestli je tam nějaká chyba

            if (Chyba)
            {
                MessageBox.Show(SumaceMesic, "Nelze pokračovat v datech se vyskytuje chyba");
                return;
            }
           //projdu jestli je ve všech dnech s vyplněnným úvazkem něco vykázáno
            if (Nevyp)
            {
                MessageBox.Show(SumaceMesic, "Nelze pokračovat, nejsou vyplněny všechny dny");
                return;
            }

            DateTime datum = NabidkaObdobi.SelectedValue;
            int id_poz = Pozadavek.Exists(Globals.OsCislo, "dochazka", datum);
            //PozadavekProces.KrokProcesu(id_poz, "potvrzeny", 1, "", null);
            WorkflowProces.KrokProcesu(id_poz, "potvrzeny", "");

            _pravaNaTlacitka(datum);
            SumaceMesicDataBind();
        }
        protected void lb_schvaleno_Command(object sender, CommandEventArgs e)
        {
            DateTime datum = NabidkaObdobi.SelectedValue;
            //int id_poz = Pozadavek.Exists(Convert.ToDecimal(SeznamZam.SelectedDataKey["os_cislo"]), "dochazka", datum);
            int id_poz = Pozadavek.Exists(Globals.OsCislo, "dochazka", datum);
            //PozadavekProces.KrokProcesu(id_poz, "schvaleny", 2, "", null);
            WorkflowProces.KrokProcesu(id_poz, "schvaleny", "");
            _pravaNaTlacitka(datum);
            SumaceMesicDataBind();
        }
        protected void lb_zamitnuto_Command(object sender, CommandEventArgs e)
        {
            DateTime datum = NabidkaObdobi.SelectedValue;
            //int id_poz = Pozadavek.Exists(Convert.ToDecimal(SeznamZam.SelectedDataKey["os_cislo"]), "dochazka", datum);
            int id_poz = Pozadavek.Exists(Globals.OsCislo, "dochazka", datum);
            //PozadavekProces.KrokProcesu(id_poz, "zamitnuty", 2, "", null);
            WorkflowProces.KrokProcesu(id_poz, "zamitnuty", "");
            _pravaNaTlacitka(datum);
            SumaceMesicDataBind();
        }
         * */
        protected void CustomValidator1_ServerValidate(object source, ServerValidateEventArgs args)
        {

        }

        protected void lb_generovat_Command(object sender, CommandEventArgs e)
        {
            //int kod = Convert.ToInt32(Globals.ParDochazky.KodPrac);
            //PH 25.1.2017
            int kod = Convert.ToInt32(Globals.DchKody.KodPrac);
            if (kod == 0)
            {
                lbl_problem.Text = "[%Nelze generovat. U jednoho a pouze u jednoho kódu musí být vyplněna identifikace 'příchod'%]";
                return;
            }

            StrZam zam = new StrZam();

            DateTime datum = NabidkaObdobi.SelectedValue;
            DateTime posl = datum.PosledniDen();
            //do struktury doplním údaje nutné pro další zpracování
            DochazkaFunkce df = new DochazkaFunkce();
            df.NaplnStrukturuStrZam(datum, Os_cislo, Cislo_pom, ref zam);

            //provedu automatické doplnění
            TDataTable data = Dochazka.AutDoplneniNacist(zam, datum, posl);
            using (DbConnection conn = SqlPrikaz.CreateConnectionWithTrans())
            {
                try
                {
                    //Dochazka.AutDoplneniUlozit(zam, datum, posl, data, true);
                    //PH 12.4.2013
                    //Dochazka.AutDoplneniUlozit(zam, datum, posl, data, false);
                    //PH 24.4.2013
                    Dochazka.AutDoplneniUlozit(zam, datum, posl, data, true, "a");
                    SqlPrikaz.Commit();
                }
                catch
                {
                    SqlPrikaz.Rollback();
                    throw;
                }
            }
            SumaceMesicDataBind(true);
        }

        protected string ZkratkaNazev()
        {
            if (ParametryDochazky.MESICNI_SUMACE_KOD_CELY_NAZEV)
                return "nazev";
            else
                return "zkratka";
        }

        protected void lb_zmena_stavu_Command(object sender, CommandEventArgs e)
        {
            if (Chyba)
            {
                MessageBox.Alert(Page, "Nelze pokračovat v datech se vyskytuje chyba");
                return;
            }
            //projdu jestli je ve všech dnech s vyplněnným úvazkem něco vykázáno
            if (Nevyp)
            {
                MessageBox.Alert(Page, "Nelze pokračovat, nejsou vyplněny všechny dny");
                return;
            }

            DateTime datum = NabidkaObdobi.SelectedValue;
            int id_poz = Pozadavek.Exists(Globals.OsCisloPomer.OsCislo, Globals.OsCisloPomer.CisloPom, "dochazka", datum);
            string stav = ddl_zmena_stavu.SelectedValue.ToString();
            //WorkflowProces.KrokProcesu(id_poz,stav, "");
            //PH 19.2.2013
            WorkflowProces.KrokProcesuTrans(id_poz, stav, "", 0);
            SumaceMesicDataBind(false);
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        protected bool _Visible_c_pole1()
        {
            return ParametryDochazky.C_POLE1_VISIBLE;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        protected bool _Visible_sazba()
        {
            return ParametryDochazky.SAZBA_VISIBLE;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        protected bool _Visible_castka()
        {
            return ParametryDochazky.CASTKA_VISIBLE;
        }

        protected void hod_validate(object sender, ServerValidateEventArgs e)
        {
            if (!(string.IsNullOrEmpty(e.Value)))
            {
                int pok;
                if (Int32.TryParse(e.Value, out pok))
                {
                    if (Math.Abs(pok) > 24)
                        e.IsValid = false;
                }
                else
                    e.IsValid = false;
                return;

            }
            e.IsValid = true;
        }

        protected void min_validate(object sender, ServerValidateEventArgs e)
        {
            if (!(string.IsNullOrEmpty(e.Value)))
            {
                int pok;
                if (Int32.TryParse(e.Value, out pok))
                {
                    if (Math.Abs(pok) > 59)
                        e.IsValid = false;
                }
                else
                    e.IsValid = false;
                return;

            }
            e.IsValid = true;
        }
    }

