﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="Sablony.aspx.cs" Inherits="KSPortal.Dokumenty.Sablony" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .RadUpload .ruFakeInput {
            width: 300px !important;
        }

        .attachment-container {
            display: inline-block;
            background: rgba(58, 174, 251, .6);
            filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#993aaefb', endColorstr='#993aaefb');
            width: calc(100% - 50px);
            height: calc(100% - 50px);
            padding: 25px;
        }

        .allowed-attachments {
            display: block;
            /*margin-top: 12px;*/
            /*font-size: 13px;*/
        }

        .RadUpload .ruBrowse {
            width: 100px !important;
        }

        .RadUpload .ruBrowse {
            width: 100px !important;
        }

        span.iconButton {
        }

            span.iconButton > input {
                padding-right: 12px !important;
                padding-left: 13px !important;
            }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RAMP_sablony" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRG_Sablony">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRG_Sablony" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRB_uloz">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RW_upload" />
                    <telerik:AjaxUpdatedControl ControlID="TRG_Sablony" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="ExportToTRB_pripona">
                <UpdatedControls>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadScriptBlock ID="Pril_RSB" runat="server">
        <script type="text/javascript" id="PrilohyJS">
            //<![CDATA[        
            function RTBUpload_clicked(sender, args) {
                var win = $find("<%= RW_upload.ClientID %>");
                win.autoSize();
                win.show();
                $find("<%= TRB_uloz.ClientID %>").set_commandArgument(args.get_commandArgument());
            }

    //]]>
        </script>
    </telerik:RadScriptBlock>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Šablony%]" CssClass="nadpis1"></asp:Label>--%>
    <kspwc:TRadGrid runat="server" ID="TRG_Sablony" OnItemCommand="TRG_Sablony_ItemCommand" OnNeedDataSource="TRG_Sablony_NeedDataSource" AutoFilterControlWidth="false" AutoFilterWidth="true" ShowGroupPanel="true" GroupingEnabled="true" AutoGenerateColumns="false" CssClass="rgMultiHeader ksprvek marginBottom">
        <ClientSettings AllowDragToGroup="true">
        </ClientSettings>
        <MasterTableView AllowPaging="true" AllowSorting="true" CommandItemDisplay="Top" Caption="[%Šablony dokumentů%]" EnableGroupsExpandAll="true" DataKeyNames="id">
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl runat="server" ID="GCIC">
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
            <Columns>
                <telerik:GridBoundColumn DataField="nazev" DataType="System.String" UniqueName="nazev" HeaderText="[%Název%]">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="agenda" DataType="System.String" UniqueName="agenda" HeaderText="[%Agenda%]">
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="[%Šablona%]" DataType="System.String" DataField="nazev" SortExpression="nazev" UniqueName="sablona">
                    <ItemTemplate>
                        <kspwc:TRadButton runat="server" ID="RTBUpload" IdPrava="348" CommandArgument='<%# Eval("id") %>' AutoPostBack="false" OnClientClicked="RTBUpload_clicked" CssClass="iconButton" ToolTip="Upload">
                            <Icon PrimaryIconCssClass="fi fi-upload" />
                        </kspwc:TRadButton>
                        <kspwc:TRadButton runat="server" ID="ExportToTRB_sablona" ButtonType="LinkButton" Text='<%# Eval("nazev") +"."+ ((KSProgram.Dokument.DokumentyVystavene.editor_word)(Convert.ToInt32(Eval("editor_word") == DBNull.Value ? 0 : Eval("editor_word")))).ToString() %>' Visible='<%# Eval("soubor") %>' CommandName="sablona" CommandArgument='<%# Eval("id") %>' ToolTip="Download">
                            <Icon PrimaryIconCssClass="fi fi-download" />
                        </kspwc:TRadButton>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="[%Prázdná šablona%]" DataType="System.String" DataField="nazev" SortExpression="nazev" UniqueName="sablona_docx">
                    <ItemTemplate>
                        <%--<kspwc:TRadButton runat="server" ID="ExportToTRB_sablona_docx" ButtonType="LinkButton" Text='<%# Eval("nazev") %>' CommandName="sablona_docx" CommandArgument='<%# Eval("id") %>' ToolTip="Download">
                            <Icon PrimaryIconCssClass="rbDownload" />
                        </kspwc:TRadButton>--%>
                        <asp:Repeater OnDataBinding="R_pripony_DataBinding" runat="server" ID="R_pripony">
                            <ItemTemplate>
                                <kspwc:TRadButton runat="server" ID="ExportToTRB_pripona" Text='<%# Eval("pripona") %>' CommandName='<%# Eval("pripona") %>' CommandArgument='<%# Eval("id") %>' OnClick="TRB_pripona_Click">
                                </kspwc:TRadButton>
                            </ItemTemplate>
                        </asp:Repeater>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
            </Columns>
        </MasterTableView>
    </kspwc:TRadGrid>
    <telerik:RadWindow runat="server" ID="RW_upload" Title="[%Vyberte šablonu%]" AutoSize="true" AutoSizeBehaviors="Width" DestroyOnClose="true" InitialBehaviors="Close" Behaviors="Close">
        <ContentTemplate>
            <div class="attachment-container">
                <telerik:RadAsyncUpload runat="server" ID="RAU" OnFileUploaded="RAU_FileUploaded" MaxFileInputsCount="1" AllowedFileExtensions="docx,html,rtf,txt"
                    TemporaryFolder="~/Temp">
                </telerik:RadAsyncUpload>
                <kspwc:TRadButton ID="TRB_uloz" runat="server" Text="[%Uložit šablonu%]" OnClick="TRB_uloz_Click"></kspwc:TRadButton>
            </div>
        </ContentTemplate>
    </telerik:RadWindow>
</asp:Content>
