﻿using KSProgram.WebControls;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using static KSProgram.Dokument.DokumentyVystavene;

namespace KSPortal.Dokumenty
{
    public partial class Sablony : TPage
    {
        public Sablony()
        {
            IdPrava = 347;
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            //IFormatProvider<RadFlowDocument> fileFormatProvider;
            //RadFlowDocument document;

            //fileFormatProvider = new DocxFormatProvider();

            //string fileName = "D:\\smazat+\\bublifuk.docx";
            //using (FileStream input = new FileStream(fileName, FileMode.Open))
            //{
            //    document = fileFormatProvider.Import(input);
            //}

            //using (FileStream ms = new FileStream("D:\\smazat+\\bublifuktrasformed.docx", FileMode.OpenOrCreate))
            //{
            //    fileFormatProvider.Export(document, ms);
            //}
        }

        protected void TRG_Sablony_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            TRG_Sablony.DataSource = Sablony();
        }

        protected void TRG_Sablony_ItemCommand(object sender, Telerik.Web.UI.GridCommandEventArgs e)
        {
            if (e.CommandName == "sablona")
            {
                int id;
                if (int.TryParse(e.CommandArgument.ToString(), out id))
                {
                    string nazev, pripona;
                    byte[] soubor = GetSablona(id, out nazev, out pripona);
                    KSProgram.Attachment.Send(Page, nazev + "." + pripona, soubor);
                }
            }
            //if (e.CommandName == "sablona_docx")
            //{
            //    int id;
            //    if (int.TryParse(e.CommandArgument.ToString(), out id))
            //    {
            //        string nazev;
            //        string pripona = "html";
            //        byte[] soubor = GetPrazdnaSablonaSPoli(id, out nazev, ref pripona);
            //        KSProgram.Attachment.Send(Page, nazev + "." + pripona, soubor);
            //    }
            //}
        }
        private Stream file;
        private string ext;
        protected void RAU_FileUploaded(object sender, Telerik.Web.UI.FileUploadedEventArgs e)
        {
            file = e.File.InputStream;
            ext = e.File.GetExtension()?.ToLower().Replace(".", "");
        }

        protected void TRB_uloz_Click(object sender, EventArgs e)
        {
            int id;
            if (int.TryParse(((TRadButton)sender).CommandArgument, out id) && file != null)
            {
                byte[] data = new byte[file.Length];
                file.Read(data, 0, (int)file.Length);
                UlozitSablonu(id, data, Convert.ToInt16((int)Enum.Parse(typeof(editor_word), ext, true)));
                TRG_Sablony.Rebind();
            }
        }
        protected void R_pripony_DataBinding(object sender, EventArgs e)
        {
            int id = (int)((GridDataItem)((Repeater)sender).BindingContainer).GetDataKeyValue("id");
            ((Repeater)sender).DataSource = from c in Enum.GetNames(typeof(zname_exportni_formaty)).ToList() select new { pripona = c, id = id };
        }

        protected void TRB_pripona_Click(object sender, EventArgs e)
        {
            string pripona = ((TRadButton)sender).CommandName;
            int id;
            if (int.TryParse(((TRadButton)sender).CommandArgument, out id))
            {
                string fileName;
                byte[] data = GetPrazdnaSablonaSPoli(id, out fileName, ref pripona, 3);
                KSProgram.Attachment.Send(Page, fileName + "." + pripona, data);
            }
        }
    }
}