﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AnketaList.ascx.cs"
    Inherits="KSPortal.Dotazniky.AnketaList" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Src="~/Dotazniky/AnketaControl.ascx" TagPrefix="uc1" TagName="AnketaControl" %>

<%--<telerik:RadAjaxManagerProxy runat="server" ID="RAMP_anketalist">
    <AjaxSettings>
       
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>--%>

<asp:Panel ID="P_bull" runat="server" CssClass="ksBlLv" Width="100%">
    <div class="anketyList">
        <div style="min-width: 625px; margin-right: 20px;">
            <telerik:RadListView runat="server" ID="RLV_bull" AllowPaging="true" AllowMultiItemEdit="false"
                OnNeedDataSource="RLV_bull_NeedDataSource" ItemPlaceholderID="ItemsPlaceHolder"
                OnItemDeleting="RLV_bull_ItemDeleting" OnItemDataBound="RLV_bull_ItemDataBound" DataKeyNames="id"
                InsertItemPosition="FirstItem" OnItemCommand="RLV_bull_ItemCommand">
                <LayoutTemplate>
                    <asp:Panel ID="P_edit_style" runat="server" Visible='true'>
                        <style type="text/css">
                            div.ksBlBullItem {
                                min-height: 125px;
                            }

                            .nadpis2Anketa {
                                font-weight: bold;
                                font-size: 12px;
                                text-align: left;
                                margin-bottom: 0.25em;
                                width: 100%;
                                font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
                            }

                            div.ksBlFoto {
                                height: 120px !important;
                                /*margin-top: 6px;*/
                                margin: 6px;
                            }

                            .bullNadpis {
                                font-size: 19px;
                                color: black;
                            }

                            .displayNone {
                                display: none;
                            }


                            .otazkyEditButton {
                                align-self: center;
                                margin-left: 30%;
                                border: 1px solid var(--kscolor1);
                                border-radius: 5px;
                                width: 40%;
                                height: 30px;
                            }

                                .otazkyEditButton:hover {
                                    cursor: pointer;
                                }

                            .anketyList {
                                width: 100%;
                                display: flex;
                                flex-direction: row;
                                margin: auto;
                            }

                            @media only screen and (max-width: 1000px) {
                                .anketyList {
                                    flex-direction: column;
                                }
                            }

                            .otazkaEdit, .odpovedTB, .selectVarianty, #close {
                                transition: 0.5s;
                                animation-name: otazkaEdit;
                                animation-duration: 0.5s;
                            }

                            @keyframes otazkaEdit {
                                0% {
                                    opacity: 0%;
                                }

                                100% {
                                    opacity: 100%;
                                }
                            }
                        </style>
                    </asp:Panel>
                    <asp:Panel runat="server" ID="P_i_buttons" CssClass="ksBlButtInsert ksprvek" BackColor="white">
                        <div>
                            <kspwc:TRadButton runat="server" ID="TRB_add_new" ButtonType="StandardButton" OnClick="TRB_add_new_Click" Text="[%Přidat%]" ToolTip="[%Přidat nový záznam%]" Enabled='<%#Editacni && !KSProgram.Prava.ZamykaniAgend.GeneralZamekIsLocked()%>' Visible='<%#Editacni%>'>
                                <Icon PrimaryIconCssClass="fi fi-add" />
                            </kspwc:TRadButton>
                        </div>
                        <telerik:RadDataPager ID="RDP_page" runat="server" PagedControlID="RLV_bull" CssClass="ksBlPager"
                            PageSize="5">
                            <Fields>
                                <telerik:RadDataPagerSliderField />
                                <telerik:RadDataPagerPageSizeField PageSizes="2,5,10,15,20"></telerik:RadDataPagerPageSizeField>

                            </Fields>
                        </telerik:RadDataPager>
                    </asp:Panel>
                    <asp:PlaceHolder runat="server" ID="ItemsPlaceHolder"></asp:PlaceHolder>
                </LayoutTemplate>
                <ItemTemplate>
                    <fieldset class="ksBlFs">
                        <div class="ksBlBullItem">
                            <div id="body">
                                <div class="ksBlFoto" style="display: <%# Eval("id_image") != null ? "block" : "none"%>;" id="foto">
                                    <img style="max-width: 200px; max-height: 110px;" src="<%# Eval("ImageUrl") %>" />
                                    <%--<kspwc:TRadButton runat="server" ID="TRB_image" Width="160" Height="107" Image-ImageUrl='<%# Eval("ImageUrl") %>' Visible='<%# Eval("id_image") != null %>'>
                            <Image EnableImageButton="true"  />
                        </kspwc:TRadButton>--%>
                                </div>
                                <div id="text">
                                    <asp:LinkButton runat="server" ID="LB_nadpis" Text='<%# Eval("nadpis") %>' OnClick="LB_nadpis_Click" Enabled="<%# !KSProgram.Prava.ZamykaniAgend.GeneralZamekIsLocked() %>" CssClass="bullNadpis"></asp:LinkButton>
                                    <asp:TextBox runat="server" ID="TB_nadpis" Text='<%# Eval("nadpis") %>' CssClass="bullNadpis displayNone" Width="70%"></asp:TextBox>
                                    <div style="position: absolute; top: 0px; right: 10px;" class="displayNone">
                                        <label style="width: 100px;" for="vehicle1">[%Anonymní%]</label>
                                        <input type="checkbox" id="CHB_anonym">
                                    </div>
                                    <br />
                                    <asp:Label runat="server" ID="Label_telo"> <%# Eval("telo")%></asp:Label>

                                    <asp:TextBox runat="server" ID="TB_telo" Text='<%# Eval("telo") %>' CssClass="displayNone" Width="80%" Wrap="true" TextMode="multiline"></asp:TextBox>
                                    <div runat="server" id="AaD">
                                        <p>
                                            <asp:Label runat="server" ID="L_adr" Text="[%Adresáti%]: " Visible="true"><%# Eval("s_Adresats") %></asp:Label>
                                        </p>
                                        <div style="width: fit-content; bottom: 5px; left: 5px; position: absolute" id="datum">
                                            <div>
                                                <kspwc:TRadDatePicker runat="server" ID="TRDP_od" SelectedDate='<%# Eval("datum_od") %>' Enabled="false">
                                                    <DateInput EmptyMessage="[%Publikovat od%]"></DateInput>
                                                </kspwc:TRadDatePicker>
                                                <kspwc:TRadDatePicker runat="server" ID="TRDP_do" SelectedDate='<%# Eval("datum_do") %>' Enabled="false">
                                                    <DateInput EmptyMessage="[%Publikovat do%]"></DateInput>
                                                </kspwc:TRadDatePicker>
                                            </div>
                                            <div class="displayNone">
                                                <kspwc:TRadDatePicker runat="server" ID="TRDP_od_edit" SelectedDate='<%# Eval("datum_od") %>' Enabled="true">
                                                    <DateInput EmptyMessage="[%Publikovat od%]"></DateInput>
                                                </kspwc:TRadDatePicker>
                                                <kspwc:TRadDatePicker runat="server" ID="TRDP_do_edit" SelectedDate='<%# Eval("datum_do") %>' Enabled="true">
                                                    <DateInput EmptyMessage="[%Publikovat do%]"></DateInput>
                                                </kspwc:TRadDatePicker>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <asp:Panel runat="server" ID="P_e_butt" CssClass="ksBlButtEdit">
                                <kspwc:TRadButton runat="server" ID="TRB_vyhodnot" ButtonType="StandardButton" CommandName="ShowResults" Text="[%Výsledky%]" ToolTip="[%Výsledky ankety%]">
                                    <Icon PrimaryIconCssClass="fi fi-stats" />
                                </kspwc:TRadButton>
                                <kspwc:TRadButton runat="server" ID="TRB_Editovat" ButtonType="StandardButton" CommandName="Edit" Text="[%Editovat%]" ToolTip="[%Upravit anketu%]" OnClientClicked="EditujAnketu" AutoPostBack="false">
                                    <Icon PrimaryIconCssClass="fi fi-edit" />
                                </kspwc:TRadButton>
                                <kspwc:TRadButton runat="server" ID="TRB_Uloz" ButtonType="StandardButton" CommandName="Save" Text="[%Uložit%]" ToolTip="[%Uložit změny%]" OnClientClicked="UlozitAnketu" CssClass="displayNone kstlacitko" AutoPostBack="true">
                                    <Icon PrimaryIconCssClass="fi fi-edit" />
                                </kspwc:TRadButton>
                                <kspwc:TRadButton runat="server" ID="TRB_Reset" ButtonType="StandardButton" CommandName="Reset" Text="[%Promazat%]" ToolTip="[%Promazat odpovědi ankety%]" AutoPostBack="true" Visible="true">
                                    <Icon PrimaryIconCssClass="fi fi-rotate-right" />
                                </kspwc:TRadButton>
                                <kspwc:TRadButton runat="server" ID="TRB_delete" ButtonType="StandardButton" CommandName="Delete" Text="[%Smazat%]" ToolTip="[%Smazat záznam%]" ConfirmText="[%Smazat záznam?%]">
                                    <Icon PrimaryIconCssClass="fi fi-trash" />
                                </kspwc:TRadButton>
                            </asp:Panel>

                        </div>
                    </fieldset>
                </ItemTemplate>
            </telerik:RadListView>
        </div>

        <div id="otazkyEdit" style="width: 600px; margin: 25px; display: none;">
            <div id="seznamOtazekEdit">
                <%--<div id="otazkaDiv0" class="otazkaEdit ksprvek">
                    <div style="float: right">
                        <label for='povinny'>Povinná otázka</label>
                        <input class="checkboxPovinny" id='povinnyCheck' type='checkbox' name='povinny'>
                    </div>
                    <table class="otazkaNadpis">
                        <tr>
                            <td>
                                <textarea id='nadpisOtazky' class='nadpis1Anketa' placeholder='Zadejte text otázky' rows='2' cols='20'></textarea>
                            </td>
                        </tr>
                    </table>
                    <hr class="diver" />
                    <input id="novaodpovedAdd" type='button' value="+ Nová odpověď" class="buttonText" onclick="novaOdpoved(this);" />
                    <br />
                    <br />
                    <div class="seznamOdpovedi">
                        <table id="T_odpoved1">
                            <tr>
                                <td>
                                    <select id="TDD_odpovedi" class="selectVarianty">
                                        <option value="checkbox">Checkbox</option>
                                        <option value="radio">RadioButton</option>
                                        <option value="text">Text</option>
                                    </select>

                                </td>
                                <td class="odpoved">
                                    <input type="text" id="RTB_odpoved" class="odpovedTB" />
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>--%>
                <%-- <div style="position: absolute">
                    <svg width="500" height="500"><line x1="50" y1="50" x2="350" y2="350" stroke="black"/></svg>
                </div>--%>
            </div>
            <%-- JH 8.7.2022 --%>
            <input id="novaOtazkanazev" type="button" class="otazkyEditButton color1" value="+ Nová otázka" onclick="novaOtazka('seznamOtazekEdit');" />
        </div>

    </div>
    <uc1:AnketaControl runat="server" ID="AnketaControl" />
</asp:Panel>





