﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using KSProgram;
using KSProgram.Obecne;
using System.Text.RegularExpressions;
using System.Collections;
using System.Web.UI.DataVisualization.Charting;
using System.Drawing;
using KSProgram.Data;
using KSProgram.Hodnoceni;
using Telerik.Web.UI;
using System.Data;



public partial class Sestavy_HodnoceniKompetence : TPage
{
    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (CBL_show.Items.Count == 0)
        {
            /*foreach (DataControlField col in TGV_sestava.Columns)
            {
                ListItem item = new ListItem(col.HeaderText);
                item.Value = col.SortExpression;
                item.Selected = true;
                item.Enabled = true;
                CBL_show.Items.Add(item);
            }*/

            foreach (Telerik.Web.UI.GridColumn col in TRadGrid_sestava.Columns)
            {
                ListItem item = new ListItem(col.HeaderText);
                item.Value = col.SortExpression;
                item.Selected = true;
                item.Enabled = true;
                CBL_show.Items.Add(item);
            }

        }   
    }
    /// <summary>
    /// konstruktor
    /// </summary>
    public Sestavy_HodnoceniKompetence()
    {
        IdPrava = 102;
        this.HelpURL = "Hodnocen%C3%AD_PIS_%28KS_port%C3%A1l%29";
    }
    protected void TDD_akce_DataBound(object sender, EventArgs e)
    {
        TDropDown TDD_akce = (TDropDown)sender;
        TDD_akce.SelectedIndex = TDD_akce.Items.Count - 1;
    }
    protected void lb_nacist_Command(object sender, CommandEventArgs e)
    {
        //MD 17.7.2013 když není vybrána hodnotící akce, nic se neprovede
        if (TDD_akce.SelectedItem != null)
        {
            string columns = "";
            foreach (ListItem item in CBL_show.Items)
            {
                column(item.Value).Visible = item.Selected;
                if (item.Selected)
                    columns += item.Value + ",";
            }
            //TradGrid_sestava_nastav_sloupce(columns);
            //TGV_sestava.DataSourceID = ODS_sestava.ID;
            TRadGrid_sestava.DataSourceID = ODS_sestava.ID;
            ODS_sestava.SelectParameters["Id_ha"].DefaultValue = TDD_akce.SelectedItem.Value;
            ODS_sestava.SelectParameters["cis_divize"].DefaultValue = TDD_divize.SelectedItem.Value;
            ODS_sestava.SelectParameters["skup_str"].DefaultValue = TDD_skupinaStred.SelectedItem.Value;
            ODS_sestava.SelectParameters["str"].DefaultValue = TDD_stredisko.SelectedItem.Value;
            ODS_sestava.SelectParameters["os_cislo"].DefaultValue = TDD_zamestnanec.SelectedItem.Value;
            ODS_sestava.SelectParameters["typ_kompetenci"].DefaultValue = TDD_typyKompetenci.SelectedItem.Value;
            ODS_sestava.SelectParameters["kompetence"].DefaultValue = TDD_kompetence.SelectedItem.Value;
            ODS_sestava.SelectParameters["groupZam"].DefaultValue = RBL_group_zam.SelectedItem.Value;
            ODS_sestava.SelectParameters["groupKom"].DefaultValue = RBL_group_komp.SelectedItem.Value;
            ODS_sestava.SelectParameters["zamceno"].DefaultValue = RBL_zamceno.SelectedItem.Value;
            ODS_sestava.SelectParameters["procenta"].DefaultValue = RBL_procenta.SelectedItem.Value == "0" ? "False" : "True";
            ODS_sestava.SelectParameters["columns"].DefaultValue = columns;
            //TGV_sestava.DataBind();
            TRadGrid_sestava.Rebind();
            


            Regex rgx = new Regex(@"\w+", RegexOptions.IgnoreCase);
            MatchCollection cols = rgx.Matches(columns);
            Sloupec Coll = new Sloupec(cols);

            //string par_chart_v = SqlPrikaz.ExecuteScalarString("SELECT hodnota FROM hz_parametry WHERE polozka = 'syst_sest_graf_v'", "1");
            //par_chart_v = par_chart_v == null ? "1" : par_chart_v.Trim();

            if (RBL_procenta.SelectedItem.Value == "0" &&
                Coll.Visible("vaha") && Coll.Visible("body_poz") &&
                Coll.Visible("body_obd") &&
                Coll.Visible("typ_kompetenci") &&
                Coll.Visible("kompetence") &&
                (RBL_group_zam.SelectedItem.Value == "4" ||
                (RBL_group_zam.SelectedItem.Value == "0" && TDD_zamestnanec.SelectedItem.Value != "") ||
                (RBL_group_zam.SelectedItem.Value == "1" && TDD_divize.SelectedItem.Value != "") ||
                (RBL_group_zam.SelectedItem.Value == "2" && TDD_skupinaStred.SelectedItem.Value != "") ||
                (RBL_group_zam.SelectedItem.Value == "3" && TDD_stredisko.SelectedItem.Value != "")) &&
                TDD_typyKompetenci.SelectedItem.Value == "" &&
                TDD_kompetence.SelectedItem.Value == "" &&
                RBL_group_komp.SelectedItem.Value == "0" &&
                ParamsH.Get("syst_sest_graf_v") != "0")
            {
                ChartKompetence.DataSourceID = ODS_sestava.ID;
                ChartKompetence.DataBind();
            }
        }
    }
    private Telerik.Web.UI.GridColumn column(string SortExp)
    {
        /*foreach (DataControlField col in TGV_sestava.Columns)
            if (col.SortExpression == SortExp)
                return col;
        return null;*/
        foreach (Telerik.Web.UI.GridColumn col in TRadGrid_sestava.Columns)
            if (col.SortExpression == SortExp)
                return col;
        return null;
    }
    private ListItem listItem(string SortExp)
    {
        foreach (ListItem item in CBL_show.Items)
            if (item.Value == SortExp)
                return item;
        return null;
    }
    //protected void RBL_group_zam_SelectedIndexChanged(object sender, EventArgs e)
    //{
    //    viditelnostZam();
    //}
    
    //protected void RBL_group_komp_SelectedIndexChanged(object sender, EventArgs e)
    //{
    //    viditelnostKom();
    //}
    private void viditelnostZam()
    {
        switch (RBL_group_zam.SelectedValue)
        {
            case "0":
                NastavItem("os_cislo", null, true);
                NastavItem("cislo_pom", null, true);
                NastavItem("jmeno", true, false);
                NastavItem("prac_misto", null, true);
                NastavItem("divize", null, true);
                NastavItem("skup_str", null, true);
                NastavItem("str", null, true);
                break;
            case "1": 
                NastavItem("os_cislo", false, false);
                NastavItem("cislo_pom", false, false);
                NastavItem("jmeno", false, false);
                NastavItem("prac_misto", false, false);
                NastavItem("divize", true, false);
                NastavItem("skup_str", false, false);
                NastavItem("str", false, false);
                break;
            case "2":
                NastavItem("os_cislo", false, false);
                NastavItem("cislo_pom", false, false);
                NastavItem("jmeno", false, false);
                NastavItem("prac_misto", false, false);
                NastavItem("divize", false, false);
                NastavItem("skup_str", true, false);
                NastavItem("str", false, false);
                break;
            case "3":
                NastavItem("os_cislo", false, false);
                NastavItem("cislo_pom", false, false);
                NastavItem("jmeno", false, false);
                NastavItem("prac_misto", false, false);
                NastavItem("divize", null, true);
                NastavItem("skup_str", null, true);
                NastavItem("str", true, false);
                break;
            case "4":
                NastavItem("os_cislo", false, false);
                NastavItem("cislo_pom", false, false);
                NastavItem("jmeno", false, false);
                NastavItem("prac_misto", false, false);
                NastavItem("divize", false, false);
                NastavItem("skup_str", false, false);
                NastavItem("str", false, false);
                break;
        }
    }
    private void viditelnostKom()
    {
        switch (RBL_group_komp.SelectedValue)
        {
            case "0":
                NastavItem("typ_kompetenci", null, true);
                NastavItem("kompetence", true, false);
                break;
            case "1":
                NastavItem("typ_kompetenci", true, false);
                NastavItem("kompetence", false, false);
                break;
            case "2":
                NastavItem("typ_kompetenci", false, false);
                NastavItem("kompetence", false, false);
                break;
        }
    }
    private void viditelnostDok()
    {
        if (RBL_group_zam.SelectedValue == "0" && RBL_group_komp.SelectedValue == "0")
        {
            NastavItem("dokonceno_seb", false, false);
            NastavItem("dokonceno_obd", false, false);
        }
        else
        {
            NastavItem("dokonceno_seb", null, true);
            NastavItem("dokonceno_obd", null, true);
        }
    }
    private void viditelnostPro()
    {
        //MD 17.7.2013 objekt TDD_akce nemusí být vždy naplněn
        string Id_ha = (TDD_akce.SelectedItem != null) ? TDD_akce.SelectedItem.Value : null;
        Int16 zamceno = Convert.ToInt16(RBL_zamceno.SelectedItem.Value);
        int? cis_divize = TDD_divize.SelectedItem.Value == "" ? null : (int?)Convert.ToInt32(TDD_divize.SelectedItem.Value);
        int? skup_str = TDD_skupinaStred.SelectedItem.Value == "" ? null : (int?)Convert.ToInt32(TDD_skupinaStred.SelectedItem.Value);
        string str = TDD_stredisko.SelectedItem.Value;
        string os_cislo = TDD_zamestnanec.SelectedItem.Value;
        string typ_kompetenci = TDD_typyKompetenci.SelectedItem.Value;
        string kompetence = TDD_kompetence.SelectedItem.Value;
        if (RBL_procenta.SelectedValue == "0")
        {
            if (!KSProgram.Sestavy.DefSestavy_HodnKompetence.TotozneStupnice(Id_ha, cis_divize, skup_str, str, os_cislo, typ_kompetenci, kompetence, zamceno))
            {
                RBL_group_komp.Items[0].Enabled = false;
                if (RBL_group_komp.SelectedValue == "2")
                {
                    RBL_group_komp.SelectedIndex = 1;
                }
            }
            else RBL_group_komp.Items[0].Enabled = true;
        }
        else RBL_group_komp.Items[0].Enabled = true;
    }
    private void NastavItem(string item, bool? selected, bool enabled)
    {
        ListItem Item = listItem(item);
        if (Item.Enabled && !enabled)
            UserSetting.SaveUserSetting(Page.ToString(), CBL_show.ID + "_" + Item.Value, Item.Selected.ToString());
        if (!Item.Enabled && enabled && selected == null)
        {
            string hodnota = UserSetting.LoadUserSetting(Page.ToString(), CBL_show.ID + "_" + Item.Value);
            if (!string.IsNullOrEmpty(hodnota))
                Item.Selected = Convert.ToBoolean(hodnota);
        }
        else
        {
            if (selected != null)
                Item.Selected = (bool)selected;
        }
        Item.Enabled = enabled;
    }
    protected void TB_Export_Click(object sender, EventArgs e)
    {
        //Attachment.Send(this, "SestavaKompetence_" + DateTime.Now.Date.ToString() + ".csv", ExportGridViewToCSV(TGV_sestava));
    }
    protected void CBL_show_PreRender(object sender, EventArgs e)
    {
        viditelnostZam();
        viditelnostKom();
        viditelnostDok();
        viditelnostPro();
    }
    protected void ChartKompetence_DataBound(object sender, EventArgs e)
    {
        int alpha = 200; // Průhlednost
        string[] typCompColor = { "#99FF99", "#FFFF99", "#FFCC99", "#FFFFFF", "#808080" };
      
        Chart chart = (Chart)sender;

        // MaxY grafu
        // ----------
        double maxYvalue = 0;
        foreach (Series series in chart.Series)
            foreach (DataPoint point in series.Points)
            {
                if (series.Name == "SeriesBodyPoz" || series.Name == "SeriesBodyObd")
                {
                    if (point.YValues[0] > maxYvalue) maxYvalue = point.YValues[0];
                }
            }

        // Podbarvení grafu podle 'Typ kompetence'
        // ---------------------------------------
        double yValue = maxYvalue + 2;
        chart.ChartAreas["ChartArea1"].AxisY.Maximum = yValue;

        // Podbarvení grafu + Nastavení legendy
        int index = -1;
        double lastYValue = 0;
        string text = "";
        Color barva;
        foreach (DataPoint point in chart.Series["SeriesIDTypKompetenci"].Points)
        {
            if (index == -1 || lastYValue != point.YValues[0])
            {
                index++;
                lastYValue = point.YValues[0];
                if (index > 3) index = 4;
                // Doplnění do legendy
                barva = ColorTranslator.FromHtml(typCompColor[index]);
                text = SqlPrikaz.ExecuteScalarString("SELECT nazev_typu FROM kompetence_typy WHERE typ_kompetenci = " + Convert.ToInt32(lastYValue), "");
                chart.Legends["LegendTypKompetenci"].CustomItems.Add(barva, text);
            }
            point.YValues[0] = yValue; // Nastavení velikosti podkladu
            point.Color = Color.FromArgb(alpha, ColorTranslator.FromHtml(typCompColor[index])); // Podbarvení grafu
        }

        // Označení kompetence červenou barvou v případě 'váha = 0'
        // --------------------------------------------------------
        index = 0;
        foreach (DataPoint point in chart.Series["SeriesVaha"].Points)
        {
            CustomLabel label = new CustomLabel();
            label.Text = point.AxisLabel;
            chart.ChartAreas[0].AxisX.CustomLabels.Add(label);
            if (point.YValues[0] == 0) label.ForeColor = Color.Red;
            index++;
        }

        // Zapnutí legendy
        // ---------------
        if (maxYvalue > 0)
        {
            chart.Legends["LegendUroven"].Enabled = true;
            chart.Legends["LegendTypKompetenci"].Enabled = true;
        }
    }
           
}


class Sloupec
{
    private Hashtable table;
    public Sloupec(MatchCollection columns)
    {
        table = new Hashtable(31);
        foreach (Match col in columns)
            table[col.Value] = true;
    }
    public bool Visible(string col)
    {
        object val = table[col];
        if (val == null) return false;
        else return true;
    }
}
