﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Sestavy_HodnoceniSlovni" Codebehind="HodnoceniSlovni.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid_sestava">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid_sestava" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <asp:Label ID="Label1" runat="server" Text="[%Hodnocení slovní%]" CssClass="nadpis1"></asp:Label>
    <table style="border: 1px solid #808080; border-collapse: collapse;" class="ksprvek HodnoceniToolbar">
        <tr>
            <td style="border-width: 1px; border-color: #808080; font-weight: bold; border-right-style: solid;">
                [%Filtr hodnotících akcí%]:
            </td>
            <td colspan="2" style="border-width: 1px; border-color: #808080; font-weight: bold;
                border-right-style: solid;">
                [%Filtr zaměstnanců%]:
            </td>
            <td style="font-weight: bold" colspan="2">
                [%Filtr hodnocení%]:
            </td>
        </tr>
        <tr>
            <td rowspan="2" style="border-right-style: solid; border-width: 1px; border-color: #808080">
                <asp:Panel ID="Panel2" runat="server" Width="100%" Height="100px" ScrollBars="Auto">
                    <asp:ObjectDataSource ID="ODS_akce" runat="server" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="HodnoticiAkce" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                        <SelectParameters>
                            <asp:Parameter Name="zamceno" DbType="Int16" />
                            <asp:Parameter Name="jen_primi" Type="Boolean" DefaultValue="false" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <wc:TGridView ID="TGV_akce" runat="server" DataSourceID="ODS_akce" DataKeyNames="id"
                        AutoGenerateCheckBoxColumn="True" BorderColor="White" AutoPostBack="True">
                        <Columns>
                            <asp:BoundField DataField="id" Visible="False" />
                            <asp:BoundField DataField="nazev" HeaderText="[%Název akce%]" SortExpression="nazev" />
                            <asp:BoundField DataField="obdobi_od" HeaderText="[%Období od%]" SortExpression="obdobi_od"
                                DataFormatString="{0:d}" />
                            <asp:BoundField DataField="obdobi_do" HeaderText="[%Do%]" SortExpression="obdobi_do"
                                DataFormatString="{0:d}" />
                        </Columns>
                    </wc:TGridView>
                </asp:Panel>
            </td>
            <td>
                <asp:Label ID="L_divize" runat="server" Text="[%Divize%]:"></asp:Label>
                <br />
                <asp:ObjectDataSource ID="ODS_divize" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="cislDivize" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="TGV_akce" Name="Id_ha" PropertyName="CheckedKeyValuesWhereIn[0]"
                            Type="String" />
                        <asp:Parameter Name="zamceno" Type="Int16" DefaultValue="2" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <wc:TDropDown ID="TDD_divize" runat="server" DataSourceID="ODS_divize" DataTextField="naz_divize"
                    DataValueField="cis_divize" AutoPostBack="True">
                </wc:TDropDown>
            </td>
            <td>
                <asp:Label ID="L_stredisko" runat="server" Text="[%Středisko%]:"></asp:Label>
                <br />
                <asp:ObjectDataSource ID="ODS_Stredisko" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="cislStredisko" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="TGV_akce" Name="Id_ha" PropertyName="CheckedKeyValuesWhereIn[0]"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_divize" Name="cis_divize" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_skupinaStred" Name="skup_str" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:Parameter Name="zamceno" DefaultValue="2" Type="Int16" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <wc:TDropDown ID="TDD_stredisko" runat="server" DataSourceID="ODS_Stredisko" DataTextField="nazev"
                    DataValueField="str" AutoPostBack="True">
                </wc:TDropDown>
            </td>
            <td rowspan="2" style="border-left-style: solid; border-width: 1px; border-color: #808080">
                <wc:TRadioButtonList ID="TRBL_hodnoceno" runat="server" AutoPostBack="False" UseSaveSetting="True">
                    <asp:ListItem Selected="True" Value="1">[%Pouze hodnocené%]</asp:ListItem>
                    <asp:ListItem Value="2">[%Pouze nehodnocené%]</asp:ListItem>
                    <asp:ListItem Value="0">[%Všechna%]</asp:ListItem>
                </wc:TRadioButtonList>
            </td>
            <td>
                <asp:Label ID="L_editor" runat="server" Text="[%Editor%]:"></asp:Label>
                <br />
                <asp:ObjectDataSource ID="ODS_editor" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="cislEditor" TypeName="KSProgram.Sestavy.DefSestavy_HodnSlovni">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="TGV_akce" Name="Id_ha" PropertyName="CheckedKeyValuesWhereIn[0]"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_divize" Name="cis_divize" PropertyName="SelectedValue"
                            Type="Int32" />
                        <asp:ControlParameter ControlID="TDD_skupinaStred" Name="skup_str" PropertyName="SelectedValue"
                            Type="Int32" />
                        <asp:ControlParameter ControlID="TDD_stredisko" Name="str" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_zamestnanec" Name="os_cislo" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TRBL_hodnoceno" DefaultValue="" Name="hodnoceno"
                            PropertyName="SelectedValue" Type="Int16" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <wc:TDropDown ID="TDD_editor" runat="server" AutoPostBack="True" DataSourceID="ODS_editor"
                    DataTextField="status" DataValueField="cislo">
                </wc:TDropDown>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="L_skupinaStred" runat="server" Text="[%Skup. středisek%]:"></asp:Label>
                <br />
                <asp:ObjectDataSource ID="ODS_SkupinaStred" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="cislSkupinaStred" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="TGV_akce" Name="Id_ha" PropertyName="CheckedKeyValuesWhereIn[0]"
                            Type="String" />
                        <asp:Parameter Name="zamceno" Type="Int16" DefaultValue="2" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <wc:TDropDown ID="TDD_skupinaStred" runat="server" DataSourceID="ODS_SkupinaStred"
                    DataTextField="skup_nazev" DataValueField="skup_str" AutoPostBack="True">
                </wc:TDropDown>
            </td>
            <td>
                <asp:Label ID="L_zamestnanec" runat="server" Text="[%Zaměstnanec%]:"></asp:Label>
                <br />
                <asp:ObjectDataSource ID="ODS_Zamestnanec" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="cislZamestnanec" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="TGV_akce" Name="Id_ha" PropertyName="CheckedKeyValuesWhereIn[0]"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_divize" Name="cis_divize" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_skupinaStred" Name="skup_str" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_stredisko" Name="str" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:Parameter Name="zamceno" DefaultValue="2" Type="Int16" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <wc:TDropDown ID="TDD_zamestnanec" runat="server" DataSourceID="ODS_Zamestnanec"
                    DataTextField="jmeno" DataValueField="os_cislo" AutoPostBack="True">
                </wc:TDropDown>
            </td>
            <td>
                <asp:Label ID="L_editor0" runat="server" Text="[%Hodnocení%]:"></asp:Label>
                <br />
                <asp:ObjectDataSource ID="ODS_pozadavek" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="cislPozadavek" TypeName="KSProgram.Sestavy.DefSestavy_HodnSlovni">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="TGV_akce" Name="Id_ha" PropertyName="CheckedKeyValuesWhereIn[0]"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_divize" Name="cis_divize" PropertyName="SelectedValue"
                            Type="Int32" />
                        <asp:ControlParameter ControlID="TDD_skupinaStred" Name="skup_str" PropertyName="SelectedValue"
                            Type="Int32" />
                        <asp:ControlParameter ControlID="TDD_stredisko" Name="str" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_zamestnanec" Name="os_cislo" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TRBL_hodnoceno" Name="hodnoceno" PropertyName="SelectedValue"
                            Type="Int16" />
                        <asp:ControlParameter ControlID="TDD_editor" Name="sta_edt" PropertyName="SelectedValue"
                            Type="String" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <wc:TDropDown ID="TDD_pozadavek" runat="server" DataSourceID="ODS_pozadavek" DataTextField="vyznam"
                    DataValueField="cislo" Width="250px">
                </wc:TDropDown>
            </td>
        </tr>
        <tr>
            <td colspan="5" style="border-top-style: solid; border-width: 1px; border-color: #808080">
                <asp:Label ID="Label4" runat="server" Text="[%Sloupce%]:"></asp:Label>
                <wc:TCheckBoxList ID="CBL_show" runat="server" RepeatDirection="Horizontal" UseSaveSetting="True">
                </wc:TCheckBoxList>
            </td>
        </tr>
    </table>
    <br />
    <wc:TLinkButton runat="server" ID="lb_nacist" Text="[%Vytvořit%]" CssClass="kstlacitko"
        SkinID="button" OnCommand="lb_nacist_Command"></wc:TLinkButton>
    <br />
    <br />
    <asp:ObjectDataSource ID="ODS_sestava" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="Retrieve" TypeName="KSProgram.Sestavy.DefSestavy_HodnSlovni">
        <SelectParameters>
            <asp:Parameter Name="Id_ha" Type="String" />
            <asp:Parameter Name="cis_divize" Type="Int32" />
            <asp:Parameter Name="skup_str" Type="Int32" />
            <asp:Parameter Name="str" Type="String" />
            <asp:Parameter Name="os_cislo" Type="String" />
            <asp:Parameter Name="sta_edt" Type="String" />
            <asp:Parameter Name="pozadavek" Type="String" />
            <asp:Parameter Name="hodnoceno" Type="Int16" />
            <asp:Parameter Name="columns" Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <%--
    <wc:TGridView ID="TGV_sestava" runat="server" AllowMultiColumnSorting="True" PovolFiltraci="True"
        ShowTitleRow="True" TitleText="[%Hodnocení slovní%]" ControlPanelPosition="TitleRow"
        PovolExport="True" AllowPaging="True">
        <Columns>
            <asp:BoundField DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" />
            <asp:BoundField DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno" />
            <asp:BoundField DataField="prac_misto" HeaderText="[%Prac. místo%]" SortExpression="prac_misto" />
            <asp:BoundField DataField="divize" HeaderText="[%Divize%]" SortExpression="divize" />
            <asp:BoundField DataField="skup_str" HeaderText="[%Skup. středisek%]" SortExpression="skup_str" />
            <asp:BoundField DataField="str" HeaderText="[%Středisko%]" SortExpression="str" />
            <asp:BoundField DataField="hod_akce" HeaderText="[%Hodn. akce%]" SortExpression="hod_akce" />
            <asp:BoundField DataField="editor" HeaderText="[%Editor%]" SortExpression="editor" />
            <asp:BoundField DataField="vyznam" HeaderText="[%Hodnocení%]" SortExpression="vyznam" />
            <asp:TemplateField HeaderText="[%Text hodnocení%]" SortExpression="text">
                <ItemTemplate>
                    <asp:Label ID="LabelText" runat="server" Text='<%# Bind("text") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
        <PagerTemplate>
            <wc:PagerNavigationBar runat="server" ID="page_nastaveni" />
        </PagerTemplate>
    </wc:TGridView> --%>

    <%-- NEW --%>
    <kspwc:TRadGrid ID="TRadGrid_sestava" runat="server"
                    ShowGroupPanel="True" AllowPaging="True" 
                     AllowSorting="true" AutoGenerateColumns="false"
                    AutoFilterControlWidth="false">
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top" HeaderStyle-HorizontalAlign="Center">
            <Columns>
                <telerik:GridNumericColumn DataType="System.Decimal" DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" FilterControlWidth="45" />
                <telerik:GridNumericColumn DataType="System.Int16" DataField="cislo_pom" HeaderText="[%Č.p.%]" SortExpression="cislo_pom" FilterControlWidth="45"/>
                <telerik:GridBoundColumn DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno" />
                <telerik:GridBoundColumn DataField="prac_misto" HeaderText="[%Prac. místo%]" SortExpression="prac_misto" />
                <telerik:GridBoundColumn DataField="divize" HeaderText="[%Divize%]" SortExpression="divize" />
                <telerik:GridBoundColumn DataField="skup_str" HeaderText="[%Skup. středisek%]" SortExpression="skup_str" />
                <telerik:GridBoundColumn DataField="str" HeaderText="[%Středisko%]" SortExpression="str" />
                <telerik:GridBoundColumn DataField="hod_akce" HeaderText="[%Hodn. akce%]" SortExpression="hod_akce" />
                <telerik:GridBoundColumn DataField="editor" HeaderText="[%Editor%]" SortExpression="editor" />
                <telerik:GridBoundColumn DataField="vyznam" HeaderText="[%Hodnocení%]" SortExpression="vyznam" />
                <telerik:GridBoundColumn DataField="text" HeaderText="[%Text hodnocení%]" SortExpression="text"></telerik:GridBoundColumn>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" RebindButton-Enabled="False" RebindButton-Visible="False" ExportButton-ShowExportToExcelHtmlItem="True">
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
    <%-- End NEW --%>
</asp:Content>
