﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using KSProgram.Hodnoceni;
using KSProgram.Data;
using System.Data;
using KSProgram.Vzdelavani;
using KSProgram;
using KSProgram.Mathematics;
using System.Web.UI.DataVisualization.Charting;
using System.Drawing;
using KSProgram.Funkce;
using KSProgram.Extensions;
using Telerik.Web.UI;
using KSProgram.Obecne;

public partial class Sestavy_Hodnoceni_Sebehodnoceni : TPopUpPage
{
    private Int32 Id;
    private Int32 Id_ha;
    private Decimal Os_cislo;
    private string NazevSestavy;

    //průměry
    decimal prumer_komp;
    decimal prumer_join;
    //decimal suma_komp_all = 0;
    int rows_komp_all = 0;
    VazenyPrumer komp_prum_obd = new VazenyPrumer();
    VazenyPrumer komp_prum_join = new VazenyPrumer();
    decimal prumer_cile;
    decimal prumer_cile_join;
    long soucet_vah_cilu;
    long soucet_vah_naslcilu;
    decimal prumer_poz;
    Int64 soucet_vah_komp;
    Int64 soucet_vah_komp_obd;
    Int64 soucet_vah_komp_join;

    //parametry
    protected ParamsH _params;
    private string sta_edt;

    int alpha = 200; // Průhlednost
    //string[] typCompColor = { "#99FF99", "#FFFF99", "#FFCC99", "#FFFFFF", "#808080" };

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);

        Id = Convert.ToInt32(Session["hodnoceni_id"]);
        _params = (ParamsH)Session["ParamsH"];
        sta_edt = (string)Session["sta_edt"];
        NazevSestavy = (string)Session["NazevSestavy"];

        if (sta_edt == "1")
        {
            _params["syst_zal_kom_v"] = _params["syst_zal_seb_kom_v"];
            _params["syst_zal_cil_v"] = _params["syst_zal_seb_cil_v"];
            _params["syst_zal_ncil_v"] = _params["syst_zal_seb_ncil_v"];
            _params["syst_zal_slo_v"] = _params["syst_zal_seb_slo_v"];
            _params["syst_zal_mot_v"] = _params["syst_zal_seb_mot_v"];
            _params["syst_zal_roz_v"] = _params["syst_zal_seb_roz_v"];
            _params["syst_zal_sko_v"] = _params["syst_zal_seb_sko_v"];
            _params["syst_zal_cel_v", Hodnoceni.GetIdHa(Id)] = _params["syst_zal_seb_cel_v", Hodnoceni.GetIdHa(Id)];
        }
        else
        {
            //_params["syst_zal_kom_v"] = _params[ParamsH.GetAlias("zv_kom")];
            //_params["syst_zal_cil_v"] = _params[ParamsH.GetAlias("zv_cil")];
            //_params["syst_zal_ncil_v"] = _params[ParamsH.GetAlias("zv_ncil")];
            //_params["syst_zal_slo_v"] = _params[ParamsH.GetAlias("zv_slo")];
            //_params["syst_zal_mot_v"] = _params[ParamsH.GetAlias("zv_mot")];
            //_params["syst_zal_roz_v"] = _params[ParamsH.GetAlias("zv_roz")];
            //_params["syst_zal_sko_v"] = _params[ParamsH.GetAlias("zv_sko")];
            //_params["syst_zal_cel_v"] = _params[ParamsH.GetAlias("zv_cel")];
        }
        //Session.Remove("hodnoceni_id");
        //Session.Remove("sta_edt");
        //Session.Remove("ParamsH");
        //Session.Remove("NazevSestavy");

        if (_params["syst_zal_kom_v"] == "1")
        {
            DIV_kom.Visible = true;
            ODS_typy_kompetenci.SelectParameters["Id"].DefaultValue = Id.ToString();
            //ODS_typy_kompetenci.SelectParameters["sta_edt"].DefaultValue = sta_edt.ToString();
            REP_typy_kompetenci.DataSourceID = "ODS_typy_kompetenci";
        }
        else DIV_kom.Visible = false;
        if (_params["syst_zal_cil_v"] == "1")
        {
            DIV_cil.Visible = true;
            ODS_cile.SelectParameters["Id"].DefaultValue = Id.ToString();
            TGV_cile.DataSourceID = "ODS_cile";
        }
        else DIV_cil.Visible = false;
        if (_params["syst_zal_cil_v"] == "1" && _params["syst_shsku"] == "1")
        {
            DIV_rekapcil.Visible = true;
            HodnCile_rekapitulace_skupin_cilu.Id_hla = Id;
            HodnCile_rekapitulace_skupin_cilu.DataNavazana = true;
        }
        else DIV_rekapcil.Visible = false;
        if (_params["syst_zal_ncil_v"] == "1")
        {
            DIV_ncil.Visible = true;
            ODS_naslcile.SelectParameters["Id"].DefaultValue = Id.ToString();
            TGV_naslcile.DataSourceID = "ODS_naslcile";
        }
        else DIV_ncil.Visible = false;
        if (_params["syst_zal_slo_v"] == "1")
        {
            DIV_slo.Visible = true;
            if (SeriesVisible("h"))
            {
                DIV_slo_hod.Visible = true;
                ODS_slovni.SelectParameters["Id"].DefaultValue = Id.ToString();
                REP_slovni.DataSourceID = "ODS_slovni";
            }
            else
            {
                DIV_slo_hod.Visible = false;
            }
            if (SeriesVisible("s"))
            {
                DIV_slo_seb.Visible = true;
                ODS_slovni_s.SelectParameters["Id"].DefaultValue = Id.ToString();
                REP_slovni_s.DataSourceID = "ODS_slovni_s";
            }
            else
            {
                DIV_slo_seb.Visible = false;
            }
        }
        else DIV_slo.Visible = false;
        if (_params["syst_zal_mot_v"] == "1")
        {
            DIV_mot.Visible = true;
            ODS_Motivace.SelectParameters["Id"].DefaultValue = Id.ToString();
            TGV_Motivace.DataSourceID = "ODS_Motivace";
        }
        else DIV_mot.Visible = false;
        if (_params["syst_zal_sko_v"] == "1" && sta_edt == "2")
        {
            DIV_sko.Visible = true;
            ODS_Skoleni.SelectParameters["Id"].DefaultValue = Id.ToString();
            TGV_Skoleni.DataSourceID = "ODS_Skoleni";
        }
        else DIV_sko.Visible = false;
        if (_params["syst_zal_roz_v"] == "1" && sta_edt == "2")
        {
            DIV_roz.Visible = true;
            ODS_Vzdelavani.SelectParameters["Id"].DefaultValue = Id.ToString();
            TGV_DopVzde.DataSourceID = "ODS_Vzdelavani";
        }
        else DIV_roz.Visible = false;
        if (_params["syst_zal_cel_v", Hodnoceni.GetIdHa(Id)] == "1")
        {
            DIV_cel.Visible = true;
            ODS_celkove.SelectParameters["Id"].DefaultValue = Id.ToString();
            ODS_celkove.SelectParameters["sta_edt"].DefaultValue = sta_edt.ToString();
            ODS_celkove.SelectParameters["sloucit"].DefaultValue = (_params["cislo_formulare"] == "2" && sta_edt == "2").ToString();
            TGV_celkove.DataSourceID = "ODS_celkove";
        }
        else DIV_cel.Visible = false;

        if (_params["syst_sluzhodn"] == "1")
        {
            DIV_sluz.Visible = true;
            DIV_podpis.Visible = false;
            if(Zakaznik.IsCurrent("CSI"))
            {
                DIV_sluz_sumy.Visible = true;
            }
            else
            {
                DIV_sluz_sumy.Visible = false;
            }
            if (!IsPostBack)
            {
                load_sluz_hod_to_form();
            }

            save_sluz_hod_from_form();
        }
        else
        {
            DIV_sluz.Visible = false;
            DIV_podpis.Visible = true;
        }

        RadClientExportManager1.PdfSettings.Fonts.Add("Segoe UI", System.Web.HttpRuntime.AppDomainAppVirtualPath + "/Fonts/segoeui.ttf");
        RadClientExportManager1.PdfSettings.Fonts.Add("Segoe UI Bold", System.Web.HttpRuntime.AppDomainAppVirtualPath + "/Fonts/segoeuib.ttf");

        // Nacteni podpisovych udaju do podpisovych poli
        ParametryPrikazu pars = new ParametryPrikazu() { new KSParameter("id", DbType.Int32, Id) };
        var podpisy = SqlPrikaz.ExecuteCommand("SELECT h.os_cislo, h.datum_hodnoceni, h.hodnotil, h.d_obeznamen, h.d_souhlasil FROM hz_hod_hla h WHERE h.id = @id", ref pars).ToList(new 
        {
            os_cislo = 0m,
            datum_hodnoceni = (DateTime?)new DateTime(),
            d_obeznamen = (DateTime?)new DateTime(),
            d_souhlasil = (DateTime?)new DateTime(),
            hodnotil = (decimal?)0m
        }).FirstOrDefault();
        if(podpisy != null)
        {
            DateTime? hodnoceny = podpisy.d_souhlasil ?? podpisy.d_obeznamen ?? podpisy.datum_hodnoceni;
            LabelPodpisHodnoceneho.Text = ReadGlobalResource.ZmenaTextu("[%Datum a podpis hodnoceného%]: "
                + (hodnoceny.HasValue ? hodnoceny.Value.ToLongDateString(System.Globalization.CultureInfo.CurrentUICulture) + ", " : "")
                + Pracovnik.CeleJmeno(podpisy.os_cislo, "{titul} {jmeno} {prijmeni}{titul_za}"));

            LabelPodpisHodnotitele.Text = ReadGlobalResource.ZmenaTextu("[%Datum a podpis hodnotitele%]: "
                + (podpisy.datum_hodnoceni.HasValue ? podpisy.datum_hodnoceni.Value.ToLongDateString(System.Globalization.CultureInfo.CurrentUICulture) + ", " : "")
                + (podpisy.hodnotil.HasValue ? Pracovnik.CeleJmeno(podpisy.hodnotil.Value, "{titul} {jmeno} {prijmeni}{titul_za}"):""));
        }

        RadClientExportManager1.PdfSettings.Fonts.Add("Arial", HttpRuntime.AppDomainAppVirtualPath + "/Fonts/arial.ttf");
        RadClientExportManager1.PdfSettings.Fonts.Add("Arial Black", HttpRuntime.AppDomainAppVirtualPath + "/Fonts/ariblk.ttf");
    }
    private void load_sluz_hod_to_form()
    {
        Hodnoceni.SluzebniHodnoceni item = new Hodnoceni.SluzebniHodnoceni(Id);
        item.opravaHodnot();

        TRadioButtonList2.SelectedValue = item.hodnoceni.ToString();

        TRadioButtonList1.SelectedValue = item.navrh.ToString();

        RNTB_navrh_osob_pripl.MaxValue = (double)item.vypoc_pripl;
        RNTB_navrh_osob_pripl.ToolTip = "Lze přiznat nejvýše " + item.vypoc_pripl.ToString("# ### ##0.##") + " Kč";

        RNTB_navrh_osob_pripl.DbValue = item.navrh_pripl;

        TCheckBox1.Checked = item.navrh_odb;

        TTextBox1.Text = item.odb_duvod;

        TCheckBox2.Checked = item.odb;

        RNTB_osob_pripl.DbValue = item.os_hodn;

        TL_sluz_datum_zam.Text = item.datum.HasValue ? item.datum.Value.ToLongDateString() : "";
        TL_sluz_datum_hod.Text = item.datum.HasValue ? item.datum.Value.ToLongDateString() : "";
        TRDP_sluz_datum_hod.SelectedDate = item.datum;

        if (Zakaznik.IsCurrent("CSI"))
        {
            //31.3. v akt. roce nebo 31. v akt. měsíci
            TL_sluz_datum_org.Text = item.datum.HasValue ? (item.datum.Value.PosledniDen().ToLongDateString()) : (DateTime.Now.Date.PosledniDen().ToLongDateString());
            TL_sluz_sub_org.Text = "Mgr. Tomáš Zatloukal, ústřední školní inspektor";
        }
        else
        {
            TL_sluz_datum_org.Text = item.datum.HasValue ? item.datum.Value.ToLongDateString() : "";
            TL_sluz_sub_org.Text = "";
        }

        decimal os_cislo = Globals.OsCisloAktUserNeboZastupovany; //SqlPrikaz.ExecuteScalar<decimal>("SELECT os_cislo FROM hz_hod_hla WHERE id=" + this.Id, 0);
        KSProgram.Systemizace.StrPracPom pracpom = Globals.GetOsCisloPomer(os_cislo, -1); //SqlPrikaz.ExecuteScalar<short>("SELECT cislo_pom FROM hz_hod_hla WHERE id=" + this.Id, 0);

        int id_pracmist = SqlPrikaz.ExecuteScalar<int>("SELECT p.id_pracmist FROM prac_pom p WHERE p.os_cislo = " + SqlPrikaz.ValueToString(pracpom.OsCislo) + " AND p.cislo_pom = " + SqlPrikaz.ValueToString(pracpom.CisloPom), 0);

        if (id_pracmist != 0)
        {
            KSProgram.PracovniMista.PracMistAtrib pma = new KSProgram.PracovniMista.PracMistAtrib(new List<int> { id_pracmist }, new List<short> { 53 }, null, DateTime.Now);
            if (pma.AtributyList.Count > 0)
            {
                string misto = pma.AtributyList[0].Hodnota;
                TL_sluz_misto_hod.Text = misto + ", ";
                TL_sluz_misto_zam.Text = misto + ", ";

                if (Zakaznik.IsCurrent("CSI"))
                {
                    TL_sluz_misto_org.Text = "Praha, ";
                }
                else
                {
                    TL_sluz_misto_org.Text = "";
                }
            }
        }

        if (Zakaznik.IsCurrent("CSI"))
        {
            bool nulaO1 = false, nulaO2 = false;
            int sumaO1 = 0, sumaO2 = 0, sumaO3 = 0, sumaO4 = 0, pocetO1 = 0, pocetO2 = 0, pocetO3 = 0, pocetO4 = 0;
            PrenosMzdy.NactiSumyZKompetenciCSI(Id, ref nulaO1, ref nulaO2, ref sumaO1, ref sumaO2, ref sumaO3, ref sumaO4, ref pocetO1, ref pocetO2, ref pocetO3, ref pocetO4);

            int prumer1 = PrenosMzdy.CSIprumerKomp_I_II(sumaO1, pocetO1);
            int prumer2 = PrenosMzdy.CSIprumerKomp_I_II(sumaO2, pocetO2);
            int prumer3 = PrenosMzdy.CSIprumerKomp_III_IV(sumaO3, pocetO3);
            int prumer4 = PrenosMzdy.CSIprumerKomp_III_IV(sumaO4, pocetO4);

            L_sluz_suma1.Text = "Celkové hodnocení za oblast I. Znalosti a dovednosti: <u>" + prumer1.ToString() + " " + F_String.SkloneniPodleCisla(prumer1, "bod", "body", "bodů") + "</u>";
            L_sluz_suma2.Text = "Celkové hodnocení za oblast II. Výkon státní služby z hlediska správnosti, rychlosti a samostatnosti v souladu se stanovenými individuálními cíli: <u>" + prumer2.ToString() + " " + F_String.SkloneniPodleCisla(prumer2, "bod", "body", "bodů") + "</u>";
            L_sluz_suma3.Text = "Celkové hodnocení za oblast III. Dodržování služební kázně: <u>" + prumer3.ToString() + " " + F_String.SkloneniPodleCisla(prumer3, "bod", "body", "bodů") + "</u>";
            L_sluz_suma4.Text = "Celkové hodnocení za oblast IV. Výsledky vzdělávání: <u>" + prumer4.ToString() + " " + F_String.SkloneniPodleCisla(prumer4, "bod", "body", "bodů") + "</u>";
        }
    }
    private void save_sluz_hod_from_form()
    {
        Hodnoceni.SluzebniHodnoceni item = new Hodnoceni.SluzebniHodnoceni(Id);

        short hodnoceni;
        if (short.TryParse(TRadioButtonList2.SelectedValue, out hodnoceni))
            item.hodnoceni = hodnoceni;
        else
            item.hodnoceni = null;

        short navrh;
        if (short.TryParse(TRadioButtonList1.SelectedValue, out navrh))
            item.navrh = navrh;
        else
            item.navrh = null;

        item.navrh_pripl = RNTB_navrh_osob_pripl.Value == null ? null : (decimal?)Convert.ToDecimal((double)RNTB_navrh_osob_pripl.Value);

        item.navrh_odb = TCheckBox1.Checked;

        item.odb_duvod = TTextBox1.Text.Length > 0 ? TTextBox1.Text.Trim() : null;

        item.odb = TCheckBox2.Checked;

        item.datum = TRDP_sluz_datum_hod.SelectedDate;

        item.opravaHodnot();

        item.Save();

        load_sluz_hod_to_form();
    }
    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        if (Zakaznik.GetCustomer() == "KU ZLIN" ||
            Zakaznik.GetCustomer() == "MESTO MOST")
        {
            this.ClientScript.RegisterClientScriptBlock(this.GetType(), "print1" + this.Title, "window.print()", true);
            ScriptManager.RegisterStartupScript(this, this.GetType(), "print1" + this.Title, "window.print()", true);
        }

    }
    public Sestavy_Hodnoceni_Sebehodnoceni()
    {
    }

    #region Hlavicka

    protected void FV_hlavicka_DataBinding(object sender, EventArgs e)
    {
        DS_hlavicka.SelectParameters["Id"].DefaultValue = Id.ToString();
    }
    protected void FV_hlavicka_DataBound(object sender, EventArgs e)
    {
        FormView FV_hla = (FormView)sender;
        if (FV_hla.DataItem != null)
        {
            Label LabelNazevAkce = (Label)FV_hla.FindControl("LabelNazevAkce");
            //if (sta_edt == "1")
            //    LabelNazevAkce.Text = "[%Záznamový list sebehodnocení%]";
            //else LabelNazevAkce.Text = "[%Záznamový list hodnocení%]";
            LabelNazevAkce.Text = NazevSestavy;

            object ob_id_ha = DataBinder.Eval(FV_hla.DataItem, "id_ha");
            if (ob_id_ha != DBNull.Value)
                Id_ha = (Int32)ob_id_ha;
            object ob_os_cislo = DataBinder.Eval(FV_hla.DataItem, "os_cislo");
            if (ob_os_cislo != DBNull.Value)
                Os_cislo = Convert.ToDecimal(ob_os_cislo);

            object ob_obeznamen = DataBinder.Eval(FV_hla.DataItem, "obeznamen");
            ((Label)FV_hla.FindControl("TL_obeznamen")).Text = (short)ob_obeznamen == 0 ? ReadGlobalResource.ZmenaTextu("[%Ne%]") : ReadGlobalResource.ZmenaTextu("[%Ano%]");
            object ob_souhlasil = DataBinder.Eval(FV_hla.DataItem, "souhlasil");
            ((Label)FV_hla.FindControl("TL_souhlasil")).Text = (short)ob_souhlasil == 0 ? ReadGlobalResource.ZmenaTextu("[%Ne%]") : ReadGlobalResource.ZmenaTextu("[%Ano%]");
            object ob_zamknuto = DataBinder.Eval(FV_hla.DataItem, "zamknuto");
            ((Label)FV_hla.FindControl("TL_zamknuto")).Text = (short)ob_zamknuto == 0 ? ReadGlobalResource.ZmenaTextu("[%Ne%]") : ReadGlobalResource.ZmenaTextu("[%Ano%]");

            System.Web.UI.WebControls.Image image = (System.Web.UI.WebControls.Image)FV_hla.FindControl("I_logo");
            image.ImageUrl = Zakaznik.GetLogoUrl(true);

            DateTime? vyjimka_od = GetNullOrData.GetDateTime(DataBinder.Eval(FV_hla.DataItem, "vyjimka_od"));
            DateTime? vyjimka_do = GetNullOrData.GetDateTime(DataBinder.Eval(FV_hla.DataItem, "vyjimka_do"));
            if(vyjimka_od.HasValue || vyjimka_do.HasValue)
            {
                DateTime? datum_od = GetNullOrData.GetDateTime(DataBinder.Eval(FV_hla.DataItem, "datum_od"));
                DateTime? datum_do = GetNullOrData.GetDateTime(DataBinder.Eval(FV_hla.DataItem, "datum_do"));
                vyjimka_od = vyjimka_od ?? datum_od;
                vyjimka_do = vyjimka_do ?? datum_do;

                ((Label)FV_hla.FindControl("LabelVyjimka")).Visible = true;
                ((Label)FV_hla.FindControl("LabelVyjimkaOdDo")).Visible = true;
                ((Label)FV_hla.FindControl("LabelVyjimkaOdDo")).Text = vyjimka_od.Value.ToShortDateString() + " - " + vyjimka_do.Value.ToShortDateString();
            }

            if (_params["syst_sluzhodn"] == "1")
            {
                ((Label)FV_hla.FindControl("L_druh_pom")).Visible = true;
                ((Label)FV_hla.FindControl("L_druh_pom_val")).Visible = true;
            }
            else
            {
                ((Label)FV_hla.FindControl("L_druh_pom")).Visible = false;
                ((Label)FV_hla.FindControl("L_druh_pom_val")).Visible = false;
            }
        }
    }

    #endregion

    #region Kompetence

    protected void REP_typy_kompetenci_DataBinding(object sender, EventArgs e)
    {

    }
    protected void REP_typy_kompetenci_ItemDataBound(object sender, RepeaterItemEventArgs e)
    {
        if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem)
        {
            string typ = ((System.Data.DataRowView)e.Item.DataItem).Row["typ_kompetenci"].ToString();
            ObjectDataSource ODS = (ObjectDataSource)e.Item.FindControl("ODS_kompetence");
            ODS.SelectParameters["typ_kompetenci"].DefaultValue = typ;
            ODS.SelectParameters["Id"].DefaultValue = Id.ToString();
            //ODS.SelectParameters["sta_edt"].DefaultValue = sta_edt.ToString();
            TGridView TGV = (TGridView)e.Item.FindControl("TGV_kompetence");
            Label L_typ = (Label)e.Item.FindControl("LabelSkupinaKompetenci");
            L_typ.Text = ((System.Data.DataRowView)e.Item.DataItem).Row["nazev_typu"].ToString();
            //TGV.TitleText = ((System.Data.DataRowView)e.Item.DataItem).Row["nazev_typu"].ToString();
            TGV.DataSourceID = "ODS_kompetence";
        }
        if (e.Item.ItemType == ListItemType.Footer)
        {
            Control DIV_kom_f = e.Item.FindControl("DIV_kom_footer");
            Control DIV_seb_f = e.Item.FindControl("DIV_seb_footer");
            if (_params["komp_sumy_v"] == "1")
            {
                DIV_kom_f.Visible = SeriesVisible("h");
                DIV_seb_f.Visible = SeriesVisible("s");
            }
            else
            {
                DIV_kom_f.Visible = false;
                DIV_seb_f.Visible = false;
            }

            //chart
            Control DIV_char_f = e.Item.FindControl("DIV_chart_footer");
            if (_params["syst_sest_graf_v"] != "0")
            {
                DIV_char_f.Visible = true;

                RadHtmlChart RadChartKompetence = (RadHtmlChart)e.Item.FindControl("RadChartKompetence");

                KSProgram.Sestavy.DefSestavy_HodnKompetence sest = new KSProgram.Sestavy.DefSestavy_HodnKompetence();
                DataTable grafdata = sest.Retrieve(Id_ha.ToString(), null, null, null, Os_cislo.ToString(), null, null, "0", "0", 2, false, "typ_kompetenci,kompetence,body_poz,body_obd_sebe,body_obd,vaha", false, true);

                List<GrafItem> dataLegTyp = new List<GrafItem>() { };
                List<GrafItem> dataLegKomp = new List<GrafItem>() { };

                string[] shorts = { "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z" };
                grafdata.Columns.Add("short", typeof(string));
                int i = 0;
                foreach (DataRow row in grafdata.Rows)
                {
                    row["short"] = _getSign(i, shorts);
                    i++;
                }

                // osetreni uvozovek
                foreach (DataRow row in grafdata.Rows)
                {
                    row["typ_kompetenci"] = GetNullOrData.GetString(row["typ_kompetenci"], "", true).Replace("\"", "&quot;");
                    row["kompetence"] = GetNullOrData.GetString(row["kompetence"], "", true).Replace("\"", "&quot;");
                }

                DataView view = new DataView(grafdata);
                DataTable distinctValues = view.ToTable(true, "typ_kompetenci");
                i = 0;
                foreach (DataRow row in distinctValues.Rows)
                {
                    dataLegTyp.Add(new GrafItem("", GetNullOrData.GetString(row["typ_kompetenci"], "", true), F_Drawing.ZeSeznamuBarev(i + 3, 0.5f + (0.5f * (200f / 255f)), 1f)));
                    i++;
                }

                distinctValues = view.ToTable(true, "typ_kompetenci", "kompetence", "short");
                foreach (DataRow row in distinctValues.Rows)
                {
                    Color? c = dataLegTyp.Find(x => x.text == GetNullOrData.GetString(row["typ_kompetenci"], "", true))?.color;
                    dataLegKomp.Add(new GrafItem(GetNullOrData.GetString(row["short"], "", true), GetNullOrData.GetString(row["kompetence"], "", true), (c == null ? new Color() : (Color)c)));
                }

                i = 0;
                int lastIdTyp = -1;
                decimal start = 0;
                decimal stop = 1;
                int index = 0;
                Prumer delkakomp = new Prumer(0);
                foreach (DataRow row in grafdata.Rows)
                {
                    int id_typ = GetNullOrData.GetInt32(row["id_typ_kompetenci"], 0);
                    delkakomp.Add(GetNullOrData.GetString(row["kompetence"], "", true).Length);

                    if (i == 0)
                    {
                        lastIdTyp = id_typ;
                    }
                    if (lastIdTyp != id_typ)
                    {
                        stop = i;
                        RadChartKompetence.PlotArea.XAxis.PlotBands.Add(new PlotBand(start, stop, F_Drawing.ZeSeznamuBarev(index + 3, 0.5f, 1f), (byte)alpha));
                        index++;
                        index = index > 4 ? 4 : index;
                        start = stop;
                    }
                    lastIdTyp = id_typ;
                    stop = i + 1;
                    i++;
                }
                RadChartKompetence.PlotArea.XAxis.PlotBands.Add(new PlotBand(start, stop, F_Drawing.ZeSeznamuBarev(index + 3, 0.5f, 1f), (byte)alpha));

                RadChartKompetence.PlotArea.Series[2].Visible = SeriesVisible("h");
                RadChartKompetence.PlotArea.Series[2].VisibleInLegend = SeriesVisible("h");
                RadChartKompetence.PlotArea.Series[1].Visible = SeriesVisible("s");
                RadChartKompetence.PlotArea.Series[1].VisibleInLegend = SeriesVisible("s");

                if (_params["komp_poz_v"] == "0")
                {
                    RadChartKompetence.PlotArea.Series[0].Visible = false;
                    RadChartKompetence.PlotArea.Series[0].VisibleInLegend = false;
                }

                //HID:53622 - chyba v javasctiptu Telerické komponenty při prázdné sérii
                if (!grafdata.AsEnumerable().Select(x => GetNullOrData.GetInt32(x["body_poz"])).ToList().Exists(x => x != null)) // všechny hodnoty v serii body_poz jsou null
                {
                    RadChartKompetence.PlotArea.Series[0].Visible = false;
                    RadChartKompetence.PlotArea.Series[0].VisibleInLegend = false;
                }
                if (!grafdata.AsEnumerable().Select(x => GetNullOrData.GetInt32(x["body_obd_sebe"])).ToList().Exists(x => x != null)) // všechny hodnoty v serii body_obd_sebe jsou null
                {
                    RadChartKompetence.PlotArea.Series[1].Visible = false;
                    RadChartKompetence.PlotArea.Series[1].VisibleInLegend = false;
                }
                if (!grafdata.AsEnumerable().Select(x => GetNullOrData.GetInt32(x["body_obd"])).ToList().Exists(x => x != null)) // všechny hodnoty v serii body_obd jsou null
                {
                    RadChartKompetence.PlotArea.Series[2].Visible = false;
                    RadChartKompetence.PlotArea.Series[2].VisibleInLegend = false;
                }

                Panel P_Legenda = (Panel)e.Item.FindControl("P_Legenda");
                if (delkakomp.Value > 25)
                {
                    RadChartKompetence.PlotArea.XAxis.DataLabelsField = "short";
                }
                else
                {
                    RadChartKompetence.PlotArea.XAxis.DataLabelsField = "kompetence";
                    P_Legenda.CssClass = "hidden";
                }
                RadChartKompetence.DataSource = grafdata;
                RadChartKompetence.DataBind();

                Repeater R_typy = (Repeater)e.Item.FindControl("R_TypyKomp");
                R_typy.DataSource = dataLegTyp;
                R_typy.DataBind();

                Repeater R_Komp = (Repeater)e.Item.FindControl("R_Komp");
                R_Komp.DataSource = dataLegKomp;
                R_Komp.DataBind();

            }
            else
            {
                DIV_char_f.Visible = false;
            }

        }

    }

    /// <summary>
    /// 
    /// </summary>
    public class GrafItem
    {
        public GrafItem(string shortcut, string text, Color color)
        {
            this.shortcut = shortcut;
            this.text = text;
            this.color = color;
        }
        /// <summary>
        /// 
        /// </summary>
        public string shortcut { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string text { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public Color color { get; set; }
    }

    private bool SeriesVisible(string key) // "h" "s"
    {
        if (key != "h" && key != "s")
            return false;
        bool h = true;
        bool s = true;
        if (_params["cislo_formulare"] == "2")
        {
            if (sta_edt == "2")
            {

            }
            else
            {
                h = false;
            }
        }
        else
        {
            if (sta_edt == "2")
            {
                s = false;
            }
            else
            {
                h = false;
            }
        }
        return (key == "h") ? h : s;
    }
    protected void ChartKompetence_DataBound(object sender, EventArgs e)
    {
        Chart chart = (Chart)sender;

        // MaxY grafu
        // ----------
        double maxYvalue = 0;
        double minYvalue = 0;
        List<double> values = new List<double>() { 0 };
        foreach (Series series in chart.Series)
            foreach (DataPoint point in series.Points)
            {
                if (series.Name == "SeriesBodyPoz" || series.Name == "SeriesBodyObd" || series.Name == "SeriesBodySeb")
                {
                    if (point.YValues[0] > maxYvalue)
                        maxYvalue = point.YValues[0];
                    if (point.YValues[0] < minYvalue)
                        minYvalue = point.YValues[0];
                    if (!values.Contains(point.YValues[0]))
                        values.Add(point.YValues[0]);
                }
            }

        // Podbarvení grafu podle 'Typ kompetence'
        // ---------------------------------------
        double yValue = maxYvalue + 1;
        chart.ChartAreas["ChartArea1"].AxisY.Maximum = yValue;

        // Podbarvení grafu + Nastavení legendy
        int index = -1;
        double lastYValue = 0;
        string text = "";
        Color barva;
        foreach (DataPoint point in chart.Series["SeriesIDTypKompetenci"].Points)
        {
            if (index == -1 || lastYValue != point.YValues[0])
            {
                index++;
                lastYValue = point.YValues[0];
                if (index > 3) index = 4;
                // Doplnění do legendy
                barva = F_Drawing.ZeSeznamuBarev(index + 3, 0.5f + (0.5f * (200f / 255f)), 1f);
                text = SqlPrikaz.ExecuteScalarString("SELECT nazev_typu FROM kompetence_typy WHERE typ_kompetenci = " + Convert.ToInt32(lastYValue), "");
                chart.Legends["LegendTypKompetenci"].CustomItems.Add(barva, text);
            }
            point.YValues[0] = yValue; // Nastavení velikosti podkladu
            point.Color = Color.FromArgb(alpha, F_Drawing.ZeSeznamuBarev(index + 3, 0.5f, 1f)); // Podbarvení grafu
        }

        // Označení kompetence červenou barvou v případě 'váha = 0'
        // --------------------------------------------------------
        index = 0;
        foreach (DataPoint point in chart.Series["SeriesVaha"].Points)
        {
            CustomLabel label = new CustomLabel();
            label.Text = point.AxisLabel;
            chart.ChartAreas[0].AxisX.CustomLabels.Add(label);
            if (point.YValues[0] == 0) label.ForeColor = Color.Red;
            index++;
        }

        //Nastavení kroku na stupnici Y
        //------------------------------
        //values.Sort();
        //List<long> steps = new List<long>() { };

        //bool first = true;
        //double pre_val = 0;
        //foreach (double val in values)
        //{
        //    if (first)
        //    {
        //        first = false;
        //    }
        //    else
        //    {
        //        long step = Convert.ToInt64(((val - pre_val) * 10).MRound(1, 0, MidpointRounding.AwayFromZero));
        //        if (!steps.Contains(step))
        //            steps.Add(step);
        //    }
        //    pre_val = val;
        //}
        //if (steps.Count > 0)
        //{
        //    long D = steps[0];
        //    steps.ForEach(x => D = D.GCF(x));

        //    //if ((D % (double)10) != 0)
        //    //{
        //    //    D = D.LCM(10);
        //    //}

        //    long multiple = D;
        //    while (10 < (maxYvalue - (minYvalue < 0 ? (minYvalue) : (0))) / (D / (double)10))
        //    {
        //        D = D + multiple;
        //    }

        //    chart.ChartAreas[0].AxisY.Interval = D / (double)10;

        //}

        chart.ChartAreas[0].AxisY.IntervalAutoMode = IntervalAutoMode.VariableCount;

        // Zapnutí legendy
        // ---------------
        if (maxYvalue > 0)
        {
            chart.Legends["LegendUroven"].Enabled = true;
            chart.Legends["LegendTypKompetenci"].Enabled = true;
        }
    }

    protected void TGV_kompetence_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        //if (par_popis == "1")
        //    table.Columns[0].Visible = true;
        //else
        //    table.Columns[0].Visible = false;
        //if (par_max_pocet == "1")
        //    table.Columns[table.GetColumnDataFieldIndex("max_uroven")].Visible = true;
        //else
        //    table.Columns[table.GetColumnDataFieldIndex("max_uroven")].Visible = false;
        if (_params["komp_popis_v"] == "0" || _params["komp_tiskpopis_p"] != "0")
        {
            if (table.Columns[1].Visible != false)
                table.Columns[1].Visible = false;
        }
        else
        {
            if (table.Columns[1].Visible != true)
                table.Columns[1].Visible = true;
        }
        if (_params["komp_vaha_v"] == "1")
        {
            if (table.Columns[2].Visible != true)
            {
                table.Columns[2].Visible = true;
            }
        }
        else
        {
            if (table.Columns[2].Visible != false)
            {
                table.Columns[2].Visible = false;
            }
        }
        if (_params["komp_poz_v"] == "1")
        {
            if (table.Columns[3].Visible != true)
            {
                table.Columns[3].Visible = true;
            }
        }
        else
        {
            if (table.Columns[3].Visible != false)
            {
                table.Columns[3].Visible = false;
            }
        }

        if (_params["komp_sumys_v"] == "0")
        {
            table.ShowFooter = false;
        }
        else
        {
            table.ShowFooter = true;
        }

        if (table.Columns[4].Visible != SeriesVisible("s"))
        {
            table.Columns[4].Visible = SeriesVisible("s");
        }
        if (table.Columns[6].Visible != SeriesVisible("h"))
        {
            table.Columns[6].Visible = SeriesVisible("h");
        }
        

        if (_params["komp_poznamka_v"] != "0" && _params["komp_tiskpoznamka_p"] == "0")
        {
            if(Zakaznik.IsCurrent("AWT_GROUP"))//Tohle bude do budoucna default, ten bnesmysl s rozpůlenou buňkou odstranit jak to bude možné
            {
                if (table.Columns[5].Visible != SeriesVisible("s"))
                {
                    table.Columns[5].Visible = SeriesVisible("s");
                }
                if (table.Columns[7].Visible != SeriesVisible("h"))
                {
                    table.Columns[7].Visible = SeriesVisible("h");
                }
            }
            else
            {
                table.Columns[5].Visible = false;//SeriesVisible("s"); prozatím false
                table.Columns[7].Visible = false;//SeriesVisible("h"); prozatím false 
            }
            
        }
        else
        {
            table.Columns[5].Visible = false;
            table.Columns[7].Visible = false;
        }

    }
    protected void TGV_kompetence_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            prumer_komp = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer");
            prumer_join = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer_join");
            prumer_poz = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer_poz");
            soucet_vah_komp = (Int64)DataBinder.Eval(e.Row.DataItem, "soucet_vah");
            soucet_vah_komp_obd = (Int64)DataBinder.Eval(e.Row.DataItem, "soucet_vah_obd");
            soucet_vah_komp_join = (Int64)DataBinder.Eval(e.Row.DataItem, "soucet_vah_join");
            Label L_hodn = (Label)e.Row.FindControl("LabelDbHodnoceni");
            Label L_poz = (Label)e.Row.FindControl("LabelDbPozadavek");
            Label L_hodn_j = (Label)e.Row.FindControl("LabelDbHodnoceni_s");

            object poz = DataBinder.Eval(e.Row.DataItem, "body_poz");
            if (poz != DBNull.Value)
                L_poz.Text = Hodnoceni.GetPopisStupneKompetenci((short)poz);

            object obd = DataBinder.Eval(e.Row.DataItem, "body_obd");
            if (obd != DBNull.Value)
                L_hodn.Text = Hodnoceni.GetPopisStupneKompetenci((short)obd);

            Label L_poznamka = (Label)e.Row.FindControl("L_komp_poznamka");
            Label L_poznamka1 = (Label)e.Row.FindControl("L_komp_poznamka1");
            object o_ponamka = DataBinder.Eval(e.Row.DataItem, "poznamka");
            if (o_ponamka != DBNull.Value)
            {
                L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
                L_poznamka1.Text = F_String.FormatHtml((string)o_ponamka);
            }

            object obd_j = DataBinder.Eval(e.Row.DataItem, "body_join");
            if (obd_j != DBNull.Value)
                L_hodn_j.Text = Hodnoceni.GetPopisStupneKompetenci((short)obd_j);

            Label L_poznamka_j = (Label)e.Row.FindControl("L_komp_poznamka_s");
            Label L_poznamka1_j = (Label)e.Row.FindControl("L_komp_poznamka1_s");
            object o_ponamka_j = DataBinder.Eval(e.Row.DataItem, "poznamka_join");
            if (o_ponamka_j != DBNull.Value)
            {
                L_poznamka_j.Text = F_String.FormatHtml((string)o_ponamka_j);
                L_poznamka1_j.Text = F_String.FormatHtml((string)o_ponamka_j);
            }

            Table TableH = (Table)e.Row.FindControl("Table1");
            if (Zakaznik.IsCurrent("AWT_GROUP") || L_poznamka.Text.Trim().Length == 0 || !(_params["komp_poznamka_v"] != "0" && _params["komp_tiskpoznamka_p"] == "0"))
            {
                TableH.Rows[1].Visible = false;
                e.Row.Cells[6].VerticalAlign = VerticalAlign.Middle;
            }
            else
            {
                e.Row.Cells[6].VerticalAlign = VerticalAlign.Top;
            }
            Table TableH_j = (Table)e.Row.FindControl("Table1_s");
            if (Zakaznik.IsCurrent("AWT_GROUP") || L_poznamka_j.Text.Trim().Length == 0 || !(_params["komp_poznamka_v"] != "0" && _params["komp_tiskpoznamka_p"] == "0"))
            {
                TableH_j.Rows[1].Visible = false;
                e.Row.Cells[4].VerticalAlign = VerticalAlign.Middle;
            }
            else
            {
                e.Row.Cells[4].VerticalAlign = VerticalAlign.Top;
            }
            if(e.Row.DataItemIndex == 0)
            {
                e.Row.CssClass = "pageBreakBeforeAvoid pageBreakInsideAvoid";
            }
        }
        if (e.Row.RowType == DataControlRowType.Footer)
        {//zápis průměrů kompetencí
            decimal prumer_komp_round = Math.Round(prumer_komp, 2);
            decimal prumer_join_round = Math.Round(prumer_join, 2);
            decimal prumer_poz_round = Math.Round(prumer_poz, 2);
            table.Columns[0].FooterText = "[%Průměr%]:";
            table.Columns[4].FooterText = prumer_join_round.ToString() + " " +
                KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_join_round, "[%bod%]", "[%body%]", "[%bodů%]");
            table.Columns[6].FooterText = prumer_komp_round.ToString() + " " +
                KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_komp_round, "[%bod%]", "[%body%]", "[%bodů%]");
            table.Columns[3].FooterText = prumer_poz_round.ToString() + " " +
                KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_poz_round, "[%bod%]", "[%body%]", "[%bodů%]");
            table.Columns[2].FooterText = soucet_vah_komp.ToString();
            //suma_komp_all += prumer_komp * table.Rows.Count;
            rows_komp_all += table.Rows.Count;

            //Do celkového průměru budou průměry zatím vztupovat s vahou 1
            //komp_prum_obd.Add((Double)soucet_vah_komp_obd, (Double)prumer_komp);
            //komp_prum_join.Add((Double)soucet_vah_komp_join, (Double)prumer_join);
            //komp_prum_obd.Add(1, (Double)prumer_komp);
            //komp_prum_join.Add(1, (Double)prumer_join);
            komp_prum_obd.Add((Double)soucet_vah_komp_obd, (Double)prumer_komp);
            komp_prum_join.Add((Double)soucet_vah_komp_join, (Double)prumer_join);

            if (rows_komp_all != 0)
            {
                Label L_komp_sum = (Label)WebControlHelper.FindControl(REP_typy_kompetenci, "L_komp_sum");
                Label L_seb_sum = (Label)WebControlHelper.FindControl(REP_typy_kompetenci, "L_seb_sum");
                if (L_komp_sum != null && _params["komp_sumy_v"] == "1")
                {
                    Decimal prum = Math.Round(komp_prum_obd.Value == null ? 0 : (decimal)komp_prum_obd.Value, 2);
                    L_komp_sum.Text = ReadGlobalResource.ZmenaTextu("[%Celkový průměr hodnocení kompetencí:%] ") + prum + " " +
                    KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prum, ReadGlobalResource.ZmenaTextu("[%bod%]"), ReadGlobalResource.ZmenaTextu("[%body%]"), ReadGlobalResource.ZmenaTextu("[%bodů%]"));
                }
                if (L_seb_sum != null && _params["komp_sumy_v"] == "1")
                {
                    Decimal prum = Math.Round(komp_prum_join.Value == null ? 0 : (decimal)komp_prum_join.Value, 2);
                    L_seb_sum.Text = ReadGlobalResource.ZmenaTextu("[%Celkový průměr sebehodnocení kompetencí:%] ") + prum + " " +
                    KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prum, ReadGlobalResource.ZmenaTextu("[%bod%]"), ReadGlobalResource.ZmenaTextu("[%body%]"), ReadGlobalResource.ZmenaTextu("[%bodů%]"));
                }
            }
        }
    }

    #endregion

    #region Cíle

    protected void TGV_cile_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        //if (_params["cile_poznamka_v"] == "0")
        //    table.Columns[7].Visible = false;
        //else
        //    table.Columns[7].Visible = true;
        if (_params["cile_cil_dddw", Id_ha] == "0")
        {
            table.Columns[1].Visible = false;
            table.Columns[0].Visible = true;
        }
        else
        {
            table.Columns[1].Visible = true;
            table.Columns[0].Visible = false;
        }
        if (_params["cile_kroky_v"] == "0")
            table.Columns[15].Visible = false;
        else
            table.Columns[15].Visible = true;
        if (_params["cile_ocek_vystup_v"] == "0")
            table.Columns[16].Visible = false;
        else
            table.Columns[16].Visible = true;
        if (_params["cile_mnozstvi_v", Id_ha] == "0")
        {
            table.Columns[5].Visible = false;
            table.Columns[11].Visible = false;
        }
        else
        {
            table.Columns[5].Visible = true;
            table.Columns[11].Visible = true;
        }
        if(_params["cile_krivky_v"]=="0")
        {
            table.Columns[12].Visible = false;
            table.Columns[13].Visible = false;
            table.Columns[8].Visible = false;
        }
        else
        {
            table.Columns[12].Visible = true;
            table.Columns[13].Visible = true;
            table.Columns[8].Visible = true;
        }

        if (_params["cile_vaha_v", Id_ha] == "0")
            table.Columns[3].Visible = false;
        else
            table.Columns[3].Visible = true;
        decimal p_suma_vah = 0;
        if (_params["cile_vaha_v", Id_ha] != "0" && decimal.TryParse(_params["cile_cil_suma_vah"], out p_suma_vah) && p_suma_vah != 0)
        {
            table.Columns[4].Visible = true;
        }
        else
        {
            table.Columns[4].Visible = false;
        }

        if (_params["cile_popis_v"] == "0")
            table.Columns[2].Visible = false;
        else
            table.Columns[2].Visible = true;

        if (table.Columns[7].Visible != SeriesVisible("s"))
        {
            table.Columns[7].Visible = SeriesVisible("s");
        }
        if (table.Columns[10].Visible != SeriesVisible("h"))
        {
            table.Columns[10].Visible = SeriesVisible("h");
        }


        if (_params["cile_poznamka_v"] != "0")
        {
            if (table.Columns[9].Visible != SeriesVisible("s"))
            {
                table.Columns[9].Visible = SeriesVisible("s");
            }
            if (table.Columns[14].Visible != SeriesVisible("h"))
            {
                table.Columns[14].Visible = SeriesVisible("h");
            }
        }
        else
        {
            if (table.Columns[9].Visible != false)
            {
                table.Columns[9].Visible = false;
            }
            if (table.Columns[14].Visible != false)
            {
                table.Columns[14].Visible = false;
            }
        }
    }
    protected void TGV_cile_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        GridViewRow r = e.Row;
        TGridView table = (TGridView)sender;
        if (r.RowType == DataControlRowType.DataRow)
        {
            bool empty = (bool)DataBinder.Eval(e.Row.DataItem, "empty");
            if (!empty)
            {
                Label L_hodn = (Label)r.FindControl("L_hodnoceni_cile");
                Label L_hodn_t = (Label)r.FindControl("L_hodnoceni_cile_text");
                if (_params["cile_hod_dddw", Id_ha] == "1")
                {
                    object h = DataBinder.Eval(e.Row.DataItem, "hodnoceni");
                    int? hodnoceni = h == DBNull.Value ? null : ((int?)h);
                    L_hodn_t.Text = Hodnoceni.GetPopisStupneCilu(hodnoceni);
                    L_hodn.Visible = false;
                }
                else L_hodn_t.Visible = false;

                Label L_hodn_join = (Label)r.FindControl("L_hodnoceni_cile_join");
                Label L_hodn_t_join = (Label)r.FindControl("L_hodnoceni_cile_text_join");
                if (_params["cile_hod_dddw", Id_ha] == "1")
                {
                    object h = DataBinder.Eval(e.Row.DataItem, "hodnoceni_join");
                    int? hodnoceni = h == DBNull.Value ? null : ((int?)h);
                    L_hodn_t_join.Text = Hodnoceni.GetPopisStupneCilu(hodnoceni);
                    L_hodn_join.Visible = false;
                }
                else L_hodn_t_join.Visible = false;

                prumer_cile = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer");
                prumer_cile_join = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer_join");
                soucet_vah_cilu = (long)DataBinder.Eval(e.Row.DataItem, "soucet_vah");
            }
            else e.Row.Visible = false;
        }
        if (r.RowType == DataControlRowType.Footer)
        {
            r.Cells[0].Text = ReadGlobalResource.ZmenaTextu("[%Součet vah%], [%Vážený průměr%]:");
            r.Cells[1].Text = ReadGlobalResource.ZmenaTextu("[%Součet vah%], [%Vážený průměr%]:");
            r.Cells[3].Text = soucet_vah_cilu.ToString();
            r.Cells[4].Text = _params["cile_cil_suma_vah"].ToString();
            decimal prumer_cile_round = Math.Round(prumer_cile, 2);
            r.Cells[10].Text = prumer_cile_round.ToString() + " " +
                KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_cile_round, ReadGlobalResource.ZmenaTextu("[%bod%]"), ReadGlobalResource.ZmenaTextu("[%body%]"), ReadGlobalResource.ZmenaTextu("[%bodů%]"));

            decimal prumer_cile_join_round = Math.Round(prumer_cile_join, 2);
            r.Cells[7].Text = prumer_cile_join_round.ToString() + " " +
                KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_cile_join_round, ReadGlobalResource.ZmenaTextu("[%bod%]"), ReadGlobalResource.ZmenaTextu("[%body%]"), ReadGlobalResource.ZmenaTextu("[%bodů%]"));
        }
    }

    #endregion

    #region Následné Cíle

    protected void TGV_naslcile_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (_params["cile_poznamka_v"] == "0")
            table.Columns[6].Visible = false;
        else
            table.Columns[6].Visible = true;
        if (_params["cile_cil_dddw", Id_ha] == "0")
        {
            table.Columns[1].Visible = false;
            table.Columns[0].Visible = true;
        }
        else
        {
            table.Columns[1].Visible = true;
            table.Columns[0].Visible = false;
        }
        if (_params["cile_kroky_v"] == "0")
            table.Columns[7].Visible = false;
        else
            table.Columns[7].Visible = true;
        if (_params["cile_ocek_vystup_v"] == "0")
            table.Columns[8].Visible = false;
        else
            table.Columns[8].Visible = true;
        if (_params["cile_mnozstvi_v", Id_ha] == "0")
            table.Columns[4].Visible = false;
        else
            table.Columns[4].Visible = true;
        if (_params["cile_vaha_v", Id_ha] == "0")
            table.Columns[3].Visible = false;
        else
            table.Columns[3].Visible = true;
        if (_params["cile_popis_v"] == "0")
            table.Columns[2].Visible = false;
        else
            table.Columns[2].Visible = true;
    }
    protected void TGV_naslcile_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        GridViewRow r = e.Row;
        if (r.RowType == DataControlRowType.DataRow)
        {
            bool empty = (bool)DataBinder.Eval(e.Row.DataItem, "empty");
            if (!empty)
            {
                //prumer_naslcille = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer");
                soucet_vah_naslcilu = (long)DataBinder.Eval(r.DataItem, "soucet_vah");
            }
            else r.Visible = false;

        }
        if (r.RowType == DataControlRowType.Footer)
        {

            r.Cells[0].Text = ReadGlobalResource.ZmenaTextu("[%Součet vah%]");
            r.Cells[1].Text = ReadGlobalResource.ZmenaTextu("[%Součet vah%]");
            r.Cells[3].Text = soucet_vah_naslcilu.ToString();

        }
    }

    #endregion

    #region Slovní

    protected void REP_slovni_DataBinding(object sender, EventArgs e)
    {

    }
    protected void REP_slovni_ItemDataBound(object sender, RepeaterItemEventArgs e)
    {
        if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem)
        {
            Label TB_poznamka = (Label)e.Item.FindControl("TB_poznamka");
            string text = ((System.Data.DataRowView)e.Item.DataItem).Row["poznamka"].ToString();
            if (!string.IsNullOrEmpty(text))
            {
                text = text.Replace("\r\n", "<br>");
                text = text.Replace("\n", "<br>");
                TB_poznamka.Text = text;
            }
        }
    }

    #endregion

    #region Motivace

    protected void TGV_Motivace_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (_params["mot_termin_v"] == "0")
            table.Columns[3].Visible = false;
        else
            table.Columns[3].Visible = true;
    }
    protected void TGV_Motivace_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        GridViewRow r = e.Row;
        TGridView table = (TGridView)sender;
        if (r.RowType == DataControlRowType.DataRow)
        {
            Int16 stanovisko = (Int16)DataBinder.Eval(r.DataItem, "stanovisko");
            Label L_stanovisko = (Label)r.FindControl("L_stanovisko");
            if (stanovisko == 0)
                L_stanovisko.Text = ReadGlobalResource.ZmenaTextu("[%Ne%]");
            else L_stanovisko.Text = ReadGlobalResource.ZmenaTextu("[%Ano%]");

            Label L_poznamka = (Label)e.Row.FindControl("L_mot_poznamka");
            object o_ponamka = DataBinder.Eval(e.Row.DataItem, "poznamka");
            if (o_ponamka != DBNull.Value)
                L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
        }
    }

    #endregion

    #region Hodnocení vzdělávání

    protected void TGV_Skoleni_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (_params["rozv_poznamka_v"] == "0")
            table.Columns[6].Visible = false;
        else
            table.Columns[6].Visible = true;

        if (_params["vzdel_zpusob_hodn"] == "1")
            table.Columns[5].Visible = true;
        else
            table.Columns[5].Visible = false;
    }
    protected void TGV_Skoleni_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            // MiKo 16.7.2019 Nepoužito, způsobovalo chyby, proto odstraněno.
            //string skoleni = ((System.Data.DataRowView)e.Row.DataItem).Row["cis_osve"].ToString();
            //decimal os_cislo = (decimal)FV_hlavicka.DataKey[0];
            //DateTime datum_od = (DateTime)FV_hlavicka.DataKey[1];
            //DateTime datum_do = (DateTime)FV_hlavicka.DataKey[2];
            Label L_term = (Label)e.Row.FindControl("LabelDbSplneno");
            object T = ((System.Data.DataRowView)e.Row.DataItem).Row["absolvovano"];
            if (T == null || T == DBNull.Value)
                L_term.Text = ReadGlobalResource.ZmenaTextu("[%Ne%]");
            else L_term.Text = ((DateTime)T).ToShortDateString();
            string stano = ((System.Data.DataRowView)e.Row.DataItem).Row["splneno"].ToString();
            Label L_Stano = (Label)e.Row.FindControl("LabelDbSplnilo");
            if (stano == "a")
                L_Stano.Text = ReadGlobalResource.ZmenaTextu("[%Ano%]");
            else L_Stano.Text = ReadGlobalResource.ZmenaTextu("[%Ne%]");

            Label L_poznamka = (Label)e.Row.FindControl("L_sko_poznamka");
            object o_ponamka = DataBinder.Eval(e.Row.DataItem, "doporuceni");
            if (o_ponamka != DBNull.Value)
                L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
        }
    }

    #endregion

    #region Doporučené vzdělávání

    protected void TGV_DopVzde_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (_params["rozv_poznamka_v"] == "0")
        {
            table.Columns[2].Visible = false;
            table.Columns[3].Visible = false;
        }
        else
        {
            table.Columns[2].Visible = true;
            table.Columns[3].Visible = true;
        }
        if (_params["rozv_termin_v"] == "0")
        {
            table.Columns[1].Visible = false;
        }
        else
        {
            table.Columns[1].Visible = true;
        }
    }
    protected void TGV_DopVzde_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            Label L_zpusob = (Label)e.Row.FindControl("L_rozv_zpusob");
            string zpusob = ((System.Data.DataRowView)e.Row.DataItem).Row["zpusob"].ToString();
            string zpusob_text = SqlPrikaz.ExecuteScalarString("SELECT vyznam FROM univ_cisel WHERE id = 31 AND cislo = '" + zpusob + "'", true);
            L_zpusob.Text = zpusob_text;

            Label L_poznamka = (Label)e.Row.FindControl("L_vzde_poznamka");
            object o_ponamka = DataBinder.Eval(e.Row.DataItem, "poznamka");
            if (o_ponamka != DBNull.Value)
                L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
        }
    }
    #endregion

    #region Celkové hodnocení

    protected void TGV_celkove_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (sta_edt == "2")
        {
            if (table.Columns[2].Visible != SeriesVisible("s"))
            {
                table.Columns[2].Visible = SeriesVisible("s");
            }
            if (table.Columns[3].Visible != SeriesVisible("s"))
            {
                table.Columns[3].Visible = SeriesVisible("s");
            }

            if (table.Columns[4].Visible != SeriesVisible("h"))
            {
                table.Columns[4].Visible = SeriesVisible("h");
            }
            if (table.Columns[5].Visible != SeriesVisible("h"))
            {
                table.Columns[5].Visible = SeriesVisible("h");
            }
        }
        else
        {
            if (table.Columns[2].Visible != SeriesVisible("h"))
            {
                table.Columns[2].Visible = SeriesVisible("h");
            }
            if (table.Columns[3].Visible != SeriesVisible("h"))
            {
                table.Columns[3].Visible = SeriesVisible("h");
            }

            if (table.Columns[4].Visible != SeriesVisible("s"))
            {
                table.Columns[4].Visible = SeriesVisible("s");
            }
            if (table.Columns[5].Visible != SeriesVisible("s"))
            {
                table.Columns[5].Visible = SeriesVisible("s");
            }
            table.Columns[4].HeaderText = WebControlHelper.ZmenaTextu("[%Sebehodnocení%]");
        }
    }

    protected void TGV_celkove_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        TGridView table = (TGridView)sender;
        GridViewRow row = e.Row;
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            object o_priznak = DataBinder.Eval(e.Row.DataItem, "priznak");
            if (o_priznak != null && o_priznak != DBNull.Value)
                if ((int)o_priznak == 2)
                    e.Row.Font.Bold = true;
        }
    }




    #endregion

    protected void ODS_chart_ObjectCreated(object sender, ObjectDataSourceEventArgs e)
    {
       
    }

    private string _getSign(Int64 number, string[] signs)
    {
        string ret = "";
        do
        {
            ret = signs[number % signs.Length] + ret;
            number = (number - (number % signs.Length)) / signs.Length;
        }
        while (number > 0);

        return ret;
    }

    private DataTable _leg_cisl_komp
    {
        get
        {
            object o = SessionInfo.GetVariable("_leg_cisl_komp") ?? Hodnoceni.Cisel_Hodnoty(Id);
            SessionInfo.SetVariable("_leg_cisl_komp", o);
            return o as DataTable;
        }
    }

    private object _leg_cisl_komp_typy
    {
        get
        {
            object o = _leg_cisl_komp
                .ToList(new
                {
                    typ_kompetenci = (short)0,
                    nazev_typu = ""
                })
                .Distinct();

            return o;
        }
    }

    private object get_leg_cisl_kom(short typ, out bool zkracena)
    {
        var ret = _leg_cisl_komp
            .ToList(new
            {
                kompetence = "",
                kompetence_vyznam = "",
                kompetence_popis = "",
                typ_kompetenci = (short?)null,
                cislo = (int?)null,
                poradi = (int?)null,
                vyznam = "",
                id_blob = (int?)null,
                popis = ""
            })
            .Distinct()
            .ToList()
            .FindAll(x => x.typ_kompetenci == typ)
            .OrderBy(x => x.kompetence).ThenBy(x => x.poradi).ThenBy(x => x.cislo)
            .GroupBy(x => x.kompetence)
            .Select(x => new
            {
                count = x.Count(),
                grupa = x.ToList()
            })
            .SelectMany(x =>
            {
                int span = x.count;
                return x.grupa.Select(g =>
                {
                    var i = new
                    {
                        kompetence = g.kompetence,
                        kompetence_vyznam = g.kompetence_vyznam,
                        //kompetence_popis = g.kompetence_popis,
                        //cislo = g.cislo,
                        poradi = g.poradi,
                        vyznam = g.vyznam,
                        id_blob = g.id_blob,
                        popis = g.popis,
                        span = span
                    };
                    span = 0;
                    return i;
                });
            });
        zkracena = ret.Count(x => x.id_blob != null) == 0;

        if(zkracena)
        {
            var g = ret
                .GroupBy(x => x.kompetence)
                .FirstOrDefault()
                .ToList();
            return g;
        }

        return ret;
    }

    protected void RLV_leg_typy_kompetenci_NeedDataSource(object sender, RadListViewNeedDataSourceEventArgs e)
    {
        ((RadListView)sender).DataSource = _leg_cisl_komp_typy;
    }
    protected void TRG_komp_legenda_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        short typ = 0;
        if(((TRadGrid)sender).FindParentControl<RadListViewDataItem>()?.FindControlRecursive<HiddenField>("HF_leg_komp_typ")?.Value.TryParse(out typ) ?? false)
        {
            bool zkracena;
            ((TRadGrid)sender).DataSource = get_leg_cisl_kom(typ, out zkracena);
            if (zkracena)
            {
                ((TRadGrid)sender).MasterTableView.GetColumn("kompetence_vyznam").Visible = false;
                ((TRadGrid)sender).MasterTableView.GetColumn("popis").Visible = false;
            }
            else
            {
                ((TRadGrid)sender).MasterTableView.GetColumn("kompetence_vyznam").Visible = true;
                ((TRadGrid)sender).MasterTableView.GetColumn("popis").Visible = true;
            }
        }
    }

    protected void TRG_komp_legenda_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if(e.Item is GridDataItem)
        {
            GridDataItem item = (GridDataItem)e.Item;
            int span;
            if(DataBinder.Eval(item.DataItem, "span").TryParse(out span))
            {
                if (span == 0)
                {
                    item["kompetence_vyznam"].CssClass = "hidden";
                }
                else
                {
                    item["kompetence_vyznam"].Attributes.Add("rowspan", span.ToString());
                }
            }
        }
    }
}
