﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using KSProgram;

public partial class Manazer_StavyZamZps : TSestavaPredek
{
    decimal hodiny = 0;
    decimal stav = 0;
    decimal stav_c = 0;
    decimal stav_t = 0;
    decimal stav_a = 0;

    public Manazer_StavyZamZps()
    {
        IdPrava = 50;
    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (!Page.IsPostBack)
        {
            obdobi_do.SetDefaultObdobi(Globals.AktObdobi);
            obdobi_od.SetDefaultObdobi(Globals.AktObdobi);
        }
    }
    protected void TLinkButton1_Command(object sender, CommandEventArgs e)
    {
        TGridView1.DataSourceID = "ds_sestava";
        TGridView1.TitleText = "Povinný podíl zam. se ZPS od " + obdobi_od.Text + " do " + obdobi_do.Text;
        TGridView1.DataBind();
        
    }
    protected void TGridView1_RowCreated(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.Footer)
        {
            e.Row.Cells[0].Attributes.Add("colspan", "7");
            for (int i = 1; i < e.Row.Cells.Count; i++)
                e.Row.Cells[i].Visible = false;
        }
    }
    protected void TGridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            decimal pom = 0;
           hodiny+=Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "hodiny"));
           pom = Math.Round(Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "stav")), 18);
           stav+=pom;
           if (jen_zps.Checked)
           {
               string status=Convert.ToString(DataBinder.Eval(e.Row.DataItem, "zps"));
               if (status == "a")
                   stav_a += pom;
               else if (status == "c")
                   stav_c += pom;
               else if (status == "t")
                   stav_t += pom;
           }
        }
        else if (e.Row.RowType == DataControlRowType.Footer)
        {
            decimal ocek = 0;
            ((Label)e.Row.FindControl("sum_hodiny")).Text=hodiny.ToString("n2");
            ((Label)e.Row.FindControl("sum_stav")).Text = stav.ToString("n4");

            if (!jen_zps.Checked)
            {
                if (stav < 25)
                    ocek = 0;
                else
                    ocek = Math.Round(stav * (decimal)0.04, 2);

                ((Label)e.Row.FindControl("ocekav_pocet")).Text = ocek.ToString("n2");

                e.Row.FindControl("popisek4").Visible = false;
                e.Row.FindControl("zdr_znevyhod").Visible = false;

                e.Row.FindControl("popisek5").Visible = false;
                e.Row.FindControl("cast_inval").Visible = false;

                e.Row.FindControl("popisek6").Visible = false;
                e.Row.FindControl("tzp").Visible = false;
            }
            else
            {
                ((Label)e.Row.FindControl("zdr_znevyhod")).Text = stav_a.ToString("n4");
                ((Label)e.Row.FindControl("cast_inval")).Text = stav_c.ToString("n4");
                ((Label)e.Row.FindControl("tzp")).Text = stav_t.ToString("n4");

                e.Row.FindControl("popisek3").Visible = false;
                e.Row.FindControl("ocekav_pocet").Visible = false;
            }
            
        }
    }
}
