﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="Prava.aspx.cs" Inherits="KSProgram.Prava.Prava" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <style type="text/css">
        .imgprvbutt
        {
            padding-left: 5px;
        }
        .activeimgprvbutt
        {
            padding-left: 5px;
            cursor: pointer;
            transform: scale(0.9);
        }
        .activeimgprvbutt:hover
        {
            transform: scale(1.15);
        }      
    </style>

    <asp:HiddenField ID="HF_akceWindow" runat="server" />
    <telerik:RadPersistenceManagerProxy ID="RadPersistenceManagerProxy1" runat="server">
    </telerik:RadPersistenceManagerProxy>

    <asp:Label ID="Label5" runat="server" Text="[%Role - akce%]" CssClass="nadpis1"></asp:Label>
    <telerik:RadTreeView  ID="rad_tv" runat="server" Width="100%"
        DataSourceID="ObjectDataSource1" DataFieldID="Id" DataFieldParentID="ParentID"
        DataTextField="Text" OnClientDoubleClick="showAkceDialog" DataValueField="Hodnota"
        OnClientContextMenuShowing="onClientContextMenuShowing" CssClass="pozadiText"
        OnClientContextMenuItemClicking="onClientContextMenuItemClicking" OnClientNodeExpanding="toggleHandler"
        OnClientNodeCollapsing="toggleHandler" ondatabound="rad_tv_DataBound" style="overflow:visible;"  >
        
        <DataBindings>
            <telerik:RadTreeNodeBinding TextField="Text" ImageUrlField="ImageUrl" />
        </DataBindings>
        <ContextMenus>
            <telerik:RadTreeViewContextMenu ID="MainContextMenu" runat="server">
                <Items>
                    <telerik:RadMenuItem Value="rozbalit" Text="[%Rozbalit%]">
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem Value="rozbalit_vse" Text="[%Rozbalit vše%]">
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem IsSeparator="true" />
                    <telerik:RadMenuItem Value="sbalit" Text="[%Sbalit%]">
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem Value="sbalit_vse" Text="[%Sbalit vše%]">
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem IsSeparator="true" />
                    <telerik:RadMenuItem Value="vlastnosti" Text="[%Vlastnosti%]" Font-Bold="true">
                    </telerik:RadMenuItem>
                </Items>
            </telerik:RadTreeViewContextMenu>
        </ContextMenus>
    </telerik:RadTreeView>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="AkcePodrizenost" 
        TypeName="KSProgram.Prava.PravaStrom" OldValuesParameterFormatString="original_{0}">
    </asp:ObjectDataSource>
    <%-- --%>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" BackgroundTransparency="90"> 
    <telerik:RadWindow  ID="akceWindow" runat="server" Width="900px" KeepInScreenBounds="true"
        Height="600px" Modal="true" OffsetElementID="main" Style="overflow: hidden;"
        OnClientShow="OnClientShow" OnClientResize="OnClientResize" OnClientClose="OnClientClose" OnClientDragEnd="OnClientDragEnd"    
        Behaviors="Close,Move,Resize">
        <ContentTemplate>
            <table>
                <tr>
                    <td style="text-align:right;">
                        <asp:Label runat="server" ID="lab_role" Text="[%Výběr role%]:"></asp:Label>
                    </td>
                    <td>
                         <div style="margin-bottom: 10px; margin-top: 10px;">              
                            <telerik:RadDropDownList  ID="dd_role" Width="300px" runat="server"
                                DefaultMessage="[%Výběr role%]" DropDownHeight="300px" ZIndex="100003" OnClientItemSelected="ClientItemSelected">
                                <WebServiceSettings Method="GetRoles" Path="Prava.aspx" />                                
                            </telerik:RadDropDownList>
                        </div>
                    </td>                   
                </tr>
                <tr>
                    <td style="vertical-align: top; padding-top:20px;">
                        <div style="padding: 10px; width: 180px;">
                            <table>
                                <tr>
                                    <td>
                                        <img id="Img1" class="imgprvbutt" src="../ImagesN/AccessRed.png" onclick="" alt="" />
                                    </td>
                                    <td>
                                        <asp:Label runat="server" ID="lab1" Text="[%Zakázán%]"></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="vertical-align:top; padding-top:8px;">
                                        <img id="Img2" class="imgprvbutt" src="../ImagesN/AccessCond.png" onclick="" alt="" />
                                    </td>
                                    <td style="padding-bottom:5px; padding-top:5px;">
                                        <asp:Label runat="server" ID="Label1" Text="[%Povolen, pokud je vybrán přihlášený uživatel%]"></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <img id="Img3" class="imgprvbutt" src="../ImagesN/AccessAllow.png" onclick="" alt="" />
                                    </td>
                                    <td>
                                        <asp:Label runat="server" ID="Label2" Text=" [%Povolen%]"></asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </td>
                    <td>                       
                        <telerik:RadGrid ID="rg_akce" runat="server" AutoGenerateColumns="false" EnableViewState="false" CssClass="revertshadow">
                            <ClientSettings>
                                <Scrolling AllowScroll="True" UseStaticHeaders="True" SaveScrollPosition="true">
                                </Scrolling>
                            </ClientSettings>
                            <MasterTableView AllowPaging="false" ShowFooter="true" ClientDataKeyNames="id_prohlizeni,id_editace,id_sestava">
                                <Columns>                                   
                                    <telerik:GridTemplateColumn HeaderText="" UniqueName="col_vyraz">
                                        <ItemStyle Width="400" />
                                        <HeaderStyle Width="400" />
                                        <FooterStyle HorizontalAlign="Right" />
                                    <ClientItemTemplate>
                                        #= vyraz #
                                    </ClientItemTemplate>
                                    <FooterTemplate>
                                        <asp:Label runat="server" ID="lab_spol_nastaveni" Text="[%Hromadná změna%]" ></asp:Label>
                                    </FooterTemplate>
                                    </telerik:GridTemplateColumn>
                                    <telerik:GridTemplateColumn HeaderText="[%Prohlížení%]" UniqueName="col_prohl">
                                        <HeaderStyle HorizontalAlign="Center" />
                                        <ItemStyle HorizontalAlign="Center" />
                                        <FooterStyle  HorizontalAlign="Center" />
                                        <ClientItemTemplate>
                                <div style="white-space:nowrap" id="#= div_prohlizeni #">
                                    <img id="rib_p_0"  src="#= img_0_prohlizeni #" alt="#= img_alt_zakazano #"  title="#= img_alt_zakazano #" onclick="#= img_0_prohlizeni_click #"  class="#= img_0_prohlizeni_class #" />
                                    <img id="rib_p_1"  src="#= img_1_prohlizeni #"  alt="#= img_alt_cond #" title="#= img_alt_cond #" onclick="#= img_1_prohlizeni_click #"  class="#= img_1_prohlizeni_class #" />
                                    <img id="rib_p_2"  src="#= img_2_prohlizeni #" alt="#= img_alt_povoleno #" title="#= img_alt_povoleno #" onclick="#= img_2_prohlizeni_click #" class="#= img_2_prohlizeni_class #" />
                                 </div>
                                        </ClientItemTemplate>
                                        <FooterTemplate>
                                            <div style="white-space: nowrap; padding-top: 10px;">
                                                <asp:ImageButton runat="server" ID="ImageButton2" ImageUrl="~/ImagesN/AccessRed.png"
                                                    class="activeimgprvbutt" AlternateText="[%Zakázán%]" OnClientClick="nastavVse('id_prohlizeni',0);return false;"
                                                    ToolTip="[%Zakázán%]" />
                                                <asp:ImageButton runat="server" ID="ImageButton1" ImageUrl="~/ImagesN/AccessCond.png"
                                                    class="activeimgprvbutt" AlternateText="[%Povolen, pokud je vybrán přihlášený uživatel%]"
                                                    OnClientClick="nastavVse('id_prohlizeni',2);return false;" ToolTip="[%Povolen, pokud je vybrán přihlášený uživatel%]" />
                                                <asp:ImageButton runat="server" ID="ImageButton7" ImageUrl="~/ImagesN/AccessAllow.png"
                                                    class="activeimgprvbutt" AlternateText="[%Povolen%]" OnClientClick="nastavVse('id_prohlizeni',1);return false;"
                                                    ToolTip="[%Povolen%]" />
                                            </div>
                                        </FooterTemplate>
                                    </telerik:GridTemplateColumn>
                                    <telerik:GridTemplateColumn HeaderText="[%Editace%]" UniqueName="col_edit">
                                         <HeaderStyle HorizontalAlign="Center" />
                                        <ItemStyle HorizontalAlign="Center" />
                                        <FooterStyle  HorizontalAlign="Center" />
                                        <ClientItemTemplate>
                               <div style="white-space:nowrap"  id="#= div_editace #">                                   
                                    <img id="rib_e_0"  src="#= img_0_editace #" alt="#= img_alt_zakazano #" title="#= img_alt_zakazano #" onclick="#= img_0_editace_click #" class="#= img_0_editace_class #"  />
                                    <img id="rib_e_1"  src="#= img_1_editace #" alt="#= img_alt_cond #" title="#= img_alt_cond #" onclick="#= img_1_editace_click #" class="#= img_1_editace_class #" />
                                    <img id="rib_e_2"  src="#= img_2_editace #" alt="#= img_alt_povoleno #" title="#= img_alt_povoleno #" onclick="#= img_2_editace_click #" class="#= img_2_editace_class #" />
                               </div>
                                        </ClientItemTemplate>
                                        <FooterTemplate>
                                            <div style="white-space: nowrap; padding-top: 10px;">
                                                <asp:ImageButton runat="server" ID="ImageButton3" ImageUrl="~/ImagesN/AccessRed.png"
                                                    class="activeimgprvbutt" AlternateText="[%Zakázán%]" OnClientClick="nastavVse('id_editace',0);return false;"
                                                    ToolTip="[%Zakázán%]" />
                                                <asp:ImageButton runat="server" ID="ImageButton4" ImageUrl="~/ImagesN/AccessCond.png"
                                                    class="activeimgprvbutt" AlternateText="[%Povolen, pokud je vybrán přihlášený uživatel%]"
                                                    OnClientClick="nastavVse('id_editace',2);return false;" ToolTip="[%Povolen, pokud je vybrán přihlášený uživatel%]" />
                                                <asp:ImageButton runat="server" ID="ImageButton8" ImageUrl="~/ImagesN/AccessAllow.png"
                                                    class="activeimgprvbutt" AlternateText="[%Povolen%]" OnClientClick="nastavVse('id_editace',1);return false;"
                                                    ToolTip="[%Povolen%]" />
                                            </div>
                                        </FooterTemplate>
                                    </telerik:GridTemplateColumn>
                                    <telerik:GridTemplateColumn HeaderText="[%Sestava%]" UniqueName="col_sestava">
                                         <HeaderStyle HorizontalAlign="Center" />
                                        <ItemStyle HorizontalAlign="Center" />
                                        <FooterStyle  HorizontalAlign="Center" />
                                        <ClientItemTemplate>
                               <div style="white-space:nowrap"  id="#= div_sestava #">                                   
                                    <img id="rib_s_0" src="#= img_0_sestava #" alt="#= img_alt_zakazano #" title="#= img_alt_zakazano #" onclick="#= img_0_sestava_click #" class="#= img_0_sestava_class #"  />
                                    <img id="rib_s_1" src="#= img_1_sestava #" alt="#= img_alt_cond #" title="#= img_alt_cond #" onclick="#= img_1_sestava_click #" class="#= img_1_sestava_class #" />
                                    <img id="rib_s_2" src="#= img_2_sestava #" alt="#= img_alt_povoleno #" title="#= img_alt_povoleno #" onclick="#= img_2_sestava_click #" class="#= img_2_sestava_class #" />
                               </div>
                                        </ClientItemTemplate>
                                        <FooterTemplate>
                                            <div style="white-space: nowrap; padding-top: 10px;">
                                                <asp:ImageButton runat="server" ID="ImageButton5" ImageUrl="~/ImagesN/AccessRed.png"
                                                    class="activeimgprvbutt" AlternateText="[%Zakázán%]" OnClientClick="nastavVse('id_sestava',0);return false;"
                                                    ToolTip="[%Zakázán%]" />
                                                <asp:ImageButton runat="server" ID="ImageButton6" ImageUrl="~/ImagesN/AccessCond.png"
                                                    class="activeimgprvbutt" AlternateText="[%Povolen, pokud je vybrán přihlášený uživatel%]"
                                                    OnClientClick="nastavVse('id_sestava',2);return false;" ToolTip="[%Povolen, pokud je vybrán přihlášený uživatel%]" />
                                                <asp:ImageButton runat="server" ID="ImageButton9" ImageUrl="~/ImagesN/AccessAllow.png"
                                                    class="activeimgprvbutt" AlternateText="[%Povolen%]" OnClientClick="nastavVse('id_sestava',1);return false;"
                                                    ToolTip="[%Povolen%]" />
                                            </div>
                                        </FooterTemplate>
                                    </telerik:GridTemplateColumn>
                                    <%--<telerik:GridBoundColumn DataField="id_prohlizeni" HeaderText="prohl" DataType="System.Int32"></telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="id_editace" HeaderText="edit" DataType="System.Int32"></telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="id_sestava" HeaderText="sestava" DataType="System.Int32"></telerik:GridBoundColumn>--%>
                                </Columns>
                            </MasterTableView>
                            <ClientSettings>
                                <ClientEvents OnCommand="function(){}" OnRowDataBound="RowDataBound" />
                                <Scrolling UseStaticHeaders="true" />
                                <%--<DataBinding Location="WebService1.asmx" SelectMethod="GetUzelData"  ResponseType="JSON" DataPropertyName="Data">
                    </DataBinding>--%>
                            </ClientSettings>
                        </telerik:RadGrid>
                    </td>                                      
                </tr>
            </table>
        </ContentTemplate>
    </telerik:RadWindow>
     </telerik:RadAjaxLoadingPanel>
    <telerik:RadCodeBlock runat="server" ID="rdbScripts">
        <script type="text/javascript">
         //<![CDATA[
            var pravaApp = {};
            pravaApp.akceWindowRef = {};
            pravaApp.rg_akce = {};
            pravaApp.currentNode = {};
            pravaApp.currentNode.hodnota = {};
            pravaApp.dd_role = {};
            pravaApp.treeView = {};
            pravaApp.cancel = false;
            pravaApp.container = {};
            pravaApp.loadingPanel = {};
            pravaApp.saveStateTimeOut;

            function nastavVse(sloupec, pravo) {
                LoadingPanelShow();
                var data = "";
                var MasterTable = pravaApp.rg_akce.get_masterTableView();
                var rows = MasterTable.get_dataItems();
                for (var i = 0; i < rows.length; i++) {
                    var row = rows[i];
                    var val = row.getDataKeyValue(sloupec);
                    if (val != 0)
                        data += val + ",";

                }

                if (pravaApp.dd_role.get_selectedItem() != null) {
                    var val = pravaApp.dd_role.get_selectedItem().get_value();
                    ulozit("", pravo, data, val);
                }

                LoadingPanelHide();
            }

            function showAkceDialog(sender, args) {
                pravaApp.cancel = true;

                pravaApp.currentNode = args.get_node();
                pravaApp.currentNode.hodnota = pravaApp.currentNode.get_value();
                var title = pravaApp.currentNode.hodnota;
                if ((title == "") || (title == null)) title = "Všechny akce";
                pravaApp.akceWindowRef.set_title(title);

                pravaApp.akceWindowRef.show();
                pravaApp.akceWindowRef.set_minWidth(900);
                odeslatJSON(pravaApp.currentNode.hodnota, 0);

            }

            function odeslatJSON(par, role_id) {
                if (par == null) par = "null";
                LoadingPanelShow();
                var d = [];
                var item = { "par": par };
                d.push(item);
                item = { "role_id": role_id };
                d.push(item);
                var data_send = JSON.stringify(d);
                $.ajax({
                    type: "POST",       
                    url: "Prava.aspx/GetUzelData",
                    data: "{data:'" + data_send + "'}",
                    contentType: "application/json",
                    dataType: "json",
                    error: function (xhr, ajaxOptions, thrownError) {
                        LoadingPanelHide();
                        alert(xhr.status);
                        alert(xhr.responseText);
                        alert(thrownError);
                    },
                    success: function (msg) {
                        updateGrid(msg);
                        LoadingPanelHide();     
                        resetSessionTimeout();   
                    }
                });
            }

            function LoadingPanelShow() {
                pravaApp.loadingPanel.show("<%=rg_akce.ClientID %>");
            }

            function LoadingPanelHide() {
                pravaApp.loadingPanel.hide("<%=rg_akce.ClientID %>");
            }

            function ulozit(div, tlac, pr, rl) {
                LoadingPanelShow();
                var d = [];
                var item = { "tl": tlac };
                d.push(item);
                item = { "pr": pr };
                d.push(item);
                item = { "rl": rl };
                d.push(item);
                var data_send = JSON.stringify(d);
                $.ajax({
                    type: "POST",
                    url: "Prava.aspx/UlozData",
                    data: "{data:'" + data_send + "'}",
                    contentType: "application/json",
                    dataType: "json",
                    error: function (xhr, ajaxOptions, thrownError) {
                        alert(xhr.status);
                        alert(xhr.responseText);
                        alert(thrownError);
                    },
                    success: function (msg) {
                        if (div != "")
                            upravUI(div, tlac, pr, rl);
                        else
                            odeslatJSON(pravaApp.currentNode.hodnota, rl.toString());

                        LoadingPanelHide();
                        KSMaster.NotifikaceInfoUlozeni();
                        resetSessionTimeout();
                    }
                });

            }

            function upravUI(div, tlac, pr, rl) {
                var el = $("#" + div).find(".imgprvbutt");
                var el2 = $("#" + div).find(".activeimgprvbutt");

                el.removeClass("imgprvbutt");
                el.addClass("activeimgprvbutt");
                var index = getIndex(el[0]);
                el.attr("onclick", "setRight('" + div + "'," + index + "," + pr.toString() + ", " + rl + ")");
                el.attr("src", el.attr("src").replace(".png", "Empty.png"));

                jQuery.each(el2, function () {
                    var index2 = getIndex(this);
                    if (index2 == tlac) {
                        $(this).attr("onclick", "");
                        $(this).attr("src", $(this).attr("src").replace("Empty.png", ".png"));
                        $(this).removeClass("activeimgprvbutt");
                        $(this).addClass("imgprvbutt");
                    }
                });
            }

            function getIndex(el) {
                var index = 0;
                if (el.id.indexOf("_1") > -1)
                    index = 2;
                else if (el.id.indexOf("_2") > -1)
                    index = 1;
                return index;
            }

            function updateGrid(result) {
                if (result.d.Data == null) {
                    var view = pravaApp.rg_akce.get_masterTableView();
                    view.set_dataSource([]);
                   // view.dataBind();
                    return;
                }
                console.log(result);
                pravaApp.rg_akce.get_masterTableView().set_dataSource(result.d.Data);
                pravaApp.rg_akce.get_masterTableView().dataBind();
            }
            function errfunc() {
                alert("");
            }
            function initFunction() {
                pravaApp.akceWindowRef = $find("<%=akceWindow.ClientID %>");
                pravaApp.rg_akce = $find("<%=rg_akce.ClientID %>");
                pravaApp.dd_role = $find("<%=dd_role.ClientID %>");
                pravaApp.rad_tv = $find("<%=rad_tv.ClientID %>");
                pravaApp.container = $get("<%=HF_akceWindow.ClientID %>");
                pravaApp.loadingPanel = $find("<%= RadAjaxLoadingPanel1.ClientID%>");
                Sys.Application.remove_load(initFunction);
            }

            function RowDataBound(sender, args) {
                // conditional formatting
                if (args.get_dataItem()["viz_prohlizeni"] == 0) {
                    args.get_item().get_cell("col_prohl").innerHTML = "";
                }
                if (args.get_dataItem()["viz_editace"] == 0) {
                    args.get_item().get_cell("col_edit").innerHTML = "";
                }
                if (args.get_dataItem()["viz_sestava"] == 0) {
                    args.get_item().get_cell("col_sestava").innerHTML = "";
                }
            }

            function ClientItemSelected(sender, eventArgs) {
                var item = eventArgs.get_item();
                var val = item.get_value();

                odeslatJSON(pravaApp.currentNode.hodnota, val);
            }

            function setRight(a0, a1, a2, a3) {
                ulozit(a0, a1, a2, a3);
            }

            function OnClientDragEnd(sender, eventArgs) {
                SaveWindowPosLocal();
            }

            function OnClientShow(sender, args) {
                if (pravaApp.dd_role.get_selectedItem() != null) {
                    var val = pravaApp.dd_role.get_selectedItem().get_value();
                    odeslatJSON(pravaApp.currentNode.hodnota, val);
                }

                var bounds = getWindowBounds();
                //alert(bounds);
                if (bounds != null) {
                    //pravaApp.akceWindowRef.moveTo(bounds.x, bounds.y);
                    pravaApp.akceWindowRef.set_height(bounds.height);
                    pravaApp.akceWindowRef.set_width(bounds.width);
                }
                OnClientResize(sender, args);
                pravaApp.akceWindowRef.Center();
            }

            function getWindowBounds() {
                if (pravaApp.container.value) {
                    var bounds = $telerik.$.parseJSON(pravaApp.container.value);
                    var scrollTop = $(window).scrollTop();
                    bounds.y += scrollTop;
                    return bounds;
                }
                return null;
            }

            function OnClientResize(sender, args) {
                var bounds = sender.getWindowBounds();
                pravaApp.rg_akce.get_element().style.height = (bounds.height - 130) + "px";
                pravaApp.rg_akce.repaint();
                //tady musím nastavit x a y
                //SaveWindowPos();
//                bounds = getWindowBounds();
//                pravaApp.akceWindowRef.moveTo(bounds.x, bounds.y);
            }

            function OnClientClose(sender, args) {
                pravaApp.dd_role.closeDropDown();
                SaveWindowPos(sender, args);
                var view = pravaApp.rg_akce.get_masterTableView();
                view.set_dataSource([]);
                view.dataBind();              
            }

            function onClientContextMenuShowing(sender, args) {
                var treeNode = args.get_node();
                treeNode.set_selected(true);
                setMenuItemsState(args.get_menu().get_items(), treeNode);
            };

            function setMenuItemsState(menuItems, treeNode) {
                for (var i = 0; i < menuItems.get_count(); i++) {
                    var menuItem = menuItems.getItem(i);
                    var val = menuItem.get_value();
                    if (val == "") continue;
                    if (val != "vlastnosti") {
                        if (treeNode.get_nodes().get_count() == 0) {
                            menuItem.set_enabled(false);
                        }
                        else {
                            if ((treeNode.get_expanded()) && (val == "rozbalit")) {
                                menuItem.set_enabled(false);
                            }
                            else if ((treeNode.get_expanded() == false) && ((val == "sbalit") || (val == "sbalit_all"))) {
                                menuItem.set_enabled(false);
                            }
                            else
                                menuItem.set_enabled(true);
                        }
                    }
                }
            }

            function switchNode(node, par) {
                var nodes = node.get_nodes();
                if (nodes != null) {
                    for (var i = 0; i < nodes.get_count(); i++) {
                        if (nodes.getNode(i).get_nodes() != null) {
                            if (par == "expand")
                                nodes.getNode(i).expand();
                            else
                                nodes.getNode(i).collapse();
                            switchNode(nodes.getNode(i), par);
                        }
                    }
                }
            }

            function onClientContextMenuItemClicking(sender, args) {
                var menuItem = args.get_menuItem();
                var treeNode = args.get_node();
                menuItem.get_menu().hide();

                switch (menuItem.get_value()) {
                    case "vlastnosti":
                        showAkceDialog(sender, args);
                        pravaApp.cancel = false;
                        break;
                    case "rozbalit":
                        if (treeNode.get_nodes() != null)
                            treeNode.expand();
                        break;
                    case "rozbalit_vse":
                        if (treeNode.get_nodes() != null) {
                            switchNode(treeNode, "expand");
                            treeNode.expand();
                        }
                        break;
                    case "sbalit":
                        treeNode.collapse();
                        break;
                    case "sbalit_vse":
                        if (treeNode.get_nodes() != null) {
                            switchNode(treeNode, "collapse");
                            treeNode.collapse();
                        }
                        break;
                }
            };

            function toggleHandler(sender, eventArgs) {
                if (pravaApp.cancel)
                    eventArgs.set_cancel(true);
                pravaApp.cancel = false;
            }

            function SaveWindowPosLocal(sender, eventArgs) {
                var wndBounds = pravaApp.akceWindowRef.getWindowBounds();
                var scrollTop = $(window).scrollTop();
                wndBounds.y -= scrollTop;
                pravaApp.container.value = JSON.stringify(wndBounds);
            }
            function SaveWindowPos(sender, eventArgs) {
                SaveWindowPosLocal();
                if (pravaApp.saveStateTimeOut)
                    clearTimeout(pravaApp.saveStateTimeOut);
                pravaApp.saveStateTimeOut = setTimeout(function () { PageMethods.SaveStateSeznam(pravaApp.container.value); }, 500);
            }
            Sys.Application.add_load(initFunction);
         //]]>
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
