﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using KSProgram.Prava;

public partial class Obecne_RadPravaVyj : TPage
{
    public Obecne_RadPravaVyj()
    {
        IdPrava = -1;
    }

    protected void TRadGrid1_ItemCommand(object sender, Telerik.Web.UI.GridCommandEventArgs e)
    {
        if (e.Item != null) { 
            GridBoundColumn column = e.Item.OwnerTableView.GetColumnSafe("os_cislo") as GridBoundColumn;
            if (e.CommandName == RadGrid.EditCommandName)
            {
                column.ReadOnly = true;
            }
            else
            {
                column.ReadOnly = false;
            }
            if (e.CommandName=="Update")
            {
                if (ZamykaniAgend.GeneralZamekIsLocked())
                {
                    e.Canceled = true;
                    MessageBox.Alert(this.Page, ZamykaniAgend.GeneralZamekLockedMessage, "Generální zámek");
                }
            }
        }
    }
}
