﻿using System;
using System.Web.UI;
using Telerik.Web.UI;

namespace KSPortal.Obecne
{
    public partial class Slovnik: TPage
    {
        public Slovnik()
        {
            IdPrava = 291;
        }
        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
            if (!IsPostBack)
            {
                //lb_jazyky.SelectedItem = lb_jazyky.Items[0];
                lb_jazyky.SelectedValue = "A";
                lb_jazyky.Text = "[%Anglický%]";
            }
        }

        protected void Grid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            Grid1.DataSource = KSProgram.Obecne.Slovnik.Get(lb_jazyky.SelectedValue);
        }

        protected void lb_jazyky_SelectedIndexChanged(object sender, EventArgs e)
        {
            Grid1.Rebind();
        }

        protected void Grid1_UpdateCommand(object sender, Telerik.Web.UI.GridCommandEventArgs e)
        {            
            string vyraz = string.Empty;
            string preklad = string.Empty;
            _collectValues(e, ref vyraz, ref preklad, false);
            string puv_vyr=Grid1.MasterTableView.DataKeyValues[e.Item.ItemIndex]["s"].ToString();
            KSProgram.Obecne.Slovnik.Update(lb_jazyky.SelectedValue,puv_vyr, vyraz, preklad);
            
        }

        protected void Grid1_InsertCommand(object sender, Telerik.Web.UI.GridCommandEventArgs e)
        {
            string vyraz = string.Empty;
            string preklad = string.Empty;
            _collectValues(e, ref vyraz, ref preklad, true);            
            KSProgram.Obecne.Slovnik.Insert(lb_jazyky.SelectedValue, vyraz, preklad);            
        }


        private void _collectValues(GridCommandEventArgs e, ref string vyraz, ref string preklad, bool insert)
        {
            GridEditableItem editedItem = e.Item as GridEditableItem;
            UserControl userControl = (UserControl)e.Item.FindControl(GridEditFormItem.EditFormUserControlID);

            if ((userControl.FindControl("txt_vyraz") as RadTextBox).Text != string.Empty)
                vyraz = Convert.ToString((userControl.FindControl("txt_vyraz") as RadTextBox).Text);

            if ((userControl.FindControl("txt_preklad") as RadTextBox).Text != string.Empty)
                preklad = Convert.ToString((userControl.FindControl("txt_preklad") as RadTextBox).Text);

            e.Item.Edit = false;
        }

        protected void Grid1_ItemUpdated(object sender, GridUpdatedEventArgs e)
        {
            e.KeepInEditMode = false;
        }

        protected void Grid1_DeleteCommand(object sender, GridCommandEventArgs e)
        {
            string vyraz = (e.Item as GridDataItem).OwnerTableView.DataKeyValues[e.Item.ItemIndex]["s"].ToString();
            KSProgram.Obecne.Slovnik.Delete(lb_jazyky.SelectedValue, vyraz);
        }
    }
}