﻿using KSProgram;
using KSProgram.WebControls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.Obecne
{
    public partial class Zastup_editace : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Globals.SuperUser)
            {
                /*
                GridDropDownColumn column = RadGrid1.MasterTableView.GetColumn("col_prac_misto") as GridDropDownColumn;
                GridDropDownColumn column2 = RadGrid1.MasterTableView.GetColumn("col_prac_misto_zastupce") as GridDropDownColumn;
                column.ReadOnly = column2.ReadOnly = true;
                column.Display = column2.Display = false;
                */

                combo_prac_misto_zastupovany.Visible = false;
                combo_prac_misto_zastupce.Visible = false;
                label_prac_misto_zastupovany.Visible = false;
                label_prac_misto_zastupce.Visible = false;
            }

            
            //combo_prac_misto_zastupovany.AutoPostBack = true;
           // combo_prac_misto_zastupovany.SelectedIndexChanged += new RadComboBoxSelectedIndexChangedEventHandler(list_SelectedIndexChanged);
            combo_prac_misto_zastupovany.MarkFirstMatch = true;

           // combo_zastupovany.AutoPostBack = true;
           // combo_zastupovany.SelectedIndexChanged += new RadComboBoxSelectedIndexChangedEventHandler(list_SelectedIndexChanged);
            combo_zastupovany.MarkFirstMatch = true;
            
            //combo_prac_misto_zastupce.AutoPostBack = true;
            //combo_prac_misto_zastupce.SelectedIndexChanged += new RadComboBoxSelectedIndexChangedEventHandler(list_SelectedIndexChanged2);
            combo_prac_misto_zastupce.MarkFirstMatch = true;

            //editor = (GridDropDownListColumnEditor)editItem.EditManager.GetColumnEditor("col_zastupce");
            //combo_zastupce.AutoPostBack = true;
            //combo_zastupce.SelectedIndexChanged += new RadComboBoxSelectedIndexChangedEventHandler(list_SelectedIndexChanged2);
            combo_zastupce.MarkFirstMatch = true;
        }

        private void list_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
        {
            RadComboBox col = sender as RadComboBox;
           
            if (col.ID=="combo_zastupovany")
            {                
                combo_prac_misto_zastupovany.SelectedValue = "";
                combo_role.Enabled = true;

                combo_prac_misto_zastupce.SelectedValue = "";
            }                 
            else if (col.ID=="combo_prac_misto_zastupovany")
            {               
                combo_zastupovany.SelectedValue = "";
                combo_role.SelectedValue = "";
                combo_role.Enabled = false;
            }

        }

        private void list_SelectedIndexChanged2(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
        {
            RadComboBox col = sender as RadComboBox;            
            if (col.ID=="combo_zastupce")
            {               
                combo_prac_misto_zastupce.SelectedValue = "";
                combo_role.Enabled = true;
            }
            else if (col.ID=="combo_prac_misto_zastupce")
            {
                combo_zastupovany.SelectedValue = "";
                combo_zastupce.SelectedValue = "";
                combo_role.SelectedValue = "";
                combo_role.Enabled = false;
            }
        }

        protected override void DataBind(bool raiseOnDataBinding)
        {
            base.DataBind(raiseOnDataBinding);

            /*
            GridEditableItem dataItem = (GridEditableItem)e.Item;           

            RadDateTimePicker datePicker_cas_od = (RadDateTimePicker)dataItem["col_cas_od"].Controls[0];

            if (e.Item.ItemIndex < 0)
            {
                datePicker_cas_od.SelectedDate = DateTime.Now;
                datePicker_cas_od.MinDate = DateTime.Now;
            }
            else if (datePicker_cas_od.SelectedDate < DateTime.Now)
            {
                dataItem["col_prac_misto"].Enabled = false;
                dataItem["col_zastupovany"].Enabled = false;
                dataItem["col_zastupce"].Enabled = false;
                dataItem["col_role"].Enabled = false;
                datePicker_cas_od.Enabled = false;
                dataItem["col_uziti"].Enabled = false; //PH 10.2.2015
            }

            datePicker_cas_od = (RadDateTimePicker)dataItem["col_cas_do"].Controls[0];
            datePicker_cas_od.MinDate = DateTime.Now;

            RadDateTimePicker datePicker_cas_do = (RadDateTimePicker)dataItem["col_cas_do"].Controls[0];
            if (e.Item.ItemIndex < 0)
            {
                //datePicker_cas_do.SelectedDate = DateTime.Now.Date.AddHours(23).AddMinutes(59);
                datePicker_cas_do.MinDate = DateTime.Now;
            }
            */
            bool insert = false;
            if (this.NamingContainer is GridEditFormInsertItem)
                insert = true;

            if (insert)
            {
                cas_od.SelectedDate = DateTime.Now;
                cas_od.MinDate = DateTime.Now;
            }
            else if (cas_od.SelectedDate < DateTime.Now)
            {
                combo_prac_misto_zastupovany.Enabled = false;
                combo_zastupovany.Enabled = false;
                combo_zastupce.Enabled = false;
                combo_role.Enabled = false;
                cas_od.Enabled = false;
                combo_uziti.Enabled = false;
                //check_potl_delegaci.Enabled = false;PH 6.3.2023 nechám to přístupné
            }
           
            //cas_od.MinDate = DateTime.Now; PH 22.8.2018 zapoznámkováno HID:42756          
            if (insert)
            {                
                cas_do.MinDate = DateTime.Now;
            }
        }

        protected void validace_ServerValidate(object source, ServerValidateEventArgs args)
        {
            bool valid = false;
            if (
                    (
                        (!string.IsNullOrEmpty(combo_prac_misto_zastupovany.SelectedValue)) &&
                        (!string.IsNullOrEmpty(combo_prac_misto_zastupce.SelectedValue)) &&
                        (string.IsNullOrEmpty(combo_zastupovany.SelectedValue)) &&
                        (string.IsNullOrEmpty(combo_zastupce.SelectedValue))
                    )
            || (
                        (string.IsNullOrEmpty(combo_prac_misto_zastupovany.SelectedValue)) &&
                        (string.IsNullOrEmpty(combo_prac_misto_zastupce.SelectedValue)) &&
                        (!string.IsNullOrEmpty(combo_zastupovany.SelectedValue)) &&
                        (!string.IsNullOrEmpty(combo_zastupce.SelectedValue))
                )
            ||
                (
                        (!string.IsNullOrEmpty(combo_prac_misto_zastupovany.SelectedValue)) &&
                        (string.IsNullOrEmpty(combo_prac_misto_zastupce.SelectedValue)) &&
                        (string.IsNullOrEmpty(combo_zastupovany.SelectedValue)) &&
                        (!string.IsNullOrEmpty(combo_zastupce.SelectedValue))
                )
             ||
                (
                        (string.IsNullOrEmpty(combo_prac_misto_zastupovany.SelectedValue)) &&
                        (!string.IsNullOrEmpty(combo_prac_misto_zastupce.SelectedValue)) &&
                        (!string.IsNullOrEmpty(combo_zastupovany.SelectedValue)) &&
                        (string.IsNullOrEmpty(combo_zastupce.SelectedValue))
                )
             )
                valid = true;
            args.IsValid = valid;
        }

        protected void cval_combo_role_ServerValidate(object source, ServerValidateEventArgs args)
        {
            if (Parametry.ParametrCti("ZastupRolePovinna")=="a")
            {
                RadComboBox box2 = WebControlHelper.FindControl(this, "combo_zastupce") as RadComboBox;
                if (!String.IsNullOrEmpty(box2.SelectedValue) && (string.IsNullOrEmpty(args.Value)))
                {
                    args.IsValid = false;
                    return;
                }                
            }
            args.IsValid = true;
        }
    }
}