﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Net.Mail;
using System.Text;
using System.IO;

using KSProgram.Email;
using KSProgram.Zpravy;
using KSProgram.Data;
using System.Data;
using KSProgram;

namespace KSPortal.Obecne
{
    public partial class ZpravyN : TPage
    {
        public ZpravyN()
        {
            IdPrava = 161;
            AutomatickyUlozitNastaveni = true;
            VerzeStranky = "3";
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            if (!IsPostBack)
            {
                TRG_zpravy.Datum.SelectedDatumOd = DateTime.Now.Date.AddMonths(-1);
                TRG_zpravy.Datum.SelectedDatumDo = DateTime.Now.Date;
            }
        }

        protected void TLinkButton1_Command(object sender, CommandEventArgs e)
        {

        }

        protected void TLinkButton2_Command(object sender, CommandEventArgs e)
        {
            //if (TRadioButtonList1.SelectedValue != null)
            //{
            //    string where_in = TGridView1.CheckedKeyValuesWhereIn[0];
            //    short val;
            //    if (Int16.TryParse(TRadioButtonList1.SelectedValue, out val) && where_in != "")
            //    {
            //        switch (val)
            //        {
            //            case 0://storno
            //                {
            //                    SqlPrikaz.ExecuteNonQuery("UPDATE zpravy SET storno = 1 WHERE id IN ( " + where_in + " )");
            //                    TGridView1.DataBind();
            //                    break;
            //                }
            //            case 1://znovu odeslat
            //                {
            //                    SqlPrikaz.ExecuteNonQuery("UPDATE zpravy SET pokus = 0, stav = 1 WHERE id IN ( " + where_in + " )");
            //                    TGridView1.DataBind();
            //                    break;
            //                }
            //        }
            //    }
            //}
        }

        protected void TRG_zpravy_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            TRG_zpravy.DataSource = Zpravy.ZpravyTable(TRG_zpravy.Datum.SelectedDatumOd, TRG_zpravy.Datum.SelectedDatumDo?.Date.AddDays(1).AddSeconds(-1), true);
        }

        protected void TRG_zpravy_ExportCellFormatting(object sender, Telerik.Web.UI.ExportCellFormattingEventArgs e)
        {
            if (e.FormattedColumn.UniqueName == "chyba")
            {
                e.Cell.Text = DataBinder.Eval(((Telerik.Web.UI.GridDataItem)e.Cell.Parent).DataItem, "chyba").ToString();
            }
        }
    }
}