﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using KSProgram.Data;
using KSProgram;
using KSProgram.Mathematics;
using KSProgram.Funkce;
using System.Web.UI.HtmlControls;
using KSProgram.AP;
using KSProgram.Security;

//PR 7.1.2014 zkontrolováno na SQL-Injection

public partial class Pis_AdapPlany : TPage
{
    private Zalozky _zalozky;
    private string selectedColor = "#cdcdcd";
    private string unselectedColor = "#e5e5e5";
    private string borderColor = "#e5e5e5";

    public Pis_AdapPlany()
    {
        IdPrava = 114;
    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);

        VisibleFindZam = true;//PR 7.1.2014 přesunuto z constructoru
        //VisibleSeznamZam = true;
        VisibleToLoggedUser = true;

        //if (!Page.IsPostBack){
        if (_zalozky == null)
        {
            _zalozky = new Zalozky(HT_Zalozky, row_menu, selectedColor, unselectedColor, borderColor,
                new string[][] { new string[] { }, new string[] { }, new string[] { }, new string[] { } },
                new Control[][] { new Control[] { }, new Control[] { }, new Control[] { }, new Control[] { } });
        }
        //PR 19.7.2012 redirect z hodnocení zpet na Pis/AdapPlany.aspx
        string ls_id = InputChecker.CeleCislo(Request.QueryString["id_ap"], "id_ap");//id AP
        if ((ls_id != null) && (TGV_ApProcesy.SelectedDataKey == null || TGV_ApProcesy.SelectedDataKey["id_proc"].ToString() != ls_id))
        {
            //vyberu AP            
            TGV_ApProcesy.FindRowByKeyValue(ls_id);
            if (TGV_ApProcesy.SelectedDataKey != null && TGV_ApProcesy.SelectedDataKey["id_proc"] != null)
            {
                TGV_ApProcesy_SelectedIndexChanged(TGV_ApProcesy, new EventArgs());
                _zalozky.Select(1);//vzberu 2. zalozku s hodnocenim
            }

        }
    }

    protected void TGV_ApProcesy_SelectedIndexChanged(object sender, EventArgs e)
    {
        //zobrazeni/skryti zalozek
        if (null == TGV_ApProcesy.SelectedValue)
            Row_Zalozky.Style.Add(HtmlTextWriterStyle.Display, "none");
        else
        {
            Row_Zalozky.Style.Add(HtmlTextWriterStyle.Display, "block");

            if (KSProgram.Globals.OsCisloAktUserNeboZastupovany == (decimal)TGV_ApProcesy.SelectedDataKey["os_cislo"])
                _zalozky.Hide(1, 3);
            else
                _zalozky.Show(0, 1, 2, 3);
        }
    }
    protected void TB_Hodnoceni_Click(object sender, EventArgs e)
    {
        if (null == TDL_HlavickaHod.DataKeys || TDL_HlavickaHod.DataKeys.Count == 0) //PR 20.6.2014 Count==0
        {
            MessageBox.Show(Page, WebControlHelper.ZmenaTextu("[%K tomuto AP není založeno žádné hodnocení%]!"));
        }
        else
        {
            object id_hod = TDL_HlavickaHod.DataKeys[0];
            Response.Redirect("Hodnoceni/HodnoceniZamestnancu.aspx?id=" + id_hod.ToString() + "&id_ap=" + TGV_ApProcesy.SelectedDataKey["id_proc"].ToString());
        }
    }

    /*protected void showZal(object sender)
    {
        TabRow_1.Style.Clear();
        TabRow_1.Style.Add(HtmlTextWriterStyle.Display, (sender==TLB_pozadavky)?"block":"none");
        TabRow_1.Visible = (sender==TLB_pozadavky)?true:false;

        TabRow_2.Style.Clear();
        TabRow_2.Style.Add(HtmlTextWriterStyle.Display, (sender == TLB_modhodn) ? "block" : "none");
        TabRow_2.Visible = (sender == TLB_modhodn) ? true : false;

        TabRow_3.Style.Clear();
        TabRow_3.Style.Add(HtmlTextWriterStyle.Display, (sender == TLB_uzavreni) ? "block" : "none");
        TabRow_3.Visible = (sender == TLB_uzavreni) ? true : false;
    }*/
    protected void TLB_pozadavky_Click(object sender, EventArgs e)
    {
        //showZal(sender);
        _zalozky.Select("HeaderCell_1");
    }
    protected void TLB_modhodn_Click(object sender, EventArgs e)
    {
        //showZal(sender);
        _zalozky.Select("HeaderCell_2");
    }
    protected void TLB_slovni_Click(object sender, EventArgs e)
    {
        _zalozky.Select("HeaderCell_3");
    }
    protected void TLB_uzavreni_Click(object sender, EventArgs e)
    {
        //showZal(sender);
        _zalozky.Select("HeaderCell_4");
    }
    protected void LV_ApSlovHod_ItemDataBound(object sender, ListViewItemEventArgs e)
    {
        //if (e.Item.ItemType == ListViewItemType.DataItem)
        //{
        string i = ((Control)sender).ID.Substring(((Control)sender).ID.Length - 1, 1);
        //Label LB_poznamka = (Label)e.Item.FindControl("LB_poznamka" + i);
        //TextBox TB_poznamka = (TextBox)e.Item.FindControl("TB_poznamka" + i);
        string id_hod = ((System.Data.DataRowView)e.Item.DataItem).Row["id_hod"].ToString();
        if (id_hod == ApSlovHod.EMPTY_ID.ToString() && LV_ApSlovHod.EditIndex == -1) //to je posledni prazdny radek, ten schovam
        {
            //e.Item.Visible = false;//nefunguje
            //e.Item.Style.Add("display","none");
            /*foreach (Control c in e.Item.Controls)
            {
                if (c.ID != null && (c.ID == "Btn_slovni_new"))
                {
                    //c.Visible = true;
                }
                else
                    c.Visible = false;
            }*/
        }

        //}
    }
    protected void LV_ApSlovHod_ItemCommand(object source, ListViewCommandEventArgs e)
    {
        if (e.CommandName == "New" || e.CommandName == "Edit")
        {
            //LV_ApSlovHod.EditIndex = e.Item.DataItemIndex;

        }
        else if (e.CommandName == "Update")
        {
            /*int id_proc = Convert.ToInt32(TGV_ApProcesy.SelectedValue);
            
            foreach (ListViewItem item in LV_ApSlovHod.Items)
            {
                int id_hod = (int)LV_ApSlovHod.DataKeys[item.DataItemIndex]["id_hod"];
                string titulek = ((TextBox)item.FindControl("TB_Titulek")).Text;
                string dat = ((TextBox)item.FindControl("TB_Datum")).Text;
                DateTime datum = Convert.ToDateTime(dat);
                string text = ((TextBox)item.FindControl("TB_Text")).Text;
                //string hodnotitel_display = 
                if (){
                    //ApSlovHod.Update(id_hod, id_proc, titulek, datum, Globals.OsCisloAktUserNeboZastupovany, text); 
                    LV_ApSlovHod.UpdateItem(item.DataItemIndex, true);//Kupodivu to funguje
                }
            }*/
            /*if (LV_ApSlovHod.EditItem!=null)
                LV_ApSlovHod.UpdateItem(LV_ApSlovHod.EditItem.DataItemIndex, true);//Kupodivu to funguje*/
            //LV_ApSlovHod.DataBind();

        }
        else if (e.CommandName == "Cancel")
        {
            /*LV_ApSlovHod.EditIndex = -1;
            LV_ApSlovHod.DataBind();*/
        }

    }
    protected void CBX_zaver_CheckedChanged(object sender, EventArgs e)
    {
        TextBox t = LV_ApSlovHod.EditItem.FindControl("TB_Titulek") as TextBox;
        CheckBox cbx_zaver = sender as CheckBox;
        t.Text = cbx_zaver.Checked ? WebControlHelper.ZmenaTextu("[%ZÁVĚR%]") : WebControlHelper.ZmenaTextu("[%Hodnocení%]");
        t.ReadOnly = cbx_zaver.Checked;
    }

    protected void FV_Kompletace_ItemCommand(object sender, FormViewCommandEventArgs e)
    {
        if (e.CommandName == "UpdateMy")
        {
            String error = "";

            int id_proc = (int)FV_Kompletace.SelectedValue;

            String pkn = (FV_Kompletace.Row.FindControl("pkn_TCheckBox") as TCheckBox).Checked ? "1" : "0";
            String pkg = (FV_Kompletace.Row.FindControl("pkg_TCheckBox") as TCheckBox).Checked ? "1" : "0";
            String pkg2 = (FV_Kompletace.Row.FindControl("pkg2_TCheckBox") as TCheckBox).Checked ? "1" : "0";
            Decimal? castka;
            try
            {
                string s = (FV_Kompletace.Row.FindControl("TB_castka") as TextBox).Text;
                if (String.IsNullOrEmpty(s) || String.IsNullOrWhiteSpace(s))
                    castka = 0;
                else
                    castka = Convert.ToDecimal(s);
            }
            catch (FormatException)
            {
                MessageBox.Alert(Page, WebControlHelper.ZmenaTextu("[%Návrh navýšení mzdy: zadali jste neplatný formát částky%]!"));
                return;
            }

            //PR 28.04.2022 TID=3800
            if (KSProgram.Prava.ZamykaniAgend.GeneralZamekIsLocked())
            {
                MessageBox.Alert(Page, WebControlHelper.ZmenaTextu(KSProgram.Prava.ZamykaniAgend.GeneralZamekLockedMessage));
                return;
            }

            if (false == KSProgram.AP.ApProcesy.UpdateKompletace(id_proc, pkn, pkg, pkg2, castka, ref error))
            {
                MessageBox.Alert(Page, error);
            }
            FV_Kompletace.DataBind();
        }
    }
    protected void LV_ApSlovHod_ItemEditing(object sender, ListViewEditEventArgs e)
    {
        int id_proc = Convert.ToInt32(TGV_ApProcesy.SelectedDataKey["id_proc"]);

        if (!LV_ApSlovHod.DataKeys[e.NewEditIndex]["osc_hodnotitel"].ToString().Equals(Globals.OsCisloAktUserNeboZastupovany.ToString()))
        {
            MessageBox.Alert(Page, WebControlHelper.ZmenaTextu("[%Nemáte oprávnění měnit toto hodnocení%]!"));
            e.Cancel = true;
        }
        else if (LV_ApSlovHod.DataKeys[e.NewEditIndex]["osc_hodnotitel"].ToString().Equals(TGV_ApProcesy.SelectedDataKey["os_cislo"].ToString()))
        {
            if (KSProgram.AP.ApProcesy.JeKompletovan(id_proc))
            {
                MessageBox.Alert(Page, WebControlHelper.ZmenaTextu("[%Nelze editovat, AP je již kompletován%]!"));
                e.Cancel = true;
            }
        }
        //PR 28.04.2022 TID=3800
        if (KSProgram.Prava.ZamykaniAgend.GeneralZamekIsLocked())
        {
            MessageBox.Alert(Page, WebControlHelper.ZmenaTextu(KSProgram.Prava.ZamykaniAgend.GeneralZamekLockedMessage));
            e.Cancel = true;
        }
    }

    protected void TGV_ApPozad_RowEditing(object sender, GridViewEditEventArgs e)
    {
        if (KSProgram.Prava.ZamykaniAgend.GeneralZamekIsLocked())//PR 28.04.2022 TID=3800 //PR 14.06.2022 HID=62133 vypadnul mi IF
        {
            MessageBox.Alert(Page, WebControlHelper.ZmenaTextu(KSProgram.Prava.ZamykaniAgend.GeneralZamekLockedMessage));
            e.Cancel = true;
        }
    }

    private bool NecoJeVeditRezimu() //PR 28.04.2022
    {
        return  (TGV_ApPozad.EditIndex >= 0) || (LV_ApSlovHod.EditIndex >= 0) || (FV_Kompletace.CurrentMode != FormViewMode.ReadOnly);
    }

    protected void GenLockTest_ServerValidate(object source, ServerValidateEventArgs args)
    {
        //PR 28.04.2022 TID=3800
        //pripad, kdy to jiz je v editacnim rezimu a pak dojde k zamknuti zamku
        GenLockTest.ErrorMessage = "";
        args.IsValid = true;
        if (NecoJeVeditRezimu()) //nektere kontrolky nemaji potlaceno CausesValidation (i kdyz nic neukladaji)
            if ( KSProgram.Prava.ZamykaniAgend.GeneralZamekIsLocked())
            {
                GenLockTest.ErrorMessage = WebControlHelper.ZmenaTextu(KSProgram.Prava.ZamykaniAgend.GeneralZamekLockedMessage);
                args.IsValid = false;
                //Na strance pozadavků, kde jich muze byt desitky, si nikdo nevsimne validacni hlasky naspodu stranky, pokud neporoluje
                MessageBox.Alert(Page, WebControlHelper.ZmenaTextu(KSProgram.Prava.ZamykaniAgend.GeneralZamekLockedMessage));
            }
    }

}