﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.Personal;
using KSProgram.PracovniMista;
using KSProgram.WebControls;

public partial class Pis_DalsiKompetence : TPage
{
    public Pis_DalsiKompetence()
    {
        IdPrava = 109;
        ContentHorizontalAlign = HorizontalAlign.Left;
    }
    protected override void Page_Load(object sender, EventArgs e)
    {

    }
    protected void TIB_update_Click(object sender, ImageClickEventArgs e)
    {
        Control P = ((Control)sender).Parent;
        string s_id = ((Label)P.FindControl("L_id_atrib")).Text;
        Int32? id = s_id == "" ? (Int32?)null : Convert.ToInt32(s_id);
        string s_id_pracmist = ((Label)P.FindControl("L_id_pracmist")).Text;
        Int32? id_pracmist = s_id_pracmist == "" ? (Int32?)null : Convert.ToInt32(s_id_pracmist);
        string s_plat_od = ((Label)P.FindControl("L_platnost_od")).Text;
        DateTime? plat_od = s_plat_od == "" ? (DateTime?)null : Convert.ToDateTime(s_plat_od);
        string s_plat_do = ((Label)P.FindControl("L_platnost_do")).Text;
        DateTime? plat_do = s_plat_do == "" ? (DateTime?)null : Convert.ToDateTime(s_plat_do);
        string original_popis = ((Label)P.FindControl("L_popis")).Text;
        string popis = ((TTextBox)P.FindControl("TTB_edit")).Text;

        Int32 ret = 0;
        string Message = "";
        if (popis != original_popis)
        {
            string hodnota = popis.Length > 40 ? (popis.Substring(0, 40) + "...") : popis.Substring(0, popis.Length);
            if (id == null)
            {
                ret = AtributyPM.Insert((int)id_pracmist, 45, hodnota, null, null, 0, 0, popis, ref Message);
            }
            else
            {
                ret = AtributyPM.Update((int)id_pracmist, 45, (int)id, hodnota, plat_od, plat_do, 0, popis, ref Message);
            }
        }
        if (Message != "")
            MessageBox.Alert(Page, Message);
        TGV_seznam.DataBind();
    }
    protected void TIB_cancel_Click(object sender, ImageClickEventArgs e)
    {
        Control P = ((Control)sender).Parent;
        ((TTextBox)P.FindControl("TTB_edit")).Text = ((Label)P.FindControl("L_popis")).Text;
        
    }
}
