﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using KSProgram.Pozadavky;
using KSProgram.WebControls;
using KSProgram.Obecne;
using System.Drawing;
using KSProgram.WebControlsAlone;
using KSProgram.Funkce;
using KSProgram.Dochazka;
using KSProgram;
using KSProgram.Vzdelavani;
using KSProgram.Prava;
using System.Collections.Specialized;
using KSProgram.Exceptions;
using Telerik.Web.UI;
using System.Web.Services;
using System.Collections.Generic;
using KSProgram.Security;
using System.Linq;
using System.Web.Script.Serialization;
using KSProgram.Data;
using Telerik.Windows.Zip;
using System.IO;

namespace KSPortal.Pozadavky
{
    public partial class Pozadavky_Pozadavky2 : TPage
    {
        //private bool _nastavenPanel = false;
        public Pozadavky_Pozadavky2()
        {
            this.ContentHorizontalAlign = HorizontalAlign.Left;
            EnableVisibleSeznamZam = true;
            //VisibleVyberSeznamuOsobnichCisel = true;
            this.UpdateHlavniOblastOnOsCisloChanged = false;
            this.RebindHlavniOblastOnOsCisloChanged = false;
            //UpdateHlavniOblastOnOsCisloChanged = false;
            //ProgressBar = false;
            IdPrava = 80;
            VerzeStranky = "3";
            this.HelpURL = "Po%C5%BEadavky_%28KS_port%C3%A1l%29";
        }

        ///// <summary>
        ///// Id požadavku dodaného přes url
        ///// </summary>
        //public int _idPozPar
        //{
        //    get
        //    {
        //        return string.IsNullOrEmpty(HF_id_poz.Value) ? 0 : Convert.ToInt32(HF_id_poz.Value);
        //    }
        //    set
        //    {
        //        HF_id_poz.Value = value.ToString();
        //    }
        //}

        public void Set_PozId(int idPoz)
        {
            this.PozId = idPoz;
        }

        /// <summary>
        /// 
        /// </summary>
        public int PozId
        {
            get
            {
                return (ViewState["PozId"] == null ? 0 : Convert.ToInt32(ViewState["PozId"]));
            }
            set
            {
                ViewState["PozId"] = value;
            }
        }

        /// <summary>
        /// Udržuje info o vybraném typu požadavku
        /// </summary>
        public string Typ
        {
            get
            {
                return (ViewState["Typ"] == null ? "" : Convert.ToString(ViewState["Typ"]));
            }
            set
            {
                ViewState["Typ"] = value;
            }
        }
        /// <summary>
        /// Zda se má agenda načítat automaticky nebo až na tlačítko.
        /// </summary>
        public bool AutoRebindAgenda
        {
            get
            {
                object o = AutoRebindAgendaMemory;
                if (o == null)
                {
                    o = Parametry.ParametrCti("NačítatAutomaticky") == "ano" ? true : false;
                }
                return (bool)o;
            }
            set
            {
                AutoRebindAgendaMemory = value;
            }
        }

        /// <summary>
        /// Ukládá stav tlačítka pro automatické načítání
        /// </summary>
        /// <param name="state"></param>
        [WebMethod]
        public static void TRB_auto_rebind_SaveState(bool state)
        {
            AutoRebindAgendaMemory = state;
        }

        public static object AutoRebindAgendaMemory
        {
            get
            {
                switch (Parametry.ParametrCti("NačítatAutomatickyUložení"))
                {
                    case "stránka": return null;
                    case "přihlášení": return SessionInfo.GetVariable("PozadavkyAutoRebindAgenda");
                    case "stále":
                        {
                            switch (UserSetting.LoadUserSetting("Pozadavky2.aspx", "PozadavkyAutoRebindAgenda"))
                            {
                                case "": return null;
                                case "True": return true;
                                case "False": return false;
                            }
                        }
                        break;
                }
                return null;
            }
            set
            {
                switch (Parametry.ParametrCti("NačítatAutomatickyUložení"))
                {
                    case "stránka": break;
                    case "přihlášení": SessionInfo.SetVariable("PozadavkyAutoRebindAgenda", value); break;
                    case "stále": UserSetting.SaveUserSetting("Pozadavky2.aspx", "PozadavkyAutoRebindAgenda", value.ToString()); break;
                }
            }
        }

        protected void TRB_auto_rebind_Init(object sender, EventArgs e)
        {
            if(!IsPostBack)
            {
                ((TRadButton)sender).Checked = AutoRebindAgenda;
            }
        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);           
            Page.Form.Attributes.Add("enctype", "multipart/form-data"); //PR 3.12.2013 jinak nefunguje nahrávání souborů přes FileUpload
        }

        protected override void Page_PreRender(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                /*
                //if (_idPozPar > 0)       
                //    Response.Redirect(Pozadavek.BuildURLPozadavkuDetail(_idPozPar));         
                KSProgram.QueryStringCrypto hh = new KSProgram.QueryStringCrypto();
                NameValueCollection queryString = hh.DecryptRequestQuery();
                if (queryString.Count > 0)
                {
                    string v = queryString["idpoz"];
                    if (!string.IsNullOrEmpty(v))
                    {
                        int idPozPar = Convert.ToInt32(v);
                        Response.Redirect(Pozadavek.BuildURLPozadavkuDetail(idPozPar));
                    }
                }
                */
                //PH 4.8.2017
                /*
                string url = Request.Url.ToString();
                if (!string.IsNullOrEmpty(url))
                {
                    url = url.Replace("Pozadavky2.aspx", "PozadavekDetail.aspx");
                    Response.Redirect(url);
                }
                */
                KSProgram.QueryStringCrypto hh = new KSProgram.QueryStringCrypto();
                NameValueCollection queryString = hh.DecryptRequestQuery();
                if (queryString.Count > 0)
                {
                    string v = queryString["idpoz"];
                    string dbname= queryString["dbname"];
                    if (!string.IsNullOrEmpty(v))
                    {
                        int idPozPar = Convert.ToInt32(v);
                        //Response.Redirect(Pozadavek.BuildURLPozadavkuDetail(idPozPar, dbname));
                        //PH 29.6.2020 HID:51506
                        Response.Redirect(Pozadavek.BuildURLPozadavkuDetailInterni(idPozPar, dbname));
                    }
                }
            }

            HF_view_id.Value = "1";

            base.Page_PreRender(sender, e);
        }

        public override void Set_UN(string controlName, string vlastnost, string hodnota)
        {
        }

        protected void TRadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
        {
            if (e.Item is GridFilteringItem)
            {
                if (!IsPostBack)
                {
                    string ls_obd = Parametry.ParametrCti("ZobrazObdobiPoz");
                    DateTime obdobi = new DateTime(DateTime.Now.Date.Year, DateTime.Now.Date.Month, 1).AddMonths(-1);
                    if (ls_obd == "m") obdobi = Globals.AktObdobi;
                    DateTime pom = obdobi.AddMonths(4);

                    HiddenField HF = (HiddenField)WebControlHelper.FindControl(this.Page, "HF_obdobi");
                    if (HF != null)
                        HF.Value = obdobi.ToString("yyyy,MM,dd");

                    GridFilteringItem item = (GridFilteringItem)e.Item;
                    //TRadMonthYearPicker TRMYP_datum_od_f = (TRadMonthYearPicker)item.FindControl("TRMYP_datum_od_f");
                    //TRadMonthYearPicker TRMYP_datum_do_f = (TRadMonthYearPicker)item.FindControl("TRMYP_datum_do_f");
                    //TRMYP_datum_od_f.SelectedDate = obdobi;
                    //TRMYP_datum_do_f.SelectedDate = pom;

                    if (!PozadavekSeznam.VyloucitObdobi)
                    {
                        TRadMonthYearPicker TRMYP_obdobi_od_f = (TRadMonthYearPicker)item.FindControl("TRMYP_obdobi_od_f");
                        TRadMonthYearPicker TRMYP_obdobi_do_f = (TRadMonthYearPicker)item.FindControl("TRMYP_obdobi_do_f");
                        TRMYP_obdobi_od_f.SelectedDate = obdobi;
                        TRMYP_obdobi_do_f.SelectedDate = pom;
                    }
                    else
                    {
                        TRadMonthYearPicker TRMYP_vyresit_od_f = (TRadMonthYearPicker)item.FindControl("TRMYP_vyresit_od_f");
                        TRadMonthYearPicker TRMYP_vyresit_do_f = (TRadMonthYearPicker)item.FindControl("TRMYP_vyresit_do_f");
                        TRMYP_vyresit_od_f.SelectedDate = obdobi;
                        //TRMYP_vyresit_do_f.SelectedDate = pom;
                    }
                    //_idPozPar = 0;

                    //KSProgram.QueryStringCrypto hh = new KSProgram.QueryStringCrypto();
                    //NameValueCollection queryString = hh.DecryptRequestQuery();
                    ////queryString.Add("idpoz", "16588");test
                    //if (queryString.Count > 0)
                    //{
                    //    string v = queryString["idpoz"];
                    //    _idPozPar = Convert.ToInt32(v);
                    //    string dbname = queryString["dbname"]; //PH 2.11.2015
                    //    bool lb_nacist_visible = false;
                    //    //PH 2.11.2015 kontroluju jestli není požadavek z jiné databáze
                    //    //------------------------------------
                    //    if (!string.IsNullOrEmpty(dbname))
                    //    {
                    //        if (!(Zakaznik.IsCurrent("SKODA PRAHA") && (_idPozPar <= 127))) //PH 19.1.2016 ve škodovce migrovali databázi z informix na mssql
                    //            if (dbname != Globals.DBName && string.IsNullOrEmpty(Parametr_cti.Get("portal_url")))//MiKo 3.5.2016 Pokud je portal_url vyplněn je zřejmé, že se vkládají požadavky přes KS-Ole, dbname a Globals.DBName budou vždy různé. Kontrolu tedy vypnu.
                    //            {
                    //                _idPozPar = 0;
                    //                MessageBox.Alert(this, WebControlHelper.ZmenaTextu("[%Požadavek, který se pokoušíte zobrazit se nachází v jiné databázi%]") + ": " + dbname + ". " + WebControlHelper.ZmenaTextu("[%Nelze zobrazit%]") + ".");
                    //                lb_nacist_visible = true;
                    //            }
                    //    }
                    //    //-------------------------------------
                    //    //LB_NacistSeznam.Visible = false; //Mik 18.3.2015 Pokud je otevřeno z odkazu, zakážu zobrazit seznam
                    //    //PH 2.11.2015
                    //    //LB_NacistSeznam.Visible = lb_nacist_visible;
                    //}

                }
            }
            if (e.Item is GridCommandItem)
            {
                if (!IsPostBack)
                {
                    TRadComboBox TRCB_zadatel_f = (TRadComboBox)e.Item.FindControl("TRCB_zadatel_f");
                    TRCB_zadatel_f.SelectedValue = "mepozadavky";
                }
            }
        }

        protected void TRadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
        {
            // MiKo provedeno z clienta přes WebMethod
            //if (e.CommandName == "smazat")
            //{
            //    string[] val = e.CommandArgument.ToString().Split(';');
            //    Int32 id = Convert.ToInt32(val[0]);
            //    string typ = val[1];
            //    PozadavekSeznam.Delete(id, id, typ);
            //    AutoCompleteService svc = new AutoCompleteService();
            //}
            if (e.CommandName == "detail")
            {
                PozId = Convert.ToInt32(e.CommandArgument);
                //Response.Redirect(Pozadavek.BuildURLPozadavkuDetail(PozId));  
                //PH 29.6.2020 HID:51506
                Response.Redirect(Pozadavek.BuildURLPozadavkuDetailInterni(PozId));
            }
        }
        [WebMethod]
        public static void SmazatPozadavek(int id, string typ)
        {
            PozadavekSeznam.Delete(id, id, typ);
        }

        protected void RCB_zmena_stavu_ItemsRequested(object sender, RadComboBoxItemsRequestedEventArgs e)
        {
            RadComboBox RCB_zmena_stavu = (RadComboBox)sender;

            string filterExp = e.Context["FilterString"].ToString();
            string error = "";
            List<object> ids = new List<object>((object[])e.Context["Ids"]);
            List<int> li_ids = new List<int>();
            foreach(object x in ids)
            {
                if(x is int)
                {
                    li_ids.Add((int)x);
                }
            }

            if (li_ids.Count > 0)
            {
                string typ1 = ""; //, stav1 = "";
                int faze1 = 0, faze = 0;
                int id_poz = 0;
                bool first = true;
                bool adr = false;
                bool spravce = false; //PR 2.5.2018 správce může měnit stavy, ikdyž není adresátem (StavyPozadavkuProTyp mu nevrátí stavy u nichž není zatržen přístup pro správce)
                KSProgram.Pozadavky.PozadavekSeznam pozsez = new KSProgram.Pozadavky.PozadavekSeznam();
                DataTable table = pozsez.Retrieve(li_ids, null, null, null, DateTime.Now, DateTime.Now, DateTime.Now, DateTime.Now, null, null, null, null);
                if (table.Rows.Count > 0)
                {
                    foreach (DataRow row in table.Rows)
                    {
                        PozadavekSeznam.Pozad poz = new PozadavekSeznam.Pozad(row);
                        if (first)
                        {
                            faze1 = poz.faze_akt.HasValue ? poz.faze_akt.Value : -1; //stav1 = poz.stav_value;
                            typ1 = poz.typp;
                            id_poz = (int)poz.id_poz;
                            adr = poz.adr_ja.Trim() == "a";
                            spravce = WorkflowMaster.isSpravce(typ1);
                            if (!adr && !spravce)
                                error = "error2";
                            first = false;
                        }
                        else
                        {
                            faze = poz.faze_akt.HasValue ? poz.faze_akt.Value : -1;
                            if (poz.typp != typ1 || faze != faze1)
                            {
                                id_poz = 0;
                                if (poz.typp != typ1)
                                    error = "error4";
                                else //if (faze != faze1)
                                    error = "error3";
                                break;
                            }
                            if (poz.adr_ja != "a") //nejsem adresátem požadavku
                            {
                                adr = false; //pokud nejsem adresátem a jsem správcem, tak si jen poznačím, že nejsem u všech adresátem a pokračuji v kontrole typu a fáze dalších požadavků
                                if (!spravce) //pokud nejsem adresátem a nejsem správce, tak nemůžu hromadně měnit stav
                                {
                                    id_poz = 0;
                                    error = "error2";
                                    break;
                                }
                            }
                        }
                    }

                    if (id_poz > 0 && (adr || spravce))
                    {
                        //DataTable stavy = KSProgram.Pozadavky.WorkflowProces.StavyPozadavkuProTyp(id_poz, true);//vrací stavy přístupné uživateli
                        //RCB_zmena_stavu.Items.Clear();
                        //if (stavy.Rows.Count == 1 && stavy.Rows[0]["hodnota"].ToString() == "")
                        //{
                        //    error = "error5";
                        //}
                        //for (int i = 0; i < stavy.Rows.Count; i++)
                        //{
                        //    RCB_zmena_stavu.Items.Add(new RadComboBoxItem(stavy.Rows[i]["popis"].ToString(), stavy.Rows[i]["hodnota"].ToString()));
                        //}
                        //PR 3.5.2018 
                        RCB_zmena_stavu.Items.Clear();
                        WorkflowMaster wf = new WorkflowMaster(id_poz, typ1, null);
                        if (wf.StavyAkt.Stavy.Count == 0) //všechny stavy fáze bez ohledu na přístup
                            error = "error5"; //..nemají žádný následný stav
                        else
                        {
                            for (int i = 0; i < wf.StavyAktPristupne.Count; i++) //stavy přístupné přihlášenému uživateli
                            {
                                if (adr) //jsem u vsech pozadavku adresatem (ve StavyAktPristupne jsou stavy přístupné adresátovi nebo správci pokud jsem správce)
                                    RCB_zmena_stavu.Items.Add(new RadComboBoxItem(wf.StavyAktPristupne[i].popis, wf.StavyAktPristupne[i].stav));
                                else if (spravce) //jsem správcem a nejsem všude adresátem, takže musím vzít jen stavy, na které má přístup správce (odfiltrování těch které mají přístup jen pro adresáta)
                                {
                                    if (wf.StavyAktPristupne[i].pristup != null && wf.StavyAktPristupne[i].pristup.Contains("s"))
                                        RCB_zmena_stavu.Items.Add(new RadComboBoxItem(wf.StavyAktPristupne[i].popis, wf.StavyAktPristupne[i].stav));
                                }
                            }
                        }
                    }
                }
            }
            else
            {
                error = "error1";
            }

            if (!string.IsNullOrEmpty(error))
            {
                string text = "";
                switch (error)
                {
                    case "error1": text = WebControlHelper.ZmenaTextu("[%Není vybrán žádný požadavek pro změnu stavu%]"); break;
                    case "error2": text = WebControlHelper.ZmenaTextu("[%Nejste adresátem vybraných požadavků, nelze je hromadně schválit%]"); break;
                    //case "error3": text = WebControlHelper.ZmenaTextu("[%Jsou vybrány požadavky s různým stavem, nelze je hromadně schválit%]"); break;
                    case "error3": text = WebControlHelper.ZmenaTextu("[%Jsou vybrány požadavky, které jsou v různých fázích, nelze je hromadně schválit%]"); break; 
                    case "error4": text = WebControlHelper.ZmenaTextu("[%Jsou vybrány požadavky různého typu, nelze je hromadně schválit%]"); break;
                    case "error5": text = WebControlHelper.ZmenaTextu("[%Vybrané požadavky nemají žádný následný stav%]"); break;
                }

                RCB_zmena_stavu.Items.Clear();
                RadComboBoxItem item = new RadComboBoxItem(text, "error");
                item.Enabled = false;
                RCB_zmena_stavu.Items.Add(item);
            }
        }

        [WebMethod]
        public static void HromadnaZmenaStavu(string stav, string duvod, string filterExpession, string HF_selValue)
        {
            //PR 2.5.2018 doplněn důvod a umožněna změna stavu pro správce (ikdyž není adresát), na WF roli "ostatní" dlabu
            //PR 7.5.2014 DDL_HromStav je plněn stavy v RowCreated a pouze pokud všechny požadavky jsou stejného typu a ve stejném stavu.

            if (stav.Length == 0 || stav == "error") return;

            JavaScriptSerializer serializer = new JavaScriptSerializer();
            dynamic obj = serializer.Deserialize((string.IsNullOrEmpty(HF_selValue) ? "[]" : HF_selValue), typeof(int[]));
            List<int> ids = new List<int>((int[])obj);
            KSProgram.Pozadavky.PozadavekSeznam pozsez = new KSProgram.Pozadavky.PozadavekSeznam();
            DataTable table = pozsez.Retrieve(ids, null, null, null, DateTime.Now, DateTime.Now, DateTime.Now, DateTime.Now, null, null, null, null);           
            if (table.Rows.Count > 0)
            {
                foreach (DataRow row in table.Rows)
                {
                    PozadavekSeznam.Pozad poz = new PozadavekSeznam.Pozad(row);
                    {
                        if (poz.id_poz > 0 && (poz.adr_ja == "a" || WorkflowMaster.isSpravce(poz.typp))) //PR 2.5.2018 nebo správce
                        {
                            //v násl. fci je kontrolováno, že stav existuje v akt. fázi (pro případ, kdyby požadavek někdo jiný mezitím pošoupnul do dalšího kroku)
                            WorkflowProces.KrokProcesuTrans((int)poz.id_poz, stav, duvod, 0);
                        }
                    }
                }
            }
        }
       
        [WebMethod]
        public static void SaveStateSeznam(string state)
        {
            state = InputChecker.Text(state, "State seznampoz");
            string cookieName = Globals.OsCisloAktUser.ToString() + ";" + HttpContext.Current.Request.AppRelativeCurrentExecutionFilePath + ";TRadGrid1";
            if (!string.IsNullOrEmpty(state))
            {
                DatabaseStorageProvider dsp = new DatabaseStorageProvider(cookieName);
                state =
                    "<ControlSetting>" +
                    "<Name>Pozadavky2.TRadGrid1</Name>" +
                    "<Value Type=\"System.String\">" +
                    "<string>" + state + "</string>" +
                    "</Value>" +
                    "</ControlSetting>";
                dsp.SaveStateToStorage(cookieName, state);
            }
        }

        [WebMethod]
        public static void DeleteStateSeznam()
        {
            string cookieName = Globals.OsCisloAktUser.ToString() + ";" + HttpContext.Current.Request.AppRelativeCurrentExecutionFilePath + ";TRadGrid1";
            DatabaseStorageProvider dsp = new DatabaseStorageProvider(cookieName);
            dsp.SaveStateToStorage(cookieName, null);
        }

        [WebMethod]
        public static Dictionary<string, string> getPrilohyIdent(List<int> poz_id)
        {
            Dictionary<int, int> ret = Prilohy.GetPoctyPriloh("workfl_hl", poz_id);

            var dict = new Dictionary<string, string>();
            foreach (int key in ret.Keys)
            {
                WorkflowMaster wf = new WorkflowMaster(key, null, null);
                if (wf.Get_UN("", "Přílohy", "Visible")?.ToLower() == "true")
                    dict.Add(key.ToString(), ret[key].ToString());
            }
            return dict;
        }

        [WebMethod]
        public static object getAdresati(List<int> poz_id)
        {
            return poz_id.Distinct().Select(x => new Pair(x, WorkflowProces.GetAdresati(x))).ToDictionary(p => p.First.ToString(), p => p.Second);
        }

        [WebMethod]
        public static List<StrPrilohy> getPrilohyNames(int poz_id)
        {
            List<StrPrilohy> ret = Prilohy.Retrieve("workfl_hl", poz_id);
            return ret;
        }

        [WebMethod]
        public static object getPrilohy(int? poz_id, int? id_blob, string nazev)
        {
            if (id_blob != null)
            {
                //byte[] blob = SqlPrikaz.LoadBlobFromInfoBlob(Prilohy.Prilohy_id_info_blob, (int)id_blob);
                byte[] blob = SqlPrikaz.LoadByteFromInfoBlob((int)id_blob); //PR 21.01.2020 

                return new
                {
                    nazev = nazev,
                    d = blob
                };
            }
            else if (poz_id != null)
            {
                MemoryStream memStream = new MemoryStream();

                using (ZipArchive archive = new ZipArchive(memStream, ZipArchiveMode.Create, true, null))
                {
                    foreach (StrPrilohy pr in Prilohy.Retrieve("workfl_hl", (int)poz_id))
                    {
                        using (ZipArchiveEntry entry = archive.CreateEntry(pr.Nazev_soubor))
                        {
                            BinaryWriter writer = new BinaryWriter(entry.Open());
                            //writer.Write(SqlPrikaz.LoadBlobFromInfoBlob(Prilohy.Prilohy_id_info_blob, pr.Id_info_blob));
                            writer.Write(SqlPrikaz.LoadByteFromInfoBlob(pr.Id_info_blob)); //PR 21.01.2020 
                            writer.Flush();
                        }
                    }
                }
                return new
                {
                    nazev = nazev,
                    d = memStream.ToArray()
                };
            }
            else return null;
        }


        internal override void On_LoadCustomSettings(object sender, PersistenceManagerLoadStateEventArgs e)
        {
            base.On_LoadCustomSettings(sender, e);

            foreach (ControlSetting setting in e.CustomSettings.ControlSettings)
            {
                if (setting.Name == "Pozadavky2.TRadGrid1")
                {
                    HiddenField HF = (HiddenField)WebControlHelper.FindControl(this.Page, "HF_seznam_state");
                    if (HF != null)
                        HF.Value = (string)setting.Value;
                }

            }
        }

        protected void RCM_new_typy_ItemClick(object sender, RadMenuEventArgs e)
        {          
            string selValue = e.Item.Value;
            if (string.IsNullOrEmpty(selValue))
                return;

            Response.Redirect(Pozadavek.BuildURLPozadavkuTypDetail(selValue));
        }

        protected void TRadGrid1_ItemCreated(object sender, GridItemEventArgs e)
        {
            ///zakáže moznost rucne editovat 
            if (e.Item is GridFilteringItem)
            {
                GridFilteringItem filteringItem = e.Item as GridFilteringItem;
                RadDatePicker rdpEndDate = filteringItem["dat_od"].Controls[0] as RadDatePicker;
                rdpEndDate.DateInput.ReadOnly = true;
                rdpEndDate = filteringItem["dat_do"].Controls[0] as RadDatePicker;
                rdpEndDate.DateInput.ReadOnly = true;
                rdpEndDate = filteringItem["vyriz_datum"].Controls[0] as RadDatePicker;
                rdpEndDate.DateInput.ReadOnly = true;
            }
        }

        protected void TRB_clear_nast_Click(object sender, EventArgs e)
        {
            DeleteStateSeznam();
            HttpContext.Current.Response.Redirect("~/Pozadavky/Pozadavky2.aspx");
        }

        protected void TRadGrid1_ExportCellFormatting(object sender, ExportCellFormattingEventArgs e)
        {
            if (e.FormattedColumn is Telerik.Web.UI.GridTemplateColumn && ((Telerik.Web.UI.GridTemplateColumn)(e.FormattedColumn)).DataField == "text")
            {
                e.Cell.Text = ((KSProgram.Pozadavky.PozadavekSeznam.Pozad)(((Telerik.Web.UI.GridTableCell)(e.Cell)).Item).DataItem).text;
            }
            if(e.FormattedColumn is Telerik.Web.UI.GridBoundColumn && ((Telerik.Web.UI.GridBoundColumn)(e.FormattedColumn)).DataField == "typ")
            {
                if (((KSProgram.Pozadavky.PozadavekSeznam.Pozad)(((Telerik.Web.UI.GridTableCell)(e.Cell)).Item).DataItem).stav_color=="Red")
                    e.Cell.Style["color"] = "#FF0000";
            }
        }
    }
}