﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using KSProgram;
using KSProgram.WebControls;
using KSProgram.Obecne;
using System.Collections.Specialized;
 

public partial class Public_ChangePassword : TPrePage
{
    private string _dbName = string.Empty;

    protected override void Page_Load(object sender, EventArgs e)
    {
        //if (SpravaUziv.LoginType != SpravaUziv.LoginTypes.Form)
        //    throw new System.Security.SecurityException("Přístup byl zamítnut");
        //PR 24.10.2022 
        if (SpravaUziv.LoginType != SpravaUziv.LoginTypes.Form || SpravaUziv.TypOvereni != SpravaUziv.TypOvereniEnum.KSPU)
            throw new System.Security.SecurityException("Přístup byl zamítnut, změna hesla není dostupná pro typ ověřování " + SpravaUziv.TypOvereni.ToString());

        base.Page_Load(sender, e);
        QueryStringCrypto qc = new QueryStringCrypto();
        NameValueCollection query = qc.DecryptRequestQuery();
        _dbName = query["DBName"];
        if (string.IsNullOrWhiteSpace(_dbName))
            _dbName = Globals.DBName;
        L_DBName.Text = _dbName;
    }

    protected void TLB_ChangePassword_Click(object sender, EventArgs e)
    {
        string dbName = _dbName;
        string login = TB_Login.Text;
        string stareHeslo = TB_StareHeslo.Text;
        string noveHeslo = TB_NoveHeslo.Text;
        string noveHesloOvereni = TB_NoveHesloOvereni.Text;

        string ret = SpravaUziv.ZmenaHesla(this.Page, dbName, login, stareHeslo, noveHeslo, noveHesloOvereni);
        if (string.IsNullOrEmpty(ret))
        {
            //PR 24.10.2022 zakomentovávám, nastaveni generovane_heslo = 'n' je jiz ve funkci ZmenaHesla.
            //string update = "update prtl_users set generovane_heslo = 'n' where login = '" + login + "' and generovane_heslo = 'a'";
            //int pocetOvlivnenychRadku = KSProgram.Data.SqlPrikaz.ExecuteNonQuery(update);
            L_Return.Text = "[%Změna hesla proběhla v pořádku%]";
            TLB_ChangePassword.Visible = false;
        }
        else
        {
            L_Return.Text = ret;
        }
    }
}
