﻿using System;
using System.Web.UI.WebControls;
using KSProgram;
using Telerik.Web.UI;

public partial class Sestavy_IndivPlanVzdelSest : TSestavaPredek
{

    public Sestavy_IndivPlanVzdelSest()
    {
        IdPrava = 74;
    }


    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
    }

    protected void TRadGrid_sestava_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (e.CommandName == "selectZam")
        {
            GridDataItem item = (GridDataItem)e.Item;
            if (item != null)
            {
                LinkButton link = (LinkButton)item["os_cislo"].Controls[0];
                OsCisloZmena.Nastavit(this, Convert.ToDecimal(link.Text));
                ObnovAktZam();
                Response.Redirect("~/Zamestnanec/IndivPlanVzdel.aspx");
            }
        }
    }

    protected void TRadGrid_sestava_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        TRadGrid_sestava.DataSource = new KSProgram.Vzdelavani.IndividualniPlan().IndividualniPlanySeznam(TCB_JenAktualni.Checked);
    }

    protected void TCB_JenAktualni_CheckedChanged(object sender, EventArgs e)
    {
        TRadGrid_sestava.Rebind();
    }
}