﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using KSProgram;
using KSProgram.WebControls;
using KSProgram.WebControlsAlone;
using System.Reflection;

public partial class KomplexniSestava : TPage
{
    Zazn zazn;
    public KomplexniSestava()
    {
        ContentHorizontalAlign = HorizontalAlign.Left;
        zazn = new Zazn();
        this.MaintainScrollPositionOnPostBack = true;
        this.IdPrava = 65;
    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
    }

    protected void LinkButton1_Command(object sender, CommandEventArgs e)
    {
        VyberSloupcuSeznamDefinic def = (VyberSloupcuSeznamDefinic)WebControlHelper.FindControl(TitledPanel1, "VyberSloupcuSeznamDefinic1");
        if (def.idDefinice != 0)
        {
            ObjectDataSource1.SelectParameters["idSestavy"].DefaultValue=def.idDefinice.ToString();
            TGridView1.DataSourceID = "ObjectDataSource1";
            TGridView1.Retrieve();
        }
    }
    protected void TGridView1_onRowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (DataBinder.Eval(e.Row.DataItem, "zm_uhrn_pojist") != DBNull.Value)
            zazn.zm_uhrn_pojist += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_uhrn_pojist"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_uhrn_dan_zakl") != DBNull.Value)
            zazn.zm_uhrn_dan_zakl += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_uhrn_dan_zakl"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_uhrn_dani") != DBNull.Value)
            zazn.zm_uhrn_dani += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_uhrn_dani"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_dan_zakl_cizi") != DBNull.Value)
            zazn.zm_dan_zakl_cizi += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_dan_zakl_cizi"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_dan_cizi") != DBNull.Value)
            zazn.zm_dan_cizi += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_dan_cizi"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_uhrn_nem") != DBNull.Value)
            zazn.zm_uhrn_nem += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_uhrn_nem"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_zakl_sraz_dan") != DBNull.Value)
            zazn.zm_zakl_sraz_dan += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_zakl_sraz_dan"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_srazk_dan") != DBNull.Value)
            zazn.zm_srazk_dan += Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "zm_srazk_dan"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_m_dan_zakl_cizi") != DBNull.Value)
            zazn.zm_m_dan_zakl_cizi += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_m_dan_zakl_cizi"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_m_dan_cizi") != DBNull.Value)
            zazn.zm_m_dan_cizi += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_m_dan_cizi"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_m_uhrn_nem") != DBNull.Value)
            zazn.zm_m_uhrn_nem += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_m_uhrn_nem"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_m_zakl_sraz_dan") != DBNull.Value)
            zazn.zm_m_zakl_sraz_dan += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_m_zakl_sraz_dan"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_m_srazk_dan") != DBNull.Value)
            zazn.zm_m_srazk_dan += Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "zm_m_srazk_dan"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_m_dan_zakl") != DBNull.Value)
            zazn.zm_m_dan_zakl += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_m_dan_zakl"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_m_dan") != DBNull.Value)
            zazn.zm_m_dan += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_m_dan"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_rocni_odpoc") != DBNull.Value)
            zazn.zm_rocni_odpoc += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_rocni_odpoc"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_dan_roc_zakl") != DBNull.Value)
            zazn.zm_dan_roc_zakl += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_dan_roc_zakl"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_dluh") != DBNull.Value)
            zazn.zm_dluh += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_dluh"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_uhrn_dan_z_c") != DBNull.Value)
            zazn.zm_uhrn_dan_z_c += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_uhrn_dan_z_c"));
        if (DataBinder.Eval(e.Row.DataItem, "zm_uhrn_pojist_c") != DBNull.Value)
            zazn.zm_uhrn_pojist_c += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "zm_uhrn_pojist_c"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_tarif") != DBNull.Value)
            zazn.pp_tarif += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_tarif"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_os_hodn") != DBNull.Value)
            zazn.pp_os_hodn += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_os_hodn"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_prem_cast") != DBNull.Value)
            zazn.pp_prem_cast += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_prem_cast"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_dov_narok") != DBNull.Value)
            zazn.pp_dov_narok += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_dov_narok"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_dov_cerpana") != DBNull.Value)
            zazn.pp_dov_cerpana += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_dov_cerpana"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_dov_kracena") != DBNull.Value)
            zazn.pp_dov_kracena += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_dov_kracena"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_zbyv_rd_min_rok") != DBNull.Value)
            zazn.pp_zbyv_rd_min_rok += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_zbyv_rd_min_rok"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_rd_letos") != DBNull.Value)
            zazn.pp_rd_letos += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_rd_letos"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_kcs_dov") != DBNull.Value)
            zazn.pp_kcs_dov += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_kcs_dov"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_kcs_dov_1") != DBNull.Value)
            zazn.pp_kcs_dov_1 += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_kcs_dov_1"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_kcs_dov_2") != DBNull.Value)
            zazn.pp_kcs_dov_2 += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_kcs_dov_2"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_kcs_dov_3") != DBNull.Value)
            zazn.pp_kcs_dov_3 += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_kcs_dov_3"));
        if (DataBinder.Eval(e.Row.DataItem, "pp_kcs_dov_4") != DBNull.Value)
            zazn.pp_kcs_dov_4 += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "pp_kcs_dov_4"));
    }

    protected void TGridView1_OnRowCreated(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.Footer)
        {
            TGridView gr = (TGridView)sender;
            //FieldInfo[] myFieldInfo;

            //Type myType = typeof(Zazn);
            //myFieldInfo = myType.GetFields(BindingFlags.Public | BindingFlags.Instance);
            //foreach (FieldInfo inf in myFieldInfo)
            //{
            //    Type typ = inf.GetType();
            //    int colIndex = gr.GetColumnIndexBeforeMovingColumn(inf.Name);
            //    if (colIndex > -1)
            //    {
            //        if (e.Row.Cells[0].Controls.Count > 0)
            //        {
            //            ((Label)e.Row.Cells[colIndex].Controls[0]).Text = inf.GetValue(zazn).ToString();
            //        }
            //        else
            //        {
            //            e.Row.Cells[colIndex].Text = inf.GetValue(zazn).ToString();
            //        }
            //    }
            //}
            //e.Row.Cells[0].Text = zazn.uhrn_dani;

            GridViewHelper hlp = new GridViewHelper(TGridView1);
                        
            System.Reflection.FieldInfo[] info =  typeof(Zazn).GetFields();
            foreach (FieldInfo inf1 in info)
            {
                int index=hlp.GetColumnIndex(inf1.Name);
                object val=inf1.GetValue(zazn);
                e.Row.Cells[index].Text = (val == null ? "0" : Convert.ToDecimal(val).ToString("F0"));
            }
            /*
            e.Row.Cells[36].Text = zazn.zm_uhrn_pojist.ToString("F0");
            e.Row.Cells[40].Text = zazn.zm_uhrn_dan_zakl.ToString("F0");
            e.Row.Cells[41].Text = zazn.zm_uhrn_dani.ToString("F0");
            e.Row.Cells[42].Text = zazn.zm_dan_zakl_cizi.ToString("F0");
            e.Row.Cells[43].Text = zazn.zm_dan_cizi.ToString("F0");
            e.Row.Cells[44].Text = zazn.zm_uhrn_nem.ToString("F0");
            e.Row.Cells[45].Text = zazn.zm_zakl_sraz_dan.ToString("F0");
            e.Row.Cells[46].Text = zazn.zm_srazk_dan.ToString("F0");
            e.Row.Cells[47].Text = zazn.zm_m_dan_zakl_cizi.ToString("F0");
            e.Row.Cells[48].Text = zazn.zm_m_dan_cizi.ToString("F0");
            e.Row.Cells[49].Text = zazn.zm_m_uhrn_nem.ToString("F0");
            e.Row.Cells[50].Text = zazn.zm_m_zakl_sraz_dan.ToString("F0");
            e.Row.Cells[51].Text = zazn.zm_m_srazk_dan.ToString("F0");
            e.Row.Cells[52].Text = zazn.zm_m_dan_zakl.ToString("F0");
            e.Row.Cells[53].Text = zazn.zm_m_dan.ToString("F0");
            e.Row.Cells[54].Text = zazn.zm_rocni_odpoc.ToString("F0");
            e.Row.Cells[55].Text = zazn.zm_dan_roc_zakl.ToString("F0");
            e.Row.Cells[56].Text = zazn.zm_dluh.ToString("F0");
            e.Row.Cells[66].Text = zazn.zm_uhrn_dan_z_c.ToString("F0");
            e.Row.Cells[67].Text = zazn.zm_uhrn_pojist_c.ToString("F0");
            e.Row.Cells[87].Text = zazn.pp_tarif.ToString("F0");
            e.Row.Cells[88].Text = zazn.pp_os_hodn.ToString("F0");
            e.Row.Cells[90].Text = zazn.pp_prem_cast.ToString("F0");
            e.Row.Cells[95].Text = zazn.pp_dov_narok.ToString("F0");
            e.Row.Cells[96].Text = zazn.pp_dov_cerpana.ToString("F0");
            e.Row.Cells[97].Text = zazn.pp_dov_kracena.ToString("F0");
            e.Row.Cells[98].Text = zazn.pp_zbyv_rd_min_rok.ToString("F0");
            e.Row.Cells[99].Text = zazn.pp_rd_letos.ToString("F0");
            e.Row.Cells[104].Text = zazn.pp_kcs_dov.ToString("F0");
            e.Row.Cells[105].Text = zazn.pp_kcs_dov_1.ToString("F0");
            e.Row.Cells[106].Text = zazn.pp_kcs_dov_2.ToString("F0");
            e.Row.Cells[107].Text = zazn.pp_kcs_dov_3.ToString("F0");
            e.Row.Cells[108].Text = zazn.pp_kcs_dov_4.ToString("F0");
             * */
        }
    }

    struct Zazn
    {
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_uhrn_pojist;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_uhrn_dan_zakl;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_uhrn_dani;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_dan_zakl_cizi;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_dan_cizi;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_uhrn_nem;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_zakl_sraz_dan;
        /// <summary>
        /// 
        /// </summary>
        public int zm_srazk_dan;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_m_dan_zakl_cizi;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_m_dan_cizi;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_m_uhrn_nem;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_m_zakl_sraz_dan;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_m_srazk_dan;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_m_dan_zakl;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_m_dan;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_rocni_odpoc;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_dan_roc_zakl;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_dluh;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_uhrn_dan_z_c;
        /// <summary>
        /// 
        /// </summary>
        public decimal zm_uhrn_pojist_c;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_tarif;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_os_hodn;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_prem_cast;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_dov_narok;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_dov_cerpana;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_dov_kracena;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_zbyv_rd_min_rok;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_rd_letos;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_kcs_dov;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_kcs_dov_1;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_kcs_dov_2;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_kcs_dov_3;
        /// <summary>
        /// 
        /// </summary>
        public decimal pp_kcs_dov_4;

    }
}
