﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    Inherits="Sestavy_PlanSkolicichAkci" Codebehind="PlanSkolicichAkci.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" TagPrefix="wca" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>


<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid_sestava">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid_sestava" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<asp:Label ID="Label5" runat="server" Text="[%Plán školících akcí zaměstnanců%]" CssClass="nadpis1"></asp:Label>--%>
    <div>
        <kspwc:TRadButton ID="TCB_predbezne" Text="[%Předběžně plánované akce%]" runat="server" ButtonType="ToggleButton" Checked="false" AutoPostBack="false" ToggleType="CheckBox" CssClass="pozadiText"></kspwc:TRadButton>
    </div>
    <kspwc:TRadGrid ID="TRadGrid_sestava" runat="server" MasterTableView-Caption="[%Plán školících akcí zaměstnanců%]"
                    ShowGroupPanel="True" AllowPaging="True"
                     AllowSorting="true" AutoGenerateColumns="false"
                    OnNeedDataSource="TRadGrid_sestava_NeedDataSource" AutoFilterControlWidth="false">
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top" ShowFooter="true" ShowGroupFooter="true">
            <Columns>
                <telerik:GridNumericColumn DataType="System.Decimal" DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" FilterControlAltText="Filter os_cislo column" FilterControlWidth="35"/>
                <telerik:GridBoundColumn DataField="prijmeni" HeaderText="[%Příjmení%]" SortExpression="prijmeni" FilterControlAltText="Filter prijmeni column" />
                <telerik:GridBoundColumn DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno" FilterControlAltText="Filter jmeno column" />
                <telerik:GridBoundColumn DataField="akce" HeaderText="[%Název akce%]" SortExpression="akce" FilterControlAltText="Filter akce column" />
                <telerik:GridDateTimeColumn DataField="termin" DataFormatString="{0:d.M.yyyy}" HeaderText="[%Termín%]" SortExpression="termin" FilterControlAltText="Filter termin column" />
                <telerik:GridDateTimeColumn DataField="hodina" DataFormatString="{0:HH:mm}" HeaderText="[%Čas%]" SortExpression="hodina" FilterControlAltText="Filter hodina column" />
                <telerik:GridBoundColumn DataField="osvedceni" HeaderText="[%Název vzd. aktivity%]" SortExpression="osvedceni" FilterControlAltText="Filter osvedceni column"  />
                <telerik:GridBoundColumn DataField="lektor" HeaderText="[%Lektor / Dodavatel šk.%]" SortExpression="lektor" FilterControlAltText="Filter lektor column" />
                <telerik:GridBoundColumn DataField="misto" HeaderText="[%Místo%]" SortExpression="misto" FilterControlAltText="Filter misto column" />
                <telerik:GridNumericColumn DataType="System.Decimal" DataField="suma_hodin" HeaderText="[%Suma hodin%]" SortExpression="suma_hodin" FilterControlAltText="Filter suma_hodin column" Aggregate="Sum" DecimalDigits="2"/>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" RebindButton-Visible="True" DateControl="TRadObdobiInterval">
                <ExportButton ID="ExportButton1" runat="server" />
            </kspwc:GridCommandItemControl> 
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
    
</asp:Content>
