﻿using System;
using System.Web.UI.WebControls;
using KSProgram;
using Telerik.Web.UI;

public partial class Sestavy_PomeryPraxeSestava : TSestavaPredek
{
    public Sestavy_PomeryPraxeSestava()
    {
        IdPrava = 36;
        this.HelpURL = "Pracovn%C3%AD_pom%C4%9Bry_%28Zam%C4%9Bstnanci-p%C5%99ehledy%29";
        this.AutomatickyUlozitNastaveni = true;
        //this.VerzeStranky = "2";
        //PH 15.1.2020
        this.VerzeStranky = "4";
    }

    protected override void OnLoad(EventArgs e)
    {
        base.OnLoad(e);
        if (!IsPostBack)
        {
            if (KSProgram.Funkce.Parametr_cti.Get("Datum_plan_odch") == "a")
            {
                RadGrid1.MasterTableView.GetColumn("datum_plan_odchodu").Visible = true;
            }
            else
            {
                RadGrid1.MasterTableView.GetColumn("datum_plan_odchodu").Visible = false;
            }
        }
    }

    protected void RadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (e.CommandName == "selectZam")
        {
            GridDataItem item = (GridDataItem)e.Item;
            if (item != null)
            {
                LinkButton link = (LinkButton)item["os_cislo"].Controls[0];
                OsCisloZmena.Nastavit(this, Convert.ToDecimal(link.Text));
                ObnovAktZam();
                Response.Redirect("~/Zamestnanec/PracPomer.aspx");
            }
        }
    }

    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = new KSProgram.Sestavy.DefSestavy_spp006().RetrieveStr(RadGrid1.PracovniPomery.GetValue);
        RadGrid1.Columns.FindByDataField("datum_plan_odchodu").Visible = KSProgram.Funkce.Parametr_cti.Get("Datum_plan_odch") == "a";//PR 4.4.2018 HID=39182
    }

}
