﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    Inherits="Sestavy_PomuckyNarokZam" Codebehind="PomuckyNarokZam.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajax" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
<%--<asp:ObjectDataSource ID="dsPomuckyNarok" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="Retrieve" TypeName="KSProgram.Sestavy.DefSestavy_PracPomuZam"></asp:ObjectDataSource>--%>
  <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGridPomuckyNarokZam">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGridPomuckyNarokZam" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>

    <%--<asp:Label ID="Label1" runat="server" Text="[%Nárok na pomůcky%]" CssClass="nadpis1"></asp:Label>--%>
    <kspwc:TRadGrid ID="TRadGridPomuckyNarokZam" runat="server" MasterTableView-Caption="[%Nárok na pomůcky%]"
                    ShowGroupPanel="True" AllowPaging="True" 
                    AllowSorting="true" AutoGenerateColumns="false"
                    OnNeedDataSource="TRadGridPomuckyNarokZam_NeedDataSource" AutoFilterControlWidth="False" >
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top" >
            <Columns>
                <telerik:GridBoundColumn DataField="os_cislo" SortExpression="os_cislo" HeaderText="[%Os. číslo%]" FilterControlWidth="20px"  />
                <telerik:GridBoundColumn DataField="zamestnanec" SortExpression="zamestnanec" HeaderText="[%Zaměstnanec%]" />
                <telerik:GridBoundColumn DataField="kmen_str" SortExpression="kmen_str" HeaderText="[%Střed.%]" />
                <telerik:GridNumericColumn DataType="System.Int32" DataField="cislo_pom" SortExpression="cislo_pom" HeaderText="[%Č.P.%]" FilterControlWidth="20px" />
                <telerik:GridBoundColumn DataField="cis_pracmist" SortExpression="cis_pracmist" HeaderText="[%Prac. místo%]" />
                <telerik:GridBoundColumn DataField="pomucka" SortExpression="pomucka" HeaderText="[%Pomůcka%]" />
                <telerik:GridBoundColumn DataField="mer_jedn" SortExpression="mer_jedn" HeaderText="[%Měr. jednotka%]" />
                <telerik:GridNumericColumn DataField="narok" DataType="System.Decimal" DataFormatString="{0:f3}" SortExpression="narok" HeaderText="[%Nárok%]" FilterControlWidth="40px" />
                <telerik:GridNumericColumn DataType="System.Int32" DataField="perioda" SortExpression="perioda" HeaderText="[%Perioda%]" FilterControlWidth="40px" />
                <telerik:GridBoundColumn DataField="vel1" SortExpression="vel1" HeaderText="[%Vel.%]" FilterControlWidth="30px"  />
                <telerik:GridBoundColumn DataField="vel2" SortExpression="vel2" HeaderText="[%Vel.%]" FilterControlWidth="30px" />

                <telerik:GridDateTimeColumn DataField="posl_vyd" FilterControlAltText="Filter posl_vyd column"
                HeaderText="[%Posl. výdej%]" UniqueName="posl_vyd" DataType="System.DateTime" DataFormatString="{0:d.M.yyyy}"
                FilterDateFormat="d.M.yyyy" FilterControlWidth="80px" />
                <telerik:GridDateTimeColumn DataField="nasl_vyd" DataType="System.DateTime" FilterControlAltText="Filter nasl_vyd column"
                HeaderText="[%Násl. výdej%]" UniqueName="nasl_vyd" DataFormatString="{0:d.M.yyyy}"
                FilterDateFormat="d.M.yyyy" FilterControlWidth="80px" />
            </Columns>
            <CommandItemTemplate>
               <kspwc:GridCommandItemControl ID="GcIc" runat="server"></kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>

</asp:Content>
