﻿using KSProgram.Personal;
using System.Data;
using Telerik.Web.UI;

public partial class Sestavy_PomuckyNarokZam : TSestavaPredek
{
    public Sestavy_PomuckyNarokZam()
    {
        IdPrava = 59;
        this.HelpURL = "Pracovn%C3%AD_pom%C5%AFcky_%28Zam%C4%9Bstnanci-p%C5%99ehledy%29";
    }


    protected void TRadGridPomuckyNarokZam_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable data = new DataTable();
        data = new KSProgram.Sestavy.DefSestavy_PracPomuZam().Retrieve();
        TRadGridPomuckyNarokZam.DataSource = data;

        // MZ 16.12.2015 Doplněno formátování podle parametru
        // --------------------------------------------------
        GridDateTimeColumn naslVysl = (GridDateTimeColumn)TRadGridPomuckyNarokZam.MasterTableView.GetColumnSafe("nasl_vyd");
        string zpusPer = KSProgram.Personal.PracovniPomucky.GetParametr_ZpusPer();
        if (zpusPer == "m")
        {
            naslVysl.DataFormatString = "{0:M\\/yyyy}";
        }
    }

    protected override void Page_Load(object sender, System.EventArgs e)
    {
        //PR 04.09.2019 odstraňování warningů, metoda nebyla označena jako override ani new, takže těžko pochopit, co autor zamýšlel, 
        //proto jsem doplnil override a base.Page_Load
        base.Page_Load(sender, e);

        PracovniPomucky.VydejBezNaroku = false;
    }
}
