﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Sestavy_PrehledDovolene"
    CodeBehind="PrehledDovolene.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content2" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Přehled dovolené%]" CssClass="nadpis1"></asp:Label>--%>
    <div style="padding-bottom:8px; width: fit-content; height: fit-content; margin-bottom: 20px" class="ksprvek">
        <kspwc:StrSkupDiv runat="server" ID="stred"></kspwc:StrSkupDiv>
    </div>
    <kspwc:TRadGrid ID="RadGrid1" runat="server" AutoGenerateColumns="False" GroupPanelPosition="Top"
        OnNeedDataSource="RadGrid1_NeedDataSource" MasterTableView-Caption="[%Přehled dovolené%]"
         AllowPaging="True" AllowSorting="True" Visible="true">
        <MasterTableView CommandItemDisplay="Top">
            <Columns>
                <telerik:GridBoundColumn DataField="os_cislo" FilterControlAltText="Filter os_cislo column"
                    HeaderText="[%Os. číslo%]" SortExpression="os_cislo" UniqueName="os_cislo">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="prijmeni" FilterControlAltText="Filter prijmeni column"
                    HeaderText="[%Příjmení%]" SortExpression="prijmeni" UniqueName="prijmeni">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="jmeno" FilterControlAltText="Filter jmeno column"
                    HeaderText="[%Jméno%]" SortExpression="jmeno" UniqueName="jmeno">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="titul" FilterControlAltText="Filter titul column"
                    HeaderText="[%Titul%]" SortExpression="titul" UniqueName="titul">
                </telerik:GridBoundColumn>
                <telerik:GridNumericColumn DataField="cislo_pom" FilterControlAltText="Filter cislo_pom column"
                    HeaderText="[%Č.P.%]" SortExpression="cislo_pom" UniqueName="cislo_pom" DataType="System.Int32">
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="prac_str" FilterControlAltText="Filter prac_str column"
                    HeaderText="[%Prac. střed.%]" SortExpression="prac_str" UniqueName="prac_str">
                </telerik:GridBoundColumn>
<%--                <telerik:GridNumericColumn DataField="dov_predmin" FilterControlAltText="Filter dov_predmin column"
                    HeaderText="[%Z předmin. roku%]" SortExpression="dov_predmin" UniqueName="dov_predmin" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>--%>
                <telerik:GridNumericColumn DataField="dov_min" FilterControlAltText="Filter dov_min column"
                    HeaderText="[%Z min. roku%]" SortExpression="dov_min" UniqueName="div_min" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="rd_letos" FilterControlAltText="Filter rd_letos column"
                    HeaderText="[%Nárok letos%]" SortExpression="rd_letos" UniqueName="rd_letos" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="navyseni" FilterControlAltText="Filter navyseni column"
                    HeaderText="[%Navýšení dov.%]" SortExpression="navyseni" UniqueName="navyseni" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="dodatkova" FilterControlAltText="Filter dodatkova column"
                    HeaderText="[%Dodatková%]" SortExpression="dodatkova" UniqueName="dodatkova" DataFormatString="{0:N}" Visible="false">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="narok_celkem" FilterControlAltText="Filter narok_celkem column"
                    HeaderText="[%Nárok celkem%]" SortExpression="narok_celkem" UniqueName="narok_celkem" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="cerpana" FilterControlAltText="Filter cerpana column"
                    HeaderText="[%Čerpaná%]" SortExpression="cerpana" UniqueName="cerpana" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="kracena" FilterControlAltText="Filter kracena column"
                    HeaderText="[%Krácená%]" SortExpression="kracena" UniqueName="kracena" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="zbyv_celkem" FilterControlAltText="Filter zbyv_celkem column"
                    HeaderText="[%Zůstatek%]" SortExpression="zbyv_celkem" UniqueName="zbyv_celkem" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="zbyv_celkem_dec" FilterControlAltText="Filter zbyv_celkem_dec column"
                    HeaderText="[%Zůstatek%]" SortExpression="zbyv_celkem_dec" UniqueName="zbyv_celkem_dec" DataFormatString="{0:N}" Visible="false">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="jednotka" FilterControlAltText="Filter jednotka column"
                    HeaderText="[%Jednotka%]" SortExpression="jednotka" UniqueName="jednotka" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="poz_schvaleno" FilterControlAltText="Filter poz_schvaleno column"
                    HeaderText="[%Pož. - Schváleno%]" SortExpression="poz_schvaleno" UniqueName="poz_schvaleno" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="poz_zazadano" FilterControlAltText="Filter poz_zazadano column"
                    HeaderText="[%Pož. - Zažádáno%]" SortExpression="poz_zazadano" UniqueName="poz_zazadano" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="poz_zustatek" FilterControlAltText="Filter poz_zustatek column"
                    HeaderText="[%Zůstatek vč. pož.%]" SortExpression="poz_zustatek" UniqueName="poz_zustatek" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="poz_zustatek_dec" FilterControlAltText="Filter poz_zustatek_dec column"
                    HeaderText="[%Zůstatek vč. pož.%]" SortExpression="poz_zustatek_dec" UniqueName="poz_zustatek_dec" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sick_days" FilterControlAltText="Filter sic_days column"
                    HeaderText="[%Vyčerpané Sick Days%]" SortExpression="sick_days" UniqueName="sick_days" DataFormatString="{0:N}" Visible="False">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server">
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
