﻿using KSProgram;
using KSProgram.Data;
using KSProgram.Obecne;
using KSProgram.Projekty;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KSPortal.Sestavy
{
    public partial class ProjektyRozdilImport : TPage
    {
        public ProjektyRozdilImport()
        {
            VerzeStranky = "2";
            this.AutomatickyUlozitNastaveni = true;
            IdPrava = 367;
        }
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

        }

        private object data(DateTime dt)
        {
            string key = "PrRoImp_" + Globals.OsCisloAktUserNeboZastupovany + "_" + dt.ToShortDateString();
            object ret = CacheInfo.GetItemFromCache(key);
            if(ret == null)
            {
                ret = Projekty.SestavaRozdilu(dt);
                CacheInfo.AddItemToCache(key, ret, 5, System.Web.Caching.CacheItemPriority.Normal);
            }
            return ret;
        }

        protected void TRG_sestava_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            TRG_sestava.DataSource = data(TRG_sestava.Datum.SelectedObdobi ?? Globals.AktObdobi);
        }
    }
}