﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using KSProgram.ZakSpec;
using KSProgram.WebControls;
using Telerik.Web.UI;
using System.Data;
using KSProgram.Data;
using KSProgram.Personal;

namespace KSPortal.ZakSpec
{
    public partial class ProtokolOPraci : TPage
    {
        /// <summary>
        /// 
        /// </summary>
        public ProtokolOPraci()
        {
            IdPrava = 222;
        }

        protected override void Page_Load(object sender, EventArgs e)
        {

            base.Page_Load(sender, e);
            if (!IsPostBack)
            {
                obdobi.SetDefaultObdobi(Globals.AktObdobi);
                ds_projekty.SelectParameters["os_cislo"].DefaultValue = Globals.OsCisloAktUserNeboZastupovany.ToString();                
            }
            //TLinkButton2.Visible = Globals.SuperUser;
            //PH 11.5.2016
            TLinkButton2.Visible = false;
        }

        protected void combo_projekty_SelectedIndexChanged(object sender, EventArgs e)
        {
        }

        protected void obdobi_Click(object sender, EventArgs e)
        {
            //combo_projekty.DataBind();
            //combo_projekty.SelectedIndex = 0;
        }

        protected void TLinkButton2_Command(object sender, CommandEventArgs e)
        {
            string sql = "select os_cislo, cislo_pom, rez_zakazka from prac_pom where rez_zakazka is not null ";
            using (IDataReader reader = SqlPrikaz.ExecuteReader(sql))
            {
                while (reader.Read())
                {
                    decimal os_cislo = GetNullOrData.GetDecimal(reader, 0, 0);
                    short cislo_pom = GetNullOrData.GetInt16(reader, 1, -1);
                    string rez_zakazka = GetNullOrData.GetString(reader, 2, true);
                    if (!string.IsNullOrEmpty(rez_zakazka))
                    {
                        bool res = Poznamky.Exists(os_cislo, cislo_pom, "POMERY", "sazba zam");
                        if (!res)
                            Poznamky.Insert(os_cislo, cislo_pom, "POMERY", "sazba zam", Globals.User, rez_zakazka);
                    }
                }
                if (reader.IsClosed == false)
                    reader.Close();
            }
        }
       

        protected void TLinkButton1_Command(object sender, CommandEventArgs e)
        {
            bool lb_vse = (TRadioButtonList1.SelectedValue=="all");
            Table tabulka = new Table();
            if (lb_vse)
            {
                //RadComboBoxItemCollection col= combo_projekty.Items;
                //foreach (RadComboBoxItem it in col)
                //PH 31.5.2016
                ListItemCollection col = combo_projekty.Items;
                foreach (ListItem it in col)
                {
                    if (string.IsNullOrEmpty(it.Value)) continue;

                    ProtokolOProvPrace list = new ProtokolOProvPrace(it.Value, obdobi.SelectedValue);
                    /*
                    list.Style.Add(HtmlTextWriterStyle.Position, "relative");
                    //list.CssClass = "pageBreakAfter";
                    TableCell cell = new TableCell();
                   
                    cell.Style.Add(HtmlTextWriterStyle.BorderStyle, "solid");
                    cell.Style.Add(HtmlTextWriterStyle.BorderColor, "#990000");
                    cell.Style.Add(HtmlTextWriterStyle.BorderWidth, "2px");
                    cell.CssClass = "pageBreakAfter";
                    cell.Style.Add(HtmlTextWriterStyle.Position, "relative");
                    TableRow row = new TableRow();
                    cell.Controls.Add(list);
                    row.Cells.Add(cell);
                    cell.Style.Add(HtmlTextWriterStyle.Padding, "10px");
                    tabulka.Rows.Add(row);
                     * */

                    list.Style.Add(HtmlTextWriterStyle.Position, "relative");
                    list.CssClass = "pageBreakAfter";
                    TableCell cell = new TableCell();

                    //cell.Style.Add(HtmlTextWriterStyle.BorderStyle, "solid");
                    //cell.Style.Add(HtmlTextWriterStyle.BorderColor, "#990000");
                    //cell.Style.Add(HtmlTextWriterStyle.BorderWidth, "2px");
                    cell.CssClass = "pageBreakAfter";
                    cell.Style.Add(HtmlTextWriterStyle.Position, "relative");
                    TableRow row = new TableRow();
                    cell.Controls.Add(list);
                    row.Cells.Add(cell);
                    cell.Style.Add(HtmlTextWriterStyle.Padding, "10px");
                    tabulka.Rows.Add(row);
                }
            }
            else
            {
                if (!string.IsNullOrEmpty(combo_projekty.SelectedValue))
                {
                    ProtokolOProvPrace list = new ProtokolOProvPrace(combo_projekty.SelectedValue.ToString(), obdobi.SelectedValue);

                    TableCell cell = new TableCell();
                    //cell.Style.Add(HtmlTextWriterStyle.BorderStyle, "solid");
                    //cell.Style.Add(HtmlTextWriterStyle.BorderColor, "#990000");
                    //cell.Style.Add(HtmlTextWriterStyle.BorderWidth, "2px");
                    TableRow row = new TableRow();
                    cell.Controls.Add(list);
                    row.Cells.Add(cell);
                    cell.Style.Add(HtmlTextWriterStyle.Padding, "10px");
                    tabulka.Rows.Add(row);
                }
            }
            PlaceHolder c = (PlaceHolder)FindControlRecursive("place", this.Master.Controls);
            if (c != null)
                c.Controls.Add(tabulka);
        }

        

        protected void TRadioButtonList1_SelectedIndexChanged(object sender, EventArgs e)
        {
            TRadioButtonList list = (TRadioButtonList)sender;
            combo_projekty.Enabled = (list.SelectedValue != "all");
        }
    }
}