﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.Pozadavky;
using KSProgram;
using System.Data;
using KSProgram.WebControls;

namespace KSPortal
{
    public partial class SeznamOvereni : TPageZam
    {
       
        /// <summary>
        /// 
        /// </summary>
        public int PozId
        {
            get
            {
                return (ViewState["PozId"] == null ? 0 : Convert.ToInt32(ViewState["PozId"]));
            }
            set
            {
                ViewState["PozId"] = value;
            }
        }

        /// <summary>
        /// 
        /// </summary>
        protected decimal OsCislo
        {
            get
            {
                return (ViewState["OsCislo"] == null ? 0 : Convert.ToInt32(ViewState["OsCislo"]));
            }
            set
            {
                ViewState["OsCislo"] = value;
            }
        }

        /// <summary>
        /// 
        /// </summary>
        public SeznamOvereni()
        {
            //this.PanelInfoKolekce_Add("", WebControlHelper.ZmenaTextu("[%_Seznam_32_ověřování_32_a_32_řešení_32_konfliktů%]"));
            IdPrava = 174;
        }

        protected void Nacti()
        {
            for (int i = 0; i < 20; i++)
            {
                LinkButton butt = (LinkButton)WebControlHelper.FindControl(this, "lb_overovani" + i.ToString());
                butt.Visible = false;

                butt = (LinkButton)WebControlHelper.FindControl(this, "lb_konflikt" + i.ToString());
                butt.Visible = false;

                butt = (LinkButton)WebControlHelper.FindControl(this, "lb_relev" + i.ToString());
                butt.Visible = false;
            }

            //seznam ověření
            Control container = WebControlHelper.FindControl(this, "TableCell2");
            DataTable table = Pozadavekoverovani.Schvalene(Globals.OsCisloPomer.OsCislo);
            for (int i = 0; i < table.Rows.Count; i++)
            {
                _zpracujZaznam(i, container, "overovani", Convert.ToInt32(table.Rows[i]["id_poz"]), Convert.ToDateTime(table.Rows[i]["datum"]));
            }

            //seznam konfliktů
            container = WebControlHelper.FindControl(this, "TableCell4");
            table = Pozadavekkonflikt.Schvalene(Globals.OsCisloPomer.OsCislo);
            for (int i = 0; i < table.Rows.Count; i++)
            {
                _zpracujZaznam(i, container, "konflikt", Convert.ToInt32(table.Rows[i]["id_poz"]), Convert.ToDateTime(table.Rows[i]["datum"]));
            }

            container = WebControlHelper.FindControl(this, "TableCell6");
            table = Pozadavekrelev.Schvalene(Globals.OsCisloPomer.OsCislo);
            for (int i = 0; i < table.Rows.Count; i++)
            {
                _zpracujZaznam(i, container, "relev", Convert.ToInt32(table.Rows[i]["id_poz"]), Convert.ToDateTime(table.Rows[i]["datum"]));
            }

            if (OsCislo != Globals.OsCisloPomer.OsCislo)
                Multiview1.ActiveViewIndex = 0;

            OsCislo = Globals.OsCisloPomer.OsCislo;
        }


        protected override void OnPreRender(EventArgs e)
        {
            Nacti();

            base.OnPreRender(e);
        }

        private void _zpracujZaznam(int index, Control container, string typ, int id_poz, DateTime datum)
        {
            LinkButton butt = (LinkButton)WebControlHelper.FindControl(this, "lb_" + typ + index.ToString());
            butt.CommandName = typ;
            butt.CommandArgument = id_poz.ToString();
            butt.Text = datum.ToString("d");
            butt.Visible = true;
        }

    
        protected void butt_Command(object sender, CommandEventArgs e)
        {
            if (e.CommandName == "overovani")
            {
                Multiview1.ActiveViewIndex=1;
                c_overovani.PozId=Convert.ToInt32(e.CommandArgument);
                c_overovani.Nacist();
            }
            else if (e.CommandName == "konflikt")
            {
                Multiview1.ActiveViewIndex = 2;
                c_konflikt.PozId = Convert.ToInt32(e.CommandArgument);
                c_konflikt.Nacist();
            }
            else if (e.CommandName == "relev")
            {
                Multiview1.ActiveViewIndex = 3;
                c_relev.PozId = Convert.ToInt32(e.CommandArgument);
                c_relev.Nacist();
            }
        }
   
        /// <summary>
        /// 
        /// </summary>
        /// <param name="idPoz"></param>
        public void Set_PozId(int idPoz)
        {
            this.PozId = idPoz;
        }
    }
}
