﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using KSProgram.WebControls;
using Telerik.Web.UI;
using KSProgram.Obecne;

namespace KSPortal.ZakSpec.UkolyOdmeny
{
    public partial class VyplaceneOdmeny : TPage
    {
        public VyplaceneOdmeny()
        {
            IdPrava = 207;
            EnableVisibleSeznamZam = false;
        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);

            if (!IsPostBack)
            {
                TRadMonthYearPicker1.DbSelectedDate = Globals.AktObdobi;

                string cookieName = Globals.OsCisloAktUser.ToString() + ";" + HttpContext.Current.Request.AppRelativeCurrentExecutionFilePath + ";TRadGrid1";
                DatabaseStorageProvider dsp = new DatabaseStorageProvider(cookieName);
                RadPersistenceManager mng = RadPersistenceManager.GetCurrent(Page);
                mng.StorageProvider = dsp;
                mng.LoadState();
            }
        }

        protected void TRadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            TRadGrid1.DataSource = KSProgram.ZakSpec.UkolyOdmeny.VyplaceneOdmeny(TRadMonthYearPicker1.SelectedDate);
        }

        protected void TRB_ch_CheckedChanged(object sender, EventArgs e)
        {
            TRadButton TRB_ch = (TRadButton)sender;
            if (TRB_ch.Checked)
            {
                TRadGrid1.AllowFilteringByColumn = true;
            }
            else
            {
                TRadGrid1.AllowFilteringByColumn = false;
            }
            TRadGrid1.Rebind();
        }
        protected void TRadGrid1_ItemCreated(object sender, GridItemEventArgs e)
        {
            if (e.Item.ItemType == GridItemType.CommandItem)
            {
                TRadButton but = (TRadButton)e.Item.FindControl("TRB_ch");
                but.Checked = ((TRadGrid)sender).AllowFilteringByColumn;
            }
        }

        protected void TRadMonthYearPicker1_SelectedDateChanged(object sender, Telerik.Web.UI.Calendar.SelectedDateChangedEventArgs e)
        {
            TRadGrid1.Rebind();
        }

        protected void TRB_save_set_Click(object sender, EventArgs e)
        {
            string cookieName = Globals.OsCisloAktUser.ToString() + ";" + HttpContext.Current.Request.AppRelativeCurrentExecutionFilePath + ";TRadGrid1";
            DatabaseStorageProvider dsp = new DatabaseStorageProvider(cookieName);
            RadPersistenceManager mng = RadPersistenceManager.GetCurrent(Page);
            mng.StorageProvider = dsp;
            mng.SaveState();
        }
    }
}