﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;
using System.Collections;
using KSProgram.LekarskaEvidence;
using KSProgram.WebControls;
using KSProgram;
using KSProgram.Funkce;
using KSProgram.Data;
using KSProgram.Pozadavky;
using KSProgram.Vzdelavani;
using KSProgram.Obecne;

public partial class KatalogVzdAktivit : TPage
{
    public KatalogVzdAktivit()
    {
        IdPrava = 352;
        EnableVisibleSeznamZam = true;

    }


    protected void trgKatalogVzdAktivit_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        string resultString = "";
        DataTable ltblKatalogVzdAktivit = SkoliciAkce.KatalogVzdAktivit();
        trgKatalogVzdAktivit.DataSource = ltblKatalogVzdAktivit;
        if (resultString.Trim() != "") MessageBox.Alert(this.Page, resultString);
    }

    //protected void trgKatalogVzdAktivit_UpdateCommand(object sender, GridCommandEventArgs e)
    //{

    //}

    protected void trgKatalogVzdAktivit_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridEditFormItem && e.Item.IsInEditMode)
        {
            GridEditFormItem editFormItem = e.Item as GridEditFormItem;

            // "Kod","Nazev","Popis","PopisLong","Typ","TypCislo","TypVyznam","Rozsah","Cena","Poznamka","Ikona",
            RadTextBox rtbKod = editFormItem.FindControl("rtbKod") as RadTextBox;
            RadTextBox rtbNazev = editFormItem.FindControl("rtbNazev") as RadTextBox;
            //RadTextBox rtbPopis = editFormItem.FindControl("rtbPopis") as RadTextBox;
            RadEditor rtbPopis = editFormItem.FindControl("rtbPopis") as RadEditor;
            RadTextBox rtbTypFull = editFormItem.FindControl("rtbTypFull") as RadTextBox;
            RadTextBox rtbRozsah = editFormItem.FindControl("rtbRozsah") as RadTextBox;
            RadTextBox rtbCena = editFormItem.FindControl("rtbCena") as RadTextBox;
            // RadTextBox rtbPoznamka = editFormItem.FindControl("rtbPoznamka") as RadTextBox;
           
            

            GridDataItem parentItem = editFormItem.ParentItem;
            if (parentItem != null)
            {

                string lsKod = DataBinder.Eval(parentItem.DataItem, "Kod").ToString();
                string lsNazev = DataBinder.Eval(parentItem.DataItem, "Nazev").ToString();
                string lsPopis = DataBinder.Eval(parentItem.DataItem, "PopisLong").ToString();
                string lsTypFull = DataBinder.Eval(parentItem.DataItem, "TypFull").ToString();
                string lsRozsah = DataBinder.Eval(parentItem.DataItem, "Rozsah").ToString();
                string lsCena = DataBinder.Eval(parentItem.DataItem, "Cena").ToString();
                // string lsPoznamka = DataBinder.Eval(parentItem.DataItem, "Poznamka").ToString();

                rtbKod.Text = lsKod;
                rtbNazev.Text = lsNazev;
                rtbPopis.Content = lsPopis;
                rtbTypFull.Text = lsTypFull;
                rtbRozsah.Text = lsRozsah;
                rtbCena.Text = lsCena;
                // rtbPoznamka.Text = lsPoznamka;

            }
            else//jedná se o insert
            {

            }

        }
    }
     

    protected void trbPozadat_Click(object sender, EventArgs e)
    {
        if (trgKatalogVzdAktivit.EditItems.Count > 0)
        {
            int index = trgKatalogVzdAktivit.EditItems[0].ItemIndex;
            string cisloAktivity = ((string)trgKatalogVzdAktivit.Items[index].GetDataKeyValue("Kod")).Trim();
            // jiný způsob získání klíčové hodnoty řádku
            //string cisloAktivity = ((string)((GridDataItem)trgKatalogVzdAktivit.EditItems[0]).GetDataKeyValue("Kod")).Trim();
            if (cisloAktivity != "" && cisloAktivity != null)
            {
                if (Pozadavekkatvzdel.PovolenoZadat(cisloAktivity.ToString(), Globals.OsCislo))
                {
                    Pozadavekkatvzdel.CreatePozadavek(Globals.OsCislo, cisloAktivity);
                    ((TRadButton)sender).Enabled = false;
                }
            }
        }
    }


    protected void trbPozadat_PreRender(object sender, EventArgs e)
    {
        if (trgKatalogVzdAktivit.EditItems.Count > 0)
        {
            int index = trgKatalogVzdAktivit.EditItems[0].ItemIndex;
            string cisloAktivity = ((string)trgKatalogVzdAktivit.Items[index].GetDataKeyValue("Kod")).Trim();
            // jiný způsob získání klíčové hodnoty řádku
            //string cisloAktivity = ((string)((GridDataItem)trgKatalogVzdAktivit.EditItems[0]).GetDataKeyValue("Kod")).Trim();
            if (cisloAktivity != "" && cisloAktivity != null)
            {
                if (!Pozadavekkatvzdel.PovolenoZadat(cisloAktivity.ToString(), Globals.OsCislo)) ((TRadButton)sender).Enabled = false;
            }
        }
    }
}
